#include <qscintilla2_includes.h>

#include <smoke.h>
#include <qsci_smoke.h>

namespace __smokeqsci {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractScrollArea
      switch(to) {
        case 16: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 45: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 26: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)xptr;
        case 85: return (void*)(QsciScintillaBase*)(QAbstractScrollArea*)xptr;
        case 84: return (void*)(QsciScintilla*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QColor
      switch(to) {
        case 7: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 8:   //QContextMenuEvent
      switch(to) {
        case 8: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 16:   //QFrame
      switch(to) {
        case 45: return (void*)(QWidget*)(QFrame*)xptr;
        case 26: return (void*)(QObject*)(QFrame*)xptr;
        case 16: return (void*)(QFrame*)xptr;
        case 85: return (void*)(QsciScintillaBase*)(QFrame*)xptr;
        case 84: return (void*)(QsciScintilla*)(QFrame*)xptr;
        default: return xptr;
      }
    case 18:   //QHideEvent
      switch(to) {
        case 18: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QIODevice
      switch(to) {
        case 26: return (void*)(QObject*)(QIODevice*)xptr;
        case 19: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 20:   //QInputMethodEvent
      switch(to) {
        case 20: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QKeyEvent
      switch(to) {
        case 21: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QMetaObject
      switch(to) {
        case 22: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 23:   //QMimeData
      switch(to) {
        case 23: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 24:   //QMouseEvent
      switch(to) {
        case 24: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QMoveEvent
      switch(to) {
        case 25: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QObject
      switch(to) {
        case 26: return (void*)(QObject*)xptr;
        case 64: return (void*)(QsciLexerIDL*)(QObject*)xptr;
        case 57: return (void*)(QsciLexerCSharp*)(QObject*)xptr;
        case 65: return (void*)(QsciLexerJava*)(QObject*)xptr;
        case 79: return (void*)(QsciLexerVHDL*)(QObject*)xptr;
        case 81: return (void*)(QsciLexerYAML*)(QObject*)xptr;
        case 67: return (void*)(QsciLexerLua*)(QObject*)xptr;
        case 74: return (void*)(QsciLexerPython*)(QObject*)xptr;
        case 52: return (void*)(QsciLexerBash*)(QObject*)xptr;
        case 47: return (void*)(QsciAbstractAPIs*)(QObject*)xptr;
        case 55: return (void*)(QsciLexerCPP*)(QObject*)xptr;
        case 60: return (void*)(QsciLexerDiff*)(QObject*)xptr;
        case 68: return (void*)(QsciLexerMakefile*)(QObject*)xptr;
        case 66: return (void*)(QsciLexerJavaScript*)(QObject*)xptr;
        case 63: return (void*)(QsciLexerHTML*)(QObject*)xptr;
        case 76: return (void*)(QsciLexerSQL*)(QObject*)xptr;
        case 85: return (void*)(QsciScintillaBase*)(QObject*)xptr;
        case 77: return (void*)(QsciLexerTCL*)(QObject*)xptr;
        case 73: return (void*)(QsciLexerProperties*)(QObject*)xptr;
        case 58: return (void*)(QsciLexerCustom*)(QObject*)xptr;
        case 46: return (void*)(QsciAPIs*)(QObject*)xptr;
        case 56: return (void*)(QsciLexerCSS*)(QObject*)xptr;
        case 71: return (void*)(QsciLexerPerl*)(QObject*)xptr;
        case 59: return (void*)(QsciLexerD*)(QObject*)xptr;
        case 53: return (void*)(QsciLexerBatch*)(QObject*)xptr;
        case 75: return (void*)(QsciLexerRuby*)(QObject*)xptr;
        case 78: return (void*)(QsciLexerTeX*)(QObject*)xptr;
        case 51: return (void*)(QsciLexer*)(QObject*)xptr;
        case 69: return (void*)(QsciLexerPOV*)(QObject*)xptr;
        case 84: return (void*)(QsciScintilla*)(QObject*)xptr;
        case 82: return (void*)(QsciMacro*)(QObject*)xptr;
        case 72: return (void*)(QsciLexerPostScript*)(QObject*)xptr;
        case 54: return (void*)(QsciLexerCMake*)(QObject*)xptr;
        case 61: return (void*)(QsciLexerFortran*)(QObject*)xptr;
        case 62: return (void*)(QsciLexerFortran77*)(QObject*)xptr;
        case 70: return (void*)(QsciLexerPascal*)(QObject*)xptr;
        case 80: return (void*)(QsciLexerXML*)(QObject*)xptr;
        default: return xptr;
      }
    case 27:   //QPaintEngine
      switch(to) {
        case 27: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 28:   //QPaintEvent
      switch(to) {
        case 28: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 29:   //QPainter
      switch(to) {
        case 29: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 30:   //QPalette
      switch(to) {
        case 30: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 31:   //QPixmap
      switch(to) {
        case 31: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 32:   //QPoint
      switch(to) {
        case 32: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 33:   //QPrinter
      switch(to) {
        case 33: return (void*)(QPrinter*)xptr;
        case 83: return (void*)(QsciPrinter*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 34:   //QRect
      switch(to) {
        case 34: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 35:   //QRegExp
      switch(to) {
        case 35: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 36:   //QResizeEvent
      switch(to) {
        case 36: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QSettings
      switch(to) {
        case 37: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 38:   //QShowEvent
      switch(to) {
        case 38: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QSize
      switch(to) {
        case 39: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 40:   //QStyle
      switch(to) {
        case 40: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 41:   //QTabletEvent
      switch(to) {
        case 41: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QTimerEvent
      switch(to) {
        case 42: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QVariant
      switch(to) {
        case 43: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 44:   //QWheelEvent
      switch(to) {
        case 44: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QWidget
      switch(to) {
        case 26: return (void*)(QObject*)(QWidget*)xptr;
        case 45: return (void*)(QWidget*)xptr;
        case 85: return (void*)(QsciScintillaBase*)(QWidget*)xptr;
        case 84: return (void*)(QsciScintilla*)(QWidget*)xptr;
        default: return xptr;
      }
    case 46:   //QsciAPIs
      switch(to) {
        case 47: return (void*)(QsciAbstractAPIs*)(QsciAPIs*)xptr;
        case 26: return (void*)(QObject*)(QsciAPIs*)xptr;
        case 46: return (void*)(QsciAPIs*)xptr;
        default: return xptr;
      }
    case 47:   //QsciAbstractAPIs
      switch(to) {
        case 26: return (void*)(QObject*)(QsciAbstractAPIs*)xptr;
        case 47: return (void*)(QsciAbstractAPIs*)xptr;
        case 46: return (void*)(QsciAPIs*)(QsciAbstractAPIs*)xptr;
        default: return xptr;
      }
    case 48:   //QsciCommand
      switch(to) {
        case 48: return (void*)(QsciCommand*)xptr;
        default: return xptr;
      }
    case 49:   //QsciCommandSet
      switch(to) {
        case 49: return (void*)(QsciCommandSet*)xptr;
        default: return xptr;
      }
    case 50:   //QsciDocument
      switch(to) {
        case 50: return (void*)(QsciDocument*)xptr;
        default: return xptr;
      }
    case 51:   //QsciLexer
      switch(to) {
        case 26: return (void*)(QObject*)(QsciLexer*)xptr;
        case 51: return (void*)(QsciLexer*)xptr;
        case 64: return (void*)(QsciLexerIDL*)(QsciLexer*)xptr;
        case 57: return (void*)(QsciLexerCSharp*)(QsciLexer*)xptr;
        case 65: return (void*)(QsciLexerJava*)(QsciLexer*)xptr;
        case 79: return (void*)(QsciLexerVHDL*)(QsciLexer*)xptr;
        case 81: return (void*)(QsciLexerYAML*)(QsciLexer*)xptr;
        case 67: return (void*)(QsciLexerLua*)(QsciLexer*)xptr;
        case 74: return (void*)(QsciLexerPython*)(QsciLexer*)xptr;
        case 52: return (void*)(QsciLexerBash*)(QsciLexer*)xptr;
        case 55: return (void*)(QsciLexerCPP*)(QsciLexer*)xptr;
        case 60: return (void*)(QsciLexerDiff*)(QsciLexer*)xptr;
        case 68: return (void*)(QsciLexerMakefile*)(QsciLexer*)xptr;
        case 66: return (void*)(QsciLexerJavaScript*)(QsciLexer*)xptr;
        case 63: return (void*)(QsciLexerHTML*)(QsciLexer*)xptr;
        case 76: return (void*)(QsciLexerSQL*)(QsciLexer*)xptr;
        case 77: return (void*)(QsciLexerTCL*)(QsciLexer*)xptr;
        case 73: return (void*)(QsciLexerProperties*)(QsciLexer*)xptr;
        case 58: return (void*)(QsciLexerCustom*)(QsciLexer*)xptr;
        case 56: return (void*)(QsciLexerCSS*)(QsciLexer*)xptr;
        case 71: return (void*)(QsciLexerPerl*)(QsciLexer*)xptr;
        case 59: return (void*)(QsciLexerD*)(QsciLexer*)xptr;
        case 53: return (void*)(QsciLexerBatch*)(QsciLexer*)xptr;
        case 75: return (void*)(QsciLexerRuby*)(QsciLexer*)xptr;
        case 78: return (void*)(QsciLexerTeX*)(QsciLexer*)xptr;
        case 69: return (void*)(QsciLexerPOV*)(QsciLexer*)xptr;
        case 72: return (void*)(QsciLexerPostScript*)(QsciLexer*)xptr;
        case 54: return (void*)(QsciLexerCMake*)(QsciLexer*)xptr;
        case 61: return (void*)(QsciLexerFortran*)(QsciLexer*)xptr;
        case 62: return (void*)(QsciLexerFortran77*)(QsciLexer*)xptr;
        case 70: return (void*)(QsciLexerPascal*)(QsciLexer*)xptr;
        case 80: return (void*)(QsciLexerXML*)(QsciLexer*)xptr;
        default: return xptr;
      }
    case 52:   //QsciLexerBash
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerBash*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerBash*)xptr;
        case 52: return (void*)(QsciLexerBash*)xptr;
        default: return xptr;
      }
    case 53:   //QsciLexerBatch
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerBatch*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerBatch*)xptr;
        case 53: return (void*)(QsciLexerBatch*)xptr;
        default: return xptr;
      }
    case 54:   //QsciLexerCMake
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerCMake*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerCMake*)xptr;
        case 54: return (void*)(QsciLexerCMake*)xptr;
        default: return xptr;
      }
    case 55:   //QsciLexerCPP
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerCPP*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerCPP*)xptr;
        case 55: return (void*)(QsciLexerCPP*)xptr;
        case 64: return (void*)(QsciLexerIDL*)(QsciLexerCPP*)xptr;
        case 57: return (void*)(QsciLexerCSharp*)(QsciLexerCPP*)xptr;
        case 65: return (void*)(QsciLexerJava*)(QsciLexerCPP*)xptr;
        case 66: return (void*)(QsciLexerJavaScript*)(QsciLexerCPP*)xptr;
        default: return xptr;
      }
    case 56:   //QsciLexerCSS
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerCSS*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerCSS*)xptr;
        case 56: return (void*)(QsciLexerCSS*)xptr;
        default: return xptr;
      }
    case 57:   //QsciLexerCSharp
      switch(to) {
        case 55: return (void*)(QsciLexerCPP*)(QsciLexerCSharp*)xptr;
        case 51: return (void*)(QsciLexer*)(QsciLexerCSharp*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerCSharp*)xptr;
        case 57: return (void*)(QsciLexerCSharp*)xptr;
        default: return xptr;
      }
    case 58:   //QsciLexerCustom
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerCustom*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerCustom*)xptr;
        case 58: return (void*)(QsciLexerCustom*)xptr;
        default: return xptr;
      }
    case 59:   //QsciLexerD
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerD*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerD*)xptr;
        case 59: return (void*)(QsciLexerD*)xptr;
        default: return xptr;
      }
    case 60:   //QsciLexerDiff
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerDiff*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerDiff*)xptr;
        case 60: return (void*)(QsciLexerDiff*)xptr;
        default: return xptr;
      }
    case 61:   //QsciLexerFortran
      switch(to) {
        case 62: return (void*)(QsciLexerFortran77*)(QsciLexerFortran*)xptr;
        case 51: return (void*)(QsciLexer*)(QsciLexerFortran*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerFortran*)xptr;
        case 61: return (void*)(QsciLexerFortran*)xptr;
        default: return xptr;
      }
    case 62:   //QsciLexerFortran77
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerFortran77*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerFortran77*)xptr;
        case 62: return (void*)(QsciLexerFortran77*)xptr;
        case 61: return (void*)(QsciLexerFortran*)(QsciLexerFortran77*)xptr;
        default: return xptr;
      }
    case 63:   //QsciLexerHTML
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerHTML*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerHTML*)xptr;
        case 63: return (void*)(QsciLexerHTML*)xptr;
        case 80: return (void*)(QsciLexerXML*)(QsciLexerHTML*)xptr;
        default: return xptr;
      }
    case 64:   //QsciLexerIDL
      switch(to) {
        case 55: return (void*)(QsciLexerCPP*)(QsciLexerIDL*)xptr;
        case 51: return (void*)(QsciLexer*)(QsciLexerIDL*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerIDL*)xptr;
        case 64: return (void*)(QsciLexerIDL*)xptr;
        default: return xptr;
      }
    case 65:   //QsciLexerJava
      switch(to) {
        case 55: return (void*)(QsciLexerCPP*)(QsciLexerJava*)xptr;
        case 51: return (void*)(QsciLexer*)(QsciLexerJava*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerJava*)xptr;
        case 65: return (void*)(QsciLexerJava*)xptr;
        default: return xptr;
      }
    case 66:   //QsciLexerJavaScript
      switch(to) {
        case 55: return (void*)(QsciLexerCPP*)(QsciLexerJavaScript*)xptr;
        case 51: return (void*)(QsciLexer*)(QsciLexerJavaScript*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerJavaScript*)xptr;
        case 66: return (void*)(QsciLexerJavaScript*)xptr;
        default: return xptr;
      }
    case 67:   //QsciLexerLua
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerLua*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerLua*)xptr;
        case 67: return (void*)(QsciLexerLua*)xptr;
        default: return xptr;
      }
    case 68:   //QsciLexerMakefile
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerMakefile*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerMakefile*)xptr;
        case 68: return (void*)(QsciLexerMakefile*)xptr;
        default: return xptr;
      }
    case 69:   //QsciLexerPOV
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerPOV*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerPOV*)xptr;
        case 69: return (void*)(QsciLexerPOV*)xptr;
        default: return xptr;
      }
    case 70:   //QsciLexerPascal
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerPascal*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerPascal*)xptr;
        case 70: return (void*)(QsciLexerPascal*)xptr;
        default: return xptr;
      }
    case 71:   //QsciLexerPerl
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerPerl*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerPerl*)xptr;
        case 71: return (void*)(QsciLexerPerl*)xptr;
        default: return xptr;
      }
    case 72:   //QsciLexerPostScript
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerPostScript*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerPostScript*)xptr;
        case 72: return (void*)(QsciLexerPostScript*)xptr;
        default: return xptr;
      }
    case 73:   //QsciLexerProperties
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerProperties*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerProperties*)xptr;
        case 73: return (void*)(QsciLexerProperties*)xptr;
        default: return xptr;
      }
    case 74:   //QsciLexerPython
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerPython*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerPython*)xptr;
        case 74: return (void*)(QsciLexerPython*)xptr;
        default: return xptr;
      }
    case 75:   //QsciLexerRuby
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerRuby*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerRuby*)xptr;
        case 75: return (void*)(QsciLexerRuby*)xptr;
        default: return xptr;
      }
    case 76:   //QsciLexerSQL
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerSQL*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerSQL*)xptr;
        case 76: return (void*)(QsciLexerSQL*)xptr;
        default: return xptr;
      }
    case 77:   //QsciLexerTCL
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerTCL*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerTCL*)xptr;
        case 77: return (void*)(QsciLexerTCL*)xptr;
        default: return xptr;
      }
    case 78:   //QsciLexerTeX
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerTeX*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerTeX*)xptr;
        case 78: return (void*)(QsciLexerTeX*)xptr;
        default: return xptr;
      }
    case 79:   //QsciLexerVHDL
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerVHDL*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerVHDL*)xptr;
        case 79: return (void*)(QsciLexerVHDL*)xptr;
        default: return xptr;
      }
    case 80:   //QsciLexerXML
      switch(to) {
        case 63: return (void*)(QsciLexerHTML*)(QsciLexerXML*)xptr;
        case 51: return (void*)(QsciLexer*)(QsciLexerXML*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerXML*)xptr;
        case 80: return (void*)(QsciLexerXML*)xptr;
        default: return xptr;
      }
    case 81:   //QsciLexerYAML
      switch(to) {
        case 51: return (void*)(QsciLexer*)(QsciLexerYAML*)xptr;
        case 26: return (void*)(QObject*)(QsciLexerYAML*)xptr;
        case 81: return (void*)(QsciLexerYAML*)xptr;
        default: return xptr;
      }
    case 82:   //QsciMacro
      switch(to) {
        case 26: return (void*)(QObject*)(QsciMacro*)xptr;
        case 82: return (void*)(QsciMacro*)xptr;
        default: return xptr;
      }
    case 83:   //QsciPrinter
      switch(to) {
        case 33: return (void*)(QPrinter*)(QsciPrinter*)xptr;
        case 83: return (void*)(QsciPrinter*)xptr;
        default: return xptr;
      }
    case 84:   //QsciScintilla
      switch(to) {
        case 85: return (void*)(QsciScintillaBase*)(QsciScintilla*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintilla*)xptr;
        case 16: return (void*)(QFrame*)(QsciScintilla*)xptr;
        case 45: return (void*)(QWidget*)(QsciScintilla*)xptr;
        case 26: return (void*)(QObject*)(QsciScintilla*)xptr;
        case 84: return (void*)(QsciScintilla*)xptr;
        default: return xptr;
      }
    case 85:   //QsciScintillaBase
      switch(to) {
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintillaBase*)xptr;
        case 16: return (void*)(QFrame*)(QsciScintillaBase*)xptr;
        case 45: return (void*)(QWidget*)(QsciScintillaBase*)xptr;
        case 26: return (void*)(QObject*)(QsciScintillaBase*)xptr;
        case 85: return (void*)(QsciScintillaBase*)xptr;
        case 84: return (void*)(QsciScintilla*)(QsciScintillaBase*)xptr;
        default: return xptr;
      }
    case 86:   //QsciStyle
      switch(to) {
        case 86: return (void*)(QsciStyle*)xptr;
        default: return xptr;
      }
    case 87:   //QsciStyledText
      switch(to) {
        case 87: return (void*)(QsciStyledText*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    47, 0,	// 1: QsciAbstractAPIs
    26, 0,	// 3: QObject
    51, 0,	// 5: QsciLexer
    55, 0,	// 7: QsciLexerCPP
    62, 0,	// 9: QsciLexerFortran77
    63, 0,	// 11: QsciLexerHTML
    33, 0,	// 13: QPrinter
    85, 0,	// 15: QsciScintillaBase
    1, 0,	// 17: QAbstractScrollArea
};

// These are the xenum functions for manipulating enum pointers
void xenum_QsciScintilla(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciLexerPython(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciStyle(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAbstractAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommandSet(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexer(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBash(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBatch(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCMake(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCPP(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSS(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSharp(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCustom(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerD(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerDiff(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran77(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerHTML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerIDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJava(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJavaScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerLua(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerMakefile(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPOV(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPascal(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPerl(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPostScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerProperties(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPython(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerRuby(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerSQL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTCL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTeX(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerVHDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerXML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerYAML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciMacro(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciPrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintilla(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintillaBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyledText(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QColor", true, 0, 0, 0, 0, 0 },	//7
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QFrame", true, 0, 0, 0, 0, 0 },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//17
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//19
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//22
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//23
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QObject", true, 0, 0, 0, 0, 0 },	//26
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//27
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//28
    { "QPainter", true, 0, 0, 0, 0, 0 },	//29
    { "QPalette", true, 0, 0, 0, 0, 0 },	//30
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//31
    { "QPoint", true, 0, 0, 0, 0, 0 },	//32
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//33
    { "QRect", true, 0, 0, 0, 0, 0 },	//34
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//35
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QSettings", true, 0, 0, 0, 0, 0 },	//37
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QSize", true, 0, 0, 0, 0, 0 },	//39
    { "QStyle", true, 0, 0, 0, 0, 0 },	//40
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QVariant", true, 0, 0, 0, 0, 0 },	//43
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QWidget", true, 0, 0, 0, 0, 0 },	//45
    { "QsciAPIs", false, 1, xcall_QsciAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAPIs) },	//46
    { "QsciAbstractAPIs", false, 3, xcall_QsciAbstractAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAbstractAPIs) },	//47
    { "QsciCommand", false, 0, xcall_QsciCommand, 0, 0, sizeof(QsciCommand) },	//48
    { "QsciCommandSet", false, 0, xcall_QsciCommandSet, 0, 0, sizeof(QsciCommandSet) },	//49
    { "QsciDocument", false, 0, xcall_QsciDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QsciDocument) },	//50
    { "QsciLexer", false, 3, xcall_QsciLexer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexer) },	//51
    { "QsciLexerBash", false, 5, xcall_QsciLexerBash, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBash) },	//52
    { "QsciLexerBatch", false, 5, xcall_QsciLexerBatch, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBatch) },	//53
    { "QsciLexerCMake", false, 5, xcall_QsciLexerCMake, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCMake) },	//54
    { "QsciLexerCPP", false, 5, xcall_QsciLexerCPP, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCPP) },	//55
    { "QsciLexerCSS", false, 5, xcall_QsciLexerCSS, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSS) },	//56
    { "QsciLexerCSharp", false, 7, xcall_QsciLexerCSharp, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSharp) },	//57
    { "QsciLexerCustom", false, 5, xcall_QsciLexerCustom, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCustom) },	//58
    { "QsciLexerD", false, 5, xcall_QsciLexerD, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerD) },	//59
    { "QsciLexerDiff", false, 5, xcall_QsciLexerDiff, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerDiff) },	//60
    { "QsciLexerFortran", false, 9, xcall_QsciLexerFortran, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran) },	//61
    { "QsciLexerFortran77", false, 5, xcall_QsciLexerFortran77, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran77) },	//62
    { "QsciLexerHTML", false, 5, xcall_QsciLexerHTML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerHTML) },	//63
    { "QsciLexerIDL", false, 7, xcall_QsciLexerIDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerIDL) },	//64
    { "QsciLexerJava", false, 7, xcall_QsciLexerJava, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJava) },	//65
    { "QsciLexerJavaScript", false, 7, xcall_QsciLexerJavaScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJavaScript) },	//66
    { "QsciLexerLua", false, 5, xcall_QsciLexerLua, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerLua) },	//67
    { "QsciLexerMakefile", false, 5, xcall_QsciLexerMakefile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerMakefile) },	//68
    { "QsciLexerPOV", false, 5, xcall_QsciLexerPOV, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPOV) },	//69
    { "QsciLexerPascal", false, 5, xcall_QsciLexerPascal, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPascal) },	//70
    { "QsciLexerPerl", false, 5, xcall_QsciLexerPerl, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPerl) },	//71
    { "QsciLexerPostScript", false, 5, xcall_QsciLexerPostScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPostScript) },	//72
    { "QsciLexerProperties", false, 5, xcall_QsciLexerProperties, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerProperties) },	//73
    { "QsciLexerPython", false, 5, xcall_QsciLexerPython, xenum_QsciLexerPython, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPython) },	//74
    { "QsciLexerRuby", false, 5, xcall_QsciLexerRuby, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerRuby) },	//75
    { "QsciLexerSQL", false, 5, xcall_QsciLexerSQL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerSQL) },	//76
    { "QsciLexerTCL", false, 5, xcall_QsciLexerTCL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTCL) },	//77
    { "QsciLexerTeX", false, 5, xcall_QsciLexerTeX, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTeX) },	//78
    { "QsciLexerVHDL", false, 5, xcall_QsciLexerVHDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerVHDL) },	//79
    { "QsciLexerXML", false, 11, xcall_QsciLexerXML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerXML) },	//80
    { "QsciLexerYAML", false, 5, xcall_QsciLexerYAML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerYAML) },	//81
    { "QsciMacro", false, 3, xcall_QsciMacro, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciMacro) },	//82
    { "QsciPrinter", false, 13, xcall_QsciPrinter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciPrinter) },	//83
    { "QsciScintilla", false, 15, xcall_QsciScintilla, xenum_QsciScintilla, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintilla) },	//84
    { "QsciScintillaBase", false, 17, xcall_QsciScintillaBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintillaBase) },	//85
    { "QsciStyle", false, 0, xcall_QsciStyle, xenum_QsciStyle, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyle) },	//86
    { "QsciStyledText", false, 0, xcall_QsciStyledText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyledText) },	//87
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QColor", 7, Smoke::t_class|Smoke::tf_stack },	//6
    { "QContextMenuEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QFont", 15, Smoke::t_class|Smoke::tf_stack },	//14
    { "QHideEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QIODevice*", 19, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QInputMethodEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QKeyEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QList<QsciCommand*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//19
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//21
    { "QMetaObject::Call", 22, Smoke::t_enum|Smoke::tf_stack },	//22
    { "QMimeData*", 23, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QMouseEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QMoveEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QObject*", 26, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QPaintEngine*", 27, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QPaintEvent*", 28, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QPainter&", 29, Smoke::t_class|Smoke::tf_ref },	//30
    { "QPainter*", 29, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QPrinter::PrinterMode", 33, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QRect&", 34, Smoke::t_class|Smoke::tf_ref },	//33
    { "QRegExp&", 35, Smoke::t_class|Smoke::tf_ref },	//34
    { "QResizeEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QSettings&", 37, Smoke::t_class|Smoke::tf_ref },	//36
    { "QShowEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QSize", 39, Smoke::t_class|Smoke::tf_stack },	//38
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//39
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//40
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//41
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//42
    { "QStyle&", 40, Smoke::t_class|Smoke::tf_ref },	//43
    { "QTabletEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QTimerEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QVariant", 43, Smoke::t_class|Smoke::tf_stack },	//46
    { "QWheelEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QWidget*", 45, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QsciAPIs*", 46, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QsciAbstractAPIs*", 47, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QsciCommandSet*", 49, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QsciDocument", 50, Smoke::t_class|Smoke::tf_stack },	//52
    { "QsciDocument&", 50, Smoke::t_class|Smoke::tf_ref },	//53
    { "QsciDocument*", 50, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QsciLexer*", 51, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QsciLexerBash*", 52, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QsciLexerBatch*", 53, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QsciLexerCMake*", 54, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QsciLexerCPP*", 55, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QsciLexerCSS*", 56, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QsciLexerCSharp*", 57, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QsciLexerCustom*", 58, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QsciLexerD*", 59, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QsciLexerDiff*", 60, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QsciLexerFortran*", 61, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QsciLexerFortran77*", 62, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QsciLexerHTML*", 63, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QsciLexerIDL*", 64, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QsciLexerJava*", 65, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QsciLexerJavaScript*", 66, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QsciLexerLua*", 67, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QsciLexerMakefile*", 68, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QsciLexerPOV*", 69, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QsciLexerPascal*", 70, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QsciLexerPerl*", 71, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QsciLexerPostScript*", 72, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QsciLexerProperties*", 73, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QsciLexerPython*", 74, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QsciLexerPython::IndentationWarning", 74, Smoke::t_enum|Smoke::tf_stack },	//79
    { "QsciLexerRuby*", 75, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QsciLexerSQL*", 76, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QsciLexerTCL*", 77, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QsciLexerTeX*", 78, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QsciLexerVHDL*", 79, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QsciLexerXML*", 80, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QsciLexerYAML*", 81, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QsciMacro*", 82, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QsciPrinter*", 83, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QsciScintilla*", 84, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QsciScintilla::AnnotationDisplay", 84, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QsciScintilla::AutoCompletionSource", 84, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QsciScintilla::AutoCompletionUseSingle", 84, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QsciScintilla::BraceMatch", 84, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QsciScintilla::CallTipsStyle", 84, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QsciScintilla::EdgeMode", 84, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QsciScintilla::EolMode", 84, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QsciScintilla::FoldStyle", 84, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QsciScintilla::IndentState", 84, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QsciScintilla::IndicatorStyle", 84, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QsciScintilla::MarginType", 84, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QsciScintilla::MarkerSymbol", 84, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QsciScintilla::WhitespaceVisibility", 84, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QsciScintilla::WrapIndentMode", 84, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QsciScintilla::WrapMode", 84, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QsciScintilla::WrapVisualFlag", 84, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QsciScintillaBase*", 85, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QsciStyle*", 86, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QsciStyle::TextCase", 86, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QsciStyledText*", 87, Smoke::t_class|Smoke::tf_ptr },	//109
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//150
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QtMsgType", 17, Smoke::t_enum|Smoke::tf_stack },	//183
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//184
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//185
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//186
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//187
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//188
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const QColor&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const QList<QsciStyledText>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const QMetaObject&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const QMetaObject*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//195
    { "const QMimeData*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//196
    { "const QPalette&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const QPixmap&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const QPoint&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const QRect&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const QRegExp&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//204
    { "const QsciDocument&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const QsciStyle&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const QsciStyledText&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//208
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//209
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//210
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//211
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//212
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//213
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//214
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//215
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//216
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//217
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//218
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    12, 0,	//1  QEvent*
    47, 0,	//3  QWheelEvent*
    26, 12, 0,	//5  QObject*, QEvent*
    45, 0,	//8  QTimerEvent*
    4, 0,	//10  QChildEvent*
    208, 0,	//12  const char*
    27, 0,	//14  QPaintDevice::PaintDeviceMetric
    185, 0,	//16  bool
    210, 0,	//18  int
    18, 0,	//20  QKeyEvent*
    25, 0,	//22  QMoveEvent*
    5, 0,	//24  QCloseEvent*
    44, 0,	//26  QTabletEvent*
    1, 0,	//28  QActionEvent*
    37, 0,	//30  QShowEvent*
    15, 0,	//32  QHideEvent*
    184, 0,	//34  _XEvent*
    144, 0,	//36  Qt::InputMethodQuery
    43, 0,	//38  QStyle&
    197, 0,	//40  const QPalette&
    191, 0,	//42  const QFont&
    208, 208, 0,	//44  const char*, const char*
    208, 208, 210, 0,	//47  const char*, const char*, int
    22, 210, 217, 0,	//51  QMetaObject::Call, int, void**
    55, 0,	//55  QsciLexer*
    202, 0,	//57  const QString&
    203, 41, 0,	//59  const QStringList&, QStringList&
    203, 210, 94, 21, 0,	//62  const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&
    36, 208, 0,	//67  QSettings&, const char*
    36, 0,	//70  QSettings&
    205, 0,	//72  const QsciDocument&
    26, 0,	//74  QObject*
    212, 0,	//76  int*
    50, 0,	//78  QsciAbstractAPIs*
    190, 0,	//80  const QColor&
    89, 0,	//82  QsciScintilla*
    190, 210, 0,	//84  const QColor&, int
    185, 210, 0,	//87  bool, int
    191, 210, 0,	//90  const QFont&, int
    36, 202, 0,	//93  QSettings&, const QString&
    26, 185, 0,	//96  QObject*, bool
    210, 210, 0,	//99  int, int
    210, 206, 0,	//102  int, const QsciStyle&
    79, 0,	//105  QsciLexerPython::IndentationWarning
    202, 89, 0,	//107  const QString&, QsciScintilla*
    32, 0,	//110  QPrinter::PrinterMode
    30, 185, 33, 210, 0,	//112  QPainter&, bool, QRect&, int
    106, 210, 210, 0,	//117  QsciScintillaBase*, int, int
    104, 0,	//121  QsciScintilla::WrapMode
    106, 0,	//123  QsciScintillaBase*
    106, 210, 0,	//125  QsciScintillaBase*, int
    48, 0,	//128  QWidget*
    210, 211, 211, 0,	//130  int, int&, int&
    210, 202, 210, 0,	//134  int, const QString&, int
    210, 202, 206, 0,	//138  int, const QString&, const QsciStyle&
    210, 207, 0,	//142  int, const QsciStyledText&
    210, 192, 0,	//145  int, const QList<QsciStyledText>&
    210, 210, 210, 210, 210, 0,	//148  int, int, int, int, int
    96, 0,	//154  QsciScintilla::EolMode
    202, 185, 185, 185, 185, 185, 210, 210, 185, 0,	//156  const QString&, bool, bool, bool, bool, bool, int, int, bool
    212, 212, 0,	//166  int*, int*
    212, 212, 212, 212, 0,	//169  int*, int*, int*, int*
    99, 210, 0,	//174  QsciScintilla::IndicatorStyle, int
    187, 0,	//177  char
    199, 0,	//179  const QPoint&
    210, 212, 212, 0,	//181  int, int*, int*
    101, 210, 0,	//185  QsciScintilla::MarkerSymbol, int
    187, 210, 0,	//188  char, int
    198, 210, 0,	//191  const QPixmap&, int
    210, 214, 0,	//194  int, unsigned int
    16, 0,	//197  QIODevice*
    210, 198, 0,	//199  int, const QPixmap&
    190, 190, 0,	//202  const QColor&, const QColor&
    90, 0,	//205  QsciScintilla::AnnotationDisplay
    203, 0,	//207  const QStringList&
    94, 0,	//209  QsciScintilla::CallTipsStyle
    193, 0,	//211  const QList<int>&
    95, 0,	//213  QsciScintilla::EdgeMode
    210, 100, 0,	//215  int, QsciScintilla::MarginType
    105, 105, 210, 0,	//218  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int
    103, 0,	//222  QsciScintilla::WrapIndentMode
    210, 203, 0,	//224  int, const QStringList&
    202, 210, 210, 0,	//227  const QString&, int, int
    91, 0,	//231  QsciScintilla::AutoCompletionSource
    92, 0,	//233  QsciScintilla::AutoCompletionUseSingle
    93, 0,	//235  QsciScintilla::BraceMatch
    97, 210, 0,	//237  QsciScintilla::FoldStyle, int
    210, 185, 0,	//240  int, bool
    210, 202, 0,	//243  int, const QString&
    210, 210, 210, 210, 0,	//246  int, int, int, int
    102, 0,	//251  QsciScintilla::WhitespaceVisibility
    210, 210, 150, 0,	//253  int, int, Qt::KeyboardModifiers
    202, 185, 185, 185, 185, 0,	//257  const QString&, bool, bool, bool, bool
    202, 185, 185, 185, 185, 185, 0,	//263  const QString&, bool, bool, bool, bool, bool
    202, 185, 185, 185, 185, 185, 210, 0,	//270  const QString&, bool, bool, bool, bool, bool, int
    202, 185, 185, 185, 185, 185, 210, 210, 0,	//278  const QString&, bool, bool, bool, bool, bool, int, int
    99, 0,	//287  QsciScintilla::IndicatorStyle
    101, 0,	//289  QsciScintilla::MarkerSymbol
    198, 0,	//291  const QPixmap&
    105, 0,	//293  QsciScintilla::WrapVisualFlag
    105, 105, 0,	//295  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag
    97, 0,	//298  QsciScintilla::FoldStyle
    214, 215, 213, 0,	//300  unsigned int, unsigned long, long
    214, 215, 216, 0,	//304  unsigned int, unsigned long, void*
    214, 215, 208, 0,	//308  unsigned int, unsigned long, const char*
    214, 208, 0,	//312  unsigned int, const char*
    214, 208, 208, 0,	//315  unsigned int, const char*, const char*
    214, 213, 0,	//319  unsigned int, long
    214, 210, 0,	//322  unsigned int, int
    214, 213, 213, 188, 0,	//325  unsigned int, long, long, char*
    214, 215, 190, 0,	//330  unsigned int, unsigned long, const QColor&
    214, 190, 0,	//334  unsigned int, const QColor&
    214, 215, 31, 200, 213, 213, 0,	//337  unsigned int, unsigned long, QPainter*, const QRect&, long, long
    214, 215, 198, 0,	//344  unsigned int, unsigned long, const QPixmap&
    214, 0,	//348  unsigned int
    208, 210, 0,	//350  const char*, int
    210, 210, 210, 0,	//353  int, int, int
    210, 210, 208, 210, 210, 210, 210, 210, 210, 210, 0,	//357  int, int, const char*, int, int, int, int, int, int, int
    196, 0,	//368  const QMimeData*
    196, 186, 0,	//370  const QMimeData*, bool&
    189, 185, 0,	//373  const QByteArray&, bool
    7, 0,	//376  QContextMenuEvent*
    8, 0,	//378  QDragEnterEvent*
    9, 0,	//380  QDragLeaveEvent*
    10, 0,	//382  QDragMoveEvent*
    11, 0,	//384  QDropEvent*
    13, 0,	//386  QFocusEvent*
    17, 0,	//388  QInputMethodEvent*
    24, 0,	//390  QMouseEvent*
    29, 0,	//392  QPaintEvent*
    35, 0,	//394  QResizeEvent*
    214, 215, 0,	//396  unsigned int, unsigned long
    210, 202, 190, 190, 191, 185, 0,	//399  int, const QString&, const QColor&, const QColor&, const QFont&, bool
    108, 0,	//406  QsciStyle::TextCase
    206, 0,	//408  const QsciStyle&
    210, 202, 190, 190, 191, 0,	//410  int, const QString&, const QColor&, const QColor&, const QFont&
    202, 210, 0,	//416  const QString&, int
    202, 206, 0,	//419  const QString&, const QsciStyle&
    207, 0,	//422  const QsciStyledText&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "A0",	//1
    "A1",	//2
    "A2",	//3
    "A3",	//4
    "A4",	//5
    "A5",	//6
    "A6",	//7
    "A7",	//8
    "A8",	//9
    "A9",	//10
    "ASPAtStart",	//11
    "ASPJavaScriptComment",	//12
    "ASPJavaScriptCommentDoc",	//13
    "ASPJavaScriptCommentLine",	//14
    "ASPJavaScriptDefault",	//15
    "ASPJavaScriptDoubleQuotedString",	//16
    "ASPJavaScriptKeyword",	//17
    "ASPJavaScriptNumber",	//18
    "ASPJavaScriptRegex",	//19
    "ASPJavaScriptSingleQuotedString",	//20
    "ASPJavaScriptStart",	//21
    "ASPJavaScriptSymbol",	//22
    "ASPJavaScriptUnclosedString",	//23
    "ASPJavaScriptWord",	//24
    "ASPPythonClassName",	//25
    "ASPPythonComment",	//26
    "ASPPythonDefault",	//27
    "ASPPythonDoubleQuotedString",	//28
    "ASPPythonFunctionMethodName",	//29
    "ASPPythonIdentifier",	//30
    "ASPPythonKeyword",	//31
    "ASPPythonNumber",	//32
    "ASPPythonOperator",	//33
    "ASPPythonSingleQuotedString",	//34
    "ASPPythonStart",	//35
    "ASPPythonTripleDoubleQuotedString",	//36
    "ASPPythonTripleSingleQuotedString",	//37
    "ASPStart",	//38
    "ASPVBScriptComment",	//39
    "ASPVBScriptDefault",	//40
    "ASPVBScriptIdentifier",	//41
    "ASPVBScriptKeyword",	//42
    "ASPVBScriptNumber",	//43
    "ASPVBScriptStart",	//44
    "ASPVBScriptString",	//45
    "ASPVBScriptUnclosedString",	//46
    "ASPXCComment",	//47
    "Aborted",	//48
    "AcsAPIs",	//49
    "AcsAll",	//50
    "AcsDocument",	//51
    "AcsNone",	//52
    "Active",	//53
    "AcusAlways",	//54
    "AcusExplicit",	//55
    "AcusNever",	//56
    "AiClosing",	//57
    "AiMaintain",	//58
    "AiOpening",	//59
    "AllPages",	//60
    "AnnotationBoxed",	//61
    "AnnotationHidden",	//62
    "AnnotationStandard",	//63
    "Array",	//64
    "ArrayParenthesis",	//65
    "Asm",	//66
    "Assignment",	//67
    "AtRule",	//68
    "Attribute",	//69
    "Auto",	//70
    "B0",	//71
    "B1",	//72
    "B10",	//73
    "B2",	//74
    "B3",	//75
    "B4",	//76
    "B5",	//77
    "B6",	//78
    "B7",	//79
    "B8",	//80
    "B9",	//81
    "Background",	//82
    "BackquoteString",	//83
    "BacktickHereDocument",	//84
    "Backticks",	//85
    "BadDirective",	//86
    "BadStringCharacter",	//87
    "Base85String",	//88
    "BasicFunctions",	//89
    "BlockForeach",	//90
    "BlockIf",	//91
    "BlockMacro",	//92
    "BlockWhile",	//93
    "BottomLeftCorner",	//94
    "Box",	//95
    "BoxIndicator",	//96
    "BoxedFoldStyle",	//97
    "BoxedMinus",	//98
    "BoxedMinusConnected",	//99
    "BoxedPlus",	//100
    "BoxedPlusConnected",	//101
    "BoxedTreeFoldStyle",	//102
    "C5E",	//103
    "CDATA",	//104
    "CSS1Property",	//105
    "CSS2Property",	//106
    "CSS3Property",	//107
    "CallTipsContext",	//108
    "CallTipsNoAutoCompletionContext",	//109
    "CallTipsNoContext",	//110
    "CallTipsNone",	//111
    "Cassette",	//112
    "Character",	//113
    "Cicero",	//114
    "Circle",	//115
    "CircledFoldStyle",	//116
    "CircledMinus",	//117
    "CircledMinusConnected",	//118
    "CircledPlus",	//119
    "CircledPlusConnected",	//120
    "CircledTreeFoldStyle",	//121
    "ClassName",	//122
    "ClassSelector",	//123
    "ClassVariable",	//124
    "Color",	//125
    "Comm10E",	//126
    "Command",	//127
    "Comment",	//128
    "CommentBlock",	//129
    "CommentBox",	//130
    "CommentDoc",	//131
    "CommentDocKeyword",	//132
    "CommentDocKeywordError",	//133
    "CommentLine",	//134
    "CommentLineDoc",	//135
    "CommentLineHash",	//136
    "CommentNested",	//137
    "CommentParenthesis",	//138
    "Continuation",	//139
    "CoroutinesIOSystemFacilities",	//140
    "CurrentPage",	//141
    "Custom",	//142
    "DLE",	//143
    "DSCComment",	//144
    "DSCCommentValue",	//145
    "DataSection",	//146
    "Decorator",	//147
    "Default",	//148
    "DefaultValue",	//149
    "DemotedKeyword",	//150
    "DevicePixel",	//151
    "DiagonalIndicator",	//152
    "DictionaryParenthesis",	//153
    "Didot",	//154
    "Directive",	//155
    "DocumentDelimiter",	//156
    "DottedOperator",	//157
    "DoubleQuotedHereDocument",	//158
    "DoubleQuotedString",	//159
    "DownTriangle",	//160
    "DrawChildren",	//161
    "DrawWindowBackground",	//162
    "DuplexAuto",	//163
    "DuplexLongSide",	//164
    "DuplexNone",	//165
    "DuplexShortSide",	//166
    "EdgeBackground",	//167
    "EdgeLine",	//168
    "EdgeNone",	//169
    "Entity",	//170
    "Envelope",	//171
    "EnvelopeManual",	//172
    "EolMac",	//173
    "EolUnix",	//174
    "EolWindows",	//175
    "Error",	//176
    "Executive",	//177
    "ExpandKeyword",	//178
    "ExtendedCSSProperty",	//179
    "ExtendedFunction",	//180
    "ExtendedPseudoClass",	//181
    "ExtendedPseudoElement",	//182
    "ExternalCommand",	//183
    "FirstPageFirst",	//184
    "Folio",	//185
    "FormSource",	//186
    "FormatBody",	//187
    "FormatIdentifier",	//188
    "FullRectangle",	//189
    "Function",	//190
    "FunctionMethodName",	//191
    "Global",	//192
    "GlobalClass",	//193
    "GrayScale",	//194
    "Group",	//195
    "HLine",	//196
    "HTMLComment",	//197
    "HTMLDoubleQuotedString",	//198
    "HTMLNumber",	//199
    "HTMLSingleQuotedString",	//200
    "HTMLValue",	//201
    "Hash",	//202
    "Header",	//203
    "HereDocument",	//204
    "HereDocumentDelimiter",	//205
    "HexNumber",	//206
    "HexString",	//207
    "HiddenIndicator",	//208
    "HideCommandChar",	//209
    "HighResolution",	//210
    "HighlightedIdentifier",	//211
    "IDSelector",	//212
    "ITCLKeyword",	//213
    "Identifier",	//214
    "Idle",	//215
    "IgnoreMask",	//216
    "ImmediateEvalLiteral",	//217
    "Important",	//218
    "InactiveComment",	//219
    "InactiveCommentDoc",	//220
    "InactiveCommentDocKeyword",	//221
    "InactiveCommentDocKeywordError",	//222
    "InactiveCommentLine",	//223
    "InactiveCommentLineDoc",	//224
    "InactiveDefault",	//225
    "InactiveDoubleQuotedString",	//226
    "InactiveGlobalClass",	//227
    "InactiveIdentifier",	//228
    "InactiveKeyword",	//229
    "InactiveKeywordSet2",	//230
    "InactiveNumber",	//231
    "InactiveOperator",	//232
    "InactivePreProcessor",	//233
    "InactiveRawString",	//234
    "InactiveRegex",	//235
    "InactiveSingleQuotedString",	//236
    "InactiveUUID",	//237
    "InactiveUnclosedString",	//238
    "InactiveVerbatimString",	//239
    "Inch",	//240
    "Inconsistent",	//241
    "InstanceVariable",	//242
    "IntrinsicFunction",	//243
    "Invisible",	//244
    "JavaScriptComment",	//245
    "JavaScriptCommentDoc",	//246
    "JavaScriptCommentLine",	//247
    "JavaScriptDefault",	//248
    "JavaScriptDoubleQuotedString",	//249
    "JavaScriptKeyword",	//250
    "JavaScriptNumber",	//251
    "JavaScriptRegex",	//252
    "JavaScriptSingleQuotedString",	//253
    "JavaScriptStart",	//254
    "JavaScriptSymbol",	//255
    "JavaScriptUnclosedString",	//256
    "JavaScriptWord",	//257
    "Key",	//258
    "Keyword",	//259
    "KeywordDoc",	//260
    "KeywordSecondary",	//261
    "KeywordSet2",	//262
    "KeywordSet3",	//263
    "KeywordSet5",	//264
    "KeywordSet6",	//265
    "KeywordSet7",	//266
    "KeywordSet8",	//267
    "KeywordSet9",	//268
    "Label",	//269
    "Landscape",	//270
    "LargeCapacity",	//271
    "LargeFormat",	//272
    "LastPageFirst",	//273
    "Ledger",	//274
    "LeftRectangle",	//275
    "LeftSideRoundedSplitter",	//276
    "LeftSideSplitter",	//277
    "Legal",	//278
    "Letter",	//279
    "LineAdded",	//280
    "LineChanged",	//281
    "LineComment",	//282
    "LineRemoved",	//283
    "Literal",	//284
    "LiteralString",	//285
    "Lower",	//286
    "LowerCase",	//287
    "Manual",	//288
    "MaxPageSource",	//289
    "MediaRule",	//290
    "Middle",	//291
    "Millimeter",	//292
    "Minus",	//293
    "Modifier",	//294
    "ModuleName",	//295
    "NPageSize",	//296
    "NPaperSize",	//297
    "Name",	//298
    "NativeFormat",	//299
    "NoBraceMatch",	//300
    "NoFoldStyle",	//301
    "NoFrame",	//302
    "NoWarning",	//303
    "Number",	//304
    "NumberMargin",	//305
    "ObjectsCSGAppearance",	//306
    "OnlyOne",	//307
    "Operator",	//308
    "OriginalCase",	//309
    "OtherInTag",	//310
    "PHPComment",	//311
    "PHPCommentLine",	//312
    "PHPDefault",	//313
    "PHPDoubleQuotedString",	//314
    "PHPDoubleQuotedVariable",	//315
    "PHPKeyword",	//316
    "PHPNumber",	//317
    "PHPOperator",	//318
    "PHPSingleQuotedString",	//319
    "PHPStart",	//320
    "PHPVariable",	//321
    "POD",	//322
    "PODVerbatim",	//323
    "PageRange",	//324
    "Panel",	//325
    "ParameterExpansion",	//326
    "PdfFormat",	//327
    "PercentStringQ",	//328
    "PercentStringq",	//329
    "PercentStringr",	//330
    "PercentStringw",	//331
    "PercentStringx",	//332
    "Pica",	//333
    "Plain",	//334
    "PlainFoldStyle",	//335
    "PlainIndicator",	//336
    "Plus",	//337
    "PlusComment",	//338
    "PlusKeyword",	//339
    "PlusPrompt",	//340
    "Point",	//341
    "Portrait",	//342
    "Position",	//343
    "PostScriptFormat",	//344
    "PreProcessor",	//345
    "PreProcessorParenthesis",	//346
    "PredefinedFunctions",	//347
    "PredefinedIdentifiers",	//348
    "Preprocessor",	//349
    "PrinterResolution",	//350
    "ProcedureParenthesis",	//351
    "PseudoClass",	//352
    "PseudoElement",	//353
    "PythonClassName",	//354
    "PythonComment",	//355
    "PythonDefault",	//356
    "PythonDoubleQuotedString",	//357
    "PythonFunctionMethodName",	//358
    "PythonIdentifier",	//359
    "PythonKeyword",	//360
    "PythonNumber",	//361
    "PythonOperator",	//362
    "PythonSingleQuotedString",	//363
    "PythonStart",	//364
    "PythonTripleDoubleQuotedString",	//365
    "PythonTripleSingleQuotedString",	//366
    "QSCN_SELCHANGED",	//367
    "QSCN_SELCHANGED$",	//368
    "Q_COMPLEX_TYPE",	//369
    "Q_DUMMY_TYPE",	//370
    "Q_MOVABLE_TYPE",	//371
    "Q_PRIMITIVE_TYPE",	//372
    "Q_STATIC_TYPE",	//373
    "QsciAPIs",	//374
    "QsciAPIs#",	//375
    "QsciAbstractAPIs",	//376
    "QsciAbstractAPIs#",	//377
    "QsciDocument",	//378
    "QsciDocument#",	//379
    "QsciLexer",	//380
    "QsciLexer#",	//381
    "QsciLexerBash",	//382
    "QsciLexerBash#",	//383
    "QsciLexerBatch",	//384
    "QsciLexerBatch#",	//385
    "QsciLexerCMake",	//386
    "QsciLexerCMake#",	//387
    "QsciLexerCPP",	//388
    "QsciLexerCPP#",	//389
    "QsciLexerCPP#$",	//390
    "QsciLexerCSS",	//391
    "QsciLexerCSS#",	//392
    "QsciLexerCSharp",	//393
    "QsciLexerCSharp#",	//394
    "QsciLexerCustom",	//395
    "QsciLexerCustom#",	//396
    "QsciLexerD",	//397
    "QsciLexerD#",	//398
    "QsciLexerDiff",	//399
    "QsciLexerDiff#",	//400
    "QsciLexerFortran",	//401
    "QsciLexerFortran#",	//402
    "QsciLexerFortran77",	//403
    "QsciLexerFortran77#",	//404
    "QsciLexerHTML",	//405
    "QsciLexerHTML#",	//406
    "QsciLexerIDL",	//407
    "QsciLexerIDL#",	//408
    "QsciLexerJava",	//409
    "QsciLexerJava#",	//410
    "QsciLexerJavaScript",	//411
    "QsciLexerJavaScript#",	//412
    "QsciLexerLua",	//413
    "QsciLexerLua#",	//414
    "QsciLexerMakefile",	//415
    "QsciLexerMakefile#",	//416
    "QsciLexerPOV",	//417
    "QsciLexerPOV#",	//418
    "QsciLexerPascal",	//419
    "QsciLexerPascal#",	//420
    "QsciLexerPerl",	//421
    "QsciLexerPerl#",	//422
    "QsciLexerPostScript",	//423
    "QsciLexerPostScript#",	//424
    "QsciLexerProperties",	//425
    "QsciLexerProperties#",	//426
    "QsciLexerPython",	//427
    "QsciLexerPython#",	//428
    "QsciLexerRuby",	//429
    "QsciLexerRuby#",	//430
    "QsciLexerSQL",	//431
    "QsciLexerSQL#",	//432
    "QsciLexerTCL",	//433
    "QsciLexerTCL#",	//434
    "QsciLexerTeX",	//435
    "QsciLexerTeX#",	//436
    "QsciLexerVHDL",	//437
    "QsciLexerVHDL#",	//438
    "QsciLexerXML",	//439
    "QsciLexerXML#",	//440
    "QsciLexerYAML",	//441
    "QsciLexerYAML#",	//442
    "QsciMacro",	//443
    "QsciMacro#",	//444
    "QsciMacro$#",	//445
    "QsciPrinter",	//446
    "QsciPrinter$",	//447
    "QsciScintilla",	//448
    "QsciScintilla#",	//449
    "QsciScintillaBase",	//450
    "QsciScintillaBase#",	//451
    "QsciStyle",	//452
    "QsciStyle#",	//453
    "QsciStyle$",	//454
    "QsciStyle$$###",	//455
    "QsciStyle$$###$",	//456
    "QsciStyledText",	//457
    "QsciStyledText#",	//458
    "QsciStyledText$#",	//459
    "QsciStyledText$$",	//460
    "QtCriticalMsg",	//461
    "QtDebugMsg",	//462
    "QtFatalMsg",	//463
    "QtSystemMsg",	//464
    "QtWarningMsg",	//465
    "QuotedIdentifier",	//466
    "QuotedKeyword",	//467
    "QuotedString",	//468
    "QuotedStringQ",	//469
    "QuotedStringQQ",	//470
    "QuotedStringQR",	//471
    "QuotedStringQW",	//472
    "QuotedStringQX",	//473
    "Raised",	//474
    "RawString",	//475
    "Rectangle",	//476
    "Reference",	//477
    "Regex",	//478
    "RightArrow",	//479
    "RightTriangle",	//480
    "RoundBoxIndicator",	//481
    "RoundedBottomLeftCorner",	//482
    "SCEN_CHANGE",	//483
    "SCLEX_A68K",	//484
    "SCLEX_ABAQUS",	//485
    "SCLEX_ADA",	//486
    "SCLEX_APDL",	//487
    "SCLEX_ASM",	//488
    "SCLEX_ASN1",	//489
    "SCLEX_ASP",	//490
    "SCLEX_ASYMPTOTE",	//491
    "SCLEX_AU3",	//492
    "SCLEX_AVE",	//493
    "SCLEX_BAAN",	//494
    "SCLEX_BASH",	//495
    "SCLEX_BATCH",	//496
    "SCLEX_BLITZBASIC",	//497
    "SCLEX_BULLANT",	//498
    "SCLEX_CAML",	//499
    "SCLEX_CLW",	//500
    "SCLEX_CLWNOCASE",	//501
    "SCLEX_CMAKE",	//502
    "SCLEX_COBOL",	//503
    "SCLEX_CONF",	//504
    "SCLEX_CONTAINER",	//505
    "SCLEX_CPP",	//506
    "SCLEX_CPPNOCASE",	//507
    "SCLEX_CSOUND",	//508
    "SCLEX_CSS",	//509
    "SCLEX_D",	//510
    "SCLEX_DIFF",	//511
    "SCLEX_EIFFEL",	//512
    "SCLEX_EIFFELKW",	//513
    "SCLEX_ERLANG",	//514
    "SCLEX_ERRORLIST",	//515
    "SCLEX_ESCRIPT",	//516
    "SCLEX_F77",	//517
    "SCLEX_FLAGSHIP",	//518
    "SCLEX_FORTH",	//519
    "SCLEX_FORTRAN",	//520
    "SCLEX_FREEBASIC",	//521
    "SCLEX_GAP",	//522
    "SCLEX_GUI4CLI",	//523
    "SCLEX_HASKELL",	//524
    "SCLEX_HTML",	//525
    "SCLEX_INNOSETUP",	//526
    "SCLEX_KIX",	//527
    "SCLEX_LATEX",	//528
    "SCLEX_LISP",	//529
    "SCLEX_LOT",	//530
    "SCLEX_LOUT",	//531
    "SCLEX_LUA",	//532
    "SCLEX_MAGIK",	//533
    "SCLEX_MAKEFILE",	//534
    "SCLEX_MARKDOWN",	//535
    "SCLEX_MATLAB",	//536
    "SCLEX_METAPOST",	//537
    "SCLEX_MMIXAL",	//538
    "SCLEX_MODULA",	//539
    "SCLEX_MSSQL",	//540
    "SCLEX_MYSQL",	//541
    "SCLEX_NIMROD",	//542
    "SCLEX_NNCRONTAB",	//543
    "SCLEX_NSIS",	//544
    "SCLEX_NULL",	//545
    "SCLEX_OCTAVE",	//546
    "SCLEX_OPAL",	//547
    "SCLEX_PASCAL",	//548
    "SCLEX_PERL",	//549
    "SCLEX_PHP",	//550
    "SCLEX_PHPSCRIPT",	//551
    "SCLEX_PLM",	//552
    "SCLEX_PO",	//553
    "SCLEX_POV",	//554
    "SCLEX_POWERBASIC",	//555
    "SCLEX_POWERPRO",	//556
    "SCLEX_POWERSHELL",	//557
    "SCLEX_PROGRESS",	//558
    "SCLEX_PROPERTIES",	//559
    "SCLEX_PS",	//560
    "SCLEX_PUREBASIC",	//561
    "SCLEX_PYTHON",	//562
    "SCLEX_R",	//563
    "SCLEX_REBOL",	//564
    "SCLEX_RUBY",	//565
    "SCLEX_SCRIPTOL",	//566
    "SCLEX_SMALLTALK",	//567
    "SCLEX_SML",	//568
    "SCLEX_SORCUS",	//569
    "SCLEX_SPECMAN",	//570
    "SCLEX_SPICE",	//571
    "SCLEX_SQL",	//572
    "SCLEX_TACL",	//573
    "SCLEX_TADS3",	//574
    "SCLEX_TAL",	//575
    "SCLEX_TCL",	//576
    "SCLEX_TEX",	//577
    "SCLEX_TXT2TAGS",	//578
    "SCLEX_VB",	//579
    "SCLEX_VBSCRIPT",	//580
    "SCLEX_VERILOG",	//581
    "SCLEX_VHDL",	//582
    "SCLEX_XML",	//583
    "SCLEX_YAML",	//584
    "SCN_AUTOCCANCELLED",	//585
    "SCN_AUTOCCHARDELETED",	//586
    "SCN_AUTOCSELECTION",	//587
    "SCN_AUTOCSELECTION$$",	//588
    "SCN_CALLTIPCLICK",	//589
    "SCN_CALLTIPCLICK$",	//590
    "SCN_CHARADDED",	//591
    "SCN_CHARADDED$",	//592
    "SCN_DOUBLECLICK",	//593
    "SCN_DOUBLECLICK$$$",	//594
    "SCN_DWELLEND",	//595
    "SCN_DWELLEND$$$",	//596
    "SCN_DWELLSTART",	//597
    "SCN_DWELLSTART$$$",	//598
    "SCN_HOTSPOTCLICK",	//599
    "SCN_HOTSPOTCLICK$$",	//600
    "SCN_HOTSPOTDOUBLECLICK",	//601
    "SCN_HOTSPOTDOUBLECLICK$$",	//602
    "SCN_HOTSPOTRELEASECLICK",	//603
    "SCN_HOTSPOTRELEASECLICK$$",	//604
    "SCN_INDICATORCLICK",	//605
    "SCN_INDICATORCLICK$$",	//606
    "SCN_INDICATORRELEASE",	//607
    "SCN_INDICATORRELEASE$$",	//608
    "SCN_MACRORECORD",	//609
    "SCN_MACRORECORD$$$",	//610
    "SCN_MARGINCLICK",	//611
    "SCN_MARGINCLICK$$$",	//612
    "SCN_MODIFIED",	//613
    "SCN_MODIFIED$$$$$$$$$$",	//614
    "SCN_MODIFYATTEMPTRO",	//615
    "SCN_NEEDSHOWN",	//616
    "SCN_NEEDSHOWN$$",	//617
    "SCN_PAINTED",	//618
    "SCN_SAVEPOINTLEFT",	//619
    "SCN_SAVEPOINTREACHED",	//620
    "SCN_STYLENEEDED",	//621
    "SCN_STYLENEEDED$",	//622
    "SCN_UPDATEUI",	//623
    "SCN_UPDATEUI$",	//624
    "SCN_USERLISTSELECTION",	//625
    "SCN_USERLISTSELECTION$$",	//626
    "SCN_ZOOM",	//627
    "SGMLBlockDefault",	//628
    "SGMLCommand",	//629
    "SGMLComment",	//630
    "SGMLDefault",	//631
    "SGMLDoubleQuotedString",	//632
    "SGMLEntity",	//633
    "SGMLError",	//634
    "SGMLParameter",	//635
    "SGMLParameterComment",	//636
    "SGMLSingleQuotedString",	//637
    "SGMLSpecial",	//638
    "Scalar",	//639
    "ScreenResolution",	//640
    "Script",	//641
    "Section",	//642
    "Selection",	//643
    "SendScintilla",	//644
    "SendScintilla$",	//645
    "SendScintilla$#",	//646
    "SendScintilla$$",	//647
    "SendScintilla$$#",	//648
    "SendScintilla$$##$$",	//649
    "SendScintilla$$$",	//650
    "SendScintilla$$$$",	//651
    "SendScintillaPtrResult",	//652
    "SendScintillaPtrResult$",	//653
    "Shadow_Mask",	//654
    "Shape_Mask",	//655
    "SingleQuotedHereDocument",	//656
    "SingleQuotedString",	//657
    "SloppyBraceMatch",	//658
    "SmallFormat",	//659
    "SmallRectangle",	//660
    "Spaces",	//661
    "Special",	//662
    "SquiggleIndicator",	//663
    "StandardFunction",	//664
    "StandardOperator",	//665
    "StandardPackage",	//666
    "StandardType",	//667
    "Stderr",	//668
    "Stdin",	//669
    "Stdout",	//670
    "StrictBraceMatch",	//671
    "StrikeIndicator",	//672
    "String",	//673
    "StringLeftQuote",	//674
    "StringRightQuote",	//675
    "StringTableMathsFunctions",	//676
    "StringVariable",	//677
    "StyledPanel",	//678
    "SubroutinePrototype",	//679
    "Substitution",	//680
    "SubstitutionBrace",	//681
    "Sunken",	//682
    "Symbol",	//683
    "SymbolMargin",	//684
    "SymbolMarginDefaultBackgroundColor",	//685
    "SymbolMarginDefaultForegroundColor",	//686
    "SymbolTable",	//687
    "SyntaxErrorMarker",	//688
    "TCLKeyword",	//689
    "TTIndicator",	//690
    "Tabloid",	//691
    "Tabs",	//692
    "TabsAfterSpaces",	//693
    "Tag",	//694
    "Target",	//695
    "Text",	//696
    "TextBlockMarker",	//697
    "TextMargin",	//698
    "TextMarginRightJustified",	//699
    "ThreeDots",	//700
    "ThreeRightArrows",	//701
    "TkCommand",	//702
    "TkKeyword",	//703
    "Tractor",	//704
    "TripleDoubleQuotedString",	//705
    "TripleSingleQuotedString",	//706
    "Typedefs",	//707
    "TypesModifiersItems",	//708
    "UUID",	//709
    "UnclosedString",	//710
    "Underline",	//711
    "UnknownAttribute",	//712
    "UnknownProperty",	//713
    "UnknownPseudoClass",	//714
    "UnknownTag",	//715
    "UpperCase",	//716
    "VBScriptComment",	//717
    "VBScriptDefault",	//718
    "VBScriptIdentifier",	//719
    "VBScriptKeyword",	//720
    "VBScriptNumber",	//721
    "VBScriptStart",	//722
    "VBScriptString",	//723
    "VBScriptUnclosedString",	//724
    "VLine",	//725
    "Value",	//726
    "Variable",	//727
    "VerbatimString",	//728
    "VerticalLine",	//729
    "WinPanel",	//730
    "WrapCharacter",	//731
    "WrapFlagByBorder",	//732
    "WrapFlagByText",	//733
    "WrapFlagNone",	//734
    "WrapIndentFixed",	//735
    "WrapIndentIndented",	//736
    "WrapIndentSame",	//737
    "WrapNone",	//738
    "WrapWord",	//739
    "WsInvisible",	//740
    "WsVisible",	//741
    "WsVisibleAfterIndent",	//742
    "XMLEnd",	//743
    "XMLStart",	//744
    "XMLTagEnd",	//745
    "actionEvent",	//746
    "add",	//747
    "add$",	//748
    "alternateKey",	//749
    "annotate",	//750
    "annotate$#",	//751
    "annotate$$#",	//752
    "annotate$$$",	//753
    "annotate$?",	//754
    "annotation",	//755
    "annotation$",	//756
    "annotationDisplay",	//757
    "apiContext",	//758
    "apiContext$$$",	//759
    "apiPreparationCancelled",	//760
    "apiPreparationFinished",	//761
    "apiPreparationStarted",	//762
    "apis",	//763
    "append",	//764
    "append$",	//765
    "autoCompleteFromAPIs",	//766
    "autoCompleteFromAll",	//767
    "autoCompleteFromDocument",	//768
    "autoCompletionCaseSensitivity",	//769
    "autoCompletionFillups",	//770
    "autoCompletionFillupsEnabled",	//771
    "autoCompletionReplaceWord",	//772
    "autoCompletionSelected",	//773
    "autoCompletionSelected$",	//774
    "autoCompletionShowSingle",	//775
    "autoCompletionSource",	//776
    "autoCompletionThreshold",	//777
    "autoCompletionUseSingle",	//778
    "autoCompletionWordSeparators",	//779
    "autoIndent",	//780
    "autoIndentStyle",	//781
    "backslashEscapes",	//782
    "backspaceUnindents",	//783
    "beginUndoAction",	//784
    "blockEnd",	//785
    "blockEnd$",	//786
    "blockLookback",	//787
    "blockStart",	//788
    "blockStart$",	//789
    "blockStartKeyword",	//790
    "blockStartKeyword$",	//791
    "braceMatching",	//792
    "braceStyle",	//793
    "callTip",	//794
    "callTips",	//795
    "callTips?$$?",	//796
    "callTipsStyle",	//797
    "callTipsVisible",	//798
    "canInsertFromMimeData",	//799
    "canInsertFromMimeData#",	//800
    "cancelList",	//801
    "cancelPreparation",	//802
    "caseSensitive",	//803
    "caseSensitiveTags",	//804
    "changeEvent",	//805
    "changeable",	//806
    "childEvent",	//807
    "clear",	//808
    "clearAlternateKeys",	//809
    "clearAnnotations",	//810
    "clearAnnotations$",	//811
    "clearFolds",	//812
    "clearIndicatorRange",	//813
    "clearIndicatorRange$$$$$",	//814
    "clearKeys",	//815
    "clearMarginText",	//816
    "clearMarginText$",	//817
    "clearRegisteredImages",	//818
    "closeEvent",	//819
    "color",	//820
    "color$",	//821
    "colorChanged",	//822
    "colorChanged#$",	//823
    "commands",	//824
    "connectNotify",	//825
    "contextMenuEvent",	//826
    "contextMenuEvent#",	//827
    "contractedFolds",	//828
    "convertEols",	//829
    "convertEols$",	//830
    "copy",	//831
    "copyAvailable",	//832
    "copyAvailable$",	//833
    "cursorPositionChanged",	//834
    "cursorPositionChanged$$",	//835
    "customEvent",	//836
    "cut",	//837
    "defaultColor",	//838
    "defaultColor$",	//839
    "defaultEolFill",	//840
    "defaultEolFill$",	//841
    "defaultFont",	//842
    "defaultFont$",	//843
    "defaultPaper",	//844
    "defaultPaper$",	//845
    "defaultPreparedName",	//846
    "defaultStyle",	//847
    "description",	//848
    "description$",	//849
    "devType",	//850
    "disconnectNotify",	//851
    "djangoTemplates",	//852
    "document",	//853
    "dollarsAllowed",	//854
    "dottedWords",	//855
    "dragEnterEvent",	//856
    "dragEnterEvent#",	//857
    "dragLeaveEvent",	//858
    "dragLeaveEvent#",	//859
    "dragMoveEvent",	//860
    "dragMoveEvent#",	//861
    "dropEvent",	//862
    "dropEvent#",	//863
    "edgeColor",	//864
    "edgeColumn",	//865
    "edgeMode",	//866
    "editor",	//867
    "enabledChange",	//868
    "endRecording",	//869
    "endUndoAction",	//870
    "ensureCursorVisible",	//871
    "ensureLineVisible",	//872
    "ensureLineVisible$",	//873
    "enterEvent",	//874
    "eolFill",	//875
    "eolFill$",	//876
    "eolFillChanged",	//877
    "eolFillChanged$$",	//878
    "eolMode",	//879
    "eolVisibility",	//880
    "event",	//881
    "event#",	//882
    "eventFilter",	//883
    "extraAscent",	//884
    "extraDescent",	//885
    "fillIndicatorRange",	//886
    "fillIndicatorRange$$$$$",	//887
    "findFirst",	//888
    "findFirst$$$$$",	//889
    "findFirst$$$$$$",	//890
    "findFirst$$$$$$$",	//891
    "findFirst$$$$$$$$",	//892
    "findFirst$$$$$$$$$",	//893
    "findNext",	//894
    "firstVisibleLine",	//895
    "focusInEvent",	//896
    "focusInEvent#",	//897
    "focusNextPrevChild",	//898
    "focusNextPrevChild$",	//899
    "focusOutEvent",	//900
    "focusOutEvent#",	//901
    "foldAll",	//902
    "foldAll$",	//903
    "foldAtBegin",	//904
    "foldAtElse",	//905
    "foldAtParenthesis",	//906
    "foldComments",	//907
    "foldCompact",	//908
    "foldDirectives",	//909
    "foldLine",	//910
    "foldLine$",	//911
    "foldOnlyBegin",	//912
    "foldPODBlocks",	//913
    "foldPackages",	//914
    "foldPreprocessor",	//915
    "foldQuotes",	//916
    "foldScriptComments",	//917
    "foldScriptHeredocs",	//918
    "folding",	//919
    "font",	//920
    "font$",	//921
    "fontChange",	//922
    "fontChanged",	//923
    "fontChanged#$",	//924
    "formatPage",	//925
    "formatPage#$#$",	//926
    "fromMimeData",	//927
    "fromMimeData#$",	//928
    "getCursorPosition",	//929
    "getCursorPosition$$",	//930
    "getSelection",	//931
    "getSelection$$$$",	//932
    "hasSelectedText",	//933
    "hashComments",	//934
    "heightForWidth",	//935
    "hideEvent",	//936
    "hotspot",	//937
    "indent",	//938
    "indent$",	//939
    "indentation",	//940
    "indentation$",	//941
    "indentationGuideView",	//942
    "indentationGuides",	//943
    "indentationWarning",	//944
    "indentationWidth",	//945
    "indentationsUseTabs",	//946
    "indicatorClicked",	//947
    "indicatorClicked$$$",	//948
    "indicatorDefine",	//949
    "indicatorDefine$",	//950
    "indicatorDefine$$",	//951
    "indicatorDrawUnder",	//952
    "indicatorDrawUnder$",	//953
    "indicatorReleased",	//954
    "indicatorReleased$$$",	//955
    "initialSpaces",	//956
    "inputMethodEvent",	//957
    "inputMethodEvent#",	//958
    "inputMethodQuery",	//959
    "insert",	//960
    "insert$",	//961
    "insertAt",	//962
    "insertAt$$$",	//963
    "installedAPIFiles",	//964
    "isCallTipActive",	//965
    "isListActive",	//966
    "isModified",	//967
    "isPrepared",	//968
    "isPrepared$",	//969
    "isReadOnly",	//970
    "isRedoAvailable",	//971
    "isUndoAvailable",	//972
    "isUtf8",	//973
    "isWordCharacter",	//974
    "isWordCharacter$",	//975
    "key",	//976
    "keyPressEvent",	//977
    "keyPressEvent#",	//978
    "keyReleaseEvent",	//979
    "keywords",	//980
    "keywords$",	//981
    "language",	//982
    "languageChange",	//983
    "leaveEvent",	//984
    "length",	//985
    "level",	//986
    "lexer",	//987
    "lexerId",	//988
    "lineAt",	//989
    "lineAt#",	//990
    "lineIndexFromPosition",	//991
    "lineIndexFromPosition$$$",	//992
    "lineLength",	//993
    "lineLength$",	//994
    "lines",	//995
    "linesChanged",	//996
    "load",	//997
    "load$",	//998
    "loadPrepared",	//999
    "loadPrepared$",	//1000
    "magnification",	//1001
    "makoTemplates",	//1002
    "marginClicked",	//1003
    "marginClicked$$$",	//1004
    "marginLineNumbers",	//1005
    "marginLineNumbers$",	//1006
    "marginMarkerMask",	//1007
    "marginMarkerMask$",	//1008
    "marginSensitivity",	//1009
    "marginSensitivity$",	//1010
    "marginType",	//1011
    "marginType$",	//1012
    "marginWidth",	//1013
    "marginWidth$",	//1014
    "markerAdd",	//1015
    "markerAdd$$",	//1016
    "markerDefine",	//1017
    "markerDefine#",	//1018
    "markerDefine#$",	//1019
    "markerDefine$",	//1020
    "markerDefine$$",	//1021
    "markerDelete",	//1022
    "markerDelete$",	//1023
    "markerDelete$$",	//1024
    "markerDeleteAll",	//1025
    "markerDeleteAll$",	//1026
    "markerDeleteHandle",	//1027
    "markerDeleteHandle$",	//1028
    "markerFindNext",	//1029
    "markerFindNext$$",	//1030
    "markerFindPrevious",	//1031
    "markerFindPrevious$$",	//1032
    "markerLine",	//1033
    "markerLine$",	//1034
    "markersAtLine",	//1035
    "markersAtLine$",	//1036
    "metaObject",	//1037
    "metric",	//1038
    "minimumSizeHint",	//1039
    "modificationAttempted",	//1040
    "modificationChanged",	//1041
    "modificationChanged$",	//1042
    "mouseDoubleClickEvent",	//1043
    "mouseDoubleClickEvent#",	//1044
    "mouseMoveEvent",	//1045
    "mouseMoveEvent#",	//1046
    "mousePressEvent",	//1047
    "mousePressEvent#",	//1048
    "mouseReleaseEvent",	//1049
    "mouseReleaseEvent#",	//1050
    "moveEvent",	//1051
    "moveToMatchingBrace",	//1052
    "operator=",	//1053
    "operator=#",	//1054
    "paintEngine",	//1055
    "paintEvent",	//1056
    "paintEvent#",	//1057
    "paletteChange",	//1058
    "paper",	//1059
    "paper$",	//1060
    "paperChanged",	//1061
    "paperChanged#$",	//1062
    "paste",	//1063
    "play",	//1064
    "pool",	//1065
    "positionFromLineIndex",	//1066
    "positionFromLineIndex$$",	//1067
    "prepare",	//1068
    "printRange",	//1069
    "printRange#",	//1070
    "printRange#$",	//1071
    "printRange#$$",	//1072
    "processComments",	//1073
    "processIf",	//1074
    "propertyChanged",	//1075
    "propertyChanged$$",	//1076
    "qt_metacall",	//1077
    "qt_metacall$$?",	//1078
    "qt_metacast",	//1079
    "qt_metacast$",	//1080
    "quotedIdentifiers",	//1081
    "read",	//1082
    "read#",	//1083
    "readProperties",	//1084
    "readProperties#$",	//1085
    "readSettings",	//1086
    "readSettings#",	//1087
    "readSettings#$",	//1088
    "recolor",	//1089
    "recolor$",	//1090
    "recolor$$",	//1091
    "redo",	//1092
    "refresh",	//1093
    "refreshProperties",	//1094
    "registerImage",	//1095
    "registerImage$#",	//1096
    "remove",	//1097
    "remove$",	//1098
    "removeSelectedText",	//1099
    "replace",	//1100
    "replace$",	//1101
    "replaceSelectedText",	//1102
    "replaceSelectedText$",	//1103
    "resetFoldMarginColors",	//1104
    "resetSelectionBackgroundColor",	//1105
    "resetSelectionForegroundColor",	//1106
    "resizeEvent",	//1107
    "resizeEvent#",	//1108
    "save",	//1109
    "savePrepared",	//1110
    "savePrepared$",	//1111
    "scriptsStyled",	//1112
    "scrollContentsBy",	//1113
    "scrollContentsBy$$",	//1114
    "selectAll",	//1115
    "selectAll$",	//1116
    "selectToMatchingBrace",	//1117
    "selectedText",	//1118
    "selectionChanged",	//1119
    "selectionToEol",	//1120
    "setAPIs",	//1121
    "setAPIs#",	//1122
    "setAlternateKey",	//1123
    "setAlternateKey$",	//1124
    "setAnnotationDisplay",	//1125
    "setAnnotationDisplay$",	//1126
    "setAutoCompletionCaseSensitivity",	//1127
    "setAutoCompletionCaseSensitivity$",	//1128
    "setAutoCompletionFillups",	//1129
    "setAutoCompletionFillups$",	//1130
    "setAutoCompletionFillupsEnabled",	//1131
    "setAutoCompletionFillupsEnabled$",	//1132
    "setAutoCompletionReplaceWord",	//1133
    "setAutoCompletionReplaceWord$",	//1134
    "setAutoCompletionShowSingle",	//1135
    "setAutoCompletionShowSingle$",	//1136
    "setAutoCompletionSource",	//1137
    "setAutoCompletionSource$",	//1138
    "setAutoCompletionThreshold",	//1139
    "setAutoCompletionThreshold$",	//1140
    "setAutoCompletionUseSingle",	//1141
    "setAutoCompletionUseSingle$",	//1142
    "setAutoCompletionWordSeparators",	//1143
    "setAutoCompletionWordSeparators?",	//1144
    "setAutoIndent",	//1145
    "setAutoIndent$",	//1146
    "setAutoIndentStyle",	//1147
    "setAutoIndentStyle$",	//1148
    "setBackslashEscapes",	//1149
    "setBackslashEscapes$",	//1150
    "setBackspaceUnindents",	//1151
    "setBackspaceUnindents$",	//1152
    "setBraceMatching",	//1153
    "setBraceMatching$",	//1154
    "setCallTipsBackgroundColor",	//1155
    "setCallTipsBackgroundColor#",	//1156
    "setCallTipsForegroundColor",	//1157
    "setCallTipsForegroundColor#",	//1158
    "setCallTipsHighlightColor",	//1159
    "setCallTipsHighlightColor#",	//1160
    "setCallTipsStyle",	//1161
    "setCallTipsStyle$",	//1162
    "setCallTipsVisible",	//1163
    "setCallTipsVisible$",	//1164
    "setCaretForegroundColor",	//1165
    "setCaretForegroundColor#",	//1166
    "setCaretLineBackgroundColor",	//1167
    "setCaretLineBackgroundColor#",	//1168
    "setCaretLineVisible",	//1169
    "setCaretLineVisible$",	//1170
    "setCaretWidth",	//1171
    "setCaretWidth$",	//1172
    "setCaseSensitiveTags",	//1173
    "setCaseSensitiveTags$",	//1174
    "setChangeable",	//1175
    "setChangeable$",	//1176
    "setColor",	//1177
    "setColor#",	//1178
    "setColor#$",	//1179
    "setContractedFolds",	//1180
    "setContractedFolds?",	//1181
    "setCursorPosition",	//1182
    "setCursorPosition$$",	//1183
    "setDefaultColor",	//1184
    "setDefaultColor#",	//1185
    "setDefaultFont",	//1186
    "setDefaultFont#",	//1187
    "setDefaultPaper",	//1188
    "setDefaultPaper#",	//1189
    "setDescription",	//1190
    "setDescription$",	//1191
    "setDjangoTemplates",	//1192
    "setDjangoTemplates$",	//1193
    "setDocument",	//1194
    "setDocument#",	//1195
    "setDollarsAllowed",	//1196
    "setDollarsAllowed$",	//1197
    "setDottedWords",	//1198
    "setDottedWords$",	//1199
    "setEdgeColor",	//1200
    "setEdgeColor#",	//1201
    "setEdgeColumn",	//1202
    "setEdgeColumn$",	//1203
    "setEdgeMode",	//1204
    "setEdgeMode$",	//1205
    "setEditor",	//1206
    "setEditor#",	//1207
    "setEolFill",	//1208
    "setEolFill$",	//1209
    "setEolFill$$",	//1210
    "setEolMode",	//1211
    "setEolMode$",	//1212
    "setEolVisibility",	//1213
    "setEolVisibility$",	//1214
    "setExtraAscent",	//1215
    "setExtraAscent$",	//1216
    "setExtraDescent",	//1217
    "setExtraDescent$",	//1218
    "setFirstVisibleLine",	//1219
    "setFirstVisibleLine$",	//1220
    "setFoldAtBegin",	//1221
    "setFoldAtBegin$",	//1222
    "setFoldAtElse",	//1223
    "setFoldAtElse$",	//1224
    "setFoldAtParenthesis",	//1225
    "setFoldAtParenthesis$",	//1226
    "setFoldComments",	//1227
    "setFoldComments$",	//1228
    "setFoldCompact",	//1229
    "setFoldCompact$",	//1230
    "setFoldDirectives",	//1231
    "setFoldDirectives$",	//1232
    "setFoldMarginColors",	//1233
    "setFoldMarginColors##",	//1234
    "setFoldOnlyBegin",	//1235
    "setFoldOnlyBegin$",	//1236
    "setFoldPODBlocks",	//1237
    "setFoldPODBlocks$",	//1238
    "setFoldPackages",	//1239
    "setFoldPackages$",	//1240
    "setFoldPreprocessor",	//1241
    "setFoldPreprocessor$",	//1242
    "setFoldQuotes",	//1243
    "setFoldQuotes$",	//1244
    "setFoldScriptComments",	//1245
    "setFoldScriptComments$",	//1246
    "setFoldScriptHeredocs",	//1247
    "setFoldScriptHeredocs$",	//1248
    "setFolding",	//1249
    "setFolding$",	//1250
    "setFolding$$",	//1251
    "setFont",	//1252
    "setFont#",	//1253
    "setFont#$",	//1254
    "setHashComments",	//1255
    "setHashComments$",	//1256
    "setHotspot",	//1257
    "setHotspot$",	//1258
    "setIndentation",	//1259
    "setIndentation$$",	//1260
    "setIndentationGuides",	//1261
    "setIndentationGuides$",	//1262
    "setIndentationGuidesBackgroundColor",	//1263
    "setIndentationGuidesBackgroundColor#",	//1264
    "setIndentationGuidesForegroundColor",	//1265
    "setIndentationGuidesForegroundColor#",	//1266
    "setIndentationWarning",	//1267
    "setIndentationWarning$",	//1268
    "setIndentationWidth",	//1269
    "setIndentationWidth$",	//1270
    "setIndentationsUseTabs",	//1271
    "setIndentationsUseTabs$",	//1272
    "setIndicatorDrawUnder",	//1273
    "setIndicatorDrawUnder$",	//1274
    "setIndicatorDrawUnder$$",	//1275
    "setIndicatorForegroundColor",	//1276
    "setIndicatorForegroundColor#",	//1277
    "setIndicatorForegroundColor#$",	//1278
    "setInitialSpaces",	//1279
    "setInitialSpaces$",	//1280
    "setKey",	//1281
    "setKey$",	//1282
    "setLevel",	//1283
    "setLevel$",	//1284
    "setLexer",	//1285
    "setLexer#",	//1286
    "setMagnification",	//1287
    "setMagnification$",	//1288
    "setMakoTemplates",	//1289
    "setMakoTemplates$",	//1290
    "setMarginLineNumbers",	//1291
    "setMarginLineNumbers$$",	//1292
    "setMarginMarkerMask",	//1293
    "setMarginMarkerMask$$",	//1294
    "setMarginSensitivity",	//1295
    "setMarginSensitivity$$",	//1296
    "setMarginText",	//1297
    "setMarginText$#",	//1298
    "setMarginText$$#",	//1299
    "setMarginText$$$",	//1300
    "setMarginText$?",	//1301
    "setMarginType",	//1302
    "setMarginType$$",	//1303
    "setMarginWidth",	//1304
    "setMarginWidth$$",	//1305
    "setMarginsBackgroundColor",	//1306
    "setMarginsBackgroundColor#",	//1307
    "setMarginsFont",	//1308
    "setMarginsFont#",	//1309
    "setMarginsForegroundColor",	//1310
    "setMarginsForegroundColor#",	//1311
    "setMarkerBackgroundColor",	//1312
    "setMarkerBackgroundColor#",	//1313
    "setMarkerBackgroundColor#$",	//1314
    "setMarkerForegroundColor",	//1315
    "setMarkerForegroundColor#",	//1316
    "setMarkerForegroundColor#$",	//1317
    "setMatchedBraceBackgroundColor",	//1318
    "setMatchedBraceBackgroundColor#",	//1319
    "setMatchedBraceForegroundColor",	//1320
    "setMatchedBraceForegroundColor#",	//1321
    "setModified",	//1322
    "setModified$",	//1323
    "setPaper",	//1324
    "setPaper#",	//1325
    "setPaper#$",	//1326
    "setProcessComments",	//1327
    "setProcessComments$",	//1328
    "setProcessIf",	//1329
    "setProcessIf$",	//1330
    "setQuotedIdentifiers",	//1331
    "setQuotedIdentifiers$",	//1332
    "setReadOnly",	//1333
    "setReadOnly$",	//1334
    "setScriptsStyled",	//1335
    "setScriptsStyled$",	//1336
    "setSelection",	//1337
    "setSelection$$$$",	//1338
    "setSelectionBackgroundColor",	//1339
    "setSelectionBackgroundColor#",	//1340
    "setSelectionForegroundColor",	//1341
    "setSelectionForegroundColor#",	//1342
    "setSelectionToEol",	//1343
    "setSelectionToEol$",	//1344
    "setSmartHighlighting",	//1345
    "setSmartHighlighting$",	//1346
    "setStringsOverNewlineAllowed",	//1347
    "setStringsOverNewlineAllowed$",	//1348
    "setStylePreprocessor",	//1349
    "setStylePreprocessor$",	//1350
    "setStyling",	//1351
    "setStyling$#",	//1352
    "setStyling$$",	//1353
    "setTabIndents",	//1354
    "setTabIndents$",	//1355
    "setTabWidth",	//1356
    "setTabWidth$",	//1357
    "setText",	//1358
    "setText$",	//1359
    "setTextCase",	//1360
    "setTextCase$",	//1361
    "setTokenize",	//1362
    "setTokenize$",	//1363
    "setUnmatchedBraceBackgroundColor",	//1364
    "setUnmatchedBraceBackgroundColor#",	//1365
    "setUnmatchedBraceForegroundColor",	//1366
    "setUnmatchedBraceForegroundColor#",	//1367
    "setUtf8",	//1368
    "setUtf8$",	//1369
    "setV2UnicodeAllowed",	//1370
    "setV2UnicodeAllowed$",	//1371
    "setV3BinaryOctalAllowed",	//1372
    "setV3BinaryOctalAllowed$",	//1373
    "setV3BytesAllowed",	//1374
    "setV3BytesAllowed$",	//1375
    "setVisible",	//1376
    "setVisible$",	//1377
    "setWhitespaceBackgroundColor",	//1378
    "setWhitespaceBackgroundColor#",	//1379
    "setWhitespaceForegroundColor",	//1380
    "setWhitespaceForegroundColor#",	//1381
    "setWhitespaceSize",	//1382
    "setWhitespaceSize$",	//1383
    "setWhitespaceVisibility",	//1384
    "setWhitespaceVisibility$",	//1385
    "setWrapIndentMode",	//1386
    "setWrapIndentMode$",	//1387
    "setWrapMode",	//1388
    "setWrapMode$",	//1389
    "setWrapVisualFlags",	//1390
    "setWrapVisualFlags$",	//1391
    "setWrapVisualFlags$$",	//1392
    "setWrapVisualFlags$$$",	//1393
    "showEvent",	//1394
    "showUserList",	//1395
    "showUserList$?",	//1396
    "sizeHint",	//1397
    "smartHighlighting",	//1398
    "standardCommands",	//1399
    "startRecording",	//1400
    "startStyling",	//1401
    "startStyling$",	//1402
    "startStyling$$",	//1403
    "staticMetaObject",	//1404
    "stringsOverNewlineAllowed",	//1405
    "style",	//1406
    "styleBitsNeeded",	//1407
    "styleChange",	//1408
    "stylePreprocessor",	//1409
    "styleText",	//1410
    "styleText$$",	//1411
    "tabIndents",	//1412
    "tabWidth",	//1413
    "tabletEvent",	//1414
    "text",	//1415
    "text$",	//1416
    "textCase",	//1417
    "textChanged",	//1418
    "textHeight",	//1419
    "textHeight$",	//1420
    "timerEvent",	//1421
    "toMimeData",	//1422
    "toMimeData#$",	//1423
    "tokenize",	//1424
    "tr",	//1425
    "tr$",	//1426
    "tr$$",	//1427
    "tr$$$",	//1428
    "trUtf8",	//1429
    "trUtf8$",	//1430
    "trUtf8$$",	//1431
    "trUtf8$$$",	//1432
    "undo",	//1433
    "unindent",	//1434
    "unindent$",	//1435
    "updateAutoCompletionList",	//1436
    "updateAutoCompletionList??",	//1437
    "userListActivated",	//1438
    "userListActivated$$",	//1439
    "v2UnicodeAllowed",	//1440
    "v3BinaryOctalAllowed",	//1441
    "v3BytesAllowed",	//1442
    "validKey",	//1443
    "validKey$",	//1444
    "viewportEvent",	//1445
    "visible",	//1446
    "wheelEvent",	//1447
    "whitespaceSize",	//1448
    "whitespaceVisibility",	//1449
    "windowActivationChange",	//1450
    "wordAtPoint",	//1451
    "wordAtPoint#",	//1452
    "wordCharacters",	//1453
    "wrapIndentMode",	//1454
    "wrapMode",	//1455
    "write",	//1456
    "write#",	//1457
    "writeProperties",	//1458
    "writeProperties#$",	//1459
    "writeSettings",	//1460
    "writeSettings#",	//1461
    "writeSettings#$",	//1462
    "x11Event",	//1463
    "zoomIn",	//1464
    "zoomIn$",	//1465
    "zoomOut",	//1466
    "zoomOut$",	//1467
    "zoomTo",	//1468
    "zoomTo$",	//1469
    "~QsciAPIs",	//1470
    "~QsciAbstractAPIs",	//1471
    "~QsciCommand",	//1472
    "~QsciDocument",	//1473
    "~QsciLexer",	//1474
    "~QsciLexerBash",	//1475
    "~QsciLexerBatch",	//1476
    "~QsciLexerCMake",	//1477
    "~QsciLexerCPP",	//1478
    "~QsciLexerCSS",	//1479
    "~QsciLexerCSharp",	//1480
    "~QsciLexerCustom",	//1481
    "~QsciLexerD",	//1482
    "~QsciLexerDiff",	//1483
    "~QsciLexerFortran",	//1484
    "~QsciLexerFortran77",	//1485
    "~QsciLexerHTML",	//1486
    "~QsciLexerIDL",	//1487
    "~QsciLexerJava",	//1488
    "~QsciLexerJavaScript",	//1489
    "~QsciLexerLua",	//1490
    "~QsciLexerMakefile",	//1491
    "~QsciLexerPOV",	//1492
    "~QsciLexerPascal",	//1493
    "~QsciLexerPerl",	//1494
    "~QsciLexerPostScript",	//1495
    "~QsciLexerProperties",	//1496
    "~QsciLexerPython",	//1497
    "~QsciLexerRuby",	//1498
    "~QsciLexerSQL",	//1499
    "~QsciLexerTCL",	//1500
    "~QsciLexerTeX",	//1501
    "~QsciLexerVHDL",	//1502
    "~QsciLexerXML",	//1503
    "~QsciLexerYAML",	//1504
    "~QsciMacro",	//1505
    "~QsciPrinter",	//1506
    "~QsciScintilla",	//1507
    "~QsciScintillaBase",	//1508
    "~QsciStyle",	//1509
    "~QsciStyledText",	//1510
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1039, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 0},	//1 QAbstractScrollArea::minimumSizeHint() const
    {1, 1397, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 0},	//2 QAbstractScrollArea::sizeHint() const
    {1, 881, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 185, 0},	//3 QAbstractScrollArea::event(QEvent*)
    {1, 1445, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 185, 0},	//4 QAbstractScrollArea::viewportEvent(QEvent*)
    {1, 1447, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {16, 805, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QFrame::changeEvent(QEvent*)
    {17, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1},	//7 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {17, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2},	//8 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {17, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3},	//9 QGlobalSpace::Q_STATIC_TYPE (enum)
    {17, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4},	//10 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {17, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 5},	//11 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {17, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 6},	//12 QGlobalSpace::QtDebugMsg (enum)
    {17, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 7},	//13 QGlobalSpace::QtWarningMsg (enum)
    {17, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 8},	//14 QGlobalSpace::QtCriticalMsg (enum)
    {17, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 9},	//15 QGlobalSpace::QtFatalMsg (enum)
    {17, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 10},	//16 QGlobalSpace::QtSystemMsg (enum)
    {26, 881, 1, 1, Smoke::mf_virtual, 185, 0},	//17 QObject::event(QEvent*)
    {26, 883, 5, 2, Smoke::mf_virtual, 185, 0},	//18 QObject::eventFilter(QObject*, QEvent*)
    {26, 1421, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::timerEvent(QTimerEvent*)
    {26, 807, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//20 QObject::childEvent(QChildEvent*)
    {26, 836, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//21 QObject::customEvent(QEvent*)
    {26, 825, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//22 QObject::connectNotify(const char*)
    {26, 851, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//23 QObject::disconnectNotify(const char*)
    {33, 850, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 0},	//24 QPrinter::devType() const
    {33, 1055, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 28, 0},	//25 QPrinter::paintEngine() const
    {33, 1038, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 210, 0},	//26 QPrinter::metric(QPaintDevice::PaintDeviceMetric) const
    {33, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 4},	//27 QPrinter::ScreenResolution (enum)
    {33, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 5},	//28 QPrinter::PrinterResolution (enum)
    {33, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 6},	//29 QPrinter::HighResolution (enum)
    {45, 850, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 0},	//30 QWidget::devType() const
    {45, 1376, 16, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//31 QWidget::setVisible(bool)
    {45, 935, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 210, 0},	//32 QWidget::heightForWidth(int) const
    {45, 1055, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 28, 0},	//33 QWidget::paintEngine() const
    {45, 979, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QWidget::keyReleaseEvent(QKeyEvent*)
    {45, 874, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QWidget::enterEvent(QEvent*)
    {45, 984, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QWidget::leaveEvent(QEvent*)
    {45, 1051, 22, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QWidget::moveEvent(QMoveEvent*)
    {45, 819, 24, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QWidget::closeEvent(QCloseEvent*)
    {45, 1414, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QWidget::tabletEvent(QTabletEvent*)
    {45, 746, 28, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QWidget::actionEvent(QActionEvent*)
    {45, 1394, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//41 QWidget::showEvent(QShowEvent*)
    {45, 936, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//42 QWidget::hideEvent(QHideEvent*)
    {45, 1463, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 185, 0},	//43 QWidget::x11Event(_XEvent*)
    {45, 1038, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 210, 0},	//44 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {45, 959, 36, 1, Smoke::mf_const|Smoke::mf_virtual, 46, 0},	//45 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {45, 1408, 38, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//46 QWidget::styleChange(QStyle&)
    {45, 868, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//47 QWidget::enabledChange(bool)
    {45, 1058, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//48 QWidget::paletteChange(const QPalette&)
    {45, 922, 42, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//49 QWidget::fontChange(const QFont&)
    {45, 1450, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//50 QWidget::windowActivationChange(bool)
    {45, 983, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//51 QWidget::languageChange()
    {46, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//52 QsciAPIs::metaObject() const
    {46, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//53 QsciAPIs::qt_metacast(const char*)
    {46, 1425, 44, 2, Smoke::mf_static, 39, 3},	//54 QsciAPIs::tr(const char*, const char*)
    {46, 1429, 44, 2, Smoke::mf_static, 39, 4},	//55 QsciAPIs::trUtf8(const char*, const char*)
    {46, 1425, 47, 3, Smoke::mf_static, 39, 5},	//56 QsciAPIs::tr(const char*, const char*, int)
    {46, 1429, 47, 3, Smoke::mf_static, 39, 6},	//57 QsciAPIs::trUtf8(const char*, const char*, int)
    {46, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//58 QsciAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {46, 374, 55, 1, Smoke::mf_ctor, 49, 8},	//59 QsciAPIs::QsciAPIs(QsciLexer*)
    {46, 747, 57, 1, 0, 0, 9},	//60 QsciAPIs::add(const QString&)
    {46, 808, 0, 0, 0, 0, 10},	//61 QsciAPIs::clear()
    {46, 997, 57, 1, 0, 185, 11},	//62 QsciAPIs::load(const QString&)
    {46, 1097, 57, 1, 0, 0, 12},	//63 QsciAPIs::remove(const QString&)
    {46, 1068, 0, 0, 0, 0, 13},	//64 QsciAPIs::prepare()
    {46, 802, 0, 0, 0, 0, 14},	//65 QsciAPIs::cancelPreparation()
    {46, 846, 0, 0, Smoke::mf_const, 39, 15},	//66 QsciAPIs::defaultPreparedName() const
    {46, 968, 57, 1, Smoke::mf_const, 185, 16},	//67 QsciAPIs::isPrepared(const QString&) const
    {46, 999, 57, 1, 0, 185, 17},	//68 QsciAPIs::loadPrepared(const QString&)
    {46, 1110, 57, 1, Smoke::mf_const, 185, 18},	//69 QsciAPIs::savePrepared(const QString&) const
    {46, 1436, 59, 2, Smoke::mf_virtual, 0, 19},	//70 QsciAPIs::updateAutoCompletionList(const QStringList&, QStringList&)
    {46, 773, 57, 1, Smoke::mf_virtual, 0, 20},	//71 QsciAPIs::autoCompletionSelected(const QString&)
    {46, 795, 62, 4, Smoke::mf_virtual, 40, 21},	//72 QsciAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&)
    {46, 881, 1, 1, Smoke::mf_virtual, 185, 22},	//73 QsciAPIs::event(QEvent*)
    {46, 964, 0, 0, Smoke::mf_const, 40, 23},	//74 QsciAPIs::installedAPIFiles() const
    {46, 760, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//75 QsciAPIs::apiPreparationCancelled()
    {46, 762, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//76 QsciAPIs::apiPreparationStarted()
    {46, 761, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//77 QsciAPIs::apiPreparationFinished()
    {46, 1425, 12, 1, Smoke::mf_static, 39, 27},	//78 QsciAPIs::tr(const char*)
    {46, 1429, 12, 1, Smoke::mf_static, 39, 28},	//79 QsciAPIs::trUtf8(const char*)
    {46, 968, 0, 0, Smoke::mf_const, 185, 29},	//80 QsciAPIs::isPrepared() const
    {46, 999, 0, 0, 0, 185, 30},	//81 QsciAPIs::loadPrepared()
    {46, 1110, 0, 0, Smoke::mf_const, 185, 31},	//82 QsciAPIs::savePrepared() const
    {46, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 32},	//83 QsciAPIs::staticMetaObject() const
    {46, 1470, 0, 0, Smoke::mf_dtor, 0, 33 },	//84 QsciAPIs::~QsciAPIs()
    {47, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//85 QsciAbstractAPIs::metaObject() const
    {47, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//86 QsciAbstractAPIs::qt_metacast(const char*)
    {47, 1425, 44, 2, Smoke::mf_static, 39, 3},	//87 QsciAbstractAPIs::tr(const char*, const char*)
    {47, 1429, 44, 2, Smoke::mf_static, 39, 4},	//88 QsciAbstractAPIs::trUtf8(const char*, const char*)
    {47, 1425, 47, 3, Smoke::mf_static, 39, 5},	//89 QsciAbstractAPIs::tr(const char*, const char*, int)
    {47, 1429, 47, 3, Smoke::mf_static, 39, 6},	//90 QsciAbstractAPIs::trUtf8(const char*, const char*, int)
    {47, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//91 QsciAbstractAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {47, 376, 55, 1, Smoke::mf_ctor, 50, 8},	//92 QsciAbstractAPIs::QsciAbstractAPIs(QsciLexer*)
    {47, 987, 0, 0, Smoke::mf_const, 55, 9},	//93 QsciAbstractAPIs::lexer() const
    {47, 1436, 59, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//94 QsciAbstractAPIs::updateAutoCompletionList(const QStringList&, QStringList&) [pure virtual]
    {47, 773, 57, 1, Smoke::mf_virtual, 0, 11},	//95 QsciAbstractAPIs::autoCompletionSelected(const QString&)
    {47, 795, 62, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 40, 12},	//96 QsciAbstractAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&) [pure virtual]
    {47, 1425, 12, 1, Smoke::mf_static, 39, 13},	//97 QsciAbstractAPIs::tr(const char*)
    {47, 1429, 12, 1, Smoke::mf_static, 39, 14},	//98 QsciAbstractAPIs::trUtf8(const char*)
    {47, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 15},	//99 QsciAbstractAPIs::staticMetaObject() const
    {47, 1471, 0, 0, Smoke::mf_dtor, 0, 16 },	//100 QsciAbstractAPIs::~QsciAbstractAPIs()
    {48, 1281, 18, 1, 0, 0, 1},	//101 QsciCommand::setKey(int)
    {48, 1123, 18, 1, 0, 0, 2},	//102 QsciCommand::setAlternateKey(int)
    {48, 976, 0, 0, Smoke::mf_const, 210, 3},	//103 QsciCommand::key() const
    {48, 749, 0, 0, Smoke::mf_const, 210, 4},	//104 QsciCommand::alternateKey() const
    {48, 1443, 18, 1, Smoke::mf_static, 185, 5},	//105 QsciCommand::validKey(int)
    {48, 848, 0, 0, Smoke::mf_const, 39, 6},	//106 QsciCommand::description() const
    {48, 1472, 0, 0, Smoke::mf_dtor, 0, 7 },	//107 QsciCommand::~QsciCommand()
    {49, 1086, 67, 2, 0, 185, 1},	//108 QsciCommandSet::readSettings(QSettings&, const char*)
    {49, 1460, 67, 2, 0, 185, 2},	//109 QsciCommandSet::writeSettings(QSettings&, const char*)
    {49, 824, 0, 0, 0, 19, 3},	//110 QsciCommandSet::commands()
    {49, 815, 0, 0, 0, 0, 4},	//111 QsciCommandSet::clearKeys()
    {49, 809, 0, 0, 0, 0, 5},	//112 QsciCommandSet::clearAlternateKeys()
    {49, 1086, 70, 1, 0, 185, 6},	//113 QsciCommandSet::readSettings(QSettings&)
    {49, 1460, 70, 1, 0, 185, 7},	//114 QsciCommandSet::writeSettings(QSettings&)
    {50, 378, 0, 0, Smoke::mf_ctor, 54, 1},	//115 QsciDocument::QsciDocument()
    {50, 378, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 54, 2},	//116 QsciDocument::QsciDocument(const QsciDocument&)
    {50, 1053, 72, 1, 0, 53, 3},	//117 QsciDocument::operator=(const QsciDocument&)
    {50, 1473, 0, 0, Smoke::mf_dtor, 0, 4 },	//118 QsciDocument::~QsciDocument()
    {51, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//119 QsciLexer::metaObject() const
    {51, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//120 QsciLexer::qt_metacast(const char*)
    {51, 1425, 44, 2, Smoke::mf_static, 39, 3},	//121 QsciLexer::tr(const char*, const char*)
    {51, 1429, 44, 2, Smoke::mf_static, 39, 4},	//122 QsciLexer::trUtf8(const char*, const char*)
    {51, 1425, 47, 3, Smoke::mf_static, 39, 5},	//123 QsciLexer::tr(const char*, const char*, int)
    {51, 1429, 47, 3, Smoke::mf_static, 39, 6},	//124 QsciLexer::trUtf8(const char*, const char*, int)
    {51, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//125 QsciLexer::qt_metacall(QMetaObject::Call, int, void**)
    {51, 380, 74, 1, Smoke::mf_ctor, 55, 8},	//126 QsciLexer::QsciLexer(QObject*)
    {51, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 208, 9},	//127 QsciLexer::language() const [pure virtual]
    {51, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//128 QsciLexer::lexer() const
    {51, 988, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 11},	//129 QsciLexer::lexerId() const
    {51, 763, 0, 0, Smoke::mf_const, 50, 12},	//130 QsciLexer::apis() const
    {51, 770, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 13},	//131 QsciLexer::autoCompletionFillups() const
    {51, 779, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 14},	//132 QsciLexer::autoCompletionWordSeparators() const
    {51, 781, 0, 0, 0, 210, 15},	//133 QsciLexer::autoIndentStyle()
    {51, 785, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 16},	//134 QsciLexer::blockEnd(int*) const
    {51, 787, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 17},	//135 QsciLexer::blockLookback() const
    {51, 788, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 18},	//136 QsciLexer::blockStart(int*) const
    {51, 790, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 19},	//137 QsciLexer::blockStartKeyword(int*) const
    {51, 793, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 20},	//138 QsciLexer::braceStyle() const
    {51, 803, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 21},	//139 QsciLexer::caseSensitive() const
    {51, 820, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 22},	//140 QsciLexer::color(int) const
    {51, 875, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 23},	//141 QsciLexer::eolFill(int) const
    {51, 920, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 24},	//142 QsciLexer::font(int) const
    {51, 942, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 25},	//143 QsciLexer::indentationGuideView() const
    {51, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 26},	//144 QsciLexer::keywords(int) const
    {51, 847, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 27},	//145 QsciLexer::defaultStyle() const
    {51, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 39, 28},	//146 QsciLexer::description(int) const [pure virtual]
    {51, 1059, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 29},	//147 QsciLexer::paper(int) const
    {51, 838, 0, 0, Smoke::mf_const, 6, 30},	//148 QsciLexer::defaultColor() const
    {51, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 31},	//149 QsciLexer::defaultColor(int) const
    {51, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 32},	//150 QsciLexer::defaultEolFill(int) const
    {51, 842, 0, 0, Smoke::mf_const, 14, 33},	//151 QsciLexer::defaultFont() const
    {51, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 34},	//152 QsciLexer::defaultFont(int) const
    {51, 844, 0, 0, Smoke::mf_const, 6, 35},	//153 QsciLexer::defaultPaper() const
    {51, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 36},	//154 QsciLexer::defaultPaper(int) const
    {51, 867, 0, 0, Smoke::mf_const, 89, 37},	//155 QsciLexer::editor() const
    {51, 1121, 78, 1, 0, 0, 38},	//156 QsciLexer::setAPIs(QsciAbstractAPIs*)
    {51, 1184, 80, 1, 0, 0, 39},	//157 QsciLexer::setDefaultColor(const QColor&)
    {51, 1186, 42, 1, 0, 0, 40},	//158 QsciLexer::setDefaultFont(const QFont&)
    {51, 1188, 80, 1, 0, 0, 41},	//159 QsciLexer::setDefaultPaper(const QColor&)
    {51, 1206, 82, 1, Smoke::mf_virtual, 0, 42},	//160 QsciLexer::setEditor(QsciScintilla*)
    {51, 1086, 67, 2, 0, 185, 43},	//161 QsciLexer::readSettings(QSettings&, const char*)
    {51, 1094, 0, 0, Smoke::mf_virtual, 0, 44},	//162 QsciLexer::refreshProperties()
    {51, 1407, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 45},	//163 QsciLexer::styleBitsNeeded() const
    {51, 1453, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 46},	//164 QsciLexer::wordCharacters() const
    {51, 1460, 67, 2, Smoke::mf_const, 185, 47},	//165 QsciLexer::writeSettings(QSettings&, const char*) const
    {51, 1147, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 48},	//166 QsciLexer::setAutoIndentStyle(int)
    {51, 1177, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 49},	//167 QsciLexer::setColor(const QColor&, int)
    {51, 1208, 87, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 50},	//168 QsciLexer::setEolFill(bool, int)
    {51, 1252, 90, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 51},	//169 QsciLexer::setFont(const QFont&, int)
    {51, 1324, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 52},	//170 QsciLexer::setPaper(const QColor&, int)
    {51, 822, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//171 QsciLexer::colorChanged(const QColor&, int)
    {51, 877, 87, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//172 QsciLexer::eolFillChanged(bool, int)
    {51, 923, 90, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//173 QsciLexer::fontChanged(const QFont&, int)
    {51, 1061, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//174 QsciLexer::paperChanged(const QColor&, int)
    {51, 1075, 44, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//175 QsciLexer::propertyChanged(const char*, const char*)
    {51, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 58},	//176 QsciLexer::readProperties(QSettings&, const QString&)
    {51, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 59},	//177 QsciLexer::writeProperties(QSettings&, const QString&) const
    {51, 1425, 12, 1, Smoke::mf_static, 39, 60},	//178 QsciLexer::tr(const char*)
    {51, 1429, 12, 1, Smoke::mf_static, 39, 61},	//179 QsciLexer::trUtf8(const char*)
    {51, 380, 0, 0, Smoke::mf_ctor, 55, 62},	//180 QsciLexer::QsciLexer()
    {51, 785, 0, 0, Smoke::mf_const, 208, 63},	//181 QsciLexer::blockEnd() const
    {51, 788, 0, 0, Smoke::mf_const, 208, 64},	//182 QsciLexer::blockStart() const
    {51, 790, 0, 0, Smoke::mf_const, 208, 65},	//183 QsciLexer::blockStartKeyword() const
    {51, 1086, 70, 1, 0, 185, 66},	//184 QsciLexer::readSettings(QSettings&)
    {51, 1460, 70, 1, Smoke::mf_const, 185, 67},	//185 QsciLexer::writeSettings(QSettings&) const
    {51, 1177, 80, 1, Smoke::mf_slot, 0, 68},	//186 QsciLexer::setColor(const QColor&)
    {51, 1208, 16, 1, Smoke::mf_slot, 0, 69},	//187 QsciLexer::setEolFill(bool)
    {51, 1252, 42, 1, Smoke::mf_slot, 0, 70},	//188 QsciLexer::setFont(const QFont&)
    {51, 1324, 80, 1, Smoke::mf_slot, 0, 71},	//189 QsciLexer::setPaper(const QColor&)
    {51, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 72},	//190 QsciLexer::staticMetaObject() const
    {51, 1474, 0, 0, Smoke::mf_dtor, 0, 73 },	//191 QsciLexer::~QsciLexer()
    {52, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//192 QsciLexerBash::metaObject() const
    {52, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//193 QsciLexerBash::qt_metacast(const char*)
    {52, 1425, 44, 2, Smoke::mf_static, 39, 3},	//194 QsciLexerBash::tr(const char*, const char*)
    {52, 1429, 44, 2, Smoke::mf_static, 39, 4},	//195 QsciLexerBash::trUtf8(const char*, const char*)
    {52, 1425, 47, 3, Smoke::mf_static, 39, 5},	//196 QsciLexerBash::tr(const char*, const char*, int)
    {52, 1429, 47, 3, Smoke::mf_static, 39, 6},	//197 QsciLexerBash::trUtf8(const char*, const char*, int)
    {52, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//198 QsciLexerBash::qt_metacall(QMetaObject::Call, int, void**)
    {52, 382, 74, 1, Smoke::mf_ctor, 56, 8},	//199 QsciLexerBash::QsciLexerBash(QObject*)
    {52, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//200 QsciLexerBash::language() const
    {52, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//201 QsciLexerBash::lexer() const
    {52, 793, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 11},	//202 QsciLexerBash::braceStyle() const
    {52, 1453, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 12},	//203 QsciLexerBash::wordCharacters() const
    {52, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//204 QsciLexerBash::defaultColor(int) const
    {52, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 14},	//205 QsciLexerBash::defaultEolFill(int) const
    {52, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//206 QsciLexerBash::defaultFont(int) const
    {52, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//207 QsciLexerBash::defaultPaper(int) const
    {52, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 17},	//208 QsciLexerBash::keywords(int) const
    {52, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 18},	//209 QsciLexerBash::description(int) const
    {52, 1094, 0, 0, Smoke::mf_virtual, 0, 19},	//210 QsciLexerBash::refreshProperties()
    {52, 907, 0, 0, Smoke::mf_const, 185, 20},	//211 QsciLexerBash::foldComments() const
    {52, 908, 0, 0, Smoke::mf_const, 185, 21},	//212 QsciLexerBash::foldCompact() const
    {52, 1227, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//213 QsciLexerBash::setFoldComments(bool)
    {52, 1229, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//214 QsciLexerBash::setFoldCompact(bool)
    {52, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 24},	//215 QsciLexerBash::readProperties(QSettings&, const QString&)
    {52, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 25},	//216 QsciLexerBash::writeProperties(QSettings&, const QString&) const
    {52, 1425, 12, 1, Smoke::mf_static, 39, 26},	//217 QsciLexerBash::tr(const char*)
    {52, 1429, 12, 1, Smoke::mf_static, 39, 27},	//218 QsciLexerBash::trUtf8(const char*)
    {52, 382, 0, 0, Smoke::mf_ctor, 56, 28},	//219 QsciLexerBash::QsciLexerBash()
    {52, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 29},	//220 QsciLexerBash::staticMetaObject() const
    {52, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 30},	//221 QsciLexerBash::Default (enum)
    {52, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 31},	//222 QsciLexerBash::Error (enum)
    {52, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 32},	//223 QsciLexerBash::Comment (enum)
    {52, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 33},	//224 QsciLexerBash::Number (enum)
    {52, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 34},	//225 QsciLexerBash::Keyword (enum)
    {52, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 35},	//226 QsciLexerBash::DoubleQuotedString (enum)
    {52, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 36},	//227 QsciLexerBash::SingleQuotedString (enum)
    {52, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 37},	//228 QsciLexerBash::Operator (enum)
    {52, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 38},	//229 QsciLexerBash::Identifier (enum)
    {52, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 39},	//230 QsciLexerBash::Scalar (enum)
    {52, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 40},	//231 QsciLexerBash::ParameterExpansion (enum)
    {52, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 41},	//232 QsciLexerBash::Backticks (enum)
    {52, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 42},	//233 QsciLexerBash::HereDocumentDelimiter (enum)
    {52, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 43},	//234 QsciLexerBash::SingleQuotedHereDocument (enum)
    {52, 1475, 0, 0, Smoke::mf_dtor, 0, 44 },	//235 QsciLexerBash::~QsciLexerBash()
    {53, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//236 QsciLexerBatch::metaObject() const
    {53, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//237 QsciLexerBatch::qt_metacast(const char*)
    {53, 1425, 44, 2, Smoke::mf_static, 39, 3},	//238 QsciLexerBatch::tr(const char*, const char*)
    {53, 1429, 44, 2, Smoke::mf_static, 39, 4},	//239 QsciLexerBatch::trUtf8(const char*, const char*)
    {53, 1425, 47, 3, Smoke::mf_static, 39, 5},	//240 QsciLexerBatch::tr(const char*, const char*, int)
    {53, 1429, 47, 3, Smoke::mf_static, 39, 6},	//241 QsciLexerBatch::trUtf8(const char*, const char*, int)
    {53, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//242 QsciLexerBatch::qt_metacall(QMetaObject::Call, int, void**)
    {53, 384, 74, 1, Smoke::mf_ctor, 57, 8},	//243 QsciLexerBatch::QsciLexerBatch(QObject*)
    {53, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//244 QsciLexerBatch::language() const
    {53, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//245 QsciLexerBatch::lexer() const
    {53, 1453, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 11},	//246 QsciLexerBatch::wordCharacters() const
    {53, 803, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 12},	//247 QsciLexerBatch::caseSensitive() const
    {53, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//248 QsciLexerBatch::defaultColor(int) const
    {53, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 14},	//249 QsciLexerBatch::defaultEolFill(int) const
    {53, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//250 QsciLexerBatch::defaultFont(int) const
    {53, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//251 QsciLexerBatch::defaultPaper(int) const
    {53, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 17},	//252 QsciLexerBatch::keywords(int) const
    {53, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 18},	//253 QsciLexerBatch::description(int) const
    {53, 1425, 12, 1, Smoke::mf_static, 39, 19},	//254 QsciLexerBatch::tr(const char*)
    {53, 1429, 12, 1, Smoke::mf_static, 39, 20},	//255 QsciLexerBatch::trUtf8(const char*)
    {53, 384, 0, 0, Smoke::mf_ctor, 57, 21},	//256 QsciLexerBatch::QsciLexerBatch()
    {53, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 22},	//257 QsciLexerBatch::staticMetaObject() const
    {53, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 23},	//258 QsciLexerBatch::Default (enum)
    {53, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 24},	//259 QsciLexerBatch::Comment (enum)
    {53, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 25},	//260 QsciLexerBatch::Keyword (enum)
    {53, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 26},	//261 QsciLexerBatch::Label (enum)
    {53, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 27},	//262 QsciLexerBatch::HideCommandChar (enum)
    {53, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 28},	//263 QsciLexerBatch::ExternalCommand (enum)
    {53, 727, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 29},	//264 QsciLexerBatch::Variable (enum)
    {53, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 30},	//265 QsciLexerBatch::Operator (enum)
    {53, 1476, 0, 0, Smoke::mf_dtor, 0, 31 },	//266 QsciLexerBatch::~QsciLexerBatch()
    {54, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//267 QsciLexerCMake::metaObject() const
    {54, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//268 QsciLexerCMake::qt_metacast(const char*)
    {54, 1425, 44, 2, Smoke::mf_static, 39, 3},	//269 QsciLexerCMake::tr(const char*, const char*)
    {54, 1429, 44, 2, Smoke::mf_static, 39, 4},	//270 QsciLexerCMake::trUtf8(const char*, const char*)
    {54, 1425, 47, 3, Smoke::mf_static, 39, 5},	//271 QsciLexerCMake::tr(const char*, const char*, int)
    {54, 1429, 47, 3, Smoke::mf_static, 39, 6},	//272 QsciLexerCMake::trUtf8(const char*, const char*, int)
    {54, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//273 QsciLexerCMake::qt_metacall(QMetaObject::Call, int, void**)
    {54, 386, 74, 1, Smoke::mf_ctor, 58, 8},	//274 QsciLexerCMake::QsciLexerCMake(QObject*)
    {54, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//275 QsciLexerCMake::language() const
    {54, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//276 QsciLexerCMake::lexer() const
    {54, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//277 QsciLexerCMake::defaultColor(int) const
    {54, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//278 QsciLexerCMake::defaultFont(int) const
    {54, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//279 QsciLexerCMake::defaultPaper(int) const
    {54, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 14},	//280 QsciLexerCMake::keywords(int) const
    {54, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 15},	//281 QsciLexerCMake::description(int) const
    {54, 1094, 0, 0, Smoke::mf_virtual, 0, 16},	//282 QsciLexerCMake::refreshProperties()
    {54, 905, 0, 0, Smoke::mf_const, 185, 17},	//283 QsciLexerCMake::foldAtElse() const
    {54, 1223, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//284 QsciLexerCMake::setFoldAtElse(bool)
    {54, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 19},	//285 QsciLexerCMake::readProperties(QSettings&, const QString&)
    {54, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 20},	//286 QsciLexerCMake::writeProperties(QSettings&, const QString&) const
    {54, 1425, 12, 1, Smoke::mf_static, 39, 21},	//287 QsciLexerCMake::tr(const char*)
    {54, 1429, 12, 1, Smoke::mf_static, 39, 22},	//288 QsciLexerCMake::trUtf8(const char*)
    {54, 386, 0, 0, Smoke::mf_ctor, 58, 23},	//289 QsciLexerCMake::QsciLexerCMake()
    {54, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 24},	//290 QsciLexerCMake::staticMetaObject() const
    {54, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 25},	//291 QsciLexerCMake::Default (enum)
    {54, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 26},	//292 QsciLexerCMake::Comment (enum)
    {54, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 27},	//293 QsciLexerCMake::String (enum)
    {54, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 28},	//294 QsciLexerCMake::StringLeftQuote (enum)
    {54, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 29},	//295 QsciLexerCMake::StringRightQuote (enum)
    {54, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 30},	//296 QsciLexerCMake::Function (enum)
    {54, 727, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 31},	//297 QsciLexerCMake::Variable (enum)
    {54, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 32},	//298 QsciLexerCMake::Label (enum)
    {54, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 33},	//299 QsciLexerCMake::KeywordSet3 (enum)
    {54, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 34},	//300 QsciLexerCMake::BlockWhile (enum)
    {54, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 35},	//301 QsciLexerCMake::BlockForeach (enum)
    {54, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 36},	//302 QsciLexerCMake::BlockIf (enum)
    {54, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 37},	//303 QsciLexerCMake::BlockMacro (enum)
    {54, 677, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 38},	//304 QsciLexerCMake::StringVariable (enum)
    {54, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 39},	//305 QsciLexerCMake::Number (enum)
    {54, 1477, 0, 0, Smoke::mf_dtor, 0, 40 },	//306 QsciLexerCMake::~QsciLexerCMake()
    {55, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//307 QsciLexerCPP::metaObject() const
    {55, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//308 QsciLexerCPP::qt_metacast(const char*)
    {55, 1425, 44, 2, Smoke::mf_static, 39, 3},	//309 QsciLexerCPP::tr(const char*, const char*)
    {55, 1429, 44, 2, Smoke::mf_static, 39, 4},	//310 QsciLexerCPP::trUtf8(const char*, const char*)
    {55, 1425, 47, 3, Smoke::mf_static, 39, 5},	//311 QsciLexerCPP::tr(const char*, const char*, int)
    {55, 1429, 47, 3, Smoke::mf_static, 39, 6},	//312 QsciLexerCPP::trUtf8(const char*, const char*, int)
    {55, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//313 QsciLexerCPP::qt_metacall(QMetaObject::Call, int, void**)
    {55, 388, 96, 2, Smoke::mf_ctor, 59, 8},	//314 QsciLexerCPP::QsciLexerCPP(QObject*, bool)
    {55, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//315 QsciLexerCPP::language() const
    {55, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//316 QsciLexerCPP::lexer() const
    {55, 779, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 11},	//317 QsciLexerCPP::autoCompletionWordSeparators() const
    {55, 785, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 12},	//318 QsciLexerCPP::blockEnd(int*) const
    {55, 788, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 13},	//319 QsciLexerCPP::blockStart(int*) const
    {55, 790, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 14},	//320 QsciLexerCPP::blockStartKeyword(int*) const
    {55, 793, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 15},	//321 QsciLexerCPP::braceStyle() const
    {55, 1453, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 16},	//322 QsciLexerCPP::wordCharacters() const
    {55, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//323 QsciLexerCPP::defaultColor(int) const
    {55, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 18},	//324 QsciLexerCPP::defaultEolFill(int) const
    {55, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//325 QsciLexerCPP::defaultFont(int) const
    {55, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//326 QsciLexerCPP::defaultPaper(int) const
    {55, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 21},	//327 QsciLexerCPP::keywords(int) const
    {55, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 22},	//328 QsciLexerCPP::description(int) const
    {55, 1094, 0, 0, Smoke::mf_virtual, 0, 23},	//329 QsciLexerCPP::refreshProperties()
    {55, 905, 0, 0, Smoke::mf_const, 185, 24},	//330 QsciLexerCPP::foldAtElse() const
    {55, 907, 0, 0, Smoke::mf_const, 185, 25},	//331 QsciLexerCPP::foldComments() const
    {55, 908, 0, 0, Smoke::mf_const, 185, 26},	//332 QsciLexerCPP::foldCompact() const
    {55, 915, 0, 0, Smoke::mf_const, 185, 27},	//333 QsciLexerCPP::foldPreprocessor() const
    {55, 1409, 0, 0, Smoke::mf_const, 185, 28},	//334 QsciLexerCPP::stylePreprocessor() const
    {55, 1196, 16, 1, 0, 0, 29},	//335 QsciLexerCPP::setDollarsAllowed(bool)
    {55, 854, 0, 0, Smoke::mf_const, 185, 30},	//336 QsciLexerCPP::dollarsAllowed() const
    {55, 1223, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//337 QsciLexerCPP::setFoldAtElse(bool)
    {55, 1227, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//338 QsciLexerCPP::setFoldComments(bool)
    {55, 1229, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//339 QsciLexerCPP::setFoldCompact(bool)
    {55, 1241, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//340 QsciLexerCPP::setFoldPreprocessor(bool)
    {55, 1349, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//341 QsciLexerCPP::setStylePreprocessor(bool)
    {55, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 36},	//342 QsciLexerCPP::readProperties(QSettings&, const QString&)
    {55, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 37},	//343 QsciLexerCPP::writeProperties(QSettings&, const QString&) const
    {55, 1425, 12, 1, Smoke::mf_static, 39, 38},	//344 QsciLexerCPP::tr(const char*)
    {55, 1429, 12, 1, Smoke::mf_static, 39, 39},	//345 QsciLexerCPP::trUtf8(const char*)
    {55, 388, 0, 0, Smoke::mf_ctor, 59, 40},	//346 QsciLexerCPP::QsciLexerCPP()
    {55, 388, 74, 1, Smoke::mf_ctor, 59, 41},	//347 QsciLexerCPP::QsciLexerCPP(QObject*)
    {55, 785, 0, 0, Smoke::mf_const, 208, 42},	//348 QsciLexerCPP::blockEnd() const
    {55, 788, 0, 0, Smoke::mf_const, 208, 43},	//349 QsciLexerCPP::blockStart() const
    {55, 790, 0, 0, Smoke::mf_const, 208, 44},	//350 QsciLexerCPP::blockStartKeyword() const
    {55, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 45},	//351 QsciLexerCPP::staticMetaObject() const
    {55, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 46},	//352 QsciLexerCPP::Default (enum)
    {55, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 47},	//353 QsciLexerCPP::InactiveDefault (enum)
    {55, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 48},	//354 QsciLexerCPP::Comment (enum)
    {55, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 49},	//355 QsciLexerCPP::InactiveComment (enum)
    {55, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 50},	//356 QsciLexerCPP::CommentLine (enum)
    {55, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 51},	//357 QsciLexerCPP::InactiveCommentLine (enum)
    {55, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 52},	//358 QsciLexerCPP::CommentDoc (enum)
    {55, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 53},	//359 QsciLexerCPP::InactiveCommentDoc (enum)
    {55, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 54},	//360 QsciLexerCPP::Number (enum)
    {55, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 55},	//361 QsciLexerCPP::InactiveNumber (enum)
    {55, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 56},	//362 QsciLexerCPP::Keyword (enum)
    {55, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 57},	//363 QsciLexerCPP::InactiveKeyword (enum)
    {55, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 58},	//364 QsciLexerCPP::DoubleQuotedString (enum)
    {55, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 59},	//365 QsciLexerCPP::InactiveDoubleQuotedString (enum)
    {55, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 60},	//366 QsciLexerCPP::SingleQuotedString (enum)
    {55, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 61},	//367 QsciLexerCPP::InactiveSingleQuotedString (enum)
    {55, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 62},	//368 QsciLexerCPP::UUID (enum)
    {55, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 63},	//369 QsciLexerCPP::InactiveUUID (enum)
    {55, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 64},	//370 QsciLexerCPP::PreProcessor (enum)
    {55, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 65},	//371 QsciLexerCPP::InactivePreProcessor (enum)
    {55, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 66},	//372 QsciLexerCPP::Operator (enum)
    {55, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 67},	//373 QsciLexerCPP::InactiveOperator (enum)
    {55, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 68},	//374 QsciLexerCPP::Identifier (enum)
    {55, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 69},	//375 QsciLexerCPP::InactiveIdentifier (enum)
    {55, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 70},	//376 QsciLexerCPP::UnclosedString (enum)
    {55, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 71},	//377 QsciLexerCPP::InactiveUnclosedString (enum)
    {55, 728, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 72},	//378 QsciLexerCPP::VerbatimString (enum)
    {55, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 73},	//379 QsciLexerCPP::InactiveVerbatimString (enum)
    {55, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 74},	//380 QsciLexerCPP::Regex (enum)
    {55, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 75},	//381 QsciLexerCPP::InactiveRegex (enum)
    {55, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 76},	//382 QsciLexerCPP::CommentLineDoc (enum)
    {55, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 77},	//383 QsciLexerCPP::InactiveCommentLineDoc (enum)
    {55, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 78},	//384 QsciLexerCPP::KeywordSet2 (enum)
    {55, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 79},	//385 QsciLexerCPP::InactiveKeywordSet2 (enum)
    {55, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 80},	//386 QsciLexerCPP::CommentDocKeyword (enum)
    {55, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 81},	//387 QsciLexerCPP::InactiveCommentDocKeyword (enum)
    {55, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 82},	//388 QsciLexerCPP::CommentDocKeywordError (enum)
    {55, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 83},	//389 QsciLexerCPP::InactiveCommentDocKeywordError (enum)
    {55, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 84},	//390 QsciLexerCPP::GlobalClass (enum)
    {55, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 85},	//391 QsciLexerCPP::InactiveGlobalClass (enum)
    {55, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 86},	//392 QsciLexerCPP::RawString (enum)
    {55, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 87},	//393 QsciLexerCPP::InactiveRawString (enum)
    {55, 1478, 0, 0, Smoke::mf_dtor, 0, 88 },	//394 QsciLexerCPP::~QsciLexerCPP()
    {56, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//395 QsciLexerCSS::metaObject() const
    {56, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//396 QsciLexerCSS::qt_metacast(const char*)
    {56, 1425, 44, 2, Smoke::mf_static, 39, 3},	//397 QsciLexerCSS::tr(const char*, const char*)
    {56, 1429, 44, 2, Smoke::mf_static, 39, 4},	//398 QsciLexerCSS::trUtf8(const char*, const char*)
    {56, 1425, 47, 3, Smoke::mf_static, 39, 5},	//399 QsciLexerCSS::tr(const char*, const char*, int)
    {56, 1429, 47, 3, Smoke::mf_static, 39, 6},	//400 QsciLexerCSS::trUtf8(const char*, const char*, int)
    {56, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//401 QsciLexerCSS::qt_metacall(QMetaObject::Call, int, void**)
    {56, 391, 74, 1, Smoke::mf_ctor, 60, 8},	//402 QsciLexerCSS::QsciLexerCSS(QObject*)
    {56, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//403 QsciLexerCSS::language() const
    {56, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//404 QsciLexerCSS::lexer() const
    {56, 785, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 11},	//405 QsciLexerCSS::blockEnd(int*) const
    {56, 788, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 12},	//406 QsciLexerCSS::blockStart(int*) const
    {56, 1453, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 13},	//407 QsciLexerCSS::wordCharacters() const
    {56, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//408 QsciLexerCSS::defaultColor(int) const
    {56, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//409 QsciLexerCSS::defaultFont(int) const
    {56, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 16},	//410 QsciLexerCSS::keywords(int) const
    {56, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 17},	//411 QsciLexerCSS::description(int) const
    {56, 1094, 0, 0, Smoke::mf_virtual, 0, 18},	//412 QsciLexerCSS::refreshProperties()
    {56, 907, 0, 0, Smoke::mf_const, 185, 19},	//413 QsciLexerCSS::foldComments() const
    {56, 908, 0, 0, Smoke::mf_const, 185, 20},	//414 QsciLexerCSS::foldCompact() const
    {56, 1227, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//415 QsciLexerCSS::setFoldComments(bool)
    {56, 1229, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//416 QsciLexerCSS::setFoldCompact(bool)
    {56, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 23},	//417 QsciLexerCSS::readProperties(QSettings&, const QString&)
    {56, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 24},	//418 QsciLexerCSS::writeProperties(QSettings&, const QString&) const
    {56, 1425, 12, 1, Smoke::mf_static, 39, 25},	//419 QsciLexerCSS::tr(const char*)
    {56, 1429, 12, 1, Smoke::mf_static, 39, 26},	//420 QsciLexerCSS::trUtf8(const char*)
    {56, 391, 0, 0, Smoke::mf_ctor, 60, 27},	//421 QsciLexerCSS::QsciLexerCSS()
    {56, 785, 0, 0, Smoke::mf_const, 208, 28},	//422 QsciLexerCSS::blockEnd() const
    {56, 788, 0, 0, Smoke::mf_const, 208, 29},	//423 QsciLexerCSS::blockStart() const
    {56, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 30},	//424 QsciLexerCSS::staticMetaObject() const
    {56, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 31},	//425 QsciLexerCSS::Default (enum)
    {56, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 32},	//426 QsciLexerCSS::Tag (enum)
    {56, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 33},	//427 QsciLexerCSS::ClassSelector (enum)
    {56, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 34},	//428 QsciLexerCSS::PseudoClass (enum)
    {56, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 35},	//429 QsciLexerCSS::UnknownPseudoClass (enum)
    {56, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 36},	//430 QsciLexerCSS::Operator (enum)
    {56, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 37},	//431 QsciLexerCSS::CSS1Property (enum)
    {56, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 38},	//432 QsciLexerCSS::UnknownProperty (enum)
    {56, 726, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 39},	//433 QsciLexerCSS::Value (enum)
    {56, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 40},	//434 QsciLexerCSS::Comment (enum)
    {56, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 41},	//435 QsciLexerCSS::IDSelector (enum)
    {56, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 42},	//436 QsciLexerCSS::Important (enum)
    {56, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 43},	//437 QsciLexerCSS::AtRule (enum)
    {56, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 44},	//438 QsciLexerCSS::DoubleQuotedString (enum)
    {56, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 45},	//439 QsciLexerCSS::SingleQuotedString (enum)
    {56, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 46},	//440 QsciLexerCSS::CSS2Property (enum)
    {56, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 47},	//441 QsciLexerCSS::Attribute (enum)
    {56, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 48},	//442 QsciLexerCSS::CSS3Property (enum)
    {56, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 49},	//443 QsciLexerCSS::PseudoElement (enum)
    {56, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 50},	//444 QsciLexerCSS::ExtendedCSSProperty (enum)
    {56, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 51},	//445 QsciLexerCSS::ExtendedPseudoClass (enum)
    {56, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 52},	//446 QsciLexerCSS::ExtendedPseudoElement (enum)
    {56, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 53},	//447 QsciLexerCSS::MediaRule (enum)
    {56, 1479, 0, 0, Smoke::mf_dtor, 0, 54 },	//448 QsciLexerCSS::~QsciLexerCSS()
    {57, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//449 QsciLexerCSharp::metaObject() const
    {57, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//450 QsciLexerCSharp::qt_metacast(const char*)
    {57, 1425, 44, 2, Smoke::mf_static, 39, 3},	//451 QsciLexerCSharp::tr(const char*, const char*)
    {57, 1429, 44, 2, Smoke::mf_static, 39, 4},	//452 QsciLexerCSharp::trUtf8(const char*, const char*)
    {57, 1425, 47, 3, Smoke::mf_static, 39, 5},	//453 QsciLexerCSharp::tr(const char*, const char*, int)
    {57, 1429, 47, 3, Smoke::mf_static, 39, 6},	//454 QsciLexerCSharp::trUtf8(const char*, const char*, int)
    {57, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//455 QsciLexerCSharp::qt_metacall(QMetaObject::Call, int, void**)
    {57, 393, 74, 1, Smoke::mf_ctor, 61, 8},	//456 QsciLexerCSharp::QsciLexerCSharp(QObject*)
    {57, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//457 QsciLexerCSharp::language() const
    {57, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//458 QsciLexerCSharp::defaultColor(int) const
    {57, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 11},	//459 QsciLexerCSharp::defaultEolFill(int) const
    {57, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//460 QsciLexerCSharp::defaultFont(int) const
    {57, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//461 QsciLexerCSharp::defaultPaper(int) const
    {57, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 14},	//462 QsciLexerCSharp::keywords(int) const
    {57, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 15},	//463 QsciLexerCSharp::description(int) const
    {57, 1425, 12, 1, Smoke::mf_static, 39, 16},	//464 QsciLexerCSharp::tr(const char*)
    {57, 1429, 12, 1, Smoke::mf_static, 39, 17},	//465 QsciLexerCSharp::trUtf8(const char*)
    {57, 393, 0, 0, Smoke::mf_ctor, 61, 18},	//466 QsciLexerCSharp::QsciLexerCSharp()
    {57, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 19},	//467 QsciLexerCSharp::staticMetaObject() const
    {57, 1480, 0, 0, Smoke::mf_dtor, 0, 20 },	//468 QsciLexerCSharp::~QsciLexerCSharp()
    {58, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//469 QsciLexerCustom::metaObject() const
    {58, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//470 QsciLexerCustom::qt_metacast(const char*)
    {58, 1425, 44, 2, Smoke::mf_static, 39, 3},	//471 QsciLexerCustom::tr(const char*, const char*)
    {58, 1429, 44, 2, Smoke::mf_static, 39, 4},	//472 QsciLexerCustom::trUtf8(const char*, const char*)
    {58, 1425, 47, 3, Smoke::mf_static, 39, 5},	//473 QsciLexerCustom::tr(const char*, const char*, int)
    {58, 1429, 47, 3, Smoke::mf_static, 39, 6},	//474 QsciLexerCustom::trUtf8(const char*, const char*, int)
    {58, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//475 QsciLexerCustom::qt_metacall(QMetaObject::Call, int, void**)
    {58, 395, 74, 1, Smoke::mf_ctor, 62, 8},	//476 QsciLexerCustom::QsciLexerCustom(QObject*)
    {58, 1351, 99, 2, 0, 0, 9},	//477 QsciLexerCustom::setStyling(int, int)
    {58, 1351, 102, 2, 0, 0, 10},	//478 QsciLexerCustom::setStyling(int, const QsciStyle&)
    {58, 1401, 99, 2, 0, 0, 11},	//479 QsciLexerCustom::startStyling(int, int)
    {58, 1410, 99, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//480 QsciLexerCustom::styleText(int, int) [pure virtual]
    {58, 1206, 82, 1, Smoke::mf_virtual, 0, 13},	//481 QsciLexerCustom::setEditor(QsciScintilla*)
    {58, 1407, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 14},	//482 QsciLexerCustom::styleBitsNeeded() const
    {58, 1425, 12, 1, Smoke::mf_static, 39, 15},	//483 QsciLexerCustom::tr(const char*)
    {58, 1429, 12, 1, Smoke::mf_static, 39, 16},	//484 QsciLexerCustom::trUtf8(const char*)
    {58, 395, 0, 0, Smoke::mf_ctor, 62, 17},	//485 QsciLexerCustom::QsciLexerCustom()
    {58, 1401, 18, 1, 0, 0, 18},	//486 QsciLexerCustom::startStyling(int)
    {58, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 19},	//487 QsciLexerCustom::staticMetaObject() const
    {58, 1481, 0, 0, Smoke::mf_dtor, 0, 20 },	//488 QsciLexerCustom::~QsciLexerCustom()
    {59, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//489 QsciLexerD::metaObject() const
    {59, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//490 QsciLexerD::qt_metacast(const char*)
    {59, 1425, 44, 2, Smoke::mf_static, 39, 3},	//491 QsciLexerD::tr(const char*, const char*)
    {59, 1429, 44, 2, Smoke::mf_static, 39, 4},	//492 QsciLexerD::trUtf8(const char*, const char*)
    {59, 1425, 47, 3, Smoke::mf_static, 39, 5},	//493 QsciLexerD::tr(const char*, const char*, int)
    {59, 1429, 47, 3, Smoke::mf_static, 39, 6},	//494 QsciLexerD::trUtf8(const char*, const char*, int)
    {59, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//495 QsciLexerD::qt_metacall(QMetaObject::Call, int, void**)
    {59, 397, 74, 1, Smoke::mf_ctor, 63, 8},	//496 QsciLexerD::QsciLexerD(QObject*)
    {59, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//497 QsciLexerD::language() const
    {59, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//498 QsciLexerD::lexer() const
    {59, 779, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 11},	//499 QsciLexerD::autoCompletionWordSeparators() const
    {59, 785, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 12},	//500 QsciLexerD::blockEnd(int*) const
    {59, 788, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 13},	//501 QsciLexerD::blockStart(int*) const
    {59, 790, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 14},	//502 QsciLexerD::blockStartKeyword(int*) const
    {59, 793, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 15},	//503 QsciLexerD::braceStyle() const
    {59, 1453, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 16},	//504 QsciLexerD::wordCharacters() const
    {59, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//505 QsciLexerD::defaultColor(int) const
    {59, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 18},	//506 QsciLexerD::defaultEolFill(int) const
    {59, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//507 QsciLexerD::defaultFont(int) const
    {59, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//508 QsciLexerD::defaultPaper(int) const
    {59, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 21},	//509 QsciLexerD::keywords(int) const
    {59, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 22},	//510 QsciLexerD::description(int) const
    {59, 1094, 0, 0, Smoke::mf_virtual, 0, 23},	//511 QsciLexerD::refreshProperties()
    {59, 905, 0, 0, Smoke::mf_const, 185, 24},	//512 QsciLexerD::foldAtElse() const
    {59, 907, 0, 0, Smoke::mf_const, 185, 25},	//513 QsciLexerD::foldComments() const
    {59, 908, 0, 0, Smoke::mf_const, 185, 26},	//514 QsciLexerD::foldCompact() const
    {59, 1223, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//515 QsciLexerD::setFoldAtElse(bool)
    {59, 1227, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//516 QsciLexerD::setFoldComments(bool)
    {59, 1229, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//517 QsciLexerD::setFoldCompact(bool)
    {59, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 30},	//518 QsciLexerD::readProperties(QSettings&, const QString&)
    {59, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 31},	//519 QsciLexerD::writeProperties(QSettings&, const QString&) const
    {59, 1425, 12, 1, Smoke::mf_static, 39, 32},	//520 QsciLexerD::tr(const char*)
    {59, 1429, 12, 1, Smoke::mf_static, 39, 33},	//521 QsciLexerD::trUtf8(const char*)
    {59, 397, 0, 0, Smoke::mf_ctor, 63, 34},	//522 QsciLexerD::QsciLexerD()
    {59, 785, 0, 0, Smoke::mf_const, 208, 35},	//523 QsciLexerD::blockEnd() const
    {59, 788, 0, 0, Smoke::mf_const, 208, 36},	//524 QsciLexerD::blockStart() const
    {59, 790, 0, 0, Smoke::mf_const, 208, 37},	//525 QsciLexerD::blockStartKeyword() const
    {59, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 38},	//526 QsciLexerD::staticMetaObject() const
    {59, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 39},	//527 QsciLexerD::Default (enum)
    {59, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 40},	//528 QsciLexerD::Comment (enum)
    {59, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 41},	//529 QsciLexerD::CommentLine (enum)
    {59, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 42},	//530 QsciLexerD::CommentDoc (enum)
    {59, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 43},	//531 QsciLexerD::CommentNested (enum)
    {59, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 44},	//532 QsciLexerD::Number (enum)
    {59, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 45},	//533 QsciLexerD::Keyword (enum)
    {59, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 46},	//534 QsciLexerD::KeywordSecondary (enum)
    {59, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 47},	//535 QsciLexerD::KeywordDoc (enum)
    {59, 707, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 48},	//536 QsciLexerD::Typedefs (enum)
    {59, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 49},	//537 QsciLexerD::String (enum)
    {59, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 50},	//538 QsciLexerD::UnclosedString (enum)
    {59, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 51},	//539 QsciLexerD::Character (enum)
    {59, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 52},	//540 QsciLexerD::Operator (enum)
    {59, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 53},	//541 QsciLexerD::Identifier (enum)
    {59, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 54},	//542 QsciLexerD::CommentLineDoc (enum)
    {59, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 55},	//543 QsciLexerD::CommentDocKeyword (enum)
    {59, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 56},	//544 QsciLexerD::CommentDocKeywordError (enum)
    {59, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 57},	//545 QsciLexerD::BackquoteString (enum)
    {59, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 58},	//546 QsciLexerD::RawString (enum)
    {59, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 59},	//547 QsciLexerD::KeywordSet5 (enum)
    {59, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 60},	//548 QsciLexerD::KeywordSet6 (enum)
    {59, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 61},	//549 QsciLexerD::KeywordSet7 (enum)
    {59, 1482, 0, 0, Smoke::mf_dtor, 0, 62 },	//550 QsciLexerD::~QsciLexerD()
    {60, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//551 QsciLexerDiff::metaObject() const
    {60, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//552 QsciLexerDiff::qt_metacast(const char*)
    {60, 1425, 44, 2, Smoke::mf_static, 39, 3},	//553 QsciLexerDiff::tr(const char*, const char*)
    {60, 1429, 44, 2, Smoke::mf_static, 39, 4},	//554 QsciLexerDiff::trUtf8(const char*, const char*)
    {60, 1425, 47, 3, Smoke::mf_static, 39, 5},	//555 QsciLexerDiff::tr(const char*, const char*, int)
    {60, 1429, 47, 3, Smoke::mf_static, 39, 6},	//556 QsciLexerDiff::trUtf8(const char*, const char*, int)
    {60, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//557 QsciLexerDiff::qt_metacall(QMetaObject::Call, int, void**)
    {60, 399, 74, 1, Smoke::mf_ctor, 64, 8},	//558 QsciLexerDiff::QsciLexerDiff(QObject*)
    {60, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//559 QsciLexerDiff::language() const
    {60, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//560 QsciLexerDiff::lexer() const
    {60, 1453, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 11},	//561 QsciLexerDiff::wordCharacters() const
    {60, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//562 QsciLexerDiff::defaultColor(int) const
    {60, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 13},	//563 QsciLexerDiff::description(int) const
    {60, 1425, 12, 1, Smoke::mf_static, 39, 14},	//564 QsciLexerDiff::tr(const char*)
    {60, 1429, 12, 1, Smoke::mf_static, 39, 15},	//565 QsciLexerDiff::trUtf8(const char*)
    {60, 399, 0, 0, Smoke::mf_ctor, 64, 16},	//566 QsciLexerDiff::QsciLexerDiff()
    {60, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 17},	//567 QsciLexerDiff::staticMetaObject() const
    {60, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 18},	//568 QsciLexerDiff::Default (enum)
    {60, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 19},	//569 QsciLexerDiff::Comment (enum)
    {60, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 20},	//570 QsciLexerDiff::Command (enum)
    {60, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 21},	//571 QsciLexerDiff::Header (enum)
    {60, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 22},	//572 QsciLexerDiff::Position (enum)
    {60, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 23},	//573 QsciLexerDiff::LineRemoved (enum)
    {60, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 24},	//574 QsciLexerDiff::LineAdded (enum)
    {60, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 25},	//575 QsciLexerDiff::LineChanged (enum)
    {60, 1483, 0, 0, Smoke::mf_dtor, 0, 26 },	//576 QsciLexerDiff::~QsciLexerDiff()
    {61, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//577 QsciLexerFortran::metaObject() const
    {61, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//578 QsciLexerFortran::qt_metacast(const char*)
    {61, 1425, 44, 2, Smoke::mf_static, 39, 3},	//579 QsciLexerFortran::tr(const char*, const char*)
    {61, 1429, 44, 2, Smoke::mf_static, 39, 4},	//580 QsciLexerFortran::trUtf8(const char*, const char*)
    {61, 1425, 47, 3, Smoke::mf_static, 39, 5},	//581 QsciLexerFortran::tr(const char*, const char*, int)
    {61, 1429, 47, 3, Smoke::mf_static, 39, 6},	//582 QsciLexerFortran::trUtf8(const char*, const char*, int)
    {61, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//583 QsciLexerFortran::qt_metacall(QMetaObject::Call, int, void**)
    {61, 401, 74, 1, Smoke::mf_ctor, 65, 8},	//584 QsciLexerFortran::QsciLexerFortran(QObject*)
    {61, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//585 QsciLexerFortran::language() const
    {61, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//586 QsciLexerFortran::lexer() const
    {61, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 11},	//587 QsciLexerFortran::keywords(int) const
    {61, 1425, 12, 1, Smoke::mf_static, 39, 12},	//588 QsciLexerFortran::tr(const char*)
    {61, 1429, 12, 1, Smoke::mf_static, 39, 13},	//589 QsciLexerFortran::trUtf8(const char*)
    {61, 401, 0, 0, Smoke::mf_ctor, 65, 14},	//590 QsciLexerFortran::QsciLexerFortran()
    {61, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 15},	//591 QsciLexerFortran::staticMetaObject() const
    {61, 1484, 0, 0, Smoke::mf_dtor, 0, 16 },	//592 QsciLexerFortran::~QsciLexerFortran()
    {62, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//593 QsciLexerFortran77::metaObject() const
    {62, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//594 QsciLexerFortran77::qt_metacast(const char*)
    {62, 1425, 44, 2, Smoke::mf_static, 39, 3},	//595 QsciLexerFortran77::tr(const char*, const char*)
    {62, 1429, 44, 2, Smoke::mf_static, 39, 4},	//596 QsciLexerFortran77::trUtf8(const char*, const char*)
    {62, 1425, 47, 3, Smoke::mf_static, 39, 5},	//597 QsciLexerFortran77::tr(const char*, const char*, int)
    {62, 1429, 47, 3, Smoke::mf_static, 39, 6},	//598 QsciLexerFortran77::trUtf8(const char*, const char*, int)
    {62, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//599 QsciLexerFortran77::qt_metacall(QMetaObject::Call, int, void**)
    {62, 403, 74, 1, Smoke::mf_ctor, 66, 8},	//600 QsciLexerFortran77::QsciLexerFortran77(QObject*)
    {62, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//601 QsciLexerFortran77::language() const
    {62, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//602 QsciLexerFortran77::lexer() const
    {62, 793, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 11},	//603 QsciLexerFortran77::braceStyle() const
    {62, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//604 QsciLexerFortran77::defaultColor(int) const
    {62, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 13},	//605 QsciLexerFortran77::defaultEolFill(int) const
    {62, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//606 QsciLexerFortran77::defaultFont(int) const
    {62, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//607 QsciLexerFortran77::defaultPaper(int) const
    {62, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 16},	//608 QsciLexerFortran77::keywords(int) const
    {62, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 17},	//609 QsciLexerFortran77::description(int) const
    {62, 1094, 0, 0, Smoke::mf_virtual, 0, 18},	//610 QsciLexerFortran77::refreshProperties()
    {62, 908, 0, 0, Smoke::mf_const, 185, 19},	//611 QsciLexerFortran77::foldCompact() const
    {62, 1229, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//612 QsciLexerFortran77::setFoldCompact(bool)
    {62, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 21},	//613 QsciLexerFortran77::readProperties(QSettings&, const QString&)
    {62, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 22},	//614 QsciLexerFortran77::writeProperties(QSettings&, const QString&) const
    {62, 1425, 12, 1, Smoke::mf_static, 39, 23},	//615 QsciLexerFortran77::tr(const char*)
    {62, 1429, 12, 1, Smoke::mf_static, 39, 24},	//616 QsciLexerFortran77::trUtf8(const char*)
    {62, 403, 0, 0, Smoke::mf_ctor, 66, 25},	//617 QsciLexerFortran77::QsciLexerFortran77()
    {62, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 26},	//618 QsciLexerFortran77::staticMetaObject() const
    {62, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 27},	//619 QsciLexerFortran77::Default (enum)
    {62, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 28},	//620 QsciLexerFortran77::Comment (enum)
    {62, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 29},	//621 QsciLexerFortran77::Number (enum)
    {62, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 30},	//622 QsciLexerFortran77::SingleQuotedString (enum)
    {62, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 31},	//623 QsciLexerFortran77::DoubleQuotedString (enum)
    {62, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 32},	//624 QsciLexerFortran77::UnclosedString (enum)
    {62, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 33},	//625 QsciLexerFortran77::Operator (enum)
    {62, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 34},	//626 QsciLexerFortran77::Identifier (enum)
    {62, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 35},	//627 QsciLexerFortran77::Keyword (enum)
    {62, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 36},	//628 QsciLexerFortran77::IntrinsicFunction (enum)
    {62, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 37},	//629 QsciLexerFortran77::ExtendedFunction (enum)
    {62, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 38},	//630 QsciLexerFortran77::PreProcessor (enum)
    {62, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 39},	//631 QsciLexerFortran77::DottedOperator (enum)
    {62, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 40},	//632 QsciLexerFortran77::Label (enum)
    {62, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 41},	//633 QsciLexerFortran77::Continuation (enum)
    {62, 1485, 0, 0, Smoke::mf_dtor, 0, 42 },	//634 QsciLexerFortran77::~QsciLexerFortran77()
    {63, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//635 QsciLexerHTML::metaObject() const
    {63, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//636 QsciLexerHTML::qt_metacast(const char*)
    {63, 1425, 44, 2, Smoke::mf_static, 39, 3},	//637 QsciLexerHTML::tr(const char*, const char*)
    {63, 1429, 44, 2, Smoke::mf_static, 39, 4},	//638 QsciLexerHTML::trUtf8(const char*, const char*)
    {63, 1425, 47, 3, Smoke::mf_static, 39, 5},	//639 QsciLexerHTML::tr(const char*, const char*, int)
    {63, 1429, 47, 3, Smoke::mf_static, 39, 6},	//640 QsciLexerHTML::trUtf8(const char*, const char*, int)
    {63, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//641 QsciLexerHTML::qt_metacall(QMetaObject::Call, int, void**)
    {63, 405, 74, 1, Smoke::mf_ctor, 67, 8},	//642 QsciLexerHTML::QsciLexerHTML(QObject*)
    {63, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//643 QsciLexerHTML::language() const
    {63, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//644 QsciLexerHTML::lexer() const
    {63, 770, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 11},	//645 QsciLexerHTML::autoCompletionFillups() const
    {63, 1453, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 12},	//646 QsciLexerHTML::wordCharacters() const
    {63, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//647 QsciLexerHTML::defaultColor(int) const
    {63, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 14},	//648 QsciLexerHTML::defaultEolFill(int) const
    {63, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//649 QsciLexerHTML::defaultFont(int) const
    {63, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//650 QsciLexerHTML::defaultPaper(int) const
    {63, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 17},	//651 QsciLexerHTML::keywords(int) const
    {63, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 18},	//652 QsciLexerHTML::description(int) const
    {63, 1094, 0, 0, Smoke::mf_virtual, 0, 19},	//653 QsciLexerHTML::refreshProperties()
    {63, 804, 0, 0, Smoke::mf_const, 185, 20},	//654 QsciLexerHTML::caseSensitiveTags() const
    {63, 1192, 16, 1, 0, 0, 21},	//655 QsciLexerHTML::setDjangoTemplates(bool)
    {63, 852, 0, 0, Smoke::mf_const, 185, 22},	//656 QsciLexerHTML::djangoTemplates() const
    {63, 908, 0, 0, Smoke::mf_const, 185, 23},	//657 QsciLexerHTML::foldCompact() const
    {63, 915, 0, 0, Smoke::mf_const, 185, 24},	//658 QsciLexerHTML::foldPreprocessor() const
    {63, 1245, 16, 1, 0, 0, 25},	//659 QsciLexerHTML::setFoldScriptComments(bool)
    {63, 917, 0, 0, Smoke::mf_const, 185, 26},	//660 QsciLexerHTML::foldScriptComments() const
    {63, 1247, 16, 1, 0, 0, 27},	//661 QsciLexerHTML::setFoldScriptHeredocs(bool)
    {63, 918, 0, 0, Smoke::mf_const, 185, 28},	//662 QsciLexerHTML::foldScriptHeredocs() const
    {63, 1289, 16, 1, 0, 0, 29},	//663 QsciLexerHTML::setMakoTemplates(bool)
    {63, 1002, 0, 0, Smoke::mf_const, 185, 30},	//664 QsciLexerHTML::makoTemplates() const
    {63, 1229, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//665 QsciLexerHTML::setFoldCompact(bool)
    {63, 1241, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//666 QsciLexerHTML::setFoldPreprocessor(bool)
    {63, 1173, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//667 QsciLexerHTML::setCaseSensitiveTags(bool)
    {63, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 34},	//668 QsciLexerHTML::readProperties(QSettings&, const QString&)
    {63, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 35},	//669 QsciLexerHTML::writeProperties(QSettings&, const QString&) const
    {63, 1425, 12, 1, Smoke::mf_static, 39, 36},	//670 QsciLexerHTML::tr(const char*)
    {63, 1429, 12, 1, Smoke::mf_static, 39, 37},	//671 QsciLexerHTML::trUtf8(const char*)
    {63, 405, 0, 0, Smoke::mf_ctor, 67, 38},	//672 QsciLexerHTML::QsciLexerHTML()
    {63, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 39},	//673 QsciLexerHTML::staticMetaObject() const
    {63, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 40},	//674 QsciLexerHTML::Default (enum)
    {63, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 41},	//675 QsciLexerHTML::Tag (enum)
    {63, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 42},	//676 QsciLexerHTML::UnknownTag (enum)
    {63, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 43},	//677 QsciLexerHTML::Attribute (enum)
    {63, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 44},	//678 QsciLexerHTML::UnknownAttribute (enum)
    {63, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 45},	//679 QsciLexerHTML::HTMLNumber (enum)
    {63, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 46},	//680 QsciLexerHTML::HTMLDoubleQuotedString (enum)
    {63, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 47},	//681 QsciLexerHTML::HTMLSingleQuotedString (enum)
    {63, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 48},	//682 QsciLexerHTML::OtherInTag (enum)
    {63, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 49},	//683 QsciLexerHTML::HTMLComment (enum)
    {63, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 50},	//684 QsciLexerHTML::Entity (enum)
    {63, 745, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 51},	//685 QsciLexerHTML::XMLTagEnd (enum)
    {63, 744, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 52},	//686 QsciLexerHTML::XMLStart (enum)
    {63, 743, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 53},	//687 QsciLexerHTML::XMLEnd (enum)
    {63, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 54},	//688 QsciLexerHTML::Script (enum)
    {63, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 55},	//689 QsciLexerHTML::ASPAtStart (enum)
    {63, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 56},	//690 QsciLexerHTML::ASPStart (enum)
    {63, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 57},	//691 QsciLexerHTML::CDATA (enum)
    {63, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 58},	//692 QsciLexerHTML::PHPStart (enum)
    {63, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 59},	//693 QsciLexerHTML::HTMLValue (enum)
    {63, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 60},	//694 QsciLexerHTML::ASPXCComment (enum)
    {63, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 61},	//695 QsciLexerHTML::SGMLDefault (enum)
    {63, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 62},	//696 QsciLexerHTML::SGMLCommand (enum)
    {63, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 63},	//697 QsciLexerHTML::SGMLParameter (enum)
    {63, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 64},	//698 QsciLexerHTML::SGMLDoubleQuotedString (enum)
    {63, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 65},	//699 QsciLexerHTML::SGMLSingleQuotedString (enum)
    {63, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 66},	//700 QsciLexerHTML::SGMLError (enum)
    {63, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 67},	//701 QsciLexerHTML::SGMLSpecial (enum)
    {63, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 68},	//702 QsciLexerHTML::SGMLEntity (enum)
    {63, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 69},	//703 QsciLexerHTML::SGMLComment (enum)
    {63, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 70},	//704 QsciLexerHTML::SGMLParameterComment (enum)
    {63, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 71},	//705 QsciLexerHTML::SGMLBlockDefault (enum)
    {63, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 72},	//706 QsciLexerHTML::JavaScriptStart (enum)
    {63, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 73},	//707 QsciLexerHTML::JavaScriptDefault (enum)
    {63, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 74},	//708 QsciLexerHTML::JavaScriptComment (enum)
    {63, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 75},	//709 QsciLexerHTML::JavaScriptCommentLine (enum)
    {63, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 76},	//710 QsciLexerHTML::JavaScriptCommentDoc (enum)
    {63, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 77},	//711 QsciLexerHTML::JavaScriptNumber (enum)
    {63, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 78},	//712 QsciLexerHTML::JavaScriptWord (enum)
    {63, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 79},	//713 QsciLexerHTML::JavaScriptKeyword (enum)
    {63, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 80},	//714 QsciLexerHTML::JavaScriptDoubleQuotedString (enum)
    {63, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 81},	//715 QsciLexerHTML::JavaScriptSingleQuotedString (enum)
    {63, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 82},	//716 QsciLexerHTML::JavaScriptSymbol (enum)
    {63, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 83},	//717 QsciLexerHTML::JavaScriptUnclosedString (enum)
    {63, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 84},	//718 QsciLexerHTML::JavaScriptRegex (enum)
    {63, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 85},	//719 QsciLexerHTML::ASPJavaScriptStart (enum)
    {63, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 86},	//720 QsciLexerHTML::ASPJavaScriptDefault (enum)
    {63, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 87},	//721 QsciLexerHTML::ASPJavaScriptComment (enum)
    {63, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 88},	//722 QsciLexerHTML::ASPJavaScriptCommentLine (enum)
    {63, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 89},	//723 QsciLexerHTML::ASPJavaScriptCommentDoc (enum)
    {63, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 90},	//724 QsciLexerHTML::ASPJavaScriptNumber (enum)
    {63, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 91},	//725 QsciLexerHTML::ASPJavaScriptWord (enum)
    {63, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 92},	//726 QsciLexerHTML::ASPJavaScriptKeyword (enum)
    {63, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 93},	//727 QsciLexerHTML::ASPJavaScriptDoubleQuotedString (enum)
    {63, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 94},	//728 QsciLexerHTML::ASPJavaScriptSingleQuotedString (enum)
    {63, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 95},	//729 QsciLexerHTML::ASPJavaScriptSymbol (enum)
    {63, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 96},	//730 QsciLexerHTML::ASPJavaScriptUnclosedString (enum)
    {63, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 97},	//731 QsciLexerHTML::ASPJavaScriptRegex (enum)
    {63, 722, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 98},	//732 QsciLexerHTML::VBScriptStart (enum)
    {63, 718, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 99},	//733 QsciLexerHTML::VBScriptDefault (enum)
    {63, 717, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 100},	//734 QsciLexerHTML::VBScriptComment (enum)
    {63, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 101},	//735 QsciLexerHTML::VBScriptNumber (enum)
    {63, 720, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 102},	//736 QsciLexerHTML::VBScriptKeyword (enum)
    {63, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 103},	//737 QsciLexerHTML::VBScriptString (enum)
    {63, 719, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 104},	//738 QsciLexerHTML::VBScriptIdentifier (enum)
    {63, 724, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 105},	//739 QsciLexerHTML::VBScriptUnclosedString (enum)
    {63, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 106},	//740 QsciLexerHTML::ASPVBScriptStart (enum)
    {63, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 107},	//741 QsciLexerHTML::ASPVBScriptDefault (enum)
    {63, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 108},	//742 QsciLexerHTML::ASPVBScriptComment (enum)
    {63, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 109},	//743 QsciLexerHTML::ASPVBScriptNumber (enum)
    {63, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 110},	//744 QsciLexerHTML::ASPVBScriptKeyword (enum)
    {63, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 111},	//745 QsciLexerHTML::ASPVBScriptString (enum)
    {63, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 112},	//746 QsciLexerHTML::ASPVBScriptIdentifier (enum)
    {63, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 113},	//747 QsciLexerHTML::ASPVBScriptUnclosedString (enum)
    {63, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 114},	//748 QsciLexerHTML::PythonStart (enum)
    {63, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 115},	//749 QsciLexerHTML::PythonDefault (enum)
    {63, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 116},	//750 QsciLexerHTML::PythonComment (enum)
    {63, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 117},	//751 QsciLexerHTML::PythonNumber (enum)
    {63, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 118},	//752 QsciLexerHTML::PythonDoubleQuotedString (enum)
    {63, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 119},	//753 QsciLexerHTML::PythonSingleQuotedString (enum)
    {63, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 120},	//754 QsciLexerHTML::PythonKeyword (enum)
    {63, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 121},	//755 QsciLexerHTML::PythonTripleSingleQuotedString (enum)
    {63, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 122},	//756 QsciLexerHTML::PythonTripleDoubleQuotedString (enum)
    {63, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 123},	//757 QsciLexerHTML::PythonClassName (enum)
    {63, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 124},	//758 QsciLexerHTML::PythonFunctionMethodName (enum)
    {63, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 125},	//759 QsciLexerHTML::PythonOperator (enum)
    {63, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 126},	//760 QsciLexerHTML::PythonIdentifier (enum)
    {63, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 127},	//761 QsciLexerHTML::ASPPythonStart (enum)
    {63, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 128},	//762 QsciLexerHTML::ASPPythonDefault (enum)
    {63, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 129},	//763 QsciLexerHTML::ASPPythonComment (enum)
    {63, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 130},	//764 QsciLexerHTML::ASPPythonNumber (enum)
    {63, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 131},	//765 QsciLexerHTML::ASPPythonDoubleQuotedString (enum)
    {63, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 132},	//766 QsciLexerHTML::ASPPythonSingleQuotedString (enum)
    {63, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 133},	//767 QsciLexerHTML::ASPPythonKeyword (enum)
    {63, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 134},	//768 QsciLexerHTML::ASPPythonTripleSingleQuotedString (enum)
    {63, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 135},	//769 QsciLexerHTML::ASPPythonTripleDoubleQuotedString (enum)
    {63, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 136},	//770 QsciLexerHTML::ASPPythonClassName (enum)
    {63, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 137},	//771 QsciLexerHTML::ASPPythonFunctionMethodName (enum)
    {63, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 138},	//772 QsciLexerHTML::ASPPythonOperator (enum)
    {63, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 139},	//773 QsciLexerHTML::ASPPythonIdentifier (enum)
    {63, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 140},	//774 QsciLexerHTML::PHPDefault (enum)
    {63, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 141},	//775 QsciLexerHTML::PHPDoubleQuotedString (enum)
    {63, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 142},	//776 QsciLexerHTML::PHPSingleQuotedString (enum)
    {63, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 143},	//777 QsciLexerHTML::PHPKeyword (enum)
    {63, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 144},	//778 QsciLexerHTML::PHPNumber (enum)
    {63, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 145},	//779 QsciLexerHTML::PHPVariable (enum)
    {63, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 146},	//780 QsciLexerHTML::PHPComment (enum)
    {63, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 147},	//781 QsciLexerHTML::PHPCommentLine (enum)
    {63, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 148},	//782 QsciLexerHTML::PHPDoubleQuotedVariable (enum)
    {63, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 149},	//783 QsciLexerHTML::PHPOperator (enum)
    {63, 1486, 0, 0, Smoke::mf_dtor, 0, 150 },	//784 QsciLexerHTML::~QsciLexerHTML()
    {64, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//785 QsciLexerIDL::metaObject() const
    {64, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//786 QsciLexerIDL::qt_metacast(const char*)
    {64, 1425, 44, 2, Smoke::mf_static, 39, 3},	//787 QsciLexerIDL::tr(const char*, const char*)
    {64, 1429, 44, 2, Smoke::mf_static, 39, 4},	//788 QsciLexerIDL::trUtf8(const char*, const char*)
    {64, 1425, 47, 3, Smoke::mf_static, 39, 5},	//789 QsciLexerIDL::tr(const char*, const char*, int)
    {64, 1429, 47, 3, Smoke::mf_static, 39, 6},	//790 QsciLexerIDL::trUtf8(const char*, const char*, int)
    {64, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//791 QsciLexerIDL::qt_metacall(QMetaObject::Call, int, void**)
    {64, 407, 74, 1, Smoke::mf_ctor, 68, 8},	//792 QsciLexerIDL::QsciLexerIDL(QObject*)
    {64, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//793 QsciLexerIDL::language() const
    {64, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//794 QsciLexerIDL::defaultColor(int) const
    {64, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 11},	//795 QsciLexerIDL::keywords(int) const
    {64, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 12},	//796 QsciLexerIDL::description(int) const
    {64, 1425, 12, 1, Smoke::mf_static, 39, 13},	//797 QsciLexerIDL::tr(const char*)
    {64, 1429, 12, 1, Smoke::mf_static, 39, 14},	//798 QsciLexerIDL::trUtf8(const char*)
    {64, 407, 0, 0, Smoke::mf_ctor, 68, 15},	//799 QsciLexerIDL::QsciLexerIDL()
    {64, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 16},	//800 QsciLexerIDL::staticMetaObject() const
    {64, 1487, 0, 0, Smoke::mf_dtor, 0, 17 },	//801 QsciLexerIDL::~QsciLexerIDL()
    {65, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//802 QsciLexerJava::metaObject() const
    {65, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//803 QsciLexerJava::qt_metacast(const char*)
    {65, 1425, 44, 2, Smoke::mf_static, 39, 3},	//804 QsciLexerJava::tr(const char*, const char*)
    {65, 1429, 44, 2, Smoke::mf_static, 39, 4},	//805 QsciLexerJava::trUtf8(const char*, const char*)
    {65, 1425, 47, 3, Smoke::mf_static, 39, 5},	//806 QsciLexerJava::tr(const char*, const char*, int)
    {65, 1429, 47, 3, Smoke::mf_static, 39, 6},	//807 QsciLexerJava::trUtf8(const char*, const char*, int)
    {65, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//808 QsciLexerJava::qt_metacall(QMetaObject::Call, int, void**)
    {65, 409, 74, 1, Smoke::mf_ctor, 69, 8},	//809 QsciLexerJava::QsciLexerJava(QObject*)
    {65, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//810 QsciLexerJava::language() const
    {65, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//811 QsciLexerJava::keywords(int) const
    {65, 1425, 12, 1, Smoke::mf_static, 39, 11},	//812 QsciLexerJava::tr(const char*)
    {65, 1429, 12, 1, Smoke::mf_static, 39, 12},	//813 QsciLexerJava::trUtf8(const char*)
    {65, 409, 0, 0, Smoke::mf_ctor, 69, 13},	//814 QsciLexerJava::QsciLexerJava()
    {65, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 14},	//815 QsciLexerJava::staticMetaObject() const
    {65, 1488, 0, 0, Smoke::mf_dtor, 0, 15 },	//816 QsciLexerJava::~QsciLexerJava()
    {66, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//817 QsciLexerJavaScript::metaObject() const
    {66, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//818 QsciLexerJavaScript::qt_metacast(const char*)
    {66, 1425, 44, 2, Smoke::mf_static, 39, 3},	//819 QsciLexerJavaScript::tr(const char*, const char*)
    {66, 1429, 44, 2, Smoke::mf_static, 39, 4},	//820 QsciLexerJavaScript::trUtf8(const char*, const char*)
    {66, 1425, 47, 3, Smoke::mf_static, 39, 5},	//821 QsciLexerJavaScript::tr(const char*, const char*, int)
    {66, 1429, 47, 3, Smoke::mf_static, 39, 6},	//822 QsciLexerJavaScript::trUtf8(const char*, const char*, int)
    {66, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//823 QsciLexerJavaScript::qt_metacall(QMetaObject::Call, int, void**)
    {66, 411, 74, 1, Smoke::mf_ctor, 70, 8},	//824 QsciLexerJavaScript::QsciLexerJavaScript(QObject*)
    {66, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//825 QsciLexerJavaScript::language() const
    {66, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//826 QsciLexerJavaScript::defaultColor(int) const
    {66, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 11},	//827 QsciLexerJavaScript::defaultEolFill(int) const
    {66, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//828 QsciLexerJavaScript::defaultFont(int) const
    {66, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//829 QsciLexerJavaScript::defaultPaper(int) const
    {66, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 14},	//830 QsciLexerJavaScript::keywords(int) const
    {66, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 15},	//831 QsciLexerJavaScript::description(int) const
    {66, 1425, 12, 1, Smoke::mf_static, 39, 16},	//832 QsciLexerJavaScript::tr(const char*)
    {66, 1429, 12, 1, Smoke::mf_static, 39, 17},	//833 QsciLexerJavaScript::trUtf8(const char*)
    {66, 411, 0, 0, Smoke::mf_ctor, 70, 18},	//834 QsciLexerJavaScript::QsciLexerJavaScript()
    {66, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 19},	//835 QsciLexerJavaScript::staticMetaObject() const
    {66, 1489, 0, 0, Smoke::mf_dtor, 0, 20 },	//836 QsciLexerJavaScript::~QsciLexerJavaScript()
    {67, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//837 QsciLexerLua::metaObject() const
    {67, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//838 QsciLexerLua::qt_metacast(const char*)
    {67, 1425, 44, 2, Smoke::mf_static, 39, 3},	//839 QsciLexerLua::tr(const char*, const char*)
    {67, 1429, 44, 2, Smoke::mf_static, 39, 4},	//840 QsciLexerLua::trUtf8(const char*, const char*)
    {67, 1425, 47, 3, Smoke::mf_static, 39, 5},	//841 QsciLexerLua::tr(const char*, const char*, int)
    {67, 1429, 47, 3, Smoke::mf_static, 39, 6},	//842 QsciLexerLua::trUtf8(const char*, const char*, int)
    {67, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//843 QsciLexerLua::qt_metacall(QMetaObject::Call, int, void**)
    {67, 413, 74, 1, Smoke::mf_ctor, 71, 8},	//844 QsciLexerLua::QsciLexerLua(QObject*)
    {67, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//845 QsciLexerLua::language() const
    {67, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//846 QsciLexerLua::lexer() const
    {67, 779, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 11},	//847 QsciLexerLua::autoCompletionWordSeparators() const
    {67, 788, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 12},	//848 QsciLexerLua::blockStart(int*) const
    {67, 793, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 13},	//849 QsciLexerLua::braceStyle() const
    {67, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//850 QsciLexerLua::defaultColor(int) const
    {67, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 15},	//851 QsciLexerLua::defaultEolFill(int) const
    {67, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 16},	//852 QsciLexerLua::defaultFont(int) const
    {67, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//853 QsciLexerLua::defaultPaper(int) const
    {67, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 18},	//854 QsciLexerLua::keywords(int) const
    {67, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 19},	//855 QsciLexerLua::description(int) const
    {67, 1094, 0, 0, Smoke::mf_virtual, 0, 20},	//856 QsciLexerLua::refreshProperties()
    {67, 908, 0, 0, Smoke::mf_const, 185, 21},	//857 QsciLexerLua::foldCompact() const
    {67, 1229, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//858 QsciLexerLua::setFoldCompact(bool)
    {67, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 23},	//859 QsciLexerLua::readProperties(QSettings&, const QString&)
    {67, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 24},	//860 QsciLexerLua::writeProperties(QSettings&, const QString&) const
    {67, 1425, 12, 1, Smoke::mf_static, 39, 25},	//861 QsciLexerLua::tr(const char*)
    {67, 1429, 12, 1, Smoke::mf_static, 39, 26},	//862 QsciLexerLua::trUtf8(const char*)
    {67, 413, 0, 0, Smoke::mf_ctor, 71, 27},	//863 QsciLexerLua::QsciLexerLua()
    {67, 788, 0, 0, Smoke::mf_const, 208, 28},	//864 QsciLexerLua::blockStart() const
    {67, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 29},	//865 QsciLexerLua::staticMetaObject() const
    {67, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 30},	//866 QsciLexerLua::Default (enum)
    {67, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 31},	//867 QsciLexerLua::Comment (enum)
    {67, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 32},	//868 QsciLexerLua::LineComment (enum)
    {67, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 33},	//869 QsciLexerLua::Number (enum)
    {67, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 34},	//870 QsciLexerLua::Keyword (enum)
    {67, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 35},	//871 QsciLexerLua::String (enum)
    {67, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 36},	//872 QsciLexerLua::Character (enum)
    {67, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 37},	//873 QsciLexerLua::LiteralString (enum)
    {67, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 38},	//874 QsciLexerLua::Preprocessor (enum)
    {67, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 39},	//875 QsciLexerLua::Operator (enum)
    {67, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 40},	//876 QsciLexerLua::Identifier (enum)
    {67, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 41},	//877 QsciLexerLua::UnclosedString (enum)
    {67, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 42},	//878 QsciLexerLua::BasicFunctions (enum)
    {67, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 43},	//879 QsciLexerLua::StringTableMathsFunctions (enum)
    {67, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 44},	//880 QsciLexerLua::CoroutinesIOSystemFacilities (enum)
    {67, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 45},	//881 QsciLexerLua::KeywordSet5 (enum)
    {67, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 46},	//882 QsciLexerLua::KeywordSet6 (enum)
    {67, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 47},	//883 QsciLexerLua::KeywordSet7 (enum)
    {67, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 48},	//884 QsciLexerLua::KeywordSet8 (enum)
    {67, 1490, 0, 0, Smoke::mf_dtor, 0, 49 },	//885 QsciLexerLua::~QsciLexerLua()
    {68, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//886 QsciLexerMakefile::metaObject() const
    {68, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//887 QsciLexerMakefile::qt_metacast(const char*)
    {68, 1425, 44, 2, Smoke::mf_static, 39, 3},	//888 QsciLexerMakefile::tr(const char*, const char*)
    {68, 1429, 44, 2, Smoke::mf_static, 39, 4},	//889 QsciLexerMakefile::trUtf8(const char*, const char*)
    {68, 1425, 47, 3, Smoke::mf_static, 39, 5},	//890 QsciLexerMakefile::tr(const char*, const char*, int)
    {68, 1429, 47, 3, Smoke::mf_static, 39, 6},	//891 QsciLexerMakefile::trUtf8(const char*, const char*, int)
    {68, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//892 QsciLexerMakefile::qt_metacall(QMetaObject::Call, int, void**)
    {68, 415, 74, 1, Smoke::mf_ctor, 72, 8},	//893 QsciLexerMakefile::QsciLexerMakefile(QObject*)
    {68, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//894 QsciLexerMakefile::language() const
    {68, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//895 QsciLexerMakefile::lexer() const
    {68, 1453, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 11},	//896 QsciLexerMakefile::wordCharacters() const
    {68, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//897 QsciLexerMakefile::defaultColor(int) const
    {68, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 13},	//898 QsciLexerMakefile::defaultEolFill(int) const
    {68, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//899 QsciLexerMakefile::defaultFont(int) const
    {68, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//900 QsciLexerMakefile::defaultPaper(int) const
    {68, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 16},	//901 QsciLexerMakefile::description(int) const
    {68, 1425, 12, 1, Smoke::mf_static, 39, 17},	//902 QsciLexerMakefile::tr(const char*)
    {68, 1429, 12, 1, Smoke::mf_static, 39, 18},	//903 QsciLexerMakefile::trUtf8(const char*)
    {68, 415, 0, 0, Smoke::mf_ctor, 72, 19},	//904 QsciLexerMakefile::QsciLexerMakefile()
    {68, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 20},	//905 QsciLexerMakefile::staticMetaObject() const
    {68, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 21},	//906 QsciLexerMakefile::Default (enum)
    {68, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 22},	//907 QsciLexerMakefile::Comment (enum)
    {68, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 23},	//908 QsciLexerMakefile::Preprocessor (enum)
    {68, 727, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 24},	//909 QsciLexerMakefile::Variable (enum)
    {68, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 25},	//910 QsciLexerMakefile::Operator (enum)
    {68, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 26},	//911 QsciLexerMakefile::Target (enum)
    {68, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 27},	//912 QsciLexerMakefile::Error (enum)
    {68, 1491, 0, 0, Smoke::mf_dtor, 0, 28 },	//913 QsciLexerMakefile::~QsciLexerMakefile()
    {69, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//914 QsciLexerPOV::metaObject() const
    {69, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//915 QsciLexerPOV::qt_metacast(const char*)
    {69, 1425, 44, 2, Smoke::mf_static, 39, 3},	//916 QsciLexerPOV::tr(const char*, const char*)
    {69, 1429, 44, 2, Smoke::mf_static, 39, 4},	//917 QsciLexerPOV::trUtf8(const char*, const char*)
    {69, 1425, 47, 3, Smoke::mf_static, 39, 5},	//918 QsciLexerPOV::tr(const char*, const char*, int)
    {69, 1429, 47, 3, Smoke::mf_static, 39, 6},	//919 QsciLexerPOV::trUtf8(const char*, const char*, int)
    {69, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//920 QsciLexerPOV::qt_metacall(QMetaObject::Call, int, void**)
    {69, 417, 74, 1, Smoke::mf_ctor, 73, 8},	//921 QsciLexerPOV::QsciLexerPOV(QObject*)
    {69, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//922 QsciLexerPOV::language() const
    {69, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//923 QsciLexerPOV::lexer() const
    {69, 793, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 11},	//924 QsciLexerPOV::braceStyle() const
    {69, 1453, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 12},	//925 QsciLexerPOV::wordCharacters() const
    {69, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//926 QsciLexerPOV::defaultColor(int) const
    {69, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 14},	//927 QsciLexerPOV::defaultEolFill(int) const
    {69, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//928 QsciLexerPOV::defaultFont(int) const
    {69, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//929 QsciLexerPOV::defaultPaper(int) const
    {69, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 17},	//930 QsciLexerPOV::keywords(int) const
    {69, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 18},	//931 QsciLexerPOV::description(int) const
    {69, 1094, 0, 0, Smoke::mf_virtual, 0, 19},	//932 QsciLexerPOV::refreshProperties()
    {69, 907, 0, 0, Smoke::mf_const, 185, 20},	//933 QsciLexerPOV::foldComments() const
    {69, 908, 0, 0, Smoke::mf_const, 185, 21},	//934 QsciLexerPOV::foldCompact() const
    {69, 909, 0, 0, Smoke::mf_const, 185, 22},	//935 QsciLexerPOV::foldDirectives() const
    {69, 1227, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//936 QsciLexerPOV::setFoldComments(bool)
    {69, 1229, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//937 QsciLexerPOV::setFoldCompact(bool)
    {69, 1231, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//938 QsciLexerPOV::setFoldDirectives(bool)
    {69, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 26},	//939 QsciLexerPOV::readProperties(QSettings&, const QString&)
    {69, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 27},	//940 QsciLexerPOV::writeProperties(QSettings&, const QString&) const
    {69, 1425, 12, 1, Smoke::mf_static, 39, 28},	//941 QsciLexerPOV::tr(const char*)
    {69, 1429, 12, 1, Smoke::mf_static, 39, 29},	//942 QsciLexerPOV::trUtf8(const char*)
    {69, 417, 0, 0, Smoke::mf_ctor, 73, 30},	//943 QsciLexerPOV::QsciLexerPOV()
    {69, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 31},	//944 QsciLexerPOV::staticMetaObject() const
    {69, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 32},	//945 QsciLexerPOV::Default (enum)
    {69, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 33},	//946 QsciLexerPOV::Comment (enum)
    {69, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 34},	//947 QsciLexerPOV::CommentLine (enum)
    {69, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 35},	//948 QsciLexerPOV::Number (enum)
    {69, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 36},	//949 QsciLexerPOV::Operator (enum)
    {69, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 37},	//950 QsciLexerPOV::Identifier (enum)
    {69, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 38},	//951 QsciLexerPOV::String (enum)
    {69, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 39},	//952 QsciLexerPOV::UnclosedString (enum)
    {69, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 40},	//953 QsciLexerPOV::Directive (enum)
    {69, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 41},	//954 QsciLexerPOV::BadDirective (enum)
    {69, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 42},	//955 QsciLexerPOV::ObjectsCSGAppearance (enum)
    {69, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 43},	//956 QsciLexerPOV::TypesModifiersItems (enum)
    {69, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 44},	//957 QsciLexerPOV::PredefinedIdentifiers (enum)
    {69, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 45},	//958 QsciLexerPOV::PredefinedFunctions (enum)
    {69, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 46},	//959 QsciLexerPOV::KeywordSet6 (enum)
    {69, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 47},	//960 QsciLexerPOV::KeywordSet7 (enum)
    {69, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 48},	//961 QsciLexerPOV::KeywordSet8 (enum)
    {69, 1492, 0, 0, Smoke::mf_dtor, 0, 49 },	//962 QsciLexerPOV::~QsciLexerPOV()
    {70, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//963 QsciLexerPascal::metaObject() const
    {70, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//964 QsciLexerPascal::qt_metacast(const char*)
    {70, 1425, 44, 2, Smoke::mf_static, 39, 3},	//965 QsciLexerPascal::tr(const char*, const char*)
    {70, 1429, 44, 2, Smoke::mf_static, 39, 4},	//966 QsciLexerPascal::trUtf8(const char*, const char*)
    {70, 1425, 47, 3, Smoke::mf_static, 39, 5},	//967 QsciLexerPascal::tr(const char*, const char*, int)
    {70, 1429, 47, 3, Smoke::mf_static, 39, 6},	//968 QsciLexerPascal::trUtf8(const char*, const char*, int)
    {70, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//969 QsciLexerPascal::qt_metacall(QMetaObject::Call, int, void**)
    {70, 419, 74, 1, Smoke::mf_ctor, 74, 8},	//970 QsciLexerPascal::QsciLexerPascal(QObject*)
    {70, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//971 QsciLexerPascal::language() const
    {70, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//972 QsciLexerPascal::lexer() const
    {70, 779, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 11},	//973 QsciLexerPascal::autoCompletionWordSeparators() const
    {70, 785, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 12},	//974 QsciLexerPascal::blockEnd(int*) const
    {70, 788, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 13},	//975 QsciLexerPascal::blockStart(int*) const
    {70, 790, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 14},	//976 QsciLexerPascal::blockStartKeyword(int*) const
    {70, 793, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 15},	//977 QsciLexerPascal::braceStyle() const
    {70, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//978 QsciLexerPascal::defaultColor(int) const
    {70, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 17},	//979 QsciLexerPascal::defaultEolFill(int) const
    {70, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 18},	//980 QsciLexerPascal::defaultFont(int) const
    {70, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 19},	//981 QsciLexerPascal::defaultPaper(int) const
    {70, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 20},	//982 QsciLexerPascal::keywords(int) const
    {70, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 21},	//983 QsciLexerPascal::description(int) const
    {70, 1094, 0, 0, Smoke::mf_virtual, 0, 22},	//984 QsciLexerPascal::refreshProperties()
    {70, 907, 0, 0, Smoke::mf_const, 185, 23},	//985 QsciLexerPascal::foldComments() const
    {70, 908, 0, 0, Smoke::mf_const, 185, 24},	//986 QsciLexerPascal::foldCompact() const
    {70, 915, 0, 0, Smoke::mf_const, 185, 25},	//987 QsciLexerPascal::foldPreprocessor() const
    {70, 1345, 16, 1, 0, 0, 26},	//988 QsciLexerPascal::setSmartHighlighting(bool)
    {70, 1398, 0, 0, Smoke::mf_const, 185, 27},	//989 QsciLexerPascal::smartHighlighting() const
    {70, 1227, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//990 QsciLexerPascal::setFoldComments(bool)
    {70, 1229, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//991 QsciLexerPascal::setFoldCompact(bool)
    {70, 1241, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 30},	//992 QsciLexerPascal::setFoldPreprocessor(bool)
    {70, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 31},	//993 QsciLexerPascal::readProperties(QSettings&, const QString&)
    {70, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 32},	//994 QsciLexerPascal::writeProperties(QSettings&, const QString&) const
    {70, 1425, 12, 1, Smoke::mf_static, 39, 33},	//995 QsciLexerPascal::tr(const char*)
    {70, 1429, 12, 1, Smoke::mf_static, 39, 34},	//996 QsciLexerPascal::trUtf8(const char*)
    {70, 419, 0, 0, Smoke::mf_ctor, 74, 35},	//997 QsciLexerPascal::QsciLexerPascal()
    {70, 785, 0, 0, Smoke::mf_const, 208, 36},	//998 QsciLexerPascal::blockEnd() const
    {70, 788, 0, 0, Smoke::mf_const, 208, 37},	//999 QsciLexerPascal::blockStart() const
    {70, 790, 0, 0, Smoke::mf_const, 208, 38},	//1000 QsciLexerPascal::blockStartKeyword() const
    {70, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 39},	//1001 QsciLexerPascal::staticMetaObject() const
    {70, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 40},	//1002 QsciLexerPascal::Default (enum)
    {70, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 41},	//1003 QsciLexerPascal::Identifier (enum)
    {70, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 42},	//1004 QsciLexerPascal::Comment (enum)
    {70, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 43},	//1005 QsciLexerPascal::CommentParenthesis (enum)
    {70, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 44},	//1006 QsciLexerPascal::CommentLine (enum)
    {70, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 45},	//1007 QsciLexerPascal::PreProcessor (enum)
    {70, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 46},	//1008 QsciLexerPascal::PreProcessorParenthesis (enum)
    {70, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 47},	//1009 QsciLexerPascal::Number (enum)
    {70, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 48},	//1010 QsciLexerPascal::HexNumber (enum)
    {70, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 49},	//1011 QsciLexerPascal::Keyword (enum)
    {70, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 50},	//1012 QsciLexerPascal::SingleQuotedString (enum)
    {70, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 51},	//1013 QsciLexerPascal::UnclosedString (enum)
    {70, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 52},	//1014 QsciLexerPascal::Character (enum)
    {70, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 53},	//1015 QsciLexerPascal::Operator (enum)
    {70, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 54},	//1016 QsciLexerPascal::Asm (enum)
    {70, 1493, 0, 0, Smoke::mf_dtor, 0, 55 },	//1017 QsciLexerPascal::~QsciLexerPascal()
    {71, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//1018 QsciLexerPerl::metaObject() const
    {71, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//1019 QsciLexerPerl::qt_metacast(const char*)
    {71, 1425, 44, 2, Smoke::mf_static, 39, 3},	//1020 QsciLexerPerl::tr(const char*, const char*)
    {71, 1429, 44, 2, Smoke::mf_static, 39, 4},	//1021 QsciLexerPerl::trUtf8(const char*, const char*)
    {71, 1425, 47, 3, Smoke::mf_static, 39, 5},	//1022 QsciLexerPerl::tr(const char*, const char*, int)
    {71, 1429, 47, 3, Smoke::mf_static, 39, 6},	//1023 QsciLexerPerl::trUtf8(const char*, const char*, int)
    {71, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//1024 QsciLexerPerl::qt_metacall(QMetaObject::Call, int, void**)
    {71, 421, 74, 1, Smoke::mf_ctor, 75, 8},	//1025 QsciLexerPerl::QsciLexerPerl(QObject*)
    {71, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//1026 QsciLexerPerl::language() const
    {71, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//1027 QsciLexerPerl::lexer() const
    {71, 779, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 11},	//1028 QsciLexerPerl::autoCompletionWordSeparators() const
    {71, 793, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 12},	//1029 QsciLexerPerl::braceStyle() const
    {71, 1453, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 13},	//1030 QsciLexerPerl::wordCharacters() const
    {71, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1031 QsciLexerPerl::defaultColor(int) const
    {71, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 15},	//1032 QsciLexerPerl::defaultEolFill(int) const
    {71, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 16},	//1033 QsciLexerPerl::defaultFont(int) const
    {71, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//1034 QsciLexerPerl::defaultPaper(int) const
    {71, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 18},	//1035 QsciLexerPerl::keywords(int) const
    {71, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 19},	//1036 QsciLexerPerl::description(int) const
    {71, 1094, 0, 0, Smoke::mf_virtual, 0, 20},	//1037 QsciLexerPerl::refreshProperties()
    {71, 907, 0, 0, Smoke::mf_const, 185, 21},	//1038 QsciLexerPerl::foldComments() const
    {71, 908, 0, 0, Smoke::mf_const, 185, 22},	//1039 QsciLexerPerl::foldCompact() const
    {71, 1239, 16, 1, 0, 0, 23},	//1040 QsciLexerPerl::setFoldPackages(bool)
    {71, 914, 0, 0, Smoke::mf_const, 185, 24},	//1041 QsciLexerPerl::foldPackages() const
    {71, 1237, 16, 1, 0, 0, 25},	//1042 QsciLexerPerl::setFoldPODBlocks(bool)
    {71, 913, 0, 0, Smoke::mf_const, 185, 26},	//1043 QsciLexerPerl::foldPODBlocks() const
    {71, 1227, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1044 QsciLexerPerl::setFoldComments(bool)
    {71, 1229, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1045 QsciLexerPerl::setFoldCompact(bool)
    {71, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 29},	//1046 QsciLexerPerl::readProperties(QSettings&, const QString&)
    {71, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 30},	//1047 QsciLexerPerl::writeProperties(QSettings&, const QString&) const
    {71, 1425, 12, 1, Smoke::mf_static, 39, 31},	//1048 QsciLexerPerl::tr(const char*)
    {71, 1429, 12, 1, Smoke::mf_static, 39, 32},	//1049 QsciLexerPerl::trUtf8(const char*)
    {71, 421, 0, 0, Smoke::mf_ctor, 75, 33},	//1050 QsciLexerPerl::QsciLexerPerl()
    {71, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 34},	//1051 QsciLexerPerl::staticMetaObject() const
    {71, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 35},	//1052 QsciLexerPerl::Default (enum)
    {71, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 36},	//1053 QsciLexerPerl::Error (enum)
    {71, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 37},	//1054 QsciLexerPerl::Comment (enum)
    {71, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 38},	//1055 QsciLexerPerl::POD (enum)
    {71, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 39},	//1056 QsciLexerPerl::Number (enum)
    {71, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 40},	//1057 QsciLexerPerl::Keyword (enum)
    {71, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 41},	//1058 QsciLexerPerl::DoubleQuotedString (enum)
    {71, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 42},	//1059 QsciLexerPerl::SingleQuotedString (enum)
    {71, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 43},	//1060 QsciLexerPerl::Operator (enum)
    {71, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 44},	//1061 QsciLexerPerl::Identifier (enum)
    {71, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 45},	//1062 QsciLexerPerl::Scalar (enum)
    {71, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 46},	//1063 QsciLexerPerl::Array (enum)
    {71, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 47},	//1064 QsciLexerPerl::Hash (enum)
    {71, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 48},	//1065 QsciLexerPerl::SymbolTable (enum)
    {71, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 49},	//1066 QsciLexerPerl::Regex (enum)
    {71, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 50},	//1067 QsciLexerPerl::Substitution (enum)
    {71, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 51},	//1068 QsciLexerPerl::Backticks (enum)
    {71, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 52},	//1069 QsciLexerPerl::DataSection (enum)
    {71, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 53},	//1070 QsciLexerPerl::HereDocumentDelimiter (enum)
    {71, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 54},	//1071 QsciLexerPerl::SingleQuotedHereDocument (enum)
    {71, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 55},	//1072 QsciLexerPerl::DoubleQuotedHereDocument (enum)
    {71, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 56},	//1073 QsciLexerPerl::BacktickHereDocument (enum)
    {71, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 57},	//1074 QsciLexerPerl::QuotedStringQ (enum)
    {71, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 58},	//1075 QsciLexerPerl::QuotedStringQQ (enum)
    {71, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 59},	//1076 QsciLexerPerl::QuotedStringQX (enum)
    {71, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 60},	//1077 QsciLexerPerl::QuotedStringQR (enum)
    {71, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 61},	//1078 QsciLexerPerl::QuotedStringQW (enum)
    {71, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 62},	//1079 QsciLexerPerl::PODVerbatim (enum)
    {71, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 63},	//1080 QsciLexerPerl::SubroutinePrototype (enum)
    {71, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 64},	//1081 QsciLexerPerl::FormatIdentifier (enum)
    {71, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 65},	//1082 QsciLexerPerl::FormatBody (enum)
    {71, 1494, 0, 0, Smoke::mf_dtor, 0, 66 },	//1083 QsciLexerPerl::~QsciLexerPerl()
    {72, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//1084 QsciLexerPostScript::metaObject() const
    {72, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//1085 QsciLexerPostScript::qt_metacast(const char*)
    {72, 1425, 44, 2, Smoke::mf_static, 39, 3},	//1086 QsciLexerPostScript::tr(const char*, const char*)
    {72, 1429, 44, 2, Smoke::mf_static, 39, 4},	//1087 QsciLexerPostScript::trUtf8(const char*, const char*)
    {72, 1425, 47, 3, Smoke::mf_static, 39, 5},	//1088 QsciLexerPostScript::tr(const char*, const char*, int)
    {72, 1429, 47, 3, Smoke::mf_static, 39, 6},	//1089 QsciLexerPostScript::trUtf8(const char*, const char*, int)
    {72, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//1090 QsciLexerPostScript::qt_metacall(QMetaObject::Call, int, void**)
    {72, 423, 74, 1, Smoke::mf_ctor, 76, 8},	//1091 QsciLexerPostScript::QsciLexerPostScript(QObject*)
    {72, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//1092 QsciLexerPostScript::language() const
    {72, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//1093 QsciLexerPostScript::lexer() const
    {72, 793, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 11},	//1094 QsciLexerPostScript::braceStyle() const
    {72, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1095 QsciLexerPostScript::defaultColor(int) const
    {72, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1096 QsciLexerPostScript::defaultFont(int) const
    {72, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1097 QsciLexerPostScript::defaultPaper(int) const
    {72, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 15},	//1098 QsciLexerPostScript::keywords(int) const
    {72, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 16},	//1099 QsciLexerPostScript::description(int) const
    {72, 1094, 0, 0, Smoke::mf_virtual, 0, 17},	//1100 QsciLexerPostScript::refreshProperties()
    {72, 1424, 0, 0, Smoke::mf_const, 185, 18},	//1101 QsciLexerPostScript::tokenize() const
    {72, 986, 0, 0, Smoke::mf_const, 210, 19},	//1102 QsciLexerPostScript::level() const
    {72, 908, 0, 0, Smoke::mf_const, 185, 20},	//1103 QsciLexerPostScript::foldCompact() const
    {72, 905, 0, 0, Smoke::mf_const, 185, 21},	//1104 QsciLexerPostScript::foldAtElse() const
    {72, 1362, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1105 QsciLexerPostScript::setTokenize(bool)
    {72, 1283, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1106 QsciLexerPostScript::setLevel(int)
    {72, 1229, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1107 QsciLexerPostScript::setFoldCompact(bool)
    {72, 1223, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1108 QsciLexerPostScript::setFoldAtElse(bool)
    {72, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 26},	//1109 QsciLexerPostScript::readProperties(QSettings&, const QString&)
    {72, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 27},	//1110 QsciLexerPostScript::writeProperties(QSettings&, const QString&) const
    {72, 1425, 12, 1, Smoke::mf_static, 39, 28},	//1111 QsciLexerPostScript::tr(const char*)
    {72, 1429, 12, 1, Smoke::mf_static, 39, 29},	//1112 QsciLexerPostScript::trUtf8(const char*)
    {72, 423, 0, 0, Smoke::mf_ctor, 76, 30},	//1113 QsciLexerPostScript::QsciLexerPostScript()
    {72, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 31},	//1114 QsciLexerPostScript::staticMetaObject() const
    {72, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 32},	//1115 QsciLexerPostScript::Default (enum)
    {72, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 33},	//1116 QsciLexerPostScript::Comment (enum)
    {72, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 34},	//1117 QsciLexerPostScript::DSCComment (enum)
    {72, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 35},	//1118 QsciLexerPostScript::DSCCommentValue (enum)
    {72, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 36},	//1119 QsciLexerPostScript::Number (enum)
    {72, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 37},	//1120 QsciLexerPostScript::Name (enum)
    {72, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 38},	//1121 QsciLexerPostScript::Keyword (enum)
    {72, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 39},	//1122 QsciLexerPostScript::Literal (enum)
    {72, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 40},	//1123 QsciLexerPostScript::ImmediateEvalLiteral (enum)
    {72, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 41},	//1124 QsciLexerPostScript::ArrayParenthesis (enum)
    {72, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 42},	//1125 QsciLexerPostScript::DictionaryParenthesis (enum)
    {72, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 43},	//1126 QsciLexerPostScript::ProcedureParenthesis (enum)
    {72, 696, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 44},	//1127 QsciLexerPostScript::Text (enum)
    {72, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 45},	//1128 QsciLexerPostScript::HexString (enum)
    {72, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 46},	//1129 QsciLexerPostScript::Base85String (enum)
    {72, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 47},	//1130 QsciLexerPostScript::BadStringCharacter (enum)
    {72, 1495, 0, 0, Smoke::mf_dtor, 0, 48 },	//1131 QsciLexerPostScript::~QsciLexerPostScript()
    {73, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//1132 QsciLexerProperties::metaObject() const
    {73, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//1133 QsciLexerProperties::qt_metacast(const char*)
    {73, 1425, 44, 2, Smoke::mf_static, 39, 3},	//1134 QsciLexerProperties::tr(const char*, const char*)
    {73, 1429, 44, 2, Smoke::mf_static, 39, 4},	//1135 QsciLexerProperties::trUtf8(const char*, const char*)
    {73, 1425, 47, 3, Smoke::mf_static, 39, 5},	//1136 QsciLexerProperties::tr(const char*, const char*, int)
    {73, 1429, 47, 3, Smoke::mf_static, 39, 6},	//1137 QsciLexerProperties::trUtf8(const char*, const char*, int)
    {73, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//1138 QsciLexerProperties::qt_metacall(QMetaObject::Call, int, void**)
    {73, 425, 74, 1, Smoke::mf_ctor, 77, 8},	//1139 QsciLexerProperties::QsciLexerProperties(QObject*)
    {73, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//1140 QsciLexerProperties::language() const
    {73, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//1141 QsciLexerProperties::lexer() const
    {73, 1453, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 11},	//1142 QsciLexerProperties::wordCharacters() const
    {73, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1143 QsciLexerProperties::defaultColor(int) const
    {73, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 13},	//1144 QsciLexerProperties::defaultEolFill(int) const
    {73, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1145 QsciLexerProperties::defaultFont(int) const
    {73, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1146 QsciLexerProperties::defaultPaper(int) const
    {73, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 16},	//1147 QsciLexerProperties::description(int) const
    {73, 1094, 0, 0, Smoke::mf_virtual, 0, 17},	//1148 QsciLexerProperties::refreshProperties()
    {73, 908, 0, 0, Smoke::mf_const, 185, 18},	//1149 QsciLexerProperties::foldCompact() const
    {73, 1279, 16, 1, 0, 0, 19},	//1150 QsciLexerProperties::setInitialSpaces(bool)
    {73, 956, 0, 0, Smoke::mf_const, 185, 20},	//1151 QsciLexerProperties::initialSpaces() const
    {73, 1229, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1152 QsciLexerProperties::setFoldCompact(bool)
    {73, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 22},	//1153 QsciLexerProperties::readProperties(QSettings&, const QString&)
    {73, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 23},	//1154 QsciLexerProperties::writeProperties(QSettings&, const QString&) const
    {73, 1425, 12, 1, Smoke::mf_static, 39, 24},	//1155 QsciLexerProperties::tr(const char*)
    {73, 1429, 12, 1, Smoke::mf_static, 39, 25},	//1156 QsciLexerProperties::trUtf8(const char*)
    {73, 425, 0, 0, Smoke::mf_ctor, 77, 26},	//1157 QsciLexerProperties::QsciLexerProperties()
    {73, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 27},	//1158 QsciLexerProperties::staticMetaObject() const
    {73, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 28},	//1159 QsciLexerProperties::Default (enum)
    {73, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 29},	//1160 QsciLexerProperties::Comment (enum)
    {73, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 30},	//1161 QsciLexerProperties::Section (enum)
    {73, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 31},	//1162 QsciLexerProperties::Assignment (enum)
    {73, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 32},	//1163 QsciLexerProperties::DefaultValue (enum)
    {73, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 33},	//1164 QsciLexerProperties::Key (enum)
    {73, 1496, 0, 0, Smoke::mf_dtor, 0, 34 },	//1165 QsciLexerProperties::~QsciLexerProperties()
    {74, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//1166 QsciLexerPython::metaObject() const
    {74, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//1167 QsciLexerPython::qt_metacast(const char*)
    {74, 1425, 44, 2, Smoke::mf_static, 39, 3},	//1168 QsciLexerPython::tr(const char*, const char*)
    {74, 1429, 44, 2, Smoke::mf_static, 39, 4},	//1169 QsciLexerPython::trUtf8(const char*, const char*)
    {74, 1425, 47, 3, Smoke::mf_static, 39, 5},	//1170 QsciLexerPython::tr(const char*, const char*, int)
    {74, 1429, 47, 3, Smoke::mf_static, 39, 6},	//1171 QsciLexerPython::trUtf8(const char*, const char*, int)
    {74, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//1172 QsciLexerPython::qt_metacall(QMetaObject::Call, int, void**)
    {74, 427, 74, 1, Smoke::mf_ctor, 78, 8},	//1173 QsciLexerPython::QsciLexerPython(QObject*)
    {74, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//1174 QsciLexerPython::language() const
    {74, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//1175 QsciLexerPython::lexer() const
    {74, 779, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 11},	//1176 QsciLexerPython::autoCompletionWordSeparators() const
    {74, 787, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 12},	//1177 QsciLexerPython::blockLookback() const
    {74, 788, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 13},	//1178 QsciLexerPython::blockStart(int*) const
    {74, 793, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 14},	//1179 QsciLexerPython::braceStyle() const
    {74, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1180 QsciLexerPython::defaultColor(int) const
    {74, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 16},	//1181 QsciLexerPython::defaultEolFill(int) const
    {74, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1182 QsciLexerPython::defaultFont(int) const
    {74, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1183 QsciLexerPython::defaultPaper(int) const
    {74, 942, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 19},	//1184 QsciLexerPython::indentationGuideView() const
    {74, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 20},	//1185 QsciLexerPython::keywords(int) const
    {74, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 21},	//1186 QsciLexerPython::description(int) const
    {74, 1094, 0, 0, Smoke::mf_virtual, 0, 22},	//1187 QsciLexerPython::refreshProperties()
    {74, 907, 0, 0, Smoke::mf_const, 185, 23},	//1188 QsciLexerPython::foldComments() const
    {74, 1229, 16, 1, 0, 0, 24},	//1189 QsciLexerPython::setFoldCompact(bool)
    {74, 908, 0, 0, Smoke::mf_const, 185, 25},	//1190 QsciLexerPython::foldCompact() const
    {74, 916, 0, 0, Smoke::mf_const, 185, 26},	//1191 QsciLexerPython::foldQuotes() const
    {74, 944, 0, 0, Smoke::mf_const, 79, 27},	//1192 QsciLexerPython::indentationWarning() const
    {74, 1347, 16, 1, 0, 0, 28},	//1193 QsciLexerPython::setStringsOverNewlineAllowed(bool)
    {74, 1405, 0, 0, Smoke::mf_const, 185, 29},	//1194 QsciLexerPython::stringsOverNewlineAllowed() const
    {74, 1370, 16, 1, 0, 0, 30},	//1195 QsciLexerPython::setV2UnicodeAllowed(bool)
    {74, 1440, 0, 0, Smoke::mf_const, 185, 31},	//1196 QsciLexerPython::v2UnicodeAllowed() const
    {74, 1372, 16, 1, 0, 0, 32},	//1197 QsciLexerPython::setV3BinaryOctalAllowed(bool)
    {74, 1441, 0, 0, Smoke::mf_const, 185, 33},	//1198 QsciLexerPython::v3BinaryOctalAllowed() const
    {74, 1374, 16, 1, 0, 0, 34},	//1199 QsciLexerPython::setV3BytesAllowed(bool)
    {74, 1442, 0, 0, Smoke::mf_const, 185, 35},	//1200 QsciLexerPython::v3BytesAllowed() const
    {74, 1227, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 36},	//1201 QsciLexerPython::setFoldComments(bool)
    {74, 1243, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 37},	//1202 QsciLexerPython::setFoldQuotes(bool)
    {74, 1267, 105, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 38},	//1203 QsciLexerPython::setIndentationWarning(QsciLexerPython::IndentationWarning)
    {74, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 39},	//1204 QsciLexerPython::readProperties(QSettings&, const QString&)
    {74, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 40},	//1205 QsciLexerPython::writeProperties(QSettings&, const QString&) const
    {74, 1425, 12, 1, Smoke::mf_static, 39, 41},	//1206 QsciLexerPython::tr(const char*)
    {74, 1429, 12, 1, Smoke::mf_static, 39, 42},	//1207 QsciLexerPython::trUtf8(const char*)
    {74, 427, 0, 0, Smoke::mf_ctor, 78, 43},	//1208 QsciLexerPython::QsciLexerPython()
    {74, 788, 0, 0, Smoke::mf_const, 208, 44},	//1209 QsciLexerPython::blockStart() const
    {74, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 45},	//1210 QsciLexerPython::staticMetaObject() const
    {74, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 46},	//1211 QsciLexerPython::Default (enum)
    {74, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 47},	//1212 QsciLexerPython::Comment (enum)
    {74, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 48},	//1213 QsciLexerPython::Number (enum)
    {74, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 49},	//1214 QsciLexerPython::DoubleQuotedString (enum)
    {74, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 50},	//1215 QsciLexerPython::SingleQuotedString (enum)
    {74, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 51},	//1216 QsciLexerPython::Keyword (enum)
    {74, 706, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 52},	//1217 QsciLexerPython::TripleSingleQuotedString (enum)
    {74, 705, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 53},	//1218 QsciLexerPython::TripleDoubleQuotedString (enum)
    {74, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 54},	//1219 QsciLexerPython::ClassName (enum)
    {74, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 55},	//1220 QsciLexerPython::FunctionMethodName (enum)
    {74, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 56},	//1221 QsciLexerPython::Operator (enum)
    {74, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 57},	//1222 QsciLexerPython::Identifier (enum)
    {74, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 58},	//1223 QsciLexerPython::CommentBlock (enum)
    {74, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 59},	//1224 QsciLexerPython::UnclosedString (enum)
    {74, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 60},	//1225 QsciLexerPython::HighlightedIdentifier (enum)
    {74, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 61},	//1226 QsciLexerPython::Decorator (enum)
    {74, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 62},	//1227 QsciLexerPython::NoWarning (enum)
    {74, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 63},	//1228 QsciLexerPython::Inconsistent (enum)
    {74, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 64},	//1229 QsciLexerPython::TabsAfterSpaces (enum)
    {74, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 65},	//1230 QsciLexerPython::Spaces (enum)
    {74, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 66},	//1231 QsciLexerPython::Tabs (enum)
    {74, 1497, 0, 0, Smoke::mf_dtor, 0, 67 },	//1232 QsciLexerPython::~QsciLexerPython()
    {75, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//1233 QsciLexerRuby::metaObject() const
    {75, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//1234 QsciLexerRuby::qt_metacast(const char*)
    {75, 1425, 44, 2, Smoke::mf_static, 39, 3},	//1235 QsciLexerRuby::tr(const char*, const char*)
    {75, 1429, 44, 2, Smoke::mf_static, 39, 4},	//1236 QsciLexerRuby::trUtf8(const char*, const char*)
    {75, 1425, 47, 3, Smoke::mf_static, 39, 5},	//1237 QsciLexerRuby::tr(const char*, const char*, int)
    {75, 1429, 47, 3, Smoke::mf_static, 39, 6},	//1238 QsciLexerRuby::trUtf8(const char*, const char*, int)
    {75, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//1239 QsciLexerRuby::qt_metacall(QMetaObject::Call, int, void**)
    {75, 429, 74, 1, Smoke::mf_ctor, 80, 8},	//1240 QsciLexerRuby::QsciLexerRuby(QObject*)
    {75, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//1241 QsciLexerRuby::language() const
    {75, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//1242 QsciLexerRuby::lexer() const
    {75, 785, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 11},	//1243 QsciLexerRuby::blockEnd(int*) const
    {75, 788, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 12},	//1244 QsciLexerRuby::blockStart(int*) const
    {75, 790, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 13},	//1245 QsciLexerRuby::blockStartKeyword(int*) const
    {75, 793, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 14},	//1246 QsciLexerRuby::braceStyle() const
    {75, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1247 QsciLexerRuby::defaultColor(int) const
    {75, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 16},	//1248 QsciLexerRuby::defaultEolFill(int) const
    {75, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1249 QsciLexerRuby::defaultFont(int) const
    {75, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1250 QsciLexerRuby::defaultPaper(int) const
    {75, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 19},	//1251 QsciLexerRuby::keywords(int) const
    {75, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 20},	//1252 QsciLexerRuby::description(int) const
    {75, 1094, 0, 0, Smoke::mf_virtual, 0, 21},	//1253 QsciLexerRuby::refreshProperties()
    {75, 1227, 16, 1, 0, 0, 22},	//1254 QsciLexerRuby::setFoldComments(bool)
    {75, 907, 0, 0, Smoke::mf_const, 185, 23},	//1255 QsciLexerRuby::foldComments() const
    {75, 1229, 16, 1, 0, 0, 24},	//1256 QsciLexerRuby::setFoldCompact(bool)
    {75, 908, 0, 0, Smoke::mf_const, 185, 25},	//1257 QsciLexerRuby::foldCompact() const
    {75, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 26},	//1258 QsciLexerRuby::readProperties(QSettings&, const QString&)
    {75, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 27},	//1259 QsciLexerRuby::writeProperties(QSettings&, const QString&) const
    {75, 1425, 12, 1, Smoke::mf_static, 39, 28},	//1260 QsciLexerRuby::tr(const char*)
    {75, 1429, 12, 1, Smoke::mf_static, 39, 29},	//1261 QsciLexerRuby::trUtf8(const char*)
    {75, 429, 0, 0, Smoke::mf_ctor, 80, 30},	//1262 QsciLexerRuby::QsciLexerRuby()
    {75, 785, 0, 0, Smoke::mf_const, 208, 31},	//1263 QsciLexerRuby::blockEnd() const
    {75, 788, 0, 0, Smoke::mf_const, 208, 32},	//1264 QsciLexerRuby::blockStart() const
    {75, 790, 0, 0, Smoke::mf_const, 208, 33},	//1265 QsciLexerRuby::blockStartKeyword() const
    {75, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 34},	//1266 QsciLexerRuby::staticMetaObject() const
    {75, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 35},	//1267 QsciLexerRuby::Default (enum)
    {75, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 36},	//1268 QsciLexerRuby::Error (enum)
    {75, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 37},	//1269 QsciLexerRuby::Comment (enum)
    {75, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 38},	//1270 QsciLexerRuby::POD (enum)
    {75, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 39},	//1271 QsciLexerRuby::Number (enum)
    {75, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 40},	//1272 QsciLexerRuby::Keyword (enum)
    {75, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 41},	//1273 QsciLexerRuby::DoubleQuotedString (enum)
    {75, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 42},	//1274 QsciLexerRuby::SingleQuotedString (enum)
    {75, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 43},	//1275 QsciLexerRuby::ClassName (enum)
    {75, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 44},	//1276 QsciLexerRuby::FunctionMethodName (enum)
    {75, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 45},	//1277 QsciLexerRuby::Operator (enum)
    {75, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 46},	//1278 QsciLexerRuby::Identifier (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 47},	//1279 QsciLexerRuby::Regex (enum)
    {75, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 48},	//1280 QsciLexerRuby::Global (enum)
    {75, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 49},	//1281 QsciLexerRuby::Symbol (enum)
    {75, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 50},	//1282 QsciLexerRuby::ModuleName (enum)
    {75, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 51},	//1283 QsciLexerRuby::InstanceVariable (enum)
    {75, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 52},	//1284 QsciLexerRuby::ClassVariable (enum)
    {75, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 53},	//1285 QsciLexerRuby::Backticks (enum)
    {75, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 54},	//1286 QsciLexerRuby::DataSection (enum)
    {75, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 55},	//1287 QsciLexerRuby::HereDocumentDelimiter (enum)
    {75, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 56},	//1288 QsciLexerRuby::HereDocument (enum)
    {75, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 57},	//1289 QsciLexerRuby::PercentStringq (enum)
    {75, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 58},	//1290 QsciLexerRuby::PercentStringQ (enum)
    {75, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 59},	//1291 QsciLexerRuby::PercentStringx (enum)
    {75, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 60},	//1292 QsciLexerRuby::PercentStringr (enum)
    {75, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 61},	//1293 QsciLexerRuby::PercentStringw (enum)
    {75, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 62},	//1294 QsciLexerRuby::DemotedKeyword (enum)
    {75, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 63},	//1295 QsciLexerRuby::Stdin (enum)
    {75, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 64},	//1296 QsciLexerRuby::Stdout (enum)
    {75, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 65},	//1297 QsciLexerRuby::Stderr (enum)
    {75, 1498, 0, 0, Smoke::mf_dtor, 0, 66 },	//1298 QsciLexerRuby::~QsciLexerRuby()
    {76, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//1299 QsciLexerSQL::metaObject() const
    {76, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//1300 QsciLexerSQL::qt_metacast(const char*)
    {76, 1425, 44, 2, Smoke::mf_static, 39, 3},	//1301 QsciLexerSQL::tr(const char*, const char*)
    {76, 1429, 44, 2, Smoke::mf_static, 39, 4},	//1302 QsciLexerSQL::trUtf8(const char*, const char*)
    {76, 1425, 47, 3, Smoke::mf_static, 39, 5},	//1303 QsciLexerSQL::tr(const char*, const char*, int)
    {76, 1429, 47, 3, Smoke::mf_static, 39, 6},	//1304 QsciLexerSQL::trUtf8(const char*, const char*, int)
    {76, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//1305 QsciLexerSQL::qt_metacall(QMetaObject::Call, int, void**)
    {76, 431, 74, 1, Smoke::mf_ctor, 81, 8},	//1306 QsciLexerSQL::QsciLexerSQL(QObject*)
    {76, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//1307 QsciLexerSQL::language() const
    {76, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//1308 QsciLexerSQL::lexer() const
    {76, 793, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 11},	//1309 QsciLexerSQL::braceStyle() const
    {76, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1310 QsciLexerSQL::defaultColor(int) const
    {76, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 13},	//1311 QsciLexerSQL::defaultEolFill(int) const
    {76, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1312 QsciLexerSQL::defaultFont(int) const
    {76, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1313 QsciLexerSQL::defaultPaper(int) const
    {76, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 16},	//1314 QsciLexerSQL::keywords(int) const
    {76, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 17},	//1315 QsciLexerSQL::description(int) const
    {76, 1094, 0, 0, Smoke::mf_virtual, 0, 18},	//1316 QsciLexerSQL::refreshProperties()
    {76, 782, 0, 0, Smoke::mf_const, 185, 19},	//1317 QsciLexerSQL::backslashEscapes() const
    {76, 1198, 16, 1, 0, 0, 20},	//1318 QsciLexerSQL::setDottedWords(bool)
    {76, 855, 0, 0, Smoke::mf_const, 185, 21},	//1319 QsciLexerSQL::dottedWords() const
    {76, 1223, 16, 1, 0, 0, 22},	//1320 QsciLexerSQL::setFoldAtElse(bool)
    {76, 905, 0, 0, Smoke::mf_const, 185, 23},	//1321 QsciLexerSQL::foldAtElse() const
    {76, 907, 0, 0, Smoke::mf_const, 185, 24},	//1322 QsciLexerSQL::foldComments() const
    {76, 908, 0, 0, Smoke::mf_const, 185, 25},	//1323 QsciLexerSQL::foldCompact() const
    {76, 1235, 16, 1, 0, 0, 26},	//1324 QsciLexerSQL::setFoldOnlyBegin(bool)
    {76, 912, 0, 0, Smoke::mf_const, 185, 27},	//1325 QsciLexerSQL::foldOnlyBegin() const
    {76, 1255, 16, 1, 0, 0, 28},	//1326 QsciLexerSQL::setHashComments(bool)
    {76, 934, 0, 0, Smoke::mf_const, 185, 29},	//1327 QsciLexerSQL::hashComments() const
    {76, 1331, 16, 1, 0, 0, 30},	//1328 QsciLexerSQL::setQuotedIdentifiers(bool)
    {76, 1081, 0, 0, Smoke::mf_const, 185, 31},	//1329 QsciLexerSQL::quotedIdentifiers() const
    {76, 1149, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1330 QsciLexerSQL::setBackslashEscapes(bool)
    {76, 1227, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//1331 QsciLexerSQL::setFoldComments(bool)
    {76, 1229, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//1332 QsciLexerSQL::setFoldCompact(bool)
    {76, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 35},	//1333 QsciLexerSQL::readProperties(QSettings&, const QString&)
    {76, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 36},	//1334 QsciLexerSQL::writeProperties(QSettings&, const QString&) const
    {76, 1425, 12, 1, Smoke::mf_static, 39, 37},	//1335 QsciLexerSQL::tr(const char*)
    {76, 1429, 12, 1, Smoke::mf_static, 39, 38},	//1336 QsciLexerSQL::trUtf8(const char*)
    {76, 431, 0, 0, Smoke::mf_ctor, 81, 39},	//1337 QsciLexerSQL::QsciLexerSQL()
    {76, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 40},	//1338 QsciLexerSQL::staticMetaObject() const
    {76, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 41},	//1339 QsciLexerSQL::Default (enum)
    {76, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 42},	//1340 QsciLexerSQL::Comment (enum)
    {76, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 43},	//1341 QsciLexerSQL::CommentLine (enum)
    {76, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 44},	//1342 QsciLexerSQL::CommentDoc (enum)
    {76, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 45},	//1343 QsciLexerSQL::Number (enum)
    {76, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 46},	//1344 QsciLexerSQL::Keyword (enum)
    {76, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 47},	//1345 QsciLexerSQL::DoubleQuotedString (enum)
    {76, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 48},	//1346 QsciLexerSQL::SingleQuotedString (enum)
    {76, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 49},	//1347 QsciLexerSQL::PlusKeyword (enum)
    {76, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 50},	//1348 QsciLexerSQL::PlusPrompt (enum)
    {76, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 51},	//1349 QsciLexerSQL::Operator (enum)
    {76, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 52},	//1350 QsciLexerSQL::Identifier (enum)
    {76, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 53},	//1351 QsciLexerSQL::PlusComment (enum)
    {76, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 54},	//1352 QsciLexerSQL::CommentLineHash (enum)
    {76, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 55},	//1353 QsciLexerSQL::CommentDocKeyword (enum)
    {76, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 56},	//1354 QsciLexerSQL::CommentDocKeywordError (enum)
    {76, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 57},	//1355 QsciLexerSQL::KeywordSet5 (enum)
    {76, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 58},	//1356 QsciLexerSQL::KeywordSet6 (enum)
    {76, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 59},	//1357 QsciLexerSQL::KeywordSet7 (enum)
    {76, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 60},	//1358 QsciLexerSQL::KeywordSet8 (enum)
    {76, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 61},	//1359 QsciLexerSQL::QuotedIdentifier (enum)
    {76, 1499, 0, 0, Smoke::mf_dtor, 0, 62 },	//1360 QsciLexerSQL::~QsciLexerSQL()
    {77, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//1361 QsciLexerTCL::metaObject() const
    {77, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//1362 QsciLexerTCL::qt_metacast(const char*)
    {77, 1425, 44, 2, Smoke::mf_static, 39, 3},	//1363 QsciLexerTCL::tr(const char*, const char*)
    {77, 1429, 44, 2, Smoke::mf_static, 39, 4},	//1364 QsciLexerTCL::trUtf8(const char*, const char*)
    {77, 1425, 47, 3, Smoke::mf_static, 39, 5},	//1365 QsciLexerTCL::tr(const char*, const char*, int)
    {77, 1429, 47, 3, Smoke::mf_static, 39, 6},	//1366 QsciLexerTCL::trUtf8(const char*, const char*, int)
    {77, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//1367 QsciLexerTCL::qt_metacall(QMetaObject::Call, int, void**)
    {77, 433, 74, 1, Smoke::mf_ctor, 82, 8},	//1368 QsciLexerTCL::QsciLexerTCL(QObject*)
    {77, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//1369 QsciLexerTCL::language() const
    {77, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//1370 QsciLexerTCL::lexer() const
    {77, 793, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 11},	//1371 QsciLexerTCL::braceStyle() const
    {77, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1372 QsciLexerTCL::defaultColor(int) const
    {77, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 13},	//1373 QsciLexerTCL::defaultEolFill(int) const
    {77, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1374 QsciLexerTCL::defaultFont(int) const
    {77, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1375 QsciLexerTCL::defaultPaper(int) const
    {77, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 16},	//1376 QsciLexerTCL::keywords(int) const
    {77, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 17},	//1377 QsciLexerTCL::description(int) const
    {77, 1094, 0, 0, Smoke::mf_virtual, 0, 18},	//1378 QsciLexerTCL::refreshProperties()
    {77, 1227, 16, 1, 0, 0, 19},	//1379 QsciLexerTCL::setFoldComments(bool)
    {77, 907, 0, 0, Smoke::mf_const, 185, 20},	//1380 QsciLexerTCL::foldComments() const
    {77, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 21},	//1381 QsciLexerTCL::readProperties(QSettings&, const QString&)
    {77, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 22},	//1382 QsciLexerTCL::writeProperties(QSettings&, const QString&) const
    {77, 1425, 12, 1, Smoke::mf_static, 39, 23},	//1383 QsciLexerTCL::tr(const char*)
    {77, 1429, 12, 1, Smoke::mf_static, 39, 24},	//1384 QsciLexerTCL::trUtf8(const char*)
    {77, 433, 0, 0, Smoke::mf_ctor, 82, 25},	//1385 QsciLexerTCL::QsciLexerTCL()
    {77, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 26},	//1386 QsciLexerTCL::staticMetaObject() const
    {77, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 27},	//1387 QsciLexerTCL::Default (enum)
    {77, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 28},	//1388 QsciLexerTCL::Comment (enum)
    {77, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 29},	//1389 QsciLexerTCL::CommentLine (enum)
    {77, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 30},	//1390 QsciLexerTCL::Number (enum)
    {77, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 31},	//1391 QsciLexerTCL::QuotedKeyword (enum)
    {77, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 32},	//1392 QsciLexerTCL::QuotedString (enum)
    {77, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 33},	//1393 QsciLexerTCL::Operator (enum)
    {77, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 34},	//1394 QsciLexerTCL::Identifier (enum)
    {77, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 35},	//1395 QsciLexerTCL::Substitution (enum)
    {77, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 36},	//1396 QsciLexerTCL::SubstitutionBrace (enum)
    {77, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 37},	//1397 QsciLexerTCL::Modifier (enum)
    {77, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 38},	//1398 QsciLexerTCL::ExpandKeyword (enum)
    {77, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 39},	//1399 QsciLexerTCL::TCLKeyword (enum)
    {77, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 40},	//1400 QsciLexerTCL::TkKeyword (enum)
    {77, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 41},	//1401 QsciLexerTCL::ITCLKeyword (enum)
    {77, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 42},	//1402 QsciLexerTCL::TkCommand (enum)
    {77, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 43},	//1403 QsciLexerTCL::KeywordSet6 (enum)
    {77, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 44},	//1404 QsciLexerTCL::KeywordSet7 (enum)
    {77, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 45},	//1405 QsciLexerTCL::KeywordSet8 (enum)
    {77, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 46},	//1406 QsciLexerTCL::KeywordSet9 (enum)
    {77, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 47},	//1407 QsciLexerTCL::CommentBox (enum)
    {77, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 48},	//1408 QsciLexerTCL::CommentBlock (enum)
    {77, 1500, 0, 0, Smoke::mf_dtor, 0, 49 },	//1409 QsciLexerTCL::~QsciLexerTCL()
    {78, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//1410 QsciLexerTeX::metaObject() const
    {78, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//1411 QsciLexerTeX::qt_metacast(const char*)
    {78, 1425, 44, 2, Smoke::mf_static, 39, 3},	//1412 QsciLexerTeX::tr(const char*, const char*)
    {78, 1429, 44, 2, Smoke::mf_static, 39, 4},	//1413 QsciLexerTeX::trUtf8(const char*, const char*)
    {78, 1425, 47, 3, Smoke::mf_static, 39, 5},	//1414 QsciLexerTeX::tr(const char*, const char*, int)
    {78, 1429, 47, 3, Smoke::mf_static, 39, 6},	//1415 QsciLexerTeX::trUtf8(const char*, const char*, int)
    {78, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//1416 QsciLexerTeX::qt_metacall(QMetaObject::Call, int, void**)
    {78, 435, 74, 1, Smoke::mf_ctor, 83, 8},	//1417 QsciLexerTeX::QsciLexerTeX(QObject*)
    {78, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//1418 QsciLexerTeX::language() const
    {78, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//1419 QsciLexerTeX::lexer() const
    {78, 1453, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 11},	//1420 QsciLexerTeX::wordCharacters() const
    {78, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1421 QsciLexerTeX::defaultColor(int) const
    {78, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 13},	//1422 QsciLexerTeX::keywords(int) const
    {78, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 14},	//1423 QsciLexerTeX::description(int) const
    {78, 1094, 0, 0, Smoke::mf_virtual, 0, 15},	//1424 QsciLexerTeX::refreshProperties()
    {78, 1227, 16, 1, 0, 0, 16},	//1425 QsciLexerTeX::setFoldComments(bool)
    {78, 907, 0, 0, Smoke::mf_const, 185, 17},	//1426 QsciLexerTeX::foldComments() const
    {78, 1229, 16, 1, 0, 0, 18},	//1427 QsciLexerTeX::setFoldCompact(bool)
    {78, 908, 0, 0, Smoke::mf_const, 185, 19},	//1428 QsciLexerTeX::foldCompact() const
    {78, 1327, 16, 1, 0, 0, 20},	//1429 QsciLexerTeX::setProcessComments(bool)
    {78, 1073, 0, 0, Smoke::mf_const, 185, 21},	//1430 QsciLexerTeX::processComments() const
    {78, 1329, 16, 1, 0, 0, 22},	//1431 QsciLexerTeX::setProcessIf(bool)
    {78, 1074, 0, 0, Smoke::mf_const, 185, 23},	//1432 QsciLexerTeX::processIf() const
    {78, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 24},	//1433 QsciLexerTeX::readProperties(QSettings&, const QString&)
    {78, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 25},	//1434 QsciLexerTeX::writeProperties(QSettings&, const QString&) const
    {78, 1425, 12, 1, Smoke::mf_static, 39, 26},	//1435 QsciLexerTeX::tr(const char*)
    {78, 1429, 12, 1, Smoke::mf_static, 39, 27},	//1436 QsciLexerTeX::trUtf8(const char*)
    {78, 435, 0, 0, Smoke::mf_ctor, 83, 28},	//1437 QsciLexerTeX::QsciLexerTeX()
    {78, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 29},	//1438 QsciLexerTeX::staticMetaObject() const
    {78, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 30},	//1439 QsciLexerTeX::Default (enum)
    {78, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 31},	//1440 QsciLexerTeX::Special (enum)
    {78, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 32},	//1441 QsciLexerTeX::Group (enum)
    {78, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 33},	//1442 QsciLexerTeX::Symbol (enum)
    {78, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 34},	//1443 QsciLexerTeX::Command (enum)
    {78, 696, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 35},	//1444 QsciLexerTeX::Text (enum)
    {78, 1501, 0, 0, Smoke::mf_dtor, 0, 36 },	//1445 QsciLexerTeX::~QsciLexerTeX()
    {79, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//1446 QsciLexerVHDL::metaObject() const
    {79, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//1447 QsciLexerVHDL::qt_metacast(const char*)
    {79, 1425, 44, 2, Smoke::mf_static, 39, 3},	//1448 QsciLexerVHDL::tr(const char*, const char*)
    {79, 1429, 44, 2, Smoke::mf_static, 39, 4},	//1449 QsciLexerVHDL::trUtf8(const char*, const char*)
    {79, 1425, 47, 3, Smoke::mf_static, 39, 5},	//1450 QsciLexerVHDL::tr(const char*, const char*, int)
    {79, 1429, 47, 3, Smoke::mf_static, 39, 6},	//1451 QsciLexerVHDL::trUtf8(const char*, const char*, int)
    {79, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//1452 QsciLexerVHDL::qt_metacall(QMetaObject::Call, int, void**)
    {79, 437, 74, 1, Smoke::mf_ctor, 84, 8},	//1453 QsciLexerVHDL::QsciLexerVHDL(QObject*)
    {79, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//1454 QsciLexerVHDL::language() const
    {79, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//1455 QsciLexerVHDL::lexer() const
    {79, 793, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 11},	//1456 QsciLexerVHDL::braceStyle() const
    {79, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1457 QsciLexerVHDL::defaultColor(int) const
    {79, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 13},	//1458 QsciLexerVHDL::defaultEolFill(int) const
    {79, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1459 QsciLexerVHDL::defaultFont(int) const
    {79, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1460 QsciLexerVHDL::defaultPaper(int) const
    {79, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 16},	//1461 QsciLexerVHDL::keywords(int) const
    {79, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 17},	//1462 QsciLexerVHDL::description(int) const
    {79, 1094, 0, 0, Smoke::mf_virtual, 0, 18},	//1463 QsciLexerVHDL::refreshProperties()
    {79, 907, 0, 0, Smoke::mf_const, 185, 19},	//1464 QsciLexerVHDL::foldComments() const
    {79, 908, 0, 0, Smoke::mf_const, 185, 20},	//1465 QsciLexerVHDL::foldCompact() const
    {79, 905, 0, 0, Smoke::mf_const, 185, 21},	//1466 QsciLexerVHDL::foldAtElse() const
    {79, 904, 0, 0, Smoke::mf_const, 185, 22},	//1467 QsciLexerVHDL::foldAtBegin() const
    {79, 906, 0, 0, Smoke::mf_const, 185, 23},	//1468 QsciLexerVHDL::foldAtParenthesis() const
    {79, 1227, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1469 QsciLexerVHDL::setFoldComments(bool)
    {79, 1229, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1470 QsciLexerVHDL::setFoldCompact(bool)
    {79, 1223, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//1471 QsciLexerVHDL::setFoldAtElse(bool)
    {79, 1221, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1472 QsciLexerVHDL::setFoldAtBegin(bool)
    {79, 1225, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1473 QsciLexerVHDL::setFoldAtParenthesis(bool)
    {79, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 29},	//1474 QsciLexerVHDL::readProperties(QSettings&, const QString&)
    {79, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 30},	//1475 QsciLexerVHDL::writeProperties(QSettings&, const QString&) const
    {79, 1425, 12, 1, Smoke::mf_static, 39, 31},	//1476 QsciLexerVHDL::tr(const char*)
    {79, 1429, 12, 1, Smoke::mf_static, 39, 32},	//1477 QsciLexerVHDL::trUtf8(const char*)
    {79, 437, 0, 0, Smoke::mf_ctor, 84, 33},	//1478 QsciLexerVHDL::QsciLexerVHDL()
    {79, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 34},	//1479 QsciLexerVHDL::staticMetaObject() const
    {79, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 35},	//1480 QsciLexerVHDL::Default (enum)
    {79, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 36},	//1481 QsciLexerVHDL::Comment (enum)
    {79, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 37},	//1482 QsciLexerVHDL::CommentLine (enum)
    {79, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 38},	//1483 QsciLexerVHDL::Number (enum)
    {79, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 39},	//1484 QsciLexerVHDL::String (enum)
    {79, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 40},	//1485 QsciLexerVHDL::Operator (enum)
    {79, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 41},	//1486 QsciLexerVHDL::Identifier (enum)
    {79, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 42},	//1487 QsciLexerVHDL::UnclosedString (enum)
    {79, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 43},	//1488 QsciLexerVHDL::Keyword (enum)
    {79, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 44},	//1489 QsciLexerVHDL::StandardOperator (enum)
    {79, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 45},	//1490 QsciLexerVHDL::Attribute (enum)
    {79, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 46},	//1491 QsciLexerVHDL::StandardFunction (enum)
    {79, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 47},	//1492 QsciLexerVHDL::StandardPackage (enum)
    {79, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 48},	//1493 QsciLexerVHDL::StandardType (enum)
    {79, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 49},	//1494 QsciLexerVHDL::KeywordSet7 (enum)
    {79, 1502, 0, 0, Smoke::mf_dtor, 0, 50 },	//1495 QsciLexerVHDL::~QsciLexerVHDL()
    {80, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//1496 QsciLexerXML::metaObject() const
    {80, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//1497 QsciLexerXML::qt_metacast(const char*)
    {80, 1425, 44, 2, Smoke::mf_static, 39, 3},	//1498 QsciLexerXML::tr(const char*, const char*)
    {80, 1429, 44, 2, Smoke::mf_static, 39, 4},	//1499 QsciLexerXML::trUtf8(const char*, const char*)
    {80, 1425, 47, 3, Smoke::mf_static, 39, 5},	//1500 QsciLexerXML::tr(const char*, const char*, int)
    {80, 1429, 47, 3, Smoke::mf_static, 39, 6},	//1501 QsciLexerXML::trUtf8(const char*, const char*, int)
    {80, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//1502 QsciLexerXML::qt_metacall(QMetaObject::Call, int, void**)
    {80, 439, 74, 1, Smoke::mf_ctor, 85, 8},	//1503 QsciLexerXML::QsciLexerXML(QObject*)
    {80, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//1504 QsciLexerXML::language() const
    {80, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//1505 QsciLexerXML::lexer() const
    {80, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1506 QsciLexerXML::defaultColor(int) const
    {80, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 12},	//1507 QsciLexerXML::defaultEolFill(int) const
    {80, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1508 QsciLexerXML::defaultFont(int) const
    {80, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1509 QsciLexerXML::defaultPaper(int) const
    {80, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 15},	//1510 QsciLexerXML::keywords(int) const
    {80, 1094, 0, 0, Smoke::mf_virtual, 0, 16},	//1511 QsciLexerXML::refreshProperties()
    {80, 1335, 16, 1, 0, 0, 17},	//1512 QsciLexerXML::setScriptsStyled(bool)
    {80, 1112, 0, 0, Smoke::mf_const, 185, 18},	//1513 QsciLexerXML::scriptsStyled() const
    {80, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 19},	//1514 QsciLexerXML::readProperties(QSettings&, const QString&)
    {80, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 20},	//1515 QsciLexerXML::writeProperties(QSettings&, const QString&) const
    {80, 1425, 12, 1, Smoke::mf_static, 39, 21},	//1516 QsciLexerXML::tr(const char*)
    {80, 1429, 12, 1, Smoke::mf_static, 39, 22},	//1517 QsciLexerXML::trUtf8(const char*)
    {80, 439, 0, 0, Smoke::mf_ctor, 85, 23},	//1518 QsciLexerXML::QsciLexerXML()
    {80, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 24},	//1519 QsciLexerXML::staticMetaObject() const
    {80, 1503, 0, 0, Smoke::mf_dtor, 0, 25 },	//1520 QsciLexerXML::~QsciLexerXML()
    {81, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//1521 QsciLexerYAML::metaObject() const
    {81, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//1522 QsciLexerYAML::qt_metacast(const char*)
    {81, 1425, 44, 2, Smoke::mf_static, 39, 3},	//1523 QsciLexerYAML::tr(const char*, const char*)
    {81, 1429, 44, 2, Smoke::mf_static, 39, 4},	//1524 QsciLexerYAML::trUtf8(const char*, const char*)
    {81, 1425, 47, 3, Smoke::mf_static, 39, 5},	//1525 QsciLexerYAML::tr(const char*, const char*, int)
    {81, 1429, 47, 3, Smoke::mf_static, 39, 6},	//1526 QsciLexerYAML::trUtf8(const char*, const char*, int)
    {81, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//1527 QsciLexerYAML::qt_metacall(QMetaObject::Call, int, void**)
    {81, 441, 74, 1, Smoke::mf_ctor, 86, 8},	//1528 QsciLexerYAML::QsciLexerYAML(QObject*)
    {81, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 9},	//1529 QsciLexerYAML::language() const
    {81, 987, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 10},	//1530 QsciLexerYAML::lexer() const
    {81, 838, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1531 QsciLexerYAML::defaultColor(int) const
    {81, 840, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 185, 12},	//1532 QsciLexerYAML::defaultEolFill(int) const
    {81, 842, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1533 QsciLexerYAML::defaultFont(int) const
    {81, 844, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1534 QsciLexerYAML::defaultPaper(int) const
    {81, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 208, 15},	//1535 QsciLexerYAML::keywords(int) const
    {81, 848, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 39, 16},	//1536 QsciLexerYAML::description(int) const
    {81, 1094, 0, 0, Smoke::mf_virtual, 0, 17},	//1537 QsciLexerYAML::refreshProperties()
    {81, 907, 0, 0, Smoke::mf_const, 185, 18},	//1538 QsciLexerYAML::foldComments() const
    {81, 1227, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1539 QsciLexerYAML::setFoldComments(bool)
    {81, 1084, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 185, 20},	//1540 QsciLexerYAML::readProperties(QSettings&, const QString&)
    {81, 1458, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 21},	//1541 QsciLexerYAML::writeProperties(QSettings&, const QString&) const
    {81, 1425, 12, 1, Smoke::mf_static, 39, 22},	//1542 QsciLexerYAML::tr(const char*)
    {81, 1429, 12, 1, Smoke::mf_static, 39, 23},	//1543 QsciLexerYAML::trUtf8(const char*)
    {81, 441, 0, 0, Smoke::mf_ctor, 86, 24},	//1544 QsciLexerYAML::QsciLexerYAML()
    {81, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 25},	//1545 QsciLexerYAML::staticMetaObject() const
    {81, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 26},	//1546 QsciLexerYAML::Default (enum)
    {81, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 27},	//1547 QsciLexerYAML::Comment (enum)
    {81, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 28},	//1548 QsciLexerYAML::Identifier (enum)
    {81, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 29},	//1549 QsciLexerYAML::Keyword (enum)
    {81, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 30},	//1550 QsciLexerYAML::Number (enum)
    {81, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 31},	//1551 QsciLexerYAML::Reference (enum)
    {81, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 32},	//1552 QsciLexerYAML::DocumentDelimiter (enum)
    {81, 697, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 33},	//1553 QsciLexerYAML::TextBlockMarker (enum)
    {81, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 34},	//1554 QsciLexerYAML::SyntaxErrorMarker (enum)
    {81, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 35},	//1555 QsciLexerYAML::Operator (enum)
    {81, 1504, 0, 0, Smoke::mf_dtor, 0, 36 },	//1556 QsciLexerYAML::~QsciLexerYAML()
    {82, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//1557 QsciMacro::metaObject() const
    {82, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//1558 QsciMacro::qt_metacast(const char*)
    {82, 1425, 44, 2, Smoke::mf_static, 39, 3},	//1559 QsciMacro::tr(const char*, const char*)
    {82, 1429, 44, 2, Smoke::mf_static, 39, 4},	//1560 QsciMacro::trUtf8(const char*, const char*)
    {82, 1425, 47, 3, Smoke::mf_static, 39, 5},	//1561 QsciMacro::tr(const char*, const char*, int)
    {82, 1429, 47, 3, Smoke::mf_static, 39, 6},	//1562 QsciMacro::trUtf8(const char*, const char*, int)
    {82, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//1563 QsciMacro::qt_metacall(QMetaObject::Call, int, void**)
    {82, 443, 82, 1, Smoke::mf_ctor, 87, 8},	//1564 QsciMacro::QsciMacro(QsciScintilla*)
    {82, 443, 107, 2, Smoke::mf_ctor, 87, 9},	//1565 QsciMacro::QsciMacro(const QString&, QsciScintilla*)
    {82, 808, 0, 0, 0, 0, 10},	//1566 QsciMacro::clear()
    {82, 997, 57, 1, 0, 185, 11},	//1567 QsciMacro::load(const QString&)
    {82, 1109, 0, 0, Smoke::mf_const, 39, 12},	//1568 QsciMacro::save() const
    {82, 1064, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1569 QsciMacro::play()
    {82, 1400, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1570 QsciMacro::startRecording()
    {82, 869, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1571 QsciMacro::endRecording()
    {82, 1425, 12, 1, Smoke::mf_static, 39, 16},	//1572 QsciMacro::tr(const char*)
    {82, 1429, 12, 1, Smoke::mf_static, 39, 17},	//1573 QsciMacro::trUtf8(const char*)
    {82, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 18},	//1574 QsciMacro::staticMetaObject() const
    {82, 1505, 0, 0, Smoke::mf_dtor, 0, 19 },	//1575 QsciMacro::~QsciMacro()
    {83, 446, 110, 1, Smoke::mf_ctor, 88, 1},	//1576 QsciPrinter::QsciPrinter(QPrinter::PrinterMode)
    {83, 925, 112, 4, Smoke::mf_virtual, 0, 2},	//1577 QsciPrinter::formatPage(QPainter&, bool, QRect&, int)
    {83, 1001, 0, 0, Smoke::mf_const, 210, 3},	//1578 QsciPrinter::magnification() const
    {83, 1287, 18, 1, Smoke::mf_virtual, 0, 4},	//1579 QsciPrinter::setMagnification(int)
    {83, 1069, 117, 3, Smoke::mf_virtual, 210, 5},	//1580 QsciPrinter::printRange(QsciScintillaBase*, int, int)
    {83, 1455, 0, 0, Smoke::mf_const, 104, 6},	//1581 QsciPrinter::wrapMode() const
    {83, 1388, 121, 1, Smoke::mf_virtual, 0, 7},	//1582 QsciPrinter::setWrapMode(QsciScintilla::WrapMode)
    {83, 446, 0, 0, Smoke::mf_ctor, 88, 8},	//1583 QsciPrinter::QsciPrinter()
    {83, 1069, 123, 1, 0, 210, 9},	//1584 QsciPrinter::printRange(QsciScintillaBase*)
    {83, 1069, 125, 2, 0, 210, 10},	//1585 QsciPrinter::printRange(QsciScintillaBase*, int)
    {83, 1506, 0, 0, Smoke::mf_dtor, 0, 11 },	//1586 QsciPrinter::~QsciPrinter()
    {84, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//1587 QsciScintilla::metaObject() const
    {84, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//1588 QsciScintilla::qt_metacast(const char*)
    {84, 1425, 44, 2, Smoke::mf_static, 39, 3},	//1589 QsciScintilla::tr(const char*, const char*)
    {84, 1429, 44, 2, Smoke::mf_static, 39, 4},	//1590 QsciScintilla::trUtf8(const char*, const char*)
    {84, 1425, 47, 3, Smoke::mf_static, 39, 5},	//1591 QsciScintilla::tr(const char*, const char*, int)
    {84, 1429, 47, 3, Smoke::mf_static, 39, 6},	//1592 QsciScintilla::trUtf8(const char*, const char*, int)
    {84, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//1593 QsciScintilla::qt_metacall(QMetaObject::Call, int, void**)
    {84, 448, 128, 1, Smoke::mf_ctor, 89, 8},	//1594 QsciScintilla::QsciScintilla(QWidget*)
    {84, 758, 130, 3, Smoke::mf_virtual, 40, 9},	//1595 QsciScintilla::apiContext(int, int&, int&)
    {84, 750, 134, 3, 0, 0, 10},	//1596 QsciScintilla::annotate(int, const QString&, int)
    {84, 750, 138, 3, 0, 0, 11},	//1597 QsciScintilla::annotate(int, const QString&, const QsciStyle&)
    {84, 750, 142, 2, 0, 0, 12},	//1598 QsciScintilla::annotate(int, const QsciStyledText&)
    {84, 750, 145, 2, 0, 0, 13},	//1599 QsciScintilla::annotate(int, const QList<QsciStyledText>&)
    {84, 755, 18, 1, Smoke::mf_const, 39, 14},	//1600 QsciScintilla::annotation(int) const
    {84, 757, 0, 0, Smoke::mf_const, 90, 15},	//1601 QsciScintilla::annotationDisplay() const
    {84, 810, 18, 1, 0, 0, 16},	//1602 QsciScintilla::clearAnnotations(int)
    {84, 769, 0, 0, Smoke::mf_const, 185, 17},	//1603 QsciScintilla::autoCompletionCaseSensitivity() const
    {84, 771, 0, 0, Smoke::mf_const, 185, 18},	//1604 QsciScintilla::autoCompletionFillupsEnabled() const
    {84, 772, 0, 0, Smoke::mf_const, 185, 19},	//1605 QsciScintilla::autoCompletionReplaceWord() const
    {84, 775, 0, 0, Smoke::mf_const, 185, 20},	//1606 QsciScintilla::autoCompletionShowSingle() const
    {84, 776, 0, 0, Smoke::mf_const, 91, 21},	//1607 QsciScintilla::autoCompletionSource() const
    {84, 777, 0, 0, Smoke::mf_const, 210, 22},	//1608 QsciScintilla::autoCompletionThreshold() const
    {84, 778, 0, 0, Smoke::mf_const, 92, 23},	//1609 QsciScintilla::autoCompletionUseSingle() const
    {84, 780, 0, 0, Smoke::mf_const, 185, 24},	//1610 QsciScintilla::autoIndent() const
    {84, 783, 0, 0, Smoke::mf_const, 185, 25},	//1611 QsciScintilla::backspaceUnindents() const
    {84, 784, 0, 0, 0, 0, 26},	//1612 QsciScintilla::beginUndoAction()
    {84, 792, 0, 0, Smoke::mf_const, 93, 27},	//1613 QsciScintilla::braceMatching() const
    {84, 797, 0, 0, Smoke::mf_const, 94, 28},	//1614 QsciScintilla::callTipsStyle() const
    {84, 798, 0, 0, Smoke::mf_const, 210, 29},	//1615 QsciScintilla::callTipsVisible() const
    {84, 801, 0, 0, 0, 0, 30},	//1616 QsciScintilla::cancelList()
    {84, 803, 0, 0, Smoke::mf_const, 185, 31},	//1617 QsciScintilla::caseSensitive() const
    {84, 812, 0, 0, 0, 0, 32},	//1618 QsciScintilla::clearFolds()
    {84, 813, 148, 5, 0, 0, 33},	//1619 QsciScintilla::clearIndicatorRange(int, int, int, int, int)
    {84, 818, 0, 0, 0, 0, 34},	//1620 QsciScintilla::clearRegisteredImages()
    {84, 820, 0, 0, Smoke::mf_const, 6, 35},	//1621 QsciScintilla::color() const
    {84, 828, 0, 0, Smoke::mf_const, 20, 36},	//1622 QsciScintilla::contractedFolds() const
    {84, 829, 154, 1, 0, 0, 37},	//1623 QsciScintilla::convertEols(QsciScintilla::EolMode)
    {84, 853, 0, 0, Smoke::mf_const, 52, 38},	//1624 QsciScintilla::document() const
    {84, 870, 0, 0, 0, 0, 39},	//1625 QsciScintilla::endUndoAction()
    {84, 864, 0, 0, Smoke::mf_const, 6, 40},	//1626 QsciScintilla::edgeColor() const
    {84, 865, 0, 0, Smoke::mf_const, 210, 41},	//1627 QsciScintilla::edgeColumn() const
    {84, 866, 0, 0, Smoke::mf_const, 95, 42},	//1628 QsciScintilla::edgeMode() const
    {84, 1252, 42, 1, 0, 0, 43},	//1629 QsciScintilla::setFont(const QFont&)
    {84, 879, 0, 0, Smoke::mf_const, 96, 44},	//1630 QsciScintilla::eolMode() const
    {84, 880, 0, 0, Smoke::mf_const, 185, 45},	//1631 QsciScintilla::eolVisibility() const
    {84, 884, 0, 0, Smoke::mf_const, 210, 46},	//1632 QsciScintilla::extraAscent() const
    {84, 885, 0, 0, Smoke::mf_const, 210, 47},	//1633 QsciScintilla::extraDescent() const
    {84, 886, 148, 5, 0, 0, 48},	//1634 QsciScintilla::fillIndicatorRange(int, int, int, int, int)
    {84, 888, 156, 9, Smoke::mf_virtual, 185, 49},	//1635 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool)
    {84, 894, 0, 0, Smoke::mf_virtual, 185, 50},	//1636 QsciScintilla::findNext()
    {84, 895, 0, 0, Smoke::mf_const, 210, 51},	//1637 QsciScintilla::firstVisibleLine() const
    {84, 919, 0, 0, Smoke::mf_const, 97, 52},	//1638 QsciScintilla::folding() const
    {84, 929, 166, 2, Smoke::mf_const, 0, 53},	//1639 QsciScintilla::getCursorPosition(int*, int*) const
    {84, 931, 169, 4, Smoke::mf_const, 0, 54},	//1640 QsciScintilla::getSelection(int*, int*, int*, int*) const
    {84, 933, 0, 0, Smoke::mf_const, 185, 55},	//1641 QsciScintilla::hasSelectedText() const
    {84, 940, 18, 1, Smoke::mf_const, 210, 56},	//1642 QsciScintilla::indentation(int) const
    {84, 943, 0, 0, Smoke::mf_const, 185, 57},	//1643 QsciScintilla::indentationGuides() const
    {84, 946, 0, 0, Smoke::mf_const, 185, 58},	//1644 QsciScintilla::indentationsUseTabs() const
    {84, 945, 0, 0, Smoke::mf_const, 210, 59},	//1645 QsciScintilla::indentationWidth() const
    {84, 949, 174, 2, 0, 210, 60},	//1646 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle, int)
    {84, 952, 18, 1, Smoke::mf_const, 185, 61},	//1647 QsciScintilla::indicatorDrawUnder(int) const
    {84, 965, 0, 0, Smoke::mf_const, 185, 62},	//1648 QsciScintilla::isCallTipActive() const
    {84, 966, 0, 0, Smoke::mf_const, 185, 63},	//1649 QsciScintilla::isListActive() const
    {84, 967, 0, 0, Smoke::mf_const, 185, 64},	//1650 QsciScintilla::isModified() const
    {84, 970, 0, 0, Smoke::mf_const, 185, 65},	//1651 QsciScintilla::isReadOnly() const
    {84, 971, 0, 0, Smoke::mf_const, 185, 66},	//1652 QsciScintilla::isRedoAvailable() const
    {84, 972, 0, 0, Smoke::mf_const, 185, 67},	//1653 QsciScintilla::isUndoAvailable() const
    {84, 973, 0, 0, Smoke::mf_const, 185, 68},	//1654 QsciScintilla::isUtf8() const
    {84, 974, 177, 1, Smoke::mf_const, 185, 69},	//1655 QsciScintilla::isWordCharacter(char) const
    {84, 989, 179, 1, Smoke::mf_const, 210, 70},	//1656 QsciScintilla::lineAt(const QPoint&) const
    {84, 991, 181, 3, Smoke::mf_const, 0, 71},	//1657 QsciScintilla::lineIndexFromPosition(int, int*, int*) const
    {84, 993, 18, 1, Smoke::mf_const, 210, 72},	//1658 QsciScintilla::lineLength(int) const
    {84, 995, 0, 0, Smoke::mf_const, 210, 73},	//1659 QsciScintilla::lines() const
    {84, 985, 0, 0, Smoke::mf_const, 210, 74},	//1660 QsciScintilla::length() const
    {84, 987, 0, 0, Smoke::mf_const, 55, 75},	//1661 QsciScintilla::lexer() const
    {84, 1005, 18, 1, Smoke::mf_const, 185, 76},	//1662 QsciScintilla::marginLineNumbers(int) const
    {84, 1007, 18, 1, Smoke::mf_const, 210, 77},	//1663 QsciScintilla::marginMarkerMask(int) const
    {84, 1009, 18, 1, Smoke::mf_const, 185, 78},	//1664 QsciScintilla::marginSensitivity(int) const
    {84, 1011, 18, 1, Smoke::mf_const, 100, 79},	//1665 QsciScintilla::marginType(int) const
    {84, 1013, 18, 1, Smoke::mf_const, 210, 80},	//1666 QsciScintilla::marginWidth(int) const
    {84, 1017, 185, 2, 0, 210, 81},	//1667 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    {84, 1017, 188, 2, 0, 210, 82},	//1668 QsciScintilla::markerDefine(char, int)
    {84, 1017, 191, 2, 0, 210, 83},	//1669 QsciScintilla::markerDefine(const QPixmap&, int)
    {84, 1015, 99, 2, 0, 210, 84},	//1670 QsciScintilla::markerAdd(int, int)
    {84, 1035, 18, 1, Smoke::mf_const, 214, 85},	//1671 QsciScintilla::markersAtLine(int) const
    {84, 1022, 99, 2, 0, 0, 86},	//1672 QsciScintilla::markerDelete(int, int)
    {84, 1025, 18, 1, 0, 0, 87},	//1673 QsciScintilla::markerDeleteAll(int)
    {84, 1027, 18, 1, 0, 0, 88},	//1674 QsciScintilla::markerDeleteHandle(int)
    {84, 1033, 18, 1, Smoke::mf_const, 210, 89},	//1675 QsciScintilla::markerLine(int) const
    {84, 1029, 194, 2, Smoke::mf_const, 210, 90},	//1676 QsciScintilla::markerFindNext(int, unsigned int) const
    {84, 1031, 194, 2, Smoke::mf_const, 210, 91},	//1677 QsciScintilla::markerFindPrevious(int, unsigned int) const
    {84, 1059, 0, 0, Smoke::mf_const, 6, 92},	//1678 QsciScintilla::paper() const
    {84, 1066, 99, 2, Smoke::mf_const, 210, 93},	//1679 QsciScintilla::positionFromLineIndex(int, int) const
    {84, 1082, 197, 1, 0, 185, 94},	//1680 QsciScintilla::read(QIODevice*)
    {84, 1089, 99, 2, Smoke::mf_virtual, 0, 95},	//1681 QsciScintilla::recolor(int, int)
    {84, 1095, 199, 2, 0, 0, 96},	//1682 QsciScintilla::registerImage(int, const QPixmap&)
    {84, 1100, 57, 1, Smoke::mf_virtual, 0, 97},	//1683 QsciScintilla::replace(const QString&)
    {84, 1104, 0, 0, 0, 0, 98},	//1684 QsciScintilla::resetFoldMarginColors()
    {84, 1233, 202, 2, 0, 0, 99},	//1685 QsciScintilla::setFoldMarginColors(const QColor&, const QColor&)
    {84, 1125, 205, 1, 0, 0, 100},	//1686 QsciScintilla::setAnnotationDisplay(QsciScintilla::AnnotationDisplay)
    {84, 1131, 16, 1, 0, 0, 101},	//1687 QsciScintilla::setAutoCompletionFillupsEnabled(bool)
    {84, 1129, 12, 1, 0, 0, 102},	//1688 QsciScintilla::setAutoCompletionFillups(const char*)
    {84, 1143, 207, 1, 0, 0, 103},	//1689 QsciScintilla::setAutoCompletionWordSeparators(const QStringList&)
    {84, 1155, 80, 1, 0, 0, 104},	//1690 QsciScintilla::setCallTipsBackgroundColor(const QColor&)
    {84, 1157, 80, 1, 0, 0, 105},	//1691 QsciScintilla::setCallTipsForegroundColor(const QColor&)
    {84, 1159, 80, 1, 0, 0, 106},	//1692 QsciScintilla::setCallTipsHighlightColor(const QColor&)
    {84, 1161, 209, 1, 0, 0, 107},	//1693 QsciScintilla::setCallTipsStyle(QsciScintilla::CallTipsStyle)
    {84, 1163, 18, 1, 0, 0, 108},	//1694 QsciScintilla::setCallTipsVisible(int)
    {84, 1180, 211, 1, 0, 0, 109},	//1695 QsciScintilla::setContractedFolds(const QList<int>&)
    {84, 1194, 72, 1, 0, 0, 110},	//1696 QsciScintilla::setDocument(const QsciDocument&)
    {84, 1200, 80, 1, 0, 0, 111},	//1697 QsciScintilla::setEdgeColor(const QColor&)
    {84, 1202, 18, 1, 0, 0, 112},	//1698 QsciScintilla::setEdgeColumn(int)
    {84, 1204, 213, 1, 0, 0, 113},	//1699 QsciScintilla::setEdgeMode(QsciScintilla::EdgeMode)
    {84, 1219, 18, 1, 0, 0, 114},	//1700 QsciScintilla::setFirstVisibleLine(int)
    {84, 1273, 87, 2, 0, 0, 115},	//1701 QsciScintilla::setIndicatorDrawUnder(bool, int)
    {84, 1276, 84, 2, 0, 0, 116},	//1702 QsciScintilla::setIndicatorForegroundColor(const QColor&, int)
    {84, 1297, 134, 3, 0, 0, 117},	//1703 QsciScintilla::setMarginText(int, const QString&, int)
    {84, 1297, 138, 3, 0, 0, 118},	//1704 QsciScintilla::setMarginText(int, const QString&, const QsciStyle&)
    {84, 1297, 142, 2, 0, 0, 119},	//1705 QsciScintilla::setMarginText(int, const QsciStyledText&)
    {84, 1297, 145, 2, 0, 0, 120},	//1706 QsciScintilla::setMarginText(int, const QList<QsciStyledText>&)
    {84, 1302, 215, 2, 0, 0, 121},	//1707 QsciScintilla::setMarginType(int, QsciScintilla::MarginType)
    {84, 816, 18, 1, 0, 0, 122},	//1708 QsciScintilla::clearMarginText(int)
    {84, 1312, 84, 2, 0, 0, 123},	//1709 QsciScintilla::setMarkerBackgroundColor(const QColor&, int)
    {84, 1315, 84, 2, 0, 0, 124},	//1710 QsciScintilla::setMarkerForegroundColor(const QColor&, int)
    {84, 1318, 80, 1, 0, 0, 125},	//1711 QsciScintilla::setMatchedBraceBackgroundColor(const QColor&)
    {84, 1320, 80, 1, 0, 0, 126},	//1712 QsciScintilla::setMatchedBraceForegroundColor(const QColor&)
    {84, 1364, 80, 1, 0, 0, 127},	//1713 QsciScintilla::setUnmatchedBraceBackgroundColor(const QColor&)
    {84, 1366, 80, 1, 0, 0, 128},	//1714 QsciScintilla::setUnmatchedBraceForegroundColor(const QColor&)
    {84, 1390, 218, 3, 0, 0, 129},	//1715 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int)
    {84, 1118, 0, 0, Smoke::mf_const, 39, 130},	//1716 QsciScintilla::selectedText() const
    {84, 1120, 0, 0, Smoke::mf_const, 185, 131},	//1717 QsciScintilla::selectionToEol() const
    {84, 1343, 16, 1, 0, 0, 132},	//1718 QsciScintilla::setSelectionToEol(bool)
    {84, 1215, 18, 1, 0, 0, 133},	//1719 QsciScintilla::setExtraAscent(int)
    {84, 1217, 18, 1, 0, 0, 134},	//1720 QsciScintilla::setExtraDescent(int)
    {84, 1378, 80, 1, 0, 0, 135},	//1721 QsciScintilla::setWhitespaceBackgroundColor(const QColor&)
    {84, 1380, 80, 1, 0, 0, 136},	//1722 QsciScintilla::setWhitespaceForegroundColor(const QColor&)
    {84, 1382, 18, 1, 0, 0, 137},	//1723 QsciScintilla::setWhitespaceSize(int)
    {84, 1386, 222, 1, 0, 0, 138},	//1724 QsciScintilla::setWrapIndentMode(QsciScintilla::WrapIndentMode)
    {84, 1395, 224, 2, 0, 0, 139},	//1725 QsciScintilla::showUserList(int, const QStringList&)
    {84, 1399, 0, 0, Smoke::mf_const, 51, 140},	//1726 QsciScintilla::standardCommands() const
    {84, 1412, 0, 0, Smoke::mf_const, 185, 141},	//1727 QsciScintilla::tabIndents() const
    {84, 1413, 0, 0, Smoke::mf_const, 210, 142},	//1728 QsciScintilla::tabWidth() const
    {84, 1415, 0, 0, Smoke::mf_const, 39, 143},	//1729 QsciScintilla::text() const
    {84, 1415, 18, 1, Smoke::mf_const, 39, 144},	//1730 QsciScintilla::text(int) const
    {84, 1419, 18, 1, Smoke::mf_const, 210, 145},	//1731 QsciScintilla::textHeight(int) const
    {84, 1448, 0, 0, Smoke::mf_const, 210, 146},	//1732 QsciScintilla::whitespaceSize() const
    {84, 1449, 0, 0, Smoke::mf_const, 102, 147},	//1733 QsciScintilla::whitespaceVisibility() const
    {84, 1451, 179, 1, Smoke::mf_const, 39, 148},	//1734 QsciScintilla::wordAtPoint(const QPoint&) const
    {84, 1453, 0, 0, Smoke::mf_const, 208, 149},	//1735 QsciScintilla::wordCharacters() const
    {84, 1455, 0, 0, Smoke::mf_const, 104, 150},	//1736 QsciScintilla::wrapMode() const
    {84, 1454, 0, 0, Smoke::mf_const, 103, 151},	//1737 QsciScintilla::wrapIndentMode() const
    {84, 1456, 197, 1, Smoke::mf_const, 185, 152},	//1738 QsciScintilla::write(QIODevice*) const
    {84, 764, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 153},	//1739 QsciScintilla::append(const QString&)
    {84, 767, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 154},	//1740 QsciScintilla::autoCompleteFromAll()
    {84, 766, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 155},	//1741 QsciScintilla::autoCompleteFromAPIs()
    {84, 768, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 156},	//1742 QsciScintilla::autoCompleteFromDocument()
    {84, 794, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 157},	//1743 QsciScintilla::callTip()
    {84, 808, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 158},	//1744 QsciScintilla::clear()
    {84, 831, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 159},	//1745 QsciScintilla::copy()
    {84, 837, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 160},	//1746 QsciScintilla::cut()
    {84, 871, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 161},	//1747 QsciScintilla::ensureCursorVisible()
    {84, 872, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 162},	//1748 QsciScintilla::ensureLineVisible(int)
    {84, 902, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 163},	//1749 QsciScintilla::foldAll(bool)
    {84, 910, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 164},	//1750 QsciScintilla::foldLine(int)
    {84, 938, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 165},	//1751 QsciScintilla::indent(int)
    {84, 960, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 166},	//1752 QsciScintilla::insert(const QString&)
    {84, 962, 227, 3, Smoke::mf_virtual|Smoke::mf_slot, 0, 167},	//1753 QsciScintilla::insertAt(const QString&, int, int)
    {84, 1052, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 168},	//1754 QsciScintilla::moveToMatchingBrace()
    {84, 1063, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 169},	//1755 QsciScintilla::paste()
    {84, 1092, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 170},	//1756 QsciScintilla::redo()
    {84, 1099, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 171},	//1757 QsciScintilla::removeSelectedText()
    {84, 1102, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 172},	//1758 QsciScintilla::replaceSelectedText(const QString&)
    {84, 1105, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 173},	//1759 QsciScintilla::resetSelectionBackgroundColor()
    {84, 1106, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 174},	//1760 QsciScintilla::resetSelectionForegroundColor()
    {84, 1115, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 175},	//1761 QsciScintilla::selectAll(bool)
    {84, 1117, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 176},	//1762 QsciScintilla::selectToMatchingBrace()
    {84, 1127, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 177},	//1763 QsciScintilla::setAutoCompletionCaseSensitivity(bool)
    {84, 1133, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 178},	//1764 QsciScintilla::setAutoCompletionReplaceWord(bool)
    {84, 1135, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 179},	//1765 QsciScintilla::setAutoCompletionShowSingle(bool)
    {84, 1137, 231, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 180},	//1766 QsciScintilla::setAutoCompletionSource(QsciScintilla::AutoCompletionSource)
    {84, 1139, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 181},	//1767 QsciScintilla::setAutoCompletionThreshold(int)
    {84, 1141, 233, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 182},	//1768 QsciScintilla::setAutoCompletionUseSingle(QsciScintilla::AutoCompletionUseSingle)
    {84, 1145, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 183},	//1769 QsciScintilla::setAutoIndent(bool)
    {84, 1153, 235, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 184},	//1770 QsciScintilla::setBraceMatching(QsciScintilla::BraceMatch)
    {84, 1151, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 185},	//1771 QsciScintilla::setBackspaceUnindents(bool)
    {84, 1165, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 186},	//1772 QsciScintilla::setCaretForegroundColor(const QColor&)
    {84, 1167, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 187},	//1773 QsciScintilla::setCaretLineBackgroundColor(const QColor&)
    {84, 1169, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 188},	//1774 QsciScintilla::setCaretLineVisible(bool)
    {84, 1171, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 189},	//1775 QsciScintilla::setCaretWidth(int)
    {84, 1177, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 190},	//1776 QsciScintilla::setColor(const QColor&)
    {84, 1182, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 191},	//1777 QsciScintilla::setCursorPosition(int, int)
    {84, 1211, 154, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 192},	//1778 QsciScintilla::setEolMode(QsciScintilla::EolMode)
    {84, 1213, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 193},	//1779 QsciScintilla::setEolVisibility(bool)
    {84, 1249, 237, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 194},	//1780 QsciScintilla::setFolding(QsciScintilla::FoldStyle, int)
    {84, 1259, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 195},	//1781 QsciScintilla::setIndentation(int, int)
    {84, 1261, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 196},	//1782 QsciScintilla::setIndentationGuides(bool)
    {84, 1263, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 197},	//1783 QsciScintilla::setIndentationGuidesBackgroundColor(const QColor&)
    {84, 1265, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 198},	//1784 QsciScintilla::setIndentationGuidesForegroundColor(const QColor&)
    {84, 1271, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 199},	//1785 QsciScintilla::setIndentationsUseTabs(bool)
    {84, 1269, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 200},	//1786 QsciScintilla::setIndentationWidth(int)
    {84, 1285, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 201},	//1787 QsciScintilla::setLexer(QsciLexer*)
    {84, 1306, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 202},	//1788 QsciScintilla::setMarginsBackgroundColor(const QColor&)
    {84, 1308, 42, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 203},	//1789 QsciScintilla::setMarginsFont(const QFont&)
    {84, 1310, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 204},	//1790 QsciScintilla::setMarginsForegroundColor(const QColor&)
    {84, 1291, 240, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 205},	//1791 QsciScintilla::setMarginLineNumbers(int, bool)
    {84, 1293, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 206},	//1792 QsciScintilla::setMarginMarkerMask(int, int)
    {84, 1295, 240, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 207},	//1793 QsciScintilla::setMarginSensitivity(int, bool)
    {84, 1304, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 208},	//1794 QsciScintilla::setMarginWidth(int, int)
    {84, 1304, 243, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 209},	//1795 QsciScintilla::setMarginWidth(int, const QString&)
    {84, 1322, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 210},	//1796 QsciScintilla::setModified(bool)
    {84, 1324, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 211},	//1797 QsciScintilla::setPaper(const QColor&)
    {84, 1333, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 212},	//1798 QsciScintilla::setReadOnly(bool)
    {84, 1337, 246, 4, Smoke::mf_virtual|Smoke::mf_slot, 0, 213},	//1799 QsciScintilla::setSelection(int, int, int, int)
    {84, 1339, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 214},	//1800 QsciScintilla::setSelectionBackgroundColor(const QColor&)
    {84, 1341, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 215},	//1801 QsciScintilla::setSelectionForegroundColor(const QColor&)
    {84, 1354, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 216},	//1802 QsciScintilla::setTabIndents(bool)
    {84, 1356, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 217},	//1803 QsciScintilla::setTabWidth(int)
    {84, 1358, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 218},	//1804 QsciScintilla::setText(const QString&)
    {84, 1368, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 219},	//1805 QsciScintilla::setUtf8(bool)
    {84, 1384, 251, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 220},	//1806 QsciScintilla::setWhitespaceVisibility(QsciScintilla::WhitespaceVisibility)
    {84, 1388, 121, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 221},	//1807 QsciScintilla::setWrapMode(QsciScintilla::WrapMode)
    {84, 1433, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 222},	//1808 QsciScintilla::undo()
    {84, 1434, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 223},	//1809 QsciScintilla::unindent(int)
    {84, 1464, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 224},	//1810 QsciScintilla::zoomIn(int)
    {84, 1464, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 225},	//1811 QsciScintilla::zoomIn()
    {84, 1466, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 226},	//1812 QsciScintilla::zoomOut(int)
    {84, 1466, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 227},	//1813 QsciScintilla::zoomOut()
    {84, 1468, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 228},	//1814 QsciScintilla::zoomTo(int)
    {84, 834, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 229},	//1815 QsciScintilla::cursorPositionChanged(int, int)
    {84, 832, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 230},	//1816 QsciScintilla::copyAvailable(bool)
    {84, 947, 253, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 231},	//1817 QsciScintilla::indicatorClicked(int, int, Qt::KeyboardModifiers)
    {84, 954, 253, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 232},	//1818 QsciScintilla::indicatorReleased(int, int, Qt::KeyboardModifiers)
    {84, 996, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 233},	//1819 QsciScintilla::linesChanged()
    {84, 1003, 253, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 234},	//1820 QsciScintilla::marginClicked(int, int, Qt::KeyboardModifiers)
    {84, 1040, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 235},	//1821 QsciScintilla::modificationAttempted()
    {84, 1041, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 236},	//1822 QsciScintilla::modificationChanged(bool)
    {84, 1119, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 237},	//1823 QsciScintilla::selectionChanged()
    {84, 1418, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 238},	//1824 QsciScintilla::textChanged()
    {84, 1438, 243, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 239},	//1825 QsciScintilla::userListActivated(int, const QString&)
    {84, 1425, 12, 1, Smoke::mf_static, 39, 240},	//1826 QsciScintilla::tr(const char*)
    {84, 1429, 12, 1, Smoke::mf_static, 39, 241},	//1827 QsciScintilla::trUtf8(const char*)
    {84, 448, 0, 0, Smoke::mf_ctor, 89, 242},	//1828 QsciScintilla::QsciScintilla()
    {84, 810, 0, 0, 0, 0, 243},	//1829 QsciScintilla::clearAnnotations()
    {84, 888, 257, 5, 0, 185, 244},	//1830 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool)
    {84, 888, 263, 6, 0, 185, 245},	//1831 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool)
    {84, 888, 270, 7, 0, 185, 246},	//1832 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int)
    {84, 888, 278, 8, 0, 185, 247},	//1833 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int)
    {84, 949, 287, 1, 0, 210, 248},	//1834 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle)
    {84, 1017, 289, 1, 0, 210, 249},	//1835 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    {84, 1017, 177, 1, 0, 210, 250},	//1836 QsciScintilla::markerDefine(char)
    {84, 1017, 291, 1, 0, 210, 251},	//1837 QsciScintilla::markerDefine(const QPixmap&)
    {84, 1022, 18, 1, 0, 0, 252},	//1838 QsciScintilla::markerDelete(int)
    {84, 1025, 0, 0, 0, 0, 253},	//1839 QsciScintilla::markerDeleteAll()
    {84, 1089, 0, 0, 0, 0, 254},	//1840 QsciScintilla::recolor()
    {84, 1089, 18, 1, 0, 0, 255},	//1841 QsciScintilla::recolor(int)
    {84, 1273, 16, 1, 0, 0, 256},	//1842 QsciScintilla::setIndicatorDrawUnder(bool)
    {84, 1276, 80, 1, 0, 0, 257},	//1843 QsciScintilla::setIndicatorForegroundColor(const QColor&)
    {84, 816, 0, 0, 0, 0, 258},	//1844 QsciScintilla::clearMarginText()
    {84, 1312, 80, 1, 0, 0, 259},	//1845 QsciScintilla::setMarkerBackgroundColor(const QColor&)
    {84, 1315, 80, 1, 0, 0, 260},	//1846 QsciScintilla::setMarkerForegroundColor(const QColor&)
    {84, 1390, 293, 1, 0, 0, 261},	//1847 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag)
    {84, 1390, 295, 2, 0, 0, 262},	//1848 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag)
    {84, 902, 0, 0, Smoke::mf_slot, 0, 263},	//1849 QsciScintilla::foldAll()
    {84, 1115, 0, 0, Smoke::mf_slot, 0, 264},	//1850 QsciScintilla::selectAll()
    {84, 1249, 298, 1, Smoke::mf_slot, 0, 265},	//1851 QsciScintilla::setFolding(QsciScintilla::FoldStyle)
    {84, 1285, 0, 0, Smoke::mf_slot, 0, 266},	//1852 QsciScintilla::setLexer()
    {84, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 267},	//1853 QsciScintilla::staticMetaObject() const
    {84, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 268},	//1854 QsciScintilla::AiMaintain (enum)
    {84, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 269},	//1855 QsciScintilla::AiOpening (enum)
    {84, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 270},	//1856 QsciScintilla::AiClosing (enum)
    {84, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 271},	//1857 QsciScintilla::AnnotationHidden (enum)
    {84, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 272},	//1858 QsciScintilla::AnnotationStandard (enum)
    {84, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 273},	//1859 QsciScintilla::AnnotationBoxed (enum)
    {84, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 274},	//1860 QsciScintilla::AcusNever (enum)
    {84, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 275},	//1861 QsciScintilla::AcusExplicit (enum)
    {84, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 276},	//1862 QsciScintilla::AcusAlways (enum)
    {84, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 277},	//1863 QsciScintilla::AcsNone (enum)
    {84, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 278},	//1864 QsciScintilla::AcsAll (enum)
    {84, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 279},	//1865 QsciScintilla::AcsDocument (enum)
    {84, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 280},	//1866 QsciScintilla::AcsAPIs (enum)
    {84, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 281},	//1867 QsciScintilla::NoBraceMatch (enum)
    {84, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 282},	//1868 QsciScintilla::StrictBraceMatch (enum)
    {84, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 283},	//1869 QsciScintilla::SloppyBraceMatch (enum)
    {84, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 284},	//1870 QsciScintilla::CallTipsNone (enum)
    {84, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 285},	//1871 QsciScintilla::CallTipsNoContext (enum)
    {84, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 286},	//1872 QsciScintilla::CallTipsNoAutoCompletionContext (enum)
    {84, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 287},	//1873 QsciScintilla::CallTipsContext (enum)
    {84, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 288},	//1874 QsciScintilla::EdgeNone (enum)
    {84, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 289},	//1875 QsciScintilla::EdgeLine (enum)
    {84, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 290},	//1876 QsciScintilla::EdgeBackground (enum)
    {84, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 291},	//1877 QsciScintilla::EolWindows (enum)
    {84, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 292},	//1878 QsciScintilla::EolUnix (enum)
    {84, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 293},	//1879 QsciScintilla::EolMac (enum)
    {84, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 294},	//1880 QsciScintilla::NoFoldStyle (enum)
    {84, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 295},	//1881 QsciScintilla::PlainFoldStyle (enum)
    {84, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 296},	//1882 QsciScintilla::CircledFoldStyle (enum)
    {84, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 297},	//1883 QsciScintilla::BoxedFoldStyle (enum)
    {84, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 298},	//1884 QsciScintilla::CircledTreeFoldStyle (enum)
    {84, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 299},	//1885 QsciScintilla::BoxedTreeFoldStyle (enum)
    {84, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 300},	//1886 QsciScintilla::PlainIndicator (enum)
    {84, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 301},	//1887 QsciScintilla::SquiggleIndicator (enum)
    {84, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 302},	//1888 QsciScintilla::TTIndicator (enum)
    {84, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 303},	//1889 QsciScintilla::DiagonalIndicator (enum)
    {84, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 304},	//1890 QsciScintilla::StrikeIndicator (enum)
    {84, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 305},	//1891 QsciScintilla::HiddenIndicator (enum)
    {84, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 306},	//1892 QsciScintilla::BoxIndicator (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 307},	//1893 QsciScintilla::RoundBoxIndicator (enum)
    {84, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 308},	//1894 QsciScintilla::SymbolMargin (enum)
    {84, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 309},	//1895 QsciScintilla::SymbolMarginDefaultForegroundColor (enum)
    {84, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 310},	//1896 QsciScintilla::SymbolMarginDefaultBackgroundColor (enum)
    {84, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 311},	//1897 QsciScintilla::NumberMargin (enum)
    {84, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 312},	//1898 QsciScintilla::TextMargin (enum)
    {84, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 313},	//1899 QsciScintilla::TextMarginRightJustified (enum)
    {84, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 314},	//1900 QsciScintilla::Circle (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 315},	//1901 QsciScintilla::Rectangle (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 316},	//1902 QsciScintilla::RightTriangle (enum)
    {84, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 317},	//1903 QsciScintilla::SmallRectangle (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 318},	//1904 QsciScintilla::RightArrow (enum)
    {84, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 319},	//1905 QsciScintilla::Invisible (enum)
    {84, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 320},	//1906 QsciScintilla::DownTriangle (enum)
    {84, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 321},	//1907 QsciScintilla::Minus (enum)
    {84, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 322},	//1908 QsciScintilla::Plus (enum)
    {84, 729, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 323},	//1909 QsciScintilla::VerticalLine (enum)
    {84, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 324},	//1910 QsciScintilla::BottomLeftCorner (enum)
    {84, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 325},	//1911 QsciScintilla::LeftSideSplitter (enum)
    {84, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 326},	//1912 QsciScintilla::BoxedPlus (enum)
    {84, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 327},	//1913 QsciScintilla::BoxedPlusConnected (enum)
    {84, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 328},	//1914 QsciScintilla::BoxedMinus (enum)
    {84, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 329},	//1915 QsciScintilla::BoxedMinusConnected (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 330},	//1916 QsciScintilla::RoundedBottomLeftCorner (enum)
    {84, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 331},	//1917 QsciScintilla::LeftSideRoundedSplitter (enum)
    {84, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 332},	//1918 QsciScintilla::CircledPlus (enum)
    {84, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 333},	//1919 QsciScintilla::CircledPlusConnected (enum)
    {84, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 334},	//1920 QsciScintilla::CircledMinus (enum)
    {84, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 335},	//1921 QsciScintilla::CircledMinusConnected (enum)
    {84, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 336},	//1922 QsciScintilla::Background (enum)
    {84, 700, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 337},	//1923 QsciScintilla::ThreeDots (enum)
    {84, 701, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 338},	//1924 QsciScintilla::ThreeRightArrows (enum)
    {84, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 339},	//1925 QsciScintilla::FullRectangle (enum)
    {84, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 340},	//1926 QsciScintilla::LeftRectangle (enum)
    {84, 711, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 341},	//1927 QsciScintilla::Underline (enum)
    {84, 740, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 342},	//1928 QsciScintilla::WsInvisible (enum)
    {84, 741, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 343},	//1929 QsciScintilla::WsVisible (enum)
    {84, 742, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 344},	//1930 QsciScintilla::WsVisibleAfterIndent (enum)
    {84, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 345},	//1931 QsciScintilla::WrapNone (enum)
    {84, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 346},	//1932 QsciScintilla::WrapWord (enum)
    {84, 731, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 347},	//1933 QsciScintilla::WrapCharacter (enum)
    {84, 734, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 348},	//1934 QsciScintilla::WrapFlagNone (enum)
    {84, 733, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 349},	//1935 QsciScintilla::WrapFlagByText (enum)
    {84, 732, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 350},	//1936 QsciScintilla::WrapFlagByBorder (enum)
    {84, 735, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 351},	//1937 QsciScintilla::WrapIndentFixed (enum)
    {84, 737, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 352},	//1938 QsciScintilla::WrapIndentSame (enum)
    {84, 736, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 353},	//1939 QsciScintilla::WrapIndentIndented (enum)
    {84, 1507, 0, 0, Smoke::mf_dtor, 0, 354 },	//1940 QsciScintilla::~QsciScintilla()
    {85, 1037, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 195, 1},	//1941 QsciScintillaBase::metaObject() const
    {85, 1079, 12, 1, Smoke::mf_virtual, 216, 2},	//1942 QsciScintillaBase::qt_metacast(const char*)
    {85, 1425, 44, 2, Smoke::mf_static, 39, 3},	//1943 QsciScintillaBase::tr(const char*, const char*)
    {85, 1429, 44, 2, Smoke::mf_static, 39, 4},	//1944 QsciScintillaBase::trUtf8(const char*, const char*)
    {85, 1425, 47, 3, Smoke::mf_static, 39, 5},	//1945 QsciScintillaBase::tr(const char*, const char*, int)
    {85, 1429, 47, 3, Smoke::mf_static, 39, 6},	//1946 QsciScintillaBase::trUtf8(const char*, const char*, int)
    {85, 1077, 51, 3, Smoke::mf_virtual, 210, 7},	//1947 QsciScintillaBase::qt_metacall(QMetaObject::Call, int, void**)
    {85, 450, 128, 1, Smoke::mf_ctor, 106, 8},	//1948 QsciScintillaBase::QsciScintillaBase(QWidget*)
    {85, 1065, 0, 0, Smoke::mf_static, 106, 9},	//1949 QsciScintillaBase::pool()
    {85, 644, 300, 3, Smoke::mf_const, 213, 10},	//1950 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    {85, 644, 304, 3, Smoke::mf_const, 213, 11},	//1951 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    {85, 644, 308, 3, Smoke::mf_const, 213, 12},	//1952 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    {85, 644, 312, 2, Smoke::mf_const, 213, 13},	//1953 QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    {85, 644, 315, 3, Smoke::mf_const, 213, 14},	//1954 QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    {85, 644, 319, 2, Smoke::mf_const, 213, 15},	//1955 QsciScintillaBase::SendScintilla(unsigned int, long) const
    {85, 644, 322, 2, Smoke::mf_const, 213, 16},	//1956 QsciScintillaBase::SendScintilla(unsigned int, int) const
    {85, 644, 325, 4, Smoke::mf_const, 213, 17},	//1957 QsciScintillaBase::SendScintilla(unsigned int, long, long, char*) const
    {85, 644, 330, 3, Smoke::mf_const, 213, 18},	//1958 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    {85, 644, 334, 2, Smoke::mf_const, 213, 19},	//1959 QsciScintillaBase::SendScintilla(unsigned int, const QColor&) const
    {85, 644, 337, 6, Smoke::mf_const, 213, 20},	//1960 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, QPainter*, const QRect&, long, long) const
    {85, 644, 344, 3, Smoke::mf_const, 213, 21},	//1961 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    {85, 652, 348, 1, Smoke::mf_const, 216, 22},	//1962 QsciScintillaBase::SendScintillaPtrResult(unsigned int) const
    {85, 367, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//1963 QsciScintillaBase::QSCN_SELCHANGED(bool)
    {85, 585, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1964 QsciScintillaBase::SCN_AUTOCCANCELLED()
    {85, 586, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1965 QsciScintillaBase::SCN_AUTOCCHARDELETED()
    {85, 587, 350, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1966 QsciScintillaBase::SCN_AUTOCSELECTION(const char*, int)
    {85, 483, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1967 QsciScintillaBase::SCEN_CHANGE()
    {85, 589, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1968 QsciScintillaBase::SCN_CALLTIPCLICK(int)
    {85, 591, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1969 QsciScintillaBase::SCN_CHARADDED(int)
    {85, 593, 353, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1970 QsciScintillaBase::SCN_DOUBLECLICK(int, int, int)
    {85, 595, 353, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1971 QsciScintillaBase::SCN_DWELLEND(int, int, int)
    {85, 597, 353, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1972 QsciScintillaBase::SCN_DWELLSTART(int, int, int)
    {85, 599, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1973 QsciScintillaBase::SCN_HOTSPOTCLICK(int, int)
    {85, 601, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1974 QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK(int, int)
    {85, 603, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1975 QsciScintillaBase::SCN_HOTSPOTRELEASECLICK(int, int)
    {85, 605, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1976 QsciScintillaBase::SCN_INDICATORCLICK(int, int)
    {85, 607, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1977 QsciScintillaBase::SCN_INDICATORRELEASE(int, int)
    {85, 609, 304, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1978 QsciScintillaBase::SCN_MACRORECORD(unsigned int, unsigned long, void*)
    {85, 611, 353, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1979 QsciScintillaBase::SCN_MARGINCLICK(int, int, int)
    {85, 613, 357, 10, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1980 QsciScintillaBase::SCN_MODIFIED(int, int, const char*, int, int, int, int, int, int, int)
    {85, 615, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1981 QsciScintillaBase::SCN_MODIFYATTEMPTRO()
    {85, 616, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1982 QsciScintillaBase::SCN_NEEDSHOWN(int, int)
    {85, 618, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//1983 QsciScintillaBase::SCN_PAINTED()
    {85, 619, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//1984 QsciScintillaBase::SCN_SAVEPOINTLEFT()
    {85, 620, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//1985 QsciScintillaBase::SCN_SAVEPOINTREACHED()
    {85, 621, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1986 QsciScintillaBase::SCN_STYLENEEDED(int)
    {85, 623, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1987 QsciScintillaBase::SCN_UPDATEUI(int)
    {85, 625, 350, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1988 QsciScintillaBase::SCN_USERLISTSELECTION(const char*, int)
    {85, 627, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//1989 QsciScintillaBase::SCN_ZOOM()
    {85, 799, 368, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 185, 50},	//1990 QsciScintillaBase::canInsertFromMimeData(const QMimeData*) const
    {85, 927, 370, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 3, 51},	//1991 QsciScintillaBase::fromMimeData(const QMimeData*, bool&) const
    {85, 1422, 373, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 23, 52},	//1992 QsciScintillaBase::toMimeData(const QByteArray&, bool) const
    {85, 826, 376, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//1993 QsciScintillaBase::contextMenuEvent(QContextMenuEvent*)
    {85, 856, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//1994 QsciScintillaBase::dragEnterEvent(QDragEnterEvent*)
    {85, 858, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//1995 QsciScintillaBase::dragLeaveEvent(QDragLeaveEvent*)
    {85, 860, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//1996 QsciScintillaBase::dragMoveEvent(QDragMoveEvent*)
    {85, 862, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//1997 QsciScintillaBase::dropEvent(QDropEvent*)
    {85, 896, 386, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//1998 QsciScintillaBase::focusInEvent(QFocusEvent*)
    {85, 900, 386, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//1999 QsciScintillaBase::focusOutEvent(QFocusEvent*)
    {85, 898, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 185, 60},	//2000 QsciScintillaBase::focusNextPrevChild(bool)
    {85, 977, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//2001 QsciScintillaBase::keyPressEvent(QKeyEvent*)
    {85, 957, 388, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//2002 QsciScintillaBase::inputMethodEvent(QInputMethodEvent*)
    {85, 1043, 390, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//2003 QsciScintillaBase::mouseDoubleClickEvent(QMouseEvent*)
    {85, 1045, 390, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//2004 QsciScintillaBase::mouseMoveEvent(QMouseEvent*)
    {85, 1047, 390, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//2005 QsciScintillaBase::mousePressEvent(QMouseEvent*)
    {85, 1049, 390, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//2006 QsciScintillaBase::mouseReleaseEvent(QMouseEvent*)
    {85, 1056, 392, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//2007 QsciScintillaBase::paintEvent(QPaintEvent*)
    {85, 1107, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//2008 QsciScintillaBase::resizeEvent(QResizeEvent*)
    {85, 1113, 99, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//2009 QsciScintillaBase::scrollContentsBy(int, int)
    {85, 1425, 12, 1, Smoke::mf_static, 39, 70},	//2010 QsciScintillaBase::tr(const char*)
    {85, 1429, 12, 1, Smoke::mf_static, 39, 71},	//2011 QsciScintillaBase::trUtf8(const char*)
    {85, 450, 0, 0, Smoke::mf_ctor, 106, 72},	//2012 QsciScintillaBase::QsciScintillaBase()
    {85, 644, 348, 1, Smoke::mf_const, 213, 73},	//2013 QsciScintillaBase::SendScintilla(unsigned int) const
    {85, 644, 396, 2, Smoke::mf_const, 213, 74},	//2014 QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    {85, 1404, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 194, 75},	//2015 QsciScintillaBase::staticMetaObject() const
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 76},	//2016 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 77},	//2017 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 78},	//2018 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 79},	//2019 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 80},	//2020 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 81},	//2021 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 82},	//2022 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 83},	//2023 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 84},	//2024 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 85},	//2025 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 86},	//2026 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 87},	//2027 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 88},	//2028 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 89},	//2029 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 90},	//2030 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 91},	//2031 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 92},	//2032 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 93},	//2033 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 94},	//2034 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 95},	//2035 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 96},	//2036 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 97},	//2037 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 98},	//2038 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 99},	//2039 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 100},	//2040 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 101},	//2041 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 102},	//2042 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 103},	//2043 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 104},	//2044 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 105},	//2045 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 106},	//2046 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 107},	//2047 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 108},	//2048 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 109},	//2049 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 110},	//2050 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 111},	//2051 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 112},	//2052 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 113},	//2053 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 114},	//2054 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 115},	//2055 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 116},	//2056 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 117},	//2057 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 118},	//2058 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 119},	//2059 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 120},	//2060 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 121},	//2061 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 122},	//2062 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 123},	//2063 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 124},	//2064 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 125},	//2065 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 126},	//2066 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 127},	//2067 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 128},	//2068 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 129},	//2069 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 130},	//2070 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 131},	//2071 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 132},	//2072 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 133},	//2073 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 134},	//2074 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 135},	//2075 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 136},	//2076 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 137},	//2077 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 138},	//2078 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 139},	//2079 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 140},	//2080 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 141},	//2081 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 142},	//2082 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 143},	//2083 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 144},	//2084 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 145},	//2085 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 146},	//2086 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 147},	//2087 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 148},	//2088 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 149},	//2089 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 150},	//2090 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 151},	//2091 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 152},	//2092 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 153},	//2093 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 154},	//2094 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 155},	//2095 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 156},	//2096 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 157},	//2097 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 158},	//2098 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 159},	//2099 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 160},	//2100 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 161},	//2101 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 162},	//2102 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 163},	//2103 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 164},	//2104 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 165},	//2105 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 166},	//2106 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 167},	//2107 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 168},	//2108 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 169},	//2109 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 170},	//2110 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 171},	//2111 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 172},	//2112 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 173},	//2113 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 174},	//2114 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 175},	//2115 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 176},	//2116 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 177},	//2117 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 178},	//2118 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 179},	//2119 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 180},	//2120 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 181},	//2121 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 182},	//2122 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 183},	//2123 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 184},	//2124 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 185},	//2125 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 186},	//2126 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 187},	//2127 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 188},	//2128 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 189},	//2129 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 190},	//2130 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 191},	//2131 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 192},	//2132 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 193},	//2133 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 194},	//2134 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 195},	//2135 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 196},	//2136 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 197},	//2137 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 198},	//2138 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 199},	//2139 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 200},	//2140 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 201},	//2141 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 202},	//2142 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 203},	//2143 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 204},	//2144 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 205},	//2145 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 206},	//2146 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 207},	//2147 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 208},	//2148 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 209},	//2149 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 210},	//2150 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 211},	//2151 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 212},	//2152 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 213},	//2153 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 214},	//2154 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 215},	//2155 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 216},	//2156 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 217},	//2157 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 218},	//2158 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 219},	//2159 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 220},	//2160 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 221},	//2161 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 222},	//2162 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 223},	//2163 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 224},	//2164 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 225},	//2165 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 226},	//2166 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 227},	//2167 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 228},	//2168 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 229},	//2169 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 230},	//2170 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 231},	//2171 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 232},	//2172 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 233},	//2173 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 234},	//2174 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 235},	//2175 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 236},	//2176 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 237},	//2177 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 238},	//2178 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 239},	//2179 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 240},	//2180 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 241},	//2181 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 242},	//2182 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 243},	//2183 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 244},	//2184 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 245},	//2185 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 246},	//2186 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 247},	//2187 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 248},	//2188 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 249},	//2189 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 250},	//2190 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 251},	//2191 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 252},	//2192 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 253},	//2193 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 254},	//2194 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 255},	//2195 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 256},	//2196 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 257},	//2197 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 258},	//2198 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 259},	//2199 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 260},	//2200 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 261},	//2201 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 262},	//2202 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 263},	//2203 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 264},	//2204 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 265},	//2205 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 266},	//2206 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 267},	//2207 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 268},	//2208 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 269},	//2209 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 270},	//2210 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 271},	//2211 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 272},	//2212 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 273},	//2213 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 274},	//2214 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 275},	//2215 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 276},	//2216 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 277},	//2217 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 278},	//2218 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 279},	//2219 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 280},	//2220 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 281},	//2221 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 282},	//2222 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 283},	//2223 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 284},	//2224 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 285},	//2225 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 286},	//2226 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 287},	//2227 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 288},	//2228 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 289},	//2229 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 290},	//2230 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 291},	//2231 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 292},	//2232 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 293},	//2233 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 294},	//2234 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 295},	//2235 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 296},	//2236 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 297},	//2237 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 298},	//2238 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 299},	//2239 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 300},	//2240 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 301},	//2241 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 302},	//2242 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 303},	//2243 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 304},	//2244 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 305},	//2245 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 306},	//2246 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 307},	//2247 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 308},	//2248 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 309},	//2249 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 310},	//2250 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 311},	//2251 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 312},	//2252 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 313},	//2253 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 314},	//2254 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 315},	//2255 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 316},	//2256 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 317},	//2257 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 318},	//2258 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 319},	//2259 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 320},	//2260 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 321},	//2261 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 322},	//2262 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 323},	//2263 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 324},	//2264 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 325},	//2265 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 326},	//2266 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 327},	//2267 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 328},	//2268 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 329},	//2269 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 330},	//2270 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 331},	//2271 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 332},	//2272 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 333},	//2273 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 334},	//2274 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 335},	//2275 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 336},	//2276 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 337},	//2277 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 338},	//2278 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 339},	//2279 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 340},	//2280 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 341},	//2281 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 342},	//2282 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 343},	//2283 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 344},	//2284 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 345},	//2285 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 346},	//2286 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 347},	//2287 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 348},	//2288 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 349},	//2289 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 350},	//2290 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 351},	//2291 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 352},	//2292 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 353},	//2293 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 354},	//2294 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 355},	//2295 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 356},	//2296 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 357},	//2297 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 358},	//2298 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 359},	//2299 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 360},	//2300 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 361},	//2301 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 362},	//2302 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 363},	//2303 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 364},	//2304 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 365},	//2305 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 366},	//2306 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 367},	//2307 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 368},	//2308 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 369},	//2309 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 370},	//2310 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 371},	//2311 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 372},	//2312 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 373},	//2313 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 374},	//2314 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 375},	//2315 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 376},	//2316 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 377},	//2317 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 378},	//2318 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 379},	//2319 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 380},	//2320 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 381},	//2321 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 382},	//2322 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 383},	//2323 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 384},	//2324 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 385},	//2325 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 386},	//2326 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 387},	//2327 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 388},	//2328 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 389},	//2329 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 390},	//2330 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 391},	//2331 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 392},	//2332 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 393},	//2333 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 394},	//2334 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 395},	//2335 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 396},	//2336 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 397},	//2337 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 398},	//2338 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 399},	//2339 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 400},	//2340 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 401},	//2341 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 402},	//2342 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 403},	//2343 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 404},	//2344 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 405},	//2345 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 406},	//2346 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 407},	//2347 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 408},	//2348 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 409},	//2349 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 410},	//2350 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 411},	//2351 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 412},	//2352 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 413},	//2353 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 414},	//2354 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 415},	//2355 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 416},	//2356 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 417},	//2357 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 418},	//2358 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 419},	//2359 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 420},	//2360 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 421},	//2361 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 422},	//2362 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 423},	//2363 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 424},	//2364 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 425},	//2365 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 426},	//2366 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 427},	//2367 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 428},	//2368 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 429},	//2369 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 430},	//2370 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 431},	//2371 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 432},	//2372 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 433},	//2373 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 434},	//2374 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 435},	//2375 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 436},	//2376 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 437},	//2377 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 438},	//2378 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 439},	//2379 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 440},	//2380 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 441},	//2381 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 442},	//2382 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 443},	//2383 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 444},	//2384 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 445},	//2385 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 446},	//2386 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 447},	//2387 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 448},	//2388 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 449},	//2389 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 450},	//2390 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 451},	//2391 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 452},	//2392 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 453},	//2393 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 454},	//2394 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 455},	//2395 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 456},	//2396 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 457},	//2397 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 458},	//2398 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 459},	//2399 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 460},	//2400 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 461},	//2401 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 462},	//2402 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 463},	//2403 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 464},	//2404 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 465},	//2405 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 466},	//2406 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 467},	//2407 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 468},	//2408 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 469},	//2409 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 470},	//2410 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 471},	//2411 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 472},	//2412 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 473},	//2413 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 474},	//2414 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 475},	//2415 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 476},	//2416 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 477},	//2417 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 478},	//2418 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 479},	//2419 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 480},	//2420 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 481},	//2421 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 482},	//2422 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 483},	//2423 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 484},	//2424 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 485},	//2425 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 486},	//2426 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 487},	//2427 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 488},	//2428 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 489},	//2429 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 490},	//2430 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 491},	//2431 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 492},	//2432 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 493},	//2433 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 494},	//2434 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 495},	//2435 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 496},	//2436 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 497},	//2437 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 498},	//2438 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 499},	//2439 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 500},	//2440 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 501},	//2441 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 502},	//2442 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 503},	//2443 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 504},	//2444 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 505},	//2445 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 506},	//2446 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 507},	//2447 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 508},	//2448 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 509},	//2449 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 510},	//2450 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 511},	//2451 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 512},	//2452 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 513},	//2453 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 514},	//2454 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 515},	//2455 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 516},	//2456 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 517},	//2457 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 518},	//2458 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 519},	//2459 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 520},	//2460 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 521},	//2461 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 522},	//2462 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 523},	//2463 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 524},	//2464 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 525},	//2465 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 526},	//2466 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 527},	//2467 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 528},	//2468 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 529},	//2469 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 530},	//2470 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 531},	//2471 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 532},	//2472 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 533},	//2473 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 534},	//2474 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 535},	//2475 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 536},	//2476 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 537},	//2477 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 538},	//2478 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 539},	//2479 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 540},	//2480 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 541},	//2481 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 542},	//2482 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 543},	//2483 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 544},	//2484 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 545},	//2485 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 546},	//2486 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 547},	//2487 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 548},	//2488 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 549},	//2489 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 550},	//2490 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 551},	//2491 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 552},	//2492 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 553},	//2493 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 554},	//2494 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 555},	//2495 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 556},	//2496 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 557},	//2497 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 558},	//2498 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 559},	//2499 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 560},	//2500 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 561},	//2501 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 562},	//2502 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 563},	//2503 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 564},	//2504 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 565},	//2505 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 566},	//2506 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 567},	//2507 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 568},	//2508 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 569},	//2509 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 570},	//2510 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 571},	//2511 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 572},	//2512 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 573},	//2513 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 574},	//2514 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 575},	//2515 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 576},	//2516 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 577},	//2517 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 578},	//2518 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 579},	//2519 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 580},	//2520 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 581},	//2521 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 582},	//2522 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 583},	//2523 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 584},	//2524 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 585},	//2525 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 586},	//2526 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 587},	//2527 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 588},	//2528 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 589},	//2529 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 590},	//2530 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 591},	//2531 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 592},	//2532 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 593},	//2533 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 594},	//2534 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 595},	//2535 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 596},	//2536 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 597},	//2537 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 598},	//2538 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 599},	//2539 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 600},	//2540 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 601},	//2541 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 602},	//2542 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 603},	//2543 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 604},	//2544 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 605},	//2545 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 606},	//2546 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 607},	//2547 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 608},	//2548 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 609},	//2549 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 610},	//2550 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 611},	//2551 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 612},	//2552 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 613},	//2553 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 614},	//2554 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 615},	//2555 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 616},	//2556 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 617},	//2557 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 618},	//2558 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 619},	//2559 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 620},	//2560 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 621},	//2561 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 622},	//2562 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 623},	//2563 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 624},	//2564 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 625},	//2565 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 626},	//2566 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 627},	//2567 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 628},	//2568 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 629},	//2569 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 630},	//2570 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 631},	//2571 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 632},	//2572 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 633},	//2573 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 634},	//2574 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 635},	//2575 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 636},	//2576 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 637},	//2577 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 638},	//2578 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 639},	//2579 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 640},	//2580 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 641},	//2581 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 642},	//2582 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 643},	//2583 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 644},	//2584 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 645},	//2585 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 646},	//2586 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 647},	//2587 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 648},	//2588 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 649},	//2589 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 650},	//2590 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 651},	//2591 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 652},	//2592 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 653},	//2593 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 654},	//2594 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 655},	//2595 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 656},	//2596 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 657},	//2597 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 658},	//2598 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 659},	//2599 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 660},	//2600 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 661},	//2601 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 662},	//2602 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 663},	//2603 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 664},	//2604 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 665},	//2605 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 666},	//2606 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 667},	//2607 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 668},	//2608 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 669},	//2609 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 670},	//2610 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 671},	//2611 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 672},	//2612 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 673},	//2613 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 674},	//2614 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 675},	//2615 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 676},	//2616 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 677},	//2617 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 678},	//2618 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 679},	//2619 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 680},	//2620 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 681},	//2621 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 682},	//2622 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 683},	//2623 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 684},	//2624 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 685},	//2625 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 686},	//2626 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 687},	//2627 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 688},	//2628 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 689},	//2629 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 690},	//2630 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 691},	//2631 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 692},	//2632 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 693},	//2633 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 694},	//2634 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 695},	//2635 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 696},	//2636 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 697},	//2637 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 698},	//2638 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 699},	//2639 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 700},	//2640 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 701},	//2641 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 702},	//2642 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 703},	//2643 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 704},	//2644 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 705},	//2645 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 706},	//2646 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 707},	//2647 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 708},	//2648 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 709},	//2649 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 710},	//2650 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 711},	//2651 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 712},	//2652 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 713},	//2653 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 714},	//2654 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 715},	//2655 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 716},	//2656 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 717},	//2657 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 718},	//2658 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 719},	//2659 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 720},	//2660 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 721},	//2661 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 722},	//2662 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 723},	//2663 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 724},	//2664 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 725},	//2665 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 726},	//2666 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 727},	//2667 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 728},	//2668 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 729},	//2669 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 730},	//2670 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 731},	//2671 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 732},	//2672 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 733},	//2673 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 734},	//2674 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 735},	//2675 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 736},	//2676 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 737},	//2677 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 738},	//2678 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 739},	//2679 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 740},	//2680 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 741},	//2681 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 742},	//2682 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 743},	//2683 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 744},	//2684 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 745},	//2685 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 746},	//2686 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 747},	//2687 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 748},	//2688 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 749},	//2689 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 750},	//2690 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 751},	//2691 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 752},	//2692 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 753},	//2693 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 754},	//2694 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 755},	//2695 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 756},	//2696 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 757},	//2697 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 758},	//2698 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 759},	//2699 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 760},	//2700 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 761},	//2701 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 762},	//2702 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 763},	//2703 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 764},	//2704 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 765},	//2705 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 766},	//2706 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 767},	//2707 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 768},	//2708 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 769},	//2709 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 770},	//2710 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 771},	//2711 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 772},	//2712 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 773},	//2713 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 774},	//2714 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 775},	//2715 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 776},	//2716 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 777},	//2717 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 778},	//2718 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 779},	//2719 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 780},	//2720 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 781},	//2721 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 782},	//2722 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 783},	//2723 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 784},	//2724 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 785},	//2725 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 786},	//2726 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 787},	//2727 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 788},	//2728 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 789},	//2729 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 790},	//2730 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 791},	//2731 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 792},	//2732 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 793},	//2733 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 794},	//2734 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 795},	//2735 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 796},	//2736 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 797},	//2737 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 798},	//2738 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 799},	//2739 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 800},	//2740 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 801},	//2741 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 802},	//2742 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 803},	//2743 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 804},	//2744 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 805},	//2745 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 806},	//2746 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 807},	//2747 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 808},	//2748 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 809},	//2749 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 810},	//2750 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 811},	//2751 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 812},	//2752 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 813},	//2753 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 814},	//2754 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 815},	//2755 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 816},	//2756 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 817},	//2757 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 818},	//2758 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 819},	//2759 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 820},	//2760 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 821},	//2761 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 822},	//2762 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 823},	//2763 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 824},	//2764 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 825},	//2765 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 826},	//2766 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 827},	//2767 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 828},	//2768 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 829},	//2769 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 830},	//2770 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 831},	//2771 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 832},	//2772 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 833},	//2773 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 834},	//2774 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 835},	//2775 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 836},	//2776 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 837},	//2777 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 838},	//2778 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 839},	//2779 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 840},	//2780 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 841},	//2781 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 842},	//2782 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 843},	//2783 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 844},	//2784 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 845},	//2785 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 846},	//2786 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 847},	//2787 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 848},	//2788 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 849},	//2789 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 850},	//2790 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 851},	//2791 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 852},	//2792 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 853},	//2793 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 854},	//2794 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 855},	//2795 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 856},	//2796 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 857},	//2797 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 858},	//2798 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 859},	//2799 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 860},	//2800 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 861},	//2801 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 862},	//2802 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 863},	//2803 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 864},	//2804 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 865},	//2805 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 866},	//2806 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 867},	//2807 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 868},	//2808 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 869},	//2809 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 870},	//2810 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 871},	//2811 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 872},	//2812 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 873},	//2813 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 874},	//2814 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 875},	//2815 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 876},	//2816 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 877},	//2817 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 878},	//2818 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 879},	//2819 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 880},	//2820 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 881},	//2821 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 882},	//2822 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 883},	//2823 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 884},	//2824 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 885},	//2825 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 886},	//2826 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 887},	//2827 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 888},	//2828 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 889},	//2829 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 890},	//2830 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 891},	//2831 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 892},	//2832 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 893},	//2833 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 894},	//2834 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 895},	//2835 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 896},	//2836 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 897},	//2837 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 898},	//2838 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 899},	//2839 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 900},	//2840 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 901},	//2841 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 902},	//2842 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 903},	//2843 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 904},	//2844 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 905},	//2845 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 906},	//2846 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 907},	//2847 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 908},	//2848 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 909},	//2849 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 910},	//2850 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 911},	//2851 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 912},	//2852 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 913},	//2853 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 914},	//2854 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 915},	//2855 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 916},	//2856 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 917},	//2857 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 918},	//2858 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 919},	//2859 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 920},	//2860 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 921},	//2861 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 922},	//2862 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 923},	//2863 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 924},	//2864 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 925},	//2865 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 926},	//2866 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 927},	//2867 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 928},	//2868 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 929},	//2869 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 930},	//2870 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 931},	//2871 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 932},	//2872 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 933},	//2873 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 934},	//2874 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 935},	//2875 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 936},	//2876 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 937},	//2877 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 938},	//2878 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 939},	//2879 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 940},	//2880 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 941},	//2881 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 942},	//2882 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 943},	//2883 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 944},	//2884 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 945},	//2885 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 946},	//2886 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 947},	//2887 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 948},	//2888 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 949},	//2889 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 950},	//2890 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 951},	//2891 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 952},	//2892 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 953},	//2893 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 954},	//2894 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 955},	//2895 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 956},	//2896 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 957},	//2897 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 958},	//2898 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 959},	//2899 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 960},	//2900 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 961},	//2901 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 962},	//2902 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 963},	//2903 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 964},	//2904 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 965},	//2905 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 966},	//2906 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 967},	//2907 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 968},	//2908 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 969},	//2909 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 970},	//2910 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 971},	//2911 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 972},	//2912 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 973},	//2913 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 974},	//2914 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 975},	//2915 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 976},	//2916 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 977},	//2917 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 978},	//2918 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 979},	//2919 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 980},	//2920 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 981},	//2921 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 982},	//2922 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 983},	//2923 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 984},	//2924 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 985},	//2925 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 986},	//2926 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 987},	//2927 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 988},	//2928 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 989},	//2929 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 990},	//2930 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 991},	//2931 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 992},	//2932 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 993},	//2933 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 994},	//2934 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 995},	//2935 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 996},	//2936 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 997},	//2937 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 998},	//2938 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 999},	//2939 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1000},	//2940 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1001},	//2941 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1002},	//2942 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1003},	//2943 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1004},	//2944 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1005},	//2945 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1006},	//2946 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1007},	//2947 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1008},	//2948 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1009},	//2949 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1010},	//2950 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1011},	//2951 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1012},	//2952 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1013},	//2953 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1014},	//2954 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1015},	//2955 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1016},	//2956 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1017},	//2957 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1018},	//2958 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1019},	//2959 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1020},	//2960 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1021},	//2961 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1022},	//2962 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1023},	//2963 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1024},	//2964 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1025},	//2965 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1026},	//2966 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1027},	//2967 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1028},	//2968 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1029},	//2969 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1030},	//2970 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1031},	//2971 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1032},	//2972 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1033},	//2973 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1034},	//2974 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1035},	//2975 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1036},	//2976 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1037},	//2977 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1038},	//2978 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1039},	//2979 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1040},	//2980 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1041},	//2981 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1042},	//2982 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1043},	//2983 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1044},	//2984 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1045},	//2985 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1046},	//2986 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1047},	//2987 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1048},	//2988 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1049},	//2989 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1050},	//2990 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1051},	//2991 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1052},	//2992 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1053},	//2993 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1054},	//2994 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1055},	//2995 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1056},	//2996 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1057},	//2997 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1058},	//2998 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1059},	//2999 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1060},	//3000 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1061},	//3001 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1062},	//3002 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1063},	//3003 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1064},	//3004 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1065},	//3005 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1066},	//3006 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1067},	//3007 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1068},	//3008 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1069},	//3009 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1070},	//3010 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1071},	//3011 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1072},	//3012 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1073},	//3013 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1074},	//3014 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1075},	//3015 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1076},	//3016 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1077},	//3017 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1078},	//3018 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1079},	//3019 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1080},	//3020 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1081},	//3021 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1082},	//3022 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1083},	//3023 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1084},	//3024 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1085},	//3025 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1086},	//3026 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1087},	//3027 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1088},	//3028 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1089},	//3029 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1090},	//3030 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1091},	//3031 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1092},	//3032 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1093},	//3033 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1094},	//3034 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1095},	//3035 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1096},	//3036 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1097},	//3037 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1098},	//3038 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1099},	//3039 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1100},	//3040 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1101},	//3041 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1102},	//3042 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1103},	//3043 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1104},	//3044 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1105},	//3045 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1106},	//3046 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1107},	//3047 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1108},	//3048 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1109},	//3049 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1110},	//3050 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1111},	//3051 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1112},	//3052 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1113},	//3053 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1114},	//3054 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1115},	//3055 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1116},	//3056 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1117},	//3057 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1118},	//3058 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1119},	//3059 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1120},	//3060 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1121},	//3061 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1122},	//3062 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1123},	//3063 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1124},	//3064 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1125},	//3065 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1126},	//3066 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1127},	//3067 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1128},	//3068 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1129},	//3069 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1130},	//3070 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1131},	//3071 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1132},	//3072 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1133},	//3073 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1134},	//3074 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1135},	//3075 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1136},	//3076 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1137},	//3077 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1138},	//3078 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1139},	//3079 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1140},	//3080 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1141},	//3081 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1142},	//3082 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1143},	//3083 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1144},	//3084 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1145},	//3085 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1146},	//3086 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1147},	//3087 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1148},	//3088 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1149},	//3089 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1150},	//3090 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1151},	//3091 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1152},	//3092 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1153},	//3093 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1154},	//3094 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1155},	//3095 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1156},	//3096 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1157},	//3097 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1158},	//3098 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1159},	//3099 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1160},	//3100 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1161},	//3101 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1162},	//3102 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1163},	//3103 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1164},	//3104 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1165},	//3105 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1166},	//3106 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1167},	//3107 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1168},	//3108 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1169},	//3109 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1170},	//3110 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1171},	//3111 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1172},	//3112 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1173},	//3113 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1174},	//3114 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1175},	//3115 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1176},	//3116 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1177},	//3117 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1178},	//3118 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1179},	//3119 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1180},	//3120 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1181},	//3121 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1182},	//3122 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1183},	//3123 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1184},	//3124 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1185},	//3125 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1186},	//3126 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1187},	//3127 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1188},	//3128 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1189},	//3129 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1190},	//3130 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1191},	//3131 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1192},	//3132 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1193},	//3133 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1194},	//3134 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1195},	//3135 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1196},	//3136 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1197},	//3137 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1198},	//3138 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1199},	//3139 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1200},	//3140 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1201},	//3141 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1202},	//3142 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1203},	//3143 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1204},	//3144 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1205},	//3145 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1206},	//3146 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1207},	//3147 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1208},	//3148 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1209},	//3149 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1210},	//3150 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1211},	//3151 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1212},	//3152 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1213},	//3153 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1214},	//3154 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1215},	//3155 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1216},	//3156 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1217},	//3157 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1218},	//3158 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1219},	//3159 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1220},	//3160 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1221},	//3161 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1222},	//3162 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1223},	//3163 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1224},	//3164 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1225},	//3165 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1226},	//3166 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1227},	//3167 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1228},	//3168 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1229},	//3169 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1230},	//3170 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1231},	//3171 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1232},	//3172 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1233},	//3173 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1234},	//3174 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1235},	//3175 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1236},	//3176 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1237},	//3177 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1238},	//3178 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1239},	//3179 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1240},	//3180 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1241},	//3181 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1242},	//3182 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1243},	//3183 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1244},	//3184 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1245},	//3185 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1246},	//3186 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1247},	//3187 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1248},	//3188 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1249},	//3189 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1250},	//3190 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1251},	//3191 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1252},	//3192 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1253},	//3193 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1254},	//3194 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1255},	//3195 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1256},	//3196 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1257},	//3197 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1258},	//3198 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1259},	//3199 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1260},	//3200 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1261},	//3201 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1262},	//3202 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1263},	//3203 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1264},	//3204 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1265},	//3205 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1266},	//3206 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1267},	//3207 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1268},	//3208 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1269},	//3209 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1270},	//3210 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1271},	//3211 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1272},	//3212 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1273},	//3213 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1274},	//3214 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1275},	//3215 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1276},	//3216 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1277},	//3217 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1278},	//3218 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1279},	//3219 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1280},	//3220 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1281},	//3221 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1282},	//3222 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1283},	//3223 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1284},	//3224 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1285},	//3225 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1286},	//3226 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1287},	//3227 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1288},	//3228 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1289},	//3229 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1290},	//3230 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1291},	//3231 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1292},	//3232 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1293},	//3233 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1294},	//3234 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1295},	//3235 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1296},	//3236 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1297},	//3237 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1298},	//3238 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1299},	//3239 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1300},	//3240 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1301},	//3241 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1302},	//3242 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1303},	//3243 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1304},	//3244 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1305},	//3245 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1306},	//3246 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1307},	//3247 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1308},	//3248 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1309},	//3249 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1310},	//3250 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1311},	//3251 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1312},	//3252 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1313},	//3253 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1314},	//3254 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1315},	//3255 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1316},	//3256 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1317},	//3257 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1318},	//3258 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1319},	//3259 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1320},	//3260 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1321},	//3261 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1322},	//3262 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1323},	//3263 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1324},	//3264 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1325},	//3265 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1326},	//3266 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1327},	//3267 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1328},	//3268 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1329},	//3269 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1330},	//3270 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1331},	//3271 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1332},	//3272 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1333},	//3273 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1334},	//3274 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1335},	//3275 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1336},	//3276 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1337},	//3277 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1338},	//3278 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1339},	//3279 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1340},	//3280 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1341},	//3281 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1342},	//3282 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1343},	//3283 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1344},	//3284 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1345},	//3285 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1346},	//3286 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1347},	//3287 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1348},	//3288 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1349},	//3289 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1350},	//3290 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1351},	//3291 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1352},	//3292 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1353},	//3293 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1354},	//3294 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1355},	//3295 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1356},	//3296 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1357},	//3297 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1358},	//3298 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1359},	//3299 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1360},	//3300 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1361},	//3301 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1362},	//3302 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1363},	//3303 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1364},	//3304 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1365},	//3305 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1366},	//3306 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1367},	//3307 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1368},	//3308 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1369},	//3309 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1370},	//3310 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1371},	//3311 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1372},	//3312 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1373},	//3313 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1374},	//3314 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1375},	//3315 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1376},	//3316 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1377},	//3317 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1378},	//3318 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1379},	//3319 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1380},	//3320 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1381},	//3321 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1382},	//3322 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1383},	//3323 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1384},	//3324 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1385},	//3325 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1386},	//3326 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1387},	//3327 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1388},	//3328 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1389},	//3329 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1390},	//3330 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1391},	//3331 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1392},	//3332 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1393},	//3333 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1394},	//3334 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1395},	//3335 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1396},	//3336 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1397},	//3337 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1398},	//3338 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1399},	//3339 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1400},	//3340 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1401},	//3341 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1402},	//3342 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1403},	//3343 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1404},	//3344 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1405},	//3345 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1406},	//3346 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1407},	//3347 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1408},	//3348 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1409},	//3349 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1410},	//3350 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1411},	//3351 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1412},	//3352 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1413},	//3353 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1414},	//3354 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1415},	//3355 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1416},	//3356 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1417},	//3357 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1418},	//3358 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1419},	//3359 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1420},	//3360 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1421},	//3361 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1422},	//3362 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1423},	//3363 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1424},	//3364 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1425},	//3365 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1426},	//3366 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1427},	//3367 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1428},	//3368 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1429},	//3369 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1430},	//3370 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1431},	//3371 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1432},	//3372 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1433},	//3373 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1434},	//3374 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1435},	//3375 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1436},	//3376 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1437},	//3377 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1438},	//3378 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1439},	//3379 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1440},	//3380 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1441},	//3381 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1442},	//3382 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1443},	//3383 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1444},	//3384 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1445},	//3385 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1446},	//3386 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1447},	//3387 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1448},	//3388 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1449},	//3389 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1450},	//3390 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1451},	//3391 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1452},	//3392 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1453},	//3393 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1454},	//3394 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1455},	//3395 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1456},	//3396 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1457},	//3397 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1458},	//3398 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1459},	//3399 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1460},	//3400 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1461},	//3401 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1462},	//3402 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1463},	//3403 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1464},	//3404 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1465},	//3405 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1466},	//3406 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1467},	//3407 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1468},	//3408 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1469},	//3409 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1470},	//3410 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1471},	//3411 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1472},	//3412 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1473},	//3413 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1474},	//3414 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1475},	//3415 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1476},	//3416 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1477},	//3417 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1478},	//3418 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1479},	//3419 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1480},	//3420 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1481},	//3421 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1482},	//3422 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1483},	//3423 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1484},	//3424 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1485},	//3425 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1486},	//3426 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1487},	//3427 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1488},	//3428 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1489},	//3429 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1490},	//3430 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1491},	//3431 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1492},	//3432 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1493},	//3433 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1494},	//3434 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1495},	//3435 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1496},	//3436 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1497},	//3437 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1498},	//3438 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1499},	//3439 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1500},	//3440 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1501},	//3441 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1502},	//3442 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1503},	//3443 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1504},	//3444 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1505},	//3445 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1506},	//3446 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1507},	//3447 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1508},	//3448 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1509},	//3449 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1510},	//3450 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1511},	//3451 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1512},	//3452 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1513},	//3453 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1514},	//3454 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1515},	//3455 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1516},	//3456 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1517},	//3457 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1518},	//3458 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1519},	//3459 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1520},	//3460 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1521},	//3461 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1522},	//3462 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1523},	//3463 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1524},	//3464 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1525},	//3465 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1526},	//3466 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1527},	//3467 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1528},	//3468 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1529},	//3469 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1530},	//3470 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1531},	//3471 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1532},	//3472 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1533},	//3473 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1534},	//3474 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1535},	//3475 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1536},	//3476 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1537},	//3477 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1538},	//3478 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1539},	//3479 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1540},	//3480 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1541},	//3481 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1542},	//3482 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1543},	//3483 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1544},	//3484 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1545},	//3485 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1546},	//3486 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1547},	//3487 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1548},	//3488 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1549},	//3489 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1550},	//3490 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1551},	//3491 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1552},	//3492 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1553},	//3493 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1554},	//3494 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1555},	//3495 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1556},	//3496 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1557},	//3497 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1558},	//3498 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1559},	//3499 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1560},	//3500 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1561},	//3501 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1562},	//3502 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1563},	//3503 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1564},	//3504 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1565},	//3505 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1566},	//3506 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1567},	//3507 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1568},	//3508 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1569},	//3509 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1570},	//3510 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1571},	//3511 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1572},	//3512 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1573},	//3513 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1574},	//3514 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1575},	//3515 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1576},	//3516 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1577},	//3517 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1578},	//3518 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1579},	//3519 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1580},	//3520 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1581},	//3521 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1582},	//3522 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1583},	//3523 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1584},	//3524 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1585},	//3525 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1586},	//3526 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1587},	//3527 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1588},	//3528 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1589},	//3529 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1590},	//3530 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1591},	//3531 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1592},	//3532 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1593},	//3533 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1594},	//3534 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1595},	//3535 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1596},	//3536 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1597},	//3537 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1598},	//3538 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1599},	//3539 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1600},	//3540 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1601},	//3541 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1602},	//3542 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1603},	//3543 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1604},	//3544 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1605},	//3545 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1606},	//3546 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1607},	//3547 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1608},	//3548 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1609},	//3549 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1610},	//3550 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1611},	//3551 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1612},	//3552 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1613},	//3553 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1614},	//3554 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1615},	//3555 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1616},	//3556 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1617},	//3557 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1618},	//3558 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1619},	//3559 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1620},	//3560 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1621},	//3561 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1622},	//3562 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1623},	//3563 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1624},	//3564 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1625},	//3565 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1626},	//3566 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1627},	//3567 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1628},	//3568 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1629},	//3569 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1630},	//3570 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1631},	//3571 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1632},	//3572 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1633},	//3573 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1634},	//3574 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1635},	//3575 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1636},	//3576 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1637},	//3577 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1638},	//3578 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1639},	//3579 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1640},	//3580 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1641},	//3581 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1642},	//3582 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1643},	//3583 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1644},	//3584 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1645},	//3585 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1646},	//3586 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1647},	//3587 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1648},	//3588 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1649},	//3589 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1650},	//3590 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1651},	//3591 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1652},	//3592 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1653},	//3593 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1654},	//3594 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1655},	//3595 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1656},	//3596 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1657},	//3597 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1658},	//3598 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1659},	//3599 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1660},	//3600 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1661},	//3601 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1662},	//3602 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1663},	//3603 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1664},	//3604 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1665},	//3605 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1666},	//3606 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1667},	//3607 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1668},	//3608 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1669},	//3609 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1670},	//3610 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1671},	//3611 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1672},	//3612 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1673},	//3613 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1674},	//3614 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1675},	//3615 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1676},	//3616 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1677},	//3617 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1678},	//3618 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1679},	//3619 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1680},	//3620 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1681},	//3621 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1682},	//3622 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1683},	//3623 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1684},	//3624 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1685},	//3625 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1686},	//3626 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1687},	//3627 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1688},	//3628 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1689},	//3629 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1690},	//3630 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1691},	//3631 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1692},	//3632 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1693},	//3633 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1694},	//3634 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1695},	//3635 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1696},	//3636 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1697},	//3637 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1698},	//3638 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1699},	//3639 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1700},	//3640 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1701},	//3641 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1702},	//3642 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1703},	//3643 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1704},	//3644 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1705},	//3645 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1706},	//3646 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1707},	//3647 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1708},	//3648 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1709},	//3649 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1710},	//3650 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1711},	//3651 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1712},	//3652 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1713},	//3653 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1714},	//3654 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1715},	//3655 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1716},	//3656 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1717},	//3657 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1718},	//3658 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1719},	//3659 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1720},	//3660 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1721},	//3661 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1722},	//3662 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1723},	//3663 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1724},	//3664 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1725},	//3665 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1726},	//3666 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1727},	//3667 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1728},	//3668 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1729},	//3669 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1730},	//3670 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1731},	//3671 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1732},	//3672 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1733},	//3673 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1734},	//3674 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1735},	//3675 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1736},	//3676 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1737},	//3677 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1738},	//3678 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1739},	//3679 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1740},	//3680 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1741},	//3681 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1742},	//3682 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1743},	//3683 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1744},	//3684 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1745},	//3685 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1746},	//3686 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1747},	//3687 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1748},	//3688 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1749},	//3689 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1750},	//3690 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1751},	//3691 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1752},	//3692 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1753},	//3693 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1754},	//3694 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1755},	//3695 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1756},	//3696 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1757},	//3697 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1758},	//3698 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1759},	//3699 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1760},	//3700 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1761},	//3701 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1762},	//3702 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1763},	//3703 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1764},	//3704 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1765},	//3705 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1766},	//3706 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1767},	//3707 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1768},	//3708 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1769},	//3709 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1770},	//3710 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1771},	//3711 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1772},	//3712 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1773},	//3713 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1774},	//3714 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1775},	//3715 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1776},	//3716 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1777},	//3717 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1778},	//3718 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1779},	//3719 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1780},	//3720 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1781},	//3721 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1782},	//3722 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1783},	//3723 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1784},	//3724 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1785},	//3725 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1786},	//3726 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1787},	//3727 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1788},	//3728 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1789},	//3729 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1790},	//3730 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1791},	//3731 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1792},	//3732 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1793},	//3733 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1794},	//3734 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1795},	//3735 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1796},	//3736 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1797},	//3737 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1798},	//3738 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1799},	//3739 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1800},	//3740 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1801},	//3741 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1802},	//3742 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1803},	//3743 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1804},	//3744 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1805},	//3745 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1806},	//3746 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1807},	//3747 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1808},	//3748 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1809},	//3749 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1810},	//3750 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1811},	//3751 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1812},	//3752 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1813},	//3753 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1814},	//3754 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1815},	//3755 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1816},	//3756 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1817},	//3757 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1818},	//3758 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1819},	//3759 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1820},	//3760 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1821},	//3761 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1822},	//3762 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1823},	//3763 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1824},	//3764 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1825},	//3765 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1826},	//3766 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1827},	//3767 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1828},	//3768 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1829},	//3769 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1830},	//3770 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1831},	//3771 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1832},	//3772 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1833},	//3773 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1834},	//3774 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1835},	//3775 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1836},	//3776 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1837},	//3777 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1838},	//3778 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1839},	//3779 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1840},	//3780 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1841},	//3781 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1842},	//3782 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1843},	//3783 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1844},	//3784 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1845},	//3785 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1846},	//3786 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1847},	//3787 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1848},	//3788 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1849},	//3789 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1850},	//3790 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1851},	//3791 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1852},	//3792 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1853},	//3793 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1854},	//3794 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1855},	//3795 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1856},	//3796 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1857},	//3797 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1858},	//3798 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1859},	//3799 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1860},	//3800 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1861},	//3801 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1862},	//3802 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1863},	//3803 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1864},	//3804 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1865},	//3805 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1866},	//3806 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1867},	//3807 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1868},	//3808 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1869},	//3809 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1870},	//3810 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1871},	//3811 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1872},	//3812 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1873},	//3813 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1874},	//3814 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1875},	//3815 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1876},	//3816 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1877},	//3817 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1878},	//3818 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1879},	//3819 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1880},	//3820 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1881},	//3821 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1882},	//3822 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1883},	//3823 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1884},	//3824 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1885},	//3825 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1886},	//3826 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1887},	//3827 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1888},	//3828 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1889},	//3829 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1890},	//3830 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1891},	//3831 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1892},	//3832 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1893},	//3833 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1894},	//3834 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1895},	//3835 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1896},	//3836 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1897},	//3837 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1898},	//3838 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1899},	//3839 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1900},	//3840 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1901},	//3841 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1902},	//3842 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1903},	//3843 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1904},	//3844 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1905},	//3845 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1906},	//3846 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1907},	//3847 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1908},	//3848 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1909},	//3849 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1910},	//3850 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1911},	//3851 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1912},	//3852 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1913},	//3853 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1914},	//3854 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1915},	//3855 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1916},	//3856 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1917},	//3857 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1918},	//3858 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1919},	//3859 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1920},	//3860 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1921},	//3861 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1922},	//3862 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1923},	//3863 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1924},	//3864 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1925},	//3865 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1926},	//3866 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1927},	//3867 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1928},	//3868 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1929},	//3869 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1930},	//3870 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1931},	//3871 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1932},	//3872 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1933},	//3873 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1934},	//3874 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1935},	//3875 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1936},	//3876 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1937},	//3877 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1938},	//3878 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1939},	//3879 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1940},	//3880 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1941},	//3881 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1942},	//3882 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1943},	//3883 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1944},	//3884 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1945},	//3885 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1946},	//3886 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1947},	//3887 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1948},	//3888 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1949},	//3889 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1950},	//3890 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1951},	//3891 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1952},	//3892 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1953},	//3893 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1954},	//3894 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1955},	//3895 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1956},	//3896 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1957},	//3897 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1958},	//3898 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1959},	//3899 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1960},	//3900 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1961},	//3901 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1962},	//3902 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1963},	//3903 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1964},	//3904 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1965},	//3905 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1966},	//3906 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1967},	//3907 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1968},	//3908 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1969},	//3909 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1970},	//3910 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1971},	//3911 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1972},	//3912 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1973},	//3913 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1974},	//3914 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1975},	//3915 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1976},	//3916 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1977},	//3917 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1978},	//3918 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1979},	//3919 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1980},	//3920 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1981},	//3921 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1982},	//3922 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1983},	//3923 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1984},	//3924 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1985},	//3925 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1986},	//3926 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1987},	//3927 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1988},	//3928 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1989},	//3929 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1990},	//3930 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1991},	//3931 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1992},	//3932 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1993},	//3933 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1994},	//3934 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1995},	//3935 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1996},	//3936 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1997},	//3937 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1998},	//3938 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 1999},	//3939 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2000},	//3940 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2001},	//3941 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2002},	//3942 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2003},	//3943 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2004},	//3944 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2005},	//3945 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2006},	//3946 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2007},	//3947 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2008},	//3948 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2009},	//3949 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2010},	//3950 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2011},	//3951 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2012},	//3952 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2013},	//3953 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2014},	//3954 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2015},	//3955 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2016},	//3956 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2017},	//3957 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2018},	//3958 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2019},	//3959 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2020},	//3960 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2021},	//3961 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2022},	//3962 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2023},	//3963 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2024},	//3964 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2025},	//3965 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2026},	//3966 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2027},	//3967 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2028},	//3968 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2029},	//3969 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2030},	//3970 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2031},	//3971 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2032},	//3972 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2033},	//3973 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2034},	//3974 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2035},	//3975 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2036},	//3976 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2037},	//3977 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2038},	//3978 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2039},	//3979 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2040},	//3980 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2041},	//3981 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2042},	//3982 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2043},	//3983 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2044},	//3984 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2045},	//3985 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2046},	//3986 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2047},	//3987 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2048},	//3988 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2049},	//3989 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2050},	//3990 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2051},	//3991 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2052},	//3992 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2053},	//3993 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2054},	//3994 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2055},	//3995 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2056},	//3996 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2057},	//3997 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2058},	//3998 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2059},	//3999 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2060},	//4000 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2061},	//4001 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2062},	//4002 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2063},	//4003 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2064},	//4004 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2065},	//4005 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2066},	//4006 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2067},	//4007 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2068},	//4008 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2069},	//4009 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2070},	//4010 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2071},	//4011 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2072},	//4012 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2073},	//4013 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2074},	//4014 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2075},	//4015 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2076},	//4016 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2077},	//4017 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2078},	//4018 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2079},	//4019 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2080},	//4020 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2081},	//4021 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2082},	//4022 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2083},	//4023 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2084},	//4024 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2085},	//4025 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2086},	//4026 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2087},	//4027 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2088},	//4028 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2089},	//4029 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2090},	//4030 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2091},	//4031 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2092},	//4032 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2093},	//4033 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2094},	//4034 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2095},	//4035 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2096},	//4036 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2097},	//4037 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2098},	//4038 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2099},	//4039 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2100},	//4040 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2101},	//4041 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2102},	//4042 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2103},	//4043 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2104},	//4044 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2105},	//4045 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2106},	//4046 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2107},	//4047 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2108},	//4048 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2109},	//4049 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2110},	//4050 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2111},	//4051 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2112},	//4052 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2113},	//4053 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2114},	//4054 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2115},	//4055 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2116},	//4056 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2117},	//4057 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2118},	//4058 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2119},	//4059 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2120},	//4060 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2121},	//4061 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2122},	//4062 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2123},	//4063 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2124},	//4064 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2125},	//4065 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2126},	//4066 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2127},	//4067 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2128},	//4068 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2129},	//4069 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2130},	//4070 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2131},	//4071 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2132},	//4072 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2133},	//4073 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2134},	//4074 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2135},	//4075 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2136},	//4076 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2137},	//4077 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2138},	//4078 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2139},	//4079 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2140},	//4080 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2141},	//4081 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2142},	//4082 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2143},	//4083 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2144},	//4084 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2145},	//4085 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2146},	//4086 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2147},	//4087 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2148},	//4088 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2149},	//4089 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2150},	//4090 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2151},	//4091 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2152},	//4092 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2153},	//4093 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2154},	//4094 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2155},	//4095 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2156},	//4096 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2157},	//4097 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2158},	//4098 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2159},	//4099 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2160},	//4100 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2161},	//4101 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2162},	//4102 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2163},	//4103 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2164},	//4104 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2165},	//4105 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2166},	//4106 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2167},	//4107 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2168},	//4108 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2169},	//4109 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2170},	//4110 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2171},	//4111 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2172},	//4112 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2173},	//4113 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2174},	//4114 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2175},	//4115 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2176},	//4116 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2177},	//4117 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2178},	//4118 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2179},	//4119 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2180},	//4120 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2181},	//4121 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2182},	//4122 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2183},	//4123 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2184},	//4124 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2185},	//4125 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2186},	//4126 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2187},	//4127 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2188},	//4128 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2189},	//4129 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2190},	//4130 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2191},	//4131 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2192},	//4132 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2193},	//4133 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2194},	//4134 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2195},	//4135 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2196},	//4136 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2197},	//4137 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2198},	//4138 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2199},	//4139 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2200},	//4140 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2201},	//4141 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2202},	//4142 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2203},	//4143 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2204},	//4144 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2205},	//4145 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2206},	//4146 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2207},	//4147 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2208},	//4148 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2209},	//4149 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2210},	//4150 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2211},	//4151 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2212},	//4152 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2213},	//4153 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2214},	//4154 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2215},	//4155 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2216},	//4156 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2217},	//4157 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2218},	//4158 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2219},	//4159 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2220},	//4160 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2221},	//4161 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2222},	//4162 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2223},	//4163 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2224},	//4164 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2225},	//4165 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2226},	//4166 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2227},	//4167 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2228},	//4168 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2229},	//4169 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2230},	//4170 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2231},	//4171 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2232},	//4172 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2233},	//4173 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2234},	//4174 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2235},	//4175 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2236},	//4176 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2237},	//4177 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2238},	//4178 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2239},	//4179 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2240},	//4180 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2241},	//4181 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2242},	//4182 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2243},	//4183 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2244},	//4184 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2245},	//4185 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2246},	//4186 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2247},	//4187 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2248},	//4188 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2249},	//4189 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2250},	//4190 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2251},	//4191 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2252},	//4192 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2253},	//4193 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2254},	//4194 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2255},	//4195 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2256},	//4196 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2257},	//4197 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2258},	//4198 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2259},	//4199 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2260},	//4200 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2261},	//4201 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2262},	//4202 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2263},	//4203 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2264},	//4204 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2265},	//4205 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2266},	//4206 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2267},	//4207 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2268},	//4208 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2269},	//4209 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2270},	//4210 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2271},	//4211 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2272},	//4212 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2273},	//4213 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2274},	//4214 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2275},	//4215 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2276},	//4216 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2277},	//4217 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2278},	//4218 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2279},	//4219 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2280},	//4220 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2281},	//4221 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2282},	//4222 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2283},	//4223 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2284},	//4224 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2285},	//4225 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2286},	//4226 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2287},	//4227 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2288},	//4228 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2289},	//4229 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2290},	//4230 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2291},	//4231 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2292},	//4232 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2293},	//4233 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2294},	//4234 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2295},	//4235 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2296},	//4236 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2297},	//4237 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2298},	//4238 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2299},	//4239 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2300},	//4240 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2301},	//4241 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2302},	//4242 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2303},	//4243 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2304},	//4244 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2305},	//4245 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2306},	//4246 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2307},	//4247 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2308},	//4248 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2309},	//4249 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2310},	//4250 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2311},	//4251 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2312},	//4252 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2313},	//4253 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2314},	//4254 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2315},	//4255 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2316},	//4256 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2317},	//4257 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2318},	//4258 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2319},	//4259 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2320},	//4260 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2321},	//4261 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2322},	//4262 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2323},	//4263 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2324},	//4264 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2325},	//4265 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2326},	//4266 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2327},	//4267 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2328},	//4268 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2329},	//4269 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2330},	//4270 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2331},	//4271 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2332},	//4272 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2333},	//4273 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2334},	//4274 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2335},	//4275 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2336},	//4276 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2337},	//4277 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2338},	//4278 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2339},	//4279 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2340},	//4280 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2341},	//4281 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2342},	//4282 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2343},	//4283 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2344},	//4284 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2345},	//4285 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2346},	//4286 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2347},	//4287 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2348},	//4288 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2349},	//4289 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2350},	//4290 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2351},	//4291 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2352},	//4292 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2353},	//4293 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2354},	//4294 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2355},	//4295 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2356},	//4296 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2357},	//4297 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2358},	//4298 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2359},	//4299 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2360},	//4300 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2361},	//4301 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2362},	//4302 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2363},	//4303 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2364},	//4304 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2365},	//4305 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2366},	//4306 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2367},	//4307 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2368},	//4308 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2369},	//4309 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2370},	//4310 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2371},	//4311 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2372},	//4312 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2373},	//4313 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2374},	//4314 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2375},	//4315 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2376},	//4316 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2377},	//4317 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2378},	//4318 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2379},	//4319 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2380},	//4320 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2381},	//4321 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2382},	//4322 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2383},	//4323 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2384},	//4324 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2385},	//4325 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2386},	//4326 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2387},	//4327 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2388},	//4328 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2389},	//4329 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2390},	//4330 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2391},	//4331 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2392},	//4332 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2393},	//4333 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2394},	//4334 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2395},	//4335 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2396},	//4336 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2397},	//4337 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2398},	//4338 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2399},	//4339 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2400},	//4340 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2401},	//4341 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2402},	//4342 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2403},	//4343 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2404},	//4344 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2405},	//4345 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2406},	//4346 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2407},	//4347 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2408},	//4348 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2409},	//4349 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2410},	//4350 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2411},	//4351 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2412},	//4352 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2413},	//4353 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2414},	//4354 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2415},	//4355 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2416},	//4356 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2417},	//4357 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2418},	//4358 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2419},	//4359 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2420},	//4360 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2421},	//4361 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2422},	//4362 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2423},	//4363 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2424},	//4364 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2425},	//4365 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2426},	//4366 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2427},	//4367 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2428},	//4368 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2429},	//4369 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2430},	//4370 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2431},	//4371 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2432},	//4372 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2433},	//4373 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2434},	//4374 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2435},	//4375 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2436},	//4376 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2437},	//4377 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2438},	//4378 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2439},	//4379 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2440},	//4380 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2441},	//4381 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2442},	//4382 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2443},	//4383 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2444},	//4384 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2445},	//4385 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2446},	//4386 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2447},	//4387 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2448},	//4388 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2449},	//4389 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2450},	//4390 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2451},	//4391 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2452},	//4392 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2453},	//4393 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2454},	//4394 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2455},	//4395 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2456},	//4396 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2457},	//4397 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2458},	//4398 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2459},	//4399 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2460},	//4400 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2461},	//4401 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2462},	//4402 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2463},	//4403 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2464},	//4404 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2465},	//4405 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2466},	//4406 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2467},	//4407 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2468},	//4408 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2469},	//4409 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2470},	//4410 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2471},	//4411 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2472},	//4412 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2473},	//4413 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2474},	//4414 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2475},	//4415 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2476},	//4416 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2477},	//4417 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2478},	//4418 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2479},	//4419 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2480},	//4420 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2481},	//4421 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2482},	//4422 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2483},	//4423 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2484},	//4424 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2485},	//4425 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2486},	//4426 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2487},	//4427 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2488},	//4428 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2489},	//4429 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2490},	//4430 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2491},	//4431 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2492},	//4432 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2493},	//4433 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2494},	//4434 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2495},	//4435 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2496},	//4436 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2497},	//4437 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2498},	//4438 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2499},	//4439 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2500},	//4440 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2501},	//4441 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2502},	//4442 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2503},	//4443 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2504},	//4444 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2505},	//4445 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2506},	//4446 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2507},	//4447 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2508},	//4448 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2509},	//4449 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2510},	//4450 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2511},	//4451 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2512},	//4452 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2513},	//4453 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2514},	//4454 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2515},	//4455 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2516},	//4456 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2517},	//4457 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2518},	//4458 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2519},	//4459 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2520},	//4460 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2521},	//4461 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2522},	//4462 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2523},	//4463 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2524},	//4464 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2525},	//4465 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2526},	//4466 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2527},	//4467 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2528},	//4468 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2529},	//4469 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2530},	//4470 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2531},	//4471 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2532},	//4472 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2533},	//4473 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2534},	//4474 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2535},	//4475 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2536},	//4476 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2537},	//4477 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2538},	//4478 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2539},	//4479 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2540},	//4480 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2541},	//4481 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2542},	//4482 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2543},	//4483 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2544},	//4484 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2545},	//4485 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2546},	//4486 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2547},	//4487 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2548},	//4488 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2549},	//4489 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2550},	//4490 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2551},	//4491 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2552},	//4492 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2553},	//4493 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2554},	//4494 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2555},	//4495 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2556},	//4496 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2557},	//4497 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2558},	//4498 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2559},	//4499 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2560},	//4500 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2561},	//4501 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2562},	//4502 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2563},	//4503 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2564},	//4504 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2565},	//4505 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2566},	//4506 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2567},	//4507 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2568},	//4508 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2569},	//4509 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2570},	//4510 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2571},	//4511 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2572},	//4512 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2573},	//4513 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2574},	//4514 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2575},	//4515 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2576},	//4516 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2577},	//4517 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2578},	//4518 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2579},	//4519 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2580},	//4520 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2581},	//4521 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2582},	//4522 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2583},	//4523 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2584},	//4524 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2585},	//4525 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2586},	//4526 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2587},	//4527 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2588},	//4528 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2589},	//4529 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2590},	//4530 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2591},	//4531 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2592},	//4532 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2593},	//4533 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2594},	//4534 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2595},	//4535 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2596},	//4536 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2597},	//4537 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2598},	//4538 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2599},	//4539 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2600},	//4540 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2601},	//4541 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2602},	//4542 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2603},	//4543 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2604},	//4544 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2605},	//4545 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2606},	//4546 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2607},	//4547 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2608},	//4548 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2609},	//4549 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2610},	//4550 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2611},	//4551 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2612},	//4552 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2613},	//4553 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2614},	//4554 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2615},	//4555 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2616},	//4556 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2617},	//4557 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2618},	//4558 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2619},	//4559 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2620},	//4560 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2621},	//4561 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2622},	//4562 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2623},	//4563 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2624},	//4564 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2625},	//4565 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2626},	//4566 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2627},	//4567 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2628},	//4568 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2629},	//4569 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2630},	//4570 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2631},	//4571 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2632},	//4572 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2633},	//4573 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2634},	//4574 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2635},	//4575 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2636},	//4576 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2637},	//4577 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2638},	//4578 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2639},	//4579 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2640},	//4580 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2641},	//4581 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2642},	//4582 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2643},	//4583 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2644},	//4584 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2645},	//4585 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2646},	//4586 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2647},	//4587 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2648},	//4588 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2649},	//4589 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2650},	//4590 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2651},	//4591 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2652},	//4592 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2653},	//4593 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2654},	//4594 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2655},	//4595 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2656},	//4596 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2657},	//4597 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2658},	//4598 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2659},	//4599 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2660},	//4600 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2661},	//4601 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2662},	//4602 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2663},	//4603 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2664},	//4604 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2665},	//4605 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2666},	//4606 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2667},	//4607 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2668},	//4608 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2669},	//4609 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2670},	//4610 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2671},	//4611 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2672},	//4612 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2673},	//4613 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2674},	//4614 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2675},	//4615 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2676},	//4616 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2677},	//4617 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2678},	//4618 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2679},	//4619 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2680},	//4620 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2681},	//4621 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2682},	//4622 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2683},	//4623 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2684},	//4624 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2685},	//4625 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2686},	//4626 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2687},	//4627 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2688},	//4628 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2689},	//4629 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2690},	//4630 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2691},	//4631 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2692},	//4632 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2693},	//4633 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2694},	//4634 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2695},	//4635 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2696},	//4636 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2697},	//4637 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2698},	//4638 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2699},	//4639 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2700},	//4640 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2701},	//4641 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2702},	//4642 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2703},	//4643 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2704},	//4644 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2705},	//4645 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2706},	//4646 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2707},	//4647 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2708},	//4648 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2709},	//4649 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2710},	//4650 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2711},	//4651 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2712},	//4652 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2713},	//4653 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2714},	//4654 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2715},	//4655 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2716},	//4656 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2717},	//4657 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2718},	//4658 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2719},	//4659 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2720},	//4660 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2721},	//4661 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2722},	//4662 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2723},	//4663 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2724},	//4664 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2725},	//4665 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2726},	//4666 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2727},	//4667 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2728},	//4668 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2729},	//4669 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2730},	//4670 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2731},	//4671 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2732},	//4672 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2733},	//4673 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2734},	//4674 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2735},	//4675 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2736},	//4676 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2737},	//4677 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2738},	//4678 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2739},	//4679 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2740},	//4680 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2741},	//4681 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2742},	//4682 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2743},	//4683 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2744},	//4684 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2745},	//4685 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2746},	//4686 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2747},	//4687 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2748},	//4688 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2749},	//4689 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2750},	//4690 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2751},	//4691 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2752},	//4692 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2753},	//4693 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2754},	//4694 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2755},	//4695 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2756},	//4696 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2757},	//4697 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2758},	//4698 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2759},	//4699 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2760},	//4700 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2761},	//4701 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2762},	//4702 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2763},	//4703 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2764},	//4704 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2765},	//4705 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2766},	//4706 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2767},	//4707 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2768},	//4708 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2769},	//4709 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2770},	//4710 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2771},	//4711 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2772},	//4712 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2773},	//4713 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2774},	//4714 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2775},	//4715 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2776},	//4716 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2777},	//4717 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2778},	//4718 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2779},	//4719 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2780},	//4720 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2781},	//4721 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2782},	//4722 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2783},	//4723 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2784},	//4724 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2785},	//4725 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2786},	//4726 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2787},	//4727 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2788},	//4728 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2789},	//4729 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2790},	//4730 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2791},	//4731 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2792},	//4732 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2793},	//4733 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2794},	//4734 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2795},	//4735 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2796},	//4736 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2797},	//4737 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2798},	//4738 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2799},	//4739 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2800},	//4740 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2801},	//4741 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2802},	//4742 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2803},	//4743 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2804},	//4744 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2805},	//4745 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2806},	//4746 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2807},	//4747 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2808},	//4748 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2809},	//4749 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2810},	//4750 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2811},	//4751 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2812},	//4752 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2813},	//4753 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2814},	//4754 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2815},	//4755 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2816},	//4756 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2817},	//4757 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2818},	//4758 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2819},	//4759 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2820},	//4760 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2821},	//4761 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2822},	//4762 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2823},	//4763 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2824},	//4764 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2825},	//4765 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2826},	//4766 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2827},	//4767 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2828},	//4768 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2829},	//4769 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2830},	//4770 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2831},	//4771 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2832},	//4772 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2833},	//4773 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2834},	//4774 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2835},	//4775 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2836},	//4776 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2837},	//4777 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2838},	//4778 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2839},	//4779 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2840},	//4780 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2841},	//4781 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2842},	//4782 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2843},	//4783 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2844},	//4784 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2845},	//4785 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2846},	//4786 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2847},	//4787 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2848},	//4788 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2849},	//4789 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2850},	//4790 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2851},	//4791 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2852},	//4792 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2853},	//4793 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2854},	//4794 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2855},	//4795 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2856},	//4796 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2857},	//4797 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2858},	//4798 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2859},	//4799 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2860},	//4800 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2861},	//4801 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2862},	//4802 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2863},	//4803 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2864},	//4804 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2865},	//4805 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2866},	//4806 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2867},	//4807 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2868},	//4808 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2869},	//4809 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2870},	//4810 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2871},	//4811 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2872},	//4812 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2873},	//4813 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2874},	//4814 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2875},	//4815 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2876},	//4816 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2877},	//4817 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2878},	//4818 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2879},	//4819 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2880},	//4820 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2881},	//4821 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2882},	//4822 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2883},	//4823 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2884},	//4824 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2885},	//4825 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2886},	//4826 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2887},	//4827 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2888},	//4828 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2889},	//4829 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2890},	//4830 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2891},	//4831 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2892},	//4832 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2893},	//4833 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2894},	//4834 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2895},	//4835 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2896},	//4836 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2897},	//4837 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2898},	//4838 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2899},	//4839 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2900},	//4840 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2901},	//4841 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2902},	//4842 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2903},	//4843 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2904},	//4844 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2905},	//4845 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2906},	//4846 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2907},	//4847 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2908},	//4848 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2909},	//4849 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2910},	//4850 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2911},	//4851 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2912},	//4852 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2913},	//4853 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2914},	//4854 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2915},	//4855 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2916},	//4856 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2917},	//4857 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2918},	//4858 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2919},	//4859 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2920},	//4860 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2921},	//4861 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2922},	//4862 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2923},	//4863 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2924},	//4864 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2925},	//4865 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2926},	//4866 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2927},	//4867 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2928},	//4868 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2929},	//4869 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2930},	//4870 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2931},	//4871 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2932},	//4872 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2933},	//4873 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2934},	//4874 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2935},	//4875 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2936},	//4876 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2937},	//4877 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2938},	//4878 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2939},	//4879 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2940},	//4880 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2941},	//4881 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2942},	//4882 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2943},	//4883 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2944},	//4884 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2945},	//4885 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2946},	//4886 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2947},	//4887 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2948},	//4888 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2949},	//4889 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2950},	//4890 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2951},	//4891 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2952},	//4892 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2953},	//4893 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2954},	//4894 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2955},	//4895 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2956},	//4896 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2957},	//4897 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2958},	//4898 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2959},	//4899 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2960},	//4900 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2961},	//4901 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2962},	//4902 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2963},	//4903 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2964},	//4904 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2965},	//4905 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2966},	//4906 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2967},	//4907 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2968},	//4908 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2969},	//4909 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2970},	//4910 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2971},	//4911 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2972},	//4912 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2973},	//4913 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2974},	//4914 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2975},	//4915 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2976},	//4916 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2977},	//4917 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2978},	//4918 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2979},	//4919 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2980},	//4920 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2981},	//4921 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2982},	//4922 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2983},	//4923 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2984},	//4924 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2985},	//4925 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2986},	//4926 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2987},	//4927 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2988},	//4928 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2989},	//4929 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2990},	//4930 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2991},	//4931 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2992},	//4932 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2993},	//4933 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2994},	//4934 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2995},	//4935 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2996},	//4936 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2997},	//4937 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2998},	//4938 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 2999},	//4939 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3000},	//4940 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3001},	//4941 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3002},	//4942 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3003},	//4943 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3004},	//4944 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3005},	//4945 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3006},	//4946 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3007},	//4947 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3008},	//4948 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3009},	//4949 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3010},	//4950 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3011},	//4951 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3012},	//4952 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3013},	//4953 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3014},	//4954 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3015},	//4955 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3016},	//4956 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3017},	//4957 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3018},	//4958 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3019},	//4959 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3020},	//4960 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3021},	//4961 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3022},	//4962 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3023},	//4963 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3024},	//4964 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3025},	//4965 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3026},	//4966 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3027},	//4967 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3028},	//4968 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3029},	//4969 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3030},	//4970 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3031},	//4971 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3032},	//4972 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3033},	//4973 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3034},	//4974 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3035},	//4975 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3036},	//4976 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3037},	//4977 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3038},	//4978 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3039},	//4979 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3040},	//4980 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3041},	//4981 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3042},	//4982 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3043},	//4983 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3044},	//4984 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3045},	//4985 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3046},	//4986 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3047},	//4987 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3048},	//4988 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3049},	//4989 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3050},	//4990 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3051},	//4991 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3052},	//4992 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3053},	//4993 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3054},	//4994 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3055},	//4995 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3056},	//4996 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3057},	//4997 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3058},	//4998 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3059},	//4999 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3060},	//5000 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3061},	//5001 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3062},	//5002 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3063},	//5003 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3064},	//5004 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3065},	//5005 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3066},	//5006 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3067},	//5007 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3068},	//5008 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3069},	//5009 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3070},	//5010 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3071},	//5011 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3072},	//5012 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3073},	//5013 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3074},	//5014 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3075},	//5015 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3076},	//5016 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3077},	//5017 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3078},	//5018 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3079},	//5019 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3080},	//5020 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3081},	//5021 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3082},	//5022 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3083},	//5023 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3084},	//5024 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3085},	//5025 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3086},	//5026 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3087},	//5027 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3088},	//5028 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3089},	//5029 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3090},	//5030 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3091},	//5031 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3092},	//5032 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3093},	//5033 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3094},	//5034 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3095},	//5035 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3096},	//5036 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3097},	//5037 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3098},	//5038 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3099},	//5039 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3100},	//5040 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3101},	//5041 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3102},	//5042 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3103},	//5043 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3104},	//5044 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3105},	//5045 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3106},	//5046 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3107},	//5047 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3108},	//5048 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3109},	//5049 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3110},	//5050 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3111},	//5051 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3112},	//5052 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3113},	//5053 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3114},	//5054 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3115},	//5055 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3116},	//5056 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3117},	//5057 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3118},	//5058 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3119},	//5059 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3120},	//5060 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3121},	//5061 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3122},	//5062 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3123},	//5063 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3124},	//5064 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3125},	//5065 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3126},	//5066 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3127},	//5067 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3128},	//5068 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3129},	//5069 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3130},	//5070 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3131},	//5071 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3132},	//5072 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3133},	//5073 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3134},	//5074 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3135},	//5075 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3136},	//5076 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3137},	//5077 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3138},	//5078 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3139},	//5079 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3140},	//5080 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3141},	//5081 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3142},	//5082 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3143},	//5083 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3144},	//5084 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3145},	//5085 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3146},	//5086 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3147},	//5087 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3148},	//5088 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3149},	//5089 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3150},	//5090 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3151},	//5091 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3152},	//5092 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3153},	//5093 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3154},	//5094 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3155},	//5095 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3156},	//5096 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3157},	//5097 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3158},	//5098 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3159},	//5099 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3160},	//5100 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3161},	//5101 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3162},	//5102 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3163},	//5103 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3164},	//5104 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3165},	//5105 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3166},	//5106 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3167},	//5107 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3168},	//5108 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3169},	//5109 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3170},	//5110 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3171},	//5111 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3172},	//5112 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3173},	//5113 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3174},	//5114 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3175},	//5115 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3176},	//5116 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3177},	//5117 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3178},	//5118 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3179},	//5119 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3180},	//5120 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3181},	//5121 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3182},	//5122 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3183},	//5123 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3184},	//5124 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3185},	//5125 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3186},	//5126 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3187},	//5127 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3188},	//5128 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3189},	//5129 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3190},	//5130 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3191},	//5131 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3192},	//5132 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3193},	//5133 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3194},	//5134 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3195},	//5135 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3196},	//5136 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3197},	//5137 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3198},	//5138 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3199},	//5139 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3200},	//5140 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3201},	//5141 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3202},	//5142 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3203},	//5143 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3204},	//5144 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3205},	//5145 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3206},	//5146 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3207},	//5147 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3208},	//5148 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3209},	//5149 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3210},	//5150 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3211},	//5151 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3212},	//5152 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3213},	//5153 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3214},	//5154 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3215},	//5155 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3216},	//5156 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3217},	//5157 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3218},	//5158 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3219},	//5159 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3220},	//5160 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3221},	//5161 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3222},	//5162 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3223},	//5163 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3224},	//5164 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3225},	//5165 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3226},	//5166 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3227},	//5167 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3228},	//5168 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3229},	//5169 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3230},	//5170 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3231},	//5171 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3232},	//5172 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3233},	//5173 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3234},	//5174 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3235},	//5175 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3236},	//5176 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3237},	//5177 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3238},	//5178 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3239},	//5179 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3240},	//5180 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3241},	//5181 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3242},	//5182 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3243},	//5183 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3244},	//5184 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3245},	//5185 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3246},	//5186 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3247},	//5187 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3248},	//5188 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3249},	//5189 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3250},	//5190 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3251},	//5191 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3252},	//5192 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3253},	//5193 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3254},	//5194 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3255},	//5195 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3256},	//5196 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3257},	//5197 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3258},	//5198 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3259},	//5199 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3260},	//5200 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3261},	//5201 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3262},	//5202 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3263},	//5203 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3264},	//5204 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3265},	//5205 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3266},	//5206 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3267},	//5207 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3268},	//5208 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3269},	//5209 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3270},	//5210 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3271},	//5211 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3272},	//5212 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3273},	//5213 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3274},	//5214 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3275},	//5215 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3276},	//5216 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3277},	//5217 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3278},	//5218 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3279},	//5219 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3280},	//5220 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3281},	//5221 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3282},	//5222 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3283},	//5223 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3284},	//5224 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3285},	//5225 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3286},	//5226 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3287},	//5227 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3288},	//5228 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3289},	//5229 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3290},	//5230 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3291},	//5231 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3292},	//5232 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3293},	//5233 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3294},	//5234 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3295},	//5235 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3296},	//5236 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3297},	//5237 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3298},	//5238 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3299},	//5239 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3300},	//5240 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3301},	//5241 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3302},	//5242 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3303},	//5243 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3304},	//5244 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3305},	//5245 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3306},	//5246 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3307},	//5247 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3308},	//5248 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3309},	//5249 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3310},	//5250 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3311},	//5251 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3312},	//5252 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3313},	//5253 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3314},	//5254 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3315},	//5255 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3316},	//5256 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3317},	//5257 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3318},	//5258 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3319},	//5259 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3320},	//5260 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3321},	//5261 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3322},	//5262 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3323},	//5263 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3324},	//5264 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3325},	//5265 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3326},	//5266 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3327},	//5267 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3328},	//5268 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3329},	//5269 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3330},	//5270 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3331},	//5271 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3332},	//5272 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3333},	//5273 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3334},	//5274 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3335},	//5275 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3336},	//5276 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3337},	//5277 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3338},	//5278 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3339},	//5279 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3340},	//5280 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3341},	//5281 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3342},	//5282 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3343},	//5283 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3344},	//5284 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3345},	//5285 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3346},	//5286 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3347},	//5287 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3348},	//5288 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3349},	//5289 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3350},	//5290 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3351},	//5291 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3352},	//5292 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3353},	//5293 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3354},	//5294 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3355},	//5295 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3356},	//5296 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3357},	//5297 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3358},	//5298 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3359},	//5299 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3360},	//5300 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3361},	//5301 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3362},	//5302 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3363},	//5303 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3364},	//5304 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3365},	//5305 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3366},	//5306 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3367},	//5307 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3368},	//5308 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3369},	//5309 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3370},	//5310 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3371},	//5311 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3372},	//5312 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3373},	//5313 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3374},	//5314 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3375},	//5315 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3376},	//5316 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3377},	//5317 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3378},	//5318 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3379},	//5319 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3380},	//5320 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3381},	//5321 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3382},	//5322 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3383},	//5323 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3384},	//5324 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3385},	//5325 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3386},	//5326 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3387},	//5327 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3388},	//5328 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3389},	//5329 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3390},	//5330 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3391},	//5331 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3392},	//5332 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3393},	//5333 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3394},	//5334 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3395},	//5335 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3396},	//5336 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3397},	//5337 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3398},	//5338 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3399},	//5339 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3400},	//5340 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3401},	//5341 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3402},	//5342 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3403},	//5343 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3404},	//5344 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3405},	//5345 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3406},	//5346 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3407},	//5347 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3408},	//5348 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3409},	//5349 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3410},	//5350 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3411},	//5351 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3412},	//5352 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3413},	//5353 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3414},	//5354 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3415},	//5355 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3416},	//5356 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3417},	//5357 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3418},	//5358 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3419},	//5359 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3420},	//5360 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3421},	//5361 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3422},	//5362 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3423},	//5363 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3424},	//5364 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3425},	//5365 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3426},	//5366 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3427},	//5367 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3428},	//5368 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3429},	//5369 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3430},	//5370 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3431},	//5371 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3432},	//5372 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3433},	//5373 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3434},	//5374 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3435},	//5375 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3436},	//5376 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3437},	//5377 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3438},	//5378 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3439},	//5379 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3440},	//5380 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3441},	//5381 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3442},	//5382 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3443},	//5383 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3444},	//5384 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3445},	//5385 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3446},	//5386 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3447},	//5387 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3448},	//5388 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3449},	//5389 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3450},	//5390 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3451},	//5391 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3452},	//5392 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3453},	//5393 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3454},	//5394 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3455},	//5395 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3456},	//5396 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3457},	//5397 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3458},	//5398 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3459},	//5399 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3460},	//5400 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3461},	//5401 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3462},	//5402 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3463},	//5403 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3464},	//5404 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3465},	//5405 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3466},	//5406 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3467},	//5407 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3468},	//5408 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3469},	//5409 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3470},	//5410 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3471},	//5411 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3472},	//5412 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3473},	//5413 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3474},	//5414 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3475},	//5415 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3476},	//5416 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3477},	//5417 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3478},	//5418 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3479},	//5419 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3480},	//5420 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3481},	//5421 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3482},	//5422 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3483},	//5423 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3484},	//5424 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3485},	//5425 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3486},	//5426 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3487},	//5427 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3488},	//5428 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3489},	//5429 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3490},	//5430 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3491},	//5431 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3492},	//5432 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3493},	//5433 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3494},	//5434 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3495},	//5435 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3496},	//5436 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3497},	//5437 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3498},	//5438 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3499},	//5439 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3500},	//5440 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3501},	//5441 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3502},	//5442 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3503},	//5443 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3504},	//5444 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3505},	//5445 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3506},	//5446 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3507},	//5447 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3508},	//5448 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3509},	//5449 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3510},	//5450 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3511},	//5451 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3512},	//5452 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3513},	//5453 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3514},	//5454 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3515},	//5455 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3516},	//5456 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3517},	//5457 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3518},	//5458 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3519},	//5459 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3520},	//5460 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3521},	//5461 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3522},	//5462 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3523},	//5463 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3524},	//5464 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3525},	//5465 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3526},	//5466 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3527},	//5467 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3528},	//5468 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3529},	//5469 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3530},	//5470 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3531},	//5471 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3532},	//5472 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3533},	//5473 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3534},	//5474 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3535},	//5475 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3536},	//5476 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3537},	//5477 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3538},	//5478 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3539},	//5479 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3540},	//5480 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3541},	//5481 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3542},	//5482 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3543},	//5483 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3544},	//5484 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3545},	//5485 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3546},	//5486 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3547},	//5487 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3548},	//5488 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3549},	//5489 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3550},	//5490 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3551},	//5491 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3552},	//5492 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3553},	//5493 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3554},	//5494 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3555},	//5495 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3556},	//5496 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3557},	//5497 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3558},	//5498 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3559},	//5499 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3560},	//5500 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3561},	//5501 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3562},	//5502 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3563},	//5503 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3564},	//5504 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3565},	//5505 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3566},	//5506 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3567},	//5507 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3568},	//5508 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3569},	//5509 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3570},	//5510 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3571},	//5511 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3572},	//5512 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3573},	//5513 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3574},	//5514 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3575},	//5515 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3576},	//5516 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3577},	//5517 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3578},	//5518 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3579},	//5519 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3580},	//5520 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3581},	//5521 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3582},	//5522 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3583},	//5523 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3584},	//5524 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3585},	//5525 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3586},	//5526 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3587},	//5527 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3588},	//5528 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3589},	//5529 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3590},	//5530 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3591},	//5531 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3592},	//5532 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3593},	//5533 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3594},	//5534 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3595},	//5535 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3596},	//5536 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3597},	//5537 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3598},	//5538 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3599},	//5539 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3600},	//5540 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3601},	//5541 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3602},	//5542 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3603},	//5543 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3604},	//5544 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3605},	//5545 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3606},	//5546 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3607},	//5547 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3608},	//5548 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3609},	//5549 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3610},	//5550 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3611},	//5551 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3612},	//5552 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3613},	//5553 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3614},	//5554 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3615},	//5555 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3616},	//5556 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3617},	//5557 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3618},	//5558 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3619},	//5559 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3620},	//5560 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3621},	//5561 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3622},	//5562 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3623},	//5563 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3624},	//5564 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3625},	//5565 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3626},	//5566 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3627},	//5567 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3628},	//5568 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3629},	//5569 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3630},	//5570 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3631},	//5571 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3632},	//5572 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3633},	//5573 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3634},	//5574 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3635},	//5575 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3636},	//5576 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3637},	//5577 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3638},	//5578 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3639},	//5579 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3640},	//5580 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3641},	//5581 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3642},	//5582 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3643},	//5583 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3644},	//5584 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3645},	//5585 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3646},	//5586 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3647},	//5587 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3648},	//5588 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3649},	//5589 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3650},	//5590 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3651},	//5591 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3652},	//5592 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3653},	//5593 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3654},	//5594 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3655},	//5595 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3656},	//5596 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3657},	//5597 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3658},	//5598 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3659},	//5599 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3660},	//5600 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3661},	//5601 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3662},	//5602 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3663},	//5603 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3664},	//5604 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3665},	//5605 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3666},	//5606 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3667},	//5607 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3668},	//5608 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3669},	//5609 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3670},	//5610 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3671},	//5611 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3672},	//5612 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3673},	//5613 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3674},	//5614 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3675},	//5615 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3676},	//5616 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3677},	//5617 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3678},	//5618 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3679},	//5619 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3680},	//5620 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3681},	//5621 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3682},	//5622 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3683},	//5623 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3684},	//5624 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3685},	//5625 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3686},	//5626 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3687},	//5627 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3688},	//5628 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3689},	//5629 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3690},	//5630 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3691},	//5631 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3692},	//5632 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3693},	//5633 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3694},	//5634 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3695},	//5635 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3696},	//5636 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3697},	//5637 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3698},	//5638 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3699},	//5639 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3700},	//5640 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3701},	//5641 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3702},	//5642 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3703},	//5643 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3704},	//5644 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3705},	//5645 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3706},	//5646 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3707},	//5647 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3708},	//5648 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3709},	//5649 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3710},	//5650 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3711},	//5651 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3712},	//5652 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3713},	//5653 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3714},	//5654 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3715},	//5655 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3716},	//5656 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3717},	//5657 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3718},	//5658 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3719},	//5659 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3720},	//5660 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3721},	//5661 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3722},	//5662 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3723},	//5663 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3724},	//5664 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3725},	//5665 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3726},	//5666 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3727},	//5667 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3728},	//5668 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3729},	//5669 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3730},	//5670 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3731},	//5671 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3732},	//5672 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3733},	//5673 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3734},	//5674 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3735},	//5675 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3736},	//5676 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3737},	//5677 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3738},	//5678 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3739},	//5679 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3740},	//5680 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3741},	//5681 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3742},	//5682 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3743},	//5683 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3744},	//5684 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3745},	//5685 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3746},	//5686 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3747},	//5687 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3748},	//5688 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3749},	//5689 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3750},	//5690 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3751},	//5691 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3752},	//5692 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3753},	//5693 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3754},	//5694 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3755},	//5695 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3756},	//5696 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3757},	//5697 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3758},	//5698 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3759},	//5699 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3760},	//5700 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3761},	//5701 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3762},	//5702 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3763},	//5703 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3764},	//5704 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3765},	//5705 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3766},	//5706 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3767},	//5707 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3768},	//5708 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3769},	//5709 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3770},	//5710 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3771},	//5711 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3772},	//5712 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3773},	//5713 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3774},	//5714 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3775},	//5715 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3776},	//5716 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3777},	//5717 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3778},	//5718 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3779},	//5719 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3780},	//5720 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3781},	//5721 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3782},	//5722 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3783},	//5723 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3784},	//5724 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3785},	//5725 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3786},	//5726 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3787},	//5727 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3788},	//5728 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3789},	//5729 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3790},	//5730 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3791},	//5731 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3792},	//5732 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3793},	//5733 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3794},	//5734 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3795},	//5735 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3796},	//5736 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3797},	//5737 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3798},	//5738 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3799},	//5739 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3800},	//5740 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3801},	//5741 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3802},	//5742 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3803},	//5743 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3804},	//5744 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3805},	//5745 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3806},	//5746 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3807},	//5747 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3808},	//5748 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3809},	//5749 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3810},	//5750 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3811},	//5751 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3812},	//5752 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3813},	//5753 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3814},	//5754 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3815},	//5755 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3816},	//5756 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3817},	//5757 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3818},	//5758 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3819},	//5759 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3820},	//5760 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3821},	//5761 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3822},	//5762 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3823},	//5763 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3824},	//5764 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3825},	//5765 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3826},	//5766 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3827},	//5767 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3828},	//5768 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3829},	//5769 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3830},	//5770 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3831},	//5771 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3832},	//5772 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3833},	//5773 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3834},	//5774 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3835},	//5775 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3836},	//5776 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3837},	//5777 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3838},	//5778 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3839},	//5779 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3840},	//5780 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3841},	//5781 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3842},	//5782 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3843},	//5783 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3844},	//5784 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3845},	//5785 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3846},	//5786 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3847},	//5787 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3848},	//5788 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3849},	//5789 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3850},	//5790 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3851},	//5791 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3852},	//5792 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3853},	//5793 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3854},	//5794 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3855},	//5795 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3856},	//5796 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3857},	//5797 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3858},	//5798 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3859},	//5799 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3860},	//5800 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3861},	//5801 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3862},	//5802 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3863},	//5803 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3864},	//5804 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3865},	//5805 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3866},	//5806 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3867},	//5807 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3868},	//5808 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3869},	//5809 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3870},	//5810 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3871},	//5811 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3872},	//5812 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3873},	//5813 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3874},	//5814 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3875},	//5815 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3876},	//5816 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3877},	//5817 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3878},	//5818 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3879},	//5819 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3880},	//5820 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3881},	//5821 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3882},	//5822 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3883},	//5823 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3884},	//5824 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3885},	//5825 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3886},	//5826 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3887},	//5827 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3888},	//5828 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3889},	//5829 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3890},	//5830 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3891},	//5831 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3892},	//5832 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3893},	//5833 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3894},	//5834 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3895},	//5835 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3896},	//5836 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3897},	//5837 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3898},	//5838 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3899},	//5839 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3900},	//5840 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3901},	//5841 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3902},	//5842 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3903},	//5843 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3904},	//5844 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3905},	//5845 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3906},	//5846 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3907},	//5847 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3908},	//5848 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3909},	//5849 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3910},	//5850 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3911},	//5851 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3912},	//5852 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3913},	//5853 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3914},	//5854 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3915},	//5855 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3916},	//5856 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3917},	//5857 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3918},	//5858 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3919},	//5859 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3920},	//5860 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3921},	//5861 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3922},	//5862 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3923},	//5863 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3924},	//5864 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3925},	//5865 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3926},	//5866 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3927},	//5867 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3928},	//5868 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3929},	//5869 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3930},	//5870 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3931},	//5871 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3932},	//5872 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3933},	//5873 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3934},	//5874 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3935},	//5875 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3936},	//5876 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3937},	//5877 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3938},	//5878 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3939},	//5879 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3940},	//5880 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3941},	//5881 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3942},	//5882 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3943},	//5883 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3944},	//5884 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3945},	//5885 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3946},	//5886 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3947},	//5887 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3948},	//5888 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3949},	//5889 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3950},	//5890 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3951},	//5891 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3952},	//5892 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3953},	//5893 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3954},	//5894 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3955},	//5895 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3956},	//5896 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3957},	//5897 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3958},	//5898 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3959},	//5899 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3960},	//5900 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3961},	//5901 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3962},	//5902 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3963},	//5903 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3964},	//5904 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3965},	//5905 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3966},	//5906 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3967},	//5907 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3968},	//5908 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3969},	//5909 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3970},	//5910 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3971},	//5911 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3972},	//5912 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3973},	//5913 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3974},	//5914 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3975},	//5915 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3976},	//5916 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3977},	//5917 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3978},	//5918 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3979},	//5919 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3980},	//5920 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3981},	//5921 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3982},	//5922 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3983},	//5923 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3984},	//5924 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3985},	//5925 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3986},	//5926 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3987},	//5927 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3988},	//5928 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3989},	//5929 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3990},	//5930 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3991},	//5931 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3992},	//5932 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3993},	//5933 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3994},	//5934 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3995},	//5935 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3996},	//5936 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3997},	//5937 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3998},	//5938 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 3999},	//5939 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4000},	//5940 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4001},	//5941 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4002},	//5942 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4003},	//5943 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4004},	//5944 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4005},	//5945 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4006},	//5946 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4007},	//5947 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4008},	//5948 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4009},	//5949 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4010},	//5950 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4011},	//5951 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4012},	//5952 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4013},	//5953 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4014},	//5954 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4015},	//5955 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4016},	//5956 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4017},	//5957 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4018},	//5958 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4019},	//5959 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4020},	//5960 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4021},	//5961 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4022},	//5962 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4023},	//5963 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4024},	//5964 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4025},	//5965 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4026},	//5966 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4027},	//5967 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4028},	//5968 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4029},	//5969 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4030},	//5970 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4031},	//5971 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4032},	//5972 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4033},	//5973 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4034},	//5974 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4035},	//5975 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4036},	//5976 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4037},	//5977 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4038},	//5978 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4039},	//5979 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4040},	//5980 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4041},	//5981 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4042},	//5982 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4043},	//5983 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4044},	//5984 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4045},	//5985 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4046},	//5986 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4047},	//5987 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4048},	//5988 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4049},	//5989 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4050},	//5990 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4051},	//5991 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4052},	//5992 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4053},	//5993 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4054},	//5994 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4055},	//5995 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4056},	//5996 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4057},	//5997 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4058},	//5998 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4059},	//5999 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4060},	//6000 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4061},	//6001 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4062},	//6002 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4063},	//6003 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4064},	//6004 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4065},	//6005 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4066},	//6006 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4067},	//6007 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4068},	//6008 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4069},	//6009 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4070},	//6010 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4071},	//6011 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4072},	//6012 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4073},	//6013 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4074},	//6014 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4075},	//6015 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4076},	//6016 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4077},	//6017 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4078},	//6018 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4079},	//6019 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4080},	//6020 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4081},	//6021 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4082},	//6022 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4083},	//6023 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4084},	//6024 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4085},	//6025 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4086},	//6026 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4087},	//6027 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4088},	//6028 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4089},	//6029 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4090},	//6030 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4091},	//6031 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4092},	//6032 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4093},	//6033 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4094},	//6034 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4095},	//6035 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4096},	//6036 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4097},	//6037 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4098},	//6038 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4099},	//6039 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4100},	//6040 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4101},	//6041 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4102},	//6042 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4103},	//6043 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4104},	//6044 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4105},	//6045 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4106},	//6046 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4107},	//6047 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4108},	//6048 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4109},	//6049 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4110},	//6050 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4111},	//6051 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4112},	//6052 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4113},	//6053 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4114},	//6054 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4115},	//6055 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4116},	//6056 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {85, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4117},	//6057 QsciScintillaBase::SCLEX_NULL (enum)
    {85, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4118},	//6058 QsciScintillaBase::SCLEX_PYTHON (enum)
    {85, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4119},	//6059 QsciScintillaBase::SCLEX_CPP (enum)
    {85, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4120},	//6060 QsciScintillaBase::SCLEX_HTML (enum)
    {85, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4121},	//6061 QsciScintillaBase::SCLEX_XML (enum)
    {85, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4122},	//6062 QsciScintillaBase::SCLEX_PERL (enum)
    {85, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4123},	//6063 QsciScintillaBase::SCLEX_SQL (enum)
    {85, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4124},	//6064 QsciScintillaBase::SCLEX_VB (enum)
    {85, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4125},	//6065 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {85, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4126},	//6066 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {85, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4127},	//6067 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {85, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4128},	//6068 QsciScintillaBase::SCLEX_BATCH (enum)
    {85, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4129},	//6069 QsciScintillaBase::SCLEX_LATEX (enum)
    {85, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4130},	//6070 QsciScintillaBase::SCLEX_LUA (enum)
    {85, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4131},	//6071 QsciScintillaBase::SCLEX_DIFF (enum)
    {85, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4132},	//6072 QsciScintillaBase::SCLEX_CONF (enum)
    {85, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4133},	//6073 QsciScintillaBase::SCLEX_PASCAL (enum)
    {85, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4134},	//6074 QsciScintillaBase::SCLEX_AVE (enum)
    {85, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4135},	//6075 QsciScintillaBase::SCLEX_ADA (enum)
    {85, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4136},	//6076 QsciScintillaBase::SCLEX_LISP (enum)
    {85, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4137},	//6077 QsciScintillaBase::SCLEX_RUBY (enum)
    {85, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4138},	//6078 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {85, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4139},	//6079 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {85, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4140},	//6080 QsciScintillaBase::SCLEX_TCL (enum)
    {85, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4141},	//6081 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {85, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4142},	//6082 QsciScintillaBase::SCLEX_BULLANT (enum)
    {85, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4143},	//6083 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {85, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4144},	//6084 QsciScintillaBase::SCLEX_ASP (enum)
    {85, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4145},	//6085 QsciScintillaBase::SCLEX_PHP (enum)
    {85, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4146},	//6086 QsciScintillaBase::SCLEX_BAAN (enum)
    {85, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4147},	//6087 QsciScintillaBase::SCLEX_MATLAB (enum)
    {85, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4148},	//6088 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {85, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4149},	//6089 QsciScintillaBase::SCLEX_ASM (enum)
    {85, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4150},	//6090 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {85, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4151},	//6091 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {85, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4152},	//6092 QsciScintillaBase::SCLEX_F77 (enum)
    {85, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4153},	//6093 QsciScintillaBase::SCLEX_CSS (enum)
    {85, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4154},	//6094 QsciScintillaBase::SCLEX_POV (enum)
    {85, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4155},	//6095 QsciScintillaBase::SCLEX_LOUT (enum)
    {85, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4156},	//6096 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {85, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4157},	//6097 QsciScintillaBase::SCLEX_PS (enum)
    {85, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4158},	//6098 QsciScintillaBase::SCLEX_NSIS (enum)
    {85, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4159},	//6099 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {85, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4160},	//6100 QsciScintillaBase::SCLEX_CLW (enum)
    {85, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4161},	//6101 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {85, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4162},	//6102 QsciScintillaBase::SCLEX_LOT (enum)
    {85, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4163},	//6103 QsciScintillaBase::SCLEX_YAML (enum)
    {85, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4164},	//6104 QsciScintillaBase::SCLEX_TEX (enum)
    {85, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4165},	//6105 QsciScintillaBase::SCLEX_METAPOST (enum)
    {85, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4166},	//6106 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {85, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4167},	//6107 QsciScintillaBase::SCLEX_FORTH (enum)
    {85, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4168},	//6108 QsciScintillaBase::SCLEX_ERLANG (enum)
    {85, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4169},	//6109 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {85, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4170},	//6110 QsciScintillaBase::SCLEX_MSSQL (enum)
    {85, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4171},	//6111 QsciScintillaBase::SCLEX_VERILOG (enum)
    {85, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4172},	//6112 QsciScintillaBase::SCLEX_KIX (enum)
    {85, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4173},	//6113 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {85, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4174},	//6114 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {85, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4175},	//6115 QsciScintillaBase::SCLEX_AU3 (enum)
    {85, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4176},	//6116 QsciScintillaBase::SCLEX_APDL (enum)
    {85, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4177},	//6117 QsciScintillaBase::SCLEX_BASH (enum)
    {85, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4178},	//6118 QsciScintillaBase::SCLEX_ASN1 (enum)
    {85, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4179},	//6119 QsciScintillaBase::SCLEX_VHDL (enum)
    {85, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4180},	//6120 QsciScintillaBase::SCLEX_CAML (enum)
    {85, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4181},	//6121 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {85, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4182},	//6122 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {85, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4183},	//6123 QsciScintillaBase::SCLEX_HASKELL (enum)
    {85, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4184},	//6124 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {85, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4185},	//6125 QsciScintillaBase::SCLEX_TADS3 (enum)
    {85, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4186},	//6126 QsciScintillaBase::SCLEX_REBOL (enum)
    {85, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4187},	//6127 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {85, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4188},	//6128 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {85, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4189},	//6129 QsciScintillaBase::SCLEX_CSOUND (enum)
    {85, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4190},	//6130 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {85, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4191},	//6131 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {85, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4192},	//6132 QsciScintillaBase::SCLEX_OPAL (enum)
    {85, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4193},	//6133 QsciScintillaBase::SCLEX_SPICE (enum)
    {85, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4194},	//6134 QsciScintillaBase::SCLEX_D (enum)
    {85, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4195},	//6135 QsciScintillaBase::SCLEX_CMAKE (enum)
    {85, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4196},	//6136 QsciScintillaBase::SCLEX_GAP (enum)
    {85, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4197},	//6137 QsciScintillaBase::SCLEX_PLM (enum)
    {85, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4198},	//6138 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {85, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4199},	//6139 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {85, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4200},	//6140 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {85, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4201},	//6141 QsciScintillaBase::SCLEX_R (enum)
    {85, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4202},	//6142 QsciScintillaBase::SCLEX_MAGIK (enum)
    {85, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4203},	//6143 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {85, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4204},	//6144 QsciScintillaBase::SCLEX_MYSQL (enum)
    {85, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4205},	//6145 QsciScintillaBase::SCLEX_PO (enum)
    {85, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4206},	//6146 QsciScintillaBase::SCLEX_TAL (enum)
    {85, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4207},	//6147 QsciScintillaBase::SCLEX_COBOL (enum)
    {85, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4208},	//6148 QsciScintillaBase::SCLEX_TACL (enum)
    {85, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4209},	//6149 QsciScintillaBase::SCLEX_SORCUS (enum)
    {85, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4210},	//6150 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {85, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4211},	//6151 QsciScintillaBase::SCLEX_NIMROD (enum)
    {85, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4212},	//6152 QsciScintillaBase::SCLEX_SML (enum)
    {85, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4213},	//6153 QsciScintillaBase::SCLEX_MARKDOWN (enum)
    {85, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4214},	//6154 QsciScintillaBase::SCLEX_TXT2TAGS (enum)
    {85, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4215},	//6155 QsciScintillaBase::SCLEX_A68K (enum)
    {85, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 4216},	//6156 QsciScintillaBase::SCLEX_MODULA (enum)
    {85, 1508, 0, 0, Smoke::mf_dtor, 0, 4217 },	//6157 QsciScintillaBase::~QsciScintillaBase()
    {86, 452, 18, 1, Smoke::mf_ctor, 107, 1},	//6158 QsciStyle::QsciStyle(int)
    {86, 452, 399, 6, Smoke::mf_ctor, 107, 2},	//6159 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&, bool)
    {86, 1406, 0, 0, Smoke::mf_const, 210, 3},	//6160 QsciStyle::style() const
    {86, 1190, 57, 1, 0, 0, 4},	//6161 QsciStyle::setDescription(const QString&)
    {86, 848, 0, 0, Smoke::mf_const, 39, 5},	//6162 QsciStyle::description() const
    {86, 1177, 80, 1, 0, 0, 6},	//6163 QsciStyle::setColor(const QColor&)
    {86, 820, 0, 0, Smoke::mf_const, 6, 7},	//6164 QsciStyle::color() const
    {86, 1324, 80, 1, 0, 0, 8},	//6165 QsciStyle::setPaper(const QColor&)
    {86, 1059, 0, 0, Smoke::mf_const, 6, 9},	//6166 QsciStyle::paper() const
    {86, 1252, 42, 1, 0, 0, 10},	//6167 QsciStyle::setFont(const QFont&)
    {86, 920, 0, 0, Smoke::mf_const, 14, 11},	//6168 QsciStyle::font() const
    {86, 1208, 16, 1, 0, 0, 12},	//6169 QsciStyle::setEolFill(bool)
    {86, 875, 0, 0, Smoke::mf_const, 185, 13},	//6170 QsciStyle::eolFill() const
    {86, 1360, 406, 1, 0, 0, 14},	//6171 QsciStyle::setTextCase(QsciStyle::TextCase)
    {86, 1417, 0, 0, Smoke::mf_const, 108, 15},	//6172 QsciStyle::textCase() const
    {86, 1376, 16, 1, 0, 0, 16},	//6173 QsciStyle::setVisible(bool)
    {86, 1446, 0, 0, Smoke::mf_const, 185, 17},	//6174 QsciStyle::visible() const
    {86, 1175, 16, 1, 0, 0, 18},	//6175 QsciStyle::setChangeable(bool)
    {86, 806, 0, 0, Smoke::mf_const, 185, 19},	//6176 QsciStyle::changeable() const
    {86, 1257, 16, 1, 0, 0, 20},	//6177 QsciStyle::setHotspot(bool)
    {86, 937, 0, 0, Smoke::mf_const, 185, 21},	//6178 QsciStyle::hotspot() const
    {86, 1093, 0, 0, 0, 0, 22},	//6179 QsciStyle::refresh()
    {86, 452, 408, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 107, 23},	//6180 QsciStyle::QsciStyle(const QsciStyle&)
    {86, 452, 0, 0, Smoke::mf_ctor, 107, 24},	//6181 QsciStyle::QsciStyle()
    {86, 452, 410, 5, Smoke::mf_ctor, 107, 25},	//6182 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&)
    {86, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 26},	//6183 QsciStyle::OriginalCase (enum)
    {86, 716, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 27},	//6184 QsciStyle::UpperCase (enum)
    {86, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 28},	//6185 QsciStyle::LowerCase (enum)
    {86, 1509, 0, 0, Smoke::mf_dtor, 0, 29 },	//6186 QsciStyle::~QsciStyle()
    {87, 457, 416, 2, Smoke::mf_ctor, 109, 1},	//6187 QsciStyledText::QsciStyledText(const QString&, int)
    {87, 457, 419, 2, Smoke::mf_ctor, 109, 2},	//6188 QsciStyledText::QsciStyledText(const QString&, const QsciStyle&)
    {87, 1415, 0, 0, Smoke::mf_const, 202, 3},	//6189 QsciStyledText::text() const
    {87, 1406, 0, 0, Smoke::mf_const, 210, 4},	//6190 QsciStyledText::style() const
    {87, 457, 422, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 109, 5},	//6191 QsciStyledText::QsciStyledText(const QsciStyledText&)
    {87, 1510, 0, 0, Smoke::mf_dtor, 0, 6 },	//6192 QsciStyledText::~QsciStyledText()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    6155,  // QsciScintillaBase::SCLEX_A68K
    0,
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    6139,  // QsciScintillaBase::SCLEX_ABAQUS
    0,
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    6075,  // QsciScintillaBase::SCLEX_ADA
    0,
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    6116,  // QsciScintillaBase::SCLEX_APDL
    0,
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    6089,  // QsciScintillaBase::SCLEX_ASM
    0,
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    6118,  // QsciScintillaBase::SCLEX_ASN1
    0,
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    6084,  // QsciScintillaBase::SCLEX_ASP
    0,
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    6140,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    0,
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    6115,  // QsciScintillaBase::SCLEX_AU3
    0,
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    6074,  // QsciScintillaBase::SCLEX_AVE
    0,
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    6086,  // QsciScintillaBase::SCLEX_BAAN
    0,
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    6117,  // QsciScintillaBase::SCLEX_BASH
    0,
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    6068,  // QsciScintillaBase::SCLEX_BATCH
    0,
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    6121,  // QsciScintillaBase::SCLEX_BLITZBASIC
    0,
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    6082,  // QsciScintillaBase::SCLEX_BULLANT
    0,
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    6120,  // QsciScintillaBase::SCLEX_CAML
    0,
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    6100,  // QsciScintillaBase::SCLEX_CLW
    0,
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    6101,  // QsciScintillaBase::SCLEX_CLWNOCASE
    0,
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    6135,  // QsciScintillaBase::SCLEX_CMAKE
    0,
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    6147,  // QsciScintillaBase::SCLEX_COBOL
    0,
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    6072,  // QsciScintillaBase::SCLEX_CONF
    0,
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    6056,  // QsciScintillaBase::SCLEX_CONTAINER
    0,
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    6059,  // QsciScintillaBase::SCLEX_CPP
    0,
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    6090,  // QsciScintillaBase::SCLEX_CPPNOCASE
    0,
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    6129,  // QsciScintillaBase::SCLEX_CSOUND
    0,
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    6093,  // QsciScintillaBase::SCLEX_CSS
    0,
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    6134,  // QsciScintillaBase::SCLEX_D
    0,
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    6071,  // QsciScintillaBase::SCLEX_DIFF
    0,
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    6078,  // QsciScintillaBase::SCLEX_EIFFEL
    0,
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    6079,  // QsciScintillaBase::SCLEX_EIFFELKW
    0,
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    6108,  // QsciScintillaBase::SCLEX_ERLANG
    0,
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    6066,  // QsciScintillaBase::SCLEX_ERRORLIST
    0,
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    6096,  // QsciScintillaBase::SCLEX_ESCRIPT
    0,
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    6092,  // QsciScintillaBase::SCLEX_F77
    0,
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    6128,  // QsciScintillaBase::SCLEX_FLAGSHIP
    0,
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    6107,  // QsciScintillaBase::SCLEX_FORTH
    0,
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    6091,  // QsciScintillaBase::SCLEX_FORTRAN
    0,
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    6130,  // QsciScintillaBase::SCLEX_FREEBASIC
    0,
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    6136,  // QsciScintillaBase::SCLEX_GAP
    0,
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    6113,  // QsciScintillaBase::SCLEX_GUI4CLI
    0,
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    6123,  // QsciScintillaBase::SCLEX_HASKELL
    0,
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    6060,  // QsciScintillaBase::SCLEX_HTML
    0,
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    6131,  // QsciScintillaBase::SCLEX_INNOSETUP
    0,
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    6112,  // QsciScintillaBase::SCLEX_KIX
    0,
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    6069,  // QsciScintillaBase::SCLEX_LATEX
    0,
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    6076,  // QsciScintillaBase::SCLEX_LISP
    0,
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    6102,  // QsciScintillaBase::SCLEX_LOT
    0,
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    6095,  // QsciScintillaBase::SCLEX_LOUT
    0,
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    6070,  // QsciScintillaBase::SCLEX_LUA
    0,
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    6142,  // QsciScintillaBase::SCLEX_MAGIK
    0,
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    6067,  // QsciScintillaBase::SCLEX_MAKEFILE
    0,
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    6153,  // QsciScintillaBase::SCLEX_MARKDOWN
    0,
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    6087,  // QsciScintillaBase::SCLEX_MATLAB
    0,
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    6105,  // QsciScintillaBase::SCLEX_METAPOST
    0,
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    6099,  // QsciScintillaBase::SCLEX_MMIXAL
    0,
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    6156,  // QsciScintillaBase::SCLEX_MODULA
    0,
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    6110,  // QsciScintillaBase::SCLEX_MSSQL
    0,
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    6144,  // QsciScintillaBase::SCLEX_MYSQL
    0,
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    6151,  // QsciScintillaBase::SCLEX_NIMROD
    0,
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    6081,  // QsciScintillaBase::SCLEX_NNCRONTAB
    0,
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    6098,  // QsciScintillaBase::SCLEX_NSIS
    0,
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    6057,  // QsciScintillaBase::SCLEX_NULL
    0,
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    6109,  // QsciScintillaBase::SCLEX_OCTAVE
    0,
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    6132,  // QsciScintillaBase::SCLEX_OPAL
    0,
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    6073,  // QsciScintillaBase::SCLEX_PASCAL
    0,
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    6062,  // QsciScintillaBase::SCLEX_PERL
    0,
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    6085,  // QsciScintillaBase::SCLEX_PHP
    0,
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    6124,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    0,
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    6137,  // QsciScintillaBase::SCLEX_PLM
    0,
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    6145,  // QsciScintillaBase::SCLEX_PO
    0,
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    6094,  // QsciScintillaBase::SCLEX_POV
    0,
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    6106,  // QsciScintillaBase::SCLEX_POWERBASIC
    0,
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    6150,  // QsciScintillaBase::SCLEX_POWERPRO
    0,
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    6143,  // QsciScintillaBase::SCLEX_POWERSHELL
    0,
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    6138,  // QsciScintillaBase::SCLEX_PROGRESS
    0,
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    6065,  // QsciScintillaBase::SCLEX_PROPERTIES
    0,
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    6097,  // QsciScintillaBase::SCLEX_PS
    0,
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    6122,  // QsciScintillaBase::SCLEX_PUREBASIC
    0,
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    6058,  // QsciScintillaBase::SCLEX_PYTHON
    0,
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    6141,  // QsciScintillaBase::SCLEX_R
    0,
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    6126,  // QsciScintillaBase::SCLEX_REBOL
    0,
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    6077,  // QsciScintillaBase::SCLEX_RUBY
    0,
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    6088,  // QsciScintillaBase::SCLEX_SCRIPTOL
    0,
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    6127,  // QsciScintillaBase::SCLEX_SMALLTALK
    0,
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    6152,  // QsciScintillaBase::SCLEX_SML
    0,
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    6149,  // QsciScintillaBase::SCLEX_SORCUS
    0,
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    6114,  // QsciScintillaBase::SCLEX_SPECMAN
    0,
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    6133,  // QsciScintillaBase::SCLEX_SPICE
    0,
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    6063,  // QsciScintillaBase::SCLEX_SQL
    0,
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    6148,  // QsciScintillaBase::SCLEX_TACL
    0,
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    6125,  // QsciScintillaBase::SCLEX_TADS3
    0,
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    6146,  // QsciScintillaBase::SCLEX_TAL
    0,
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    6080,  // QsciScintillaBase::SCLEX_TCL
    0,
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    6104,  // QsciScintillaBase::SCLEX_TEX
    0,
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    6154,  // QsciScintillaBase::SCLEX_TXT2TAGS
    0,
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    6064,  // QsciScintillaBase::SCLEX_VB
    0,
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    6083,  // QsciScintillaBase::SCLEX_VBSCRIPT
    0,
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    6111,  // QsciScintillaBase::SCLEX_VERILOG
    0,
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    6119,  // QsciScintillaBase::SCLEX_VHDL
    0,
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    6061,  // QsciScintillaBase::SCLEX_XML
    0,
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    6103,  // QsciScintillaBase::SCLEX_YAML
    0,
    1953,  // QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    1955,  // QsciScintillaBase::SendScintilla(unsigned int, long) const
    1956,  // QsciScintillaBase::SendScintilla(unsigned int, int) const
    2014,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    0,
    1958,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    1961,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    0,
    1950,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    1951,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    1952,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    1954,  // QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    0,
    1835,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    1836,  // QsciScintilla::markerDefine(char)
    0,
    1667,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    1668,  // QsciScintilla::markerDefine(char, int)
    0,
    1794,  // QsciScintilla::setMarginWidth(int, int)
    1795,  // QsciScintilla::setMarginWidth(int, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {17, 369, 7},	// QGlobalSpace::Q_COMPLEX_TYPE
    {17, 370, 11},	// QGlobalSpace::Q_DUMMY_TYPE
    {17, 371, 10},	// QGlobalSpace::Q_MOVABLE_TYPE
    {17, 372, 8},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {17, 373, 9},	// QGlobalSpace::Q_STATIC_TYPE
    {17, 461, 14},	// QGlobalSpace::QtCriticalMsg
    {17, 462, 12},	// QGlobalSpace::QtDebugMsg
    {17, 463, 15},	// QGlobalSpace::QtFatalMsg
    {17, 464, 16},	// QGlobalSpace::QtSystemMsg
    {17, 465, 13},	// QGlobalSpace::QtWarningMsg
    {46, 375, 59},	// QsciAPIs::QsciAPIs#
    {46, 748, 60},	// QsciAPIs::add$
    {46, 760, 75},	// QsciAPIs::apiPreparationCancelled
    {46, 761, 77},	// QsciAPIs::apiPreparationFinished
    {46, 762, 76},	// QsciAPIs::apiPreparationStarted
    {46, 774, 71},	// QsciAPIs::autoCompletionSelected$
    {46, 796, 72},	// QsciAPIs::callTips?$$?
    {46, 802, 65},	// QsciAPIs::cancelPreparation
    {46, 808, 61},	// QsciAPIs::clear
    {46, 846, 66},	// QsciAPIs::defaultPreparedName
    {46, 882, 73},	// QsciAPIs::event#
    {46, 964, 74},	// QsciAPIs::installedAPIFiles
    {46, 968, 80},	// QsciAPIs::isPrepared
    {46, 969, 67},	// QsciAPIs::isPrepared$
    {46, 998, 62},	// QsciAPIs::load$
    {46, 999, 81},	// QsciAPIs::loadPrepared
    {46, 1000, 68},	// QsciAPIs::loadPrepared$
    {46, 1037, 52},	// QsciAPIs::metaObject
    {46, 1068, 64},	// QsciAPIs::prepare
    {46, 1078, 58},	// QsciAPIs::qt_metacall$$?
    {46, 1080, 53},	// QsciAPIs::qt_metacast$
    {46, 1098, 63},	// QsciAPIs::remove$
    {46, 1110, 82},	// QsciAPIs::savePrepared
    {46, 1111, 69},	// QsciAPIs::savePrepared$
    {46, 1404, 83},	// QsciAPIs::staticMetaObject
    {46, 1426, 78},	// QsciAPIs::tr$
    {46, 1427, 54},	// QsciAPIs::tr$$
    {46, 1428, 56},	// QsciAPIs::tr$$$
    {46, 1430, 79},	// QsciAPIs::trUtf8$
    {46, 1431, 55},	// QsciAPIs::trUtf8$$
    {46, 1432, 57},	// QsciAPIs::trUtf8$$$
    {46, 1437, 70},	// QsciAPIs::updateAutoCompletionList??
    {46, 1470, 84},	// QsciAPIs::~QsciAPIs
    {47, 377, 92},	// QsciAbstractAPIs::QsciAbstractAPIs#
    {47, 774, 95},	// QsciAbstractAPIs::autoCompletionSelected$
    {47, 796, 96},	// QsciAbstractAPIs::callTips?$$?
    {47, 987, 93},	// QsciAbstractAPIs::lexer
    {47, 1037, 85},	// QsciAbstractAPIs::metaObject
    {47, 1078, 91},	// QsciAbstractAPIs::qt_metacall$$?
    {47, 1080, 86},	// QsciAbstractAPIs::qt_metacast$
    {47, 1404, 99},	// QsciAbstractAPIs::staticMetaObject
    {47, 1426, 97},	// QsciAbstractAPIs::tr$
    {47, 1427, 87},	// QsciAbstractAPIs::tr$$
    {47, 1428, 89},	// QsciAbstractAPIs::tr$$$
    {47, 1430, 98},	// QsciAbstractAPIs::trUtf8$
    {47, 1431, 88},	// QsciAbstractAPIs::trUtf8$$
    {47, 1432, 90},	// QsciAbstractAPIs::trUtf8$$$
    {47, 1437, 94},	// QsciAbstractAPIs::updateAutoCompletionList??
    {47, 1471, 100},	// QsciAbstractAPIs::~QsciAbstractAPIs
    {48, 749, 104},	// QsciCommand::alternateKey
    {48, 848, 106},	// QsciCommand::description
    {48, 976, 103},	// QsciCommand::key
    {48, 1124, 102},	// QsciCommand::setAlternateKey$
    {48, 1282, 101},	// QsciCommand::setKey$
    {48, 1444, 105},	// QsciCommand::validKey$
    {48, 1472, 107},	// QsciCommand::~QsciCommand
    {49, 809, 112},	// QsciCommandSet::clearAlternateKeys
    {49, 815, 111},	// QsciCommandSet::clearKeys
    {49, 824, 110},	// QsciCommandSet::commands
    {49, 1087, 113},	// QsciCommandSet::readSettings#
    {49, 1088, 108},	// QsciCommandSet::readSettings#$
    {49, 1461, 114},	// QsciCommandSet::writeSettings#
    {49, 1462, 109},	// QsciCommandSet::writeSettings#$
    {50, 378, 115},	// QsciDocument::QsciDocument
    {50, 379, 116},	// QsciDocument::QsciDocument#
    {50, 1054, 117},	// QsciDocument::operator=#
    {50, 1473, 118},	// QsciDocument::~QsciDocument
    {51, 380, 180},	// QsciLexer::QsciLexer
    {51, 381, 126},	// QsciLexer::QsciLexer#
    {51, 763, 130},	// QsciLexer::apis
    {51, 770, 131},	// QsciLexer::autoCompletionFillups
    {51, 779, 132},	// QsciLexer::autoCompletionWordSeparators
    {51, 781, 133},	// QsciLexer::autoIndentStyle
    {51, 785, 181},	// QsciLexer::blockEnd
    {51, 786, 134},	// QsciLexer::blockEnd$
    {51, 787, 135},	// QsciLexer::blockLookback
    {51, 788, 182},	// QsciLexer::blockStart
    {51, 789, 136},	// QsciLexer::blockStart$
    {51, 790, 183},	// QsciLexer::blockStartKeyword
    {51, 791, 137},	// QsciLexer::blockStartKeyword$
    {51, 793, 138},	// QsciLexer::braceStyle
    {51, 803, 139},	// QsciLexer::caseSensitive
    {51, 821, 140},	// QsciLexer::color$
    {51, 823, 171},	// QsciLexer::colorChanged#$
    {51, 838, 148},	// QsciLexer::defaultColor
    {51, 839, 149},	// QsciLexer::defaultColor$
    {51, 841, 150},	// QsciLexer::defaultEolFill$
    {51, 842, 151},	// QsciLexer::defaultFont
    {51, 843, 152},	// QsciLexer::defaultFont$
    {51, 844, 153},	// QsciLexer::defaultPaper
    {51, 845, 154},	// QsciLexer::defaultPaper$
    {51, 847, 145},	// QsciLexer::defaultStyle
    {51, 849, 146},	// QsciLexer::description$
    {51, 867, 155},	// QsciLexer::editor
    {51, 876, 141},	// QsciLexer::eolFill$
    {51, 878, 172},	// QsciLexer::eolFillChanged$$
    {51, 921, 142},	// QsciLexer::font$
    {51, 924, 173},	// QsciLexer::fontChanged#$
    {51, 942, 143},	// QsciLexer::indentationGuideView
    {51, 981, 144},	// QsciLexer::keywords$
    {51, 982, 127},	// QsciLexer::language
    {51, 987, 128},	// QsciLexer::lexer
    {51, 988, 129},	// QsciLexer::lexerId
    {51, 1037, 119},	// QsciLexer::metaObject
    {51, 1060, 147},	// QsciLexer::paper$
    {51, 1062, 174},	// QsciLexer::paperChanged#$
    {51, 1076, 175},	// QsciLexer::propertyChanged$$
    {51, 1078, 125},	// QsciLexer::qt_metacall$$?
    {51, 1080, 120},	// QsciLexer::qt_metacast$
    {51, 1085, 176},	// QsciLexer::readProperties#$
    {51, 1087, 184},	// QsciLexer::readSettings#
    {51, 1088, 161},	// QsciLexer::readSettings#$
    {51, 1094, 162},	// QsciLexer::refreshProperties
    {51, 1122, 156},	// QsciLexer::setAPIs#
    {51, 1148, 166},	// QsciLexer::setAutoIndentStyle$
    {51, 1178, 186},	// QsciLexer::setColor#
    {51, 1179, 167},	// QsciLexer::setColor#$
    {51, 1185, 157},	// QsciLexer::setDefaultColor#
    {51, 1187, 158},	// QsciLexer::setDefaultFont#
    {51, 1189, 159},	// QsciLexer::setDefaultPaper#
    {51, 1207, 160},	// QsciLexer::setEditor#
    {51, 1209, 187},	// QsciLexer::setEolFill$
    {51, 1210, 168},	// QsciLexer::setEolFill$$
    {51, 1253, 188},	// QsciLexer::setFont#
    {51, 1254, 169},	// QsciLexer::setFont#$
    {51, 1325, 189},	// QsciLexer::setPaper#
    {51, 1326, 170},	// QsciLexer::setPaper#$
    {51, 1404, 190},	// QsciLexer::staticMetaObject
    {51, 1407, 163},	// QsciLexer::styleBitsNeeded
    {51, 1426, 178},	// QsciLexer::tr$
    {51, 1427, 121},	// QsciLexer::tr$$
    {51, 1428, 123},	// QsciLexer::tr$$$
    {51, 1430, 179},	// QsciLexer::trUtf8$
    {51, 1431, 122},	// QsciLexer::trUtf8$$
    {51, 1432, 124},	// QsciLexer::trUtf8$$$
    {51, 1453, 164},	// QsciLexer::wordCharacters
    {51, 1459, 177},	// QsciLexer::writeProperties#$
    {51, 1461, 185},	// QsciLexer::writeSettings#
    {51, 1462, 165},	// QsciLexer::writeSettings#$
    {51, 1474, 191},	// QsciLexer::~QsciLexer
    {52, 85, 232},	// QsciLexerBash::Backticks
    {52, 128, 223},	// QsciLexerBash::Comment
    {52, 148, 221},	// QsciLexerBash::Default
    {52, 159, 226},	// QsciLexerBash::DoubleQuotedString
    {52, 176, 222},	// QsciLexerBash::Error
    {52, 205, 233},	// QsciLexerBash::HereDocumentDelimiter
    {52, 214, 229},	// QsciLexerBash::Identifier
    {52, 259, 225},	// QsciLexerBash::Keyword
    {52, 304, 224},	// QsciLexerBash::Number
    {52, 308, 228},	// QsciLexerBash::Operator
    {52, 326, 231},	// QsciLexerBash::ParameterExpansion
    {52, 382, 219},	// QsciLexerBash::QsciLexerBash
    {52, 383, 199},	// QsciLexerBash::QsciLexerBash#
    {52, 639, 230},	// QsciLexerBash::Scalar
    {52, 656, 234},	// QsciLexerBash::SingleQuotedHereDocument
    {52, 657, 227},	// QsciLexerBash::SingleQuotedString
    {52, 793, 202},	// QsciLexerBash::braceStyle
    {52, 839, 204},	// QsciLexerBash::defaultColor$
    {52, 841, 205},	// QsciLexerBash::defaultEolFill$
    {52, 843, 206},	// QsciLexerBash::defaultFont$
    {52, 845, 207},	// QsciLexerBash::defaultPaper$
    {52, 849, 209},	// QsciLexerBash::description$
    {52, 907, 211},	// QsciLexerBash::foldComments
    {52, 908, 212},	// QsciLexerBash::foldCompact
    {52, 981, 208},	// QsciLexerBash::keywords$
    {52, 982, 200},	// QsciLexerBash::language
    {52, 987, 201},	// QsciLexerBash::lexer
    {52, 1037, 192},	// QsciLexerBash::metaObject
    {52, 1078, 198},	// QsciLexerBash::qt_metacall$$?
    {52, 1080, 193},	// QsciLexerBash::qt_metacast$
    {52, 1085, 215},	// QsciLexerBash::readProperties#$
    {52, 1094, 210},	// QsciLexerBash::refreshProperties
    {52, 1228, 213},	// QsciLexerBash::setFoldComments$
    {52, 1230, 214},	// QsciLexerBash::setFoldCompact$
    {52, 1404, 220},	// QsciLexerBash::staticMetaObject
    {52, 1426, 217},	// QsciLexerBash::tr$
    {52, 1427, 194},	// QsciLexerBash::tr$$
    {52, 1428, 196},	// QsciLexerBash::tr$$$
    {52, 1430, 218},	// QsciLexerBash::trUtf8$
    {52, 1431, 195},	// QsciLexerBash::trUtf8$$
    {52, 1432, 197},	// QsciLexerBash::trUtf8$$$
    {52, 1453, 203},	// QsciLexerBash::wordCharacters
    {52, 1459, 216},	// QsciLexerBash::writeProperties#$
    {52, 1475, 235},	// QsciLexerBash::~QsciLexerBash
    {53, 128, 259},	// QsciLexerBatch::Comment
    {53, 148, 258},	// QsciLexerBatch::Default
    {53, 183, 263},	// QsciLexerBatch::ExternalCommand
    {53, 209, 262},	// QsciLexerBatch::HideCommandChar
    {53, 259, 260},	// QsciLexerBatch::Keyword
    {53, 269, 261},	// QsciLexerBatch::Label
    {53, 308, 265},	// QsciLexerBatch::Operator
    {53, 384, 256},	// QsciLexerBatch::QsciLexerBatch
    {53, 385, 243},	// QsciLexerBatch::QsciLexerBatch#
    {53, 727, 264},	// QsciLexerBatch::Variable
    {53, 803, 247},	// QsciLexerBatch::caseSensitive
    {53, 839, 248},	// QsciLexerBatch::defaultColor$
    {53, 841, 249},	// QsciLexerBatch::defaultEolFill$
    {53, 843, 250},	// QsciLexerBatch::defaultFont$
    {53, 845, 251},	// QsciLexerBatch::defaultPaper$
    {53, 849, 253},	// QsciLexerBatch::description$
    {53, 981, 252},	// QsciLexerBatch::keywords$
    {53, 982, 244},	// QsciLexerBatch::language
    {53, 987, 245},	// QsciLexerBatch::lexer
    {53, 1037, 236},	// QsciLexerBatch::metaObject
    {53, 1078, 242},	// QsciLexerBatch::qt_metacall$$?
    {53, 1080, 237},	// QsciLexerBatch::qt_metacast$
    {53, 1404, 257},	// QsciLexerBatch::staticMetaObject
    {53, 1426, 254},	// QsciLexerBatch::tr$
    {53, 1427, 238},	// QsciLexerBatch::tr$$
    {53, 1428, 240},	// QsciLexerBatch::tr$$$
    {53, 1430, 255},	// QsciLexerBatch::trUtf8$
    {53, 1431, 239},	// QsciLexerBatch::trUtf8$$
    {53, 1432, 241},	// QsciLexerBatch::trUtf8$$$
    {53, 1453, 246},	// QsciLexerBatch::wordCharacters
    {53, 1476, 266},	// QsciLexerBatch::~QsciLexerBatch
    {54, 90, 301},	// QsciLexerCMake::BlockForeach
    {54, 91, 302},	// QsciLexerCMake::BlockIf
    {54, 92, 303},	// QsciLexerCMake::BlockMacro
    {54, 93, 300},	// QsciLexerCMake::BlockWhile
    {54, 128, 292},	// QsciLexerCMake::Comment
    {54, 148, 291},	// QsciLexerCMake::Default
    {54, 190, 296},	// QsciLexerCMake::Function
    {54, 263, 299},	// QsciLexerCMake::KeywordSet3
    {54, 269, 298},	// QsciLexerCMake::Label
    {54, 304, 305},	// QsciLexerCMake::Number
    {54, 386, 289},	// QsciLexerCMake::QsciLexerCMake
    {54, 387, 274},	// QsciLexerCMake::QsciLexerCMake#
    {54, 673, 293},	// QsciLexerCMake::String
    {54, 674, 294},	// QsciLexerCMake::StringLeftQuote
    {54, 675, 295},	// QsciLexerCMake::StringRightQuote
    {54, 677, 304},	// QsciLexerCMake::StringVariable
    {54, 727, 297},	// QsciLexerCMake::Variable
    {54, 839, 277},	// QsciLexerCMake::defaultColor$
    {54, 843, 278},	// QsciLexerCMake::defaultFont$
    {54, 845, 279},	// QsciLexerCMake::defaultPaper$
    {54, 849, 281},	// QsciLexerCMake::description$
    {54, 905, 283},	// QsciLexerCMake::foldAtElse
    {54, 981, 280},	// QsciLexerCMake::keywords$
    {54, 982, 275},	// QsciLexerCMake::language
    {54, 987, 276},	// QsciLexerCMake::lexer
    {54, 1037, 267},	// QsciLexerCMake::metaObject
    {54, 1078, 273},	// QsciLexerCMake::qt_metacall$$?
    {54, 1080, 268},	// QsciLexerCMake::qt_metacast$
    {54, 1085, 285},	// QsciLexerCMake::readProperties#$
    {54, 1094, 282},	// QsciLexerCMake::refreshProperties
    {54, 1224, 284},	// QsciLexerCMake::setFoldAtElse$
    {54, 1404, 290},	// QsciLexerCMake::staticMetaObject
    {54, 1426, 287},	// QsciLexerCMake::tr$
    {54, 1427, 269},	// QsciLexerCMake::tr$$
    {54, 1428, 271},	// QsciLexerCMake::tr$$$
    {54, 1430, 288},	// QsciLexerCMake::trUtf8$
    {54, 1431, 270},	// QsciLexerCMake::trUtf8$$
    {54, 1432, 272},	// QsciLexerCMake::trUtf8$$$
    {54, 1459, 286},	// QsciLexerCMake::writeProperties#$
    {54, 1477, 306},	// QsciLexerCMake::~QsciLexerCMake
    {55, 128, 354},	// QsciLexerCPP::Comment
    {55, 131, 358},	// QsciLexerCPP::CommentDoc
    {55, 132, 386},	// QsciLexerCPP::CommentDocKeyword
    {55, 133, 388},	// QsciLexerCPP::CommentDocKeywordError
    {55, 134, 356},	// QsciLexerCPP::CommentLine
    {55, 135, 382},	// QsciLexerCPP::CommentLineDoc
    {55, 148, 352},	// QsciLexerCPP::Default
    {55, 159, 364},	// QsciLexerCPP::DoubleQuotedString
    {55, 193, 390},	// QsciLexerCPP::GlobalClass
    {55, 214, 374},	// QsciLexerCPP::Identifier
    {55, 219, 355},	// QsciLexerCPP::InactiveComment
    {55, 220, 359},	// QsciLexerCPP::InactiveCommentDoc
    {55, 221, 387},	// QsciLexerCPP::InactiveCommentDocKeyword
    {55, 222, 389},	// QsciLexerCPP::InactiveCommentDocKeywordError
    {55, 223, 357},	// QsciLexerCPP::InactiveCommentLine
    {55, 224, 383},	// QsciLexerCPP::InactiveCommentLineDoc
    {55, 225, 353},	// QsciLexerCPP::InactiveDefault
    {55, 226, 365},	// QsciLexerCPP::InactiveDoubleQuotedString
    {55, 227, 391},	// QsciLexerCPP::InactiveGlobalClass
    {55, 228, 375},	// QsciLexerCPP::InactiveIdentifier
    {55, 229, 363},	// QsciLexerCPP::InactiveKeyword
    {55, 230, 385},	// QsciLexerCPP::InactiveKeywordSet2
    {55, 231, 361},	// QsciLexerCPP::InactiveNumber
    {55, 232, 373},	// QsciLexerCPP::InactiveOperator
    {55, 233, 371},	// QsciLexerCPP::InactivePreProcessor
    {55, 234, 393},	// QsciLexerCPP::InactiveRawString
    {55, 235, 381},	// QsciLexerCPP::InactiveRegex
    {55, 236, 367},	// QsciLexerCPP::InactiveSingleQuotedString
    {55, 237, 369},	// QsciLexerCPP::InactiveUUID
    {55, 238, 377},	// QsciLexerCPP::InactiveUnclosedString
    {55, 239, 379},	// QsciLexerCPP::InactiveVerbatimString
    {55, 259, 362},	// QsciLexerCPP::Keyword
    {55, 262, 384},	// QsciLexerCPP::KeywordSet2
    {55, 304, 360},	// QsciLexerCPP::Number
    {55, 308, 372},	// QsciLexerCPP::Operator
    {55, 345, 370},	// QsciLexerCPP::PreProcessor
    {55, 388, 346},	// QsciLexerCPP::QsciLexerCPP
    {55, 389, 347},	// QsciLexerCPP::QsciLexerCPP#
    {55, 390, 314},	// QsciLexerCPP::QsciLexerCPP#$
    {55, 475, 392},	// QsciLexerCPP::RawString
    {55, 478, 380},	// QsciLexerCPP::Regex
    {55, 657, 366},	// QsciLexerCPP::SingleQuotedString
    {55, 709, 368},	// QsciLexerCPP::UUID
    {55, 710, 376},	// QsciLexerCPP::UnclosedString
    {55, 728, 378},	// QsciLexerCPP::VerbatimString
    {55, 779, 317},	// QsciLexerCPP::autoCompletionWordSeparators
    {55, 785, 348},	// QsciLexerCPP::blockEnd
    {55, 786, 318},	// QsciLexerCPP::blockEnd$
    {55, 788, 349},	// QsciLexerCPP::blockStart
    {55, 789, 319},	// QsciLexerCPP::blockStart$
    {55, 790, 350},	// QsciLexerCPP::blockStartKeyword
    {55, 791, 320},	// QsciLexerCPP::blockStartKeyword$
    {55, 793, 321},	// QsciLexerCPP::braceStyle
    {55, 839, 323},	// QsciLexerCPP::defaultColor$
    {55, 841, 324},	// QsciLexerCPP::defaultEolFill$
    {55, 843, 325},	// QsciLexerCPP::defaultFont$
    {55, 845, 326},	// QsciLexerCPP::defaultPaper$
    {55, 849, 328},	// QsciLexerCPP::description$
    {55, 854, 336},	// QsciLexerCPP::dollarsAllowed
    {55, 905, 330},	// QsciLexerCPP::foldAtElse
    {55, 907, 331},	// QsciLexerCPP::foldComments
    {55, 908, 332},	// QsciLexerCPP::foldCompact
    {55, 915, 333},	// QsciLexerCPP::foldPreprocessor
    {55, 981, 327},	// QsciLexerCPP::keywords$
    {55, 982, 315},	// QsciLexerCPP::language
    {55, 987, 316},	// QsciLexerCPP::lexer
    {55, 1037, 307},	// QsciLexerCPP::metaObject
    {55, 1078, 313},	// QsciLexerCPP::qt_metacall$$?
    {55, 1080, 308},	// QsciLexerCPP::qt_metacast$
    {55, 1085, 342},	// QsciLexerCPP::readProperties#$
    {55, 1094, 329},	// QsciLexerCPP::refreshProperties
    {55, 1197, 335},	// QsciLexerCPP::setDollarsAllowed$
    {55, 1224, 337},	// QsciLexerCPP::setFoldAtElse$
    {55, 1228, 338},	// QsciLexerCPP::setFoldComments$
    {55, 1230, 339},	// QsciLexerCPP::setFoldCompact$
    {55, 1242, 340},	// QsciLexerCPP::setFoldPreprocessor$
    {55, 1350, 341},	// QsciLexerCPP::setStylePreprocessor$
    {55, 1404, 351},	// QsciLexerCPP::staticMetaObject
    {55, 1409, 334},	// QsciLexerCPP::stylePreprocessor
    {55, 1426, 344},	// QsciLexerCPP::tr$
    {55, 1427, 309},	// QsciLexerCPP::tr$$
    {55, 1428, 311},	// QsciLexerCPP::tr$$$
    {55, 1430, 345},	// QsciLexerCPP::trUtf8$
    {55, 1431, 310},	// QsciLexerCPP::trUtf8$$
    {55, 1432, 312},	// QsciLexerCPP::trUtf8$$$
    {55, 1453, 322},	// QsciLexerCPP::wordCharacters
    {55, 1459, 343},	// QsciLexerCPP::writeProperties#$
    {55, 1478, 394},	// QsciLexerCPP::~QsciLexerCPP
    {56, 68, 437},	// QsciLexerCSS::AtRule
    {56, 69, 441},	// QsciLexerCSS::Attribute
    {56, 105, 431},	// QsciLexerCSS::CSS1Property
    {56, 106, 440},	// QsciLexerCSS::CSS2Property
    {56, 107, 442},	// QsciLexerCSS::CSS3Property
    {56, 123, 427},	// QsciLexerCSS::ClassSelector
    {56, 128, 434},	// QsciLexerCSS::Comment
    {56, 148, 425},	// QsciLexerCSS::Default
    {56, 159, 438},	// QsciLexerCSS::DoubleQuotedString
    {56, 179, 444},	// QsciLexerCSS::ExtendedCSSProperty
    {56, 181, 445},	// QsciLexerCSS::ExtendedPseudoClass
    {56, 182, 446},	// QsciLexerCSS::ExtendedPseudoElement
    {56, 212, 435},	// QsciLexerCSS::IDSelector
    {56, 218, 436},	// QsciLexerCSS::Important
    {56, 290, 447},	// QsciLexerCSS::MediaRule
    {56, 308, 430},	// QsciLexerCSS::Operator
    {56, 352, 428},	// QsciLexerCSS::PseudoClass
    {56, 353, 443},	// QsciLexerCSS::PseudoElement
    {56, 391, 421},	// QsciLexerCSS::QsciLexerCSS
    {56, 392, 402},	// QsciLexerCSS::QsciLexerCSS#
    {56, 657, 439},	// QsciLexerCSS::SingleQuotedString
    {56, 694, 426},	// QsciLexerCSS::Tag
    {56, 713, 432},	// QsciLexerCSS::UnknownProperty
    {56, 714, 429},	// QsciLexerCSS::UnknownPseudoClass
    {56, 726, 433},	// QsciLexerCSS::Value
    {56, 785, 422},	// QsciLexerCSS::blockEnd
    {56, 786, 405},	// QsciLexerCSS::blockEnd$
    {56, 788, 423},	// QsciLexerCSS::blockStart
    {56, 789, 406},	// QsciLexerCSS::blockStart$
    {56, 839, 408},	// QsciLexerCSS::defaultColor$
    {56, 843, 409},	// QsciLexerCSS::defaultFont$
    {56, 849, 411},	// QsciLexerCSS::description$
    {56, 907, 413},	// QsciLexerCSS::foldComments
    {56, 908, 414},	// QsciLexerCSS::foldCompact
    {56, 981, 410},	// QsciLexerCSS::keywords$
    {56, 982, 403},	// QsciLexerCSS::language
    {56, 987, 404},	// QsciLexerCSS::lexer
    {56, 1037, 395},	// QsciLexerCSS::metaObject
    {56, 1078, 401},	// QsciLexerCSS::qt_metacall$$?
    {56, 1080, 396},	// QsciLexerCSS::qt_metacast$
    {56, 1085, 417},	// QsciLexerCSS::readProperties#$
    {56, 1094, 412},	// QsciLexerCSS::refreshProperties
    {56, 1228, 415},	// QsciLexerCSS::setFoldComments$
    {56, 1230, 416},	// QsciLexerCSS::setFoldCompact$
    {56, 1404, 424},	// QsciLexerCSS::staticMetaObject
    {56, 1426, 419},	// QsciLexerCSS::tr$
    {56, 1427, 397},	// QsciLexerCSS::tr$$
    {56, 1428, 399},	// QsciLexerCSS::tr$$$
    {56, 1430, 420},	// QsciLexerCSS::trUtf8$
    {56, 1431, 398},	// QsciLexerCSS::trUtf8$$
    {56, 1432, 400},	// QsciLexerCSS::trUtf8$$$
    {56, 1453, 407},	// QsciLexerCSS::wordCharacters
    {56, 1459, 418},	// QsciLexerCSS::writeProperties#$
    {56, 1479, 448},	// QsciLexerCSS::~QsciLexerCSS
    {57, 393, 466},	// QsciLexerCSharp::QsciLexerCSharp
    {57, 394, 456},	// QsciLexerCSharp::QsciLexerCSharp#
    {57, 839, 458},	// QsciLexerCSharp::defaultColor$
    {57, 841, 459},	// QsciLexerCSharp::defaultEolFill$
    {57, 843, 460},	// QsciLexerCSharp::defaultFont$
    {57, 845, 461},	// QsciLexerCSharp::defaultPaper$
    {57, 849, 463},	// QsciLexerCSharp::description$
    {57, 981, 462},	// QsciLexerCSharp::keywords$
    {57, 982, 457},	// QsciLexerCSharp::language
    {57, 1037, 449},	// QsciLexerCSharp::metaObject
    {57, 1078, 455},	// QsciLexerCSharp::qt_metacall$$?
    {57, 1080, 450},	// QsciLexerCSharp::qt_metacast$
    {57, 1404, 467},	// QsciLexerCSharp::staticMetaObject
    {57, 1426, 464},	// QsciLexerCSharp::tr$
    {57, 1427, 451},	// QsciLexerCSharp::tr$$
    {57, 1428, 453},	// QsciLexerCSharp::tr$$$
    {57, 1430, 465},	// QsciLexerCSharp::trUtf8$
    {57, 1431, 452},	// QsciLexerCSharp::trUtf8$$
    {57, 1432, 454},	// QsciLexerCSharp::trUtf8$$$
    {57, 1480, 468},	// QsciLexerCSharp::~QsciLexerCSharp
    {58, 395, 485},	// QsciLexerCustom::QsciLexerCustom
    {58, 396, 476},	// QsciLexerCustom::QsciLexerCustom#
    {58, 1037, 469},	// QsciLexerCustom::metaObject
    {58, 1078, 475},	// QsciLexerCustom::qt_metacall$$?
    {58, 1080, 470},	// QsciLexerCustom::qt_metacast$
    {58, 1207, 481},	// QsciLexerCustom::setEditor#
    {58, 1352, 478},	// QsciLexerCustom::setStyling$#
    {58, 1353, 477},	// QsciLexerCustom::setStyling$$
    {58, 1402, 486},	// QsciLexerCustom::startStyling$
    {58, 1403, 479},	// QsciLexerCustom::startStyling$$
    {58, 1404, 487},	// QsciLexerCustom::staticMetaObject
    {58, 1407, 482},	// QsciLexerCustom::styleBitsNeeded
    {58, 1411, 480},	// QsciLexerCustom::styleText$$
    {58, 1426, 483},	// QsciLexerCustom::tr$
    {58, 1427, 471},	// QsciLexerCustom::tr$$
    {58, 1428, 473},	// QsciLexerCustom::tr$$$
    {58, 1430, 484},	// QsciLexerCustom::trUtf8$
    {58, 1431, 472},	// QsciLexerCustom::trUtf8$$
    {58, 1432, 474},	// QsciLexerCustom::trUtf8$$$
    {58, 1481, 488},	// QsciLexerCustom::~QsciLexerCustom
    {59, 83, 545},	// QsciLexerD::BackquoteString
    {59, 113, 539},	// QsciLexerD::Character
    {59, 128, 528},	// QsciLexerD::Comment
    {59, 131, 530},	// QsciLexerD::CommentDoc
    {59, 132, 543},	// QsciLexerD::CommentDocKeyword
    {59, 133, 544},	// QsciLexerD::CommentDocKeywordError
    {59, 134, 529},	// QsciLexerD::CommentLine
    {59, 135, 542},	// QsciLexerD::CommentLineDoc
    {59, 137, 531},	// QsciLexerD::CommentNested
    {59, 148, 527},	// QsciLexerD::Default
    {59, 214, 541},	// QsciLexerD::Identifier
    {59, 259, 533},	// QsciLexerD::Keyword
    {59, 260, 535},	// QsciLexerD::KeywordDoc
    {59, 261, 534},	// QsciLexerD::KeywordSecondary
    {59, 264, 547},	// QsciLexerD::KeywordSet5
    {59, 265, 548},	// QsciLexerD::KeywordSet6
    {59, 266, 549},	// QsciLexerD::KeywordSet7
    {59, 304, 532},	// QsciLexerD::Number
    {59, 308, 540},	// QsciLexerD::Operator
    {59, 397, 522},	// QsciLexerD::QsciLexerD
    {59, 398, 496},	// QsciLexerD::QsciLexerD#
    {59, 475, 546},	// QsciLexerD::RawString
    {59, 673, 537},	// QsciLexerD::String
    {59, 707, 536},	// QsciLexerD::Typedefs
    {59, 710, 538},	// QsciLexerD::UnclosedString
    {59, 779, 499},	// QsciLexerD::autoCompletionWordSeparators
    {59, 785, 523},	// QsciLexerD::blockEnd
    {59, 786, 500},	// QsciLexerD::blockEnd$
    {59, 788, 524},	// QsciLexerD::blockStart
    {59, 789, 501},	// QsciLexerD::blockStart$
    {59, 790, 525},	// QsciLexerD::blockStartKeyword
    {59, 791, 502},	// QsciLexerD::blockStartKeyword$
    {59, 793, 503},	// QsciLexerD::braceStyle
    {59, 839, 505},	// QsciLexerD::defaultColor$
    {59, 841, 506},	// QsciLexerD::defaultEolFill$
    {59, 843, 507},	// QsciLexerD::defaultFont$
    {59, 845, 508},	// QsciLexerD::defaultPaper$
    {59, 849, 510},	// QsciLexerD::description$
    {59, 905, 512},	// QsciLexerD::foldAtElse
    {59, 907, 513},	// QsciLexerD::foldComments
    {59, 908, 514},	// QsciLexerD::foldCompact
    {59, 981, 509},	// QsciLexerD::keywords$
    {59, 982, 497},	// QsciLexerD::language
    {59, 987, 498},	// QsciLexerD::lexer
    {59, 1037, 489},	// QsciLexerD::metaObject
    {59, 1078, 495},	// QsciLexerD::qt_metacall$$?
    {59, 1080, 490},	// QsciLexerD::qt_metacast$
    {59, 1085, 518},	// QsciLexerD::readProperties#$
    {59, 1094, 511},	// QsciLexerD::refreshProperties
    {59, 1224, 515},	// QsciLexerD::setFoldAtElse$
    {59, 1228, 516},	// QsciLexerD::setFoldComments$
    {59, 1230, 517},	// QsciLexerD::setFoldCompact$
    {59, 1404, 526},	// QsciLexerD::staticMetaObject
    {59, 1426, 520},	// QsciLexerD::tr$
    {59, 1427, 491},	// QsciLexerD::tr$$
    {59, 1428, 493},	// QsciLexerD::tr$$$
    {59, 1430, 521},	// QsciLexerD::trUtf8$
    {59, 1431, 492},	// QsciLexerD::trUtf8$$
    {59, 1432, 494},	// QsciLexerD::trUtf8$$$
    {59, 1453, 504},	// QsciLexerD::wordCharacters
    {59, 1459, 519},	// QsciLexerD::writeProperties#$
    {59, 1482, 550},	// QsciLexerD::~QsciLexerD
    {60, 127, 570},	// QsciLexerDiff::Command
    {60, 128, 569},	// QsciLexerDiff::Comment
    {60, 148, 568},	// QsciLexerDiff::Default
    {60, 203, 571},	// QsciLexerDiff::Header
    {60, 280, 574},	// QsciLexerDiff::LineAdded
    {60, 281, 575},	// QsciLexerDiff::LineChanged
    {60, 283, 573},	// QsciLexerDiff::LineRemoved
    {60, 343, 572},	// QsciLexerDiff::Position
    {60, 399, 566},	// QsciLexerDiff::QsciLexerDiff
    {60, 400, 558},	// QsciLexerDiff::QsciLexerDiff#
    {60, 839, 562},	// QsciLexerDiff::defaultColor$
    {60, 849, 563},	// QsciLexerDiff::description$
    {60, 982, 559},	// QsciLexerDiff::language
    {60, 987, 560},	// QsciLexerDiff::lexer
    {60, 1037, 551},	// QsciLexerDiff::metaObject
    {60, 1078, 557},	// QsciLexerDiff::qt_metacall$$?
    {60, 1080, 552},	// QsciLexerDiff::qt_metacast$
    {60, 1404, 567},	// QsciLexerDiff::staticMetaObject
    {60, 1426, 564},	// QsciLexerDiff::tr$
    {60, 1427, 553},	// QsciLexerDiff::tr$$
    {60, 1428, 555},	// QsciLexerDiff::tr$$$
    {60, 1430, 565},	// QsciLexerDiff::trUtf8$
    {60, 1431, 554},	// QsciLexerDiff::trUtf8$$
    {60, 1432, 556},	// QsciLexerDiff::trUtf8$$$
    {60, 1453, 561},	// QsciLexerDiff::wordCharacters
    {60, 1483, 576},	// QsciLexerDiff::~QsciLexerDiff
    {61, 401, 590},	// QsciLexerFortran::QsciLexerFortran
    {61, 402, 584},	// QsciLexerFortran::QsciLexerFortran#
    {61, 981, 587},	// QsciLexerFortran::keywords$
    {61, 982, 585},	// QsciLexerFortran::language
    {61, 987, 586},	// QsciLexerFortran::lexer
    {61, 1037, 577},	// QsciLexerFortran::metaObject
    {61, 1078, 583},	// QsciLexerFortran::qt_metacall$$?
    {61, 1080, 578},	// QsciLexerFortran::qt_metacast$
    {61, 1404, 591},	// QsciLexerFortran::staticMetaObject
    {61, 1426, 588},	// QsciLexerFortran::tr$
    {61, 1427, 579},	// QsciLexerFortran::tr$$
    {61, 1428, 581},	// QsciLexerFortran::tr$$$
    {61, 1430, 589},	// QsciLexerFortran::trUtf8$
    {61, 1431, 580},	// QsciLexerFortran::trUtf8$$
    {61, 1432, 582},	// QsciLexerFortran::trUtf8$$$
    {61, 1484, 592},	// QsciLexerFortran::~QsciLexerFortran
    {62, 128, 620},	// QsciLexerFortran77::Comment
    {62, 139, 633},	// QsciLexerFortran77::Continuation
    {62, 148, 619},	// QsciLexerFortran77::Default
    {62, 157, 631},	// QsciLexerFortran77::DottedOperator
    {62, 159, 623},	// QsciLexerFortran77::DoubleQuotedString
    {62, 180, 629},	// QsciLexerFortran77::ExtendedFunction
    {62, 214, 626},	// QsciLexerFortran77::Identifier
    {62, 243, 628},	// QsciLexerFortran77::IntrinsicFunction
    {62, 259, 627},	// QsciLexerFortran77::Keyword
    {62, 269, 632},	// QsciLexerFortran77::Label
    {62, 304, 621},	// QsciLexerFortran77::Number
    {62, 308, 625},	// QsciLexerFortran77::Operator
    {62, 345, 630},	// QsciLexerFortran77::PreProcessor
    {62, 403, 617},	// QsciLexerFortran77::QsciLexerFortran77
    {62, 404, 600},	// QsciLexerFortran77::QsciLexerFortran77#
    {62, 657, 622},	// QsciLexerFortran77::SingleQuotedString
    {62, 710, 624},	// QsciLexerFortran77::UnclosedString
    {62, 793, 603},	// QsciLexerFortran77::braceStyle
    {62, 839, 604},	// QsciLexerFortran77::defaultColor$
    {62, 841, 605},	// QsciLexerFortran77::defaultEolFill$
    {62, 843, 606},	// QsciLexerFortran77::defaultFont$
    {62, 845, 607},	// QsciLexerFortran77::defaultPaper$
    {62, 849, 609},	// QsciLexerFortran77::description$
    {62, 908, 611},	// QsciLexerFortran77::foldCompact
    {62, 981, 608},	// QsciLexerFortran77::keywords$
    {62, 982, 601},	// QsciLexerFortran77::language
    {62, 987, 602},	// QsciLexerFortran77::lexer
    {62, 1037, 593},	// QsciLexerFortran77::metaObject
    {62, 1078, 599},	// QsciLexerFortran77::qt_metacall$$?
    {62, 1080, 594},	// QsciLexerFortran77::qt_metacast$
    {62, 1085, 613},	// QsciLexerFortran77::readProperties#$
    {62, 1094, 610},	// QsciLexerFortran77::refreshProperties
    {62, 1230, 612},	// QsciLexerFortran77::setFoldCompact$
    {62, 1404, 618},	// QsciLexerFortran77::staticMetaObject
    {62, 1426, 615},	// QsciLexerFortran77::tr$
    {62, 1427, 595},	// QsciLexerFortran77::tr$$
    {62, 1428, 597},	// QsciLexerFortran77::tr$$$
    {62, 1430, 616},	// QsciLexerFortran77::trUtf8$
    {62, 1431, 596},	// QsciLexerFortran77::trUtf8$$
    {62, 1432, 598},	// QsciLexerFortran77::trUtf8$$$
    {62, 1459, 614},	// QsciLexerFortran77::writeProperties#$
    {62, 1485, 634},	// QsciLexerFortran77::~QsciLexerFortran77
    {63, 11, 689},	// QsciLexerHTML::ASPAtStart
    {63, 12, 721},	// QsciLexerHTML::ASPJavaScriptComment
    {63, 13, 723},	// QsciLexerHTML::ASPJavaScriptCommentDoc
    {63, 14, 722},	// QsciLexerHTML::ASPJavaScriptCommentLine
    {63, 15, 720},	// QsciLexerHTML::ASPJavaScriptDefault
    {63, 16, 727},	// QsciLexerHTML::ASPJavaScriptDoubleQuotedString
    {63, 17, 726},	// QsciLexerHTML::ASPJavaScriptKeyword
    {63, 18, 724},	// QsciLexerHTML::ASPJavaScriptNumber
    {63, 19, 731},	// QsciLexerHTML::ASPJavaScriptRegex
    {63, 20, 728},	// QsciLexerHTML::ASPJavaScriptSingleQuotedString
    {63, 21, 719},	// QsciLexerHTML::ASPJavaScriptStart
    {63, 22, 729},	// QsciLexerHTML::ASPJavaScriptSymbol
    {63, 23, 730},	// QsciLexerHTML::ASPJavaScriptUnclosedString
    {63, 24, 725},	// QsciLexerHTML::ASPJavaScriptWord
    {63, 25, 770},	// QsciLexerHTML::ASPPythonClassName
    {63, 26, 763},	// QsciLexerHTML::ASPPythonComment
    {63, 27, 762},	// QsciLexerHTML::ASPPythonDefault
    {63, 28, 765},	// QsciLexerHTML::ASPPythonDoubleQuotedString
    {63, 29, 771},	// QsciLexerHTML::ASPPythonFunctionMethodName
    {63, 30, 773},	// QsciLexerHTML::ASPPythonIdentifier
    {63, 31, 767},	// QsciLexerHTML::ASPPythonKeyword
    {63, 32, 764},	// QsciLexerHTML::ASPPythonNumber
    {63, 33, 772},	// QsciLexerHTML::ASPPythonOperator
    {63, 34, 766},	// QsciLexerHTML::ASPPythonSingleQuotedString
    {63, 35, 761},	// QsciLexerHTML::ASPPythonStart
    {63, 36, 769},	// QsciLexerHTML::ASPPythonTripleDoubleQuotedString
    {63, 37, 768},	// QsciLexerHTML::ASPPythonTripleSingleQuotedString
    {63, 38, 690},	// QsciLexerHTML::ASPStart
    {63, 39, 742},	// QsciLexerHTML::ASPVBScriptComment
    {63, 40, 741},	// QsciLexerHTML::ASPVBScriptDefault
    {63, 41, 746},	// QsciLexerHTML::ASPVBScriptIdentifier
    {63, 42, 744},	// QsciLexerHTML::ASPVBScriptKeyword
    {63, 43, 743},	// QsciLexerHTML::ASPVBScriptNumber
    {63, 44, 740},	// QsciLexerHTML::ASPVBScriptStart
    {63, 45, 745},	// QsciLexerHTML::ASPVBScriptString
    {63, 46, 747},	// QsciLexerHTML::ASPVBScriptUnclosedString
    {63, 47, 694},	// QsciLexerHTML::ASPXCComment
    {63, 69, 677},	// QsciLexerHTML::Attribute
    {63, 104, 691},	// QsciLexerHTML::CDATA
    {63, 148, 674},	// QsciLexerHTML::Default
    {63, 170, 684},	// QsciLexerHTML::Entity
    {63, 197, 683},	// QsciLexerHTML::HTMLComment
    {63, 198, 680},	// QsciLexerHTML::HTMLDoubleQuotedString
    {63, 199, 679},	// QsciLexerHTML::HTMLNumber
    {63, 200, 681},	// QsciLexerHTML::HTMLSingleQuotedString
    {63, 201, 693},	// QsciLexerHTML::HTMLValue
    {63, 245, 708},	// QsciLexerHTML::JavaScriptComment
    {63, 246, 710},	// QsciLexerHTML::JavaScriptCommentDoc
    {63, 247, 709},	// QsciLexerHTML::JavaScriptCommentLine
    {63, 248, 707},	// QsciLexerHTML::JavaScriptDefault
    {63, 249, 714},	// QsciLexerHTML::JavaScriptDoubleQuotedString
    {63, 250, 713},	// QsciLexerHTML::JavaScriptKeyword
    {63, 251, 711},	// QsciLexerHTML::JavaScriptNumber
    {63, 252, 718},	// QsciLexerHTML::JavaScriptRegex
    {63, 253, 715},	// QsciLexerHTML::JavaScriptSingleQuotedString
    {63, 254, 706},	// QsciLexerHTML::JavaScriptStart
    {63, 255, 716},	// QsciLexerHTML::JavaScriptSymbol
    {63, 256, 717},	// QsciLexerHTML::JavaScriptUnclosedString
    {63, 257, 712},	// QsciLexerHTML::JavaScriptWord
    {63, 310, 682},	// QsciLexerHTML::OtherInTag
    {63, 311, 780},	// QsciLexerHTML::PHPComment
    {63, 312, 781},	// QsciLexerHTML::PHPCommentLine
    {63, 313, 774},	// QsciLexerHTML::PHPDefault
    {63, 314, 775},	// QsciLexerHTML::PHPDoubleQuotedString
    {63, 315, 782},	// QsciLexerHTML::PHPDoubleQuotedVariable
    {63, 316, 777},	// QsciLexerHTML::PHPKeyword
    {63, 317, 778},	// QsciLexerHTML::PHPNumber
    {63, 318, 783},	// QsciLexerHTML::PHPOperator
    {63, 319, 776},	// QsciLexerHTML::PHPSingleQuotedString
    {63, 320, 692},	// QsciLexerHTML::PHPStart
    {63, 321, 779},	// QsciLexerHTML::PHPVariable
    {63, 354, 757},	// QsciLexerHTML::PythonClassName
    {63, 355, 750},	// QsciLexerHTML::PythonComment
    {63, 356, 749},	// QsciLexerHTML::PythonDefault
    {63, 357, 752},	// QsciLexerHTML::PythonDoubleQuotedString
    {63, 358, 758},	// QsciLexerHTML::PythonFunctionMethodName
    {63, 359, 760},	// QsciLexerHTML::PythonIdentifier
    {63, 360, 754},	// QsciLexerHTML::PythonKeyword
    {63, 361, 751},	// QsciLexerHTML::PythonNumber
    {63, 362, 759},	// QsciLexerHTML::PythonOperator
    {63, 363, 753},	// QsciLexerHTML::PythonSingleQuotedString
    {63, 364, 748},	// QsciLexerHTML::PythonStart
    {63, 365, 756},	// QsciLexerHTML::PythonTripleDoubleQuotedString
    {63, 366, 755},	// QsciLexerHTML::PythonTripleSingleQuotedString
    {63, 405, 672},	// QsciLexerHTML::QsciLexerHTML
    {63, 406, 642},	// QsciLexerHTML::QsciLexerHTML#
    {63, 628, 705},	// QsciLexerHTML::SGMLBlockDefault
    {63, 629, 696},	// QsciLexerHTML::SGMLCommand
    {63, 630, 703},	// QsciLexerHTML::SGMLComment
    {63, 631, 695},	// QsciLexerHTML::SGMLDefault
    {63, 632, 698},	// QsciLexerHTML::SGMLDoubleQuotedString
    {63, 633, 702},	// QsciLexerHTML::SGMLEntity
    {63, 634, 700},	// QsciLexerHTML::SGMLError
    {63, 635, 697},	// QsciLexerHTML::SGMLParameter
    {63, 636, 704},	// QsciLexerHTML::SGMLParameterComment
    {63, 637, 699},	// QsciLexerHTML::SGMLSingleQuotedString
    {63, 638, 701},	// QsciLexerHTML::SGMLSpecial
    {63, 641, 688},	// QsciLexerHTML::Script
    {63, 694, 675},	// QsciLexerHTML::Tag
    {63, 712, 678},	// QsciLexerHTML::UnknownAttribute
    {63, 715, 676},	// QsciLexerHTML::UnknownTag
    {63, 717, 734},	// QsciLexerHTML::VBScriptComment
    {63, 718, 733},	// QsciLexerHTML::VBScriptDefault
    {63, 719, 738},	// QsciLexerHTML::VBScriptIdentifier
    {63, 720, 736},	// QsciLexerHTML::VBScriptKeyword
    {63, 721, 735},	// QsciLexerHTML::VBScriptNumber
    {63, 722, 732},	// QsciLexerHTML::VBScriptStart
    {63, 723, 737},	// QsciLexerHTML::VBScriptString
    {63, 724, 739},	// QsciLexerHTML::VBScriptUnclosedString
    {63, 743, 687},	// QsciLexerHTML::XMLEnd
    {63, 744, 686},	// QsciLexerHTML::XMLStart
    {63, 745, 685},	// QsciLexerHTML::XMLTagEnd
    {63, 770, 645},	// QsciLexerHTML::autoCompletionFillups
    {63, 804, 654},	// QsciLexerHTML::caseSensitiveTags
    {63, 839, 647},	// QsciLexerHTML::defaultColor$
    {63, 841, 648},	// QsciLexerHTML::defaultEolFill$
    {63, 843, 649},	// QsciLexerHTML::defaultFont$
    {63, 845, 650},	// QsciLexerHTML::defaultPaper$
    {63, 849, 652},	// QsciLexerHTML::description$
    {63, 852, 656},	// QsciLexerHTML::djangoTemplates
    {63, 908, 657},	// QsciLexerHTML::foldCompact
    {63, 915, 658},	// QsciLexerHTML::foldPreprocessor
    {63, 917, 660},	// QsciLexerHTML::foldScriptComments
    {63, 918, 662},	// QsciLexerHTML::foldScriptHeredocs
    {63, 981, 651},	// QsciLexerHTML::keywords$
    {63, 982, 643},	// QsciLexerHTML::language
    {63, 987, 644},	// QsciLexerHTML::lexer
    {63, 1002, 664},	// QsciLexerHTML::makoTemplates
    {63, 1037, 635},	// QsciLexerHTML::metaObject
    {63, 1078, 641},	// QsciLexerHTML::qt_metacall$$?
    {63, 1080, 636},	// QsciLexerHTML::qt_metacast$
    {63, 1085, 668},	// QsciLexerHTML::readProperties#$
    {63, 1094, 653},	// QsciLexerHTML::refreshProperties
    {63, 1174, 667},	// QsciLexerHTML::setCaseSensitiveTags$
    {63, 1193, 655},	// QsciLexerHTML::setDjangoTemplates$
    {63, 1230, 665},	// QsciLexerHTML::setFoldCompact$
    {63, 1242, 666},	// QsciLexerHTML::setFoldPreprocessor$
    {63, 1246, 659},	// QsciLexerHTML::setFoldScriptComments$
    {63, 1248, 661},	// QsciLexerHTML::setFoldScriptHeredocs$
    {63, 1290, 663},	// QsciLexerHTML::setMakoTemplates$
    {63, 1404, 673},	// QsciLexerHTML::staticMetaObject
    {63, 1426, 670},	// QsciLexerHTML::tr$
    {63, 1427, 637},	// QsciLexerHTML::tr$$
    {63, 1428, 639},	// QsciLexerHTML::tr$$$
    {63, 1430, 671},	// QsciLexerHTML::trUtf8$
    {63, 1431, 638},	// QsciLexerHTML::trUtf8$$
    {63, 1432, 640},	// QsciLexerHTML::trUtf8$$$
    {63, 1453, 646},	// QsciLexerHTML::wordCharacters
    {63, 1459, 669},	// QsciLexerHTML::writeProperties#$
    {63, 1486, 784},	// QsciLexerHTML::~QsciLexerHTML
    {64, 407, 799},	// QsciLexerIDL::QsciLexerIDL
    {64, 408, 792},	// QsciLexerIDL::QsciLexerIDL#
    {64, 839, 794},	// QsciLexerIDL::defaultColor$
    {64, 849, 796},	// QsciLexerIDL::description$
    {64, 981, 795},	// QsciLexerIDL::keywords$
    {64, 982, 793},	// QsciLexerIDL::language
    {64, 1037, 785},	// QsciLexerIDL::metaObject
    {64, 1078, 791},	// QsciLexerIDL::qt_metacall$$?
    {64, 1080, 786},	// QsciLexerIDL::qt_metacast$
    {64, 1404, 800},	// QsciLexerIDL::staticMetaObject
    {64, 1426, 797},	// QsciLexerIDL::tr$
    {64, 1427, 787},	// QsciLexerIDL::tr$$
    {64, 1428, 789},	// QsciLexerIDL::tr$$$
    {64, 1430, 798},	// QsciLexerIDL::trUtf8$
    {64, 1431, 788},	// QsciLexerIDL::trUtf8$$
    {64, 1432, 790},	// QsciLexerIDL::trUtf8$$$
    {64, 1487, 801},	// QsciLexerIDL::~QsciLexerIDL
    {65, 409, 814},	// QsciLexerJava::QsciLexerJava
    {65, 410, 809},	// QsciLexerJava::QsciLexerJava#
    {65, 981, 811},	// QsciLexerJava::keywords$
    {65, 982, 810},	// QsciLexerJava::language
    {65, 1037, 802},	// QsciLexerJava::metaObject
    {65, 1078, 808},	// QsciLexerJava::qt_metacall$$?
    {65, 1080, 803},	// QsciLexerJava::qt_metacast$
    {65, 1404, 815},	// QsciLexerJava::staticMetaObject
    {65, 1426, 812},	// QsciLexerJava::tr$
    {65, 1427, 804},	// QsciLexerJava::tr$$
    {65, 1428, 806},	// QsciLexerJava::tr$$$
    {65, 1430, 813},	// QsciLexerJava::trUtf8$
    {65, 1431, 805},	// QsciLexerJava::trUtf8$$
    {65, 1432, 807},	// QsciLexerJava::trUtf8$$$
    {65, 1488, 816},	// QsciLexerJava::~QsciLexerJava
    {66, 411, 834},	// QsciLexerJavaScript::QsciLexerJavaScript
    {66, 412, 824},	// QsciLexerJavaScript::QsciLexerJavaScript#
    {66, 839, 826},	// QsciLexerJavaScript::defaultColor$
    {66, 841, 827},	// QsciLexerJavaScript::defaultEolFill$
    {66, 843, 828},	// QsciLexerJavaScript::defaultFont$
    {66, 845, 829},	// QsciLexerJavaScript::defaultPaper$
    {66, 849, 831},	// QsciLexerJavaScript::description$
    {66, 981, 830},	// QsciLexerJavaScript::keywords$
    {66, 982, 825},	// QsciLexerJavaScript::language
    {66, 1037, 817},	// QsciLexerJavaScript::metaObject
    {66, 1078, 823},	// QsciLexerJavaScript::qt_metacall$$?
    {66, 1080, 818},	// QsciLexerJavaScript::qt_metacast$
    {66, 1404, 835},	// QsciLexerJavaScript::staticMetaObject
    {66, 1426, 832},	// QsciLexerJavaScript::tr$
    {66, 1427, 819},	// QsciLexerJavaScript::tr$$
    {66, 1428, 821},	// QsciLexerJavaScript::tr$$$
    {66, 1430, 833},	// QsciLexerJavaScript::trUtf8$
    {66, 1431, 820},	// QsciLexerJavaScript::trUtf8$$
    {66, 1432, 822},	// QsciLexerJavaScript::trUtf8$$$
    {66, 1489, 836},	// QsciLexerJavaScript::~QsciLexerJavaScript
    {67, 89, 878},	// QsciLexerLua::BasicFunctions
    {67, 113, 872},	// QsciLexerLua::Character
    {67, 128, 867},	// QsciLexerLua::Comment
    {67, 140, 880},	// QsciLexerLua::CoroutinesIOSystemFacilities
    {67, 148, 866},	// QsciLexerLua::Default
    {67, 214, 876},	// QsciLexerLua::Identifier
    {67, 259, 870},	// QsciLexerLua::Keyword
    {67, 264, 881},	// QsciLexerLua::KeywordSet5
    {67, 265, 882},	// QsciLexerLua::KeywordSet6
    {67, 266, 883},	// QsciLexerLua::KeywordSet7
    {67, 267, 884},	// QsciLexerLua::KeywordSet8
    {67, 282, 868},	// QsciLexerLua::LineComment
    {67, 285, 873},	// QsciLexerLua::LiteralString
    {67, 304, 869},	// QsciLexerLua::Number
    {67, 308, 875},	// QsciLexerLua::Operator
    {67, 349, 874},	// QsciLexerLua::Preprocessor
    {67, 413, 863},	// QsciLexerLua::QsciLexerLua
    {67, 414, 844},	// QsciLexerLua::QsciLexerLua#
    {67, 673, 871},	// QsciLexerLua::String
    {67, 676, 879},	// QsciLexerLua::StringTableMathsFunctions
    {67, 710, 877},	// QsciLexerLua::UnclosedString
    {67, 779, 847},	// QsciLexerLua::autoCompletionWordSeparators
    {67, 788, 864},	// QsciLexerLua::blockStart
    {67, 789, 848},	// QsciLexerLua::blockStart$
    {67, 793, 849},	// QsciLexerLua::braceStyle
    {67, 839, 850},	// QsciLexerLua::defaultColor$
    {67, 841, 851},	// QsciLexerLua::defaultEolFill$
    {67, 843, 852},	// QsciLexerLua::defaultFont$
    {67, 845, 853},	// QsciLexerLua::defaultPaper$
    {67, 849, 855},	// QsciLexerLua::description$
    {67, 908, 857},	// QsciLexerLua::foldCompact
    {67, 981, 854},	// QsciLexerLua::keywords$
    {67, 982, 845},	// QsciLexerLua::language
    {67, 987, 846},	// QsciLexerLua::lexer
    {67, 1037, 837},	// QsciLexerLua::metaObject
    {67, 1078, 843},	// QsciLexerLua::qt_metacall$$?
    {67, 1080, 838},	// QsciLexerLua::qt_metacast$
    {67, 1085, 859},	// QsciLexerLua::readProperties#$
    {67, 1094, 856},	// QsciLexerLua::refreshProperties
    {67, 1230, 858},	// QsciLexerLua::setFoldCompact$
    {67, 1404, 865},	// QsciLexerLua::staticMetaObject
    {67, 1426, 861},	// QsciLexerLua::tr$
    {67, 1427, 839},	// QsciLexerLua::tr$$
    {67, 1428, 841},	// QsciLexerLua::tr$$$
    {67, 1430, 862},	// QsciLexerLua::trUtf8$
    {67, 1431, 840},	// QsciLexerLua::trUtf8$$
    {67, 1432, 842},	// QsciLexerLua::trUtf8$$$
    {67, 1459, 860},	// QsciLexerLua::writeProperties#$
    {67, 1490, 885},	// QsciLexerLua::~QsciLexerLua
    {68, 128, 907},	// QsciLexerMakefile::Comment
    {68, 148, 906},	// QsciLexerMakefile::Default
    {68, 176, 912},	// QsciLexerMakefile::Error
    {68, 308, 910},	// QsciLexerMakefile::Operator
    {68, 349, 908},	// QsciLexerMakefile::Preprocessor
    {68, 415, 904},	// QsciLexerMakefile::QsciLexerMakefile
    {68, 416, 893},	// QsciLexerMakefile::QsciLexerMakefile#
    {68, 695, 911},	// QsciLexerMakefile::Target
    {68, 727, 909},	// QsciLexerMakefile::Variable
    {68, 839, 897},	// QsciLexerMakefile::defaultColor$
    {68, 841, 898},	// QsciLexerMakefile::defaultEolFill$
    {68, 843, 899},	// QsciLexerMakefile::defaultFont$
    {68, 845, 900},	// QsciLexerMakefile::defaultPaper$
    {68, 849, 901},	// QsciLexerMakefile::description$
    {68, 982, 894},	// QsciLexerMakefile::language
    {68, 987, 895},	// QsciLexerMakefile::lexer
    {68, 1037, 886},	// QsciLexerMakefile::metaObject
    {68, 1078, 892},	// QsciLexerMakefile::qt_metacall$$?
    {68, 1080, 887},	// QsciLexerMakefile::qt_metacast$
    {68, 1404, 905},	// QsciLexerMakefile::staticMetaObject
    {68, 1426, 902},	// QsciLexerMakefile::tr$
    {68, 1427, 888},	// QsciLexerMakefile::tr$$
    {68, 1428, 890},	// QsciLexerMakefile::tr$$$
    {68, 1430, 903},	// QsciLexerMakefile::trUtf8$
    {68, 1431, 889},	// QsciLexerMakefile::trUtf8$$
    {68, 1432, 891},	// QsciLexerMakefile::trUtf8$$$
    {68, 1453, 896},	// QsciLexerMakefile::wordCharacters
    {68, 1491, 913},	// QsciLexerMakefile::~QsciLexerMakefile
    {69, 86, 954},	// QsciLexerPOV::BadDirective
    {69, 128, 946},	// QsciLexerPOV::Comment
    {69, 134, 947},	// QsciLexerPOV::CommentLine
    {69, 148, 945},	// QsciLexerPOV::Default
    {69, 155, 953},	// QsciLexerPOV::Directive
    {69, 214, 950},	// QsciLexerPOV::Identifier
    {69, 265, 959},	// QsciLexerPOV::KeywordSet6
    {69, 266, 960},	// QsciLexerPOV::KeywordSet7
    {69, 267, 961},	// QsciLexerPOV::KeywordSet8
    {69, 304, 948},	// QsciLexerPOV::Number
    {69, 306, 955},	// QsciLexerPOV::ObjectsCSGAppearance
    {69, 308, 949},	// QsciLexerPOV::Operator
    {69, 347, 958},	// QsciLexerPOV::PredefinedFunctions
    {69, 348, 957},	// QsciLexerPOV::PredefinedIdentifiers
    {69, 417, 943},	// QsciLexerPOV::QsciLexerPOV
    {69, 418, 921},	// QsciLexerPOV::QsciLexerPOV#
    {69, 673, 951},	// QsciLexerPOV::String
    {69, 708, 956},	// QsciLexerPOV::TypesModifiersItems
    {69, 710, 952},	// QsciLexerPOV::UnclosedString
    {69, 793, 924},	// QsciLexerPOV::braceStyle
    {69, 839, 926},	// QsciLexerPOV::defaultColor$
    {69, 841, 927},	// QsciLexerPOV::defaultEolFill$
    {69, 843, 928},	// QsciLexerPOV::defaultFont$
    {69, 845, 929},	// QsciLexerPOV::defaultPaper$
    {69, 849, 931},	// QsciLexerPOV::description$
    {69, 907, 933},	// QsciLexerPOV::foldComments
    {69, 908, 934},	// QsciLexerPOV::foldCompact
    {69, 909, 935},	// QsciLexerPOV::foldDirectives
    {69, 981, 930},	// QsciLexerPOV::keywords$
    {69, 982, 922},	// QsciLexerPOV::language
    {69, 987, 923},	// QsciLexerPOV::lexer
    {69, 1037, 914},	// QsciLexerPOV::metaObject
    {69, 1078, 920},	// QsciLexerPOV::qt_metacall$$?
    {69, 1080, 915},	// QsciLexerPOV::qt_metacast$
    {69, 1085, 939},	// QsciLexerPOV::readProperties#$
    {69, 1094, 932},	// QsciLexerPOV::refreshProperties
    {69, 1228, 936},	// QsciLexerPOV::setFoldComments$
    {69, 1230, 937},	// QsciLexerPOV::setFoldCompact$
    {69, 1232, 938},	// QsciLexerPOV::setFoldDirectives$
    {69, 1404, 944},	// QsciLexerPOV::staticMetaObject
    {69, 1426, 941},	// QsciLexerPOV::tr$
    {69, 1427, 916},	// QsciLexerPOV::tr$$
    {69, 1428, 918},	// QsciLexerPOV::tr$$$
    {69, 1430, 942},	// QsciLexerPOV::trUtf8$
    {69, 1431, 917},	// QsciLexerPOV::trUtf8$$
    {69, 1432, 919},	// QsciLexerPOV::trUtf8$$$
    {69, 1453, 925},	// QsciLexerPOV::wordCharacters
    {69, 1459, 940},	// QsciLexerPOV::writeProperties#$
    {69, 1492, 962},	// QsciLexerPOV::~QsciLexerPOV
    {70, 66, 1016},	// QsciLexerPascal::Asm
    {70, 113, 1014},	// QsciLexerPascal::Character
    {70, 128, 1004},	// QsciLexerPascal::Comment
    {70, 134, 1006},	// QsciLexerPascal::CommentLine
    {70, 138, 1005},	// QsciLexerPascal::CommentParenthesis
    {70, 148, 1002},	// QsciLexerPascal::Default
    {70, 206, 1010},	// QsciLexerPascal::HexNumber
    {70, 214, 1003},	// QsciLexerPascal::Identifier
    {70, 259, 1011},	// QsciLexerPascal::Keyword
    {70, 304, 1009},	// QsciLexerPascal::Number
    {70, 308, 1015},	// QsciLexerPascal::Operator
    {70, 345, 1007},	// QsciLexerPascal::PreProcessor
    {70, 346, 1008},	// QsciLexerPascal::PreProcessorParenthesis
    {70, 419, 997},	// QsciLexerPascal::QsciLexerPascal
    {70, 420, 970},	// QsciLexerPascal::QsciLexerPascal#
    {70, 657, 1012},	// QsciLexerPascal::SingleQuotedString
    {70, 710, 1013},	// QsciLexerPascal::UnclosedString
    {70, 779, 973},	// QsciLexerPascal::autoCompletionWordSeparators
    {70, 785, 998},	// QsciLexerPascal::blockEnd
    {70, 786, 974},	// QsciLexerPascal::blockEnd$
    {70, 788, 999},	// QsciLexerPascal::blockStart
    {70, 789, 975},	// QsciLexerPascal::blockStart$
    {70, 790, 1000},	// QsciLexerPascal::blockStartKeyword
    {70, 791, 976},	// QsciLexerPascal::blockStartKeyword$
    {70, 793, 977},	// QsciLexerPascal::braceStyle
    {70, 839, 978},	// QsciLexerPascal::defaultColor$
    {70, 841, 979},	// QsciLexerPascal::defaultEolFill$
    {70, 843, 980},	// QsciLexerPascal::defaultFont$
    {70, 845, 981},	// QsciLexerPascal::defaultPaper$
    {70, 849, 983},	// QsciLexerPascal::description$
    {70, 907, 985},	// QsciLexerPascal::foldComments
    {70, 908, 986},	// QsciLexerPascal::foldCompact
    {70, 915, 987},	// QsciLexerPascal::foldPreprocessor
    {70, 981, 982},	// QsciLexerPascal::keywords$
    {70, 982, 971},	// QsciLexerPascal::language
    {70, 987, 972},	// QsciLexerPascal::lexer
    {70, 1037, 963},	// QsciLexerPascal::metaObject
    {70, 1078, 969},	// QsciLexerPascal::qt_metacall$$?
    {70, 1080, 964},	// QsciLexerPascal::qt_metacast$
    {70, 1085, 993},	// QsciLexerPascal::readProperties#$
    {70, 1094, 984},	// QsciLexerPascal::refreshProperties
    {70, 1228, 990},	// QsciLexerPascal::setFoldComments$
    {70, 1230, 991},	// QsciLexerPascal::setFoldCompact$
    {70, 1242, 992},	// QsciLexerPascal::setFoldPreprocessor$
    {70, 1346, 988},	// QsciLexerPascal::setSmartHighlighting$
    {70, 1398, 989},	// QsciLexerPascal::smartHighlighting
    {70, 1404, 1001},	// QsciLexerPascal::staticMetaObject
    {70, 1426, 995},	// QsciLexerPascal::tr$
    {70, 1427, 965},	// QsciLexerPascal::tr$$
    {70, 1428, 967},	// QsciLexerPascal::tr$$$
    {70, 1430, 996},	// QsciLexerPascal::trUtf8$
    {70, 1431, 966},	// QsciLexerPascal::trUtf8$$
    {70, 1432, 968},	// QsciLexerPascal::trUtf8$$$
    {70, 1459, 994},	// QsciLexerPascal::writeProperties#$
    {70, 1493, 1017},	// QsciLexerPascal::~QsciLexerPascal
    {71, 64, 1063},	// QsciLexerPerl::Array
    {71, 84, 1073},	// QsciLexerPerl::BacktickHereDocument
    {71, 85, 1068},	// QsciLexerPerl::Backticks
    {71, 128, 1054},	// QsciLexerPerl::Comment
    {71, 146, 1069},	// QsciLexerPerl::DataSection
    {71, 148, 1052},	// QsciLexerPerl::Default
    {71, 158, 1072},	// QsciLexerPerl::DoubleQuotedHereDocument
    {71, 159, 1058},	// QsciLexerPerl::DoubleQuotedString
    {71, 176, 1053},	// QsciLexerPerl::Error
    {71, 187, 1082},	// QsciLexerPerl::FormatBody
    {71, 188, 1081},	// QsciLexerPerl::FormatIdentifier
    {71, 202, 1064},	// QsciLexerPerl::Hash
    {71, 205, 1070},	// QsciLexerPerl::HereDocumentDelimiter
    {71, 214, 1061},	// QsciLexerPerl::Identifier
    {71, 259, 1057},	// QsciLexerPerl::Keyword
    {71, 304, 1056},	// QsciLexerPerl::Number
    {71, 308, 1060},	// QsciLexerPerl::Operator
    {71, 322, 1055},	// QsciLexerPerl::POD
    {71, 323, 1079},	// QsciLexerPerl::PODVerbatim
    {71, 421, 1050},	// QsciLexerPerl::QsciLexerPerl
    {71, 422, 1025},	// QsciLexerPerl::QsciLexerPerl#
    {71, 469, 1074},	// QsciLexerPerl::QuotedStringQ
    {71, 470, 1075},	// QsciLexerPerl::QuotedStringQQ
    {71, 471, 1077},	// QsciLexerPerl::QuotedStringQR
    {71, 472, 1078},	// QsciLexerPerl::QuotedStringQW
    {71, 473, 1076},	// QsciLexerPerl::QuotedStringQX
    {71, 478, 1066},	// QsciLexerPerl::Regex
    {71, 639, 1062},	// QsciLexerPerl::Scalar
    {71, 656, 1071},	// QsciLexerPerl::SingleQuotedHereDocument
    {71, 657, 1059},	// QsciLexerPerl::SingleQuotedString
    {71, 679, 1080},	// QsciLexerPerl::SubroutinePrototype
    {71, 680, 1067},	// QsciLexerPerl::Substitution
    {71, 687, 1065},	// QsciLexerPerl::SymbolTable
    {71, 779, 1028},	// QsciLexerPerl::autoCompletionWordSeparators
    {71, 793, 1029},	// QsciLexerPerl::braceStyle
    {71, 839, 1031},	// QsciLexerPerl::defaultColor$
    {71, 841, 1032},	// QsciLexerPerl::defaultEolFill$
    {71, 843, 1033},	// QsciLexerPerl::defaultFont$
    {71, 845, 1034},	// QsciLexerPerl::defaultPaper$
    {71, 849, 1036},	// QsciLexerPerl::description$
    {71, 907, 1038},	// QsciLexerPerl::foldComments
    {71, 908, 1039},	// QsciLexerPerl::foldCompact
    {71, 913, 1043},	// QsciLexerPerl::foldPODBlocks
    {71, 914, 1041},	// QsciLexerPerl::foldPackages
    {71, 981, 1035},	// QsciLexerPerl::keywords$
    {71, 982, 1026},	// QsciLexerPerl::language
    {71, 987, 1027},	// QsciLexerPerl::lexer
    {71, 1037, 1018},	// QsciLexerPerl::metaObject
    {71, 1078, 1024},	// QsciLexerPerl::qt_metacall$$?
    {71, 1080, 1019},	// QsciLexerPerl::qt_metacast$
    {71, 1085, 1046},	// QsciLexerPerl::readProperties#$
    {71, 1094, 1037},	// QsciLexerPerl::refreshProperties
    {71, 1228, 1044},	// QsciLexerPerl::setFoldComments$
    {71, 1230, 1045},	// QsciLexerPerl::setFoldCompact$
    {71, 1238, 1042},	// QsciLexerPerl::setFoldPODBlocks$
    {71, 1240, 1040},	// QsciLexerPerl::setFoldPackages$
    {71, 1404, 1051},	// QsciLexerPerl::staticMetaObject
    {71, 1426, 1048},	// QsciLexerPerl::tr$
    {71, 1427, 1020},	// QsciLexerPerl::tr$$
    {71, 1428, 1022},	// QsciLexerPerl::tr$$$
    {71, 1430, 1049},	// QsciLexerPerl::trUtf8$
    {71, 1431, 1021},	// QsciLexerPerl::trUtf8$$
    {71, 1432, 1023},	// QsciLexerPerl::trUtf8$$$
    {71, 1453, 1030},	// QsciLexerPerl::wordCharacters
    {71, 1459, 1047},	// QsciLexerPerl::writeProperties#$
    {71, 1494, 1083},	// QsciLexerPerl::~QsciLexerPerl
    {72, 65, 1124},	// QsciLexerPostScript::ArrayParenthesis
    {72, 87, 1130},	// QsciLexerPostScript::BadStringCharacter
    {72, 88, 1129},	// QsciLexerPostScript::Base85String
    {72, 128, 1116},	// QsciLexerPostScript::Comment
    {72, 144, 1117},	// QsciLexerPostScript::DSCComment
    {72, 145, 1118},	// QsciLexerPostScript::DSCCommentValue
    {72, 148, 1115},	// QsciLexerPostScript::Default
    {72, 153, 1125},	// QsciLexerPostScript::DictionaryParenthesis
    {72, 207, 1128},	// QsciLexerPostScript::HexString
    {72, 217, 1123},	// QsciLexerPostScript::ImmediateEvalLiteral
    {72, 259, 1121},	// QsciLexerPostScript::Keyword
    {72, 284, 1122},	// QsciLexerPostScript::Literal
    {72, 298, 1120},	// QsciLexerPostScript::Name
    {72, 304, 1119},	// QsciLexerPostScript::Number
    {72, 351, 1126},	// QsciLexerPostScript::ProcedureParenthesis
    {72, 423, 1113},	// QsciLexerPostScript::QsciLexerPostScript
    {72, 424, 1091},	// QsciLexerPostScript::QsciLexerPostScript#
    {72, 696, 1127},	// QsciLexerPostScript::Text
    {72, 793, 1094},	// QsciLexerPostScript::braceStyle
    {72, 839, 1095},	// QsciLexerPostScript::defaultColor$
    {72, 843, 1096},	// QsciLexerPostScript::defaultFont$
    {72, 845, 1097},	// QsciLexerPostScript::defaultPaper$
    {72, 849, 1099},	// QsciLexerPostScript::description$
    {72, 905, 1104},	// QsciLexerPostScript::foldAtElse
    {72, 908, 1103},	// QsciLexerPostScript::foldCompact
    {72, 981, 1098},	// QsciLexerPostScript::keywords$
    {72, 982, 1092},	// QsciLexerPostScript::language
    {72, 986, 1102},	// QsciLexerPostScript::level
    {72, 987, 1093},	// QsciLexerPostScript::lexer
    {72, 1037, 1084},	// QsciLexerPostScript::metaObject
    {72, 1078, 1090},	// QsciLexerPostScript::qt_metacall$$?
    {72, 1080, 1085},	// QsciLexerPostScript::qt_metacast$
    {72, 1085, 1109},	// QsciLexerPostScript::readProperties#$
    {72, 1094, 1100},	// QsciLexerPostScript::refreshProperties
    {72, 1224, 1108},	// QsciLexerPostScript::setFoldAtElse$
    {72, 1230, 1107},	// QsciLexerPostScript::setFoldCompact$
    {72, 1284, 1106},	// QsciLexerPostScript::setLevel$
    {72, 1363, 1105},	// QsciLexerPostScript::setTokenize$
    {72, 1404, 1114},	// QsciLexerPostScript::staticMetaObject
    {72, 1424, 1101},	// QsciLexerPostScript::tokenize
    {72, 1426, 1111},	// QsciLexerPostScript::tr$
    {72, 1427, 1086},	// QsciLexerPostScript::tr$$
    {72, 1428, 1088},	// QsciLexerPostScript::tr$$$
    {72, 1430, 1112},	// QsciLexerPostScript::trUtf8$
    {72, 1431, 1087},	// QsciLexerPostScript::trUtf8$$
    {72, 1432, 1089},	// QsciLexerPostScript::trUtf8$$$
    {72, 1459, 1110},	// QsciLexerPostScript::writeProperties#$
    {72, 1495, 1131},	// QsciLexerPostScript::~QsciLexerPostScript
    {73, 67, 1162},	// QsciLexerProperties::Assignment
    {73, 128, 1160},	// QsciLexerProperties::Comment
    {73, 148, 1159},	// QsciLexerProperties::Default
    {73, 149, 1163},	// QsciLexerProperties::DefaultValue
    {73, 258, 1164},	// QsciLexerProperties::Key
    {73, 425, 1157},	// QsciLexerProperties::QsciLexerProperties
    {73, 426, 1139},	// QsciLexerProperties::QsciLexerProperties#
    {73, 642, 1161},	// QsciLexerProperties::Section
    {73, 839, 1143},	// QsciLexerProperties::defaultColor$
    {73, 841, 1144},	// QsciLexerProperties::defaultEolFill$
    {73, 843, 1145},	// QsciLexerProperties::defaultFont$
    {73, 845, 1146},	// QsciLexerProperties::defaultPaper$
    {73, 849, 1147},	// QsciLexerProperties::description$
    {73, 908, 1149},	// QsciLexerProperties::foldCompact
    {73, 956, 1151},	// QsciLexerProperties::initialSpaces
    {73, 982, 1140},	// QsciLexerProperties::language
    {73, 987, 1141},	// QsciLexerProperties::lexer
    {73, 1037, 1132},	// QsciLexerProperties::metaObject
    {73, 1078, 1138},	// QsciLexerProperties::qt_metacall$$?
    {73, 1080, 1133},	// QsciLexerProperties::qt_metacast$
    {73, 1085, 1153},	// QsciLexerProperties::readProperties#$
    {73, 1094, 1148},	// QsciLexerProperties::refreshProperties
    {73, 1230, 1152},	// QsciLexerProperties::setFoldCompact$
    {73, 1280, 1150},	// QsciLexerProperties::setInitialSpaces$
    {73, 1404, 1158},	// QsciLexerProperties::staticMetaObject
    {73, 1426, 1155},	// QsciLexerProperties::tr$
    {73, 1427, 1134},	// QsciLexerProperties::tr$$
    {73, 1428, 1136},	// QsciLexerProperties::tr$$$
    {73, 1430, 1156},	// QsciLexerProperties::trUtf8$
    {73, 1431, 1135},	// QsciLexerProperties::trUtf8$$
    {73, 1432, 1137},	// QsciLexerProperties::trUtf8$$$
    {73, 1453, 1142},	// QsciLexerProperties::wordCharacters
    {73, 1459, 1154},	// QsciLexerProperties::writeProperties#$
    {73, 1496, 1165},	// QsciLexerProperties::~QsciLexerProperties
    {74, 122, 1219},	// QsciLexerPython::ClassName
    {74, 128, 1212},	// QsciLexerPython::Comment
    {74, 129, 1223},	// QsciLexerPython::CommentBlock
    {74, 147, 1226},	// QsciLexerPython::Decorator
    {74, 148, 1211},	// QsciLexerPython::Default
    {74, 159, 1214},	// QsciLexerPython::DoubleQuotedString
    {74, 191, 1220},	// QsciLexerPython::FunctionMethodName
    {74, 211, 1225},	// QsciLexerPython::HighlightedIdentifier
    {74, 214, 1222},	// QsciLexerPython::Identifier
    {74, 241, 1228},	// QsciLexerPython::Inconsistent
    {74, 259, 1216},	// QsciLexerPython::Keyword
    {74, 303, 1227},	// QsciLexerPython::NoWarning
    {74, 304, 1213},	// QsciLexerPython::Number
    {74, 308, 1221},	// QsciLexerPython::Operator
    {74, 427, 1208},	// QsciLexerPython::QsciLexerPython
    {74, 428, 1173},	// QsciLexerPython::QsciLexerPython#
    {74, 657, 1215},	// QsciLexerPython::SingleQuotedString
    {74, 661, 1230},	// QsciLexerPython::Spaces
    {74, 692, 1231},	// QsciLexerPython::Tabs
    {74, 693, 1229},	// QsciLexerPython::TabsAfterSpaces
    {74, 705, 1218},	// QsciLexerPython::TripleDoubleQuotedString
    {74, 706, 1217},	// QsciLexerPython::TripleSingleQuotedString
    {74, 710, 1224},	// QsciLexerPython::UnclosedString
    {74, 779, 1176},	// QsciLexerPython::autoCompletionWordSeparators
    {74, 787, 1177},	// QsciLexerPython::blockLookback
    {74, 788, 1209},	// QsciLexerPython::blockStart
    {74, 789, 1178},	// QsciLexerPython::blockStart$
    {74, 793, 1179},	// QsciLexerPython::braceStyle
    {74, 839, 1180},	// QsciLexerPython::defaultColor$
    {74, 841, 1181},	// QsciLexerPython::defaultEolFill$
    {74, 843, 1182},	// QsciLexerPython::defaultFont$
    {74, 845, 1183},	// QsciLexerPython::defaultPaper$
    {74, 849, 1186},	// QsciLexerPython::description$
    {74, 907, 1188},	// QsciLexerPython::foldComments
    {74, 908, 1190},	// QsciLexerPython::foldCompact
    {74, 916, 1191},	// QsciLexerPython::foldQuotes
    {74, 942, 1184},	// QsciLexerPython::indentationGuideView
    {74, 944, 1192},	// QsciLexerPython::indentationWarning
    {74, 981, 1185},	// QsciLexerPython::keywords$
    {74, 982, 1174},	// QsciLexerPython::language
    {74, 987, 1175},	// QsciLexerPython::lexer
    {74, 1037, 1166},	// QsciLexerPython::metaObject
    {74, 1078, 1172},	// QsciLexerPython::qt_metacall$$?
    {74, 1080, 1167},	// QsciLexerPython::qt_metacast$
    {74, 1085, 1204},	// QsciLexerPython::readProperties#$
    {74, 1094, 1187},	// QsciLexerPython::refreshProperties
    {74, 1228, 1201},	// QsciLexerPython::setFoldComments$
    {74, 1230, 1189},	// QsciLexerPython::setFoldCompact$
    {74, 1244, 1202},	// QsciLexerPython::setFoldQuotes$
    {74, 1268, 1203},	// QsciLexerPython::setIndentationWarning$
    {74, 1348, 1193},	// QsciLexerPython::setStringsOverNewlineAllowed$
    {74, 1371, 1195},	// QsciLexerPython::setV2UnicodeAllowed$
    {74, 1373, 1197},	// QsciLexerPython::setV3BinaryOctalAllowed$
    {74, 1375, 1199},	// QsciLexerPython::setV3BytesAllowed$
    {74, 1404, 1210},	// QsciLexerPython::staticMetaObject
    {74, 1405, 1194},	// QsciLexerPython::stringsOverNewlineAllowed
    {74, 1426, 1206},	// QsciLexerPython::tr$
    {74, 1427, 1168},	// QsciLexerPython::tr$$
    {74, 1428, 1170},	// QsciLexerPython::tr$$$
    {74, 1430, 1207},	// QsciLexerPython::trUtf8$
    {74, 1431, 1169},	// QsciLexerPython::trUtf8$$
    {74, 1432, 1171},	// QsciLexerPython::trUtf8$$$
    {74, 1440, 1196},	// QsciLexerPython::v2UnicodeAllowed
    {74, 1441, 1198},	// QsciLexerPython::v3BinaryOctalAllowed
    {74, 1442, 1200},	// QsciLexerPython::v3BytesAllowed
    {74, 1459, 1205},	// QsciLexerPython::writeProperties#$
    {74, 1497, 1232},	// QsciLexerPython::~QsciLexerPython
    {75, 85, 1285},	// QsciLexerRuby::Backticks
    {75, 122, 1275},	// QsciLexerRuby::ClassName
    {75, 124, 1284},	// QsciLexerRuby::ClassVariable
    {75, 128, 1269},	// QsciLexerRuby::Comment
    {75, 146, 1286},	// QsciLexerRuby::DataSection
    {75, 148, 1267},	// QsciLexerRuby::Default
    {75, 150, 1294},	// QsciLexerRuby::DemotedKeyword
    {75, 159, 1273},	// QsciLexerRuby::DoubleQuotedString
    {75, 176, 1268},	// QsciLexerRuby::Error
    {75, 191, 1276},	// QsciLexerRuby::FunctionMethodName
    {75, 192, 1280},	// QsciLexerRuby::Global
    {75, 204, 1288},	// QsciLexerRuby::HereDocument
    {75, 205, 1287},	// QsciLexerRuby::HereDocumentDelimiter
    {75, 214, 1278},	// QsciLexerRuby::Identifier
    {75, 242, 1283},	// QsciLexerRuby::InstanceVariable
    {75, 259, 1272},	// QsciLexerRuby::Keyword
    {75, 295, 1282},	// QsciLexerRuby::ModuleName
    {75, 304, 1271},	// QsciLexerRuby::Number
    {75, 308, 1277},	// QsciLexerRuby::Operator
    {75, 322, 1270},	// QsciLexerRuby::POD
    {75, 328, 1290},	// QsciLexerRuby::PercentStringQ
    {75, 329, 1289},	// QsciLexerRuby::PercentStringq
    {75, 330, 1292},	// QsciLexerRuby::PercentStringr
    {75, 331, 1293},	// QsciLexerRuby::PercentStringw
    {75, 332, 1291},	// QsciLexerRuby::PercentStringx
    {75, 429, 1262},	// QsciLexerRuby::QsciLexerRuby
    {75, 430, 1240},	// QsciLexerRuby::QsciLexerRuby#
    {75, 478, 1279},	// QsciLexerRuby::Regex
    {75, 657, 1274},	// QsciLexerRuby::SingleQuotedString
    {75, 668, 1297},	// QsciLexerRuby::Stderr
    {75, 669, 1295},	// QsciLexerRuby::Stdin
    {75, 670, 1296},	// QsciLexerRuby::Stdout
    {75, 683, 1281},	// QsciLexerRuby::Symbol
    {75, 785, 1263},	// QsciLexerRuby::blockEnd
    {75, 786, 1243},	// QsciLexerRuby::blockEnd$
    {75, 788, 1264},	// QsciLexerRuby::blockStart
    {75, 789, 1244},	// QsciLexerRuby::blockStart$
    {75, 790, 1265},	// QsciLexerRuby::blockStartKeyword
    {75, 791, 1245},	// QsciLexerRuby::blockStartKeyword$
    {75, 793, 1246},	// QsciLexerRuby::braceStyle
    {75, 839, 1247},	// QsciLexerRuby::defaultColor$
    {75, 841, 1248},	// QsciLexerRuby::defaultEolFill$
    {75, 843, 1249},	// QsciLexerRuby::defaultFont$
    {75, 845, 1250},	// QsciLexerRuby::defaultPaper$
    {75, 849, 1252},	// QsciLexerRuby::description$
    {75, 907, 1255},	// QsciLexerRuby::foldComments
    {75, 908, 1257},	// QsciLexerRuby::foldCompact
    {75, 981, 1251},	// QsciLexerRuby::keywords$
    {75, 982, 1241},	// QsciLexerRuby::language
    {75, 987, 1242},	// QsciLexerRuby::lexer
    {75, 1037, 1233},	// QsciLexerRuby::metaObject
    {75, 1078, 1239},	// QsciLexerRuby::qt_metacall$$?
    {75, 1080, 1234},	// QsciLexerRuby::qt_metacast$
    {75, 1085, 1258},	// QsciLexerRuby::readProperties#$
    {75, 1094, 1253},	// QsciLexerRuby::refreshProperties
    {75, 1228, 1254},	// QsciLexerRuby::setFoldComments$
    {75, 1230, 1256},	// QsciLexerRuby::setFoldCompact$
    {75, 1404, 1266},	// QsciLexerRuby::staticMetaObject
    {75, 1426, 1260},	// QsciLexerRuby::tr$
    {75, 1427, 1235},	// QsciLexerRuby::tr$$
    {75, 1428, 1237},	// QsciLexerRuby::tr$$$
    {75, 1430, 1261},	// QsciLexerRuby::trUtf8$
    {75, 1431, 1236},	// QsciLexerRuby::trUtf8$$
    {75, 1432, 1238},	// QsciLexerRuby::trUtf8$$$
    {75, 1459, 1259},	// QsciLexerRuby::writeProperties#$
    {75, 1498, 1298},	// QsciLexerRuby::~QsciLexerRuby
    {76, 128, 1340},	// QsciLexerSQL::Comment
    {76, 131, 1342},	// QsciLexerSQL::CommentDoc
    {76, 132, 1353},	// QsciLexerSQL::CommentDocKeyword
    {76, 133, 1354},	// QsciLexerSQL::CommentDocKeywordError
    {76, 134, 1341},	// QsciLexerSQL::CommentLine
    {76, 136, 1352},	// QsciLexerSQL::CommentLineHash
    {76, 148, 1339},	// QsciLexerSQL::Default
    {76, 159, 1345},	// QsciLexerSQL::DoubleQuotedString
    {76, 214, 1350},	// QsciLexerSQL::Identifier
    {76, 259, 1344},	// QsciLexerSQL::Keyword
    {76, 264, 1355},	// QsciLexerSQL::KeywordSet5
    {76, 265, 1356},	// QsciLexerSQL::KeywordSet6
    {76, 266, 1357},	// QsciLexerSQL::KeywordSet7
    {76, 267, 1358},	// QsciLexerSQL::KeywordSet8
    {76, 304, 1343},	// QsciLexerSQL::Number
    {76, 308, 1349},	// QsciLexerSQL::Operator
    {76, 338, 1351},	// QsciLexerSQL::PlusComment
    {76, 339, 1347},	// QsciLexerSQL::PlusKeyword
    {76, 340, 1348},	// QsciLexerSQL::PlusPrompt
    {76, 431, 1337},	// QsciLexerSQL::QsciLexerSQL
    {76, 432, 1306},	// QsciLexerSQL::QsciLexerSQL#
    {76, 466, 1359},	// QsciLexerSQL::QuotedIdentifier
    {76, 657, 1346},	// QsciLexerSQL::SingleQuotedString
    {76, 782, 1317},	// QsciLexerSQL::backslashEscapes
    {76, 793, 1309},	// QsciLexerSQL::braceStyle
    {76, 839, 1310},	// QsciLexerSQL::defaultColor$
    {76, 841, 1311},	// QsciLexerSQL::defaultEolFill$
    {76, 843, 1312},	// QsciLexerSQL::defaultFont$
    {76, 845, 1313},	// QsciLexerSQL::defaultPaper$
    {76, 849, 1315},	// QsciLexerSQL::description$
    {76, 855, 1319},	// QsciLexerSQL::dottedWords
    {76, 905, 1321},	// QsciLexerSQL::foldAtElse
    {76, 907, 1322},	// QsciLexerSQL::foldComments
    {76, 908, 1323},	// QsciLexerSQL::foldCompact
    {76, 912, 1325},	// QsciLexerSQL::foldOnlyBegin
    {76, 934, 1327},	// QsciLexerSQL::hashComments
    {76, 981, 1314},	// QsciLexerSQL::keywords$
    {76, 982, 1307},	// QsciLexerSQL::language
    {76, 987, 1308},	// QsciLexerSQL::lexer
    {76, 1037, 1299},	// QsciLexerSQL::metaObject
    {76, 1078, 1305},	// QsciLexerSQL::qt_metacall$$?
    {76, 1080, 1300},	// QsciLexerSQL::qt_metacast$
    {76, 1081, 1329},	// QsciLexerSQL::quotedIdentifiers
    {76, 1085, 1333},	// QsciLexerSQL::readProperties#$
    {76, 1094, 1316},	// QsciLexerSQL::refreshProperties
    {76, 1150, 1330},	// QsciLexerSQL::setBackslashEscapes$
    {76, 1199, 1318},	// QsciLexerSQL::setDottedWords$
    {76, 1224, 1320},	// QsciLexerSQL::setFoldAtElse$
    {76, 1228, 1331},	// QsciLexerSQL::setFoldComments$
    {76, 1230, 1332},	// QsciLexerSQL::setFoldCompact$
    {76, 1236, 1324},	// QsciLexerSQL::setFoldOnlyBegin$
    {76, 1256, 1326},	// QsciLexerSQL::setHashComments$
    {76, 1332, 1328},	// QsciLexerSQL::setQuotedIdentifiers$
    {76, 1404, 1338},	// QsciLexerSQL::staticMetaObject
    {76, 1426, 1335},	// QsciLexerSQL::tr$
    {76, 1427, 1301},	// QsciLexerSQL::tr$$
    {76, 1428, 1303},	// QsciLexerSQL::tr$$$
    {76, 1430, 1336},	// QsciLexerSQL::trUtf8$
    {76, 1431, 1302},	// QsciLexerSQL::trUtf8$$
    {76, 1432, 1304},	// QsciLexerSQL::trUtf8$$$
    {76, 1459, 1334},	// QsciLexerSQL::writeProperties#$
    {76, 1499, 1360},	// QsciLexerSQL::~QsciLexerSQL
    {77, 128, 1388},	// QsciLexerTCL::Comment
    {77, 129, 1408},	// QsciLexerTCL::CommentBlock
    {77, 130, 1407},	// QsciLexerTCL::CommentBox
    {77, 134, 1389},	// QsciLexerTCL::CommentLine
    {77, 148, 1387},	// QsciLexerTCL::Default
    {77, 178, 1398},	// QsciLexerTCL::ExpandKeyword
    {77, 213, 1401},	// QsciLexerTCL::ITCLKeyword
    {77, 214, 1394},	// QsciLexerTCL::Identifier
    {77, 265, 1403},	// QsciLexerTCL::KeywordSet6
    {77, 266, 1404},	// QsciLexerTCL::KeywordSet7
    {77, 267, 1405},	// QsciLexerTCL::KeywordSet8
    {77, 268, 1406},	// QsciLexerTCL::KeywordSet9
    {77, 294, 1397},	// QsciLexerTCL::Modifier
    {77, 304, 1390},	// QsciLexerTCL::Number
    {77, 308, 1393},	// QsciLexerTCL::Operator
    {77, 433, 1385},	// QsciLexerTCL::QsciLexerTCL
    {77, 434, 1368},	// QsciLexerTCL::QsciLexerTCL#
    {77, 467, 1391},	// QsciLexerTCL::QuotedKeyword
    {77, 468, 1392},	// QsciLexerTCL::QuotedString
    {77, 680, 1395},	// QsciLexerTCL::Substitution
    {77, 681, 1396},	// QsciLexerTCL::SubstitutionBrace
    {77, 689, 1399},	// QsciLexerTCL::TCLKeyword
    {77, 702, 1402},	// QsciLexerTCL::TkCommand
    {77, 703, 1400},	// QsciLexerTCL::TkKeyword
    {77, 793, 1371},	// QsciLexerTCL::braceStyle
    {77, 839, 1372},	// QsciLexerTCL::defaultColor$
    {77, 841, 1373},	// QsciLexerTCL::defaultEolFill$
    {77, 843, 1374},	// QsciLexerTCL::defaultFont$
    {77, 845, 1375},	// QsciLexerTCL::defaultPaper$
    {77, 849, 1377},	// QsciLexerTCL::description$
    {77, 907, 1380},	// QsciLexerTCL::foldComments
    {77, 981, 1376},	// QsciLexerTCL::keywords$
    {77, 982, 1369},	// QsciLexerTCL::language
    {77, 987, 1370},	// QsciLexerTCL::lexer
    {77, 1037, 1361},	// QsciLexerTCL::metaObject
    {77, 1078, 1367},	// QsciLexerTCL::qt_metacall$$?
    {77, 1080, 1362},	// QsciLexerTCL::qt_metacast$
    {77, 1085, 1381},	// QsciLexerTCL::readProperties#$
    {77, 1094, 1378},	// QsciLexerTCL::refreshProperties
    {77, 1228, 1379},	// QsciLexerTCL::setFoldComments$
    {77, 1404, 1386},	// QsciLexerTCL::staticMetaObject
    {77, 1426, 1383},	// QsciLexerTCL::tr$
    {77, 1427, 1363},	// QsciLexerTCL::tr$$
    {77, 1428, 1365},	// QsciLexerTCL::tr$$$
    {77, 1430, 1384},	// QsciLexerTCL::trUtf8$
    {77, 1431, 1364},	// QsciLexerTCL::trUtf8$$
    {77, 1432, 1366},	// QsciLexerTCL::trUtf8$$$
    {77, 1459, 1382},	// QsciLexerTCL::writeProperties#$
    {77, 1500, 1409},	// QsciLexerTCL::~QsciLexerTCL
    {78, 127, 1443},	// QsciLexerTeX::Command
    {78, 148, 1439},	// QsciLexerTeX::Default
    {78, 195, 1441},	// QsciLexerTeX::Group
    {78, 435, 1437},	// QsciLexerTeX::QsciLexerTeX
    {78, 436, 1417},	// QsciLexerTeX::QsciLexerTeX#
    {78, 662, 1440},	// QsciLexerTeX::Special
    {78, 683, 1442},	// QsciLexerTeX::Symbol
    {78, 696, 1444},	// QsciLexerTeX::Text
    {78, 839, 1421},	// QsciLexerTeX::defaultColor$
    {78, 849, 1423},	// QsciLexerTeX::description$
    {78, 907, 1426},	// QsciLexerTeX::foldComments
    {78, 908, 1428},	// QsciLexerTeX::foldCompact
    {78, 981, 1422},	// QsciLexerTeX::keywords$
    {78, 982, 1418},	// QsciLexerTeX::language
    {78, 987, 1419},	// QsciLexerTeX::lexer
    {78, 1037, 1410},	// QsciLexerTeX::metaObject
    {78, 1073, 1430},	// QsciLexerTeX::processComments
    {78, 1074, 1432},	// QsciLexerTeX::processIf
    {78, 1078, 1416},	// QsciLexerTeX::qt_metacall$$?
    {78, 1080, 1411},	// QsciLexerTeX::qt_metacast$
    {78, 1085, 1433},	// QsciLexerTeX::readProperties#$
    {78, 1094, 1424},	// QsciLexerTeX::refreshProperties
    {78, 1228, 1425},	// QsciLexerTeX::setFoldComments$
    {78, 1230, 1427},	// QsciLexerTeX::setFoldCompact$
    {78, 1328, 1429},	// QsciLexerTeX::setProcessComments$
    {78, 1330, 1431},	// QsciLexerTeX::setProcessIf$
    {78, 1404, 1438},	// QsciLexerTeX::staticMetaObject
    {78, 1426, 1435},	// QsciLexerTeX::tr$
    {78, 1427, 1412},	// QsciLexerTeX::tr$$
    {78, 1428, 1414},	// QsciLexerTeX::tr$$$
    {78, 1430, 1436},	// QsciLexerTeX::trUtf8$
    {78, 1431, 1413},	// QsciLexerTeX::trUtf8$$
    {78, 1432, 1415},	// QsciLexerTeX::trUtf8$$$
    {78, 1453, 1420},	// QsciLexerTeX::wordCharacters
    {78, 1459, 1434},	// QsciLexerTeX::writeProperties#$
    {78, 1501, 1445},	// QsciLexerTeX::~QsciLexerTeX
    {79, 69, 1490},	// QsciLexerVHDL::Attribute
    {79, 128, 1481},	// QsciLexerVHDL::Comment
    {79, 134, 1482},	// QsciLexerVHDL::CommentLine
    {79, 148, 1480},	// QsciLexerVHDL::Default
    {79, 214, 1486},	// QsciLexerVHDL::Identifier
    {79, 259, 1488},	// QsciLexerVHDL::Keyword
    {79, 266, 1494},	// QsciLexerVHDL::KeywordSet7
    {79, 304, 1483},	// QsciLexerVHDL::Number
    {79, 308, 1485},	// QsciLexerVHDL::Operator
    {79, 437, 1478},	// QsciLexerVHDL::QsciLexerVHDL
    {79, 438, 1453},	// QsciLexerVHDL::QsciLexerVHDL#
    {79, 664, 1491},	// QsciLexerVHDL::StandardFunction
    {79, 665, 1489},	// QsciLexerVHDL::StandardOperator
    {79, 666, 1492},	// QsciLexerVHDL::StandardPackage
    {79, 667, 1493},	// QsciLexerVHDL::StandardType
    {79, 673, 1484},	// QsciLexerVHDL::String
    {79, 710, 1487},	// QsciLexerVHDL::UnclosedString
    {79, 793, 1456},	// QsciLexerVHDL::braceStyle
    {79, 839, 1457},	// QsciLexerVHDL::defaultColor$
    {79, 841, 1458},	// QsciLexerVHDL::defaultEolFill$
    {79, 843, 1459},	// QsciLexerVHDL::defaultFont$
    {79, 845, 1460},	// QsciLexerVHDL::defaultPaper$
    {79, 849, 1462},	// QsciLexerVHDL::description$
    {79, 904, 1467},	// QsciLexerVHDL::foldAtBegin
    {79, 905, 1466},	// QsciLexerVHDL::foldAtElse
    {79, 906, 1468},	// QsciLexerVHDL::foldAtParenthesis
    {79, 907, 1464},	// QsciLexerVHDL::foldComments
    {79, 908, 1465},	// QsciLexerVHDL::foldCompact
    {79, 981, 1461},	// QsciLexerVHDL::keywords$
    {79, 982, 1454},	// QsciLexerVHDL::language
    {79, 987, 1455},	// QsciLexerVHDL::lexer
    {79, 1037, 1446},	// QsciLexerVHDL::metaObject
    {79, 1078, 1452},	// QsciLexerVHDL::qt_metacall$$?
    {79, 1080, 1447},	// QsciLexerVHDL::qt_metacast$
    {79, 1085, 1474},	// QsciLexerVHDL::readProperties#$
    {79, 1094, 1463},	// QsciLexerVHDL::refreshProperties
    {79, 1222, 1472},	// QsciLexerVHDL::setFoldAtBegin$
    {79, 1224, 1471},	// QsciLexerVHDL::setFoldAtElse$
    {79, 1226, 1473},	// QsciLexerVHDL::setFoldAtParenthesis$
    {79, 1228, 1469},	// QsciLexerVHDL::setFoldComments$
    {79, 1230, 1470},	// QsciLexerVHDL::setFoldCompact$
    {79, 1404, 1479},	// QsciLexerVHDL::staticMetaObject
    {79, 1426, 1476},	// QsciLexerVHDL::tr$
    {79, 1427, 1448},	// QsciLexerVHDL::tr$$
    {79, 1428, 1450},	// QsciLexerVHDL::tr$$$
    {79, 1430, 1477},	// QsciLexerVHDL::trUtf8$
    {79, 1431, 1449},	// QsciLexerVHDL::trUtf8$$
    {79, 1432, 1451},	// QsciLexerVHDL::trUtf8$$$
    {79, 1459, 1475},	// QsciLexerVHDL::writeProperties#$
    {79, 1502, 1495},	// QsciLexerVHDL::~QsciLexerVHDL
    {80, 439, 1518},	// QsciLexerXML::QsciLexerXML
    {80, 440, 1503},	// QsciLexerXML::QsciLexerXML#
    {80, 839, 1506},	// QsciLexerXML::defaultColor$
    {80, 841, 1507},	// QsciLexerXML::defaultEolFill$
    {80, 843, 1508},	// QsciLexerXML::defaultFont$
    {80, 845, 1509},	// QsciLexerXML::defaultPaper$
    {80, 981, 1510},	// QsciLexerXML::keywords$
    {80, 982, 1504},	// QsciLexerXML::language
    {80, 987, 1505},	// QsciLexerXML::lexer
    {80, 1037, 1496},	// QsciLexerXML::metaObject
    {80, 1078, 1502},	// QsciLexerXML::qt_metacall$$?
    {80, 1080, 1497},	// QsciLexerXML::qt_metacast$
    {80, 1085, 1514},	// QsciLexerXML::readProperties#$
    {80, 1094, 1511},	// QsciLexerXML::refreshProperties
    {80, 1112, 1513},	// QsciLexerXML::scriptsStyled
    {80, 1336, 1512},	// QsciLexerXML::setScriptsStyled$
    {80, 1404, 1519},	// QsciLexerXML::staticMetaObject
    {80, 1426, 1516},	// QsciLexerXML::tr$
    {80, 1427, 1498},	// QsciLexerXML::tr$$
    {80, 1428, 1500},	// QsciLexerXML::tr$$$
    {80, 1430, 1517},	// QsciLexerXML::trUtf8$
    {80, 1431, 1499},	// QsciLexerXML::trUtf8$$
    {80, 1432, 1501},	// QsciLexerXML::trUtf8$$$
    {80, 1459, 1515},	// QsciLexerXML::writeProperties#$
    {80, 1503, 1520},	// QsciLexerXML::~QsciLexerXML
    {81, 128, 1547},	// QsciLexerYAML::Comment
    {81, 148, 1546},	// QsciLexerYAML::Default
    {81, 156, 1552},	// QsciLexerYAML::DocumentDelimiter
    {81, 214, 1548},	// QsciLexerYAML::Identifier
    {81, 259, 1549},	// QsciLexerYAML::Keyword
    {81, 304, 1550},	// QsciLexerYAML::Number
    {81, 308, 1555},	// QsciLexerYAML::Operator
    {81, 441, 1544},	// QsciLexerYAML::QsciLexerYAML
    {81, 442, 1528},	// QsciLexerYAML::QsciLexerYAML#
    {81, 477, 1551},	// QsciLexerYAML::Reference
    {81, 688, 1554},	// QsciLexerYAML::SyntaxErrorMarker
    {81, 697, 1553},	// QsciLexerYAML::TextBlockMarker
    {81, 839, 1531},	// QsciLexerYAML::defaultColor$
    {81, 841, 1532},	// QsciLexerYAML::defaultEolFill$
    {81, 843, 1533},	// QsciLexerYAML::defaultFont$
    {81, 845, 1534},	// QsciLexerYAML::defaultPaper$
    {81, 849, 1536},	// QsciLexerYAML::description$
    {81, 907, 1538},	// QsciLexerYAML::foldComments
    {81, 981, 1535},	// QsciLexerYAML::keywords$
    {81, 982, 1529},	// QsciLexerYAML::language
    {81, 987, 1530},	// QsciLexerYAML::lexer
    {81, 1037, 1521},	// QsciLexerYAML::metaObject
    {81, 1078, 1527},	// QsciLexerYAML::qt_metacall$$?
    {81, 1080, 1522},	// QsciLexerYAML::qt_metacast$
    {81, 1085, 1540},	// QsciLexerYAML::readProperties#$
    {81, 1094, 1537},	// QsciLexerYAML::refreshProperties
    {81, 1228, 1539},	// QsciLexerYAML::setFoldComments$
    {81, 1404, 1545},	// QsciLexerYAML::staticMetaObject
    {81, 1426, 1542},	// QsciLexerYAML::tr$
    {81, 1427, 1523},	// QsciLexerYAML::tr$$
    {81, 1428, 1525},	// QsciLexerYAML::tr$$$
    {81, 1430, 1543},	// QsciLexerYAML::trUtf8$
    {81, 1431, 1524},	// QsciLexerYAML::trUtf8$$
    {81, 1432, 1526},	// QsciLexerYAML::trUtf8$$$
    {81, 1459, 1541},	// QsciLexerYAML::writeProperties#$
    {81, 1504, 1556},	// QsciLexerYAML::~QsciLexerYAML
    {82, 444, 1564},	// QsciMacro::QsciMacro#
    {82, 445, 1565},	// QsciMacro::QsciMacro$#
    {82, 808, 1566},	// QsciMacro::clear
    {82, 869, 1571},	// QsciMacro::endRecording
    {82, 998, 1567},	// QsciMacro::load$
    {82, 1037, 1557},	// QsciMacro::metaObject
    {82, 1064, 1569},	// QsciMacro::play
    {82, 1078, 1563},	// QsciMacro::qt_metacall$$?
    {82, 1080, 1558},	// QsciMacro::qt_metacast$
    {82, 1109, 1568},	// QsciMacro::save
    {82, 1400, 1570},	// QsciMacro::startRecording
    {82, 1404, 1574},	// QsciMacro::staticMetaObject
    {82, 1426, 1572},	// QsciMacro::tr$
    {82, 1427, 1559},	// QsciMacro::tr$$
    {82, 1428, 1561},	// QsciMacro::tr$$$
    {82, 1430, 1573},	// QsciMacro::trUtf8$
    {82, 1431, 1560},	// QsciMacro::trUtf8$$
    {82, 1432, 1562},	// QsciMacro::trUtf8$$$
    {82, 1505, 1575},	// QsciMacro::~QsciMacro
    {83, 446, 1583},	// QsciPrinter::QsciPrinter
    {83, 447, 1576},	// QsciPrinter::QsciPrinter$
    {83, 926, 1577},	// QsciPrinter::formatPage#$#$
    {83, 1001, 1578},	// QsciPrinter::magnification
    {83, 1070, 1584},	// QsciPrinter::printRange#
    {83, 1071, 1585},	// QsciPrinter::printRange#$
    {83, 1072, 1580},	// QsciPrinter::printRange#$$
    {83, 1288, 1579},	// QsciPrinter::setMagnification$
    {83, 1389, 1582},	// QsciPrinter::setWrapMode$
    {83, 1455, 1581},	// QsciPrinter::wrapMode
    {83, 1506, 1586},	// QsciPrinter::~QsciPrinter
    {84, 49, 1866},	// QsciScintilla::AcsAPIs
    {84, 50, 1864},	// QsciScintilla::AcsAll
    {84, 51, 1865},	// QsciScintilla::AcsDocument
    {84, 52, 1863},	// QsciScintilla::AcsNone
    {84, 54, 1862},	// QsciScintilla::AcusAlways
    {84, 55, 1861},	// QsciScintilla::AcusExplicit
    {84, 56, 1860},	// QsciScintilla::AcusNever
    {84, 57, 1856},	// QsciScintilla::AiClosing
    {84, 58, 1854},	// QsciScintilla::AiMaintain
    {84, 59, 1855},	// QsciScintilla::AiOpening
    {84, 61, 1859},	// QsciScintilla::AnnotationBoxed
    {84, 62, 1857},	// QsciScintilla::AnnotationHidden
    {84, 63, 1858},	// QsciScintilla::AnnotationStandard
    {84, 82, 1922},	// QsciScintilla::Background
    {84, 94, 1910},	// QsciScintilla::BottomLeftCorner
    {84, 96, 1892},	// QsciScintilla::BoxIndicator
    {84, 97, 1883},	// QsciScintilla::BoxedFoldStyle
    {84, 98, 1914},	// QsciScintilla::BoxedMinus
    {84, 99, 1915},	// QsciScintilla::BoxedMinusConnected
    {84, 100, 1912},	// QsciScintilla::BoxedPlus
    {84, 101, 1913},	// QsciScintilla::BoxedPlusConnected
    {84, 102, 1885},	// QsciScintilla::BoxedTreeFoldStyle
    {84, 108, 1873},	// QsciScintilla::CallTipsContext
    {84, 109, 1872},	// QsciScintilla::CallTipsNoAutoCompletionContext
    {84, 110, 1871},	// QsciScintilla::CallTipsNoContext
    {84, 111, 1870},	// QsciScintilla::CallTipsNone
    {84, 115, 1900},	// QsciScintilla::Circle
    {84, 116, 1882},	// QsciScintilla::CircledFoldStyle
    {84, 117, 1920},	// QsciScintilla::CircledMinus
    {84, 118, 1921},	// QsciScintilla::CircledMinusConnected
    {84, 119, 1918},	// QsciScintilla::CircledPlus
    {84, 120, 1919},	// QsciScintilla::CircledPlusConnected
    {84, 121, 1884},	// QsciScintilla::CircledTreeFoldStyle
    {84, 152, 1889},	// QsciScintilla::DiagonalIndicator
    {84, 160, 1906},	// QsciScintilla::DownTriangle
    {84, 167, 1876},	// QsciScintilla::EdgeBackground
    {84, 168, 1875},	// QsciScintilla::EdgeLine
    {84, 169, 1874},	// QsciScintilla::EdgeNone
    {84, 173, 1879},	// QsciScintilla::EolMac
    {84, 174, 1878},	// QsciScintilla::EolUnix
    {84, 175, 1877},	// QsciScintilla::EolWindows
    {84, 189, 1925},	// QsciScintilla::FullRectangle
    {84, 208, 1891},	// QsciScintilla::HiddenIndicator
    {84, 244, 1905},	// QsciScintilla::Invisible
    {84, 275, 1926},	// QsciScintilla::LeftRectangle
    {84, 276, 1917},	// QsciScintilla::LeftSideRoundedSplitter
    {84, 277, 1911},	// QsciScintilla::LeftSideSplitter
    {84, 293, 1907},	// QsciScintilla::Minus
    {84, 300, 1867},	// QsciScintilla::NoBraceMatch
    {84, 301, 1880},	// QsciScintilla::NoFoldStyle
    {84, 305, 1897},	// QsciScintilla::NumberMargin
    {84, 335, 1881},	// QsciScintilla::PlainFoldStyle
    {84, 336, 1886},	// QsciScintilla::PlainIndicator
    {84, 337, 1908},	// QsciScintilla::Plus
    {84, 448, 1828},	// QsciScintilla::QsciScintilla
    {84, 449, 1594},	// QsciScintilla::QsciScintilla#
    {84, 476, 1901},	// QsciScintilla::Rectangle
    {84, 479, 1904},	// QsciScintilla::RightArrow
    {84, 480, 1902},	// QsciScintilla::RightTriangle
    {84, 481, 1893},	// QsciScintilla::RoundBoxIndicator
    {84, 482, 1916},	// QsciScintilla::RoundedBottomLeftCorner
    {84, 658, 1869},	// QsciScintilla::SloppyBraceMatch
    {84, 660, 1903},	// QsciScintilla::SmallRectangle
    {84, 663, 1887},	// QsciScintilla::SquiggleIndicator
    {84, 671, 1868},	// QsciScintilla::StrictBraceMatch
    {84, 672, 1890},	// QsciScintilla::StrikeIndicator
    {84, 684, 1894},	// QsciScintilla::SymbolMargin
    {84, 685, 1896},	// QsciScintilla::SymbolMarginDefaultBackgroundColor
    {84, 686, 1895},	// QsciScintilla::SymbolMarginDefaultForegroundColor
    {84, 690, 1888},	// QsciScintilla::TTIndicator
    {84, 698, 1898},	// QsciScintilla::TextMargin
    {84, 699, 1899},	// QsciScintilla::TextMarginRightJustified
    {84, 700, 1923},	// QsciScintilla::ThreeDots
    {84, 701, 1924},	// QsciScintilla::ThreeRightArrows
    {84, 711, 1927},	// QsciScintilla::Underline
    {84, 729, 1909},	// QsciScintilla::VerticalLine
    {84, 731, 1933},	// QsciScintilla::WrapCharacter
    {84, 732, 1936},	// QsciScintilla::WrapFlagByBorder
    {84, 733, 1935},	// QsciScintilla::WrapFlagByText
    {84, 734, 1934},	// QsciScintilla::WrapFlagNone
    {84, 735, 1937},	// QsciScintilla::WrapIndentFixed
    {84, 736, 1939},	// QsciScintilla::WrapIndentIndented
    {84, 737, 1938},	// QsciScintilla::WrapIndentSame
    {84, 738, 1931},	// QsciScintilla::WrapNone
    {84, 739, 1932},	// QsciScintilla::WrapWord
    {84, 740, 1928},	// QsciScintilla::WsInvisible
    {84, 741, 1929},	// QsciScintilla::WsVisible
    {84, 742, 1930},	// QsciScintilla::WsVisibleAfterIndent
    {84, 751, 1598},	// QsciScintilla::annotate$#
    {84, 752, 1597},	// QsciScintilla::annotate$$#
    {84, 753, 1596},	// QsciScintilla::annotate$$$
    {84, 754, 1599},	// QsciScintilla::annotate$?
    {84, 756, 1600},	// QsciScintilla::annotation$
    {84, 757, 1601},	// QsciScintilla::annotationDisplay
    {84, 759, 1595},	// QsciScintilla::apiContext$$$
    {84, 765, 1739},	// QsciScintilla::append$
    {84, 766, 1741},	// QsciScintilla::autoCompleteFromAPIs
    {84, 767, 1740},	// QsciScintilla::autoCompleteFromAll
    {84, 768, 1742},	// QsciScintilla::autoCompleteFromDocument
    {84, 769, 1603},	// QsciScintilla::autoCompletionCaseSensitivity
    {84, 771, 1604},	// QsciScintilla::autoCompletionFillupsEnabled
    {84, 772, 1605},	// QsciScintilla::autoCompletionReplaceWord
    {84, 775, 1606},	// QsciScintilla::autoCompletionShowSingle
    {84, 776, 1607},	// QsciScintilla::autoCompletionSource
    {84, 777, 1608},	// QsciScintilla::autoCompletionThreshold
    {84, 778, 1609},	// QsciScintilla::autoCompletionUseSingle
    {84, 780, 1610},	// QsciScintilla::autoIndent
    {84, 783, 1611},	// QsciScintilla::backspaceUnindents
    {84, 784, 1612},	// QsciScintilla::beginUndoAction
    {84, 792, 1613},	// QsciScintilla::braceMatching
    {84, 794, 1743},	// QsciScintilla::callTip
    {84, 797, 1614},	// QsciScintilla::callTipsStyle
    {84, 798, 1615},	// QsciScintilla::callTipsVisible
    {84, 801, 1616},	// QsciScintilla::cancelList
    {84, 803, 1617},	// QsciScintilla::caseSensitive
    {84, 808, 1744},	// QsciScintilla::clear
    {84, 810, 1829},	// QsciScintilla::clearAnnotations
    {84, 811, 1602},	// QsciScintilla::clearAnnotations$
    {84, 812, 1618},	// QsciScintilla::clearFolds
    {84, 814, 1619},	// QsciScintilla::clearIndicatorRange$$$$$
    {84, 816, 1844},	// QsciScintilla::clearMarginText
    {84, 817, 1708},	// QsciScintilla::clearMarginText$
    {84, 818, 1620},	// QsciScintilla::clearRegisteredImages
    {84, 820, 1621},	// QsciScintilla::color
    {84, 828, 1622},	// QsciScintilla::contractedFolds
    {84, 830, 1623},	// QsciScintilla::convertEols$
    {84, 831, 1745},	// QsciScintilla::copy
    {84, 833, 1816},	// QsciScintilla::copyAvailable$
    {84, 835, 1815},	// QsciScintilla::cursorPositionChanged$$
    {84, 837, 1746},	// QsciScintilla::cut
    {84, 853, 1624},	// QsciScintilla::document
    {84, 864, 1626},	// QsciScintilla::edgeColor
    {84, 865, 1627},	// QsciScintilla::edgeColumn
    {84, 866, 1628},	// QsciScintilla::edgeMode
    {84, 870, 1625},	// QsciScintilla::endUndoAction
    {84, 871, 1747},	// QsciScintilla::ensureCursorVisible
    {84, 873, 1748},	// QsciScintilla::ensureLineVisible$
    {84, 879, 1630},	// QsciScintilla::eolMode
    {84, 880, 1631},	// QsciScintilla::eolVisibility
    {84, 884, 1632},	// QsciScintilla::extraAscent
    {84, 885, 1633},	// QsciScintilla::extraDescent
    {84, 887, 1634},	// QsciScintilla::fillIndicatorRange$$$$$
    {84, 889, 1830},	// QsciScintilla::findFirst$$$$$
    {84, 890, 1831},	// QsciScintilla::findFirst$$$$$$
    {84, 891, 1832},	// QsciScintilla::findFirst$$$$$$$
    {84, 892, 1833},	// QsciScintilla::findFirst$$$$$$$$
    {84, 893, 1635},	// QsciScintilla::findFirst$$$$$$$$$
    {84, 894, 1636},	// QsciScintilla::findNext
    {84, 895, 1637},	// QsciScintilla::firstVisibleLine
    {84, 902, 1849},	// QsciScintilla::foldAll
    {84, 903, 1749},	// QsciScintilla::foldAll$
    {84, 911, 1750},	// QsciScintilla::foldLine$
    {84, 919, 1638},	// QsciScintilla::folding
    {84, 930, 1639},	// QsciScintilla::getCursorPosition$$
    {84, 932, 1640},	// QsciScintilla::getSelection$$$$
    {84, 933, 1641},	// QsciScintilla::hasSelectedText
    {84, 939, 1751},	// QsciScintilla::indent$
    {84, 941, 1642},	// QsciScintilla::indentation$
    {84, 943, 1643},	// QsciScintilla::indentationGuides
    {84, 945, 1645},	// QsciScintilla::indentationWidth
    {84, 946, 1644},	// QsciScintilla::indentationsUseTabs
    {84, 948, 1817},	// QsciScintilla::indicatorClicked$$$
    {84, 950, 1834},	// QsciScintilla::indicatorDefine$
    {84, 951, 1646},	// QsciScintilla::indicatorDefine$$
    {84, 953, 1647},	// QsciScintilla::indicatorDrawUnder$
    {84, 955, 1818},	// QsciScintilla::indicatorReleased$$$
    {84, 961, 1752},	// QsciScintilla::insert$
    {84, 963, 1753},	// QsciScintilla::insertAt$$$
    {84, 965, 1648},	// QsciScintilla::isCallTipActive
    {84, 966, 1649},	// QsciScintilla::isListActive
    {84, 967, 1650},	// QsciScintilla::isModified
    {84, 970, 1651},	// QsciScintilla::isReadOnly
    {84, 971, 1652},	// QsciScintilla::isRedoAvailable
    {84, 972, 1653},	// QsciScintilla::isUndoAvailable
    {84, 973, 1654},	// QsciScintilla::isUtf8
    {84, 975, 1655},	// QsciScintilla::isWordCharacter$
    {84, 985, 1660},	// QsciScintilla::length
    {84, 987, 1661},	// QsciScintilla::lexer
    {84, 990, 1656},	// QsciScintilla::lineAt#
    {84, 992, 1657},	// QsciScintilla::lineIndexFromPosition$$$
    {84, 994, 1658},	// QsciScintilla::lineLength$
    {84, 995, 1659},	// QsciScintilla::lines
    {84, 996, 1819},	// QsciScintilla::linesChanged
    {84, 1004, 1820},	// QsciScintilla::marginClicked$$$
    {84, 1006, 1662},	// QsciScintilla::marginLineNumbers$
    {84, 1008, 1663},	// QsciScintilla::marginMarkerMask$
    {84, 1010, 1664},	// QsciScintilla::marginSensitivity$
    {84, 1012, 1665},	// QsciScintilla::marginType$
    {84, 1014, 1666},	// QsciScintilla::marginWidth$
    {84, 1016, 1670},	// QsciScintilla::markerAdd$$
    {84, 1018, 1837},	// QsciScintilla::markerDefine#
    {84, 1019, 1669},	// QsciScintilla::markerDefine#$
    {84, 1020, -4256},	// QsciScintilla::markerDefine$
    {84, 1021, -4259},	// QsciScintilla::markerDefine$$
    {84, 1023, 1838},	// QsciScintilla::markerDelete$
    {84, 1024, 1672},	// QsciScintilla::markerDelete$$
    {84, 1025, 1839},	// QsciScintilla::markerDeleteAll
    {84, 1026, 1673},	// QsciScintilla::markerDeleteAll$
    {84, 1028, 1674},	// QsciScintilla::markerDeleteHandle$
    {84, 1030, 1676},	// QsciScintilla::markerFindNext$$
    {84, 1032, 1677},	// QsciScintilla::markerFindPrevious$$
    {84, 1034, 1675},	// QsciScintilla::markerLine$
    {84, 1036, 1671},	// QsciScintilla::markersAtLine$
    {84, 1037, 1587},	// QsciScintilla::metaObject
    {84, 1040, 1821},	// QsciScintilla::modificationAttempted
    {84, 1042, 1822},	// QsciScintilla::modificationChanged$
    {84, 1052, 1754},	// QsciScintilla::moveToMatchingBrace
    {84, 1059, 1678},	// QsciScintilla::paper
    {84, 1063, 1755},	// QsciScintilla::paste
    {84, 1067, 1679},	// QsciScintilla::positionFromLineIndex$$
    {84, 1078, 1593},	// QsciScintilla::qt_metacall$$?
    {84, 1080, 1588},	// QsciScintilla::qt_metacast$
    {84, 1083, 1680},	// QsciScintilla::read#
    {84, 1089, 1840},	// QsciScintilla::recolor
    {84, 1090, 1841},	// QsciScintilla::recolor$
    {84, 1091, 1681},	// QsciScintilla::recolor$$
    {84, 1092, 1756},	// QsciScintilla::redo
    {84, 1096, 1682},	// QsciScintilla::registerImage$#
    {84, 1099, 1757},	// QsciScintilla::removeSelectedText
    {84, 1101, 1683},	// QsciScintilla::replace$
    {84, 1103, 1758},	// QsciScintilla::replaceSelectedText$
    {84, 1104, 1684},	// QsciScintilla::resetFoldMarginColors
    {84, 1105, 1759},	// QsciScintilla::resetSelectionBackgroundColor
    {84, 1106, 1760},	// QsciScintilla::resetSelectionForegroundColor
    {84, 1115, 1850},	// QsciScintilla::selectAll
    {84, 1116, 1761},	// QsciScintilla::selectAll$
    {84, 1117, 1762},	// QsciScintilla::selectToMatchingBrace
    {84, 1118, 1716},	// QsciScintilla::selectedText
    {84, 1119, 1823},	// QsciScintilla::selectionChanged
    {84, 1120, 1717},	// QsciScintilla::selectionToEol
    {84, 1126, 1686},	// QsciScintilla::setAnnotationDisplay$
    {84, 1128, 1763},	// QsciScintilla::setAutoCompletionCaseSensitivity$
    {84, 1130, 1688},	// QsciScintilla::setAutoCompletionFillups$
    {84, 1132, 1687},	// QsciScintilla::setAutoCompletionFillupsEnabled$
    {84, 1134, 1764},	// QsciScintilla::setAutoCompletionReplaceWord$
    {84, 1136, 1765},	// QsciScintilla::setAutoCompletionShowSingle$
    {84, 1138, 1766},	// QsciScintilla::setAutoCompletionSource$
    {84, 1140, 1767},	// QsciScintilla::setAutoCompletionThreshold$
    {84, 1142, 1768},	// QsciScintilla::setAutoCompletionUseSingle$
    {84, 1144, 1689},	// QsciScintilla::setAutoCompletionWordSeparators?
    {84, 1146, 1769},	// QsciScintilla::setAutoIndent$
    {84, 1152, 1771},	// QsciScintilla::setBackspaceUnindents$
    {84, 1154, 1770},	// QsciScintilla::setBraceMatching$
    {84, 1156, 1690},	// QsciScintilla::setCallTipsBackgroundColor#
    {84, 1158, 1691},	// QsciScintilla::setCallTipsForegroundColor#
    {84, 1160, 1692},	// QsciScintilla::setCallTipsHighlightColor#
    {84, 1162, 1693},	// QsciScintilla::setCallTipsStyle$
    {84, 1164, 1694},	// QsciScintilla::setCallTipsVisible$
    {84, 1166, 1772},	// QsciScintilla::setCaretForegroundColor#
    {84, 1168, 1773},	// QsciScintilla::setCaretLineBackgroundColor#
    {84, 1170, 1774},	// QsciScintilla::setCaretLineVisible$
    {84, 1172, 1775},	// QsciScintilla::setCaretWidth$
    {84, 1178, 1776},	// QsciScintilla::setColor#
    {84, 1181, 1695},	// QsciScintilla::setContractedFolds?
    {84, 1183, 1777},	// QsciScintilla::setCursorPosition$$
    {84, 1195, 1696},	// QsciScintilla::setDocument#
    {84, 1201, 1697},	// QsciScintilla::setEdgeColor#
    {84, 1203, 1698},	// QsciScintilla::setEdgeColumn$
    {84, 1205, 1699},	// QsciScintilla::setEdgeMode$
    {84, 1212, 1778},	// QsciScintilla::setEolMode$
    {84, 1214, 1779},	// QsciScintilla::setEolVisibility$
    {84, 1216, 1719},	// QsciScintilla::setExtraAscent$
    {84, 1218, 1720},	// QsciScintilla::setExtraDescent$
    {84, 1220, 1700},	// QsciScintilla::setFirstVisibleLine$
    {84, 1234, 1685},	// QsciScintilla::setFoldMarginColors##
    {84, 1250, 1851},	// QsciScintilla::setFolding$
    {84, 1251, 1780},	// QsciScintilla::setFolding$$
    {84, 1253, 1629},	// QsciScintilla::setFont#
    {84, 1260, 1781},	// QsciScintilla::setIndentation$$
    {84, 1262, 1782},	// QsciScintilla::setIndentationGuides$
    {84, 1264, 1783},	// QsciScintilla::setIndentationGuidesBackgroundColor#
    {84, 1266, 1784},	// QsciScintilla::setIndentationGuidesForegroundColor#
    {84, 1270, 1786},	// QsciScintilla::setIndentationWidth$
    {84, 1272, 1785},	// QsciScintilla::setIndentationsUseTabs$
    {84, 1274, 1842},	// QsciScintilla::setIndicatorDrawUnder$
    {84, 1275, 1701},	// QsciScintilla::setIndicatorDrawUnder$$
    {84, 1277, 1843},	// QsciScintilla::setIndicatorForegroundColor#
    {84, 1278, 1702},	// QsciScintilla::setIndicatorForegroundColor#$
    {84, 1285, 1852},	// QsciScintilla::setLexer
    {84, 1286, 1787},	// QsciScintilla::setLexer#
    {84, 1292, 1791},	// QsciScintilla::setMarginLineNumbers$$
    {84, 1294, 1792},	// QsciScintilla::setMarginMarkerMask$$
    {84, 1296, 1793},	// QsciScintilla::setMarginSensitivity$$
    {84, 1298, 1705},	// QsciScintilla::setMarginText$#
    {84, 1299, 1704},	// QsciScintilla::setMarginText$$#
    {84, 1300, 1703},	// QsciScintilla::setMarginText$$$
    {84, 1301, 1706},	// QsciScintilla::setMarginText$?
    {84, 1303, 1707},	// QsciScintilla::setMarginType$$
    {84, 1305, -4262},	// QsciScintilla::setMarginWidth$$
    {84, 1307, 1788},	// QsciScintilla::setMarginsBackgroundColor#
    {84, 1309, 1789},	// QsciScintilla::setMarginsFont#
    {84, 1311, 1790},	// QsciScintilla::setMarginsForegroundColor#
    {84, 1313, 1845},	// QsciScintilla::setMarkerBackgroundColor#
    {84, 1314, 1709},	// QsciScintilla::setMarkerBackgroundColor#$
    {84, 1316, 1846},	// QsciScintilla::setMarkerForegroundColor#
    {84, 1317, 1710},	// QsciScintilla::setMarkerForegroundColor#$
    {84, 1319, 1711},	// QsciScintilla::setMatchedBraceBackgroundColor#
    {84, 1321, 1712},	// QsciScintilla::setMatchedBraceForegroundColor#
    {84, 1323, 1796},	// QsciScintilla::setModified$
    {84, 1325, 1797},	// QsciScintilla::setPaper#
    {84, 1334, 1798},	// QsciScintilla::setReadOnly$
    {84, 1338, 1799},	// QsciScintilla::setSelection$$$$
    {84, 1340, 1800},	// QsciScintilla::setSelectionBackgroundColor#
    {84, 1342, 1801},	// QsciScintilla::setSelectionForegroundColor#
    {84, 1344, 1718},	// QsciScintilla::setSelectionToEol$
    {84, 1355, 1802},	// QsciScintilla::setTabIndents$
    {84, 1357, 1803},	// QsciScintilla::setTabWidth$
    {84, 1359, 1804},	// QsciScintilla::setText$
    {84, 1365, 1713},	// QsciScintilla::setUnmatchedBraceBackgroundColor#
    {84, 1367, 1714},	// QsciScintilla::setUnmatchedBraceForegroundColor#
    {84, 1369, 1805},	// QsciScintilla::setUtf8$
    {84, 1379, 1721},	// QsciScintilla::setWhitespaceBackgroundColor#
    {84, 1381, 1722},	// QsciScintilla::setWhitespaceForegroundColor#
    {84, 1383, 1723},	// QsciScintilla::setWhitespaceSize$
    {84, 1385, 1806},	// QsciScintilla::setWhitespaceVisibility$
    {84, 1387, 1724},	// QsciScintilla::setWrapIndentMode$
    {84, 1389, 1807},	// QsciScintilla::setWrapMode$
    {84, 1391, 1847},	// QsciScintilla::setWrapVisualFlags$
    {84, 1392, 1848},	// QsciScintilla::setWrapVisualFlags$$
    {84, 1393, 1715},	// QsciScintilla::setWrapVisualFlags$$$
    {84, 1396, 1725},	// QsciScintilla::showUserList$?
    {84, 1399, 1726},	// QsciScintilla::standardCommands
    {84, 1404, 1853},	// QsciScintilla::staticMetaObject
    {84, 1412, 1727},	// QsciScintilla::tabIndents
    {84, 1413, 1728},	// QsciScintilla::tabWidth
    {84, 1415, 1729},	// QsciScintilla::text
    {84, 1416, 1730},	// QsciScintilla::text$
    {84, 1418, 1824},	// QsciScintilla::textChanged
    {84, 1420, 1731},	// QsciScintilla::textHeight$
    {84, 1426, 1826},	// QsciScintilla::tr$
    {84, 1427, 1589},	// QsciScintilla::tr$$
    {84, 1428, 1591},	// QsciScintilla::tr$$$
    {84, 1430, 1827},	// QsciScintilla::trUtf8$
    {84, 1431, 1590},	// QsciScintilla::trUtf8$$
    {84, 1432, 1592},	// QsciScintilla::trUtf8$$$
    {84, 1433, 1808},	// QsciScintilla::undo
    {84, 1435, 1809},	// QsciScintilla::unindent$
    {84, 1439, 1825},	// QsciScintilla::userListActivated$$
    {84, 1448, 1732},	// QsciScintilla::whitespaceSize
    {84, 1449, 1733},	// QsciScintilla::whitespaceVisibility
    {84, 1452, 1734},	// QsciScintilla::wordAtPoint#
    {84, 1453, 1735},	// QsciScintilla::wordCharacters
    {84, 1454, 1737},	// QsciScintilla::wrapIndentMode
    {84, 1455, 1736},	// QsciScintilla::wrapMode
    {84, 1457, 1738},	// QsciScintilla::write#
    {84, 1464, 1811},	// QsciScintilla::zoomIn
    {84, 1465, 1810},	// QsciScintilla::zoomIn$
    {84, 1466, 1813},	// QsciScintilla::zoomOut
    {84, 1467, 1812},	// QsciScintilla::zoomOut$
    {84, 1469, 1814},	// QsciScintilla::zoomTo$
    {84, 1507, 1940},	// QsciScintilla::~QsciScintilla
    {85, 368, 1963},	// QsciScintillaBase::QSCN_SELCHANGED$
    {85, 450, 2012},	// QsciScintillaBase::QsciScintillaBase
    {85, 451, 1948},	// QsciScintillaBase::QsciScintillaBase#
    {85, 483, 1967},	// QsciScintillaBase::SCEN_CHANGE
    {85, 484, -1},	// QsciScintillaBase::SCLEX_A68K
    {85, 485, -43},	// QsciScintillaBase::SCLEX_ABAQUS
    {85, 486, -85},	// QsciScintillaBase::SCLEX_ADA
    {85, 487, -127},	// QsciScintillaBase::SCLEX_APDL
    {85, 488, -169},	// QsciScintillaBase::SCLEX_ASM
    {85, 489, -211},	// QsciScintillaBase::SCLEX_ASN1
    {85, 490, -253},	// QsciScintillaBase::SCLEX_ASP
    {85, 491, -295},	// QsciScintillaBase::SCLEX_ASYMPTOTE
    {85, 492, -337},	// QsciScintillaBase::SCLEX_AU3
    {85, 493, -379},	// QsciScintillaBase::SCLEX_AVE
    {85, 494, -421},	// QsciScintillaBase::SCLEX_BAAN
    {85, 495, -463},	// QsciScintillaBase::SCLEX_BASH
    {85, 496, -505},	// QsciScintillaBase::SCLEX_BATCH
    {85, 497, -547},	// QsciScintillaBase::SCLEX_BLITZBASIC
    {85, 498, -589},	// QsciScintillaBase::SCLEX_BULLANT
    {85, 499, -631},	// QsciScintillaBase::SCLEX_CAML
    {85, 500, -673},	// QsciScintillaBase::SCLEX_CLW
    {85, 501, -715},	// QsciScintillaBase::SCLEX_CLWNOCASE
    {85, 502, -757},	// QsciScintillaBase::SCLEX_CMAKE
    {85, 503, -799},	// QsciScintillaBase::SCLEX_COBOL
    {85, 504, -841},	// QsciScintillaBase::SCLEX_CONF
    {85, 505, -883},	// QsciScintillaBase::SCLEX_CONTAINER
    {85, 506, -925},	// QsciScintillaBase::SCLEX_CPP
    {85, 507, -967},	// QsciScintillaBase::SCLEX_CPPNOCASE
    {85, 508, -1009},	// QsciScintillaBase::SCLEX_CSOUND
    {85, 509, -1051},	// QsciScintillaBase::SCLEX_CSS
    {85, 510, -1093},	// QsciScintillaBase::SCLEX_D
    {85, 511, -1135},	// QsciScintillaBase::SCLEX_DIFF
    {85, 512, -1177},	// QsciScintillaBase::SCLEX_EIFFEL
    {85, 513, -1219},	// QsciScintillaBase::SCLEX_EIFFELKW
    {85, 514, -1261},	// QsciScintillaBase::SCLEX_ERLANG
    {85, 515, -1303},	// QsciScintillaBase::SCLEX_ERRORLIST
    {85, 516, -1345},	// QsciScintillaBase::SCLEX_ESCRIPT
    {85, 517, -1387},	// QsciScintillaBase::SCLEX_F77
    {85, 518, -1429},	// QsciScintillaBase::SCLEX_FLAGSHIP
    {85, 519, -1471},	// QsciScintillaBase::SCLEX_FORTH
    {85, 520, -1513},	// QsciScintillaBase::SCLEX_FORTRAN
    {85, 521, -1555},	// QsciScintillaBase::SCLEX_FREEBASIC
    {85, 522, -1597},	// QsciScintillaBase::SCLEX_GAP
    {85, 523, -1639},	// QsciScintillaBase::SCLEX_GUI4CLI
    {85, 524, -1681},	// QsciScintillaBase::SCLEX_HASKELL
    {85, 525, -1723},	// QsciScintillaBase::SCLEX_HTML
    {85, 526, -1765},	// QsciScintillaBase::SCLEX_INNOSETUP
    {85, 527, -1807},	// QsciScintillaBase::SCLEX_KIX
    {85, 528, -1849},	// QsciScintillaBase::SCLEX_LATEX
    {85, 529, -1891},	// QsciScintillaBase::SCLEX_LISP
    {85, 530, -1933},	// QsciScintillaBase::SCLEX_LOT
    {85, 531, -1975},	// QsciScintillaBase::SCLEX_LOUT
    {85, 532, -2017},	// QsciScintillaBase::SCLEX_LUA
    {85, 533, -2059},	// QsciScintillaBase::SCLEX_MAGIK
    {85, 534, -2101},	// QsciScintillaBase::SCLEX_MAKEFILE
    {85, 535, -2143},	// QsciScintillaBase::SCLEX_MARKDOWN
    {85, 536, -2185},	// QsciScintillaBase::SCLEX_MATLAB
    {85, 537, -2227},	// QsciScintillaBase::SCLEX_METAPOST
    {85, 538, -2269},	// QsciScintillaBase::SCLEX_MMIXAL
    {85, 539, -2311},	// QsciScintillaBase::SCLEX_MODULA
    {85, 540, -2353},	// QsciScintillaBase::SCLEX_MSSQL
    {85, 541, -2395},	// QsciScintillaBase::SCLEX_MYSQL
    {85, 542, -2437},	// QsciScintillaBase::SCLEX_NIMROD
    {85, 543, -2479},	// QsciScintillaBase::SCLEX_NNCRONTAB
    {85, 544, -2521},	// QsciScintillaBase::SCLEX_NSIS
    {85, 545, -2563},	// QsciScintillaBase::SCLEX_NULL
    {85, 546, -2605},	// QsciScintillaBase::SCLEX_OCTAVE
    {85, 547, -2647},	// QsciScintillaBase::SCLEX_OPAL
    {85, 548, -2689},	// QsciScintillaBase::SCLEX_PASCAL
    {85, 549, -2731},	// QsciScintillaBase::SCLEX_PERL
    {85, 550, -2773},	// QsciScintillaBase::SCLEX_PHP
    {85, 551, -2815},	// QsciScintillaBase::SCLEX_PHPSCRIPT
    {85, 552, -2857},	// QsciScintillaBase::SCLEX_PLM
    {85, 553, -2899},	// QsciScintillaBase::SCLEX_PO
    {85, 554, -2941},	// QsciScintillaBase::SCLEX_POV
    {85, 555, -2983},	// QsciScintillaBase::SCLEX_POWERBASIC
    {85, 556, -3025},	// QsciScintillaBase::SCLEX_POWERPRO
    {85, 557, -3067},	// QsciScintillaBase::SCLEX_POWERSHELL
    {85, 558, -3109},	// QsciScintillaBase::SCLEX_PROGRESS
    {85, 559, -3151},	// QsciScintillaBase::SCLEX_PROPERTIES
    {85, 560, -3193},	// QsciScintillaBase::SCLEX_PS
    {85, 561, -3235},	// QsciScintillaBase::SCLEX_PUREBASIC
    {85, 562, -3277},	// QsciScintillaBase::SCLEX_PYTHON
    {85, 563, -3319},	// QsciScintillaBase::SCLEX_R
    {85, 564, -3361},	// QsciScintillaBase::SCLEX_REBOL
    {85, 565, -3403},	// QsciScintillaBase::SCLEX_RUBY
    {85, 566, -3445},	// QsciScintillaBase::SCLEX_SCRIPTOL
    {85, 567, -3487},	// QsciScintillaBase::SCLEX_SMALLTALK
    {85, 568, -3529},	// QsciScintillaBase::SCLEX_SML
    {85, 569, -3571},	// QsciScintillaBase::SCLEX_SORCUS
    {85, 570, -3613},	// QsciScintillaBase::SCLEX_SPECMAN
    {85, 571, -3655},	// QsciScintillaBase::SCLEX_SPICE
    {85, 572, -3697},	// QsciScintillaBase::SCLEX_SQL
    {85, 573, -3739},	// QsciScintillaBase::SCLEX_TACL
    {85, 574, -3781},	// QsciScintillaBase::SCLEX_TADS3
    {85, 575, -3823},	// QsciScintillaBase::SCLEX_TAL
    {85, 576, -3865},	// QsciScintillaBase::SCLEX_TCL
    {85, 577, -3907},	// QsciScintillaBase::SCLEX_TEX
    {85, 578, -3949},	// QsciScintillaBase::SCLEX_TXT2TAGS
    {85, 579, -3991},	// QsciScintillaBase::SCLEX_VB
    {85, 580, -4033},	// QsciScintillaBase::SCLEX_VBSCRIPT
    {85, 581, -4075},	// QsciScintillaBase::SCLEX_VERILOG
    {85, 582, -4117},	// QsciScintillaBase::SCLEX_VHDL
    {85, 583, -4159},	// QsciScintillaBase::SCLEX_XML
    {85, 584, -4201},	// QsciScintillaBase::SCLEX_YAML
    {85, 585, 1964},	// QsciScintillaBase::SCN_AUTOCCANCELLED
    {85, 586, 1965},	// QsciScintillaBase::SCN_AUTOCCHARDELETED
    {85, 588, 1966},	// QsciScintillaBase::SCN_AUTOCSELECTION$$
    {85, 590, 1968},	// QsciScintillaBase::SCN_CALLTIPCLICK$
    {85, 592, 1969},	// QsciScintillaBase::SCN_CHARADDED$
    {85, 594, 1970},	// QsciScintillaBase::SCN_DOUBLECLICK$$$
    {85, 596, 1971},	// QsciScintillaBase::SCN_DWELLEND$$$
    {85, 598, 1972},	// QsciScintillaBase::SCN_DWELLSTART$$$
    {85, 600, 1973},	// QsciScintillaBase::SCN_HOTSPOTCLICK$$
    {85, 602, 1974},	// QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK$$
    {85, 604, 1975},	// QsciScintillaBase::SCN_HOTSPOTRELEASECLICK$$
    {85, 606, 1976},	// QsciScintillaBase::SCN_INDICATORCLICK$$
    {85, 608, 1977},	// QsciScintillaBase::SCN_INDICATORRELEASE$$
    {85, 610, 1978},	// QsciScintillaBase::SCN_MACRORECORD$$$
    {85, 612, 1979},	// QsciScintillaBase::SCN_MARGINCLICK$$$
    {85, 614, 1980},	// QsciScintillaBase::SCN_MODIFIED$$$$$$$$$$
    {85, 615, 1981},	// QsciScintillaBase::SCN_MODIFYATTEMPTRO
    {85, 617, 1982},	// QsciScintillaBase::SCN_NEEDSHOWN$$
    {85, 618, 1983},	// QsciScintillaBase::SCN_PAINTED
    {85, 619, 1984},	// QsciScintillaBase::SCN_SAVEPOINTLEFT
    {85, 620, 1985},	// QsciScintillaBase::SCN_SAVEPOINTREACHED
    {85, 622, 1986},	// QsciScintillaBase::SCN_STYLENEEDED$
    {85, 624, 1987},	// QsciScintillaBase::SCN_UPDATEUI$
    {85, 626, 1988},	// QsciScintillaBase::SCN_USERLISTSELECTION$$
    {85, 627, 1989},	// QsciScintillaBase::SCN_ZOOM
    {85, 645, 2013},	// QsciScintillaBase::SendScintilla$
    {85, 646, 1959},	// QsciScintillaBase::SendScintilla$#
    {85, 647, -4243},	// QsciScintillaBase::SendScintilla$$
    {85, 648, -4248},	// QsciScintillaBase::SendScintilla$$#
    {85, 649, 1960},	// QsciScintillaBase::SendScintilla$$##$$
    {85, 650, -4251},	// QsciScintillaBase::SendScintilla$$$
    {85, 651, 1957},	// QsciScintillaBase::SendScintilla$$$$
    {85, 653, 1962},	// QsciScintillaBase::SendScintillaPtrResult$
    {85, 800, 1990},	// QsciScintillaBase::canInsertFromMimeData#
    {85, 827, 1993},	// QsciScintillaBase::contextMenuEvent#
    {85, 857, 1994},	// QsciScintillaBase::dragEnterEvent#
    {85, 859, 1995},	// QsciScintillaBase::dragLeaveEvent#
    {85, 861, 1996},	// QsciScintillaBase::dragMoveEvent#
    {85, 863, 1997},	// QsciScintillaBase::dropEvent#
    {85, 897, 1998},	// QsciScintillaBase::focusInEvent#
    {85, 899, 2000},	// QsciScintillaBase::focusNextPrevChild$
    {85, 901, 1999},	// QsciScintillaBase::focusOutEvent#
    {85, 928, 1991},	// QsciScintillaBase::fromMimeData#$
    {85, 958, 2002},	// QsciScintillaBase::inputMethodEvent#
    {85, 978, 2001},	// QsciScintillaBase::keyPressEvent#
    {85, 1037, 1941},	// QsciScintillaBase::metaObject
    {85, 1044, 2003},	// QsciScintillaBase::mouseDoubleClickEvent#
    {85, 1046, 2004},	// QsciScintillaBase::mouseMoveEvent#
    {85, 1048, 2005},	// QsciScintillaBase::mousePressEvent#
    {85, 1050, 2006},	// QsciScintillaBase::mouseReleaseEvent#
    {85, 1057, 2007},	// QsciScintillaBase::paintEvent#
    {85, 1065, 1949},	// QsciScintillaBase::pool
    {85, 1078, 1947},	// QsciScintillaBase::qt_metacall$$?
    {85, 1080, 1942},	// QsciScintillaBase::qt_metacast$
    {85, 1108, 2008},	// QsciScintillaBase::resizeEvent#
    {85, 1114, 2009},	// QsciScintillaBase::scrollContentsBy$$
    {85, 1404, 2015},	// QsciScintillaBase::staticMetaObject
    {85, 1423, 1992},	// QsciScintillaBase::toMimeData#$
    {85, 1426, 2010},	// QsciScintillaBase::tr$
    {85, 1427, 1943},	// QsciScintillaBase::tr$$
    {85, 1428, 1945},	// QsciScintillaBase::tr$$$
    {85, 1430, 2011},	// QsciScintillaBase::trUtf8$
    {85, 1431, 1944},	// QsciScintillaBase::trUtf8$$
    {85, 1432, 1946},	// QsciScintillaBase::trUtf8$$$
    {85, 1508, 6157},	// QsciScintillaBase::~QsciScintillaBase
    {86, 287, 6185},	// QsciStyle::LowerCase
    {86, 309, 6183},	// QsciStyle::OriginalCase
    {86, 452, 6181},	// QsciStyle::QsciStyle
    {86, 453, 6180},	// QsciStyle::QsciStyle#
    {86, 454, 6158},	// QsciStyle::QsciStyle$
    {86, 455, 6182},	// QsciStyle::QsciStyle$$###
    {86, 456, 6159},	// QsciStyle::QsciStyle$$###$
    {86, 716, 6184},	// QsciStyle::UpperCase
    {86, 806, 6176},	// QsciStyle::changeable
    {86, 820, 6164},	// QsciStyle::color
    {86, 848, 6162},	// QsciStyle::description
    {86, 875, 6170},	// QsciStyle::eolFill
    {86, 920, 6168},	// QsciStyle::font
    {86, 937, 6178},	// QsciStyle::hotspot
    {86, 1059, 6166},	// QsciStyle::paper
    {86, 1093, 6179},	// QsciStyle::refresh
    {86, 1176, 6175},	// QsciStyle::setChangeable$
    {86, 1178, 6163},	// QsciStyle::setColor#
    {86, 1191, 6161},	// QsciStyle::setDescription$
    {86, 1209, 6169},	// QsciStyle::setEolFill$
    {86, 1253, 6167},	// QsciStyle::setFont#
    {86, 1258, 6177},	// QsciStyle::setHotspot$
    {86, 1325, 6165},	// QsciStyle::setPaper#
    {86, 1361, 6171},	// QsciStyle::setTextCase$
    {86, 1377, 6173},	// QsciStyle::setVisible$
    {86, 1406, 6160},	// QsciStyle::style
    {86, 1417, 6172},	// QsciStyle::textCase
    {86, 1446, 6174},	// QsciStyle::visible
    {86, 1509, 6186},	// QsciStyle::~QsciStyle
    {87, 458, 6191},	// QsciStyledText::QsciStyledText#
    {87, 459, 6188},	// QsciStyledText::QsciStyledText$#
    {87, 460, 6187},	// QsciStyledText::QsciStyledText$$
    {87, 1406, 6190},	// QsciStyledText::style
    {87, 1415, 6189},	// QsciStyledText::text
    {87, 1510, 6192},	// QsciStyledText::~QsciStyledText
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qsci_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qsci_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qsci_Smoke = new Smoke(
        "qsci",
        __smokeqsci::classes, 87,
        __smokeqsci::methods, 6193,
        __smokeqsci::methodMaps, 2102,
        __smokeqsci::methodNames, 1510,
        __smokeqsci::types, 218,
        __smokeqsci::inheritanceList,
        __smokeqsci::argumentList,
        __smokeqsci::ambiguousMethodList,
        __smokeqsci::cast );
    initialized = true;
}

void delete_qsci_Smoke() { delete qsci_Smoke; }

}
