#include <qtwebkit_includes.h>

#include <smoke.h>
#include <qtwebkit_smoke.h>

namespace __smokeqtwebkit {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAction
      switch(to) {
        case 1: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDateTime
      switch(to) {
        case 8: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 12: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIcon
      switch(to) {
        case 18: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 19:   //QIncompatibleFlag
      switch(to) {
        case 19: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 20:   //QInputMethodEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 20: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QKeyEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 21: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QMenu
      switch(to) {
        case 22: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 23:   //QMetaObject
      switch(to) {
        case 23: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 24:   //QMouseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 24: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QMoveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 25: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QNetworkAccessManager
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 26: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 27:   //QNetworkReply
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 27: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 28:   //QNetworkRequest
      switch(to) {
        case 28: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 29:   //QObject
      switch(to) {
        case 29: return (void*)(QObject*)xptr;
        case 77: return (void*)(QWebView*)(QObject*)xptr;
        case 54: return (void*)(QWebFrame*)(QObject*)xptr;
        case 60: return (void*)(QWebPage*)(QObject*)xptr;
        case 69: return (void*)(QWebPluginFactory*)(QObject*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)(QObject*)xptr;
        case 59: return (void*)(QWebInspector*)(QObject*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEngine
      switch(to) {
        case 30: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 31:   //QPaintEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 31: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QPainter
      switch(to) {
        case 32: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 33:   //QPalette
      switch(to) {
        case 33: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 34:   //QPixmap
      switch(to) {
        case 34: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 35:   //QPoint
      switch(to) {
        case 35: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 36:   //QPrinter
      switch(to) {
        case 36: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 37:   //QRect
      switch(to) {
        case 37: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 38:   //QRegExp
      switch(to) {
        case 38: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 39:   //QRegion
      switch(to) {
        case 39: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 40:   //QResizeEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 40: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QShowEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 41: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QSize
      switch(to) {
        case 42: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 43:   //QStyle
      switch(to) {
        case 43: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 44:   //QTabletEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 44: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QTimerEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 45: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QUndoStack
      switch(to) {
        case 46: return (void*)(QUndoStack*)xptr;
        default: return xptr;
      }
    case 47:   //QUrl
      switch(to) {
        case 47: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 48:   //QVariant
      switch(to) {
        case 48: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 49:   //QWebDatabase
      switch(to) {
        case 49: return (void*)(QWebDatabase*)xptr;
        default: return xptr;
      }
    case 50:   //QWebElement
      switch(to) {
        case 50: return (void*)(QWebElement*)xptr;
        default: return xptr;
      }
    case 51:   //QWebElementCollection
      switch(to) {
        case 51: return (void*)(QWebElementCollection*)xptr;
        default: return xptr;
      }
    case 52:   //QWebElementCollection::const_iterator
      switch(to) {
        case 52: return (void*)(QWebElementCollection::const_iterator*)xptr;
        default: return xptr;
      }
    case 53:   //QWebElementCollection::iterator
      switch(to) {
        case 53: return (void*)(QWebElementCollection::iterator*)xptr;
        default: return xptr;
      }
    case 54:   //QWebFrame
      switch(to) {
        case 29: return (void*)(QObject*)(QWebFrame*)xptr;
        case 54: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 55:   //QWebHistory
      switch(to) {
        case 55: return (void*)(QWebHistory*)xptr;
        default: return xptr;
      }
    case 56:   //QWebHistoryInterface
      switch(to) {
        case 29: return (void*)(QObject*)(QWebHistoryInterface*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)xptr;
        default: return xptr;
      }
    case 57:   //QWebHistoryItem
      switch(to) {
        case 57: return (void*)(QWebHistoryItem*)xptr;
        default: return xptr;
      }
    case 58:   //QWebHitTestResult
      switch(to) {
        case 58: return (void*)(QWebHitTestResult*)xptr;
        default: return xptr;
      }
    case 59:   //QWebInspector
      switch(to) {
        case 79: return (void*)(QWidget*)(QWebInspector*)xptr;
        case 29: return (void*)(QObject*)(QWebInspector*)xptr;
        case 59: return (void*)(QWebInspector*)xptr;
        default: return xptr;
      }
    case 60:   //QWebPage
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPage*)xptr;
        case 60: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 61:   //QWebPage::ChooseMultipleFilesExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        default: return xptr;
      }
    case 62:   //QWebPage::ChooseMultipleFilesExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        default: return xptr;
      }
    case 63:   //QWebPage::ErrorPageExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ErrorPageExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)xptr;
        default: return xptr;
      }
    case 64:   //QWebPage::ErrorPageExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        default: return xptr;
      }
    case 65:   //QWebPage::ExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 66:   //QWebPage::ExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 67:   //QWebPage::ViewportAttributes
      switch(to) {
        case 67: return (void*)(QWebPage::ViewportAttributes*)xptr;
        default: return xptr;
      }
    case 68:   //QWebPagePrivate
      switch(to) {
        case 68: return (void*)(QWebPagePrivate*)xptr;
        default: return xptr;
      }
    case 69:   //QWebPluginFactory
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPluginFactory*)xptr;
        case 69: return (void*)(QWebPluginFactory*)xptr;
        default: return xptr;
      }
    case 70:   //QWebPluginFactory::ExtensionOption
      switch(to) {
        case 70: return (void*)(QWebPluginFactory::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 71:   //QWebPluginFactory::ExtensionReturn
      switch(to) {
        case 71: return (void*)(QWebPluginFactory::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 72:   //QWebPluginFactory::MimeType
      switch(to) {
        case 72: return (void*)(QWebPluginFactory::MimeType*)xptr;
        default: return xptr;
      }
    case 73:   //QWebPluginFactory::Plugin
      switch(to) {
        case 73: return (void*)(QWebPluginFactory::Plugin*)xptr;
        default: return xptr;
      }
    case 74:   //QWebSecurityOrigin
      switch(to) {
        case 74: return (void*)(QWebSecurityOrigin*)xptr;
        default: return xptr;
      }
    case 75:   //QWebSettings
      switch(to) {
        case 75: return (void*)(QWebSettings*)xptr;
        default: return xptr;
      }
    case 76:   //QWebSettingsPrivate
      switch(to) {
        case 76: return (void*)(QWebSettingsPrivate*)xptr;
        default: return xptr;
      }
    case 77:   //QWebView
      switch(to) {
        case 79: return (void*)(QWidget*)(QWebView*)xptr;
        case 29: return (void*)(QObject*)(QWebView*)xptr;
        case 77: return (void*)(QWebView*)xptr;
        default: return xptr;
      }
    case 78:   //QWheelEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 78: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QWidget
      switch(to) {
        case 29: return (void*)(QObject*)(QWidget*)xptr;
        case 79: return (void*)(QWidget*)xptr;
        case 77: return (void*)(QWebView*)(QWidget*)xptr;
        case 59: return (void*)(QWebInspector*)(QWidget*)xptr;
        default: return xptr;
      }
    case 80:   //std::bidirectional_iterator_tag
      switch(to) {
        case 80: return (void*)(std::bidirectional_iterator_tag*)xptr;
        default: return xptr;
      }
    case 81:   //std::random_access_iterator_tag
      switch(to) {
        case 81: return (void*)(std::random_access_iterator_tag*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    29, 0,	// 1: QObject
    79, 0,	// 3: QWidget
    65, 0,	// 5: QWebPage::ExtensionOption
    66, 0,	// 7: QWebPage::ExtensionReturn
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebElement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPluginFactory(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__const_iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebFrame(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHitTestResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebInspector(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ViewportAttributes(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__MimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSecurityOrigin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebView(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAction", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIcon", true, 0, 0, 0, 0, 0 },	//18
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//19
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QMenu", true, 0, 0, 0, 0, 0 },	//22
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//23
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//26
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//27
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//28
    { "QObject", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//30
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QPainter", true, 0, 0, 0, 0, 0 },	//32
    { "QPalette", true, 0, 0, 0, 0, 0 },	//33
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//34
    { "QPoint", true, 0, 0, 0, 0, 0 },	//35
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//36
    { "QRect", true, 0, 0, 0, 0, 0 },	//37
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//38
    { "QRegion", true, 0, 0, 0, 0, 0 },	//39
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QSize", true, 0, 0, 0, 0, 0 },	//42
    { "QStyle", true, 0, 0, 0, 0, 0 },	//43
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QUndoStack", true, 0, 0, 0, 0, 0 },	//46
    { "QUrl", true, 0, 0, 0, 0, 0 },	//47
    { "QVariant", true, 0, 0, 0, 0, 0 },	//48
    { "QWebDatabase", false, 0, xcall_QWebDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebDatabase) },	//49
    { "QWebElement", false, 0, xcall_QWebElement, xenum_QWebElement, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElement) },	//50
    { "QWebElementCollection", false, 0, xcall_QWebElementCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection) },	//51
    { "QWebElementCollection::const_iterator", false, 0, xcall_QWebElementCollection__const_iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::const_iterator) },	//52
    { "QWebElementCollection::iterator", false, 0, xcall_QWebElementCollection__iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::iterator) },	//53
    { "QWebFrame", false, 1, xcall_QWebFrame, xenum_QWebFrame, Smoke::cf_virtual, sizeof(QWebFrame) },	//54
    { "QWebHistory", false, 0, xcall_QWebHistory, 0, 0, sizeof(QWebHistory) },	//55
    { "QWebHistoryInterface", false, 1, xcall_QWebHistoryInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebHistoryInterface) },	//56
    { "QWebHistoryItem", false, 0, xcall_QWebHistoryItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHistoryItem) },	//57
    { "QWebHitTestResult", false, 0, xcall_QWebHitTestResult, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHitTestResult) },	//58
    { "QWebInspector", false, 3, xcall_QWebInspector, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebInspector) },	//59
    { "QWebPage", false, 1, xcall_QWebPage, xenum_QWebPage, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPage) },	//60
    { "QWebPage::ChooseMultipleFilesExtensionOption", false, 5, xcall_QWebPage__ChooseMultipleFilesExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionOption) },	//61
    { "QWebPage::ChooseMultipleFilesExtensionReturn", false, 7, xcall_QWebPage__ChooseMultipleFilesExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionReturn) },	//62
    { "QWebPage::ErrorPageExtensionOption", false, 5, xcall_QWebPage__ErrorPageExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionOption) },	//63
    { "QWebPage::ErrorPageExtensionReturn", false, 7, xcall_QWebPage__ErrorPageExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionReturn) },	//64
    { "QWebPage::ExtensionOption", false, 0, xcall_QWebPage__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionOption) },	//65
    { "QWebPage::ExtensionReturn", false, 0, xcall_QWebPage__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionReturn) },	//66
    { "QWebPage::ViewportAttributes", false, 0, xcall_QWebPage__ViewportAttributes, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ViewportAttributes) },	//67
    { "QWebPagePrivate", true, 0, 0, 0, 0, 0 },	//68
    { "QWebPluginFactory", false, 1, xcall_QWebPluginFactory, xenum_QWebPluginFactory, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPluginFactory) },	//69
    { "QWebPluginFactory::ExtensionOption", false, 0, xcall_QWebPluginFactory__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionOption) },	//70
    { "QWebPluginFactory::ExtensionReturn", false, 0, xcall_QWebPluginFactory__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionReturn) },	//71
    { "QWebPluginFactory::MimeType", false, 0, xcall_QWebPluginFactory__MimeType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::MimeType) },	//72
    { "QWebPluginFactory::Plugin", false, 0, xcall_QWebPluginFactory__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::Plugin) },	//73
    { "QWebSecurityOrigin", false, 0, xcall_QWebSecurityOrigin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebSecurityOrigin) },	//74
    { "QWebSettings", false, 0, xcall_QWebSettings, xenum_QWebSettings, 0, sizeof(QWebSettings) },	//75
    { "QWebSettingsPrivate", true, 0, 0, 0, 0, 0 },	//76
    { "QWebView", false, 3, xcall_QWebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebView) },	//77
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QWidget", true, 0, 0, 0, 0, 0 },	//79
    { "std::bidirectional_iterator_tag", true, 0, 0, 0, 0, 0 },	//80
    { "std::random_access_iterator_tag", true, 0, 0, 0, 0, 0 },	//81
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//4
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDateTime", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//15
    { "QFlags<QWebPage::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//16
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//17
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QIcon", 18, Smoke::t_class|Smoke::tf_stack },	//20
    { "QIncompatibleFlag", 19, Smoke::t_class|Smoke::tf_stack },	//21
    { "QInputMethodEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QKeyEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QList<QWebDatabase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//24
    { "QList<QWebElement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//25
    { "QList<QWebFrame*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//26
    { "QList<QWebHistoryItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//28
    { "QList<QWebPluginFactory::Plugin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//29
    { "QList<QWebSecurityOrigin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//30
    { "QMenu*", 22, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QMetaObject::Call", 23, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QMouseEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QMoveEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "QNetworkAccessManager*", 26, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QNetworkAccessManager::Operation", 26, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QNetworkReply*", 27, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QNetworkRequest", 28, Smoke::t_class|Smoke::tf_stack },	//39
    { "QObject*", 29, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "QPaintEngine*", 30, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QPaintEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QPainter*", 32, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QPainter::RenderHint", 32, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QPalette", 33, Smoke::t_class|Smoke::tf_stack },	//46
    { "QPixmap", 34, Smoke::t_class|Smoke::tf_stack },	//47
    { "QPoint", 35, Smoke::t_class|Smoke::tf_stack },	//48
    { "QPrinter*", 36, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QRect", 37, Smoke::t_class|Smoke::tf_stack },	//50
    { "QRegExp&", 38, Smoke::t_class|Smoke::tf_ref },	//51
    { "QResizeEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QScriptEngine::ValueOwnership", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "QShowEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QSize", 42, Smoke::t_class|Smoke::tf_stack },	//55
    { "QSsl::AlternateNameEntryType", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "QSsl::EncodingFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QSsl::KeyAlgorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QSsl::KeyType", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QSsl::SslOption", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "QSsl::SslProtocol", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//62
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//63
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//64
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//65
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//66
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//67
    { "QStyle&", 43, Smoke::t_class|Smoke::tf_ref },	//68
    { "QTabletEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QTimerEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QUndoStack*", 46, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QUrl", 47, Smoke::t_class|Smoke::tf_stack },	//72
    { "QUrl&", 47, Smoke::t_class|Smoke::tf_ref },	//73
    { "QVariant", 48, Smoke::t_class|Smoke::tf_stack },	//74
    { "QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref },	//75
    { "QWebDatabase*", 49, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QWebElement", 50, Smoke::t_class|Smoke::tf_stack },	//77
    { "QWebElement&", 50, Smoke::t_class|Smoke::tf_ref },	//78
    { "QWebElement*", 50, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QWebElement::StyleResolveStrategy", 50, Smoke::t_enum|Smoke::tf_stack },	//80
    { "QWebElementCollection", 51, Smoke::t_class|Smoke::tf_stack },	//81
    { "QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref },	//82
    { "QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QWebElementCollection::const_iterator", 52, Smoke::t_class|Smoke::tf_stack },	//84
    { "QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref },	//85
    { "QWebElementCollection::const_iterator*", 52, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QWebElementCollection::iterator", 53, Smoke::t_class|Smoke::tf_stack },	//87
    { "QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref },	//88
    { "QWebElementCollection::iterator*", 53, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QWebFrame*", 54, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QWebFrame::RenderLayer", 54, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QWebHistory*", 55, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QWebHistoryInterface*", 56, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QWebHistoryItem", 57, Smoke::t_class|Smoke::tf_stack },	//94
    { "QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref },	//95
    { "QWebHistoryItem*", 57, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QWebHitTestResult", 58, Smoke::t_class|Smoke::tf_stack },	//97
    { "QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref },	//98
    { "QWebHitTestResult*", 58, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QWebInspector*", 59, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QWebPage*", 60, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QWebPage::ChooseMultipleFilesExtensionOption*", 61, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QWebPage::ChooseMultipleFilesExtensionReturn*", 62, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QWebPage::ErrorDomain", 60, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QWebPage::ErrorPageExtensionOption*", 63, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QWebPage::ErrorPageExtensionReturn*", 64, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QWebPage::Extension", 60, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QWebPage::ExtensionReturn*", 66, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QWebPage::Feature", 60, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QWebPage::FindFlag", 60, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QWebPage::LinkDelegationPolicy", 60, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QWebPage::NavigationType", 60, Smoke::t_enum|Smoke::tf_stack },	//113
    { "QWebPage::PermissionPolicy", 60, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QWebPage::ViewportAttributes", 67, Smoke::t_class|Smoke::tf_stack },	//115
    { "QWebPage::ViewportAttributes&", 67, Smoke::t_class|Smoke::tf_ref },	//116
    { "QWebPage::ViewportAttributes*", 67, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QWebPage::WebAction", 60, Smoke::t_enum|Smoke::tf_stack },	//118
    { "QWebPage::WebWindowType", 60, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QWebPagePrivate*", 68, Smoke::t_class|Smoke::tf_ptr },	//120
    { "QWebPluginFactory*", 69, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QWebPluginFactory::Extension", 69, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QWebPluginFactory::ExtensionOption*", 70, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QWebPluginFactory::ExtensionReturn*", 71, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QWebPluginFactory::MimeType*", 72, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QWebPluginFactory::Plugin*", 73, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QWebSecurityOrigin", 74, Smoke::t_class|Smoke::tf_stack },	//127
    { "QWebSecurityOrigin&", 74, Smoke::t_class|Smoke::tf_ref },	//128
    { "QWebSecurityOrigin*", 74, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QWebSettings*", 75, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QWebSettings::FontFamily", 75, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QWebSettings::FontSize", 75, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QWebSettings::WebAttribute", 75, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QWebSettings::WebGraphic", 75, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QWebSettingsPrivate*", 76, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QWebView*", 77, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QWheelEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QWidget*", 79, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//212
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//214
    { "_LIB_VERSION_TYPE", 16, Smoke::t_enum|Smoke::tf_stack },	//215
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//216
    { "__codecvt_result", 16, Smoke::t_enum|Smoke::tf_stack },	//217
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//218
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const QMetaObject&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const QMetaObject*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//223
    { "const QNetworkRequest&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QPalette&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QPixmap&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QPoint&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QRect&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QRegExp&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QRegion&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QSize&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//234
    { "const QUrl&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QVariant&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QWebElement", 50, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//238
    { "const QWebElement&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//241
    { "const QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QWebPage::ChooseMultipleFilesExtensionOption&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QWebPage::ChooseMultipleFilesExtensionReturn&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QWebPage::ErrorPageExtensionOption&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QWebPage::ErrorPageExtensionReturn&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QWebPage::ExtensionOption&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//251
    { "const QWebPage::ExtensionReturn&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QWebPage::ViewportAttributes&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QWebPluginFactory::ExtensionOption&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QWebPluginFactory::ExtensionOption*", 70, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//255
    { "const QWebPluginFactory::ExtensionReturn&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QWebPluginFactory::MimeType&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QWebPluginFactory::Plugin&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QWebSecurityOrigin&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//260
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//261
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//262
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//263
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//264
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//265
    { "quint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//266
    { "std::bidirectional_iterator_tag", 80, Smoke::t_class|Smoke::tf_stack },	//267
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//268
    { "std::random_access_iterator_tag", 81, Smoke::t_class|Smoke::tf_stack },	//269
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//270
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//271
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//272
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//273
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    14, 0,	//1  QEvent*
    40, 14, 0,	//3  QObject*, QEvent*
    70, 0,	//6  QTimerEvent*
    5, 0,	//8  QChildEvent*
    260, 0,	//10  const char*
    237, 0,	//12  const QWebDatabase&
    239, 0,	//14  const QWebElement&
    232, 0,	//16  const QString&
    232, 232, 0,	//18  const QString&, const QString&
    232, 232, 232, 0,	//21  const QString&, const QString&, const QString&
    232, 80, 0,	//25  const QString&, QWebElement::StyleResolveStrategy
    44, 0,	//28  QPainter*
    44, 228, 0,	//30  QPainter*, const QRect&
    239, 232, 0,	//33  const QWebElement&, const QString&
    240, 0,	//36  const QWebElementCollection&
    263, 0,	//38  int
    241, 263, 0,	//40  const QWebElementCollection*, int
    242, 0,	//43  const QWebElementCollection::const_iterator&
    84, 0,	//45  QWebElementCollection::const_iterator
    243, 0,	//47  const QWebElementCollection::iterator&
    87, 0,	//49  QWebElementCollection::iterator
    260, 260, 0,	//51  const char*, const char*
    260, 260, 263, 0,	//54  const char*, const char*, int
    32, 263, 272, 0,	//58  QMetaObject::Call, int, void**
    235, 0,	//62  const QUrl&
    224, 37, 219, 0,	//64  const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&
    232, 235, 0,	//68  const QString&, const QUrl&
    219, 232, 235, 0,	//71  const QByteArray&, const QString&, const QUrl&
    232, 40, 0,	//75  const QString&, QObject*
    232, 40, 53, 0,	//78  const QString&, QObject*, QScriptEngine::ValueOwnership
    185, 0,	//82  Qt::Orientation
    185, 189, 0,	//84  Qt::Orientation, Qt::ScrollBarPolicy
    185, 263, 0,	//87  Qt::Orientation, int
    263, 263, 0,	//90  int, int
    227, 0,	//93  const QPoint&
    44, 230, 0,	//95  QPainter*, const QRegion&
    44, 91, 230, 0,	//98  QPainter*, QWebFrame::RenderLayer, const QRegion&
    262, 0,	//102  double
    49, 0,	//104  QPrinter*
    231, 0,	//106  const QSize&
    218, 0,	//108  bool
    224, 0,	//110  const QNetworkRequest&
    224, 37, 0,	//112  const QNetworkRequest&, QNetworkAccessManager::Operation
    219, 0,	//115  const QByteArray&
    219, 232, 0,	//117  const QByteArray&, const QString&
    44, 91, 0,	//120  QPainter*, QWebFrame::RenderLayer
    244, 0,	//123  const QWebHistoryItem&
    40, 0,	//125  QObject*
    93, 0,	//127  QWebHistoryInterface*
    236, 0,	//129  const QVariant&
    245, 0,	//131  const QWebHitTestResult&
    138, 0,	//133  QWidget*
    101, 0,	//135  QWebPage*
    52, 0,	//137  QResizeEvent*
    54, 0,	//139  QShowEvent*
    19, 0,	//141  QHideEvent*
    6, 0,	//143  QCloseEvent*
    36, 0,	//145  QNetworkAccessManager*
    121, 0,	//147  QWebPluginFactory*
    118, 0,	//149  QWebPage::WebAction
    118, 218, 0,	//151  QWebPage::WebAction, bool
    228, 0,	//154  const QRect&
    173, 0,	//156  Qt::InputMethodQuery
    232, 16, 0,	//158  const QString&, QFlags<QWebPage::FindFlag>
    112, 0,	//161  QWebPage::LinkDelegationPolicy
    225, 0,	//163  const QPalette&
    7, 0,	//165  QContextMenuEvent*
    90, 110, 114, 0,	//167  QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy
    107, 251, 109, 0,	//171  QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*
    107, 0,	//175  QWebPage::Extension
    90, 0,	//177  QWebFrame*
    263, 263, 228, 0,	//179  int, int, const QRect&
    38, 0,	//183  QNetworkReply*
    90, 62, 0,	//185  QWebFrame*, QString
    129, 266, 0,	//188  QWebSecurityOrigin*, quint64
    90, 96, 0,	//191  QWebFrame*, QWebHistoryItem*
    90, 110, 0,	//194  QWebFrame*, QWebPage::Feature
    119, 0,	//197  QWebPage::WebWindowType
    232, 235, 233, 233, 0,	//199  const QString&, const QUrl&, const QStringList&, const QStringList&
    90, 224, 113, 0,	//204  QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType
    90, 232, 0,	//208  QWebFrame*, const QString&
    90, 232, 232, 64, 0,	//211  QWebFrame*, const QString&, const QString&, QString*
    232, 263, 232, 0,	//216  const QString&, int, const QString&
    107, 251, 0,	//220  QWebPage::Extension, const QWebPage::ExtensionOption*
    246, 0,	//223  const QWebPage::ChooseMultipleFilesExtensionOption&
    233, 0,	//225  const QStringList&
    247, 0,	//227  const QWebPage::ChooseMultipleFilesExtensionReturn&
    248, 0,	//229  const QWebPage::ErrorPageExtensionOption&
    104, 0,	//231  QWebPage::ErrorDomain
    249, 0,	//233  const QWebPage::ErrorPageExtensionReturn&
    250, 0,	//235  const QWebPage::ExtensionOption&
    252, 0,	//237  const QWebPage::ExtensionReturn&
    253, 0,	//239  const QWebPage::ViewportAttributes&
    122, 255, 124, 0,	//241  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*
    122, 0,	//245  QWebPluginFactory::Extension
    122, 255, 0,	//247  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*
    254, 0,	//250  const QWebPluginFactory::ExtensionOption&
    256, 0,	//252  const QWebPluginFactory::ExtensionReturn&
    257, 0,	//254  const QWebPluginFactory::MimeType&
    258, 0,	//256  const QWebPluginFactory::Plugin&
    221, 0,	//258  const QList<QWebPluginFactory::MimeType>&
    265, 0,	//260  long long
    259, 0,	//262  const QWebSecurityOrigin&
    131, 232, 0,	//264  QWebSettings::FontFamily, const QString&
    131, 0,	//267  QWebSettings::FontFamily
    132, 263, 0,	//269  QWebSettings::FontSize, int
    132, 0,	//272  QWebSettings::FontSize
    133, 218, 0,	//274  QWebSettings::WebAttribute, bool
    133, 0,	//277  QWebSettings::WebAttribute
    134, 226, 0,	//279  QWebSettings::WebGraphic, const QPixmap&
    134, 0,	//282  QWebSettings::WebGraphic
    263, 263, 263, 0,	//284  int, int, int
    15, 0,	//288  QFlags<QPainter::RenderHint>
    45, 218, 0,	//290  QPainter::RenderHint, bool
    43, 0,	//293  QPaintEvent*
    33, 0,	//295  QMouseEvent*
    137, 0,	//297  QWheelEvent*
    23, 0,	//299  QKeyEvent*
    9, 0,	//301  QDragEnterEvent*
    10, 0,	//303  QDragLeaveEvent*
    11, 0,	//305  QDragMoveEvent*
    13, 0,	//307  QDropEvent*
    18, 0,	//309  QFocusEvent*
    22, 0,	//311  QInputMethodEvent*
    45, 0,	//313  QPainter::RenderHint
    34, 0,	//315  QMoveEvent*
    69, 0,	//317  QTabletEvent*
    2, 0,	//319  QActionEvent*
    216, 0,	//321  _XEvent*
    41, 0,	//323  QPaintDevice::PaintDeviceMetric
    68, 0,	//325  QStyle&
    220, 0,	//327  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceleratedCompositingEnabled",	//1
    "AlignCenter",	//2
    "AlignJustified",	//3
    "AlignLeft",	//4
    "AlignRight",	//5
    "AllLayers",	//6
    "AutoLoadImages",	//7
    "Back",	//8
    "CascadedStyle",	//9
    "ChooseMultipleFilesExtension",	//10
    "ChooseMultipleFilesExtensionOption",	//11
    "ChooseMultipleFilesExtensionOption#",	//12
    "ChooseMultipleFilesExtensionReturn",	//13
    "ChooseMultipleFilesExtensionReturn#",	//14
    "ComputedStyle",	//15
    "ContentsLayer",	//16
    "Copy",	//17
    "CopyImageToClipboard",	//18
    "CopyImageUrlToClipboard",	//19
    "CopyLinkToClipboard",	//20
    "CursiveFont",	//21
    "Cut",	//22
    "DefaultFixedFontSize",	//23
    "DefaultFontSize",	//24
    "DefaultFrameIconGraphic",	//25
    "DelegateAllLinks",	//26
    "DelegateExternalLinks",	//27
    "DeleteButtonGraphic",	//28
    "DeleteEndOfWord",	//29
    "DeleteStartOfWord",	//30
    "DeveloperExtrasEnabled",	//31
    "DnsPrefetchEnabled",	//32
    "DontDelegateLinks",	//33
    "DownloadImageToDisk",	//34
    "DownloadLinkToDisk",	//35
    "DrawChildren",	//36
    "DrawWindowBackground",	//37
    "ErrorPageExtension",	//38
    "ErrorPageExtensionOption",	//39
    "ErrorPageExtensionOption#",	//40
    "ErrorPageExtensionReturn",	//41
    "ErrorPageExtensionReturn#",	//42
    "ExtensionOption",	//43
    "ExtensionOption#",	//44
    "ExtensionReturn",	//45
    "ExtensionReturn#",	//46
    "FantasyFont",	//47
    "FindBackward",	//48
    "FindCaseSensitively",	//49
    "FindWrapsAroundDocument",	//50
    "FixedFont",	//51
    "Forward",	//52
    "FrameFlatteningEnabled",	//53
    "Geolocation",	//54
    "HighlightAllOccurrences",	//55
    "Http",	//56
    "HyperlinkAuditingEnabled",	//57
    "IgnoreMask",	//58
    "Indent",	//59
    "InlineStyle",	//60
    "InputSpeechButtonGraphic",	//61
    "InsertLineSeparator",	//62
    "InsertOrderedList",	//63
    "InsertParagraphSeparator",	//64
    "InsertUnorderedList",	//65
    "InspectElement",	//66
    "JavaEnabled",	//67
    "JavascriptCanAccessClipboard",	//68
    "JavascriptCanCloseWindows",	//69
    "JavascriptCanOpenWindows",	//70
    "JavascriptEnabled",	//71
    "LinksIncludedInFocusChain",	//72
    "LocalContentCanAccessFileUrls",	//73
    "LocalContentCanAccessRemoteUrls",	//74
    "LocalStorageDatabaseEnabled",	//75
    "LocalStorageEnabled",	//76
    "MimeType",	//77
    "MimeType#",	//78
    "MinimumFontSize",	//79
    "MinimumLogicalFontSize",	//80
    "MissingImageGraphic",	//81
    "MissingPluginGraphic",	//82
    "MoveToEndOfBlock",	//83
    "MoveToEndOfDocument",	//84
    "MoveToEndOfLine",	//85
    "MoveToNextChar",	//86
    "MoveToNextLine",	//87
    "MoveToNextWord",	//88
    "MoveToPreviousChar",	//89
    "MoveToPreviousLine",	//90
    "MoveToPreviousWord",	//91
    "MoveToStartOfBlock",	//92
    "MoveToStartOfDocument",	//93
    "MoveToStartOfLine",	//94
    "NavigationTypeBackOrForward",	//95
    "NavigationTypeFormResubmitted",	//96
    "NavigationTypeFormSubmitted",	//97
    "NavigationTypeLinkClicked",	//98
    "NavigationTypeOther",	//99
    "NavigationTypeReload",	//100
    "NoWebAction",	//101
    "Notifications",	//102
    "OfflineStorageDatabaseEnabled",	//103
    "OfflineWebApplicationCacheEnabled",	//104
    "OpenFrameInNewWindow",	//105
    "OpenImageInNewWindow",	//106
    "OpenLink",	//107
    "OpenLinkInNewWindow",	//108
    "Outdent",	//109
    "PanIconLayer",	//110
    "Paste",	//111
    "PasteAndMatchStyle",	//112
    "PermissionDeniedByUser",	//113
    "PermissionGrantedByUser",	//114
    "PermissionUnknown",	//115
    "Plugin",	//116
    "Plugin#",	//117
    "PluginsEnabled",	//118
    "PrintElementBackgrounds",	//119
    "PrivateBrowsingEnabled",	//120
    "QWebDatabase",	//121
    "QWebDatabase#",	//122
    "QWebElement",	//123
    "QWebElement#",	//124
    "QWebElementCollection",	//125
    "QWebElementCollection#",	//126
    "QWebElementCollection#$",	//127
    "QWebHistoryInterface",	//128
    "QWebHistoryInterface#",	//129
    "QWebHistoryItem",	//130
    "QWebHistoryItem#",	//131
    "QWebHitTestResult",	//132
    "QWebHitTestResult#",	//133
    "QWebInspector",	//134
    "QWebInspector#",	//135
    "QWebPage",	//136
    "QWebPage#",	//137
    "QWebPluginFactory",	//138
    "QWebPluginFactory#",	//139
    "QWebSecurityOrigin",	//140
    "QWebSecurityOrigin#",	//141
    "QWebView",	//142
    "QWebView#",	//143
    "QtCriticalMsg",	//144
    "QtDebugMsg",	//145
    "QtFatalMsg",	//146
    "QtNetwork",	//147
    "QtSystemMsg",	//148
    "QtWarningMsg",	//149
    "Redo",	//150
    "Reload",	//151
    "ReloadAndBypassCache",	//152
    "RemoveFormat",	//153
    "SansSerifFont",	//154
    "ScrollBarLayer",	//155
    "SearchCancelButtonGraphic",	//156
    "SearchCancelButtonPressedGraphic",	//157
    "SelectAll",	//158
    "SelectEndOfBlock",	//159
    "SelectEndOfDocument",	//160
    "SelectEndOfLine",	//161
    "SelectNextChar",	//162
    "SelectNextLine",	//163
    "SelectNextWord",	//164
    "SelectPreviousChar",	//165
    "SelectPreviousLine",	//166
    "SelectPreviousWord",	//167
    "SelectStartOfBlock",	//168
    "SelectStartOfDocument",	//169
    "SelectStartOfLine",	//170
    "SerifFont",	//171
    "SetTextDirectionDefault",	//172
    "SetTextDirectionLeftToRight",	//173
    "SetTextDirectionRightToLeft",	//174
    "SiteSpecificQuirksEnabled",	//175
    "SpatialNavigationEnabled",	//176
    "StandardFont",	//177
    "Stop",	//178
    "StopScheduledPageRefresh",	//179
    "TextAreaSizeGripCornerGraphic",	//180
    "TiledBackingStoreEnabled",	//181
    "ToggleBold",	//182
    "ToggleItalic",	//183
    "ToggleStrikethrough",	//184
    "ToggleSubscript",	//185
    "ToggleSuperscript",	//186
    "ToggleUnderline",	//187
    "Undo",	//188
    "ViewportAttributes",	//189
    "ViewportAttributes#",	//190
    "WebActionCount",	//191
    "WebBrowserWindow",	//192
    "WebGLEnabled",	//193
    "WebKit",	//194
    "WebModalDialog",	//195
    "XSSAuditingEnabled",	//196
    "ZoomTextOnly",	//197
    "_IEEE_",	//198
    "_ISOC_",	//199
    "_POSIX_",	//200
    "_SVID_",	//201
    "_XOPEN_",	//202
    "__codecvt_error",	//203
    "__codecvt_noconv",	//204
    "__codecvt_ok",	//205
    "__codecvt_partial",	//206
    "acceptNavigationRequest",	//207
    "acceptNavigationRequest##$",	//208
    "action",	//209
    "action$",	//210
    "actionEvent",	//211
    "addClass",	//212
    "addClass$",	//213
    "addHistoryEntry",	//214
    "addHistoryEntry$",	//215
    "addLocalScheme",	//216
    "addLocalScheme$",	//217
    "addToJavaScriptWindowObject",	//218
    "addToJavaScriptWindowObject$#",	//219
    "addToJavaScriptWindowObject$#$",	//220
    "allOrigins",	//221
    "alternateText",	//222
    "append",	//223
    "append#",	//224
    "appendInside",	//225
    "appendInside#",	//226
    "appendInside$",	//227
    "appendOutside",	//228
    "appendOutside#",	//229
    "appendOutside$",	//230
    "applicationCacheQuotaExceeded",	//231
    "applicationCacheQuotaExceeded#$",	//232
    "at",	//233
    "at$",	//234
    "attribute",	//235
    "attribute$",	//236
    "attribute$$",	//237
    "attributeNS",	//238
    "attributeNS$$",	//239
    "attributeNS$$$",	//240
    "attributeNames",	//241
    "attributeNames$",	//242
    "back",	//243
    "backItem",	//244
    "backItems",	//245
    "backItems$",	//246
    "baseUrl",	//247
    "begin",	//248
    "boundingRect",	//249
    "bytesReceived",	//250
    "canGoBack",	//251
    "canGoForward",	//252
    "changeEvent",	//253
    "changeEvent#",	//254
    "childEvent",	//255
    "childFrames",	//256
    "chooseFile",	//257
    "chooseFile#$",	//258
    "classes",	//259
    "clear",	//260
    "clearIconDatabase",	//261
    "clearMemoryCaches",	//262
    "clone",	//263
    "closeEvent",	//264
    "closeEvent#",	//265
    "connectNotify",	//266
    "constBegin",	//267
    "constEnd",	//268
    "const_iterator",	//269
    "const_iterator#",	//270
    "const_iterator#$",	//271
    "content",	//272
    "contentType",	//273
    "contentsChanged",	//274
    "contentsSize",	//275
    "contentsSizeChanged",	//276
    "contentsSizeChanged#",	//277
    "contextMenuEvent",	//278
    "contextMenuEvent#",	//279
    "count",	//280
    "create",	//281
    "create$#??",	//282
    "createPlugin",	//283
    "createPlugin$#??",	//284
    "createStandardContextMenu",	//285
    "createWindow",	//286
    "createWindow$",	//287
    "currentFrame",	//288
    "currentItem",	//289
    "currentItemIndex",	//290
    "customEvent",	//291
    "databaseQuota",	//292
    "databaseQuotaExceeded",	//293
    "databaseQuotaExceeded#$",	//294
    "databaseUsage",	//295
    "databases",	//296
    "defaultInterface",	//297
    "defaultTextEncoding",	//298
    "description",	//299
    "devType",	//300
    "devicePixelRatio",	//301
    "disconnectNotify",	//302
    "displayName",	//303
    "document",	//304
    "documentElement",	//305
    "domain",	//306
    "downloadRequested",	//307
    "downloadRequested#",	//308
    "dragEnterEvent",	//309
    "dragEnterEvent#",	//310
    "dragLeaveEvent",	//311
    "dragLeaveEvent#",	//312
    "dragMoveEvent",	//313
    "dragMoveEvent#",	//314
    "dropEvent",	//315
    "dropEvent#",	//316
    "element",	//317
    "enablePersistentStorage",	//318
    "enablePersistentStorage$",	//319
    "enabledChange",	//320
    "encloseContentsWith",	//321
    "encloseContentsWith#",	//322
    "encloseContentsWith$",	//323
    "encloseWith",	//324
    "encloseWith#",	//325
    "encloseWith$",	//326
    "enclosingBlockElement",	//327
    "encoding",	//328
    "end",	//329
    "enterEvent",	//330
    "error",	//331
    "errorString",	//332
    "evaluateJavaScript",	//333
    "evaluateJavaScript$",	//334
    "event",	//335
    "event#",	//336
    "eventFilter",	//337
    "expectedSize",	//338
    "extension",	//339
    "extension$",	//340
    "extension$#",	//341
    "extension$##",	//342
    "featurePermissionRequestCanceled",	//343
    "featurePermissionRequestCanceled#$",	//344
    "featurePermissionRequested",	//345
    "featurePermissionRequested#$",	//346
    "fileExtensions",	//347
    "fileName",	//348
    "fileNames",	//349
    "findAll",	//350
    "findAll$",	//351
    "findAllElements",	//352
    "findAllElements$",	//353
    "findFirst",	//354
    "findFirst$",	//355
    "findFirstElement",	//356
    "findFirstElement$",	//357
    "findText",	//358
    "findText$",	//359
    "findText$$",	//360
    "first",	//361
    "firstChild",	//362
    "focusInEvent",	//363
    "focusInEvent#",	//364
    "focusNextPrevChild",	//365
    "focusNextPrevChild$",	//366
    "focusOutEvent",	//367
    "focusOutEvent#",	//368
    "fontChange",	//369
    "fontFamily",	//370
    "fontFamily$",	//371
    "fontSize",	//372
    "fontSize$",	//373
    "forward",	//374
    "forwardItem",	//375
    "forwardItems",	//376
    "forwardItems$",	//377
    "forwardUnsupportedContent",	//378
    "frame",	//379
    "frameAt",	//380
    "frameAt#",	//381
    "frameCreated",	//382
    "frameCreated#",	//383
    "frameName",	//384
    "geometry",	//385
    "geometryChangeRequested",	//386
    "geometryChangeRequested#",	//387
    "globalSettings",	//388
    "goToItem",	//389
    "goToItem#",	//390
    "handle",	//391
    "hasAttribute",	//392
    "hasAttribute$",	//393
    "hasAttributeNS",	//394
    "hasAttributeNS$$",	//395
    "hasAttributes",	//396
    "hasClass",	//397
    "hasClass$",	//398
    "hasFocus",	//399
    "hasSelection",	//400
    "heightForWidth",	//401
    "hideEvent",	//402
    "hideEvent#",	//403
    "history",	//404
    "historyContains",	//405
    "historyContains$",	//406
    "hitTestContent",	//407
    "hitTestContent#",	//408
    "host",	//409
    "icon",	//410
    "iconChanged",	//411
    "iconDatabasePath",	//412
    "iconForUrl",	//413
    "iconForUrl#",	//414
    "imageUrl",	//415
    "initialLayoutCompleted",	//416
    "initialScaleFactor",	//417
    "inputMethodEvent",	//418
    "inputMethodEvent#",	//419
    "inputMethodQuery",	//420
    "inputMethodQuery$",	//421
    "isContentEditable",	//422
    "isContentSelected",	//423
    "isModified",	//424
    "isNull",	//425
    "isUserScalable",	//426
    "isValid",	//427
    "itemAt",	//428
    "itemAt$",	//429
    "items",	//430
    "iterator",	//431
    "iterator#",	//432
    "iterator#$",	//433
    "javaScriptAlert",	//434
    "javaScriptAlert#$",	//435
    "javaScriptConfirm",	//436
    "javaScriptConfirm#$",	//437
    "javaScriptConsoleMessage",	//438
    "javaScriptConsoleMessage$$$",	//439
    "javaScriptPrompt",	//440
    "javaScriptPrompt#$$$",	//441
    "javaScriptWindowObjectCleared",	//442
    "keyPressEvent",	//443
    "keyPressEvent#",	//444
    "keyReleaseEvent",	//445
    "keyReleaseEvent#",	//446
    "languageChange",	//447
    "last",	//448
    "lastChild",	//449
    "lastVisited",	//450
    "leaveEvent",	//451
    "linkClicked",	//452
    "linkClicked#",	//453
    "linkDelegationPolicy",	//454
    "linkElement",	//455
    "linkHovered",	//456
    "linkHovered$$$",	//457
    "linkTargetFrame",	//458
    "linkText",	//459
    "linkTitle",	//460
    "linkUrl",	//461
    "load",	//462
    "load#",	//463
    "load#$",	//464
    "load#$#",	//465
    "loadFinished",	//466
    "loadFinished$",	//467
    "loadProgress",	//468
    "loadProgress$",	//469
    "loadStarted",	//470
    "localName",	//471
    "localSchemes",	//472
    "localStoragePath",	//473
    "mainFrame",	//474
    "maximumItemCount",	//475
    "maximumPagesInCache",	//476
    "maximumScaleFactor",	//477
    "menuBarVisibilityChangeRequested",	//478
    "menuBarVisibilityChangeRequested$",	//479
    "metaData",	//480
    "metaObject",	//481
    "metric",	//482
    "microFocusChanged",	//483
    "mimeTypes",	//484
    "minimumScaleFactor",	//485
    "minimumSizeHint",	//486
    "mouseDoubleClickEvent",	//487
    "mouseDoubleClickEvent#",	//488
    "mouseMoveEvent",	//489
    "mouseMoveEvent#",	//490
    "mousePressEvent",	//491
    "mousePressEvent#",	//492
    "mouseReleaseEvent",	//493
    "mouseReleaseEvent#",	//494
    "moveEvent",	//495
    "name",	//496
    "namespaceUri",	//497
    "networkAccessManager",	//498
    "nextSibling",	//499
    "offlineStorageDefaultQuota",	//500
    "offlineStoragePath",	//501
    "offlineWebApplicationCachePath",	//502
    "offlineWebApplicationCacheQuota",	//503
    "operator!=",	//504
    "operator!=#",	//505
    "operator*",	//506
    "operator+",	//507
    "operator+#",	//508
    "operator+$",	//509
    "operator++",	//510
    "operator++$",	//511
    "operator+=",	//512
    "operator+=#",	//513
    "operator+=$",	//514
    "operator-",	//515
    "operator-#",	//516
    "operator-$",	//517
    "operator--",	//518
    "operator--$",	//519
    "operator-=",	//520
    "operator-=$",	//521
    "operator<",	//522
    "operator<#",	//523
    "operator<=",	//524
    "operator<=#",	//525
    "operator=",	//526
    "operator=#",	//527
    "operator==",	//528
    "operator==#",	//529
    "operator>",	//530
    "operator>#",	//531
    "operator>=",	//532
    "operator>=#",	//533
    "operator[]",	//534
    "operator[]$",	//535
    "origin",	//536
    "originalUrl",	//537
    "page",	//538
    "pageAction",	//539
    "pageAction$",	//540
    "pageChanged",	//541
    "paintEngine",	//542
    "paintEvent",	//543
    "paintEvent#",	//544
    "palette",	//545
    "paletteChange",	//546
    "parent",	//547
    "parentFrame",	//548
    "pixmap",	//549
    "pluginFactory",	//550
    "plugins",	//551
    "port",	//552
    "pos",	//553
    "preferredContentsSize",	//554
    "prefix",	//555
    "prependInside",	//556
    "prependInside#",	//557
    "prependInside$",	//558
    "prependOutside",	//559
    "prependOutside#",	//560
    "prependOutside$",	//561
    "previousSibling",	//562
    "print",	//563
    "print#",	//564
    "printRequested",	//565
    "printRequested#",	//566
    "provisionalLoad",	//567
    "qt_metacall",	//568
    "qt_metacall$$?",	//569
    "qt_metacast",	//570
    "qt_metacast$",	//571
    "refreshPlugins",	//572
    "reload",	//573
    "removeAllChildren",	//574
    "removeAllDatabases",	//575
    "removeAttribute",	//576
    "removeAttribute$",	//577
    "removeAttributeNS",	//578
    "removeAttributeNS$$",	//579
    "removeClass",	//580
    "removeClass$",	//581
    "removeDatabase",	//582
    "removeDatabase#",	//583
    "removeFromDocument",	//584
    "removeLocalScheme",	//585
    "removeLocalScheme$",	//586
    "render",	//587
    "render#",	//588
    "render##",	//589
    "render#$",	//590
    "render#$#",	//591
    "renderHints",	//592
    "renderTreeDump",	//593
    "repaintRequested",	//594
    "repaintRequested#",	//595
    "replace",	//596
    "replace#",	//597
    "replace$",	//598
    "requestedUrl",	//599
    "resetAttribute",	//600
    "resetAttribute$",	//601
    "resetFontFamily",	//602
    "resetFontFamily$",	//603
    "resetFontSize",	//604
    "resetFontSize$",	//605
    "resizeEvent",	//606
    "resizeEvent#",	//607
    "restoreFrameStateRequested",	//608
    "restoreFrameStateRequested#",	//609
    "saveFrameStateRequested",	//610
    "saveFrameStateRequested##",	//611
    "scheme",	//612
    "scroll",	//613
    "scroll$$",	//614
    "scrollBarGeometry",	//615
    "scrollBarGeometry$",	//616
    "scrollBarMaximum",	//617
    "scrollBarMaximum$",	//618
    "scrollBarMinimum",	//619
    "scrollBarMinimum$",	//620
    "scrollBarPolicy",	//621
    "scrollBarPolicy$",	//622
    "scrollBarValue",	//623
    "scrollBarValue$",	//624
    "scrollPosition",	//625
    "scrollRequested",	//626
    "scrollRequested$$#",	//627
    "scrollToAnchor",	//628
    "scrollToAnchor$",	//629
    "securityOrigin",	//630
    "selectedHtml",	//631
    "selectedText",	//632
    "selectionChanged",	//633
    "setActualVisibleContentRect",	//634
    "setActualVisibleContentRect#",	//635
    "setApplicationCacheQuota",	//636
    "setApplicationCacheQuota$",	//637
    "setAttribute",	//638
    "setAttribute$$",	//639
    "setAttributeNS",	//640
    "setAttributeNS$$$",	//641
    "setBaseUrl",	//642
    "setBaseUrl#",	//643
    "setContent",	//644
    "setContent#",	//645
    "setContent#$",	//646
    "setContent#$#",	//647
    "setContentEditable",	//648
    "setContentEditable$",	//649
    "setContentType",	//650
    "setContentType$",	//651
    "setDatabaseQuota",	//652
    "setDatabaseQuota$",	//653
    "setDefaultInterface",	//654
    "setDefaultInterface#",	//655
    "setDefaultTextEncoding",	//656
    "setDefaultTextEncoding$",	//657
    "setDescription",	//658
    "setDescription$",	//659
    "setDomain",	//660
    "setDomain$",	//661
    "setEncoding",	//662
    "setEncoding$",	//663
    "setError",	//664
    "setError$",	//665
    "setErrorString",	//666
    "setErrorString$",	//667
    "setFeaturePermission",	//668
    "setFeaturePermission#$$",	//669
    "setFileExtensions",	//670
    "setFileExtensions?",	//671
    "setFileNames",	//672
    "setFileNames?",	//673
    "setFocus",	//674
    "setFontFamily",	//675
    "setFontFamily$$",	//676
    "setFontSize",	//677
    "setFontSize$$",	//678
    "setForwardUnsupportedContent",	//679
    "setForwardUnsupportedContent$",	//680
    "setFrame",	//681
    "setFrame#",	//682
    "setHtml",	//683
    "setHtml$",	//684
    "setHtml$#",	//685
    "setIconDatabasePath",	//686
    "setIconDatabasePath$",	//687
    "setInnerXml",	//688
    "setInnerXml$",	//689
    "setLinkDelegationPolicy",	//690
    "setLinkDelegationPolicy$",	//691
    "setLocalStoragePath",	//692
    "setLocalStoragePath$",	//693
    "setMaximumItemCount",	//694
    "setMaximumItemCount$",	//695
    "setMaximumPagesInCache",	//696
    "setMaximumPagesInCache$",	//697
    "setMimeTypes",	//698
    "setMimeTypes?",	//699
    "setName",	//700
    "setName$",	//701
    "setNetworkAccessManager",	//702
    "setNetworkAccessManager#",	//703
    "setObjectCacheCapacities",	//704
    "setObjectCacheCapacities$$$",	//705
    "setOfflineStorageDefaultQuota",	//706
    "setOfflineStorageDefaultQuota$",	//707
    "setOfflineStoragePath",	//708
    "setOfflineStoragePath$",	//709
    "setOfflineWebApplicationCachePath",	//710
    "setOfflineWebApplicationCachePath$",	//711
    "setOfflineWebApplicationCacheQuota",	//712
    "setOfflineWebApplicationCacheQuota$",	//713
    "setOuterXml",	//714
    "setOuterXml$",	//715
    "setPage",	//716
    "setPage#",	//717
    "setPalette",	//718
    "setPalette#",	//719
    "setParentFrame",	//720
    "setParentFrame#",	//721
    "setPlainText",	//722
    "setPlainText$",	//723
    "setPluginFactory",	//724
    "setPluginFactory#",	//725
    "setPreferredContentsSize",	//726
    "setPreferredContentsSize#",	//727
    "setRenderHint",	//728
    "setRenderHint$",	//729
    "setRenderHint$$",	//730
    "setRenderHints",	//731
    "setRenderHints$",	//732
    "setScrollBarPolicy",	//733
    "setScrollBarPolicy$$",	//734
    "setScrollBarValue",	//735
    "setScrollBarValue$$",	//736
    "setScrollPosition",	//737
    "setScrollPosition#",	//738
    "setStyleProperty",	//739
    "setStyleProperty$$",	//740
    "setSuggestedFileNames",	//741
    "setSuggestedFileNames?",	//742
    "setTextSizeMultiplier",	//743
    "setTextSizeMultiplier$",	//744
    "setUrl",	//745
    "setUrl#",	//746
    "setUserData",	//747
    "setUserData#",	//748
    "setUserStyleSheetUrl",	//749
    "setUserStyleSheetUrl#",	//750
    "setView",	//751
    "setView#",	//752
    "setViewportSize",	//753
    "setViewportSize#",	//754
    "setVisible",	//755
    "setWebGraphic",	//756
    "setWebGraphic$#",	//757
    "setZoomFactor",	//758
    "setZoomFactor$",	//759
    "settings",	//760
    "shouldInterruptJavaScript",	//761
    "showEvent",	//762
    "showEvent#",	//763
    "size",	//764
    "sizeHint",	//765
    "staticMetaObject",	//766
    "statusBarMessage",	//767
    "statusBarMessage$",	//768
    "statusBarVisibilityChangeRequested",	//769
    "statusBarVisibilityChangeRequested$",	//770
    "stop",	//771
    "styleChange",	//772
    "styleProperty",	//773
    "styleProperty$$",	//774
    "suggestedFileNames",	//775
    "supportedContentTypes",	//776
    "supportsContentType",	//777
    "supportsContentType$",	//778
    "supportsExtension",	//779
    "supportsExtension$",	//780
    "swallowContextMenuEvent",	//781
    "swallowContextMenuEvent#",	//782
    "tabletEvent",	//783
    "tagName",	//784
    "takeFromDocument",	//785
    "testAttribute",	//786
    "testAttribute$",	//787
    "textSizeMultiplier",	//788
    "timerEvent",	//789
    "title",	//790
    "titleChanged",	//791
    "titleChanged$",	//792
    "toHtml",	//793
    "toInnerXml",	//794
    "toList",	//795
    "toOuterXml",	//796
    "toPlainText",	//797
    "toggleClass",	//798
    "toggleClass$",	//799
    "toolBarVisibilityChangeRequested",	//800
    "toolBarVisibilityChangeRequested$",	//801
    "totalBytes",	//802
    "tr",	//803
    "tr$",	//804
    "tr$$",	//805
    "tr$$$",	//806
    "trUtf8",	//807
    "trUtf8$",	//808
    "trUtf8$$",	//809
    "trUtf8$$$",	//810
    "triggerAction",	//811
    "triggerAction$",	//812
    "triggerAction$$",	//813
    "triggerPageAction",	//814
    "triggerPageAction$",	//815
    "triggerPageAction$$",	//816
    "undoStack",	//817
    "unsupportedContent",	//818
    "unsupportedContent#",	//819
    "updatePositionDependentActions",	//820
    "updatePositionDependentActions#",	//821
    "url",	//822
    "urlChanged",	//823
    "urlChanged#",	//824
    "userAgentForUrl",	//825
    "userAgentForUrl#",	//826
    "userData",	//827
    "userStyleSheetUrl",	//828
    "view",	//829
    "viewportAttributesForSize",	//830
    "viewportAttributesForSize#",	//831
    "viewportChangeRequested",	//832
    "viewportSize",	//833
    "webFrame",	//834
    "webGraphic",	//835
    "webGraphic$",	//836
    "wheelEvent",	//837
    "wheelEvent#",	//838
    "windowActivationChange",	//839
    "windowCloseRequested",	//840
    "x11Event",	//841
    "zoomFactor",	//842
    "~ChooseMultipleFilesExtensionOption",	//843
    "~ChooseMultipleFilesExtensionReturn",	//844
    "~ErrorPageExtensionOption",	//845
    "~ErrorPageExtensionReturn",	//846
    "~ExtensionOption",	//847
    "~ExtensionReturn",	//848
    "~MimeType",	//849
    "~Plugin",	//850
    "~QWebDatabase",	//851
    "~QWebElement",	//852
    "~QWebElementCollection",	//853
    "~QWebHistoryInterface",	//854
    "~QWebHistoryItem",	//855
    "~QWebHitTestResult",	//856
    "~QWebInspector",	//857
    "~QWebPage",	//858
    "~QWebPluginFactory",	//859
    "~QWebSecurityOrigin",	//860
    "~QWebView",	//861
    "~ViewportAttributes",	//862
    "~const_iterator",	//863
    "~iterator",	//864
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {16, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 1},	//1 QGlobalSpace::_IEEE_ (enum)
    {16, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 2},	//2 QGlobalSpace::_SVID_ (enum)
    {16, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 3},	//3 QGlobalSpace::_XOPEN_ (enum)
    {16, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 4},	//4 QGlobalSpace::_POSIX_ (enum)
    {16, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 5},	//5 QGlobalSpace::_ISOC_ (enum)
    {16, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 6},	//6 QGlobalSpace::QtDebugMsg (enum)
    {16, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 7},	//7 QGlobalSpace::QtWarningMsg (enum)
    {16, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 8},	//8 QGlobalSpace::QtCriticalMsg (enum)
    {16, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 9},	//9 QGlobalSpace::QtFatalMsg (enum)
    {16, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 10},	//10 QGlobalSpace::QtSystemMsg (enum)
    {16, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 11},	//11 QGlobalSpace::__codecvt_ok (enum)
    {16, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 12},	//12 QGlobalSpace::__codecvt_partial (enum)
    {16, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 13},	//13 QGlobalSpace::__codecvt_error (enum)
    {16, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 14},	//14 QGlobalSpace::__codecvt_noconv (enum)
    {29, 335, 1, 1, Smoke::mf_virtual, 218, 0},	//15 QObject::event(QEvent*)
    {29, 337, 3, 2, Smoke::mf_virtual, 218, 0},	//16 QObject::eventFilter(QObject*, QEvent*)
    {29, 789, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 QObject::timerEvent(QTimerEvent*)
    {29, 255, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//18 QObject::childEvent(QChildEvent*)
    {29, 291, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::customEvent(QEvent*)
    {29, 266, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//20 QObject::connectNotify(const char*)
    {29, 302, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//21 QObject::disconnectNotify(const char*)
    {49, 121, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 76, 1},	//22 QWebDatabase::QWebDatabase(const QWebDatabase&)
    {49, 526, 12, 1, 0, 75, 2},	//23 QWebDatabase::operator=(const QWebDatabase&)
    {49, 496, 0, 0, Smoke::mf_const, 62, 3},	//24 QWebDatabase::name() const
    {49, 303, 0, 0, Smoke::mf_const, 62, 4},	//25 QWebDatabase::displayName() const
    {49, 338, 0, 0, Smoke::mf_const, 265, 5},	//26 QWebDatabase::expectedSize() const
    {49, 764, 0, 0, Smoke::mf_const, 265, 6},	//27 QWebDatabase::size() const
    {49, 348, 0, 0, Smoke::mf_const, 62, 7},	//28 QWebDatabase::fileName() const
    {49, 536, 0, 0, Smoke::mf_const, 127, 8},	//29 QWebDatabase::origin() const
    {49, 582, 12, 1, Smoke::mf_static, 0, 9},	//30 QWebDatabase::removeDatabase(const QWebDatabase&)
    {49, 575, 0, 0, Smoke::mf_static, 0, 10},	//31 QWebDatabase::removeAllDatabases()
    {49, 851, 0, 0, Smoke::mf_dtor, 0, 11 },	//32 QWebDatabase::~QWebDatabase()
    {50, 123, 0, 0, Smoke::mf_ctor, 79, 1},	//33 QWebElement::QWebElement()
    {50, 123, 14, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 79, 2},	//34 QWebElement::QWebElement(const QWebElement&)
    {50, 526, 14, 1, 0, 78, 3},	//35 QWebElement::operator=(const QWebElement&)
    {50, 528, 14, 1, Smoke::mf_const, 218, 4},	//36 QWebElement::operator==(const QWebElement&) const
    {50, 504, 14, 1, Smoke::mf_const, 218, 5},	//37 QWebElement::operator!=(const QWebElement&) const
    {50, 425, 0, 0, Smoke::mf_const, 218, 6},	//38 QWebElement::isNull() const
    {50, 350, 16, 1, Smoke::mf_const, 81, 7},	//39 QWebElement::findAll(const QString&) const
    {50, 354, 16, 1, Smoke::mf_const, 77, 8},	//40 QWebElement::findFirst(const QString&) const
    {50, 722, 16, 1, 0, 0, 9},	//41 QWebElement::setPlainText(const QString&)
    {50, 797, 0, 0, Smoke::mf_const, 62, 10},	//42 QWebElement::toPlainText() const
    {50, 714, 16, 1, 0, 0, 11},	//43 QWebElement::setOuterXml(const QString&)
    {50, 796, 0, 0, Smoke::mf_const, 62, 12},	//44 QWebElement::toOuterXml() const
    {50, 688, 16, 1, 0, 0, 13},	//45 QWebElement::setInnerXml(const QString&)
    {50, 794, 0, 0, Smoke::mf_const, 62, 14},	//46 QWebElement::toInnerXml() const
    {50, 638, 18, 2, 0, 0, 15},	//47 QWebElement::setAttribute(const QString&, const QString&)
    {50, 640, 21, 3, 0, 0, 16},	//48 QWebElement::setAttributeNS(const QString&, const QString&, const QString&)
    {50, 235, 18, 2, Smoke::mf_const, 62, 17},	//49 QWebElement::attribute(const QString&, const QString&) const
    {50, 238, 21, 3, Smoke::mf_const, 62, 18},	//50 QWebElement::attributeNS(const QString&, const QString&, const QString&) const
    {50, 392, 16, 1, Smoke::mf_const, 218, 19},	//51 QWebElement::hasAttribute(const QString&) const
    {50, 394, 18, 2, Smoke::mf_const, 218, 20},	//52 QWebElement::hasAttributeNS(const QString&, const QString&) const
    {50, 576, 16, 1, 0, 0, 21},	//53 QWebElement::removeAttribute(const QString&)
    {50, 578, 18, 2, 0, 0, 22},	//54 QWebElement::removeAttributeNS(const QString&, const QString&)
    {50, 396, 0, 0, Smoke::mf_const, 218, 23},	//55 QWebElement::hasAttributes() const
    {50, 241, 16, 1, Smoke::mf_const, 65, 24},	//56 QWebElement::attributeNames(const QString&) const
    {50, 259, 0, 0, Smoke::mf_const, 65, 25},	//57 QWebElement::classes() const
    {50, 397, 16, 1, Smoke::mf_const, 218, 26},	//58 QWebElement::hasClass(const QString&) const
    {50, 212, 16, 1, 0, 0, 27},	//59 QWebElement::addClass(const QString&)
    {50, 580, 16, 1, 0, 0, 28},	//60 QWebElement::removeClass(const QString&)
    {50, 798, 16, 1, 0, 0, 29},	//61 QWebElement::toggleClass(const QString&)
    {50, 399, 0, 0, Smoke::mf_const, 218, 30},	//62 QWebElement::hasFocus() const
    {50, 674, 0, 0, 0, 0, 31},	//63 QWebElement::setFocus()
    {50, 385, 0, 0, Smoke::mf_const, 50, 32},	//64 QWebElement::geometry() const
    {50, 784, 0, 0, Smoke::mf_const, 62, 33},	//65 QWebElement::tagName() const
    {50, 555, 0, 0, Smoke::mf_const, 62, 34},	//66 QWebElement::prefix() const
    {50, 471, 0, 0, Smoke::mf_const, 62, 35},	//67 QWebElement::localName() const
    {50, 497, 0, 0, Smoke::mf_const, 62, 36},	//68 QWebElement::namespaceUri() const
    {50, 547, 0, 0, Smoke::mf_const, 77, 37},	//69 QWebElement::parent() const
    {50, 362, 0, 0, Smoke::mf_const, 77, 38},	//70 QWebElement::firstChild() const
    {50, 449, 0, 0, Smoke::mf_const, 77, 39},	//71 QWebElement::lastChild() const
    {50, 499, 0, 0, Smoke::mf_const, 77, 40},	//72 QWebElement::nextSibling() const
    {50, 562, 0, 0, Smoke::mf_const, 77, 41},	//73 QWebElement::previousSibling() const
    {50, 304, 0, 0, Smoke::mf_const, 77, 42},	//74 QWebElement::document() const
    {50, 834, 0, 0, Smoke::mf_const, 90, 43},	//75 QWebElement::webFrame() const
    {50, 225, 16, 1, 0, 0, 44},	//76 QWebElement::appendInside(const QString&)
    {50, 225, 14, 1, 0, 0, 45},	//77 QWebElement::appendInside(const QWebElement&)
    {50, 556, 16, 1, 0, 0, 46},	//78 QWebElement::prependInside(const QString&)
    {50, 556, 14, 1, 0, 0, 47},	//79 QWebElement::prependInside(const QWebElement&)
    {50, 228, 16, 1, 0, 0, 48},	//80 QWebElement::appendOutside(const QString&)
    {50, 228, 14, 1, 0, 0, 49},	//81 QWebElement::appendOutside(const QWebElement&)
    {50, 559, 16, 1, 0, 0, 50},	//82 QWebElement::prependOutside(const QString&)
    {50, 559, 14, 1, 0, 0, 51},	//83 QWebElement::prependOutside(const QWebElement&)
    {50, 321, 14, 1, 0, 0, 52},	//84 QWebElement::encloseContentsWith(const QWebElement&)
    {50, 321, 16, 1, 0, 0, 53},	//85 QWebElement::encloseContentsWith(const QString&)
    {50, 324, 16, 1, 0, 0, 54},	//86 QWebElement::encloseWith(const QString&)
    {50, 324, 14, 1, 0, 0, 55},	//87 QWebElement::encloseWith(const QWebElement&)
    {50, 596, 16, 1, 0, 0, 56},	//88 QWebElement::replace(const QString&)
    {50, 596, 14, 1, 0, 0, 57},	//89 QWebElement::replace(const QWebElement&)
    {50, 263, 0, 0, Smoke::mf_const, 77, 58},	//90 QWebElement::clone() const
    {50, 785, 0, 0, 0, 78, 59},	//91 QWebElement::takeFromDocument()
    {50, 584, 0, 0, 0, 0, 60},	//92 QWebElement::removeFromDocument()
    {50, 574, 0, 0, 0, 0, 61},	//93 QWebElement::removeAllChildren()
    {50, 333, 16, 1, 0, 74, 62},	//94 QWebElement::evaluateJavaScript(const QString&)
    {50, 773, 25, 2, Smoke::mf_const, 62, 63},	//95 QWebElement::styleProperty(const QString&, QWebElement::StyleResolveStrategy) const
    {50, 739, 18, 2, 0, 0, 64},	//96 QWebElement::setStyleProperty(const QString&, const QString&)
    {50, 587, 28, 1, 0, 0, 65},	//97 QWebElement::render(QPainter*)
    {50, 587, 30, 2, 0, 0, 66},	//98 QWebElement::render(QPainter*, const QRect&)
    {50, 235, 16, 1, Smoke::mf_const, 62, 67},	//99 QWebElement::attribute(const QString&) const
    {50, 238, 18, 2, Smoke::mf_const, 62, 68},	//100 QWebElement::attributeNS(const QString&, const QString&) const
    {50, 241, 0, 0, Smoke::mf_const, 65, 69},	//101 QWebElement::attributeNames() const
    {50, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 70},	//102 QWebElement::InlineStyle (enum)
    {50, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 71},	//103 QWebElement::CascadedStyle (enum)
    {50, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 72},	//104 QWebElement::ComputedStyle (enum)
    {50, 852, 0, 0, Smoke::mf_dtor, 0, 73 },	//105 QWebElement::~QWebElement()
    {51, 125, 0, 0, Smoke::mf_ctor, 83, 1},	//106 QWebElementCollection::QWebElementCollection()
    {51, 125, 33, 2, Smoke::mf_ctor, 83, 2},	//107 QWebElementCollection::QWebElementCollection(const QWebElement&, const QString&)
    {51, 125, 36, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 83, 3},	//108 QWebElementCollection::QWebElementCollection(const QWebElementCollection&)
    {51, 526, 36, 1, 0, 82, 4},	//109 QWebElementCollection::operator=(const QWebElementCollection&)
    {51, 507, 36, 1, Smoke::mf_const, 81, 5},	//110 QWebElementCollection::operator+(const QWebElementCollection&) const
    {51, 512, 36, 1, 0, 82, 6},	//111 QWebElementCollection::operator+=(const QWebElementCollection&)
    {51, 223, 36, 1, 0, 0, 7},	//112 QWebElementCollection::append(const QWebElementCollection&)
    {51, 280, 0, 0, Smoke::mf_const, 263, 8},	//113 QWebElementCollection::count() const
    {51, 233, 38, 1, Smoke::mf_const, 77, 9},	//114 QWebElementCollection::at(int) const
    {51, 534, 38, 1, Smoke::mf_const, 77, 10},	//115 QWebElementCollection::operator[](int) const
    {51, 361, 0, 0, Smoke::mf_const, 77, 11},	//116 QWebElementCollection::first() const
    {51, 448, 0, 0, Smoke::mf_const, 77, 12},	//117 QWebElementCollection::last() const
    {51, 795, 0, 0, Smoke::mf_const, 25, 13},	//118 QWebElementCollection::toList() const
    {51, 248, 0, 0, Smoke::mf_const, 84, 14},	//119 QWebElementCollection::begin() const
    {51, 329, 0, 0, Smoke::mf_const, 84, 15},	//120 QWebElementCollection::end() const
    {51, 267, 0, 0, Smoke::mf_const, 84, 16},	//121 QWebElementCollection::constBegin() const
    {51, 268, 0, 0, Smoke::mf_const, 84, 17},	//122 QWebElementCollection::constEnd() const
    {51, 248, 0, 0, 0, 87, 18},	//123 QWebElementCollection::begin()
    {51, 329, 0, 0, 0, 87, 19},	//124 QWebElementCollection::end()
    {51, 853, 0, 0, Smoke::mf_dtor, 0, 20 },	//125 QWebElementCollection::~QWebElementCollection()
    {52, 269, 40, 2, Smoke::mf_ctor, 86, 1},	//126 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection*, int)
    {52, 269, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 86, 2},	//127 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection::const_iterator&)
    {52, 506, 0, 0, Smoke::mf_const, 238, 3},	//128 QWebElementCollection::const_iterator::operator*() const
    {52, 528, 43, 1, Smoke::mf_const, 218, 4},	//129 QWebElementCollection::const_iterator::operator==(const QWebElementCollection::const_iterator&) const
    {52, 504, 43, 1, Smoke::mf_const, 218, 5},	//130 QWebElementCollection::const_iterator::operator!=(const QWebElementCollection::const_iterator&) const
    {52, 522, 43, 1, Smoke::mf_const, 218, 6},	//131 QWebElementCollection::const_iterator::operator<(const QWebElementCollection::const_iterator&) const
    {52, 524, 43, 1, Smoke::mf_const, 218, 7},	//132 QWebElementCollection::const_iterator::operator<=(const QWebElementCollection::const_iterator&) const
    {52, 530, 43, 1, Smoke::mf_const, 218, 8},	//133 QWebElementCollection::const_iterator::operator>(const QWebElementCollection::const_iterator&) const
    {52, 532, 43, 1, Smoke::mf_const, 218, 9},	//134 QWebElementCollection::const_iterator::operator>=(const QWebElementCollection::const_iterator&) const
    {52, 510, 0, 0, 0, 85, 10},	//135 QWebElementCollection::const_iterator::operator++()
    {52, 510, 38, 1, 0, 84, 11},	//136 QWebElementCollection::const_iterator::operator++(int)
    {52, 518, 0, 0, 0, 85, 12},	//137 QWebElementCollection::const_iterator::operator--()
    {52, 518, 38, 1, 0, 84, 13},	//138 QWebElementCollection::const_iterator::operator--(int)
    {52, 512, 38, 1, 0, 85, 14},	//139 QWebElementCollection::const_iterator::operator+=(int)
    {52, 520, 38, 1, 0, 85, 15},	//140 QWebElementCollection::const_iterator::operator-=(int)
    {52, 507, 38, 1, Smoke::mf_const, 84, 16},	//141 QWebElementCollection::const_iterator::operator+(int) const
    {52, 515, 38, 1, Smoke::mf_const, 84, 17},	//142 QWebElementCollection::const_iterator::operator-(int) const
    {52, 515, 45, 1, Smoke::mf_const, 263, 18},	//143 QWebElementCollection::const_iterator::operator-(QWebElementCollection::const_iterator) const
    {52, 863, 0, 0, Smoke::mf_dtor, 0, 19 },	//144 QWebElementCollection::const_iterator::~const_iterator()
    {53, 431, 40, 2, Smoke::mf_ctor, 89, 1},	//145 QWebElementCollection::iterator::iterator(const QWebElementCollection*, int)
    {53, 431, 47, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 89, 2},	//146 QWebElementCollection::iterator::iterator(const QWebElementCollection::iterator&)
    {53, 506, 0, 0, Smoke::mf_const, 77, 3},	//147 QWebElementCollection::iterator::operator*() const
    {53, 528, 47, 1, Smoke::mf_const, 218, 4},	//148 QWebElementCollection::iterator::operator==(const QWebElementCollection::iterator&) const
    {53, 504, 47, 1, Smoke::mf_const, 218, 5},	//149 QWebElementCollection::iterator::operator!=(const QWebElementCollection::iterator&) const
    {53, 522, 47, 1, Smoke::mf_const, 218, 6},	//150 QWebElementCollection::iterator::operator<(const QWebElementCollection::iterator&) const
    {53, 524, 47, 1, Smoke::mf_const, 218, 7},	//151 QWebElementCollection::iterator::operator<=(const QWebElementCollection::iterator&) const
    {53, 530, 47, 1, Smoke::mf_const, 218, 8},	//152 QWebElementCollection::iterator::operator>(const QWebElementCollection::iterator&) const
    {53, 532, 47, 1, Smoke::mf_const, 218, 9},	//153 QWebElementCollection::iterator::operator>=(const QWebElementCollection::iterator&) const
    {53, 510, 0, 0, 0, 88, 10},	//154 QWebElementCollection::iterator::operator++()
    {53, 510, 38, 1, 0, 87, 11},	//155 QWebElementCollection::iterator::operator++(int)
    {53, 518, 0, 0, 0, 88, 12},	//156 QWebElementCollection::iterator::operator--()
    {53, 518, 38, 1, 0, 87, 13},	//157 QWebElementCollection::iterator::operator--(int)
    {53, 512, 38, 1, 0, 88, 14},	//158 QWebElementCollection::iterator::operator+=(int)
    {53, 520, 38, 1, 0, 88, 15},	//159 QWebElementCollection::iterator::operator-=(int)
    {53, 507, 38, 1, Smoke::mf_const, 87, 16},	//160 QWebElementCollection::iterator::operator+(int) const
    {53, 515, 38, 1, Smoke::mf_const, 87, 17},	//161 QWebElementCollection::iterator::operator-(int) const
    {53, 515, 49, 1, Smoke::mf_const, 263, 18},	//162 QWebElementCollection::iterator::operator-(QWebElementCollection::iterator) const
    {53, 864, 0, 0, Smoke::mf_dtor, 0, 19 },	//163 QWebElementCollection::iterator::~iterator()
    {54, 481, 0, 0, Smoke::mf_const, 223, 1},	//164 QWebFrame::metaObject() const
    {54, 570, 10, 1, 0, 271, 2},	//165 QWebFrame::qt_metacast(const char*)
    {54, 803, 51, 2, Smoke::mf_static, 62, 3},	//166 QWebFrame::tr(const char*, const char*)
    {54, 807, 51, 2, Smoke::mf_static, 62, 4},	//167 QWebFrame::trUtf8(const char*, const char*)
    {54, 803, 54, 3, Smoke::mf_static, 62, 5},	//168 QWebFrame::tr(const char*, const char*, int)
    {54, 807, 54, 3, Smoke::mf_static, 62, 6},	//169 QWebFrame::trUtf8(const char*, const char*, int)
    {54, 568, 58, 3, 0, 263, 7},	//170 QWebFrame::qt_metacall(QMetaObject::Call, int, void**)
    {54, 538, 0, 0, Smoke::mf_const, 101, 8},	//171 QWebFrame::page() const
    {54, 462, 62, 1, 0, 0, 9},	//172 QWebFrame::load(const QUrl&)
    {54, 462, 64, 3, 0, 0, 10},	//173 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {54, 683, 68, 2, 0, 0, 11},	//174 QWebFrame::setHtml(const QString&, const QUrl&)
    {54, 644, 71, 3, 0, 0, 12},	//175 QWebFrame::setContent(const QByteArray&, const QString&, const QUrl&)
    {54, 218, 75, 2, 0, 0, 13},	//176 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*)
    {54, 218, 78, 3, 0, 0, 14},	//177 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*, QScriptEngine::ValueOwnership)
    {54, 793, 0, 0, Smoke::mf_const, 62, 15},	//178 QWebFrame::toHtml() const
    {54, 797, 0, 0, Smoke::mf_const, 62, 16},	//179 QWebFrame::toPlainText() const
    {54, 593, 0, 0, Smoke::mf_const, 62, 17},	//180 QWebFrame::renderTreeDump() const
    {54, 790, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 18},	//181 QWebFrame::title() const
    {54, 745, 62, 1, Smoke::mf_property, 0, 19},	//182 QWebFrame::setUrl(const QUrl&)
    {54, 822, 0, 0, Smoke::mf_const|Smoke::mf_property, 72, 20},	//183 QWebFrame::url() const
    {54, 599, 0, 0, Smoke::mf_const|Smoke::mf_property, 72, 21},	//184 QWebFrame::requestedUrl() const
    {54, 247, 0, 0, Smoke::mf_const|Smoke::mf_property, 72, 22},	//185 QWebFrame::baseUrl() const
    {54, 410, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 23},	//186 QWebFrame::icon() const
    {54, 480, 0, 0, Smoke::mf_const, 35, 24},	//187 QWebFrame::metaData() const
    {54, 384, 0, 0, Smoke::mf_const, 62, 25},	//188 QWebFrame::frameName() const
    {54, 548, 0, 0, Smoke::mf_const, 90, 26},	//189 QWebFrame::parentFrame() const
    {54, 256, 0, 0, Smoke::mf_const, 26, 27},	//190 QWebFrame::childFrames() const
    {54, 621, 82, 1, Smoke::mf_const, 189, 28},	//191 QWebFrame::scrollBarPolicy(Qt::Orientation) const
    {54, 733, 84, 2, 0, 0, 29},	//192 QWebFrame::setScrollBarPolicy(Qt::Orientation, Qt::ScrollBarPolicy)
    {54, 735, 87, 2, 0, 0, 30},	//193 QWebFrame::setScrollBarValue(Qt::Orientation, int)
    {54, 623, 82, 1, Smoke::mf_const, 263, 31},	//194 QWebFrame::scrollBarValue(Qt::Orientation) const
    {54, 619, 82, 1, Smoke::mf_const, 263, 32},	//195 QWebFrame::scrollBarMinimum(Qt::Orientation) const
    {54, 617, 82, 1, Smoke::mf_const, 263, 33},	//196 QWebFrame::scrollBarMaximum(Qt::Orientation) const
    {54, 615, 82, 1, Smoke::mf_const, 50, 34},	//197 QWebFrame::scrollBarGeometry(Qt::Orientation) const
    {54, 613, 90, 2, 0, 0, 35},	//198 QWebFrame::scroll(int, int)
    {54, 625, 0, 0, Smoke::mf_const|Smoke::mf_property, 48, 36},	//199 QWebFrame::scrollPosition() const
    {54, 737, 93, 1, Smoke::mf_property, 0, 37},	//200 QWebFrame::setScrollPosition(const QPoint&)
    {54, 628, 16, 1, 0, 0, 38},	//201 QWebFrame::scrollToAnchor(const QString&)
    {54, 587, 28, 1, 0, 0, 39},	//202 QWebFrame::render(QPainter*)
    {54, 587, 95, 2, 0, 0, 40},	//203 QWebFrame::render(QPainter*, const QRegion&)
    {54, 587, 98, 3, 0, 0, 41},	//204 QWebFrame::render(QPainter*, QWebFrame::RenderLayer, const QRegion&)
    {54, 743, 102, 1, 0, 0, 42},	//205 QWebFrame::setTextSizeMultiplier(double)
    {54, 788, 0, 0, Smoke::mf_const, 262, 43},	//206 QWebFrame::textSizeMultiplier() const
    {54, 842, 0, 0, Smoke::mf_const, 262, 44},	//207 QWebFrame::zoomFactor() const
    {54, 758, 102, 1, 0, 0, 45},	//208 QWebFrame::setZoomFactor(double)
    {54, 399, 0, 0, Smoke::mf_const|Smoke::mf_property, 218, 46},	//209 QWebFrame::hasFocus() const
    {54, 674, 0, 0, 0, 0, 47},	//210 QWebFrame::setFocus()
    {54, 553, 0, 0, Smoke::mf_const, 48, 48},	//211 QWebFrame::pos() const
    {54, 385, 0, 0, Smoke::mf_const, 50, 49},	//212 QWebFrame::geometry() const
    {54, 275, 0, 0, Smoke::mf_const|Smoke::mf_property, 55, 50},	//213 QWebFrame::contentsSize() const
    {54, 305, 0, 0, Smoke::mf_const, 77, 51},	//214 QWebFrame::documentElement() const
    {54, 352, 16, 1, Smoke::mf_const, 81, 52},	//215 QWebFrame::findAllElements(const QString&) const
    {54, 356, 16, 1, Smoke::mf_const, 77, 53},	//216 QWebFrame::findFirstElement(const QString&) const
    {54, 407, 93, 1, Smoke::mf_const, 97, 54},	//217 QWebFrame::hitTestContent(const QPoint&) const
    {54, 335, 1, 1, 0, 218, 55},	//218 QWebFrame::event(QEvent*)
    {54, 630, 0, 0, Smoke::mf_const, 127, 56},	//219 QWebFrame::securityOrigin() const
    {54, 333, 16, 1, Smoke::mf_slot, 74, 57},	//220 QWebFrame::evaluateJavaScript(const QString&)
    {54, 563, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 58},	//221 QWebFrame::print(QPrinter*) const
    {54, 442, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//222 QWebFrame::javaScriptWindowObjectCleared()
    {54, 567, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//223 QWebFrame::provisionalLoad()
    {54, 791, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//224 QWebFrame::titleChanged(const QString&)
    {54, 823, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//225 QWebFrame::urlChanged(const QUrl&)
    {54, 416, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//226 QWebFrame::initialLayoutCompleted()
    {54, 411, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//227 QWebFrame::iconChanged()
    {54, 276, 106, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//228 QWebFrame::contentsSizeChanged(const QSize&)
    {54, 470, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//229 QWebFrame::loadStarted()
    {54, 466, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//230 QWebFrame::loadFinished(bool)
    {54, 541, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//231 QWebFrame::pageChanged()
    {54, 803, 10, 1, Smoke::mf_static, 62, 69},	//232 QWebFrame::tr(const char*)
    {54, 807, 10, 1, Smoke::mf_static, 62, 70},	//233 QWebFrame::trUtf8(const char*)
    {54, 462, 110, 1, 0, 0, 71},	//234 QWebFrame::load(const QNetworkRequest&)
    {54, 462, 112, 2, 0, 0, 72},	//235 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {54, 683, 16, 1, 0, 0, 73},	//236 QWebFrame::setHtml(const QString&)
    {54, 644, 115, 1, 0, 0, 74},	//237 QWebFrame::setContent(const QByteArray&)
    {54, 644, 117, 2, 0, 0, 75},	//238 QWebFrame::setContent(const QByteArray&, const QString&)
    {54, 587, 120, 2, 0, 0, 76},	//239 QWebFrame::render(QPainter*, QWebFrame::RenderLayer)
    {54, 766, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 222, 77},	//240 QWebFrame::staticMetaObject() const
    {54, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 78},	//241 QWebFrame::ContentsLayer (enum)
    {54, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 79},	//242 QWebFrame::ScrollBarLayer (enum)
    {54, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 80},	//243 QWebFrame::PanIconLayer (enum)
    {54, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 81},	//244 QWebFrame::AllLayers (enum)
    {55, 260, 0, 0, 0, 0, 1},	//245 QWebHistory::clear()
    {55, 430, 0, 0, Smoke::mf_const, 27, 2},	//246 QWebHistory::items() const
    {55, 245, 38, 1, Smoke::mf_const, 27, 3},	//247 QWebHistory::backItems(int) const
    {55, 376, 38, 1, Smoke::mf_const, 27, 4},	//248 QWebHistory::forwardItems(int) const
    {55, 251, 0, 0, Smoke::mf_const, 218, 5},	//249 QWebHistory::canGoBack() const
    {55, 252, 0, 0, Smoke::mf_const, 218, 6},	//250 QWebHistory::canGoForward() const
    {55, 243, 0, 0, 0, 0, 7},	//251 QWebHistory::back()
    {55, 374, 0, 0, 0, 0, 8},	//252 QWebHistory::forward()
    {55, 389, 123, 1, 0, 0, 9},	//253 QWebHistory::goToItem(const QWebHistoryItem&)
    {55, 244, 0, 0, Smoke::mf_const, 94, 10},	//254 QWebHistory::backItem() const
    {55, 289, 0, 0, Smoke::mf_const, 94, 11},	//255 QWebHistory::currentItem() const
    {55, 375, 0, 0, Smoke::mf_const, 94, 12},	//256 QWebHistory::forwardItem() const
    {55, 428, 38, 1, Smoke::mf_const, 94, 13},	//257 QWebHistory::itemAt(int) const
    {55, 290, 0, 0, Smoke::mf_const, 263, 14},	//258 QWebHistory::currentItemIndex() const
    {55, 280, 0, 0, Smoke::mf_const, 263, 15},	//259 QWebHistory::count() const
    {55, 475, 0, 0, Smoke::mf_const, 263, 16},	//260 QWebHistory::maximumItemCount() const
    {55, 694, 38, 1, 0, 0, 17},	//261 QWebHistory::setMaximumItemCount(int)
    {56, 481, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 223, 1},	//262 QWebHistoryInterface::metaObject() const
    {56, 570, 10, 1, Smoke::mf_virtual, 271, 2},	//263 QWebHistoryInterface::qt_metacast(const char*)
    {56, 803, 51, 2, Smoke::mf_static, 62, 3},	//264 QWebHistoryInterface::tr(const char*, const char*)
    {56, 807, 51, 2, Smoke::mf_static, 62, 4},	//265 QWebHistoryInterface::trUtf8(const char*, const char*)
    {56, 803, 54, 3, Smoke::mf_static, 62, 5},	//266 QWebHistoryInterface::tr(const char*, const char*, int)
    {56, 807, 54, 3, Smoke::mf_static, 62, 6},	//267 QWebHistoryInterface::trUtf8(const char*, const char*, int)
    {56, 568, 58, 3, Smoke::mf_virtual, 263, 7},	//268 QWebHistoryInterface::qt_metacall(QMetaObject::Call, int, void**)
    {56, 128, 125, 1, Smoke::mf_ctor, 93, 8},	//269 QWebHistoryInterface::QWebHistoryInterface(QObject*)
    {56, 654, 127, 1, Smoke::mf_static, 0, 9},	//270 QWebHistoryInterface::setDefaultInterface(QWebHistoryInterface*)
    {56, 297, 0, 0, Smoke::mf_static, 93, 10},	//271 QWebHistoryInterface::defaultInterface()
    {56, 405, 16, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 218, 11},	//272 QWebHistoryInterface::historyContains(const QString&) const [pure virtual]
    {56, 214, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//273 QWebHistoryInterface::addHistoryEntry(const QString&) [pure virtual]
    {56, 803, 10, 1, Smoke::mf_static, 62, 13},	//274 QWebHistoryInterface::tr(const char*)
    {56, 807, 10, 1, Smoke::mf_static, 62, 14},	//275 QWebHistoryInterface::trUtf8(const char*)
    {56, 128, 0, 0, Smoke::mf_ctor, 93, 15},	//276 QWebHistoryInterface::QWebHistoryInterface()
    {56, 766, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 222, 16},	//277 QWebHistoryInterface::staticMetaObject() const
    {56, 854, 0, 0, Smoke::mf_dtor, 0, 17 },	//278 QWebHistoryInterface::~QWebHistoryInterface()
    {57, 130, 123, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 1},	//279 QWebHistoryItem::QWebHistoryItem(const QWebHistoryItem&)
    {57, 526, 123, 1, 0, 95, 2},	//280 QWebHistoryItem::operator=(const QWebHistoryItem&)
    {57, 537, 0, 0, Smoke::mf_const, 72, 3},	//281 QWebHistoryItem::originalUrl() const
    {57, 822, 0, 0, Smoke::mf_const, 72, 4},	//282 QWebHistoryItem::url() const
    {57, 790, 0, 0, Smoke::mf_const, 62, 5},	//283 QWebHistoryItem::title() const
    {57, 450, 0, 0, Smoke::mf_const, 8, 6},	//284 QWebHistoryItem::lastVisited() const
    {57, 410, 0, 0, Smoke::mf_const, 20, 7},	//285 QWebHistoryItem::icon() const
    {57, 827, 0, 0, Smoke::mf_const, 74, 8},	//286 QWebHistoryItem::userData() const
    {57, 747, 129, 1, 0, 0, 9},	//287 QWebHistoryItem::setUserData(const QVariant&)
    {57, 427, 0, 0, Smoke::mf_const, 218, 10},	//288 QWebHistoryItem::isValid() const
    {57, 855, 0, 0, Smoke::mf_dtor, 0, 11 },	//289 QWebHistoryItem::~QWebHistoryItem()
    {58, 132, 0, 0, Smoke::mf_ctor, 99, 1},	//290 QWebHitTestResult::QWebHitTestResult()
    {58, 132, 131, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 2},	//291 QWebHitTestResult::QWebHitTestResult(const QWebHitTestResult&)
    {58, 526, 131, 1, 0, 98, 3},	//292 QWebHitTestResult::operator=(const QWebHitTestResult&)
    {58, 425, 0, 0, Smoke::mf_const, 218, 4},	//293 QWebHitTestResult::isNull() const
    {58, 553, 0, 0, Smoke::mf_const, 48, 5},	//294 QWebHitTestResult::pos() const
    {58, 249, 0, 0, Smoke::mf_const, 50, 6},	//295 QWebHitTestResult::boundingRect() const
    {58, 327, 0, 0, Smoke::mf_const, 77, 7},	//296 QWebHitTestResult::enclosingBlockElement() const
    {58, 790, 0, 0, Smoke::mf_const, 62, 8},	//297 QWebHitTestResult::title() const
    {58, 459, 0, 0, Smoke::mf_const, 62, 9},	//298 QWebHitTestResult::linkText() const
    {58, 461, 0, 0, Smoke::mf_const, 72, 10},	//299 QWebHitTestResult::linkUrl() const
    {58, 460, 0, 0, Smoke::mf_const, 72, 11},	//300 QWebHitTestResult::linkTitle() const
    {58, 458, 0, 0, Smoke::mf_const, 90, 12},	//301 QWebHitTestResult::linkTargetFrame() const
    {58, 455, 0, 0, Smoke::mf_const, 77, 13},	//302 QWebHitTestResult::linkElement() const
    {58, 222, 0, 0, Smoke::mf_const, 62, 14},	//303 QWebHitTestResult::alternateText() const
    {58, 415, 0, 0, Smoke::mf_const, 72, 15},	//304 QWebHitTestResult::imageUrl() const
    {58, 549, 0, 0, Smoke::mf_const, 47, 16},	//305 QWebHitTestResult::pixmap() const
    {58, 422, 0, 0, Smoke::mf_const, 218, 17},	//306 QWebHitTestResult::isContentEditable() const
    {58, 423, 0, 0, Smoke::mf_const, 218, 18},	//307 QWebHitTestResult::isContentSelected() const
    {58, 317, 0, 0, Smoke::mf_const, 77, 19},	//308 QWebHitTestResult::element() const
    {58, 379, 0, 0, Smoke::mf_const, 90, 20},	//309 QWebHitTestResult::frame() const
    {58, 856, 0, 0, Smoke::mf_dtor, 0, 21 },	//310 QWebHitTestResult::~QWebHitTestResult()
    {59, 481, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 223, 1},	//311 QWebInspector::metaObject() const
    {59, 570, 10, 1, Smoke::mf_virtual, 271, 2},	//312 QWebInspector::qt_metacast(const char*)
    {59, 803, 51, 2, Smoke::mf_static, 62, 3},	//313 QWebInspector::tr(const char*, const char*)
    {59, 807, 51, 2, Smoke::mf_static, 62, 4},	//314 QWebInspector::trUtf8(const char*, const char*)
    {59, 803, 54, 3, Smoke::mf_static, 62, 5},	//315 QWebInspector::tr(const char*, const char*, int)
    {59, 807, 54, 3, Smoke::mf_static, 62, 6},	//316 QWebInspector::trUtf8(const char*, const char*, int)
    {59, 568, 58, 3, Smoke::mf_virtual, 263, 7},	//317 QWebInspector::qt_metacall(QMetaObject::Call, int, void**)
    {59, 134, 133, 1, Smoke::mf_ctor, 100, 8},	//318 QWebInspector::QWebInspector(QWidget*)
    {59, 716, 135, 1, 0, 0, 9},	//319 QWebInspector::setPage(QWebPage*)
    {59, 538, 0, 0, Smoke::mf_const, 101, 10},	//320 QWebInspector::page() const
    {59, 765, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 55, 11},	//321 QWebInspector::sizeHint() const
    {59, 335, 1, 1, Smoke::mf_virtual, 218, 12},	//322 QWebInspector::event(QEvent*)
    {59, 606, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//323 QWebInspector::resizeEvent(QResizeEvent*)
    {59, 762, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//324 QWebInspector::showEvent(QShowEvent*)
    {59, 402, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//325 QWebInspector::hideEvent(QHideEvent*)
    {59, 264, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//326 QWebInspector::closeEvent(QCloseEvent*)
    {59, 803, 10, 1, Smoke::mf_static, 62, 17},	//327 QWebInspector::tr(const char*)
    {59, 807, 10, 1, Smoke::mf_static, 62, 18},	//328 QWebInspector::trUtf8(const char*)
    {59, 134, 0, 0, Smoke::mf_ctor, 100, 19},	//329 QWebInspector::QWebInspector()
    {59, 766, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 222, 20},	//330 QWebInspector::staticMetaObject() const
    {59, 857, 0, 0, Smoke::mf_dtor, 0, 21 },	//331 QWebInspector::~QWebInspector()
    {60, 481, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 223, 1},	//332 QWebPage::metaObject() const
    {60, 570, 10, 1, Smoke::mf_virtual, 271, 2},	//333 QWebPage::qt_metacast(const char*)
    {60, 803, 51, 2, Smoke::mf_static, 62, 3},	//334 QWebPage::tr(const char*, const char*)
    {60, 807, 51, 2, Smoke::mf_static, 62, 4},	//335 QWebPage::trUtf8(const char*, const char*)
    {60, 803, 54, 3, Smoke::mf_static, 62, 5},	//336 QWebPage::tr(const char*, const char*, int)
    {60, 807, 54, 3, Smoke::mf_static, 62, 6},	//337 QWebPage::trUtf8(const char*, const char*, int)
    {60, 568, 58, 3, Smoke::mf_virtual, 263, 7},	//338 QWebPage::qt_metacall(QMetaObject::Call, int, void**)
    {60, 136, 125, 1, Smoke::mf_ctor, 101, 8},	//339 QWebPage::QWebPage(QObject*)
    {60, 474, 0, 0, Smoke::mf_const, 90, 9},	//340 QWebPage::mainFrame() const
    {60, 288, 0, 0, Smoke::mf_const, 90, 10},	//341 QWebPage::currentFrame() const
    {60, 380, 93, 1, Smoke::mf_const, 90, 11},	//342 QWebPage::frameAt(const QPoint&) const
    {60, 404, 0, 0, Smoke::mf_const, 92, 12},	//343 QWebPage::history() const
    {60, 760, 0, 0, Smoke::mf_const, 130, 13},	//344 QWebPage::settings() const
    {60, 751, 133, 1, 0, 0, 14},	//345 QWebPage::setView(QWidget*)
    {60, 829, 0, 0, Smoke::mf_const, 138, 15},	//346 QWebPage::view() const
    {60, 424, 0, 0, Smoke::mf_const|Smoke::mf_property, 218, 16},	//347 QWebPage::isModified() const
    {60, 817, 0, 0, Smoke::mf_const, 71, 17},	//348 QWebPage::undoStack() const
    {60, 702, 145, 1, 0, 0, 18},	//349 QWebPage::setNetworkAccessManager(QNetworkAccessManager*)
    {60, 498, 0, 0, Smoke::mf_const, 36, 19},	//350 QWebPage::networkAccessManager() const
    {60, 724, 147, 1, 0, 0, 20},	//351 QWebPage::setPluginFactory(QWebPluginFactory*)
    {60, 550, 0, 0, Smoke::mf_const, 121, 21},	//352 QWebPage::pluginFactory() const
    {60, 802, 0, 0, Smoke::mf_const, 270, 22},	//353 QWebPage::totalBytes() const
    {60, 250, 0, 0, Smoke::mf_const, 270, 23},	//354 QWebPage::bytesReceived() const
    {60, 400, 0, 0, Smoke::mf_const|Smoke::mf_property, 218, 24},	//355 QWebPage::hasSelection() const
    {60, 632, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 25},	//356 QWebPage::selectedText() const
    {60, 631, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 26},	//357 QWebPage::selectedHtml() const
    {60, 209, 149, 1, Smoke::mf_const, 1, 27},	//358 QWebPage::action(QWebPage::WebAction) const
    {60, 811, 151, 2, Smoke::mf_virtual, 0, 28},	//359 QWebPage::triggerAction(QWebPage::WebAction, bool)
    {60, 833, 0, 0, Smoke::mf_const|Smoke::mf_property, 55, 29},	//360 QWebPage::viewportSize() const
    {60, 753, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 30},	//361 QWebPage::setViewportSize(const QSize&) const
    {60, 830, 106, 1, Smoke::mf_const, 115, 31},	//362 QWebPage::viewportAttributesForSize(const QSize&) const
    {60, 554, 0, 0, Smoke::mf_const|Smoke::mf_property, 55, 32},	//363 QWebPage::preferredContentsSize() const
    {60, 726, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 33},	//364 QWebPage::setPreferredContentsSize(const QSize&) const
    {60, 634, 154, 1, Smoke::mf_const, 0, 34},	//365 QWebPage::setActualVisibleContentRect(const QRect&) const
    {60, 335, 1, 1, Smoke::mf_virtual, 218, 35},	//366 QWebPage::event(QEvent*)
    {60, 365, 108, 1, 0, 218, 36},	//367 QWebPage::focusNextPrevChild(bool)
    {60, 420, 156, 1, Smoke::mf_const, 74, 37},	//368 QWebPage::inputMethodQuery(Qt::InputMethodQuery) const
    {60, 358, 158, 2, 0, 218, 38},	//369 QWebPage::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {60, 679, 108, 1, Smoke::mf_property, 0, 39},	//370 QWebPage::setForwardUnsupportedContent(bool)
    {60, 378, 0, 0, Smoke::mf_const|Smoke::mf_property, 218, 40},	//371 QWebPage::forwardUnsupportedContent() const
    {60, 690, 161, 1, Smoke::mf_property, 0, 41},	//372 QWebPage::setLinkDelegationPolicy(QWebPage::LinkDelegationPolicy)
    {60, 454, 0, 0, Smoke::mf_const|Smoke::mf_property, 112, 42},	//373 QWebPage::linkDelegationPolicy() const
    {60, 718, 163, 1, Smoke::mf_property, 0, 43},	//374 QWebPage::setPalette(const QPalette&)
    {60, 545, 0, 0, Smoke::mf_const|Smoke::mf_property, 46, 44},	//375 QWebPage::palette() const
    {60, 648, 108, 1, Smoke::mf_property, 0, 45},	//376 QWebPage::setContentEditable(bool)
    {60, 422, 0, 0, Smoke::mf_const|Smoke::mf_property, 218, 46},	//377 QWebPage::isContentEditable() const
    {60, 781, 165, 1, 0, 218, 47},	//378 QWebPage::swallowContextMenuEvent(QContextMenuEvent*)
    {60, 820, 93, 1, 0, 0, 48},	//379 QWebPage::updatePositionDependentActions(const QPoint&)
    {60, 285, 0, 0, 0, 31, 49},	//380 QWebPage::createStandardContextMenu()
    {60, 668, 167, 3, 0, 0, 50},	//381 QWebPage::setFeaturePermission(QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy)
    {60, 776, 0, 0, Smoke::mf_const, 65, 51},	//382 QWebPage::supportedContentTypes() const
    {60, 777, 16, 1, Smoke::mf_const, 218, 52},	//383 QWebPage::supportsContentType(const QString&) const
    {60, 339, 171, 3, Smoke::mf_virtual, 218, 53},	//384 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*)
    {60, 779, 175, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 54},	//385 QWebPage::supportsExtension(QWebPage::Extension) const
    {60, 391, 0, 0, Smoke::mf_const, 120, 55},	//386 QWebPage::handle() const
    {60, 761, 0, 0, Smoke::mf_slot, 218, 56},	//387 QWebPage::shouldInterruptJavaScript()
    {60, 470, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//388 QWebPage::loadStarted()
    {60, 468, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//389 QWebPage::loadProgress(int)
    {60, 466, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//390 QWebPage::loadFinished(bool)
    {60, 456, 21, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//391 QWebPage::linkHovered(const QString&, const QString&, const QString&)
    {60, 767, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//392 QWebPage::statusBarMessage(const QString&)
    {60, 633, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//393 QWebPage::selectionChanged()
    {60, 382, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//394 QWebPage::frameCreated(QWebFrame*)
    {60, 386, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//395 QWebPage::geometryChangeRequested(const QRect&)
    {60, 594, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//396 QWebPage::repaintRequested(const QRect&)
    {60, 626, 179, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//397 QWebPage::scrollRequested(int, int, const QRect&)
    {60, 840, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//398 QWebPage::windowCloseRequested()
    {60, 565, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//399 QWebPage::printRequested(QWebFrame*)
    {60, 452, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 69},	//400 QWebPage::linkClicked(const QUrl&)
    {60, 800, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//401 QWebPage::toolBarVisibilityChangeRequested(bool)
    {60, 769, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//402 QWebPage::statusBarVisibilityChangeRequested(bool)
    {60, 478, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//403 QWebPage::menuBarVisibilityChangeRequested(bool)
    {60, 818, 183, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//404 QWebPage::unsupportedContent(QNetworkReply*)
    {60, 307, 110, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//405 QWebPage::downloadRequested(const QNetworkRequest&)
    {60, 483, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//406 QWebPage::microFocusChanged()
    {60, 274, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 76},	//407 QWebPage::contentsChanged()
    {60, 293, 185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 77},	//408 QWebPage::databaseQuotaExceeded(QWebFrame*, QString)
    {60, 231, 188, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 78},	//409 QWebPage::applicationCacheQuotaExceeded(QWebSecurityOrigin*, quint64)
    {60, 610, 191, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 79},	//410 QWebPage::saveFrameStateRequested(QWebFrame*, QWebHistoryItem*)
    {60, 608, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 80},	//411 QWebPage::restoreFrameStateRequested(QWebFrame*)
    {60, 832, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 81},	//412 QWebPage::viewportChangeRequested()
    {60, 345, 194, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 82},	//413 QWebPage::featurePermissionRequested(QWebFrame*, QWebPage::Feature)
    {60, 343, 194, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 83},	//414 QWebPage::featurePermissionRequestCanceled(QWebFrame*, QWebPage::Feature)
    {60, 286, 197, 1, Smoke::mf_protected|Smoke::mf_virtual, 101, 84},	//415 QWebPage::createWindow(QWebPage::WebWindowType)
    {60, 283, 199, 4, Smoke::mf_protected|Smoke::mf_virtual, 40, 85},	//416 QWebPage::createPlugin(const QString&, const QUrl&, const QStringList&, const QStringList&)
    {60, 207, 204, 3, Smoke::mf_protected|Smoke::mf_virtual, 218, 86},	//417 QWebPage::acceptNavigationRequest(QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType)
    {60, 257, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 62, 87},	//418 QWebPage::chooseFile(QWebFrame*, const QString&)
    {60, 434, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 88},	//419 QWebPage::javaScriptAlert(QWebFrame*, const QString&)
    {60, 436, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 218, 89},	//420 QWebPage::javaScriptConfirm(QWebFrame*, const QString&)
    {60, 440, 211, 4, Smoke::mf_protected|Smoke::mf_virtual, 218, 90},	//421 QWebPage::javaScriptPrompt(QWebFrame*, const QString&, const QString&, QString*)
    {60, 438, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 91},	//422 QWebPage::javaScriptConsoleMessage(const QString&, int, const QString&)
    {60, 825, 62, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 62, 92},	//423 QWebPage::userAgentForUrl(const QUrl&) const
    {60, 803, 10, 1, Smoke::mf_static, 62, 93},	//424 QWebPage::tr(const char*)
    {60, 807, 10, 1, Smoke::mf_static, 62, 94},	//425 QWebPage::trUtf8(const char*)
    {60, 136, 0, 0, Smoke::mf_ctor, 101, 95},	//426 QWebPage::QWebPage()
    {60, 811, 149, 1, 0, 0, 96},	//427 QWebPage::triggerAction(QWebPage::WebAction)
    {60, 358, 16, 1, 0, 218, 97},	//428 QWebPage::findText(const QString&)
    {60, 339, 175, 1, 0, 218, 98},	//429 QWebPage::extension(QWebPage::Extension)
    {60, 339, 220, 2, 0, 218, 99},	//430 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*)
    {60, 766, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 222, 100},	//431 QWebPage::staticMetaObject() const
    {60, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 101},	//432 QWebPage::NavigationTypeLinkClicked (enum)
    {60, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 102},	//433 QWebPage::NavigationTypeFormSubmitted (enum)
    {60, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 103},	//434 QWebPage::NavigationTypeBackOrForward (enum)
    {60, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 104},	//435 QWebPage::NavigationTypeReload (enum)
    {60, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 105},	//436 QWebPage::NavigationTypeFormResubmitted (enum)
    {60, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 106},	//437 QWebPage::NavigationTypeOther (enum)
    {60, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 107},	//438 QWebPage::NoWebAction (enum)
    {60, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 108},	//439 QWebPage::OpenLink (enum)
    {60, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 109},	//440 QWebPage::OpenLinkInNewWindow (enum)
    {60, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 110},	//441 QWebPage::OpenFrameInNewWindow (enum)
    {60, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 111},	//442 QWebPage::DownloadLinkToDisk (enum)
    {60, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 112},	//443 QWebPage::CopyLinkToClipboard (enum)
    {60, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 113},	//444 QWebPage::OpenImageInNewWindow (enum)
    {60, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 114},	//445 QWebPage::DownloadImageToDisk (enum)
    {60, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 115},	//446 QWebPage::CopyImageToClipboard (enum)
    {60, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 116},	//447 QWebPage::Back (enum)
    {60, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 117},	//448 QWebPage::Forward (enum)
    {60, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 118},	//449 QWebPage::Stop (enum)
    {60, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 119},	//450 QWebPage::Reload (enum)
    {60, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 120},	//451 QWebPage::Cut (enum)
    {60, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 121},	//452 QWebPage::Copy (enum)
    {60, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 122},	//453 QWebPage::Paste (enum)
    {60, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 123},	//454 QWebPage::Undo (enum)
    {60, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 124},	//455 QWebPage::Redo (enum)
    {60, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 125},	//456 QWebPage::MoveToNextChar (enum)
    {60, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 126},	//457 QWebPage::MoveToPreviousChar (enum)
    {60, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 127},	//458 QWebPage::MoveToNextWord (enum)
    {60, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 128},	//459 QWebPage::MoveToPreviousWord (enum)
    {60, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 129},	//460 QWebPage::MoveToNextLine (enum)
    {60, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 130},	//461 QWebPage::MoveToPreviousLine (enum)
    {60, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 131},	//462 QWebPage::MoveToStartOfLine (enum)
    {60, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 132},	//463 QWebPage::MoveToEndOfLine (enum)
    {60, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 133},	//464 QWebPage::MoveToStartOfBlock (enum)
    {60, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 134},	//465 QWebPage::MoveToEndOfBlock (enum)
    {60, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 135},	//466 QWebPage::MoveToStartOfDocument (enum)
    {60, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 136},	//467 QWebPage::MoveToEndOfDocument (enum)
    {60, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 137},	//468 QWebPage::SelectNextChar (enum)
    {60, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 138},	//469 QWebPage::SelectPreviousChar (enum)
    {60, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 139},	//470 QWebPage::SelectNextWord (enum)
    {60, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 140},	//471 QWebPage::SelectPreviousWord (enum)
    {60, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 141},	//472 QWebPage::SelectNextLine (enum)
    {60, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 142},	//473 QWebPage::SelectPreviousLine (enum)
    {60, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 143},	//474 QWebPage::SelectStartOfLine (enum)
    {60, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 144},	//475 QWebPage::SelectEndOfLine (enum)
    {60, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 145},	//476 QWebPage::SelectStartOfBlock (enum)
    {60, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 146},	//477 QWebPage::SelectEndOfBlock (enum)
    {60, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 147},	//478 QWebPage::SelectStartOfDocument (enum)
    {60, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 148},	//479 QWebPage::SelectEndOfDocument (enum)
    {60, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 149},	//480 QWebPage::DeleteStartOfWord (enum)
    {60, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 150},	//481 QWebPage::DeleteEndOfWord (enum)
    {60, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 151},	//482 QWebPage::SetTextDirectionDefault (enum)
    {60, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 152},	//483 QWebPage::SetTextDirectionLeftToRight (enum)
    {60, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 153},	//484 QWebPage::SetTextDirectionRightToLeft (enum)
    {60, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 154},	//485 QWebPage::ToggleBold (enum)
    {60, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 155},	//486 QWebPage::ToggleItalic (enum)
    {60, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 156},	//487 QWebPage::ToggleUnderline (enum)
    {60, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 157},	//488 QWebPage::InspectElement (enum)
    {60, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 158},	//489 QWebPage::InsertParagraphSeparator (enum)
    {60, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 159},	//490 QWebPage::InsertLineSeparator (enum)
    {60, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 160},	//491 QWebPage::SelectAll (enum)
    {60, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 161},	//492 QWebPage::ReloadAndBypassCache (enum)
    {60, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 162},	//493 QWebPage::PasteAndMatchStyle (enum)
    {60, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 163},	//494 QWebPage::RemoveFormat (enum)
    {60, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 164},	//495 QWebPage::ToggleStrikethrough (enum)
    {60, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 165},	//496 QWebPage::ToggleSubscript (enum)
    {60, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 166},	//497 QWebPage::ToggleSuperscript (enum)
    {60, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 167},	//498 QWebPage::InsertUnorderedList (enum)
    {60, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 168},	//499 QWebPage::InsertOrderedList (enum)
    {60, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 169},	//500 QWebPage::Indent (enum)
    {60, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 170},	//501 QWebPage::Outdent (enum)
    {60, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 171},	//502 QWebPage::AlignCenter (enum)
    {60, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 172},	//503 QWebPage::AlignJustified (enum)
    {60, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 173},	//504 QWebPage::AlignLeft (enum)
    {60, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 174},	//505 QWebPage::AlignRight (enum)
    {60, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 175},	//506 QWebPage::StopScheduledPageRefresh (enum)
    {60, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 176},	//507 QWebPage::CopyImageUrlToClipboard (enum)
    {60, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 177},	//508 QWebPage::WebActionCount (enum)
    {60, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 178},	//509 QWebPage::FindBackward (enum)
    {60, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 179},	//510 QWebPage::FindCaseSensitively (enum)
    {60, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 180},	//511 QWebPage::FindWrapsAroundDocument (enum)
    {60, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 181},	//512 QWebPage::HighlightAllOccurrences (enum)
    {60, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 182},	//513 QWebPage::DontDelegateLinks (enum)
    {60, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 183},	//514 QWebPage::DelegateExternalLinks (enum)
    {60, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 184},	//515 QWebPage::DelegateAllLinks (enum)
    {60, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 185},	//516 QWebPage::WebBrowserWindow (enum)
    {60, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 186},	//517 QWebPage::WebModalDialog (enum)
    {60, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 187},	//518 QWebPage::PermissionUnknown (enum)
    {60, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 188},	//519 QWebPage::PermissionGrantedByUser (enum)
    {60, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 189},	//520 QWebPage::PermissionDeniedByUser (enum)
    {60, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 190},	//521 QWebPage::Notifications (enum)
    {60, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 191},	//522 QWebPage::Geolocation (enum)
    {60, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 192},	//523 QWebPage::ChooseMultipleFilesExtension (enum)
    {60, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 193},	//524 QWebPage::ErrorPageExtension (enum)
    {60, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 194},	//525 QWebPage::QtNetwork (enum)
    {60, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 195},	//526 QWebPage::Http (enum)
    {60, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 196},	//527 QWebPage::WebKit (enum)
    {60, 858, 0, 0, Smoke::mf_dtor, 0, 197 },	//528 QWebPage::~QWebPage()
    {61, 11, 0, 0, Smoke::mf_ctor, 102, 1},	//529 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption()
    {61, 11, 223, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 2},	//530 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption(const QWebPage::ChooseMultipleFilesExtensionOption&)
    {61, 548, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 90, 3},	//531 QWebPage::ChooseMultipleFilesExtensionOption::parentFrame() const
    {61, 720, 177, 1, Smoke::mf_attribute, 0, 4},	//532 QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame(QWebFrame*)
    {61, 775, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 66, 5},	//533 QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames() const
    {61, 741, 225, 1, Smoke::mf_attribute, 0, 6},	//534 QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames(const QStringList&)
    {61, 843, 0, 0, Smoke::mf_dtor, 0, 7 },	//535 QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption()
    {62, 13, 0, 0, Smoke::mf_ctor, 103, 1},	//536 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn()
    {62, 13, 227, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 103, 2},	//537 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn(const QWebPage::ChooseMultipleFilesExtensionReturn&)
    {62, 349, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 66, 3},	//538 QWebPage::ChooseMultipleFilesExtensionReturn::fileNames() const
    {62, 672, 225, 1, Smoke::mf_attribute, 0, 4},	//539 QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames(const QStringList&)
    {62, 844, 0, 0, Smoke::mf_dtor, 0, 5 },	//540 QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn()
    {63, 39, 0, 0, Smoke::mf_ctor, 105, 1},	//541 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption()
    {63, 39, 229, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 105, 2},	//542 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption(const QWebPage::ErrorPageExtensionOption&)
    {63, 822, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 73, 3},	//543 QWebPage::ErrorPageExtensionOption::url() const
    {63, 745, 62, 1, Smoke::mf_attribute, 0, 4},	//544 QWebPage::ErrorPageExtensionOption::setUrl(const QUrl&)
    {63, 379, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 90, 5},	//545 QWebPage::ErrorPageExtensionOption::frame() const
    {63, 681, 177, 1, Smoke::mf_attribute, 0, 6},	//546 QWebPage::ErrorPageExtensionOption::setFrame(QWebFrame*)
    {63, 306, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 104, 7},	//547 QWebPage::ErrorPageExtensionOption::domain() const
    {63, 660, 231, 1, Smoke::mf_attribute, 0, 8},	//548 QWebPage::ErrorPageExtensionOption::setDomain(QWebPage::ErrorDomain)
    {63, 331, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 263, 9},	//549 QWebPage::ErrorPageExtensionOption::error() const
    {63, 664, 38, 1, Smoke::mf_attribute, 0, 10},	//550 QWebPage::ErrorPageExtensionOption::setError(int)
    {63, 332, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 11},	//551 QWebPage::ErrorPageExtensionOption::errorString() const
    {63, 666, 16, 1, Smoke::mf_attribute, 0, 12},	//552 QWebPage::ErrorPageExtensionOption::setErrorString(const QString&)
    {63, 845, 0, 0, Smoke::mf_dtor, 0, 13 },	//553 QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption()
    {64, 41, 0, 0, Smoke::mf_ctor, 106, 1},	//554 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn()
    {64, 41, 233, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 106, 2},	//555 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn(const QWebPage::ErrorPageExtensionReturn&)
    {64, 273, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 3},	//556 QWebPage::ErrorPageExtensionReturn::contentType() const
    {64, 650, 16, 1, Smoke::mf_attribute, 0, 4},	//557 QWebPage::ErrorPageExtensionReturn::setContentType(const QString&)
    {64, 328, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 5},	//558 QWebPage::ErrorPageExtensionReturn::encoding() const
    {64, 662, 16, 1, Smoke::mf_attribute, 0, 6},	//559 QWebPage::ErrorPageExtensionReturn::setEncoding(const QString&)
    {64, 247, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 73, 7},	//560 QWebPage::ErrorPageExtensionReturn::baseUrl() const
    {64, 642, 62, 1, Smoke::mf_attribute, 0, 8},	//561 QWebPage::ErrorPageExtensionReturn::setBaseUrl(const QUrl&)
    {64, 272, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 4, 9},	//562 QWebPage::ErrorPageExtensionReturn::content() const
    {64, 644, 115, 1, Smoke::mf_attribute, 0, 10},	//563 QWebPage::ErrorPageExtensionReturn::setContent(const QByteArray&)
    {64, 846, 0, 0, Smoke::mf_dtor, 0, 11 },	//564 QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn()
    {65, 43, 0, 0, Smoke::mf_ctor, 108, 1},	//565 QWebPage::ExtensionOption::ExtensionOption()
    {65, 43, 235, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 108, 2},	//566 QWebPage::ExtensionOption::ExtensionOption(const QWebPage::ExtensionOption&)
    {65, 847, 0, 0, Smoke::mf_dtor, 0, 3 },	//567 QWebPage::ExtensionOption::~ExtensionOption()
    {66, 45, 0, 0, Smoke::mf_ctor, 109, 1},	//568 QWebPage::ExtensionReturn::ExtensionReturn()
    {66, 45, 237, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 109, 2},	//569 QWebPage::ExtensionReturn::ExtensionReturn(const QWebPage::ExtensionReturn&)
    {66, 848, 0, 0, Smoke::mf_dtor, 0, 3 },	//570 QWebPage::ExtensionReturn::~ExtensionReturn()
    {67, 189, 0, 0, Smoke::mf_ctor, 117, 1},	//571 QWebPage::ViewportAttributes::ViewportAttributes()
    {67, 189, 239, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 2},	//572 QWebPage::ViewportAttributes::ViewportAttributes(const QWebPage::ViewportAttributes&)
    {67, 526, 239, 1, 0, 116, 3},	//573 QWebPage::ViewportAttributes::operator=(const QWebPage::ViewportAttributes&)
    {67, 417, 0, 0, Smoke::mf_const, 262, 4},	//574 QWebPage::ViewportAttributes::initialScaleFactor() const
    {67, 485, 0, 0, Smoke::mf_const, 262, 5},	//575 QWebPage::ViewportAttributes::minimumScaleFactor() const
    {67, 477, 0, 0, Smoke::mf_const, 262, 6},	//576 QWebPage::ViewportAttributes::maximumScaleFactor() const
    {67, 301, 0, 0, Smoke::mf_const, 262, 7},	//577 QWebPage::ViewportAttributes::devicePixelRatio() const
    {67, 426, 0, 0, Smoke::mf_const, 218, 8},	//578 QWebPage::ViewportAttributes::isUserScalable() const
    {67, 427, 0, 0, Smoke::mf_const, 218, 9},	//579 QWebPage::ViewportAttributes::isValid() const
    {67, 764, 0, 0, Smoke::mf_const, 55, 10},	//580 QWebPage::ViewportAttributes::size() const
    {67, 862, 0, 0, Smoke::mf_dtor, 0, 11 },	//581 QWebPage::ViewportAttributes::~ViewportAttributes()
    {69, 481, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 223, 1},	//582 QWebPluginFactory::metaObject() const
    {69, 570, 10, 1, Smoke::mf_virtual, 271, 2},	//583 QWebPluginFactory::qt_metacast(const char*)
    {69, 803, 51, 2, Smoke::mf_static, 62, 3},	//584 QWebPluginFactory::tr(const char*, const char*)
    {69, 807, 51, 2, Smoke::mf_static, 62, 4},	//585 QWebPluginFactory::trUtf8(const char*, const char*)
    {69, 803, 54, 3, Smoke::mf_static, 62, 5},	//586 QWebPluginFactory::tr(const char*, const char*, int)
    {69, 807, 54, 3, Smoke::mf_static, 62, 6},	//587 QWebPluginFactory::trUtf8(const char*, const char*, int)
    {69, 568, 58, 3, Smoke::mf_virtual, 263, 7},	//588 QWebPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {69, 138, 125, 1, Smoke::mf_ctor, 121, 8},	//589 QWebPluginFactory::QWebPluginFactory(QObject*)
    {69, 551, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 29, 9},	//590 QWebPluginFactory::plugins() const [pure virtual]
    {69, 572, 0, 0, Smoke::mf_virtual, 0, 10},	//591 QWebPluginFactory::refreshPlugins()
    {69, 281, 199, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 40, 11},	//592 QWebPluginFactory::create(const QString&, const QUrl&, const QStringList&, const QStringList&) const [pure virtual]
    {69, 339, 241, 3, Smoke::mf_virtual, 218, 12},	//593 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*)
    {69, 779, 245, 1, Smoke::mf_const|Smoke::mf_virtual, 218, 13},	//594 QWebPluginFactory::supportsExtension(QWebPluginFactory::Extension) const
    {69, 803, 10, 1, Smoke::mf_static, 62, 14},	//595 QWebPluginFactory::tr(const char*)
    {69, 807, 10, 1, Smoke::mf_static, 62, 15},	//596 QWebPluginFactory::trUtf8(const char*)
    {69, 138, 0, 0, Smoke::mf_ctor, 121, 16},	//597 QWebPluginFactory::QWebPluginFactory()
    {69, 339, 245, 1, 0, 218, 17},	//598 QWebPluginFactory::extension(QWebPluginFactory::Extension)
    {69, 339, 247, 2, 0, 218, 18},	//599 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*)
    {69, 766, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 222, 19},	//600 QWebPluginFactory::staticMetaObject() const
    {69, 859, 0, 0, Smoke::mf_dtor, 0, 20 },	//601 QWebPluginFactory::~QWebPluginFactory()
    {70, 43, 0, 0, Smoke::mf_ctor, 123, 1},	//602 QWebPluginFactory::ExtensionOption::ExtensionOption()
    {70, 43, 250, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 123, 2},	//603 QWebPluginFactory::ExtensionOption::ExtensionOption(const QWebPluginFactory::ExtensionOption&)
    {70, 847, 0, 0, Smoke::mf_dtor, 0, 3 },	//604 QWebPluginFactory::ExtensionOption::~ExtensionOption()
    {71, 45, 0, 0, Smoke::mf_ctor, 124, 1},	//605 QWebPluginFactory::ExtensionReturn::ExtensionReturn()
    {71, 45, 252, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 124, 2},	//606 QWebPluginFactory::ExtensionReturn::ExtensionReturn(const QWebPluginFactory::ExtensionReturn&)
    {71, 848, 0, 0, Smoke::mf_dtor, 0, 3 },	//607 QWebPluginFactory::ExtensionReturn::~ExtensionReturn()
    {72, 528, 254, 1, Smoke::mf_const, 218, 1},	//608 QWebPluginFactory::MimeType::operator==(const QWebPluginFactory::MimeType&) const
    {72, 504, 254, 1, Smoke::mf_const, 218, 2},	//609 QWebPluginFactory::MimeType::operator!=(const QWebPluginFactory::MimeType&) const
    {72, 77, 0, 0, Smoke::mf_ctor, 125, 3},	//610 QWebPluginFactory::MimeType::MimeType()
    {72, 77, 254, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 125, 4},	//611 QWebPluginFactory::MimeType::MimeType(const QWebPluginFactory::MimeType&)
    {72, 496, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 5},	//612 QWebPluginFactory::MimeType::name() const
    {72, 700, 16, 1, Smoke::mf_attribute, 0, 6},	//613 QWebPluginFactory::MimeType::setName(const QString&)
    {72, 299, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 7},	//614 QWebPluginFactory::MimeType::description() const
    {72, 658, 16, 1, Smoke::mf_attribute, 0, 8},	//615 QWebPluginFactory::MimeType::setDescription(const QString&)
    {72, 347, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 66, 9},	//616 QWebPluginFactory::MimeType::fileExtensions() const
    {72, 670, 225, 1, Smoke::mf_attribute, 0, 10},	//617 QWebPluginFactory::MimeType::setFileExtensions(const QStringList&)
    {72, 849, 0, 0, Smoke::mf_dtor, 0, 11 },	//618 QWebPluginFactory::MimeType::~MimeType()
    {73, 116, 0, 0, Smoke::mf_ctor, 126, 1},	//619 QWebPluginFactory::Plugin::Plugin()
    {73, 116, 256, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 126, 2},	//620 QWebPluginFactory::Plugin::Plugin(const QWebPluginFactory::Plugin&)
    {73, 496, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 3},	//621 QWebPluginFactory::Plugin::name() const
    {73, 700, 16, 1, Smoke::mf_attribute, 0, 4},	//622 QWebPluginFactory::Plugin::setName(const QString&)
    {73, 299, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 5},	//623 QWebPluginFactory::Plugin::description() const
    {73, 658, 16, 1, Smoke::mf_attribute, 0, 6},	//624 QWebPluginFactory::Plugin::setDescription(const QString&)
    {73, 484, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 28, 7},	//625 QWebPluginFactory::Plugin::mimeTypes() const
    {73, 698, 258, 1, Smoke::mf_attribute, 0, 8},	//626 QWebPluginFactory::Plugin::setMimeTypes(const QList<QWebPluginFactory::MimeType>&)
    {73, 850, 0, 0, Smoke::mf_dtor, 0, 9 },	//627 QWebPluginFactory::Plugin::~Plugin()
    {74, 221, 0, 0, Smoke::mf_static, 30, 1},	//628 QWebSecurityOrigin::allOrigins()
    {74, 216, 16, 1, Smoke::mf_static, 0, 2},	//629 QWebSecurityOrigin::addLocalScheme(const QString&)
    {74, 585, 16, 1, Smoke::mf_static, 0, 3},	//630 QWebSecurityOrigin::removeLocalScheme(const QString&)
    {74, 472, 0, 0, Smoke::mf_static, 65, 4},	//631 QWebSecurityOrigin::localSchemes()
    {74, 612, 0, 0, Smoke::mf_const, 62, 5},	//632 QWebSecurityOrigin::scheme() const
    {74, 409, 0, 0, Smoke::mf_const, 62, 6},	//633 QWebSecurityOrigin::host() const
    {74, 552, 0, 0, Smoke::mf_const, 263, 7},	//634 QWebSecurityOrigin::port() const
    {74, 295, 0, 0, Smoke::mf_const, 265, 8},	//635 QWebSecurityOrigin::databaseUsage() const
    {74, 292, 0, 0, Smoke::mf_const, 265, 9},	//636 QWebSecurityOrigin::databaseQuota() const
    {74, 652, 260, 1, 0, 0, 10},	//637 QWebSecurityOrigin::setDatabaseQuota(long long)
    {74, 636, 260, 1, 0, 0, 11},	//638 QWebSecurityOrigin::setApplicationCacheQuota(long long)
    {74, 296, 0, 0, Smoke::mf_const, 24, 12},	//639 QWebSecurityOrigin::databases() const
    {74, 140, 262, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 129, 13},	//640 QWebSecurityOrigin::QWebSecurityOrigin(const QWebSecurityOrigin&)
    {74, 526, 262, 1, 0, 128, 14},	//641 QWebSecurityOrigin::operator=(const QWebSecurityOrigin&)
    {74, 860, 0, 0, Smoke::mf_dtor, 0, 15 },	//642 QWebSecurityOrigin::~QWebSecurityOrigin()
    {75, 388, 0, 0, Smoke::mf_static, 130, 1},	//643 QWebSettings::globalSettings()
    {75, 675, 264, 2, 0, 0, 2},	//644 QWebSettings::setFontFamily(QWebSettings::FontFamily, const QString&)
    {75, 370, 267, 1, Smoke::mf_const, 62, 3},	//645 QWebSettings::fontFamily(QWebSettings::FontFamily) const
    {75, 602, 267, 1, 0, 0, 4},	//646 QWebSettings::resetFontFamily(QWebSettings::FontFamily)
    {75, 677, 269, 2, 0, 0, 5},	//647 QWebSettings::setFontSize(QWebSettings::FontSize, int)
    {75, 372, 272, 1, Smoke::mf_const, 263, 6},	//648 QWebSettings::fontSize(QWebSettings::FontSize) const
    {75, 604, 272, 1, 0, 0, 7},	//649 QWebSettings::resetFontSize(QWebSettings::FontSize)
    {75, 638, 274, 2, 0, 0, 8},	//650 QWebSettings::setAttribute(QWebSettings::WebAttribute, bool)
    {75, 786, 277, 1, Smoke::mf_const, 218, 9},	//651 QWebSettings::testAttribute(QWebSettings::WebAttribute) const
    {75, 600, 277, 1, 0, 0, 10},	//652 QWebSettings::resetAttribute(QWebSettings::WebAttribute)
    {75, 749, 62, 1, 0, 0, 11},	//653 QWebSettings::setUserStyleSheetUrl(const QUrl&)
    {75, 828, 0, 0, Smoke::mf_const, 72, 12},	//654 QWebSettings::userStyleSheetUrl() const
    {75, 656, 16, 1, 0, 0, 13},	//655 QWebSettings::setDefaultTextEncoding(const QString&)
    {75, 298, 0, 0, Smoke::mf_const, 62, 14},	//656 QWebSettings::defaultTextEncoding() const
    {75, 686, 16, 1, Smoke::mf_static, 0, 15},	//657 QWebSettings::setIconDatabasePath(const QString&)
    {75, 412, 0, 0, Smoke::mf_static, 62, 16},	//658 QWebSettings::iconDatabasePath()
    {75, 261, 0, 0, Smoke::mf_static, 0, 17},	//659 QWebSettings::clearIconDatabase()
    {75, 413, 62, 1, Smoke::mf_static, 20, 18},	//660 QWebSettings::iconForUrl(const QUrl&)
    {75, 756, 279, 2, Smoke::mf_static, 0, 19},	//661 QWebSettings::setWebGraphic(QWebSettings::WebGraphic, const QPixmap&)
    {75, 835, 282, 1, Smoke::mf_static, 47, 20},	//662 QWebSettings::webGraphic(QWebSettings::WebGraphic)
    {75, 696, 38, 1, Smoke::mf_static, 0, 21},	//663 QWebSettings::setMaximumPagesInCache(int)
    {75, 476, 0, 0, Smoke::mf_static, 263, 22},	//664 QWebSettings::maximumPagesInCache()
    {75, 704, 284, 3, Smoke::mf_static, 0, 23},	//665 QWebSettings::setObjectCacheCapacities(int, int, int)
    {75, 708, 16, 1, Smoke::mf_static, 0, 24},	//666 QWebSettings::setOfflineStoragePath(const QString&)
    {75, 501, 0, 0, Smoke::mf_static, 62, 25},	//667 QWebSettings::offlineStoragePath()
    {75, 706, 260, 1, Smoke::mf_static, 0, 26},	//668 QWebSettings::setOfflineStorageDefaultQuota(long long)
    {75, 500, 0, 0, Smoke::mf_static, 265, 27},	//669 QWebSettings::offlineStorageDefaultQuota()
    {75, 710, 16, 1, Smoke::mf_static, 0, 28},	//670 QWebSettings::setOfflineWebApplicationCachePath(const QString&)
    {75, 502, 0, 0, Smoke::mf_static, 62, 29},	//671 QWebSettings::offlineWebApplicationCachePath()
    {75, 712, 260, 1, Smoke::mf_static, 0, 30},	//672 QWebSettings::setOfflineWebApplicationCacheQuota(long long)
    {75, 503, 0, 0, Smoke::mf_static, 265, 31},	//673 QWebSettings::offlineWebApplicationCacheQuota()
    {75, 692, 16, 1, 0, 0, 32},	//674 QWebSettings::setLocalStoragePath(const QString&)
    {75, 473, 0, 0, Smoke::mf_const, 62, 33},	//675 QWebSettings::localStoragePath() const
    {75, 262, 0, 0, Smoke::mf_static, 0, 34},	//676 QWebSettings::clearMemoryCaches()
    {75, 318, 16, 1, Smoke::mf_static, 0, 35},	//677 QWebSettings::enablePersistentStorage(const QString&)
    {75, 391, 0, 0, Smoke::mf_const, 135, 36},	//678 QWebSettings::handle() const
    {75, 318, 0, 0, Smoke::mf_static, 0, 37},	//679 QWebSettings::enablePersistentStorage()
    {75, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 38},	//680 QWebSettings::StandardFont (enum)
    {75, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 39},	//681 QWebSettings::FixedFont (enum)
    {75, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 40},	//682 QWebSettings::SerifFont (enum)
    {75, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 41},	//683 QWebSettings::SansSerifFont (enum)
    {75, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 42},	//684 QWebSettings::CursiveFont (enum)
    {75, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 43},	//685 QWebSettings::FantasyFont (enum)
    {75, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 44},	//686 QWebSettings::AutoLoadImages (enum)
    {75, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 45},	//687 QWebSettings::JavascriptEnabled (enum)
    {75, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 46},	//688 QWebSettings::JavaEnabled (enum)
    {75, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 47},	//689 QWebSettings::PluginsEnabled (enum)
    {75, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 48},	//690 QWebSettings::PrivateBrowsingEnabled (enum)
    {75, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 49},	//691 QWebSettings::JavascriptCanOpenWindows (enum)
    {75, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 50},	//692 QWebSettings::JavascriptCanAccessClipboard (enum)
    {75, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 51},	//693 QWebSettings::DeveloperExtrasEnabled (enum)
    {75, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 52},	//694 QWebSettings::LinksIncludedInFocusChain (enum)
    {75, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 53},	//695 QWebSettings::ZoomTextOnly (enum)
    {75, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 54},	//696 QWebSettings::PrintElementBackgrounds (enum)
    {75, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 55},	//697 QWebSettings::OfflineStorageDatabaseEnabled (enum)
    {75, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 56},	//698 QWebSettings::OfflineWebApplicationCacheEnabled (enum)
    {75, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 57},	//699 QWebSettings::LocalStorageEnabled (enum)
    {75, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 58},	//700 QWebSettings::LocalStorageDatabaseEnabled (enum)
    {75, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 59},	//701 QWebSettings::LocalContentCanAccessRemoteUrls (enum)
    {75, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 60},	//702 QWebSettings::DnsPrefetchEnabled (enum)
    {75, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 61},	//703 QWebSettings::XSSAuditingEnabled (enum)
    {75, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 62},	//704 QWebSettings::AcceleratedCompositingEnabled (enum)
    {75, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 63},	//705 QWebSettings::SpatialNavigationEnabled (enum)
    {75, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 64},	//706 QWebSettings::LocalContentCanAccessFileUrls (enum)
    {75, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 65},	//707 QWebSettings::TiledBackingStoreEnabled (enum)
    {75, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 66},	//708 QWebSettings::FrameFlatteningEnabled (enum)
    {75, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 67},	//709 QWebSettings::SiteSpecificQuirksEnabled (enum)
    {75, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 68},	//710 QWebSettings::JavascriptCanCloseWindows (enum)
    {75, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 69},	//711 QWebSettings::WebGLEnabled (enum)
    {75, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 70},	//712 QWebSettings::HyperlinkAuditingEnabled (enum)
    {75, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 71},	//713 QWebSettings::MissingImageGraphic (enum)
    {75, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 72},	//714 QWebSettings::MissingPluginGraphic (enum)
    {75, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 73},	//715 QWebSettings::DefaultFrameIconGraphic (enum)
    {75, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 74},	//716 QWebSettings::TextAreaSizeGripCornerGraphic (enum)
    {75, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 75},	//717 QWebSettings::DeleteButtonGraphic (enum)
    {75, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 76},	//718 QWebSettings::InputSpeechButtonGraphic (enum)
    {75, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 77},	//719 QWebSettings::SearchCancelButtonGraphic (enum)
    {75, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 78},	//720 QWebSettings::SearchCancelButtonPressedGraphic (enum)
    {75, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 79},	//721 QWebSettings::MinimumFontSize (enum)
    {75, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 80},	//722 QWebSettings::MinimumLogicalFontSize (enum)
    {75, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 81},	//723 QWebSettings::DefaultFontSize (enum)
    {75, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 82},	//724 QWebSettings::DefaultFixedFontSize (enum)
    {77, 481, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 223, 1},	//725 QWebView::metaObject() const
    {77, 570, 10, 1, Smoke::mf_virtual, 271, 2},	//726 QWebView::qt_metacast(const char*)
    {77, 803, 51, 2, Smoke::mf_static, 62, 3},	//727 QWebView::tr(const char*, const char*)
    {77, 807, 51, 2, Smoke::mf_static, 62, 4},	//728 QWebView::trUtf8(const char*, const char*)
    {77, 803, 54, 3, Smoke::mf_static, 62, 5},	//729 QWebView::tr(const char*, const char*, int)
    {77, 807, 54, 3, Smoke::mf_static, 62, 6},	//730 QWebView::trUtf8(const char*, const char*, int)
    {77, 568, 58, 3, Smoke::mf_virtual, 263, 7},	//731 QWebView::qt_metacall(QMetaObject::Call, int, void**)
    {77, 142, 133, 1, Smoke::mf_ctor, 136, 8},	//732 QWebView::QWebView(QWidget*)
    {77, 538, 0, 0, Smoke::mf_const, 101, 9},	//733 QWebView::page() const
    {77, 716, 135, 1, 0, 0, 10},	//734 QWebView::setPage(QWebPage*)
    {77, 462, 62, 1, 0, 0, 11},	//735 QWebView::load(const QUrl&)
    {77, 462, 64, 3, 0, 0, 12},	//736 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {77, 683, 68, 2, 0, 0, 13},	//737 QWebView::setHtml(const QString&, const QUrl&)
    {77, 644, 71, 3, 0, 0, 14},	//738 QWebView::setContent(const QByteArray&, const QString&, const QUrl&)
    {77, 404, 0, 0, Smoke::mf_const, 92, 15},	//739 QWebView::history() const
    {77, 760, 0, 0, Smoke::mf_const, 130, 16},	//740 QWebView::settings() const
    {77, 790, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 17},	//741 QWebView::title() const
    {77, 745, 62, 1, Smoke::mf_property, 0, 18},	//742 QWebView::setUrl(const QUrl&)
    {77, 822, 0, 0, Smoke::mf_const|Smoke::mf_property, 72, 19},	//743 QWebView::url() const
    {77, 410, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 20},	//744 QWebView::icon() const
    {77, 400, 0, 0, Smoke::mf_const|Smoke::mf_property, 218, 21},	//745 QWebView::hasSelection() const
    {77, 632, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 22},	//746 QWebView::selectedText() const
    {77, 631, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 23},	//747 QWebView::selectedHtml() const
    {77, 539, 149, 1, Smoke::mf_const, 1, 24},	//748 QWebView::pageAction(QWebPage::WebAction) const
    {77, 814, 151, 2, 0, 0, 25},	//749 QWebView::triggerPageAction(QWebPage::WebAction, bool)
    {77, 424, 0, 0, Smoke::mf_const|Smoke::mf_property, 218, 26},	//750 QWebView::isModified() const
    {77, 420, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 74, 27},	//751 QWebView::inputMethodQuery(Qt::InputMethodQuery) const
    {77, 765, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 55, 28},	//752 QWebView::sizeHint() const
    {77, 842, 0, 0, Smoke::mf_const, 262, 29},	//753 QWebView::zoomFactor() const
    {77, 758, 102, 1, 0, 0, 30},	//754 QWebView::setZoomFactor(double)
    {77, 743, 102, 1, 0, 0, 31},	//755 QWebView::setTextSizeMultiplier(double)
    {77, 788, 0, 0, Smoke::mf_const, 262, 32},	//756 QWebView::textSizeMultiplier() const
    {77, 592, 0, 0, Smoke::mf_const, 15, 33},	//757 QWebView::renderHints() const
    {77, 731, 288, 1, 0, 0, 34},	//758 QWebView::setRenderHints(QFlags<QPainter::RenderHint>)
    {77, 728, 290, 2, 0, 0, 35},	//759 QWebView::setRenderHint(QPainter::RenderHint, bool)
    {77, 358, 158, 2, 0, 218, 36},	//760 QWebView::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {77, 335, 1, 1, Smoke::mf_virtual, 218, 37},	//761 QWebView::event(QEvent*)
    {77, 771, 0, 0, Smoke::mf_slot, 0, 38},	//762 QWebView::stop()
    {77, 243, 0, 0, Smoke::mf_slot, 0, 39},	//763 QWebView::back()
    {77, 374, 0, 0, Smoke::mf_slot, 0, 40},	//764 QWebView::forward()
    {77, 573, 0, 0, Smoke::mf_slot, 0, 41},	//765 QWebView::reload()
    {77, 563, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 42},	//766 QWebView::print(QPrinter*) const
    {77, 470, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//767 QWebView::loadStarted()
    {77, 468, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//768 QWebView::loadProgress(int)
    {77, 466, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//769 QWebView::loadFinished(bool)
    {77, 791, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//770 QWebView::titleChanged(const QString&)
    {77, 767, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//771 QWebView::statusBarMessage(const QString&)
    {77, 452, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//772 QWebView::linkClicked(const QUrl&)
    {77, 633, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//773 QWebView::selectionChanged()
    {77, 411, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//774 QWebView::iconChanged()
    {77, 823, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//775 QWebView::urlChanged(const QUrl&)
    {77, 606, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//776 QWebView::resizeEvent(QResizeEvent*)
    {77, 543, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//777 QWebView::paintEvent(QPaintEvent*)
    {77, 286, 197, 1, Smoke::mf_protected|Smoke::mf_virtual, 136, 54},	//778 QWebView::createWindow(QWebPage::WebWindowType)
    {77, 253, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//779 QWebView::changeEvent(QEvent*)
    {77, 489, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//780 QWebView::mouseMoveEvent(QMouseEvent*)
    {77, 491, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//781 QWebView::mousePressEvent(QMouseEvent*)
    {77, 487, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//782 QWebView::mouseDoubleClickEvent(QMouseEvent*)
    {77, 493, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//783 QWebView::mouseReleaseEvent(QMouseEvent*)
    {77, 278, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//784 QWebView::contextMenuEvent(QContextMenuEvent*)
    {77, 837, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//785 QWebView::wheelEvent(QWheelEvent*)
    {77, 443, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//786 QWebView::keyPressEvent(QKeyEvent*)
    {77, 445, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//787 QWebView::keyReleaseEvent(QKeyEvent*)
    {77, 309, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//788 QWebView::dragEnterEvent(QDragEnterEvent*)
    {77, 311, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//789 QWebView::dragLeaveEvent(QDragLeaveEvent*)
    {77, 313, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//790 QWebView::dragMoveEvent(QDragMoveEvent*)
    {77, 315, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//791 QWebView::dropEvent(QDropEvent*)
    {77, 363, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//792 QWebView::focusInEvent(QFocusEvent*)
    {77, 367, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//793 QWebView::focusOutEvent(QFocusEvent*)
    {77, 418, 311, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//794 QWebView::inputMethodEvent(QInputMethodEvent*)
    {77, 365, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 218, 71},	//795 QWebView::focusNextPrevChild(bool)
    {77, 803, 10, 1, Smoke::mf_static, 62, 72},	//796 QWebView::tr(const char*)
    {77, 807, 10, 1, Smoke::mf_static, 62, 73},	//797 QWebView::trUtf8(const char*)
    {77, 142, 0, 0, Smoke::mf_ctor, 136, 74},	//798 QWebView::QWebView()
    {77, 462, 110, 1, 0, 0, 75},	//799 QWebView::load(const QNetworkRequest&)
    {77, 462, 112, 2, 0, 0, 76},	//800 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {77, 683, 16, 1, 0, 0, 77},	//801 QWebView::setHtml(const QString&)
    {77, 644, 115, 1, 0, 0, 78},	//802 QWebView::setContent(const QByteArray&)
    {77, 644, 117, 2, 0, 0, 79},	//803 QWebView::setContent(const QByteArray&, const QString&)
    {77, 814, 149, 1, 0, 0, 80},	//804 QWebView::triggerPageAction(QWebPage::WebAction)
    {77, 728, 313, 1, 0, 0, 81},	//805 QWebView::setRenderHint(QPainter::RenderHint)
    {77, 358, 16, 1, 0, 218, 82},	//806 QWebView::findText(const QString&)
    {77, 766, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 222, 83},	//807 QWebView::staticMetaObject() const
    {77, 861, 0, 0, Smoke::mf_dtor, 0, 84 },	//808 QWebView::~QWebView()
    {79, 300, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 263, 0},	//809 QWidget::devType() const
    {79, 755, 108, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//810 QWidget::setVisible(bool)
    {79, 486, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 55, 0},	//811 QWidget::minimumSizeHint() const
    {79, 401, 38, 1, Smoke::mf_const|Smoke::mf_virtual, 263, 0},	//812 QWidget::heightForWidth(int) const
    {79, 542, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 0},	//813 QWidget::paintEngine() const
    {79, 491, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//814 QWidget::mousePressEvent(QMouseEvent*)
    {79, 493, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//815 QWidget::mouseReleaseEvent(QMouseEvent*)
    {79, 487, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//816 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {79, 489, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//817 QWidget::mouseMoveEvent(QMouseEvent*)
    {79, 837, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//818 QWidget::wheelEvent(QWheelEvent*)
    {79, 443, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//819 QWidget::keyPressEvent(QKeyEvent*)
    {79, 445, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//820 QWidget::keyReleaseEvent(QKeyEvent*)
    {79, 363, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//821 QWidget::focusInEvent(QFocusEvent*)
    {79, 367, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//822 QWidget::focusOutEvent(QFocusEvent*)
    {79, 330, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//823 QWidget::enterEvent(QEvent*)
    {79, 451, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//824 QWidget::leaveEvent(QEvent*)
    {79, 543, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//825 QWidget::paintEvent(QPaintEvent*)
    {79, 495, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//826 QWidget::moveEvent(QMoveEvent*)
    {79, 264, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//827 QWidget::closeEvent(QCloseEvent*)
    {79, 278, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//828 QWidget::contextMenuEvent(QContextMenuEvent*)
    {79, 783, 317, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//829 QWidget::tabletEvent(QTabletEvent*)
    {79, 211, 319, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//830 QWidget::actionEvent(QActionEvent*)
    {79, 309, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//831 QWidget::dragEnterEvent(QDragEnterEvent*)
    {79, 313, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//832 QWidget::dragMoveEvent(QDragMoveEvent*)
    {79, 311, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//833 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {79, 315, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//834 QWidget::dropEvent(QDropEvent*)
    {79, 762, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//835 QWidget::showEvent(QShowEvent*)
    {79, 402, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//836 QWidget::hideEvent(QHideEvent*)
    {79, 841, 321, 1, Smoke::mf_protected|Smoke::mf_virtual, 218, 0},	//837 QWidget::x11Event(_XEvent*)
    {79, 253, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//838 QWidget::changeEvent(QEvent*)
    {79, 482, 323, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 263, 0},	//839 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {79, 418, 311, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//840 QWidget::inputMethodEvent(QInputMethodEvent*)
    {79, 420, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 74, 0},	//841 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {79, 365, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 218, 0},	//842 QWidget::focusNextPrevChild(bool)
    {79, 772, 325, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//843 QWidget::styleChange(QStyle&)
    {79, 320, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//844 QWidget::enabledChange(bool)
    {79, 546, 163, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//845 QWidget::paletteChange(const QPalette&)
    {79, 369, 327, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//846 QWidget::fontChange(const QFont&)
    {79, 839, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//847 QWidget::windowActivationChange(bool)
    {79, 447, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//848 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    119,  // QWebElementCollection::begin() const
    123,  // QWebElementCollection::begin()
    0,
    120,  // QWebElementCollection::end() const
    124,  // QWebElementCollection::end()
    0,
    735,  // QWebView::load(const QUrl&)
    799,  // QWebView::load(const QNetworkRequest&)
    0,
    172,  // QWebFrame::load(const QUrl&)
    234,  // QWebFrame::load(const QNetworkRequest&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 144, 8},	// QGlobalSpace::QtCriticalMsg
    {16, 145, 6},	// QGlobalSpace::QtDebugMsg
    {16, 146, 9},	// QGlobalSpace::QtFatalMsg
    {16, 148, 10},	// QGlobalSpace::QtSystemMsg
    {16, 149, 7},	// QGlobalSpace::QtWarningMsg
    {16, 198, 1},	// QGlobalSpace::_IEEE_
    {16, 199, 5},	// QGlobalSpace::_ISOC_
    {16, 200, 4},	// QGlobalSpace::_POSIX_
    {16, 201, 2},	// QGlobalSpace::_SVID_
    {16, 202, 3},	// QGlobalSpace::_XOPEN_
    {16, 203, 13},	// QGlobalSpace::__codecvt_error
    {16, 204, 14},	// QGlobalSpace::__codecvt_noconv
    {16, 205, 11},	// QGlobalSpace::__codecvt_ok
    {16, 206, 12},	// QGlobalSpace::__codecvt_partial
    {49, 122, 22},	// QWebDatabase::QWebDatabase#
    {49, 303, 25},	// QWebDatabase::displayName
    {49, 338, 26},	// QWebDatabase::expectedSize
    {49, 348, 28},	// QWebDatabase::fileName
    {49, 496, 24},	// QWebDatabase::name
    {49, 527, 23},	// QWebDatabase::operator=#
    {49, 536, 29},	// QWebDatabase::origin
    {49, 575, 31},	// QWebDatabase::removeAllDatabases
    {49, 583, 30},	// QWebDatabase::removeDatabase#
    {49, 764, 27},	// QWebDatabase::size
    {49, 851, 32},	// QWebDatabase::~QWebDatabase
    {50, 9, 103},	// QWebElement::CascadedStyle
    {50, 15, 104},	// QWebElement::ComputedStyle
    {50, 60, 102},	// QWebElement::InlineStyle
    {50, 123, 33},	// QWebElement::QWebElement
    {50, 124, 34},	// QWebElement::QWebElement#
    {50, 213, 59},	// QWebElement::addClass$
    {50, 226, 77},	// QWebElement::appendInside#
    {50, 227, 76},	// QWebElement::appendInside$
    {50, 229, 81},	// QWebElement::appendOutside#
    {50, 230, 80},	// QWebElement::appendOutside$
    {50, 236, 99},	// QWebElement::attribute$
    {50, 237, 49},	// QWebElement::attribute$$
    {50, 239, 100},	// QWebElement::attributeNS$$
    {50, 240, 50},	// QWebElement::attributeNS$$$
    {50, 241, 101},	// QWebElement::attributeNames
    {50, 242, 56},	// QWebElement::attributeNames$
    {50, 259, 57},	// QWebElement::classes
    {50, 263, 90},	// QWebElement::clone
    {50, 304, 74},	// QWebElement::document
    {50, 322, 84},	// QWebElement::encloseContentsWith#
    {50, 323, 85},	// QWebElement::encloseContentsWith$
    {50, 325, 87},	// QWebElement::encloseWith#
    {50, 326, 86},	// QWebElement::encloseWith$
    {50, 334, 94},	// QWebElement::evaluateJavaScript$
    {50, 351, 39},	// QWebElement::findAll$
    {50, 355, 40},	// QWebElement::findFirst$
    {50, 362, 70},	// QWebElement::firstChild
    {50, 385, 64},	// QWebElement::geometry
    {50, 393, 51},	// QWebElement::hasAttribute$
    {50, 395, 52},	// QWebElement::hasAttributeNS$$
    {50, 396, 55},	// QWebElement::hasAttributes
    {50, 398, 58},	// QWebElement::hasClass$
    {50, 399, 62},	// QWebElement::hasFocus
    {50, 425, 38},	// QWebElement::isNull
    {50, 449, 71},	// QWebElement::lastChild
    {50, 471, 67},	// QWebElement::localName
    {50, 497, 68},	// QWebElement::namespaceUri
    {50, 499, 72},	// QWebElement::nextSibling
    {50, 505, 37},	// QWebElement::operator!=#
    {50, 527, 35},	// QWebElement::operator=#
    {50, 529, 36},	// QWebElement::operator==#
    {50, 547, 69},	// QWebElement::parent
    {50, 555, 66},	// QWebElement::prefix
    {50, 557, 79},	// QWebElement::prependInside#
    {50, 558, 78},	// QWebElement::prependInside$
    {50, 560, 83},	// QWebElement::prependOutside#
    {50, 561, 82},	// QWebElement::prependOutside$
    {50, 562, 73},	// QWebElement::previousSibling
    {50, 574, 93},	// QWebElement::removeAllChildren
    {50, 577, 53},	// QWebElement::removeAttribute$
    {50, 579, 54},	// QWebElement::removeAttributeNS$$
    {50, 581, 60},	// QWebElement::removeClass$
    {50, 584, 92},	// QWebElement::removeFromDocument
    {50, 588, 97},	// QWebElement::render#
    {50, 589, 98},	// QWebElement::render##
    {50, 597, 89},	// QWebElement::replace#
    {50, 598, 88},	// QWebElement::replace$
    {50, 639, 47},	// QWebElement::setAttribute$$
    {50, 641, 48},	// QWebElement::setAttributeNS$$$
    {50, 674, 63},	// QWebElement::setFocus
    {50, 689, 45},	// QWebElement::setInnerXml$
    {50, 715, 43},	// QWebElement::setOuterXml$
    {50, 723, 41},	// QWebElement::setPlainText$
    {50, 740, 96},	// QWebElement::setStyleProperty$$
    {50, 774, 95},	// QWebElement::styleProperty$$
    {50, 784, 65},	// QWebElement::tagName
    {50, 785, 91},	// QWebElement::takeFromDocument
    {50, 794, 46},	// QWebElement::toInnerXml
    {50, 796, 44},	// QWebElement::toOuterXml
    {50, 797, 42},	// QWebElement::toPlainText
    {50, 799, 61},	// QWebElement::toggleClass$
    {50, 834, 75},	// QWebElement::webFrame
    {50, 852, 105},	// QWebElement::~QWebElement
    {51, 125, 106},	// QWebElementCollection::QWebElementCollection
    {51, 126, 108},	// QWebElementCollection::QWebElementCollection#
    {51, 127, 107},	// QWebElementCollection::QWebElementCollection#$
    {51, 224, 112},	// QWebElementCollection::append#
    {51, 234, 114},	// QWebElementCollection::at$
    {51, 248, -1},	// QWebElementCollection::begin
    {51, 267, 121},	// QWebElementCollection::constBegin
    {51, 268, 122},	// QWebElementCollection::constEnd
    {51, 280, 113},	// QWebElementCollection::count
    {51, 329, -4},	// QWebElementCollection::end
    {51, 361, 116},	// QWebElementCollection::first
    {51, 448, 117},	// QWebElementCollection::last
    {51, 508, 110},	// QWebElementCollection::operator+#
    {51, 513, 111},	// QWebElementCollection::operator+=#
    {51, 527, 109},	// QWebElementCollection::operator=#
    {51, 535, 115},	// QWebElementCollection::operator[]$
    {51, 795, 118},	// QWebElementCollection::toList
    {51, 853, 125},	// QWebElementCollection::~QWebElementCollection
    {52, 270, 127},	// QWebElementCollection::const_iterator::const_iterator#
    {52, 271, 126},	// QWebElementCollection::const_iterator::const_iterator#$
    {52, 505, 130},	// QWebElementCollection::const_iterator::operator!=#
    {52, 506, 128},	// QWebElementCollection::const_iterator::operator*
    {52, 509, 141},	// QWebElementCollection::const_iterator::operator+$
    {52, 510, 135},	// QWebElementCollection::const_iterator::operator++
    {52, 511, 136},	// QWebElementCollection::const_iterator::operator++$
    {52, 514, 139},	// QWebElementCollection::const_iterator::operator+=$
    {52, 516, 143},	// QWebElementCollection::const_iterator::operator-#
    {52, 517, 142},	// QWebElementCollection::const_iterator::operator-$
    {52, 518, 137},	// QWebElementCollection::const_iterator::operator--
    {52, 519, 138},	// QWebElementCollection::const_iterator::operator--$
    {52, 521, 140},	// QWebElementCollection::const_iterator::operator-=$
    {52, 523, 131},	// QWebElementCollection::const_iterator::operator<#
    {52, 525, 132},	// QWebElementCollection::const_iterator::operator<=#
    {52, 529, 129},	// QWebElementCollection::const_iterator::operator==#
    {52, 531, 133},	// QWebElementCollection::const_iterator::operator>#
    {52, 533, 134},	// QWebElementCollection::const_iterator::operator>=#
    {52, 863, 144},	// QWebElementCollection::const_iterator::~const_iterator
    {53, 432, 146},	// QWebElementCollection::iterator::iterator#
    {53, 433, 145},	// QWebElementCollection::iterator::iterator#$
    {53, 505, 149},	// QWebElementCollection::iterator::operator!=#
    {53, 506, 147},	// QWebElementCollection::iterator::operator*
    {53, 509, 160},	// QWebElementCollection::iterator::operator+$
    {53, 510, 154},	// QWebElementCollection::iterator::operator++
    {53, 511, 155},	// QWebElementCollection::iterator::operator++$
    {53, 514, 158},	// QWebElementCollection::iterator::operator+=$
    {53, 516, 162},	// QWebElementCollection::iterator::operator-#
    {53, 517, 161},	// QWebElementCollection::iterator::operator-$
    {53, 518, 156},	// QWebElementCollection::iterator::operator--
    {53, 519, 157},	// QWebElementCollection::iterator::operator--$
    {53, 521, 159},	// QWebElementCollection::iterator::operator-=$
    {53, 523, 150},	// QWebElementCollection::iterator::operator<#
    {53, 525, 151},	// QWebElementCollection::iterator::operator<=#
    {53, 529, 148},	// QWebElementCollection::iterator::operator==#
    {53, 531, 152},	// QWebElementCollection::iterator::operator>#
    {53, 533, 153},	// QWebElementCollection::iterator::operator>=#
    {53, 864, 163},	// QWebElementCollection::iterator::~iterator
    {54, 6, 244},	// QWebFrame::AllLayers
    {54, 16, 241},	// QWebFrame::ContentsLayer
    {54, 110, 243},	// QWebFrame::PanIconLayer
    {54, 155, 242},	// QWebFrame::ScrollBarLayer
    {54, 219, 176},	// QWebFrame::addToJavaScriptWindowObject$#
    {54, 220, 177},	// QWebFrame::addToJavaScriptWindowObject$#$
    {54, 247, 185},	// QWebFrame::baseUrl
    {54, 256, 190},	// QWebFrame::childFrames
    {54, 275, 213},	// QWebFrame::contentsSize
    {54, 277, 228},	// QWebFrame::contentsSizeChanged#
    {54, 305, 214},	// QWebFrame::documentElement
    {54, 334, 220},	// QWebFrame::evaluateJavaScript$
    {54, 336, 218},	// QWebFrame::event#
    {54, 353, 215},	// QWebFrame::findAllElements$
    {54, 357, 216},	// QWebFrame::findFirstElement$
    {54, 384, 188},	// QWebFrame::frameName
    {54, 385, 212},	// QWebFrame::geometry
    {54, 399, 209},	// QWebFrame::hasFocus
    {54, 408, 217},	// QWebFrame::hitTestContent#
    {54, 410, 186},	// QWebFrame::icon
    {54, 411, 227},	// QWebFrame::iconChanged
    {54, 416, 226},	// QWebFrame::initialLayoutCompleted
    {54, 442, 222},	// QWebFrame::javaScriptWindowObjectCleared
    {54, 463, -10},	// QWebFrame::load#
    {54, 464, 235},	// QWebFrame::load#$
    {54, 465, 173},	// QWebFrame::load#$#
    {54, 467, 230},	// QWebFrame::loadFinished$
    {54, 470, 229},	// QWebFrame::loadStarted
    {54, 480, 187},	// QWebFrame::metaData
    {54, 481, 164},	// QWebFrame::metaObject
    {54, 538, 171},	// QWebFrame::page
    {54, 541, 231},	// QWebFrame::pageChanged
    {54, 548, 189},	// QWebFrame::parentFrame
    {54, 553, 211},	// QWebFrame::pos
    {54, 564, 221},	// QWebFrame::print#
    {54, 567, 223},	// QWebFrame::provisionalLoad
    {54, 569, 170},	// QWebFrame::qt_metacall$$?
    {54, 571, 165},	// QWebFrame::qt_metacast$
    {54, 588, 202},	// QWebFrame::render#
    {54, 589, 203},	// QWebFrame::render##
    {54, 590, 239},	// QWebFrame::render#$
    {54, 591, 204},	// QWebFrame::render#$#
    {54, 593, 180},	// QWebFrame::renderTreeDump
    {54, 599, 184},	// QWebFrame::requestedUrl
    {54, 614, 198},	// QWebFrame::scroll$$
    {54, 616, 197},	// QWebFrame::scrollBarGeometry$
    {54, 618, 196},	// QWebFrame::scrollBarMaximum$
    {54, 620, 195},	// QWebFrame::scrollBarMinimum$
    {54, 622, 191},	// QWebFrame::scrollBarPolicy$
    {54, 624, 194},	// QWebFrame::scrollBarValue$
    {54, 625, 199},	// QWebFrame::scrollPosition
    {54, 629, 201},	// QWebFrame::scrollToAnchor$
    {54, 630, 219},	// QWebFrame::securityOrigin
    {54, 645, 237},	// QWebFrame::setContent#
    {54, 646, 238},	// QWebFrame::setContent#$
    {54, 647, 175},	// QWebFrame::setContent#$#
    {54, 674, 210},	// QWebFrame::setFocus
    {54, 684, 236},	// QWebFrame::setHtml$
    {54, 685, 174},	// QWebFrame::setHtml$#
    {54, 734, 192},	// QWebFrame::setScrollBarPolicy$$
    {54, 736, 193},	// QWebFrame::setScrollBarValue$$
    {54, 738, 200},	// QWebFrame::setScrollPosition#
    {54, 744, 205},	// QWebFrame::setTextSizeMultiplier$
    {54, 746, 182},	// QWebFrame::setUrl#
    {54, 759, 208},	// QWebFrame::setZoomFactor$
    {54, 766, 240},	// QWebFrame::staticMetaObject
    {54, 788, 206},	// QWebFrame::textSizeMultiplier
    {54, 790, 181},	// QWebFrame::title
    {54, 792, 224},	// QWebFrame::titleChanged$
    {54, 793, 178},	// QWebFrame::toHtml
    {54, 797, 179},	// QWebFrame::toPlainText
    {54, 804, 232},	// QWebFrame::tr$
    {54, 805, 166},	// QWebFrame::tr$$
    {54, 806, 168},	// QWebFrame::tr$$$
    {54, 808, 233},	// QWebFrame::trUtf8$
    {54, 809, 167},	// QWebFrame::trUtf8$$
    {54, 810, 169},	// QWebFrame::trUtf8$$$
    {54, 822, 183},	// QWebFrame::url
    {54, 824, 225},	// QWebFrame::urlChanged#
    {54, 842, 207},	// QWebFrame::zoomFactor
    {55, 243, 251},	// QWebHistory::back
    {55, 244, 254},	// QWebHistory::backItem
    {55, 246, 247},	// QWebHistory::backItems$
    {55, 251, 249},	// QWebHistory::canGoBack
    {55, 252, 250},	// QWebHistory::canGoForward
    {55, 260, 245},	// QWebHistory::clear
    {55, 280, 259},	// QWebHistory::count
    {55, 289, 255},	// QWebHistory::currentItem
    {55, 290, 258},	// QWebHistory::currentItemIndex
    {55, 374, 252},	// QWebHistory::forward
    {55, 375, 256},	// QWebHistory::forwardItem
    {55, 377, 248},	// QWebHistory::forwardItems$
    {55, 390, 253},	// QWebHistory::goToItem#
    {55, 429, 257},	// QWebHistory::itemAt$
    {55, 430, 246},	// QWebHistory::items
    {55, 475, 260},	// QWebHistory::maximumItemCount
    {55, 695, 261},	// QWebHistory::setMaximumItemCount$
    {56, 128, 276},	// QWebHistoryInterface::QWebHistoryInterface
    {56, 129, 269},	// QWebHistoryInterface::QWebHistoryInterface#
    {56, 215, 273},	// QWebHistoryInterface::addHistoryEntry$
    {56, 297, 271},	// QWebHistoryInterface::defaultInterface
    {56, 406, 272},	// QWebHistoryInterface::historyContains$
    {56, 481, 262},	// QWebHistoryInterface::metaObject
    {56, 569, 268},	// QWebHistoryInterface::qt_metacall$$?
    {56, 571, 263},	// QWebHistoryInterface::qt_metacast$
    {56, 655, 270},	// QWebHistoryInterface::setDefaultInterface#
    {56, 766, 277},	// QWebHistoryInterface::staticMetaObject
    {56, 804, 274},	// QWebHistoryInterface::tr$
    {56, 805, 264},	// QWebHistoryInterface::tr$$
    {56, 806, 266},	// QWebHistoryInterface::tr$$$
    {56, 808, 275},	// QWebHistoryInterface::trUtf8$
    {56, 809, 265},	// QWebHistoryInterface::trUtf8$$
    {56, 810, 267},	// QWebHistoryInterface::trUtf8$$$
    {56, 854, 278},	// QWebHistoryInterface::~QWebHistoryInterface
    {57, 131, 279},	// QWebHistoryItem::QWebHistoryItem#
    {57, 410, 285},	// QWebHistoryItem::icon
    {57, 427, 288},	// QWebHistoryItem::isValid
    {57, 450, 284},	// QWebHistoryItem::lastVisited
    {57, 527, 280},	// QWebHistoryItem::operator=#
    {57, 537, 281},	// QWebHistoryItem::originalUrl
    {57, 748, 287},	// QWebHistoryItem::setUserData#
    {57, 790, 283},	// QWebHistoryItem::title
    {57, 822, 282},	// QWebHistoryItem::url
    {57, 827, 286},	// QWebHistoryItem::userData
    {57, 855, 289},	// QWebHistoryItem::~QWebHistoryItem
    {58, 132, 290},	// QWebHitTestResult::QWebHitTestResult
    {58, 133, 291},	// QWebHitTestResult::QWebHitTestResult#
    {58, 222, 303},	// QWebHitTestResult::alternateText
    {58, 249, 295},	// QWebHitTestResult::boundingRect
    {58, 317, 308},	// QWebHitTestResult::element
    {58, 327, 296},	// QWebHitTestResult::enclosingBlockElement
    {58, 379, 309},	// QWebHitTestResult::frame
    {58, 415, 304},	// QWebHitTestResult::imageUrl
    {58, 422, 306},	// QWebHitTestResult::isContentEditable
    {58, 423, 307},	// QWebHitTestResult::isContentSelected
    {58, 425, 293},	// QWebHitTestResult::isNull
    {58, 455, 302},	// QWebHitTestResult::linkElement
    {58, 458, 301},	// QWebHitTestResult::linkTargetFrame
    {58, 459, 298},	// QWebHitTestResult::linkText
    {58, 460, 300},	// QWebHitTestResult::linkTitle
    {58, 461, 299},	// QWebHitTestResult::linkUrl
    {58, 527, 292},	// QWebHitTestResult::operator=#
    {58, 549, 305},	// QWebHitTestResult::pixmap
    {58, 553, 294},	// QWebHitTestResult::pos
    {58, 790, 297},	// QWebHitTestResult::title
    {58, 856, 310},	// QWebHitTestResult::~QWebHitTestResult
    {59, 134, 329},	// QWebInspector::QWebInspector
    {59, 135, 318},	// QWebInspector::QWebInspector#
    {59, 265, 326},	// QWebInspector::closeEvent#
    {59, 336, 322},	// QWebInspector::event#
    {59, 403, 325},	// QWebInspector::hideEvent#
    {59, 481, 311},	// QWebInspector::metaObject
    {59, 538, 320},	// QWebInspector::page
    {59, 569, 317},	// QWebInspector::qt_metacall$$?
    {59, 571, 312},	// QWebInspector::qt_metacast$
    {59, 607, 323},	// QWebInspector::resizeEvent#
    {59, 717, 319},	// QWebInspector::setPage#
    {59, 763, 324},	// QWebInspector::showEvent#
    {59, 765, 321},	// QWebInspector::sizeHint
    {59, 766, 330},	// QWebInspector::staticMetaObject
    {59, 804, 327},	// QWebInspector::tr$
    {59, 805, 313},	// QWebInspector::tr$$
    {59, 806, 315},	// QWebInspector::tr$$$
    {59, 808, 328},	// QWebInspector::trUtf8$
    {59, 809, 314},	// QWebInspector::trUtf8$$
    {59, 810, 316},	// QWebInspector::trUtf8$$$
    {59, 857, 331},	// QWebInspector::~QWebInspector
    {60, 2, 502},	// QWebPage::AlignCenter
    {60, 3, 503},	// QWebPage::AlignJustified
    {60, 4, 504},	// QWebPage::AlignLeft
    {60, 5, 505},	// QWebPage::AlignRight
    {60, 8, 447},	// QWebPage::Back
    {60, 10, 523},	// QWebPage::ChooseMultipleFilesExtension
    {60, 17, 452},	// QWebPage::Copy
    {60, 18, 446},	// QWebPage::CopyImageToClipboard
    {60, 19, 507},	// QWebPage::CopyImageUrlToClipboard
    {60, 20, 443},	// QWebPage::CopyLinkToClipboard
    {60, 22, 451},	// QWebPage::Cut
    {60, 26, 515},	// QWebPage::DelegateAllLinks
    {60, 27, 514},	// QWebPage::DelegateExternalLinks
    {60, 29, 481},	// QWebPage::DeleteEndOfWord
    {60, 30, 480},	// QWebPage::DeleteStartOfWord
    {60, 33, 513},	// QWebPage::DontDelegateLinks
    {60, 34, 445},	// QWebPage::DownloadImageToDisk
    {60, 35, 442},	// QWebPage::DownloadLinkToDisk
    {60, 38, 524},	// QWebPage::ErrorPageExtension
    {60, 48, 509},	// QWebPage::FindBackward
    {60, 49, 510},	// QWebPage::FindCaseSensitively
    {60, 50, 511},	// QWebPage::FindWrapsAroundDocument
    {60, 52, 448},	// QWebPage::Forward
    {60, 54, 522},	// QWebPage::Geolocation
    {60, 55, 512},	// QWebPage::HighlightAllOccurrences
    {60, 56, 526},	// QWebPage::Http
    {60, 59, 500},	// QWebPage::Indent
    {60, 62, 490},	// QWebPage::InsertLineSeparator
    {60, 63, 499},	// QWebPage::InsertOrderedList
    {60, 64, 489},	// QWebPage::InsertParagraphSeparator
    {60, 65, 498},	// QWebPage::InsertUnorderedList
    {60, 66, 488},	// QWebPage::InspectElement
    {60, 83, 465},	// QWebPage::MoveToEndOfBlock
    {60, 84, 467},	// QWebPage::MoveToEndOfDocument
    {60, 85, 463},	// QWebPage::MoveToEndOfLine
    {60, 86, 456},	// QWebPage::MoveToNextChar
    {60, 87, 460},	// QWebPage::MoveToNextLine
    {60, 88, 458},	// QWebPage::MoveToNextWord
    {60, 89, 457},	// QWebPage::MoveToPreviousChar
    {60, 90, 461},	// QWebPage::MoveToPreviousLine
    {60, 91, 459},	// QWebPage::MoveToPreviousWord
    {60, 92, 464},	// QWebPage::MoveToStartOfBlock
    {60, 93, 466},	// QWebPage::MoveToStartOfDocument
    {60, 94, 462},	// QWebPage::MoveToStartOfLine
    {60, 95, 434},	// QWebPage::NavigationTypeBackOrForward
    {60, 96, 436},	// QWebPage::NavigationTypeFormResubmitted
    {60, 97, 433},	// QWebPage::NavigationTypeFormSubmitted
    {60, 98, 432},	// QWebPage::NavigationTypeLinkClicked
    {60, 99, 437},	// QWebPage::NavigationTypeOther
    {60, 100, 435},	// QWebPage::NavigationTypeReload
    {60, 101, 438},	// QWebPage::NoWebAction
    {60, 102, 521},	// QWebPage::Notifications
    {60, 105, 441},	// QWebPage::OpenFrameInNewWindow
    {60, 106, 444},	// QWebPage::OpenImageInNewWindow
    {60, 107, 439},	// QWebPage::OpenLink
    {60, 108, 440},	// QWebPage::OpenLinkInNewWindow
    {60, 109, 501},	// QWebPage::Outdent
    {60, 111, 453},	// QWebPage::Paste
    {60, 112, 493},	// QWebPage::PasteAndMatchStyle
    {60, 113, 520},	// QWebPage::PermissionDeniedByUser
    {60, 114, 519},	// QWebPage::PermissionGrantedByUser
    {60, 115, 518},	// QWebPage::PermissionUnknown
    {60, 136, 426},	// QWebPage::QWebPage
    {60, 137, 339},	// QWebPage::QWebPage#
    {60, 147, 525},	// QWebPage::QtNetwork
    {60, 150, 455},	// QWebPage::Redo
    {60, 151, 450},	// QWebPage::Reload
    {60, 152, 492},	// QWebPage::ReloadAndBypassCache
    {60, 153, 494},	// QWebPage::RemoveFormat
    {60, 158, 491},	// QWebPage::SelectAll
    {60, 159, 477},	// QWebPage::SelectEndOfBlock
    {60, 160, 479},	// QWebPage::SelectEndOfDocument
    {60, 161, 475},	// QWebPage::SelectEndOfLine
    {60, 162, 468},	// QWebPage::SelectNextChar
    {60, 163, 472},	// QWebPage::SelectNextLine
    {60, 164, 470},	// QWebPage::SelectNextWord
    {60, 165, 469},	// QWebPage::SelectPreviousChar
    {60, 166, 473},	// QWebPage::SelectPreviousLine
    {60, 167, 471},	// QWebPage::SelectPreviousWord
    {60, 168, 476},	// QWebPage::SelectStartOfBlock
    {60, 169, 478},	// QWebPage::SelectStartOfDocument
    {60, 170, 474},	// QWebPage::SelectStartOfLine
    {60, 172, 482},	// QWebPage::SetTextDirectionDefault
    {60, 173, 483},	// QWebPage::SetTextDirectionLeftToRight
    {60, 174, 484},	// QWebPage::SetTextDirectionRightToLeft
    {60, 178, 449},	// QWebPage::Stop
    {60, 179, 506},	// QWebPage::StopScheduledPageRefresh
    {60, 182, 485},	// QWebPage::ToggleBold
    {60, 183, 486},	// QWebPage::ToggleItalic
    {60, 184, 495},	// QWebPage::ToggleStrikethrough
    {60, 185, 496},	// QWebPage::ToggleSubscript
    {60, 186, 497},	// QWebPage::ToggleSuperscript
    {60, 187, 487},	// QWebPage::ToggleUnderline
    {60, 188, 454},	// QWebPage::Undo
    {60, 191, 508},	// QWebPage::WebActionCount
    {60, 192, 516},	// QWebPage::WebBrowserWindow
    {60, 194, 527},	// QWebPage::WebKit
    {60, 195, 517},	// QWebPage::WebModalDialog
    {60, 208, 417},	// QWebPage::acceptNavigationRequest##$
    {60, 210, 358},	// QWebPage::action$
    {60, 232, 409},	// QWebPage::applicationCacheQuotaExceeded#$
    {60, 250, 354},	// QWebPage::bytesReceived
    {60, 258, 418},	// QWebPage::chooseFile#$
    {60, 274, 407},	// QWebPage::contentsChanged
    {60, 284, 416},	// QWebPage::createPlugin$#??
    {60, 285, 380},	// QWebPage::createStandardContextMenu
    {60, 287, 415},	// QWebPage::createWindow$
    {60, 288, 341},	// QWebPage::currentFrame
    {60, 294, 408},	// QWebPage::databaseQuotaExceeded#$
    {60, 308, 405},	// QWebPage::downloadRequested#
    {60, 336, 366},	// QWebPage::event#
    {60, 340, 429},	// QWebPage::extension$
    {60, 341, 430},	// QWebPage::extension$#
    {60, 342, 384},	// QWebPage::extension$##
    {60, 344, 414},	// QWebPage::featurePermissionRequestCanceled#$
    {60, 346, 413},	// QWebPage::featurePermissionRequested#$
    {60, 359, 428},	// QWebPage::findText$
    {60, 360, 369},	// QWebPage::findText$$
    {60, 366, 367},	// QWebPage::focusNextPrevChild$
    {60, 378, 371},	// QWebPage::forwardUnsupportedContent
    {60, 381, 342},	// QWebPage::frameAt#
    {60, 383, 394},	// QWebPage::frameCreated#
    {60, 387, 395},	// QWebPage::geometryChangeRequested#
    {60, 391, 386},	// QWebPage::handle
    {60, 400, 355},	// QWebPage::hasSelection
    {60, 404, 343},	// QWebPage::history
    {60, 421, 368},	// QWebPage::inputMethodQuery$
    {60, 422, 377},	// QWebPage::isContentEditable
    {60, 424, 347},	// QWebPage::isModified
    {60, 435, 419},	// QWebPage::javaScriptAlert#$
    {60, 437, 420},	// QWebPage::javaScriptConfirm#$
    {60, 439, 422},	// QWebPage::javaScriptConsoleMessage$$$
    {60, 441, 421},	// QWebPage::javaScriptPrompt#$$$
    {60, 453, 400},	// QWebPage::linkClicked#
    {60, 454, 373},	// QWebPage::linkDelegationPolicy
    {60, 457, 391},	// QWebPage::linkHovered$$$
    {60, 467, 390},	// QWebPage::loadFinished$
    {60, 469, 389},	// QWebPage::loadProgress$
    {60, 470, 388},	// QWebPage::loadStarted
    {60, 474, 340},	// QWebPage::mainFrame
    {60, 479, 403},	// QWebPage::menuBarVisibilityChangeRequested$
    {60, 481, 332},	// QWebPage::metaObject
    {60, 483, 406},	// QWebPage::microFocusChanged
    {60, 498, 350},	// QWebPage::networkAccessManager
    {60, 545, 375},	// QWebPage::palette
    {60, 550, 352},	// QWebPage::pluginFactory
    {60, 554, 363},	// QWebPage::preferredContentsSize
    {60, 566, 399},	// QWebPage::printRequested#
    {60, 569, 338},	// QWebPage::qt_metacall$$?
    {60, 571, 333},	// QWebPage::qt_metacast$
    {60, 595, 396},	// QWebPage::repaintRequested#
    {60, 609, 411},	// QWebPage::restoreFrameStateRequested#
    {60, 611, 410},	// QWebPage::saveFrameStateRequested##
    {60, 627, 397},	// QWebPage::scrollRequested$$#
    {60, 631, 357},	// QWebPage::selectedHtml
    {60, 632, 356},	// QWebPage::selectedText
    {60, 633, 393},	// QWebPage::selectionChanged
    {60, 635, 365},	// QWebPage::setActualVisibleContentRect#
    {60, 649, 376},	// QWebPage::setContentEditable$
    {60, 669, 381},	// QWebPage::setFeaturePermission#$$
    {60, 680, 370},	// QWebPage::setForwardUnsupportedContent$
    {60, 691, 372},	// QWebPage::setLinkDelegationPolicy$
    {60, 703, 349},	// QWebPage::setNetworkAccessManager#
    {60, 719, 374},	// QWebPage::setPalette#
    {60, 725, 351},	// QWebPage::setPluginFactory#
    {60, 727, 364},	// QWebPage::setPreferredContentsSize#
    {60, 752, 345},	// QWebPage::setView#
    {60, 754, 361},	// QWebPage::setViewportSize#
    {60, 760, 344},	// QWebPage::settings
    {60, 761, 387},	// QWebPage::shouldInterruptJavaScript
    {60, 766, 431},	// QWebPage::staticMetaObject
    {60, 768, 392},	// QWebPage::statusBarMessage$
    {60, 770, 402},	// QWebPage::statusBarVisibilityChangeRequested$
    {60, 776, 382},	// QWebPage::supportedContentTypes
    {60, 778, 383},	// QWebPage::supportsContentType$
    {60, 780, 385},	// QWebPage::supportsExtension$
    {60, 782, 378},	// QWebPage::swallowContextMenuEvent#
    {60, 801, 401},	// QWebPage::toolBarVisibilityChangeRequested$
    {60, 802, 353},	// QWebPage::totalBytes
    {60, 804, 424},	// QWebPage::tr$
    {60, 805, 334},	// QWebPage::tr$$
    {60, 806, 336},	// QWebPage::tr$$$
    {60, 808, 425},	// QWebPage::trUtf8$
    {60, 809, 335},	// QWebPage::trUtf8$$
    {60, 810, 337},	// QWebPage::trUtf8$$$
    {60, 812, 427},	// QWebPage::triggerAction$
    {60, 813, 359},	// QWebPage::triggerAction$$
    {60, 817, 348},	// QWebPage::undoStack
    {60, 819, 404},	// QWebPage::unsupportedContent#
    {60, 821, 379},	// QWebPage::updatePositionDependentActions#
    {60, 826, 423},	// QWebPage::userAgentForUrl#
    {60, 829, 346},	// QWebPage::view
    {60, 831, 362},	// QWebPage::viewportAttributesForSize#
    {60, 832, 412},	// QWebPage::viewportChangeRequested
    {60, 833, 360},	// QWebPage::viewportSize
    {60, 840, 398},	// QWebPage::windowCloseRequested
    {60, 858, 528},	// QWebPage::~QWebPage
    {61, 11, 529},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption
    {61, 12, 530},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption#
    {61, 548, 531},	// QWebPage::ChooseMultipleFilesExtensionOption::parentFrame
    {61, 721, 532},	// QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame#
    {61, 742, 534},	// QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames?
    {61, 775, 533},	// QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames
    {61, 843, 535},	// QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption
    {62, 13, 536},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn
    {62, 14, 537},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn#
    {62, 349, 538},	// QWebPage::ChooseMultipleFilesExtensionReturn::fileNames
    {62, 673, 539},	// QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames?
    {62, 844, 540},	// QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn
    {63, 39, 541},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption
    {63, 40, 542},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption#
    {63, 306, 547},	// QWebPage::ErrorPageExtensionOption::domain
    {63, 331, 549},	// QWebPage::ErrorPageExtensionOption::error
    {63, 332, 551},	// QWebPage::ErrorPageExtensionOption::errorString
    {63, 379, 545},	// QWebPage::ErrorPageExtensionOption::frame
    {63, 661, 548},	// QWebPage::ErrorPageExtensionOption::setDomain$
    {63, 665, 550},	// QWebPage::ErrorPageExtensionOption::setError$
    {63, 667, 552},	// QWebPage::ErrorPageExtensionOption::setErrorString$
    {63, 682, 546},	// QWebPage::ErrorPageExtensionOption::setFrame#
    {63, 746, 544},	// QWebPage::ErrorPageExtensionOption::setUrl#
    {63, 822, 543},	// QWebPage::ErrorPageExtensionOption::url
    {63, 845, 553},	// QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption
    {64, 41, 554},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn
    {64, 42, 555},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn#
    {64, 247, 560},	// QWebPage::ErrorPageExtensionReturn::baseUrl
    {64, 272, 562},	// QWebPage::ErrorPageExtensionReturn::content
    {64, 273, 556},	// QWebPage::ErrorPageExtensionReturn::contentType
    {64, 328, 558},	// QWebPage::ErrorPageExtensionReturn::encoding
    {64, 643, 561},	// QWebPage::ErrorPageExtensionReturn::setBaseUrl#
    {64, 645, 563},	// QWebPage::ErrorPageExtensionReturn::setContent#
    {64, 651, 557},	// QWebPage::ErrorPageExtensionReturn::setContentType$
    {64, 663, 559},	// QWebPage::ErrorPageExtensionReturn::setEncoding$
    {64, 846, 564},	// QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn
    {65, 43, 565},	// QWebPage::ExtensionOption::ExtensionOption
    {65, 44, 566},	// QWebPage::ExtensionOption::ExtensionOption#
    {65, 847, 567},	// QWebPage::ExtensionOption::~ExtensionOption
    {66, 45, 568},	// QWebPage::ExtensionReturn::ExtensionReturn
    {66, 46, 569},	// QWebPage::ExtensionReturn::ExtensionReturn#
    {66, 848, 570},	// QWebPage::ExtensionReturn::~ExtensionReturn
    {67, 189, 571},	// QWebPage::ViewportAttributes::ViewportAttributes
    {67, 190, 572},	// QWebPage::ViewportAttributes::ViewportAttributes#
    {67, 301, 577},	// QWebPage::ViewportAttributes::devicePixelRatio
    {67, 417, 574},	// QWebPage::ViewportAttributes::initialScaleFactor
    {67, 426, 578},	// QWebPage::ViewportAttributes::isUserScalable
    {67, 427, 579},	// QWebPage::ViewportAttributes::isValid
    {67, 477, 576},	// QWebPage::ViewportAttributes::maximumScaleFactor
    {67, 485, 575},	// QWebPage::ViewportAttributes::minimumScaleFactor
    {67, 527, 573},	// QWebPage::ViewportAttributes::operator=#
    {67, 764, 580},	// QWebPage::ViewportAttributes::size
    {67, 862, 581},	// QWebPage::ViewportAttributes::~ViewportAttributes
    {69, 138, 597},	// QWebPluginFactory::QWebPluginFactory
    {69, 139, 589},	// QWebPluginFactory::QWebPluginFactory#
    {69, 282, 592},	// QWebPluginFactory::create$#??
    {69, 340, 598},	// QWebPluginFactory::extension$
    {69, 341, 599},	// QWebPluginFactory::extension$#
    {69, 342, 593},	// QWebPluginFactory::extension$##
    {69, 481, 582},	// QWebPluginFactory::metaObject
    {69, 551, 590},	// QWebPluginFactory::plugins
    {69, 569, 588},	// QWebPluginFactory::qt_metacall$$?
    {69, 571, 583},	// QWebPluginFactory::qt_metacast$
    {69, 572, 591},	// QWebPluginFactory::refreshPlugins
    {69, 766, 600},	// QWebPluginFactory::staticMetaObject
    {69, 780, 594},	// QWebPluginFactory::supportsExtension$
    {69, 804, 595},	// QWebPluginFactory::tr$
    {69, 805, 584},	// QWebPluginFactory::tr$$
    {69, 806, 586},	// QWebPluginFactory::tr$$$
    {69, 808, 596},	// QWebPluginFactory::trUtf8$
    {69, 809, 585},	// QWebPluginFactory::trUtf8$$
    {69, 810, 587},	// QWebPluginFactory::trUtf8$$$
    {69, 859, 601},	// QWebPluginFactory::~QWebPluginFactory
    {70, 43, 602},	// QWebPluginFactory::ExtensionOption::ExtensionOption
    {70, 44, 603},	// QWebPluginFactory::ExtensionOption::ExtensionOption#
    {70, 847, 604},	// QWebPluginFactory::ExtensionOption::~ExtensionOption
    {71, 45, 605},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn
    {71, 46, 606},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn#
    {71, 848, 607},	// QWebPluginFactory::ExtensionReturn::~ExtensionReturn
    {72, 77, 610},	// QWebPluginFactory::MimeType::MimeType
    {72, 78, 611},	// QWebPluginFactory::MimeType::MimeType#
    {72, 299, 614},	// QWebPluginFactory::MimeType::description
    {72, 347, 616},	// QWebPluginFactory::MimeType::fileExtensions
    {72, 496, 612},	// QWebPluginFactory::MimeType::name
    {72, 505, 609},	// QWebPluginFactory::MimeType::operator!=#
    {72, 529, 608},	// QWebPluginFactory::MimeType::operator==#
    {72, 659, 615},	// QWebPluginFactory::MimeType::setDescription$
    {72, 671, 617},	// QWebPluginFactory::MimeType::setFileExtensions?
    {72, 701, 613},	// QWebPluginFactory::MimeType::setName$
    {72, 849, 618},	// QWebPluginFactory::MimeType::~MimeType
    {73, 116, 619},	// QWebPluginFactory::Plugin::Plugin
    {73, 117, 620},	// QWebPluginFactory::Plugin::Plugin#
    {73, 299, 623},	// QWebPluginFactory::Plugin::description
    {73, 484, 625},	// QWebPluginFactory::Plugin::mimeTypes
    {73, 496, 621},	// QWebPluginFactory::Plugin::name
    {73, 659, 624},	// QWebPluginFactory::Plugin::setDescription$
    {73, 699, 626},	// QWebPluginFactory::Plugin::setMimeTypes?
    {73, 701, 622},	// QWebPluginFactory::Plugin::setName$
    {73, 850, 627},	// QWebPluginFactory::Plugin::~Plugin
    {74, 141, 640},	// QWebSecurityOrigin::QWebSecurityOrigin#
    {74, 217, 629},	// QWebSecurityOrigin::addLocalScheme$
    {74, 221, 628},	// QWebSecurityOrigin::allOrigins
    {74, 292, 636},	// QWebSecurityOrigin::databaseQuota
    {74, 295, 635},	// QWebSecurityOrigin::databaseUsage
    {74, 296, 639},	// QWebSecurityOrigin::databases
    {74, 409, 633},	// QWebSecurityOrigin::host
    {74, 472, 631},	// QWebSecurityOrigin::localSchemes
    {74, 527, 641},	// QWebSecurityOrigin::operator=#
    {74, 552, 634},	// QWebSecurityOrigin::port
    {74, 586, 630},	// QWebSecurityOrigin::removeLocalScheme$
    {74, 612, 632},	// QWebSecurityOrigin::scheme
    {74, 637, 638},	// QWebSecurityOrigin::setApplicationCacheQuota$
    {74, 653, 637},	// QWebSecurityOrigin::setDatabaseQuota$
    {74, 860, 642},	// QWebSecurityOrigin::~QWebSecurityOrigin
    {75, 1, 704},	// QWebSettings::AcceleratedCompositingEnabled
    {75, 7, 686},	// QWebSettings::AutoLoadImages
    {75, 21, 684},	// QWebSettings::CursiveFont
    {75, 23, 724},	// QWebSettings::DefaultFixedFontSize
    {75, 24, 723},	// QWebSettings::DefaultFontSize
    {75, 25, 715},	// QWebSettings::DefaultFrameIconGraphic
    {75, 28, 717},	// QWebSettings::DeleteButtonGraphic
    {75, 31, 693},	// QWebSettings::DeveloperExtrasEnabled
    {75, 32, 702},	// QWebSettings::DnsPrefetchEnabled
    {75, 47, 685},	// QWebSettings::FantasyFont
    {75, 51, 681},	// QWebSettings::FixedFont
    {75, 53, 708},	// QWebSettings::FrameFlatteningEnabled
    {75, 57, 712},	// QWebSettings::HyperlinkAuditingEnabled
    {75, 61, 718},	// QWebSettings::InputSpeechButtonGraphic
    {75, 67, 688},	// QWebSettings::JavaEnabled
    {75, 68, 692},	// QWebSettings::JavascriptCanAccessClipboard
    {75, 69, 710},	// QWebSettings::JavascriptCanCloseWindows
    {75, 70, 691},	// QWebSettings::JavascriptCanOpenWindows
    {75, 71, 687},	// QWebSettings::JavascriptEnabled
    {75, 72, 694},	// QWebSettings::LinksIncludedInFocusChain
    {75, 73, 706},	// QWebSettings::LocalContentCanAccessFileUrls
    {75, 74, 701},	// QWebSettings::LocalContentCanAccessRemoteUrls
    {75, 75, 700},	// QWebSettings::LocalStorageDatabaseEnabled
    {75, 76, 699},	// QWebSettings::LocalStorageEnabled
    {75, 79, 721},	// QWebSettings::MinimumFontSize
    {75, 80, 722},	// QWebSettings::MinimumLogicalFontSize
    {75, 81, 713},	// QWebSettings::MissingImageGraphic
    {75, 82, 714},	// QWebSettings::MissingPluginGraphic
    {75, 103, 697},	// QWebSettings::OfflineStorageDatabaseEnabled
    {75, 104, 698},	// QWebSettings::OfflineWebApplicationCacheEnabled
    {75, 118, 689},	// QWebSettings::PluginsEnabled
    {75, 119, 696},	// QWebSettings::PrintElementBackgrounds
    {75, 120, 690},	// QWebSettings::PrivateBrowsingEnabled
    {75, 154, 683},	// QWebSettings::SansSerifFont
    {75, 156, 719},	// QWebSettings::SearchCancelButtonGraphic
    {75, 157, 720},	// QWebSettings::SearchCancelButtonPressedGraphic
    {75, 171, 682},	// QWebSettings::SerifFont
    {75, 175, 709},	// QWebSettings::SiteSpecificQuirksEnabled
    {75, 176, 705},	// QWebSettings::SpatialNavigationEnabled
    {75, 177, 680},	// QWebSettings::StandardFont
    {75, 180, 716},	// QWebSettings::TextAreaSizeGripCornerGraphic
    {75, 181, 707},	// QWebSettings::TiledBackingStoreEnabled
    {75, 193, 711},	// QWebSettings::WebGLEnabled
    {75, 196, 703},	// QWebSettings::XSSAuditingEnabled
    {75, 197, 695},	// QWebSettings::ZoomTextOnly
    {75, 261, 659},	// QWebSettings::clearIconDatabase
    {75, 262, 676},	// QWebSettings::clearMemoryCaches
    {75, 298, 656},	// QWebSettings::defaultTextEncoding
    {75, 318, 679},	// QWebSettings::enablePersistentStorage
    {75, 319, 677},	// QWebSettings::enablePersistentStorage$
    {75, 371, 645},	// QWebSettings::fontFamily$
    {75, 373, 648},	// QWebSettings::fontSize$
    {75, 388, 643},	// QWebSettings::globalSettings
    {75, 391, 678},	// QWebSettings::handle
    {75, 412, 658},	// QWebSettings::iconDatabasePath
    {75, 414, 660},	// QWebSettings::iconForUrl#
    {75, 473, 675},	// QWebSettings::localStoragePath
    {75, 476, 664},	// QWebSettings::maximumPagesInCache
    {75, 500, 669},	// QWebSettings::offlineStorageDefaultQuota
    {75, 501, 667},	// QWebSettings::offlineStoragePath
    {75, 502, 671},	// QWebSettings::offlineWebApplicationCachePath
    {75, 503, 673},	// QWebSettings::offlineWebApplicationCacheQuota
    {75, 601, 652},	// QWebSettings::resetAttribute$
    {75, 603, 646},	// QWebSettings::resetFontFamily$
    {75, 605, 649},	// QWebSettings::resetFontSize$
    {75, 639, 650},	// QWebSettings::setAttribute$$
    {75, 657, 655},	// QWebSettings::setDefaultTextEncoding$
    {75, 676, 644},	// QWebSettings::setFontFamily$$
    {75, 678, 647},	// QWebSettings::setFontSize$$
    {75, 687, 657},	// QWebSettings::setIconDatabasePath$
    {75, 693, 674},	// QWebSettings::setLocalStoragePath$
    {75, 697, 663},	// QWebSettings::setMaximumPagesInCache$
    {75, 705, 665},	// QWebSettings::setObjectCacheCapacities$$$
    {75, 707, 668},	// QWebSettings::setOfflineStorageDefaultQuota$
    {75, 709, 666},	// QWebSettings::setOfflineStoragePath$
    {75, 711, 670},	// QWebSettings::setOfflineWebApplicationCachePath$
    {75, 713, 672},	// QWebSettings::setOfflineWebApplicationCacheQuota$
    {75, 750, 653},	// QWebSettings::setUserStyleSheetUrl#
    {75, 757, 661},	// QWebSettings::setWebGraphic$#
    {75, 787, 651},	// QWebSettings::testAttribute$
    {75, 828, 654},	// QWebSettings::userStyleSheetUrl
    {75, 836, 662},	// QWebSettings::webGraphic$
    {77, 142, 798},	// QWebView::QWebView
    {77, 143, 732},	// QWebView::QWebView#
    {77, 243, 763},	// QWebView::back
    {77, 254, 779},	// QWebView::changeEvent#
    {77, 279, 784},	// QWebView::contextMenuEvent#
    {77, 287, 778},	// QWebView::createWindow$
    {77, 310, 788},	// QWebView::dragEnterEvent#
    {77, 312, 789},	// QWebView::dragLeaveEvent#
    {77, 314, 790},	// QWebView::dragMoveEvent#
    {77, 316, 791},	// QWebView::dropEvent#
    {77, 336, 761},	// QWebView::event#
    {77, 359, 806},	// QWebView::findText$
    {77, 360, 760},	// QWebView::findText$$
    {77, 364, 792},	// QWebView::focusInEvent#
    {77, 366, 795},	// QWebView::focusNextPrevChild$
    {77, 368, 793},	// QWebView::focusOutEvent#
    {77, 374, 764},	// QWebView::forward
    {77, 400, 745},	// QWebView::hasSelection
    {77, 404, 739},	// QWebView::history
    {77, 410, 744},	// QWebView::icon
    {77, 411, 774},	// QWebView::iconChanged
    {77, 419, 794},	// QWebView::inputMethodEvent#
    {77, 421, 751},	// QWebView::inputMethodQuery$
    {77, 424, 750},	// QWebView::isModified
    {77, 444, 786},	// QWebView::keyPressEvent#
    {77, 446, 787},	// QWebView::keyReleaseEvent#
    {77, 453, 772},	// QWebView::linkClicked#
    {77, 463, -7},	// QWebView::load#
    {77, 464, 800},	// QWebView::load#$
    {77, 465, 736},	// QWebView::load#$#
    {77, 467, 769},	// QWebView::loadFinished$
    {77, 469, 768},	// QWebView::loadProgress$
    {77, 470, 767},	// QWebView::loadStarted
    {77, 481, 725},	// QWebView::metaObject
    {77, 488, 782},	// QWebView::mouseDoubleClickEvent#
    {77, 490, 780},	// QWebView::mouseMoveEvent#
    {77, 492, 781},	// QWebView::mousePressEvent#
    {77, 494, 783},	// QWebView::mouseReleaseEvent#
    {77, 538, 733},	// QWebView::page
    {77, 540, 748},	// QWebView::pageAction$
    {77, 544, 777},	// QWebView::paintEvent#
    {77, 564, 766},	// QWebView::print#
    {77, 569, 731},	// QWebView::qt_metacall$$?
    {77, 571, 726},	// QWebView::qt_metacast$
    {77, 573, 765},	// QWebView::reload
    {77, 592, 757},	// QWebView::renderHints
    {77, 607, 776},	// QWebView::resizeEvent#
    {77, 631, 747},	// QWebView::selectedHtml
    {77, 632, 746},	// QWebView::selectedText
    {77, 633, 773},	// QWebView::selectionChanged
    {77, 645, 802},	// QWebView::setContent#
    {77, 646, 803},	// QWebView::setContent#$
    {77, 647, 738},	// QWebView::setContent#$#
    {77, 684, 801},	// QWebView::setHtml$
    {77, 685, 737},	// QWebView::setHtml$#
    {77, 717, 734},	// QWebView::setPage#
    {77, 729, 805},	// QWebView::setRenderHint$
    {77, 730, 759},	// QWebView::setRenderHint$$
    {77, 732, 758},	// QWebView::setRenderHints$
    {77, 744, 755},	// QWebView::setTextSizeMultiplier$
    {77, 746, 742},	// QWebView::setUrl#
    {77, 759, 754},	// QWebView::setZoomFactor$
    {77, 760, 740},	// QWebView::settings
    {77, 765, 752},	// QWebView::sizeHint
    {77, 766, 807},	// QWebView::staticMetaObject
    {77, 768, 771},	// QWebView::statusBarMessage$
    {77, 771, 762},	// QWebView::stop
    {77, 788, 756},	// QWebView::textSizeMultiplier
    {77, 790, 741},	// QWebView::title
    {77, 792, 770},	// QWebView::titleChanged$
    {77, 804, 796},	// QWebView::tr$
    {77, 805, 727},	// QWebView::tr$$
    {77, 806, 729},	// QWebView::tr$$$
    {77, 808, 797},	// QWebView::trUtf8$
    {77, 809, 728},	// QWebView::trUtf8$$
    {77, 810, 730},	// QWebView::trUtf8$$$
    {77, 815, 804},	// QWebView::triggerPageAction$
    {77, 816, 749},	// QWebView::triggerPageAction$$
    {77, 822, 743},	// QWebView::url
    {77, 824, 775},	// QWebView::urlChanged#
    {77, 838, 785},	// QWebView::wheelEvent#
    {77, 842, 753},	// QWebView::zoomFactor
    {77, 861, 808},	// QWebView::~QWebView
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtwebkit_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtwebkit_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtwebkit_Smoke = new Smoke(
        "qtwebkit",
        __smokeqtwebkit::classes, 81,
        __smokeqtwebkit::methods, 849,
        __smokeqtwebkit::methodMaps, 798,
        __smokeqtwebkit::methodNames, 864,
        __smokeqtwebkit::types, 273,
        __smokeqtwebkit::inheritanceList,
        __smokeqtwebkit::argumentList,
        __smokeqtwebkit::ambiguousMethodList,
        __smokeqtwebkit::cast );
    initialized = true;
}

void delete_qtwebkit_Smoke() { delete qtwebkit_Smoke; }

}
