#include <qtxml_includes.h>

#include <smoke.h>
#include <qtxml_smoke.h>

namespace __smokeqtxml {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBitArray
      switch(to) {
        case 1: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 2:   //QBool
      switch(to) {
        case 2: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 3:   //QByteArray
      switch(to) {
        case 3: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 4:   //QChar
      switch(to) {
        case 4: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 5:   //QDataStream
      switch(to) {
        case 5: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 6:   //QDate
      switch(to) {
        case 6: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 7:   //QDateTime
      switch(to) {
        case 7: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 8:   //QDebug
      switch(to) {
        case 8: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 9:   //QDir
      switch(to) {
        case 9: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 10:   //QDomAttr
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomAttr*)xptr;
        case 10: return (void*)(QDomAttr*)xptr;
        default: return xptr;
      }
    case 11:   //QDomCDATASection
      switch(to) {
        case 27: return (void*)(QDomText*)(QDomCDATASection*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomCDATASection*)xptr;
        case 22: return (void*)(QDomNode*)(QDomCDATASection*)xptr;
        case 11: return (void*)(QDomCDATASection*)xptr;
        default: return xptr;
      }
    case 12:   //QDomCharacterData
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomCharacterData*)xptr;
        case 12: return (void*)(QDomCharacterData*)xptr;
        case 27: return (void*)(QDomText*)(QDomCharacterData*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomCharacterData*)xptr;
        case 13: return (void*)(QDomComment*)(QDomCharacterData*)xptr;
        default: return xptr;
      }
    case 13:   //QDomComment
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomComment*)xptr;
        case 22: return (void*)(QDomNode*)(QDomComment*)xptr;
        case 13: return (void*)(QDomComment*)xptr;
        default: return xptr;
      }
    case 14:   //QDomDocument
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 14: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 15:   //QDomDocumentFragment
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentFragment*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)xptr;
        default: return xptr;
      }
    case 16:   //QDomDocumentType
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentType*)xptr;
        case 16: return (void*)(QDomDocumentType*)xptr;
        default: return xptr;
      }
    case 17:   //QDomElement
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 17: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 18:   //QDomEntity
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntity*)xptr;
        case 18: return (void*)(QDomEntity*)xptr;
        default: return xptr;
      }
    case 19:   //QDomEntityReference
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntityReference*)xptr;
        case 19: return (void*)(QDomEntityReference*)xptr;
        default: return xptr;
      }
    case 20:   //QDomImplementation
      switch(to) {
        case 20: return (void*)(QDomImplementation*)xptr;
        default: return xptr;
      }
    case 21:   //QDomNamedNodeMap
      switch(to) {
        case 21: return (void*)(QDomNamedNodeMap*)xptr;
        default: return xptr;
      }
    case 22:   //QDomNode
      switch(to) {
        case 22: return (void*)(QDomNode*)xptr;
        case 27: return (void*)(QDomText*)(QDomNode*)xptr;
        case 25: return (void*)(QDomNotation*)(QDomNode*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)(QDomNode*)xptr;
        case 17: return (void*)(QDomElement*)(QDomNode*)xptr;
        case 10: return (void*)(QDomAttr*)(QDomNode*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomNode*)xptr;
        case 18: return (void*)(QDomEntity*)(QDomNode*)xptr;
        case 16: return (void*)(QDomDocumentType*)(QDomNode*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomNode*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)(QDomNode*)xptr;
        case 13: return (void*)(QDomComment*)(QDomNode*)xptr;
        case 19: return (void*)(QDomEntityReference*)(QDomNode*)xptr;
        case 14: return (void*)(QDomDocument*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 23:   //QDomNodeList
      switch(to) {
        case 23: return (void*)(QDomNodeList*)xptr;
        default: return xptr;
      }
    case 24:   //QDomNodePrivate
      switch(to) {
        case 24: return (void*)(QDomNodePrivate*)xptr;
        default: return xptr;
      }
    case 25:   //QDomNotation
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomNotation*)xptr;
        case 25: return (void*)(QDomNotation*)xptr;
        default: return xptr;
      }
    case 26:   //QDomProcessingInstruction
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomProcessingInstruction*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)xptr;
        default: return xptr;
      }
    case 27:   //QDomText
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomText*)xptr;
        case 22: return (void*)(QDomNode*)(QDomText*)xptr;
        case 27: return (void*)(QDomText*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomText*)xptr;
        default: return xptr;
      }
    case 28:   //QEasingCurve
      switch(to) {
        case 28: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 30:   //QHashDummyValue
      switch(to) {
        case 30: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 31:   //QIODevice
      switch(to) {
        case 40: return (void*)(QObject*)(QIODevice*)xptr;
        case 31: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 32:   //QIncompatibleFlag
      switch(to) {
        case 32: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 33:   //QLatin1String
      switch(to) {
        case 33: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 34:   //QLine
      switch(to) {
        case 34: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 35:   //QLineF
      switch(to) {
        case 35: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 36:   //QLocale
      switch(to) {
        case 36: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 37:   //QMargins
      switch(to) {
        case 37: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 38:   //QMetaObject
      switch(to) {
        case 38: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 39:   //QModelIndex
      switch(to) {
        case 39: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 40:   //QObject
      switch(to) {
        case 40: return (void*)(QObject*)xptr;
        default: return xptr;
      }
    case 41:   //QPersistentModelIndex
      switch(to) {
        case 41: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 42:   //QPoint
      switch(to) {
        case 42: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 43:   //QPointF
      switch(to) {
        case 43: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 44:   //QRect
      switch(to) {
        case 44: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 45:   //QRectF
      switch(to) {
        case 45: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 46:   //QRegExp
      switch(to) {
        case 46: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 47:   //QSize
      switch(to) {
        case 47: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 48:   //QSizeF
      switch(to) {
        case 48: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 49:   //QString::Null
      switch(to) {
        case 49: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 50:   //QStringRef
      switch(to) {
        case 50: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 51:   //QTextCodec
      switch(to) {
        case 51: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 52:   //QTextStream
      switch(to) {
        case 52: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 53:   //QTextStreamManipulator
      switch(to) {
        case 53: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 54:   //QTime
      switch(to) {
        case 54: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 55:   //QUrl
      switch(to) {
        case 55: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 56:   //QUuid
      switch(to) {
        case 56: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 57:   //QVariant
      switch(to) {
        case 57: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 58:   //QVariantComparisonHelper
      switch(to) {
        case 58: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 59:   //QXmlAttributes
      switch(to) {
        case 59: return (void*)(QXmlAttributes*)xptr;
        default: return xptr;
      }
    case 60:   //QXmlContentHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlContentHandler*)xptr;
        default: return xptr;
      }
    case 61:   //QXmlDTDHandler
      switch(to) {
        case 61: return (void*)(QXmlDTDHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDTDHandler*)xptr;
        default: return xptr;
      }
    case 62:   //QXmlDeclHandler
      switch(to) {
        case 62: return (void*)(QXmlDeclHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDeclHandler*)xptr;
        default: return xptr;
      }
    case 63:   //QXmlDefaultHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)(QXmlDefaultHandler*)xptr;
        case 65: return (void*)(QXmlErrorHandler*)(QXmlDefaultHandler*)xptr;
        case 61: return (void*)(QXmlDTDHandler*)(QXmlDefaultHandler*)xptr;
        case 64: return (void*)(QXmlEntityResolver*)(QXmlDefaultHandler*)xptr;
        case 67: return (void*)(QXmlLexicalHandler*)(QXmlDefaultHandler*)xptr;
        case 62: return (void*)(QXmlDeclHandler*)(QXmlDefaultHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)xptr;
        default: return xptr;
      }
    case 64:   //QXmlEntityResolver
      switch(to) {
        case 64: return (void*)(QXmlEntityResolver*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlEntityResolver*)xptr;
        default: return xptr;
      }
    case 65:   //QXmlErrorHandler
      switch(to) {
        case 65: return (void*)(QXmlErrorHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlErrorHandler*)xptr;
        default: return xptr;
      }
    case 66:   //QXmlInputSource
      switch(to) {
        case 66: return (void*)(QXmlInputSource*)xptr;
        default: return xptr;
      }
    case 67:   //QXmlLexicalHandler
      switch(to) {
        case 67: return (void*)(QXmlLexicalHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlLexicalHandler*)xptr;
        default: return xptr;
      }
    case 68:   //QXmlLocator
      switch(to) {
        case 68: return (void*)(QXmlLocator*)xptr;
        default: return xptr;
      }
    case 69:   //QXmlNamespaceSupport
      switch(to) {
        case 69: return (void*)(QXmlNamespaceSupport*)xptr;
        default: return xptr;
      }
    case 70:   //QXmlParseException
      switch(to) {
        case 70: return (void*)(QXmlParseException*)xptr;
        default: return xptr;
      }
    case 71:   //QXmlReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)(QXmlReader*)xptr;
        default: return xptr;
      }
    case 72:   //QXmlSimpleReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)(QXmlSimpleReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)xptr;
        default: return xptr;
      }
    case 73:   //QXmlStreamAttribute
      switch(to) {
        case 73: return (void*)(QXmlStreamAttribute*)xptr;
        default: return xptr;
      }
    case 74:   //QXmlStreamAttributes
      switch(to) {
        case 74: return (void*)(QXmlStreamAttributes*)xptr;
        default: return xptr;
      }
    case 75:   //QXmlStreamReader
      switch(to) {
        case 75: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    case 76:   //QXmlStreamWriter
      switch(to) {
        case 76: return (void*)(QXmlStreamWriter*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    22, 0,	// 1: QDomNode
    27, 0,	// 3: QDomText
    12, 0,	// 5: QDomCharacterData
    60, 65, 61, 64, 67, 62, 0,	// 7: QXmlContentHandler, QXmlErrorHandler, QXmlDTDHandler, QXmlEntityResolver, QXmlLexicalHandler, QXmlDeclHandler
    71, 0,	// 14: QXmlReader
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomImplementation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomNode(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDomAttr(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCDATASection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCharacterData(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomComment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentFragment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntityReference(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomImplementation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNamedNodeMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNode(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNodeList(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNotation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomProcessingInstruction(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomText(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlAttributes(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlContentHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDTDHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDeclHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDefaultHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlEntityResolver(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlErrorHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlInputSource(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLexicalHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLocator(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlNamespaceSupport(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlParseException(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlSimpleReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlStreamWriter(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//1
    { "QBool", true, 0, 0, 0, 0, 0 },	//2
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//3
    { "QChar", true, 0, 0, 0, 0, 0 },	//4
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//5
    { "QDate", true, 0, 0, 0, 0, 0 },	//6
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//7
    { "QDebug", true, 0, 0, 0, 0, 0 },	//8
    { "QDir", true, 0, 0, 0, 0, 0 },	//9
    { "QDomAttr", false, 1, xcall_QDomAttr, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomAttr) },	//10
    { "QDomCDATASection", false, 3, xcall_QDomCDATASection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCDATASection) },	//11
    { "QDomCharacterData", false, 1, xcall_QDomCharacterData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCharacterData) },	//12
    { "QDomComment", false, 5, xcall_QDomComment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomComment) },	//13
    { "QDomDocument", false, 1, xcall_QDomDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocument) },	//14
    { "QDomDocumentFragment", false, 1, xcall_QDomDocumentFragment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentFragment) },	//15
    { "QDomDocumentType", false, 1, xcall_QDomDocumentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentType) },	//16
    { "QDomElement", false, 1, xcall_QDomElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomElement) },	//17
    { "QDomEntity", false, 1, xcall_QDomEntity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntity) },	//18
    { "QDomEntityReference", false, 1, xcall_QDomEntityReference, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntityReference) },	//19
    { "QDomImplementation", false, 0, xcall_QDomImplementation, xenum_QDomImplementation, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomImplementation) },	//20
    { "QDomNamedNodeMap", false, 0, xcall_QDomNamedNodeMap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNamedNodeMap) },	//21
    { "QDomNode", false, 0, xcall_QDomNode, xenum_QDomNode, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNode) },	//22
    { "QDomNodeList", false, 0, xcall_QDomNodeList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNodeList) },	//23
    { "QDomNodePrivate", true, 0, 0, 0, 0, 0 },	//24
    { "QDomNotation", false, 1, xcall_QDomNotation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNotation) },	//25
    { "QDomProcessingInstruction", false, 1, xcall_QDomProcessingInstruction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomProcessingInstruction) },	//26
    { "QDomText", false, 5, xcall_QDomText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomText) },	//27
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//28
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//29
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//30
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//31
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//32
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//33
    { "QLine", true, 0, 0, 0, 0, 0 },	//34
    { "QLineF", true, 0, 0, 0, 0, 0 },	//35
    { "QLocale", true, 0, 0, 0, 0, 0 },	//36
    { "QMargins", true, 0, 0, 0, 0, 0 },	//37
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//38
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//39
    { "QObject", true, 0, 0, 0, 0, 0 },	//40
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//41
    { "QPoint", true, 0, 0, 0, 0, 0 },	//42
    { "QPointF", true, 0, 0, 0, 0, 0 },	//43
    { "QRect", true, 0, 0, 0, 0, 0 },	//44
    { "QRectF", true, 0, 0, 0, 0, 0 },	//45
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//46
    { "QSize", true, 0, 0, 0, 0, 0 },	//47
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//48
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//49
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//50
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//51
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//52
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//53
    { "QTime", true, 0, 0, 0, 0, 0 },	//54
    { "QUrl", true, 0, 0, 0, 0, 0 },	//55
    { "QUuid", true, 0, 0, 0, 0, 0 },	//56
    { "QVariant", true, 0, 0, 0, 0, 0 },	//57
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//58
    { "QXmlAttributes", false, 0, xcall_QXmlAttributes, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlAttributes) },	//59
    { "QXmlContentHandler", false, 0, xcall_QXmlContentHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlContentHandler) },	//60
    { "QXmlDTDHandler", false, 0, xcall_QXmlDTDHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDTDHandler) },	//61
    { "QXmlDeclHandler", false, 0, xcall_QXmlDeclHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDeclHandler) },	//62
    { "QXmlDefaultHandler", false, 7, xcall_QXmlDefaultHandler, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlDefaultHandler) },	//63
    { "QXmlEntityResolver", false, 0, xcall_QXmlEntityResolver, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlEntityResolver) },	//64
    { "QXmlErrorHandler", false, 0, xcall_QXmlErrorHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlErrorHandler) },	//65
    { "QXmlInputSource", false, 0, xcall_QXmlInputSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlInputSource) },	//66
    { "QXmlLexicalHandler", false, 0, xcall_QXmlLexicalHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLexicalHandler) },	//67
    { "QXmlLocator", false, 0, xcall_QXmlLocator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLocator) },	//68
    { "QXmlNamespaceSupport", false, 0, xcall_QXmlNamespaceSupport, 0, Smoke::cf_constructor, sizeof(QXmlNamespaceSupport) },	//69
    { "QXmlParseException", false, 0, xcall_QXmlParseException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QXmlParseException) },	//70
    { "QXmlReader", false, 0, xcall_QXmlReader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlReader) },	//71
    { "QXmlSimpleReader", false, 14, xcall_QXmlSimpleReader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlSimpleReader) },	//72
    { "QXmlStreamAttribute", true, 0, 0, 0, 0, 0 },	//73
    { "QXmlStreamAttributes", true, 0, 0, 0, 0, 0 },	//74
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//75
    { "QXmlStreamWriter", false, 0, xcall_QXmlStreamWriter, 0, Smoke::cf_constructor, sizeof(QXmlStreamWriter) },	//76
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 1, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 1, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 2, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 3, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 3, Smoke::t_class|Smoke::tf_ref },	//6
    { "QByteArray*", 3, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QChar", 4, Smoke::t_class|Smoke::tf_stack },	//8
    { "QChar&", 4, Smoke::t_class|Smoke::tf_ref },	//9
    { "QDataStream&", 5, Smoke::t_class|Smoke::tf_ref },	//10
    { "QDate&", 6, Smoke::t_class|Smoke::tf_ref },	//11
    { "QDateTime&", 7, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDebug", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "QDir::Filter", 9, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QDir::SortFlag", 9, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QDomAttr", 10, Smoke::t_class|Smoke::tf_stack },	//17
    { "QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref },	//18
    { "QDomAttr*", 10, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QDomCDATASection", 11, Smoke::t_class|Smoke::tf_stack },	//20
    { "QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDomCDATASection*", 11, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QDomCharacterData", 12, Smoke::t_class|Smoke::tf_stack },	//23
    { "QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref },	//24
    { "QDomCharacterData*", 12, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QDomComment", 13, Smoke::t_class|Smoke::tf_stack },	//26
    { "QDomComment&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDomComment*", 13, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QDomDocument", 14, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDomDocument*", 14, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDomDocumentFragment", 15, Smoke::t_class|Smoke::tf_stack },	//32
    { "QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDomDocumentFragment*", 15, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QDomDocumentType", 16, Smoke::t_class|Smoke::tf_stack },	//35
    { "QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref },	//36
    { "QDomDocumentType*", 16, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDomElement", 17, Smoke::t_class|Smoke::tf_stack },	//38
    { "QDomElement&", 17, Smoke::t_class|Smoke::tf_ref },	//39
    { "QDomElement*", 17, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QDomEntity", 18, Smoke::t_class|Smoke::tf_stack },	//41
    { "QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref },	//42
    { "QDomEntity*", 18, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDomEntityReference", 19, Smoke::t_class|Smoke::tf_stack },	//44
    { "QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref },	//45
    { "QDomEntityReference*", 19, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QDomImplementation", 20, Smoke::t_class|Smoke::tf_stack },	//47
    { "QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref },	//48
    { "QDomImplementation*", 20, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDomImplementation::InvalidDataPolicy", 20, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QDomNamedNodeMap", 21, Smoke::t_class|Smoke::tf_stack },	//51
    { "QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref },	//52
    { "QDomNamedNodeMap*", 21, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QDomNode", 22, Smoke::t_class|Smoke::tf_stack },	//54
    { "QDomNode&", 22, Smoke::t_class|Smoke::tf_ref },	//55
    { "QDomNode*", 22, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QDomNode::EncodingPolicy", 22, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QDomNode::NodeType", 22, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QDomNodeList", 23, Smoke::t_class|Smoke::tf_stack },	//59
    { "QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref },	//60
    { "QDomNodeList*", 23, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QDomNodePrivate*", 24, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QDomNotation", 25, Smoke::t_class|Smoke::tf_stack },	//63
    { "QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref },	//64
    { "QDomNotation*", 25, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QDomProcessingInstruction", 26, Smoke::t_class|Smoke::tf_stack },	//66
    { "QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref },	//67
    { "QDomProcessingInstruction*", 26, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QDomText", 27, Smoke::t_class|Smoke::tf_stack },	//69
    { "QDomText&", 27, Smoke::t_class|Smoke::tf_ref },	//70
    { "QDomText*", 27, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref },	//72
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QIODevice*", 31, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QIODevice::OpenModeFlag", 31, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QIncompatibleFlag", 32, Smoke::t_class|Smoke::tf_stack },	//106
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QLine&", 34, Smoke::t_class|Smoke::tf_ref },	//108
    { "QLineF&", 35, Smoke::t_class|Smoke::tf_ref },	//109
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//110
    { "QLocale&", 36, Smoke::t_class|Smoke::tf_ref },	//111
    { "QLocale::NumberOption", 36, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QObject*", 40, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QObject*(*)()", 40, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QPoint&", 42, Smoke::t_class|Smoke::tf_ref },	//115
    { "QPointF&", 43, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRect&", 44, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRectF&", 45, Smoke::t_class|Smoke::tf_ref },	//118
    { "QRegExp&", 46, Smoke::t_class|Smoke::tf_ref },	//119
    { "QSize&", 47, Smoke::t_class|Smoke::tf_ref },	//120
    { "QSizeF&", 48, Smoke::t_class|Smoke::tf_ref },	//121
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//122
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//123
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//124
    { "QString::Null", 49, Smoke::t_class|Smoke::tf_stack },	//125
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//127
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//128
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//129
    { "QTextCodec*", 51, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QTextCodec::ConversionFlag", 51, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QTextStream&", 52, Smoke::t_class|Smoke::tf_ref },	//132
    { "QTextStream&(*)(QTextStream&)", 52, Smoke::t_class|Smoke::tf_ref },	//133
    { "QTextStream::NumberFlag", 52, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QTextStreamManipulator", 53, Smoke::t_class|Smoke::tf_stack },	//135
    { "QTime&", 54, Smoke::t_class|Smoke::tf_ref },	//136
    { "QUrl&", 55, Smoke::t_class|Smoke::tf_ref },	//137
    { "QUrl::FormattingOption", 55, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QUuid&", 56, Smoke::t_class|Smoke::tf_ref },	//139
    { "QVariant&", 57, Smoke::t_class|Smoke::tf_ref },	//140
    { "QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QVariant::Type&", 57, Smoke::t_enum|Smoke::tf_ref },	//142
    { "QXmlAttributes*", 59, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QXmlContentHandler*", 60, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QXmlDTDHandler*", 61, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QXmlDeclHandler*", 62, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QXmlDefaultHandler*", 63, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QXmlEntityResolver*", 64, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QXmlErrorHandler*", 65, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QXmlInputSource*&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_ptr },	//151
    { "QXmlLexicalHandler*", 67, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QXmlLocator*", 68, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QXmlNamespaceSupport*", 69, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QXmlParseException*", 70, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QXmlReader*", 71, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QXmlSimpleReader*", 72, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QXmlStreamWriter*", 76, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtMsgType", 29, Smoke::t_enum|Smoke::tf_stack },	//233
    { "_LIB_VERSION_TYPE", 29, Smoke::t_enum|Smoke::tf_stack },	//234
    { "__codecvt_result", 29, Smoke::t_enum|Smoke::tf_stack },	//235
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//236
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//237
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//238
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//239
    { "const QBitArray&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QByteArray", 3, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//241
    { "const QByteArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QChar&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QDate&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QDateTime&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QDir&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QDomComment&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QDomElement&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QDomNode&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QDomText&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QHashDummyValue&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QLatin1String&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QLine&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QLineF&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QLocale&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QMargins&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QMetaObject&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QModelIndex&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QObject*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//273
    { "const QPersistentModelIndex&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QPoint", 42, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//275
    { "const QPoint&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QPointF", 43, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//277
    { "const QPointF&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QRect&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QRectF&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QRegExp&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QRegExp*", 46, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//282
    { "const QSize", 47, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//283
    { "const QSize&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QSizeF", 48, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//285
    { "const QSizeF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//287
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//290
    { "const QStringRef&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QTime&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QUrl&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QUuid&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QVariant&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//296
    { "const QVariantComparisonHelper&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QXmlAttributes&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QXmlContentHandler&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const QXmlDTDHandler&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const QXmlDeclHandler&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const QXmlEntityResolver&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const QXmlErrorHandler&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const QXmlInputSource&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//305
    { "const QXmlLexicalHandler&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QXmlLocator&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QXmlParseException&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QXmlReader&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const QXmlStreamAttribute&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QXmlStreamAttributes&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const QXmlStreamReader&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//313
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//314
    { "const unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack|Smoke::tf_const },	//315
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//316
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//317
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//318
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//319
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//320
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//321
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//322
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//323
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//324
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//325
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//326
    { "size_t", 0, Smoke::t_ulong|Smoke::tf_stack },	//327
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//328
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//329
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//330
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//331
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//332
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//333
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//334
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//335
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//336
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//337
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//338
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    247, 0,	//1  const QDomAttr&
    288, 0,	//3  const QString&
    248, 0,	//5  const QDomCDATASection&
    249, 0,	//7  const QDomCharacterData&
    331, 331, 0,	//9  unsigned long, unsigned long
    331, 288, 0,	//12  unsigned long, const QString&
    331, 331, 288, 0,	//15  unsigned long, unsigned long, const QString&
    250, 0,	//19  const QDomComment&
    253, 0,	//21  const QDomDocumentType&
    251, 0,	//23  const QDomDocument&
    288, 288, 0,	//25  const QString&, const QString&
    259, 236, 0,	//28  const QDomNode&, bool
    242, 236, 124, 321, 321, 0,	//31  const QByteArray&, bool, QString*, int*, int*
    288, 236, 124, 321, 321, 0,	//37  const QString&, bool, QString*, int*, int*
    104, 236, 124, 321, 321, 0,	//43  QIODevice*, bool, QString*, int*, int*
    150, 236, 124, 321, 321, 0,	//49  QXmlInputSource*, bool, QString*, int*, int*
    242, 124, 321, 321, 0,	//55  const QByteArray&, QString*, int*, int*
    288, 124, 321, 321, 0,	//60  const QString&, QString*, int*, int*
    104, 124, 321, 321, 0,	//65  QIODevice*, QString*, int*, int*
    150, 156, 124, 321, 321, 0,	//70  QXmlInputSource*, QXmlReader*, QString*, int*, int*
    319, 0,	//76  int
    242, 236, 0,	//78  const QByteArray&, bool
    242, 236, 124, 0,	//81  const QByteArray&, bool, QString*
    242, 236, 124, 321, 0,	//85  const QByteArray&, bool, QString*, int*
    288, 236, 0,	//90  const QString&, bool
    288, 236, 124, 0,	//93  const QString&, bool, QString*
    288, 236, 124, 321, 0,	//97  const QString&, bool, QString*, int*
    104, 236, 0,	//102  QIODevice*, bool
    104, 236, 124, 0,	//105  QIODevice*, bool, QString*
    104, 236, 124, 321, 0,	//109  QIODevice*, bool, QString*, int*
    150, 236, 0,	//114  QXmlInputSource*, bool
    150, 236, 124, 0,	//117  QXmlInputSource*, bool, QString*
    150, 236, 124, 321, 0,	//121  QXmlInputSource*, bool, QString*, int*
    242, 0,	//126  const QByteArray&
    242, 124, 0,	//128  const QByteArray&, QString*
    242, 124, 321, 0,	//131  const QByteArray&, QString*, int*
    288, 124, 0,	//135  const QString&, QString*
    288, 124, 321, 0,	//138  const QString&, QString*, int*
    104, 0,	//142  QIODevice*
    104, 124, 0,	//144  QIODevice*, QString*
    104, 124, 321, 0,	//147  QIODevice*, QString*, int*
    150, 156, 0,	//151  QXmlInputSource*, QXmlReader*
    150, 156, 124, 0,	//154  QXmlInputSource*, QXmlReader*, QString*
    150, 156, 124, 321, 0,	//158  QXmlInputSource*, QXmlReader*, QString*, int*
    252, 0,	//163  const QDomDocumentFragment&
    254, 0,	//165  const QDomElement&
    288, 324, 0,	//167  const QString&, long long
    288, 332, 0,	//170  const QString&, unsigned long long
    288, 319, 0,	//173  const QString&, int
    288, 330, 0,	//176  const QString&, unsigned int
    288, 318, 0,	//179  const QString&, float
    288, 317, 0,	//182  const QString&, double
    287, 288, 288, 0,	//185  const QString, const QString&, const QString&
    287, 288, 319, 0,	//189  const QString, const QString&, int
    287, 288, 330, 0,	//193  const QString, const QString&, unsigned int
    287, 288, 324, 0,	//197  const QString, const QString&, long long
    287, 288, 332, 0,	//201  const QString, const QString&, unsigned long long
    287, 288, 317, 0,	//205  const QString, const QString&, double
    287, 288, 0,	//209  const QString, const QString&
    255, 0,	//212  const QDomEntity&
    256, 0,	//214  const QDomEntityReference&
    257, 0,	//216  const QDomImplementation&
    288, 288, 288, 0,	//218  const QString&, const QString&, const QString&
    288, 288, 253, 0,	//222  const QString&, const QString&, const QDomDocumentType&
    50, 0,	//226  QDomImplementation::InvalidDataPolicy
    258, 0,	//228  const QDomNamedNodeMap&
    259, 0,	//230  const QDomNode&
    259, 259, 0,	//232  const QDomNode&, const QDomNode&
    236, 0,	//235  bool
    132, 319, 0,	//237  QTextStream&, int
    132, 319, 57, 0,	//240  QTextStream&, int, QDomNode::EncodingPolicy
    62, 0,	//244  QDomNodePrivate*
    260, 0,	//246  const QDomNodeList&
    261, 0,	//248  const QDomNotation&
    262, 0,	//250  const QDomProcessingInstruction&
    263, 0,	//252  const QDomText&
    240, 240, 0,	//254  const QBitArray&, const QBitArray&
    274, 0,	//257  const QPersistentModelIndex&
    179, 319, 0,	//259  Qt::DockWidgetArea, int
    313, 313, 319, 0,	//262  const char*, const char*, int
    276, 317, 0,	//266  const QPoint&, double
    317, 0,	//269  double
    317, 278, 0,	//271  double, const QPointF&
    203, 97, 0,	//274  Qt::MouseButton, QFlags<Qt::MouseButton>
    270, 270, 0,	//277  const QMargins&, const QMargins&
    317, 286, 0,	//280  double, const QSizeF&
    15, 319, 0,	//283  QDir::SortFlag, int
    13, 274, 0,	//286  QDebug, const QPersistentModelIndex&
    192, 319, 0,	//289  Qt::InputMethodHint, int
    239, 313, 0,	//292  char*, const char*
    279, 279, 0,	//295  const QRect&, const QRect&
    284, 284, 0,	//298  const QSize&, const QSize&
    131, 131, 0,	//301  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    13, 276, 0,	//304  QDebug, const QPoint&
    328, 0,	//307  unsigned char
    14, 76, 0,	//309  QDir::Filter, QFlags<QDir::Filter>
    73, 79, 0,	//312  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    229, 102, 0,	//315  Qt::WindowState, QFlags<Qt::WindowState>
    286, 317, 0,	//318  const QSizeF&, double
    10, 267, 0,	//321  QDataStream&, const QLine&
    14, 319, 0,	//324  QDir::Filter, int
    313, 266, 0,	//327  const char*, const QLatin1String&
    286, 286, 0,	//330  const QSizeF&, const QSizeF&
    242, 242, 0,	//333  const QByteArray&, const QByteArray&
    266, 291, 0,	//336  const QLatin1String&, const QStringRef&
    203, 203, 0,	//339  Qt::MouseButton, Qt::MouseButton
    13, 296, 0,	//342  QDebug, const QVariant::Type
    295, 297, 0,	//345  const QVariant&, const QVariantComparisonHelper&
    4, 4, 0,	//348  QBool, QBool
    159, 88, 0,	//351  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    291, 0,	//354  const QStringRef&
    125, 125, 0,	//356  QString::Null, QString::Null
    10, 280, 0,	//359  QDataStream&, const QRectF&
    10, 111, 0,	//362  QDataStream&, QLocale&
    8, 288, 0,	//365  QChar, const QString&
    105, 81, 0,	//368  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    14, 14, 0,	//371  QDir::Filter, QDir::Filter
    13, 292, 0,	//374  QDebug, const QTime&
    10, 242, 0,	//377  QDataStream&, const QByteArray&
    13, 244, 0,	//380  QDebug, const QDate&
    240, 0,	//383  const QBitArray&
    314, 329, 319, 0,	//385  const unsigned char*, unsigned char*, int
    295, 141, 337, 0,	//389  const QVariant&, QVariant::Type, void*
    333, 0,	//393  unsigned short
    114, 0,	//395  QObject*(*)()
    322, 0,	//397  long
    220, 220, 0,	//399  Qt::ToolBarArea, Qt::ToolBarArea
    324, 0,	//402  long long
    181, 319, 0,	//404  Qt::DropAction, int
    10, 289, 0,	//407  QDataStream&, const QStringList&
    1, 1, 0,	//410  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    330, 0,	//413  unsigned int
    318, 0,	//415  float
    159, 159, 0,	//417  Qt::AlignmentFlag, Qt::AlignmentFlag
    16, 319, 0,	//420  QDirIterator::IteratorFlag, int
    10, 281, 0,	//423  QDataStream&, const QRegExp&
    138, 319, 0,	//426  QUrl::FormattingOption, int
    242, 313, 0,	//429  const QByteArray&, const char*
    16, 78, 0,	//432  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    13, 286, 0,	//435  QDebug, const QSizeF&
    179, 89, 0,	//438  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    205, 205, 0,	//441  Qt::Orientation, Qt::Orientation
    220, 319, 0,	//444  Qt::ToolBarArea, int
    10, 116, 0,	//447  QDataStream&, QPointF&
    201, 319, 0,	//450  Qt::MatchFlag, int
    288, 313, 0,	//453  const QString&, const char*
    13, 264, 0,	//456  QDebug, const QEasingCurve&
    186, 186, 0,	//459  Qt::GestureFlag, Qt::GestureFlag
    10, 11, 0,	//462  QDataStream&, QDate&
    105, 105, 0,	//465  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    238, 242, 0,	//468  char, const QByteArray&
    73, 319, 0,	//471  QEventLoop::ProcessEventsFlag, int
    313, 288, 0,	//474  const char*, const QString&
    313, 242, 0,	//477  const char*, const QByteArray&
    10, 139, 0,	//480  QDataStream&, QUuid&
    317, 317, 0,	//483  double, double
    10, 6, 0,	//486  QDataStream&, QByteArray&
    10, 140, 0,	//489  QDataStream&, QVariant&
    10, 119, 0,	//492  QDataStream&, QRegExp&
    278, 278, 0,	//495  const QPointF&, const QPointF&
    291, 291, 0,	//498  const QStringRef&, const QStringRef&
    74, 319, 0,	//501  QFile::Permission, int
    13, 268, 0,	//504  QDebug, const QLineF&
    8, 8, 0,	//507  QChar, QChar
    313, 313, 330, 0,	//510  const char*, const char*, unsigned int
    13, 76, 0,	//514  QDebug, QFlags<QDir::Filter>
    313, 319, 0,	//517  const char*, int
    134, 86, 0,	//520  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    10, 3, 0,	//523  QDataStream&, QBitArray&
    278, 317, 0,	//526  const QPointF&, double
    8, 0,	//529  QChar
    1, 75, 0,	//531  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    336, 0,	//534  void(*)(QtMsgType,const char*)
    10, 244, 0,	//536  QDataStream&, const QDate&
    273, 288, 271, 0,	//539  const QObject*, const QString&, const QMetaObject&
    201, 96, 0,	//543  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    186, 319, 0,	//546  Qt::GestureFlag, int
    131, 319, 0,	//549  QTextCodec::ConversionFlag, int
    198, 95, 0,	//552  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    201, 201, 0,	//555  Qt::MatchFlag, Qt::MatchFlag
    337, 0,	//558  void*
    288, 125, 0,	//560  const QString&, QString::Null
    107, 319, 0,	//563  QLibrary::LoadHint, int
    10, 121, 0,	//566  QDataStream&, QSizeF&
    291, 313, 0,	//569  const QStringRef&, const char*
    278, 0,	//572  const QPointF&
    337, 327, 327, 327, 0,	//574  void*, size_t, size_t, size_t
    195, 195, 0,	//579  Qt::ItemFlag, Qt::ItemFlag
    332, 0,	//582  unsigned long long
    242, 288, 0,	//584  const QByteArray&, const QString&
    230, 103, 0,	//587  Qt::WindowType, QFlags<Qt::WindowType>
    13, 284, 0,	//590  QDebug, const QSize&
    195, 94, 0,	//593  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    223, 101, 0,	//596  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    288, 238, 0,	//599  const QString&, char
    10, 293, 0,	//602  QDataStream&, const QUrl&
    337, 319, 327, 0,	//605  void*, int, size_t
    10, 295, 0,	//609  QDataStream&, const QVariant&
    10, 108, 0,	//612  QDataStream&, QLine&
    242, 319, 0,	//615  const QByteArray&, int
    198, 198, 0,	//618  Qt::KeyboardModifier, Qt::KeyboardModifier
    335, 0,	//621  void(*)()
    159, 319, 0,	//623  Qt::AlignmentFlag, int
    198, 319, 0,	//626  Qt::KeyboardModifier, int
    195, 319, 0,	//629  Qt::ItemFlag, int
    190, 92, 0,	//632  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    276, 276, 0,	//635  const QPoint&, const QPoint&
    126, 319, 0,	//638  QString::SectionFlag, int
    230, 319, 0,	//641  Qt::WindowType, int
    291, 288, 0,	//644  const QStringRef&, const QString&
    266, 266, 0,	//647  const QLatin1String&, const QLatin1String&
    265, 265, 0,	//650  const QHashDummyValue&, const QHashDummyValue&
    313, 330, 0,	//653  const char*, unsigned int
    138, 138, 0,	//656  QUrl::FormattingOption, QUrl::FormattingOption
    223, 319, 0,	//659  Qt::TouchPointState, int
    13, 270, 0,	//662  QDebug, const QMargins&
    313, 0,	//665  const char*
    132, 133, 0,	//667  QTextStream&, QTextStream&(*)(QTextStream&)
    10, 72, 0,	//670  QDataStream&, QEasingCurve&
    10, 268, 0,	//673  QDataStream&, const QLineF&
    74, 80, 0,	//676  QFile::Permission, QFlags<QFile::Permission>
    239, 313, 330, 0,	//679  char*, const char*, unsigned int
    10, 278, 0,	//683  QDataStream&, const QPointF&
    293, 0,	//686  const QUrl&
    323, 319, 321, 321, 239, 327, 0,	//688  long double, int, int*, int*, char*, size_t
    276, 318, 0,	//695  const QPoint&, float
    112, 319, 0,	//698  QLocale::NumberOption, int
    337, 327, 0,	//701  void*, size_t
    337, 327, 327, 320, 0,	//704  void*, size_t, size_t, int(*)(const void*,const void*)
    313, 313, 313, 319, 0,	//709  const char*, const char*, const char*, int
    288, 291, 0,	//714  const QString&, const QStringRef&
    313, 291, 0,	//717  const char*, const QStringRef&
    203, 319, 0,	//720  Qt::MouseButton, int
    10, 120, 0,	//723  QDataStream&, QSize&
    192, 192, 0,	//726  Qt::InputMethodHint, Qt::InputMethodHint
    16, 16, 0,	//729  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    134, 134, 0,	//732  QTextStream::NumberFlag, QTextStream::NumberFlag
    10, 142, 0,	//735  QDataStream&, QVariant::Type&
    217, 99, 0,	//738  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    291, 266, 0,	//741  const QStringRef&, const QLatin1String&
    326, 0,	//744  signed char
    10, 286, 0,	//746  QDataStream&, const QSizeF&
    220, 100, 0,	//749  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    313, 313, 0,	//752  const char*, const char*
    238, 288, 0,	//755  char, const QString&
    107, 107, 0,	//758  QLibrary::LoadHint, QLibrary::LoadHint
    229, 229, 0,	//761  Qt::WindowState, Qt::WindowState
    13, 293, 0,	//764  QDebug, const QUrl&
    138, 87, 0,	//767  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    280, 280, 0,	//770  const QRectF&, const QRectF&
    317, 284, 0,	//773  double, const QSize&
    74, 74, 0,	//776  QFile::Permission, QFile::Permission
    272, 0,	//779  const QModelIndex&
    13, 267, 0,	//781  QDebug, const QLine&
    10, 240, 0,	//784  QDataStream&, const QBitArray&
    337, 316, 327, 0,	//787  void*, const void*, size_t
    317, 276, 0,	//791  double, const QPoint&
    13, 272, 0,	//794  QDebug, const QModelIndex&
    325, 0,	//797  short
    13, 245, 0,	//799  QDebug, const QDateTime&
    10, 276, 0,	//802  QDataStream&, const QPoint&
    242, 238, 0,	//805  const QByteArray&, char
    13, 273, 0,	//808  QDebug, const QObject*
    323, 319, 239, 0,	//811  long double, int, char*
    318, 318, 0,	//815  float, float
    15, 77, 0,	//818  QDir::SortFlag, QFlags<QDir::SortFlag>
    239, 327, 313, 334, 0,	//821  char*, size_t, const char*, va_list
    126, 84, 0,	//826  QString::SectionFlag, QFlags<QString::SectionFlag>
    10, 284, 0,	//829  QDataStream&, const QSize&
    10, 118, 0,	//832  QDataStream&, QRectF&
    131, 85, 0,	//835  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    13, 81, 0,	//838  QDebug, QFlags<QIODevice::OpenModeFlag>
    10, 243, 0,	//841  QDataStream&, const QChar&
    236, 4, 0,	//844  bool, QBool
    331, 0,	//847  unsigned long
    13, 280, 0,	//849  QDebug, const QRectF&
    4, 236, 0,	//852  QBool, bool
    229, 319, 0,	//855  Qt::WindowState, int
    10, 128, 0,	//858  QDataStream&, QStringList&
    10, 279, 0,	//861  QDataStream&, const QRect&
    179, 179, 0,	//864  Qt::DockWidgetArea, Qt::DockWidgetArea
    112, 83, 0,	//867  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    230, 230, 0,	//870  Qt::WindowType, Qt::WindowType
    284, 317, 0,	//873  const QSize&, double
    125, 288, 0,	//876  QString::Null, const QString&
    15, 15, 0,	//879  QDir::SortFlag, QDir::SortFlag
    192, 93, 0,	//882  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    10, 115, 0,	//885  QDataStream&, QPoint&
    13, 278, 0,	//888  QDebug, const QPointF&
    273, 288, 282, 271, 110, 0,	//891  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    10, 12, 0,	//897  QDataStream&, QDateTime&
    10, 292, 0,	//900  QDataStream&, const QTime&
    10, 294, 0,	//903  QDataStream&, const QUuid&
    132, 135, 0,	//906  QTextStream&, QTextStreamManipulator
    126, 126, 0,	//909  QString::SectionFlag, QString::SectionFlag
    327, 327, 0,	//912  size_t, size_t
    134, 319, 0,	//915  QTextStream::NumberFlag, int
    314, 319, 319, 0,	//918  const unsigned char*, int, int
    314, 319, 0,	//922  const unsigned char*, int
    105, 319, 0,	//925  QIODevice::OpenModeFlag, int
    319, 276, 0,	//928  int, const QPoint&
    186, 91, 0,	//931  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    323, 319, 321, 321, 0,	//934  long double, int, int*, int*
    276, 0,	//939  const QPoint&
    132, 259, 0,	//941  QTextStream&, const QDomNode&
    10, 123, 0,	//944  QDataStream&, QString&
    10, 288, 0,	//947  QDataStream&, const QString&
    10, 264, 0,	//950  QDataStream&, const QEasingCurve&
    10, 9, 0,	//953  QDataStream&, QChar&
    217, 217, 0,	//956  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    288, 242, 0,	//959  const QString&, const QByteArray&
    73, 73, 0,	//962  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    10, 117, 0,	//965  QDataStream&, QRect&
    1, 319, 0,	//968  QAbstractFileEngine::FileFlag, int
    233, 313, 0,	//971  QtMsgType, const char*
    190, 319, 0,	//974  Qt::ImageConversionFlag, int
    13, 279, 0,	//977  QDebug, const QRect&
    10, 296, 0,	//980  QDataStream&, const QVariant::Type
    10, 109, 0,	//983  QDataStream&, QLineF&
    223, 223, 0,	//986  Qt::TouchPointState, Qt::TouchPointState
    217, 319, 0,	//989  Qt::TextInteractionFlag, int
    238, 0,	//992  char
    10, 245, 0,	//994  QDataStream&, const QDateTime&
    10, 136, 0,	//997  QDataStream&, QTime&
    276, 319, 0,	//1000  const QPoint&, int
    190, 190, 0,	//1003  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    181, 90, 0,	//1006  Qt::DropAction, QFlags<Qt::DropAction>
    181, 181, 0,	//1009  Qt::DropAction, Qt::DropAction
    205, 319, 0,	//1012  Qt::Orientation, int
    13, 246, 0,	//1015  QDebug, const QDir&
    318, 276, 0,	//1018  float, const QPoint&
    10, 137, 0,	//1021  QDataStream&, QUrl&
    107, 82, 0,	//1024  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    288, 8, 0,	//1027  const QString&, QChar
    205, 98, 0,	//1030  Qt::Orientation, QFlags<Qt::Orientation>
    327, 0,	//1033  size_t
    13, 295, 0,	//1035  QDebug, const QVariant&
    112, 112, 0,	//1038  QLocale::NumberOption, QLocale::NumberOption
    10, 269, 0,	//1041  QDataStream&, const QLocale&
    266, 0,	//1044  const QLatin1String&
    288, 288, 288, 288, 0,	//1046  const QString&, const QString&, const QString&, const QString&
    298, 0,	//1051  const QXmlAttributes&
    153, 0,	//1053  QXmlLocator*
    288, 288, 288, 298, 0,	//1055  const QString&, const QString&, const QString&, const QXmlAttributes&
    299, 0,	//1060  const QXmlContentHandler&
    300, 0,	//1062  const QXmlDTDHandler&
    288, 288, 288, 288, 288, 0,	//1064  const QString&, const QString&, const QString&, const QString&, const QString&
    301, 0,	//1070  const QXmlDeclHandler&
    308, 0,	//1072  const QXmlParseException&
    288, 288, 151, 0,	//1074  const QString&, const QString&, QXmlInputSource*&
    302, 0,	//1078  const QXmlEntityResolver&
    303, 0,	//1080  const QXmlErrorHandler&
    304, 0,	//1082  const QXmlInputSource&
    306, 0,	//1084  const QXmlLexicalHandler&
    307, 0,	//1086  const QXmlLocator&
    288, 123, 123, 0,	//1088  const QString&, QString&, QString&
    288, 236, 123, 123, 0,	//1092  const QString&, bool, QString&, QString&
    288, 319, 319, 288, 288, 0,	//1097  const QString&, int, int, const QString&, const QString&
    288, 319, 319, 0,	//1103  const QString&, int, int
    288, 319, 319, 288, 0,	//1107  const QString&, int, int, const QString&
    288, 237, 0,	//1112  const QString&, bool*
    288, 337, 0,	//1115  const QString&, void*
    148, 0,	//1118  QXmlEntityResolver*
    145, 0,	//1120  QXmlDTDHandler*
    144, 0,	//1122  QXmlContentHandler*
    149, 0,	//1124  QXmlErrorHandler*
    152, 0,	//1126  QXmlLexicalHandler*
    146, 0,	//1128  QXmlDeclHandler*
    305, 0,	//1130  const QXmlInputSource*
    309, 0,	//1132  const QXmlReader&
    305, 236, 0,	//1134  const QXmlInputSource*, bool
    7, 0,	//1137  QByteArray*
    124, 0,	//1139  QString*
    130, 0,	//1141  QTextCodec*
    310, 0,	//1143  const QXmlStreamAttribute&
    311, 0,	//1145  const QXmlStreamAttributes&
    312, 0,	//1147  const QXmlStreamReader&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceptInvalidChars",	//1
    "AttributeNode",	//2
    "BaseNode",	//3
    "CDATASectionNode",	//4
    "CharacterDataNode",	//5
    "CommentNode",	//6
    "DTDHandler",	//7
    "DocumentFragmentNode",	//8
    "DocumentNode",	//9
    "DocumentTypeNode",	//10
    "DropInvalidChars",	//11
    "ElementNode",	//12
    "EncodingFromDocument",	//13
    "EncodingFromTextStream",	//14
    "EndOfData",	//15
    "EndOfDocument",	//16
    "EntityNode",	//17
    "EntityReferenceNode",	//18
    "NotationNode",	//19
    "ProcessingInstructionNode",	//20
    "QDomAttr",	//21
    "QDomAttr#",	//22
    "QDomCDATASection",	//23
    "QDomCDATASection#",	//24
    "QDomCharacterData",	//25
    "QDomCharacterData#",	//26
    "QDomComment",	//27
    "QDomComment#",	//28
    "QDomDocument",	//29
    "QDomDocument#",	//30
    "QDomDocument$",	//31
    "QDomDocumentFragment",	//32
    "QDomDocumentFragment#",	//33
    "QDomDocumentType",	//34
    "QDomDocumentType#",	//35
    "QDomElement",	//36
    "QDomElement#",	//37
    "QDomEntity",	//38
    "QDomEntity#",	//39
    "QDomEntityReference",	//40
    "QDomEntityReference#",	//41
    "QDomImplementation",	//42
    "QDomImplementation#",	//43
    "QDomNamedNodeMap",	//44
    "QDomNamedNodeMap#",	//45
    "QDomNode",	//46
    "QDomNode#",	//47
    "QDomNodeList",	//48
    "QDomNodeList#",	//49
    "QDomNotation",	//50
    "QDomNotation#",	//51
    "QDomProcessingInstruction",	//52
    "QDomProcessingInstruction#",	//53
    "QDomText",	//54
    "QDomText#",	//55
    "QXmlAttributes",	//56
    "QXmlAttributes#",	//57
    "QXmlContentHandler",	//58
    "QXmlContentHandler#",	//59
    "QXmlDTDHandler",	//60
    "QXmlDTDHandler#",	//61
    "QXmlDeclHandler",	//62
    "QXmlDeclHandler#",	//63
    "QXmlDefaultHandler",	//64
    "QXmlEntityResolver",	//65
    "QXmlEntityResolver#",	//66
    "QXmlErrorHandler",	//67
    "QXmlErrorHandler#",	//68
    "QXmlInputSource",	//69
    "QXmlInputSource#",	//70
    "QXmlLexicalHandler",	//71
    "QXmlLexicalHandler#",	//72
    "QXmlLocator",	//73
    "QXmlLocator#",	//74
    "QXmlNamespaceSupport",	//75
    "QXmlParseException",	//76
    "QXmlParseException#",	//77
    "QXmlParseException$",	//78
    "QXmlParseException$$",	//79
    "QXmlParseException$$$",	//80
    "QXmlParseException$$$$",	//81
    "QXmlParseException$$$$$",	//82
    "QXmlReader",	//83
    "QXmlReader#",	//84
    "QXmlSimpleReader",	//85
    "QXmlStreamWriter",	//86
    "QXmlStreamWriter#",	//87
    "QXmlStreamWriter$",	//88
    "QtCriticalMsg",	//89
    "QtDebugMsg",	//90
    "QtFatalMsg",	//91
    "QtSystemMsg",	//92
    "QtWarningMsg",	//93
    "ReturnNullNode",	//94
    "TextNode",	//95
    "_IEEE_",	//96
    "_ISOC_",	//97
    "_POSIX_",	//98
    "_SVID_",	//99
    "_XOPEN_",	//100
    "__codecvt_error",	//101
    "__codecvt_noconv",	//102
    "__codecvt_ok",	//103
    "__codecvt_partial",	//104
    "append",	//105
    "append$$$$",	//106
    "appendChild",	//107
    "appendChild#",	//108
    "appendData",	//109
    "appendData$",	//110
    "at",	//111
    "at$",	//112
    "attribute",	//113
    "attribute$",	//114
    "attribute$$",	//115
    "attributeDecl",	//116
    "attributeDecl$$$$$",	//117
    "attributeNS",	//118
    "attributeNS$$",	//119
    "attributeNS$$$",	//120
    "attributeNode",	//121
    "attributeNode$",	//122
    "attributeNodeNS",	//123
    "attributeNodeNS$$",	//124
    "attributes",	//125
    "autoFormatting",	//126
    "autoFormattingIndent",	//127
    "characters",	//128
    "characters$",	//129
    "childNodes",	//130
    "clear",	//131
    "cloneNode",	//132
    "cloneNode$",	//133
    "codec",	//134
    "columnNumber",	//135
    "comment",	//136
    "comment$",	//137
    "contains",	//138
    "contains$",	//139
    "contentHandler",	//140
    "count",	//141
    "createAttribute",	//142
    "createAttribute$",	//143
    "createAttributeNS",	//144
    "createAttributeNS$$",	//145
    "createCDATASection",	//146
    "createCDATASection$",	//147
    "createComment",	//148
    "createComment$",	//149
    "createDocument",	//150
    "createDocument$$#",	//151
    "createDocumentFragment",	//152
    "createDocumentType",	//153
    "createDocumentType$$$",	//154
    "createElement",	//155
    "createElement$",	//156
    "createElementNS",	//157
    "createElementNS$$",	//158
    "createEntityReference",	//159
    "createEntityReference$",	//160
    "createProcessingInstruction",	//161
    "createProcessingInstruction$$",	//162
    "createTextNode",	//163
    "createTextNode$",	//164
    "data",	//165
    "declHandler",	//166
    "deleteData",	//167
    "deleteData$$",	//168
    "device",	//169
    "doctype",	//170
    "documentElement",	//171
    "elementById",	//172
    "elementById$",	//173
    "elementsByTagName",	//174
    "elementsByTagName$",	//175
    "elementsByTagNameNS",	//176
    "elementsByTagNameNS$$",	//177
    "endCDATA",	//178
    "endDTD",	//179
    "endDocument",	//180
    "endElement",	//181
    "endElement$$$",	//182
    "endEntity",	//183
    "endEntity$",	//184
    "endPrefixMapping",	//185
    "endPrefixMapping$",	//186
    "entities",	//187
    "entityResolver",	//188
    "error",	//189
    "error#",	//190
    "errorHandler",	//191
    "errorString",	//192
    "externalEntityDecl",	//193
    "externalEntityDecl$$$",	//194
    "fatalError",	//195
    "fatalError#",	//196
    "feature",	//197
    "feature$",	//198
    "feature$$",	//199
    "fetchData",	//200
    "firstChild",	//201
    "firstChildElement",	//202
    "firstChildElement$",	//203
    "fromRawData",	//204
    "fromRawData#",	//205
    "fromRawData#$",	//206
    "hasAttribute",	//207
    "hasAttribute$",	//208
    "hasAttributeNS",	//209
    "hasAttributeNS$$",	//210
    "hasAttributes",	//211
    "hasChildNodes",	//212
    "hasError",	//213
    "hasFeature",	//214
    "hasFeature$",	//215
    "hasFeature$$",	//216
    "hasProperty",	//217
    "hasProperty$",	//218
    "ignorableWhitespace",	//219
    "ignorableWhitespace$",	//220
    "impl",	//221
    "implementation",	//222
    "importNode",	//223
    "importNode#$",	//224
    "index",	//225
    "index#",	//226
    "index$",	//227
    "index$$",	//228
    "insertAfter",	//229
    "insertAfter##",	//230
    "insertBefore",	//231
    "insertBefore##",	//232
    "insertData",	//233
    "insertData$$",	//234
    "internalEntityDecl",	//235
    "internalEntityDecl$$",	//236
    "internalSubset",	//237
    "invalidDataPolicy",	//238
    "isAttr",	//239
    "isCDATASection",	//240
    "isCharacterData",	//241
    "isComment",	//242
    "isDocument",	//243
    "isDocumentFragment",	//244
    "isDocumentType",	//245
    "isElement",	//246
    "isEmpty",	//247
    "isEntity",	//248
    "isEntityReference",	//249
    "isNotation",	//250
    "isNull",	//251
    "isProcessingInstruction",	//252
    "isSupported",	//253
    "isSupported$$",	//254
    "isText",	//255
    "item",	//256
    "item$",	//257
    "lastChild",	//258
    "lastChildElement",	//259
    "lastChildElement$",	//260
    "length",	//261
    "lexicalHandler",	//262
    "lineNumber",	//263
    "localName",	//264
    "localName$",	//265
    "message",	//266
    "name",	//267
    "namedItem",	//268
    "namedItem$",	//269
    "namedItemNS",	//270
    "namedItemNS$$",	//271
    "namespaceURI",	//272
    "next",	//273
    "nextSibling",	//274
    "nextSiblingElement",	//275
    "nextSiblingElement$",	//276
    "nodeName",	//277
    "nodeType",	//278
    "nodeValue",	//279
    "normalize",	//280
    "notationDecl",	//281
    "notationDecl$$$",	//282
    "notationName",	//283
    "notations",	//284
    "operator!=",	//285
    "operator!=#",	//286
    "operator!=##",	//287
    "operator!=#$",	//288
    "operator!=$#",	//289
    "operator!=$$",	//290
    "operator&",	//291
    "operator&##",	//292
    "operator*",	//293
    "operator*#$",	//294
    "operator*$#",	//295
    "operator+",	//296
    "operator+##",	//297
    "operator+#$",	//298
    "operator+$#",	//299
    "operator+$$",	//300
    "operator-",	//301
    "operator-#",	//302
    "operator-##",	//303
    "operator/",	//304
    "operator/#$",	//305
    "operator<",	//306
    "operator<##",	//307
    "operator<#$",	//308
    "operator<$#",	//309
    "operator<$$",	//310
    "operator<<",	//311
    "operator<<##",	//312
    "operator<<#$",	//313
    "operator<<#?",	//314
    "operator<=",	//315
    "operator<=##",	//316
    "operator<=#$",	//317
    "operator<=$#",	//318
    "operator<=$$",	//319
    "operator=",	//320
    "operator=#",	//321
    "operator==",	//322
    "operator==#",	//323
    "operator==##",	//324
    "operator==#$",	//325
    "operator==$#",	//326
    "operator==$$",	//327
    "operator>",	//328
    "operator>##",	//329
    "operator>#$",	//330
    "operator>$#",	//331
    "operator>$$",	//332
    "operator>=",	//333
    "operator>=##",	//334
    "operator>=#$",	//335
    "operator>=$#",	//336
    "operator>=$$",	//337
    "operator>>",	//338
    "operator>>##",	//339
    "operator>>#$",	//340
    "operator>>#?",	//341
    "operator^",	//342
    "operator^##",	//343
    "operator|",	//344
    "operator|##",	//345
    "operator|$$",	//346
    "ownerDocument",	//347
    "ownerElement",	//348
    "parentNode",	//349
    "parse",	//350
    "parse#",	//351
    "parse#$",	//352
    "parseContinue",	//353
    "popContext",	//354
    "prefix",	//355
    "prefix$",	//356
    "prefixes",	//357
    "prefixes$",	//358
    "previousSibling",	//359
    "previousSiblingElement",	//360
    "previousSiblingElement$",	//361
    "processName",	//362
    "processName$$$$",	//363
    "processingInstruction",	//364
    "processingInstruction$$",	//365
    "property",	//366
    "property$",	//367
    "property$$",	//368
    "publicId",	//369
    "pushContext",	//370
    "qAcos",	//371
    "qAcos$",	//372
    "qAddPostRoutine",	//373
    "qAddPostRoutine$",	//374
    "qAppName",	//375
    "qAsin",	//376
    "qAsin$",	//377
    "qAtan",	//378
    "qAtan$",	//379
    "qAtan2",	//380
    "qAtan2$$",	//381
    "qBadAlloc",	//382
    "qCeil",	//383
    "qCeil$",	//384
    "qChecksum",	//385
    "qChecksum$$",	//386
    "qCompress",	//387
    "qCompress#",	//388
    "qCompress#$",	//389
    "qCompress$$",	//390
    "qCompress$$$",	//391
    "qCos",	//392
    "qCos$",	//393
    "qCritical",	//394
    "qDebug",	//395
    "qExp",	//396
    "qExp$",	//397
    "qFabs",	//398
    "qFabs$",	//399
    "qFastCos",	//400
    "qFastCos$",	//401
    "qFastSin",	//402
    "qFastSin$",	//403
    "qFlagLocation",	//404
    "qFlagLocation$",	//405
    "qFloor",	//406
    "qFloor$",	//407
    "qFree",	//408
    "qFree$",	//409
    "qFreeAligned",	//410
    "qFreeAligned$",	//411
    "qFuzzyCompare",	//412
    "qFuzzyCompare$$",	//413
    "qFuzzyIsNull",	//414
    "qFuzzyIsNull$",	//415
    "qHash",	//416
    "qHash#",	//417
    "qHash$",	//418
    "qInf",	//419
    "qInstallMsgHandler",	//420
    "qInstallMsgHandler$",	//421
    "qIntCast",	//422
    "qIntCast$",	//423
    "qIsFinite",	//424
    "qIsFinite$",	//425
    "qIsInf",	//426
    "qIsInf$",	//427
    "qIsNaN",	//428
    "qIsNaN$",	//429
    "qIsNull",	//430
    "qIsNull$",	//431
    "qLn",	//432
    "qLn$",	//433
    "qMalloc",	//434
    "qMalloc$",	//435
    "qMallocAligned",	//436
    "qMallocAligned$$",	//437
    "qMemCopy",	//438
    "qMemCopy$$$",	//439
    "qMemSet",	//440
    "qMemSet$$$",	//441
    "qName",	//442
    "qName$",	//443
    "qPow",	//444
    "qPow$$",	//445
    "qQNaN",	//446
    "qRealloc",	//447
    "qRealloc$$",	//448
    "qReallocAligned",	//449
    "qReallocAligned$$$$",	//450
    "qRegisterStaticPluginInstanceFunction",	//451
    "qRegisterStaticPluginInstanceFunction#",	//452
    "qRemovePostRoutine",	//453
    "qRemovePostRoutine$",	//454
    "qRound",	//455
    "qRound$",	//456
    "qRound64",	//457
    "qRound64$",	//458
    "qSNaN",	//459
    "qSetFieldWidth",	//460
    "qSetFieldWidth$",	//461
    "qSetPadChar",	//462
    "qSetPadChar#",	//463
    "qSetRealNumberPrecision",	//464
    "qSetRealNumberPrecision$",	//465
    "qSharedBuild",	//466
    "qSin",	//467
    "qSin$",	//468
    "qSqrt",	//469
    "qSqrt$",	//470
    "qStringComparisonHelper",	//471
    "qStringComparisonHelper#$",	//472
    "qStringComparisonHelper$$",	//473
    "qTan",	//474
    "qTan$",	//475
    "qUncompress",	//476
    "qUncompress#",	//477
    "qUncompress$$",	//478
    "qVersion",	//479
    "qWarning",	//480
    "qbswap_helper",	//481
    "qbswap_helper$$$",	//482
    "qecvt",	//483
    "qecvt$$$$",	//484
    "qecvt_r",	//485
    "qecvt_r$$$$$$",	//486
    "qfcvt",	//487
    "qfcvt$$$$",	//488
    "qfcvt_r",	//489
    "qfcvt_r$$$$$$",	//490
    "qgcvt",	//491
    "qgcvt$$$",	//492
    "qgetenv",	//493
    "qgetenv$",	//494
    "qputenv",	//495
    "qputenv$#",	//496
    "qrand",	//497
    "qsort",	//498
    "qsort$$$$",	//499
    "qsrand",	//500
    "qsrand$",	//501
    "qstrcmp",	//502
    "qstrcmp##",	//503
    "qstrcmp#$",	//504
    "qstrcmp$#",	//505
    "qstrcmp$$",	//506
    "qstrcpy",	//507
    "qstrcpy$$",	//508
    "qstrdup",	//509
    "qstrdup$",	//510
    "qstricmp",	//511
    "qstricmp$$",	//512
    "qstrlen",	//513
    "qstrlen$",	//514
    "qstrncmp",	//515
    "qstrncmp$$$",	//516
    "qstrncpy",	//517
    "qstrncpy$$$",	//518
    "qstrnicmp",	//519
    "qstrnicmp$$$",	//520
    "qstrnlen",	//521
    "qstrnlen$$",	//522
    "qtTrId",	//523
    "qtTrId$",	//524
    "qtTrId$$",	//525
    "qt_assert",	//526
    "qt_assert$$$",	//527
    "qt_assert_x",	//528
    "qt_assert_x$$$$",	//529
    "qt_check_pointer",	//530
    "qt_check_pointer$$",	//531
    "qt_error_string",	//532
    "qt_error_string$",	//533
    "qt_message_output",	//534
    "qt_message_output$$",	//535
    "qt_noop",	//536
    "qt_qFindChild_helper",	//537
    "qt_qFindChild_helper#$#",	//538
    "qt_qFindChildren_helper",	//539
    "qt_qFindChildren_helper#$##?",	//540
    "qvariant_cast_helper",	//541
    "qvariant_cast_helper#$$",	//542
    "qvsnprintf",	//543
    "qvsnprintf$$$?",	//544
    "removeAttribute",	//545
    "removeAttribute$",	//546
    "removeAttributeNS",	//547
    "removeAttributeNS$$",	//548
    "removeAttributeNode",	//549
    "removeAttributeNode#",	//550
    "removeChild",	//551
    "removeChild#",	//552
    "removeNamedItem",	//553
    "removeNamedItem$",	//554
    "removeNamedItemNS",	//555
    "removeNamedItemNS$$",	//556
    "replaceChild",	//557
    "replaceChild##",	//558
    "replaceData",	//559
    "replaceData$$$",	//560
    "reset",	//561
    "resolveEntity",	//562
    "resolveEntity$$#",	//563
    "save",	//564
    "save#$",	//565
    "save#$$",	//566
    "setAttribute",	//567
    "setAttribute$$",	//568
    "setAttributeNS",	//569
    "setAttributeNS$$$",	//570
    "setAttributeNode",	//571
    "setAttributeNode#",	//572
    "setAttributeNodeNS",	//573
    "setAttributeNodeNS#",	//574
    "setAutoFormatting",	//575
    "setAutoFormatting$",	//576
    "setAutoFormattingIndent",	//577
    "setAutoFormattingIndent$",	//578
    "setCodec",	//579
    "setCodec#",	//580
    "setCodec$",	//581
    "setContent",	//582
    "setContent#",	//583
    "setContent##",	//584
    "setContent##$",	//585
    "setContent##$$",	//586
    "setContent##$$$",	//587
    "setContent#$",	//588
    "setContent#$$",	//589
    "setContent#$$$",	//590
    "setContent#$$$$",	//591
    "setContent$",	//592
    "setContent$$",	//593
    "setContent$$$",	//594
    "setContent$$$$",	//595
    "setContent$$$$$",	//596
    "setContentHandler",	//597
    "setContentHandler#",	//598
    "setDTDHandler",	//599
    "setDTDHandler#",	//600
    "setData",	//601
    "setData#",	//602
    "setData$",	//603
    "setDeclHandler",	//604
    "setDeclHandler#",	//605
    "setDevice",	//606
    "setDevice#",	//607
    "setDocumentLocator",	//608
    "setDocumentLocator#",	//609
    "setEntityResolver",	//610
    "setEntityResolver#",	//611
    "setErrorHandler",	//612
    "setErrorHandler#",	//613
    "setFeature",	//614
    "setFeature$$",	//615
    "setImpl",	//616
    "setImpl#",	//617
    "setInvalidDataPolicy",	//618
    "setInvalidDataPolicy$",	//619
    "setLexicalHandler",	//620
    "setLexicalHandler#",	//621
    "setNamedItem",	//622
    "setNamedItem#",	//623
    "setNamedItemNS",	//624
    "setNamedItemNS#",	//625
    "setNodeValue",	//626
    "setNodeValue$",	//627
    "setPrefix",	//628
    "setPrefix$",	//629
    "setPrefix$$",	//630
    "setProperty",	//631
    "setProperty$$",	//632
    "setTagName",	//633
    "setTagName$",	//634
    "setValue",	//635
    "setValue$",	//636
    "size",	//637
    "skippedEntity",	//638
    "skippedEntity$",	//639
    "specified",	//640
    "splitName",	//641
    "splitName$$$",	//642
    "splitText",	//643
    "splitText$",	//644
    "startCDATA",	//645
    "startDTD",	//646
    "startDTD$$$",	//647
    "startDocument",	//648
    "startElement",	//649
    "startElement$$$#",	//650
    "startEntity",	//651
    "startEntity$",	//652
    "startPrefixMapping",	//653
    "startPrefixMapping$$",	//654
    "substringData",	//655
    "substringData$$",	//656
    "systemId",	//657
    "tagName",	//658
    "target",	//659
    "text",	//660
    "toAttr",	//661
    "toByteArray",	//662
    "toByteArray$",	//663
    "toCDATASection",	//664
    "toCharacterData",	//665
    "toComment",	//666
    "toDocument",	//667
    "toDocumentFragment",	//668
    "toDocumentType",	//669
    "toElement",	//670
    "toEntity",	//671
    "toEntityReference",	//672
    "toNotation",	//673
    "toProcessingInstruction",	//674
    "toString",	//675
    "toString$",	//676
    "toText",	//677
    "type",	//678
    "type$",	//679
    "type$$",	//680
    "unparsedEntityDecl",	//681
    "unparsedEntityDecl$$$$",	//682
    "uri",	//683
    "uri$",	//684
    "value",	//685
    "value#",	//686
    "value$",	//687
    "value$$",	//688
    "warning",	//689
    "warning#",	//690
    "writeAttribute",	//691
    "writeAttribute#",	//692
    "writeAttribute$$",	//693
    "writeAttribute$$$",	//694
    "writeAttributes",	//695
    "writeAttributes#",	//696
    "writeCDATA",	//697
    "writeCDATA$",	//698
    "writeCharacters",	//699
    "writeCharacters$",	//700
    "writeComment",	//701
    "writeComment$",	//702
    "writeCurrentToken",	//703
    "writeCurrentToken#",	//704
    "writeDTD",	//705
    "writeDTD$",	//706
    "writeDefaultNamespace",	//707
    "writeDefaultNamespace$",	//708
    "writeEmptyElement",	//709
    "writeEmptyElement$",	//710
    "writeEmptyElement$$",	//711
    "writeEndDocument",	//712
    "writeEndElement",	//713
    "writeEntityReference",	//714
    "writeEntityReference$",	//715
    "writeNamespace",	//716
    "writeNamespace$",	//717
    "writeNamespace$$",	//718
    "writeProcessingInstruction",	//719
    "writeProcessingInstruction$",	//720
    "writeProcessingInstruction$$",	//721
    "writeStartDocument",	//722
    "writeStartDocument$",	//723
    "writeStartDocument$$",	//724
    "writeStartElement",	//725
    "writeStartElement$",	//726
    "writeStartElement$$",	//727
    "writeTextElement",	//728
    "writeTextElement$$",	//729
    "writeTextElement$$$",	//730
    "~QDomAttr",	//731
    "~QDomCDATASection",	//732
    "~QDomCharacterData",	//733
    "~QDomComment",	//734
    "~QDomDocument",	//735
    "~QDomDocumentFragment",	//736
    "~QDomDocumentType",	//737
    "~QDomElement",	//738
    "~QDomEntity",	//739
    "~QDomEntityReference",	//740
    "~QDomImplementation",	//741
    "~QDomNamedNodeMap",	//742
    "~QDomNode",	//743
    "~QDomNodeList",	//744
    "~QDomNotation",	//745
    "~QDomProcessingInstruction",	//746
    "~QDomText",	//747
    "~QXmlAttributes",	//748
    "~QXmlContentHandler",	//749
    "~QXmlDTDHandler",	//750
    "~QXmlDeclHandler",	//751
    "~QXmlDefaultHandler",	//752
    "~QXmlEntityResolver",	//753
    "~QXmlErrorHandler",	//754
    "~QXmlInputSource",	//755
    "~QXmlLexicalHandler",	//756
    "~QXmlLocator",	//757
    "~QXmlNamespaceSupport",	//758
    "~QXmlParseException",	//759
    "~QXmlReader",	//760
    "~QXmlSimpleReader",	//761
    "~QXmlStreamWriter",	//762
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {10, 21, 0, 0, Smoke::mf_ctor, 19, 1},	//1 QDomAttr::QDomAttr()
    {10, 21, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 2},	//2 QDomAttr::QDomAttr(const QDomAttr&)
    {10, 320, 1, 1, 0, 18, 3},	//3 QDomAttr::operator=(const QDomAttr&)
    {10, 267, 0, 0, Smoke::mf_const, 122, 4},	//4 QDomAttr::name() const
    {10, 640, 0, 0, Smoke::mf_const, 236, 5},	//5 QDomAttr::specified() const
    {10, 348, 0, 0, Smoke::mf_const, 38, 6},	//6 QDomAttr::ownerElement() const
    {10, 685, 0, 0, Smoke::mf_const, 122, 7},	//7 QDomAttr::value() const
    {10, 635, 3, 1, 0, 0, 8},	//8 QDomAttr::setValue(const QString&)
    {10, 278, 0, 0, Smoke::mf_const, 58, 9},	//9 QDomAttr::nodeType() const
    {10, 731, 0, 0, Smoke::mf_dtor, 0, 10 },	//10 QDomAttr::~QDomAttr()
    {11, 23, 0, 0, Smoke::mf_ctor, 22, 1},	//11 QDomCDATASection::QDomCDATASection()
    {11, 23, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//12 QDomCDATASection::QDomCDATASection(const QDomCDATASection&)
    {11, 320, 5, 1, 0, 21, 3},	//13 QDomCDATASection::operator=(const QDomCDATASection&)
    {11, 278, 0, 0, Smoke::mf_const, 58, 4},	//14 QDomCDATASection::nodeType() const
    {11, 732, 0, 0, Smoke::mf_dtor, 0, 5 },	//15 QDomCDATASection::~QDomCDATASection()
    {12, 25, 0, 0, Smoke::mf_ctor, 25, 1},	//16 QDomCharacterData::QDomCharacterData()
    {12, 25, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 2},	//17 QDomCharacterData::QDomCharacterData(const QDomCharacterData&)
    {12, 320, 7, 1, 0, 24, 3},	//18 QDomCharacterData::operator=(const QDomCharacterData&)
    {12, 655, 9, 2, 0, 122, 4},	//19 QDomCharacterData::substringData(unsigned long, unsigned long)
    {12, 109, 3, 1, 0, 0, 5},	//20 QDomCharacterData::appendData(const QString&)
    {12, 233, 12, 2, 0, 0, 6},	//21 QDomCharacterData::insertData(unsigned long, const QString&)
    {12, 167, 9, 2, 0, 0, 7},	//22 QDomCharacterData::deleteData(unsigned long, unsigned long)
    {12, 559, 15, 3, 0, 0, 8},	//23 QDomCharacterData::replaceData(unsigned long, unsigned long, const QString&)
    {12, 261, 0, 0, Smoke::mf_const, 330, 9},	//24 QDomCharacterData::length() const
    {12, 165, 0, 0, Smoke::mf_const, 122, 10},	//25 QDomCharacterData::data() const
    {12, 601, 3, 1, 0, 0, 11},	//26 QDomCharacterData::setData(const QString&)
    {12, 278, 0, 0, Smoke::mf_const, 58, 12},	//27 QDomCharacterData::nodeType() const
    {12, 733, 0, 0, Smoke::mf_dtor, 0, 13 },	//28 QDomCharacterData::~QDomCharacterData()
    {13, 27, 0, 0, Smoke::mf_ctor, 28, 1},	//29 QDomComment::QDomComment()
    {13, 27, 19, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 2},	//30 QDomComment::QDomComment(const QDomComment&)
    {13, 320, 19, 1, 0, 27, 3},	//31 QDomComment::operator=(const QDomComment&)
    {13, 278, 0, 0, Smoke::mf_const, 58, 4},	//32 QDomComment::nodeType() const
    {13, 734, 0, 0, Smoke::mf_dtor, 0, 5 },	//33 QDomComment::~QDomComment()
    {14, 29, 0, 0, Smoke::mf_ctor, 31, 1},	//34 QDomDocument::QDomDocument()
    {14, 29, 3, 1, Smoke::mf_ctor, 31, 2},	//35 QDomDocument::QDomDocument(const QString&)
    {14, 29, 21, 1, Smoke::mf_ctor, 31, 3},	//36 QDomDocument::QDomDocument(const QDomDocumentType&)
    {14, 29, 23, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//37 QDomDocument::QDomDocument(const QDomDocument&)
    {14, 320, 23, 1, 0, 30, 5},	//38 QDomDocument::operator=(const QDomDocument&)
    {14, 155, 3, 1, 0, 38, 6},	//39 QDomDocument::createElement(const QString&)
    {14, 152, 0, 0, 0, 32, 7},	//40 QDomDocument::createDocumentFragment()
    {14, 163, 3, 1, 0, 69, 8},	//41 QDomDocument::createTextNode(const QString&)
    {14, 148, 3, 1, 0, 26, 9},	//42 QDomDocument::createComment(const QString&)
    {14, 146, 3, 1, 0, 20, 10},	//43 QDomDocument::createCDATASection(const QString&)
    {14, 161, 25, 2, 0, 66, 11},	//44 QDomDocument::createProcessingInstruction(const QString&, const QString&)
    {14, 142, 3, 1, 0, 17, 12},	//45 QDomDocument::createAttribute(const QString&)
    {14, 159, 3, 1, 0, 44, 13},	//46 QDomDocument::createEntityReference(const QString&)
    {14, 174, 3, 1, Smoke::mf_const, 59, 14},	//47 QDomDocument::elementsByTagName(const QString&) const
    {14, 223, 28, 2, 0, 54, 15},	//48 QDomDocument::importNode(const QDomNode&, bool)
    {14, 157, 25, 2, 0, 38, 16},	//49 QDomDocument::createElementNS(const QString&, const QString&)
    {14, 144, 25, 2, 0, 17, 17},	//50 QDomDocument::createAttributeNS(const QString&, const QString&)
    {14, 176, 25, 2, 0, 59, 18},	//51 QDomDocument::elementsByTagNameNS(const QString&, const QString&)
    {14, 172, 3, 1, 0, 38, 19},	//52 QDomDocument::elementById(const QString&)
    {14, 170, 0, 0, Smoke::mf_const, 35, 20},	//53 QDomDocument::doctype() const
    {14, 222, 0, 0, Smoke::mf_const, 47, 21},	//54 QDomDocument::implementation() const
    {14, 171, 0, 0, Smoke::mf_const, 38, 22},	//55 QDomDocument::documentElement() const
    {14, 278, 0, 0, Smoke::mf_const, 58, 23},	//56 QDomDocument::nodeType() const
    {14, 582, 31, 5, 0, 236, 24},	//57 QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    {14, 582, 37, 5, 0, 236, 25},	//58 QDomDocument::setContent(const QString&, bool, QString*, int*, int*)
    {14, 582, 43, 5, 0, 236, 26},	//59 QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    {14, 582, 49, 5, 0, 236, 27},	//60 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    {14, 582, 55, 4, 0, 236, 28},	//61 QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    {14, 582, 60, 4, 0, 236, 29},	//62 QDomDocument::setContent(const QString&, QString*, int*, int*)
    {14, 582, 65, 4, 0, 236, 30},	//63 QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    {14, 582, 70, 5, 0, 236, 31},	//64 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*, int*)
    {14, 675, 76, 1, Smoke::mf_const, 122, 32},	//65 QDomDocument::toString(int) const
    {14, 662, 76, 1, Smoke::mf_const, 5, 33},	//66 QDomDocument::toByteArray(int) const
    {14, 582, 78, 2, 0, 236, 34},	//67 QDomDocument::setContent(const QByteArray&, bool)
    {14, 582, 81, 3, 0, 236, 35},	//68 QDomDocument::setContent(const QByteArray&, bool, QString*)
    {14, 582, 85, 4, 0, 236, 36},	//69 QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    {14, 582, 90, 2, 0, 236, 37},	//70 QDomDocument::setContent(const QString&, bool)
    {14, 582, 93, 3, 0, 236, 38},	//71 QDomDocument::setContent(const QString&, bool, QString*)
    {14, 582, 97, 4, 0, 236, 39},	//72 QDomDocument::setContent(const QString&, bool, QString*, int*)
    {14, 582, 102, 2, 0, 236, 40},	//73 QDomDocument::setContent(QIODevice*, bool)
    {14, 582, 105, 3, 0, 236, 41},	//74 QDomDocument::setContent(QIODevice*, bool, QString*)
    {14, 582, 109, 4, 0, 236, 42},	//75 QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    {14, 582, 114, 2, 0, 236, 43},	//76 QDomDocument::setContent(QXmlInputSource*, bool)
    {14, 582, 117, 3, 0, 236, 44},	//77 QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    {14, 582, 121, 4, 0, 236, 45},	//78 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    {14, 582, 126, 1, 0, 236, 46},	//79 QDomDocument::setContent(const QByteArray&)
    {14, 582, 128, 2, 0, 236, 47},	//80 QDomDocument::setContent(const QByteArray&, QString*)
    {14, 582, 131, 3, 0, 236, 48},	//81 QDomDocument::setContent(const QByteArray&, QString*, int*)
    {14, 582, 3, 1, 0, 236, 49},	//82 QDomDocument::setContent(const QString&)
    {14, 582, 135, 2, 0, 236, 50},	//83 QDomDocument::setContent(const QString&, QString*)
    {14, 582, 138, 3, 0, 236, 51},	//84 QDomDocument::setContent(const QString&, QString*, int*)
    {14, 582, 142, 1, 0, 236, 52},	//85 QDomDocument::setContent(QIODevice*)
    {14, 582, 144, 2, 0, 236, 53},	//86 QDomDocument::setContent(QIODevice*, QString*)
    {14, 582, 147, 3, 0, 236, 54},	//87 QDomDocument::setContent(QIODevice*, QString*, int*)
    {14, 582, 151, 2, 0, 236, 55},	//88 QDomDocument::setContent(QXmlInputSource*, QXmlReader*)
    {14, 582, 154, 3, 0, 236, 56},	//89 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*)
    {14, 582, 158, 4, 0, 236, 57},	//90 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*)
    {14, 675, 0, 0, Smoke::mf_const, 122, 58},	//91 QDomDocument::toString() const
    {14, 662, 0, 0, Smoke::mf_const, 5, 59},	//92 QDomDocument::toByteArray() const
    {14, 735, 0, 0, Smoke::mf_dtor, 0, 60 },	//93 QDomDocument::~QDomDocument()
    {15, 32, 0, 0, Smoke::mf_ctor, 34, 1},	//94 QDomDocumentFragment::QDomDocumentFragment()
    {15, 32, 163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//95 QDomDocumentFragment::QDomDocumentFragment(const QDomDocumentFragment&)
    {15, 320, 163, 1, 0, 33, 3},	//96 QDomDocumentFragment::operator=(const QDomDocumentFragment&)
    {15, 278, 0, 0, Smoke::mf_const, 58, 4},	//97 QDomDocumentFragment::nodeType() const
    {15, 736, 0, 0, Smoke::mf_dtor, 0, 5 },	//98 QDomDocumentFragment::~QDomDocumentFragment()
    {16, 34, 0, 0, Smoke::mf_ctor, 37, 1},	//99 QDomDocumentType::QDomDocumentType()
    {16, 34, 21, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 2},	//100 QDomDocumentType::QDomDocumentType(const QDomDocumentType&)
    {16, 320, 21, 1, 0, 36, 3},	//101 QDomDocumentType::operator=(const QDomDocumentType&)
    {16, 267, 0, 0, Smoke::mf_const, 122, 4},	//102 QDomDocumentType::name() const
    {16, 187, 0, 0, Smoke::mf_const, 51, 5},	//103 QDomDocumentType::entities() const
    {16, 284, 0, 0, Smoke::mf_const, 51, 6},	//104 QDomDocumentType::notations() const
    {16, 369, 0, 0, Smoke::mf_const, 122, 7},	//105 QDomDocumentType::publicId() const
    {16, 657, 0, 0, Smoke::mf_const, 122, 8},	//106 QDomDocumentType::systemId() const
    {16, 237, 0, 0, Smoke::mf_const, 122, 9},	//107 QDomDocumentType::internalSubset() const
    {16, 278, 0, 0, Smoke::mf_const, 58, 10},	//108 QDomDocumentType::nodeType() const
    {16, 737, 0, 0, Smoke::mf_dtor, 0, 11 },	//109 QDomDocumentType::~QDomDocumentType()
    {17, 36, 0, 0, Smoke::mf_ctor, 40, 1},	//110 QDomElement::QDomElement()
    {17, 36, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 2},	//111 QDomElement::QDomElement(const QDomElement&)
    {17, 320, 165, 1, 0, 39, 3},	//112 QDomElement::operator=(const QDomElement&)
    {17, 113, 25, 2, Smoke::mf_const, 122, 4},	//113 QDomElement::attribute(const QString&, const QString&) const
    {17, 567, 25, 2, 0, 0, 5},	//114 QDomElement::setAttribute(const QString&, const QString&)
    {17, 567, 167, 2, 0, 0, 6},	//115 QDomElement::setAttribute(const QString&, long long)
    {17, 567, 170, 2, 0, 0, 7},	//116 QDomElement::setAttribute(const QString&, unsigned long long)
    {17, 567, 173, 2, 0, 0, 8},	//117 QDomElement::setAttribute(const QString&, int)
    {17, 567, 176, 2, 0, 0, 9},	//118 QDomElement::setAttribute(const QString&, unsigned int)
    {17, 567, 179, 2, 0, 0, 10},	//119 QDomElement::setAttribute(const QString&, float)
    {17, 567, 182, 2, 0, 0, 11},	//120 QDomElement::setAttribute(const QString&, double)
    {17, 545, 3, 1, 0, 0, 12},	//121 QDomElement::removeAttribute(const QString&)
    {17, 121, 3, 1, 0, 17, 13},	//122 QDomElement::attributeNode(const QString&)
    {17, 571, 1, 1, 0, 17, 14},	//123 QDomElement::setAttributeNode(const QDomAttr&)
    {17, 549, 1, 1, 0, 17, 15},	//124 QDomElement::removeAttributeNode(const QDomAttr&)
    {17, 174, 3, 1, Smoke::mf_const, 59, 16},	//125 QDomElement::elementsByTagName(const QString&) const
    {17, 207, 3, 1, Smoke::mf_const, 236, 17},	//126 QDomElement::hasAttribute(const QString&) const
    {17, 118, 185, 3, Smoke::mf_const, 122, 18},	//127 QDomElement::attributeNS(const QString, const QString&, const QString&) const
    {17, 569, 185, 3, 0, 0, 19},	//128 QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    {17, 569, 189, 3, 0, 0, 20},	//129 QDomElement::setAttributeNS(const QString, const QString&, int)
    {17, 569, 193, 3, 0, 0, 21},	//130 QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    {17, 569, 197, 3, 0, 0, 22},	//131 QDomElement::setAttributeNS(const QString, const QString&, long long)
    {17, 569, 201, 3, 0, 0, 23},	//132 QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    {17, 569, 205, 3, 0, 0, 24},	//133 QDomElement::setAttributeNS(const QString, const QString&, double)
    {17, 547, 25, 2, 0, 0, 25},	//134 QDomElement::removeAttributeNS(const QString&, const QString&)
    {17, 123, 25, 2, 0, 17, 26},	//135 QDomElement::attributeNodeNS(const QString&, const QString&)
    {17, 573, 1, 1, 0, 17, 27},	//136 QDomElement::setAttributeNodeNS(const QDomAttr&)
    {17, 176, 25, 2, Smoke::mf_const, 59, 28},	//137 QDomElement::elementsByTagNameNS(const QString&, const QString&) const
    {17, 209, 25, 2, Smoke::mf_const, 236, 29},	//138 QDomElement::hasAttributeNS(const QString&, const QString&) const
    {17, 658, 0, 0, Smoke::mf_const, 122, 30},	//139 QDomElement::tagName() const
    {17, 633, 3, 1, 0, 0, 31},	//140 QDomElement::setTagName(const QString&)
    {17, 125, 0, 0, Smoke::mf_const, 51, 32},	//141 QDomElement::attributes() const
    {17, 278, 0, 0, Smoke::mf_const, 58, 33},	//142 QDomElement::nodeType() const
    {17, 660, 0, 0, Smoke::mf_const, 122, 34},	//143 QDomElement::text() const
    {17, 113, 3, 1, Smoke::mf_const, 122, 35},	//144 QDomElement::attribute(const QString&) const
    {17, 118, 209, 2, Smoke::mf_const, 122, 36},	//145 QDomElement::attributeNS(const QString, const QString&) const
    {17, 738, 0, 0, Smoke::mf_dtor, 0, 37 },	//146 QDomElement::~QDomElement()
    {18, 38, 0, 0, Smoke::mf_ctor, 43, 1},	//147 QDomEntity::QDomEntity()
    {18, 38, 212, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 2},	//148 QDomEntity::QDomEntity(const QDomEntity&)
    {18, 320, 212, 1, 0, 42, 3},	//149 QDomEntity::operator=(const QDomEntity&)
    {18, 369, 0, 0, Smoke::mf_const, 122, 4},	//150 QDomEntity::publicId() const
    {18, 657, 0, 0, Smoke::mf_const, 122, 5},	//151 QDomEntity::systemId() const
    {18, 283, 0, 0, Smoke::mf_const, 122, 6},	//152 QDomEntity::notationName() const
    {18, 278, 0, 0, Smoke::mf_const, 58, 7},	//153 QDomEntity::nodeType() const
    {18, 739, 0, 0, Smoke::mf_dtor, 0, 8 },	//154 QDomEntity::~QDomEntity()
    {19, 40, 0, 0, Smoke::mf_ctor, 46, 1},	//155 QDomEntityReference::QDomEntityReference()
    {19, 40, 214, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 2},	//156 QDomEntityReference::QDomEntityReference(const QDomEntityReference&)
    {19, 320, 214, 1, 0, 45, 3},	//157 QDomEntityReference::operator=(const QDomEntityReference&)
    {19, 278, 0, 0, Smoke::mf_const, 58, 4},	//158 QDomEntityReference::nodeType() const
    {19, 740, 0, 0, Smoke::mf_dtor, 0, 5 },	//159 QDomEntityReference::~QDomEntityReference()
    {20, 42, 0, 0, Smoke::mf_ctor, 49, 1},	//160 QDomImplementation::QDomImplementation()
    {20, 42, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 2},	//161 QDomImplementation::QDomImplementation(const QDomImplementation&)
    {20, 320, 216, 1, 0, 48, 3},	//162 QDomImplementation::operator=(const QDomImplementation&)
    {20, 322, 216, 1, Smoke::mf_const, 236, 4},	//163 QDomImplementation::operator==(const QDomImplementation&) const
    {20, 285, 216, 1, Smoke::mf_const, 236, 5},	//164 QDomImplementation::operator!=(const QDomImplementation&) const
    {20, 214, 25, 2, Smoke::mf_const, 236, 6},	//165 QDomImplementation::hasFeature(const QString&, const QString&) const
    {20, 153, 218, 3, 0, 35, 7},	//166 QDomImplementation::createDocumentType(const QString&, const QString&, const QString&)
    {20, 150, 222, 3, 0, 29, 8},	//167 QDomImplementation::createDocument(const QString&, const QString&, const QDomDocumentType&)
    {20, 238, 0, 0, Smoke::mf_static, 50, 9},	//168 QDomImplementation::invalidDataPolicy()
    {20, 618, 226, 1, Smoke::mf_static, 0, 10},	//169 QDomImplementation::setInvalidDataPolicy(QDomImplementation::InvalidDataPolicy)
    {20, 251, 0, 0, 0, 236, 11},	//170 QDomImplementation::isNull()
    {20, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 12},	//171 QDomImplementation::AcceptInvalidChars (enum)
    {20, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 13},	//172 QDomImplementation::DropInvalidChars (enum)
    {20, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 14},	//173 QDomImplementation::ReturnNullNode (enum)
    {20, 741, 0, 0, Smoke::mf_dtor, 0, 15 },	//174 QDomImplementation::~QDomImplementation()
    {21, 44, 0, 0, Smoke::mf_ctor, 53, 1},	//175 QDomNamedNodeMap::QDomNamedNodeMap()
    {21, 44, 228, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 2},	//176 QDomNamedNodeMap::QDomNamedNodeMap(const QDomNamedNodeMap&)
    {21, 320, 228, 1, 0, 52, 3},	//177 QDomNamedNodeMap::operator=(const QDomNamedNodeMap&)
    {21, 322, 228, 1, Smoke::mf_const, 236, 4},	//178 QDomNamedNodeMap::operator==(const QDomNamedNodeMap&) const
    {21, 285, 228, 1, Smoke::mf_const, 236, 5},	//179 QDomNamedNodeMap::operator!=(const QDomNamedNodeMap&) const
    {21, 268, 3, 1, Smoke::mf_const, 54, 6},	//180 QDomNamedNodeMap::namedItem(const QString&) const
    {21, 622, 230, 1, 0, 54, 7},	//181 QDomNamedNodeMap::setNamedItem(const QDomNode&)
    {21, 553, 3, 1, 0, 54, 8},	//182 QDomNamedNodeMap::removeNamedItem(const QString&)
    {21, 256, 76, 1, Smoke::mf_const, 54, 9},	//183 QDomNamedNodeMap::item(int) const
    {21, 270, 25, 2, Smoke::mf_const, 54, 10},	//184 QDomNamedNodeMap::namedItemNS(const QString&, const QString&) const
    {21, 624, 230, 1, 0, 54, 11},	//185 QDomNamedNodeMap::setNamedItemNS(const QDomNode&)
    {21, 555, 25, 2, 0, 54, 12},	//186 QDomNamedNodeMap::removeNamedItemNS(const QString&, const QString&)
    {21, 261, 0, 0, Smoke::mf_const, 330, 13},	//187 QDomNamedNodeMap::length() const
    {21, 141, 0, 0, Smoke::mf_const, 319, 14},	//188 QDomNamedNodeMap::count() const
    {21, 637, 0, 0, Smoke::mf_const, 319, 15},	//189 QDomNamedNodeMap::size() const
    {21, 247, 0, 0, Smoke::mf_const, 236, 16},	//190 QDomNamedNodeMap::isEmpty() const
    {21, 138, 3, 1, Smoke::mf_const, 236, 17},	//191 QDomNamedNodeMap::contains(const QString&) const
    {21, 742, 0, 0, Smoke::mf_dtor, 0, 18 },	//192 QDomNamedNodeMap::~QDomNamedNodeMap()
    {22, 46, 0, 0, Smoke::mf_ctor, 56, 1},	//193 QDomNode::QDomNode()
    {22, 46, 230, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 2},	//194 QDomNode::QDomNode(const QDomNode&)
    {22, 320, 230, 1, 0, 55, 3},	//195 QDomNode::operator=(const QDomNode&)
    {22, 322, 230, 1, Smoke::mf_const, 236, 4},	//196 QDomNode::operator==(const QDomNode&) const
    {22, 285, 230, 1, Smoke::mf_const, 236, 5},	//197 QDomNode::operator!=(const QDomNode&) const
    {22, 231, 232, 2, 0, 54, 6},	//198 QDomNode::insertBefore(const QDomNode&, const QDomNode&)
    {22, 229, 232, 2, 0, 54, 7},	//199 QDomNode::insertAfter(const QDomNode&, const QDomNode&)
    {22, 557, 232, 2, 0, 54, 8},	//200 QDomNode::replaceChild(const QDomNode&, const QDomNode&)
    {22, 551, 230, 1, 0, 54, 9},	//201 QDomNode::removeChild(const QDomNode&)
    {22, 107, 230, 1, 0, 54, 10},	//202 QDomNode::appendChild(const QDomNode&)
    {22, 212, 0, 0, Smoke::mf_const, 236, 11},	//203 QDomNode::hasChildNodes() const
    {22, 132, 235, 1, Smoke::mf_const, 54, 12},	//204 QDomNode::cloneNode(bool) const
    {22, 280, 0, 0, 0, 0, 13},	//205 QDomNode::normalize()
    {22, 253, 25, 2, Smoke::mf_const, 236, 14},	//206 QDomNode::isSupported(const QString&, const QString&) const
    {22, 277, 0, 0, Smoke::mf_const, 122, 15},	//207 QDomNode::nodeName() const
    {22, 278, 0, 0, Smoke::mf_const, 58, 16},	//208 QDomNode::nodeType() const
    {22, 349, 0, 0, Smoke::mf_const, 54, 17},	//209 QDomNode::parentNode() const
    {22, 130, 0, 0, Smoke::mf_const, 59, 18},	//210 QDomNode::childNodes() const
    {22, 201, 0, 0, Smoke::mf_const, 54, 19},	//211 QDomNode::firstChild() const
    {22, 258, 0, 0, Smoke::mf_const, 54, 20},	//212 QDomNode::lastChild() const
    {22, 359, 0, 0, Smoke::mf_const, 54, 21},	//213 QDomNode::previousSibling() const
    {22, 274, 0, 0, Smoke::mf_const, 54, 22},	//214 QDomNode::nextSibling() const
    {22, 125, 0, 0, Smoke::mf_const, 51, 23},	//215 QDomNode::attributes() const
    {22, 347, 0, 0, Smoke::mf_const, 29, 24},	//216 QDomNode::ownerDocument() const
    {22, 272, 0, 0, Smoke::mf_const, 122, 25},	//217 QDomNode::namespaceURI() const
    {22, 264, 0, 0, Smoke::mf_const, 122, 26},	//218 QDomNode::localName() const
    {22, 211, 0, 0, Smoke::mf_const, 236, 27},	//219 QDomNode::hasAttributes() const
    {22, 279, 0, 0, Smoke::mf_const, 122, 28},	//220 QDomNode::nodeValue() const
    {22, 626, 3, 1, 0, 0, 29},	//221 QDomNode::setNodeValue(const QString&)
    {22, 355, 0, 0, Smoke::mf_const, 122, 30},	//222 QDomNode::prefix() const
    {22, 628, 3, 1, 0, 0, 31},	//223 QDomNode::setPrefix(const QString&)
    {22, 239, 0, 0, Smoke::mf_const, 236, 32},	//224 QDomNode::isAttr() const
    {22, 240, 0, 0, Smoke::mf_const, 236, 33},	//225 QDomNode::isCDATASection() const
    {22, 244, 0, 0, Smoke::mf_const, 236, 34},	//226 QDomNode::isDocumentFragment() const
    {22, 243, 0, 0, Smoke::mf_const, 236, 35},	//227 QDomNode::isDocument() const
    {22, 245, 0, 0, Smoke::mf_const, 236, 36},	//228 QDomNode::isDocumentType() const
    {22, 246, 0, 0, Smoke::mf_const, 236, 37},	//229 QDomNode::isElement() const
    {22, 249, 0, 0, Smoke::mf_const, 236, 38},	//230 QDomNode::isEntityReference() const
    {22, 255, 0, 0, Smoke::mf_const, 236, 39},	//231 QDomNode::isText() const
    {22, 248, 0, 0, Smoke::mf_const, 236, 40},	//232 QDomNode::isEntity() const
    {22, 250, 0, 0, Smoke::mf_const, 236, 41},	//233 QDomNode::isNotation() const
    {22, 252, 0, 0, Smoke::mf_const, 236, 42},	//234 QDomNode::isProcessingInstruction() const
    {22, 241, 0, 0, Smoke::mf_const, 236, 43},	//235 QDomNode::isCharacterData() const
    {22, 242, 0, 0, Smoke::mf_const, 236, 44},	//236 QDomNode::isComment() const
    {22, 268, 3, 1, Smoke::mf_const, 54, 45},	//237 QDomNode::namedItem(const QString&) const
    {22, 251, 0, 0, Smoke::mf_const, 236, 46},	//238 QDomNode::isNull() const
    {22, 131, 0, 0, 0, 0, 47},	//239 QDomNode::clear()
    {22, 661, 0, 0, Smoke::mf_const, 17, 48},	//240 QDomNode::toAttr() const
    {22, 664, 0, 0, Smoke::mf_const, 20, 49},	//241 QDomNode::toCDATASection() const
    {22, 668, 0, 0, Smoke::mf_const, 32, 50},	//242 QDomNode::toDocumentFragment() const
    {22, 667, 0, 0, Smoke::mf_const, 29, 51},	//243 QDomNode::toDocument() const
    {22, 669, 0, 0, Smoke::mf_const, 35, 52},	//244 QDomNode::toDocumentType() const
    {22, 670, 0, 0, Smoke::mf_const, 38, 53},	//245 QDomNode::toElement() const
    {22, 672, 0, 0, Smoke::mf_const, 44, 54},	//246 QDomNode::toEntityReference() const
    {22, 677, 0, 0, Smoke::mf_const, 69, 55},	//247 QDomNode::toText() const
    {22, 671, 0, 0, Smoke::mf_const, 41, 56},	//248 QDomNode::toEntity() const
    {22, 673, 0, 0, Smoke::mf_const, 63, 57},	//249 QDomNode::toNotation() const
    {22, 674, 0, 0, Smoke::mf_const, 66, 58},	//250 QDomNode::toProcessingInstruction() const
    {22, 665, 0, 0, Smoke::mf_const, 23, 59},	//251 QDomNode::toCharacterData() const
    {22, 666, 0, 0, Smoke::mf_const, 26, 60},	//252 QDomNode::toComment() const
    {22, 564, 237, 2, Smoke::mf_const, 0, 61},	//253 QDomNode::save(QTextStream&, int) const
    {22, 564, 240, 3, Smoke::mf_const, 0, 62},	//254 QDomNode::save(QTextStream&, int, QDomNode::EncodingPolicy) const
    {22, 202, 3, 1, Smoke::mf_const, 38, 63},	//255 QDomNode::firstChildElement(const QString&) const
    {22, 259, 3, 1, Smoke::mf_const, 38, 64},	//256 QDomNode::lastChildElement(const QString&) const
    {22, 360, 3, 1, Smoke::mf_const, 38, 65},	//257 QDomNode::previousSiblingElement(const QString&) const
    {22, 275, 3, 1, Smoke::mf_const, 38, 66},	//258 QDomNode::nextSiblingElement(const QString&) const
    {22, 263, 0, 0, Smoke::mf_const, 319, 67},	//259 QDomNode::lineNumber() const
    {22, 135, 0, 0, Smoke::mf_const, 319, 68},	//260 QDomNode::columnNumber() const
    {22, 132, 0, 0, Smoke::mf_const, 54, 69},	//261 QDomNode::cloneNode() const
    {22, 202, 0, 0, Smoke::mf_const, 38, 70},	//262 QDomNode::firstChildElement() const
    {22, 259, 0, 0, Smoke::mf_const, 38, 71},	//263 QDomNode::lastChildElement() const
    {22, 360, 0, 0, Smoke::mf_const, 38, 72},	//264 QDomNode::previousSiblingElement() const
    {22, 275, 0, 0, Smoke::mf_const, 38, 73},	//265 QDomNode::nextSiblingElement() const
    {22, 221, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 62, 74},	//266 QDomNode::impl() const
    {22, 616, 244, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 75},	//267 QDomNode::setImpl(QDomNodePrivate*)
    {22, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 76},	//268 QDomNode::ElementNode (enum)
    {22, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 77},	//269 QDomNode::AttributeNode (enum)
    {22, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 78},	//270 QDomNode::TextNode (enum)
    {22, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 79},	//271 QDomNode::CDATASectionNode (enum)
    {22, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 80},	//272 QDomNode::EntityReferenceNode (enum)
    {22, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 81},	//273 QDomNode::EntityNode (enum)
    {22, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 82},	//274 QDomNode::ProcessingInstructionNode (enum)
    {22, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 83},	//275 QDomNode::CommentNode (enum)
    {22, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 84},	//276 QDomNode::DocumentNode (enum)
    {22, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 85},	//277 QDomNode::DocumentTypeNode (enum)
    {22, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 86},	//278 QDomNode::DocumentFragmentNode (enum)
    {22, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 87},	//279 QDomNode::NotationNode (enum)
    {22, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 88},	//280 QDomNode::BaseNode (enum)
    {22, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 89},	//281 QDomNode::CharacterDataNode (enum)
    {22, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 90},	//282 QDomNode::EncodingFromDocument (enum)
    {22, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 91},	//283 QDomNode::EncodingFromTextStream (enum)
    {22, 743, 0, 0, Smoke::mf_dtor, 0, 92 },	//284 QDomNode::~QDomNode()
    {23, 48, 0, 0, Smoke::mf_ctor, 61, 1},	//285 QDomNodeList::QDomNodeList()
    {23, 48, 246, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 2},	//286 QDomNodeList::QDomNodeList(const QDomNodeList&)
    {23, 320, 246, 1, 0, 60, 3},	//287 QDomNodeList::operator=(const QDomNodeList&)
    {23, 322, 246, 1, Smoke::mf_const, 236, 4},	//288 QDomNodeList::operator==(const QDomNodeList&) const
    {23, 285, 246, 1, Smoke::mf_const, 236, 5},	//289 QDomNodeList::operator!=(const QDomNodeList&) const
    {23, 256, 76, 1, Smoke::mf_const, 54, 6},	//290 QDomNodeList::item(int) const
    {23, 111, 76, 1, Smoke::mf_const, 54, 7},	//291 QDomNodeList::at(int) const
    {23, 261, 0, 0, Smoke::mf_const, 330, 8},	//292 QDomNodeList::length() const
    {23, 141, 0, 0, Smoke::mf_const, 319, 9},	//293 QDomNodeList::count() const
    {23, 637, 0, 0, Smoke::mf_const, 319, 10},	//294 QDomNodeList::size() const
    {23, 247, 0, 0, Smoke::mf_const, 236, 11},	//295 QDomNodeList::isEmpty() const
    {23, 744, 0, 0, Smoke::mf_dtor, 0, 12 },	//296 QDomNodeList::~QDomNodeList()
    {25, 50, 0, 0, Smoke::mf_ctor, 65, 1},	//297 QDomNotation::QDomNotation()
    {25, 50, 248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 2},	//298 QDomNotation::QDomNotation(const QDomNotation&)
    {25, 320, 248, 1, 0, 64, 3},	//299 QDomNotation::operator=(const QDomNotation&)
    {25, 369, 0, 0, Smoke::mf_const, 122, 4},	//300 QDomNotation::publicId() const
    {25, 657, 0, 0, Smoke::mf_const, 122, 5},	//301 QDomNotation::systemId() const
    {25, 278, 0, 0, Smoke::mf_const, 58, 6},	//302 QDomNotation::nodeType() const
    {25, 745, 0, 0, Smoke::mf_dtor, 0, 7 },	//303 QDomNotation::~QDomNotation()
    {26, 52, 0, 0, Smoke::mf_ctor, 68, 1},	//304 QDomProcessingInstruction::QDomProcessingInstruction()
    {26, 52, 250, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 2},	//305 QDomProcessingInstruction::QDomProcessingInstruction(const QDomProcessingInstruction&)
    {26, 320, 250, 1, 0, 67, 3},	//306 QDomProcessingInstruction::operator=(const QDomProcessingInstruction&)
    {26, 659, 0, 0, Smoke::mf_const, 122, 4},	//307 QDomProcessingInstruction::target() const
    {26, 165, 0, 0, Smoke::mf_const, 122, 5},	//308 QDomProcessingInstruction::data() const
    {26, 601, 3, 1, 0, 0, 6},	//309 QDomProcessingInstruction::setData(const QString&)
    {26, 278, 0, 0, Smoke::mf_const, 58, 7},	//310 QDomProcessingInstruction::nodeType() const
    {26, 746, 0, 0, Smoke::mf_dtor, 0, 8 },	//311 QDomProcessingInstruction::~QDomProcessingInstruction()
    {27, 54, 0, 0, Smoke::mf_ctor, 71, 1},	//312 QDomText::QDomText()
    {27, 54, 252, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 71, 2},	//313 QDomText::QDomText(const QDomText&)
    {27, 320, 252, 1, 0, 70, 3},	//314 QDomText::operator=(const QDomText&)
    {27, 643, 76, 1, 0, 69, 4},	//315 QDomText::splitText(int)
    {27, 278, 0, 0, Smoke::mf_const, 58, 5},	//316 QDomText::nodeType() const
    {27, 747, 0, 0, Smoke::mf_dtor, 0, 6 },	//317 QDomText::~QDomText()
    {29, 291, 254, 2, Smoke::mf_static, 2, 1},	//318 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {29, 394, 0, 0, Smoke::mf_static, 13, 2},	//319 QGlobalSpace::qCritical()
    {29, 416, 257, 1, Smoke::mf_static, 330, 3},	//320 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {29, 344, 259, 2, Smoke::mf_static, 106, 4},	//321 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {29, 526, 262, 3, Smoke::mf_static, 0, 5},	//322 QGlobalSpace::qt_assert(const char*, const char*, int)
    {29, 293, 266, 2, Smoke::mf_static, 275, 6},	//323 QGlobalSpace::operator*(const QPoint&, double)
    {29, 426, 269, 1, Smoke::mf_static, 236, 7},	//324 QGlobalSpace::qIsInf(double)
    {29, 293, 271, 2, Smoke::mf_static, 277, 8},	//325 QGlobalSpace::operator*(double, const QPointF&)
    {29, 344, 274, 2, Smoke::mf_static, 97, 9},	//326 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {29, 285, 277, 2, Smoke::mf_static, 236, 10},	//327 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {29, 293, 280, 2, Smoke::mf_static, 285, 11},	//328 QGlobalSpace::operator*(double, const QSizeF&)
    {29, 344, 283, 2, Smoke::mf_static, 106, 12},	//329 QGlobalSpace::operator|(QDir::SortFlag, int)
    {29, 311, 286, 2, Smoke::mf_static, 13, 13},	//330 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {29, 344, 289, 2, Smoke::mf_static, 106, 14},	//331 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {29, 507, 292, 2, Smoke::mf_static, 239, 15},	//332 QGlobalSpace::qstrcpy(char*, const char*)
    {29, 285, 295, 2, Smoke::mf_static, 236, 16},	//333 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {29, 296, 298, 2, Smoke::mf_static, 283, 17},	//334 QGlobalSpace::operator+(const QSize&, const QSize&)
    {29, 398, 269, 1, Smoke::mf_static, 317, 18},	//335 QGlobalSpace::qFabs(double)
    {29, 344, 301, 2, Smoke::mf_static, 85, 19},	//336 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {29, 311, 304, 2, Smoke::mf_static, 13, 20},	//337 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {29, 446, 0, 0, Smoke::mf_static, 317, 21},	//338 QGlobalSpace::qQNaN()
    {29, 416, 307, 1, Smoke::mf_static, 330, 22},	//339 QGlobalSpace::qHash(unsigned char)
    {29, 344, 309, 2, Smoke::mf_static, 76, 23},	//340 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {29, 479, 0, 0, Smoke::mf_static, 313, 24},	//341 QGlobalSpace::qVersion()
    {29, 344, 312, 2, Smoke::mf_static, 79, 25},	//342 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {29, 322, 277, 2, Smoke::mf_static, 236, 26},	//343 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {29, 344, 315, 2, Smoke::mf_static, 102, 27},	//344 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {29, 293, 318, 2, Smoke::mf_static, 285, 28},	//345 QGlobalSpace::operator*(const QSizeF&, double)
    {29, 311, 321, 2, Smoke::mf_static, 10, 29},	//346 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {29, 344, 324, 2, Smoke::mf_static, 106, 30},	//347 QGlobalSpace::operator|(QDir::Filter, int)
    {29, 328, 327, 2, Smoke::mf_static, 236, 31},	//348 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {29, 383, 269, 1, Smoke::mf_static, 319, 32},	//349 QGlobalSpace::qCeil(double)
    {29, 497, 0, 0, Smoke::mf_static, 319, 33},	//350 QGlobalSpace::qrand()
    {29, 301, 330, 2, Smoke::mf_static, 285, 34},	//351 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {29, 333, 333, 2, Smoke::mf_static, 236, 35},	//352 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {29, 322, 336, 2, Smoke::mf_static, 236, 36},	//353 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {29, 344, 339, 2, Smoke::mf_static, 97, 37},	//354 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {29, 311, 342, 2, Smoke::mf_static, 13, 38},	//355 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {29, 285, 345, 2, Smoke::mf_static, 236, 39},	//356 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {29, 322, 348, 2, Smoke::mf_static, 236, 40},	//357 QGlobalSpace::operator==(QBool, QBool)
    {29, 344, 351, 2, Smoke::mf_static, 88, 41},	//358 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {29, 416, 354, 1, Smoke::mf_static, 330, 42},	//359 QGlobalSpace::qHash(const QStringRef&)
    {29, 322, 356, 2, Smoke::mf_static, 236, 43},	//360 QGlobalSpace::operator==(QString::Null, QString::Null)
    {29, 311, 359, 2, Smoke::mf_static, 10, 44},	//361 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {29, 338, 362, 2, Smoke::mf_static, 10, 45},	//362 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {29, 296, 365, 2, Smoke::mf_static, 287, 46},	//363 QGlobalSpace::operator+(QChar, const QString&)
    {29, 344, 368, 2, Smoke::mf_static, 81, 47},	//364 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {29, 344, 371, 2, Smoke::mf_static, 76, 48},	//365 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {29, 311, 374, 2, Smoke::mf_static, 13, 49},	//366 QGlobalSpace::operator<<(QDebug, const QTime&)
    {29, 311, 377, 2, Smoke::mf_static, 10, 50},	//367 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {29, 311, 380, 2, Smoke::mf_static, 13, 51},	//368 QGlobalSpace::operator<<(QDebug, const QDate&)
    {29, 416, 383, 1, Smoke::mf_static, 330, 52},	//369 QGlobalSpace::qHash(const QBitArray&)
    {29, 378, 269, 1, Smoke::mf_static, 317, 53},	//370 QGlobalSpace::qAtan(double)
    {29, 481, 385, 3, Smoke::mf_static, 0, 54},	//371 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {29, 541, 389, 3, Smoke::mf_static, 236, 55},	//372 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {29, 416, 3, 1, Smoke::mf_static, 330, 56},	//373 QGlobalSpace::qHash(const QString&)
    {29, 416, 393, 1, Smoke::mf_static, 330, 57},	//374 QGlobalSpace::qHash(unsigned short)
    {29, 451, 395, 1, Smoke::mf_static, 0, 58},	//375 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {29, 416, 397, 1, Smoke::mf_static, 330, 59},	//376 QGlobalSpace::qHash(long)
    {29, 344, 399, 2, Smoke::mf_static, 100, 60},	//377 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {29, 416, 402, 1, Smoke::mf_static, 330, 61},	//378 QGlobalSpace::qHash(long long)
    {29, 296, 330, 2, Smoke::mf_static, 285, 62},	//379 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {29, 344, 404, 2, Smoke::mf_static, 106, 63},	//380 QGlobalSpace::operator|(Qt::DropAction, int)
    {29, 311, 407, 2, Smoke::mf_static, 10, 64},	//381 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {29, 392, 269, 1, Smoke::mf_static, 317, 65},	//382 QGlobalSpace::qCos(double)
    {29, 344, 410, 2, Smoke::mf_static, 75, 66},	//383 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {29, 500, 413, 1, Smoke::mf_static, 0, 67},	//384 QGlobalSpace::qsrand(unsigned int)
    {29, 426, 415, 1, Smoke::mf_static, 236, 68},	//385 QGlobalSpace::qIsInf(float)
    {29, 344, 417, 2, Smoke::mf_static, 88, 69},	//386 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {29, 344, 420, 2, Smoke::mf_static, 106, 70},	//387 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {29, 311, 423, 2, Smoke::mf_static, 10, 71},	//388 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {29, 344, 426, 2, Smoke::mf_static, 106, 72},	//389 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {29, 306, 429, 2, Smoke::mf_static, 236, 73},	//390 QGlobalSpace::operator<(const QByteArray&, const char*)
    {29, 344, 432, 2, Smoke::mf_static, 78, 74},	//391 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {29, 311, 435, 2, Smoke::mf_static, 13, 75},	//392 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {29, 344, 438, 2, Smoke::mf_static, 89, 76},	//393 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {29, 480, 0, 0, Smoke::mf_static, 13, 77},	//394 QGlobalSpace::qWarning()
    {29, 344, 441, 2, Smoke::mf_static, 98, 78},	//395 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {29, 344, 444, 2, Smoke::mf_static, 106, 79},	//396 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {29, 338, 447, 2, Smoke::mf_static, 10, 80},	//397 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {29, 344, 450, 2, Smoke::mf_static, 106, 81},	//398 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {29, 296, 453, 2, Smoke::mf_static, 287, 82},	//399 QGlobalSpace::operator+(const QString&, const char*)
    {29, 311, 456, 2, Smoke::mf_static, 13, 83},	//400 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {29, 344, 459, 2, Smoke::mf_static, 91, 84},	//401 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {29, 338, 462, 2, Smoke::mf_static, 10, 85},	//402 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {29, 344, 465, 2, Smoke::mf_static, 81, 86},	//403 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {29, 296, 468, 2, Smoke::mf_static, 241, 87},	//404 QGlobalSpace::operator+(char, const QByteArray&)
    {29, 344, 471, 2, Smoke::mf_static, 106, 88},	//405 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {29, 304, 266, 2, Smoke::mf_static, 275, 89},	//406 QGlobalSpace::operator/(const QPoint&, double)
    {29, 296, 474, 2, Smoke::mf_static, 287, 90},	//407 QGlobalSpace::operator+(const char*, const QString&)
    {29, 322, 477, 2, Smoke::mf_static, 236, 91},	//408 QGlobalSpace::operator==(const char*, const QByteArray&)
    {29, 338, 480, 2, Smoke::mf_static, 10, 92},	//409 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {29, 428, 415, 1, Smoke::mf_static, 236, 93},	//410 QGlobalSpace::qIsNaN(float)
    {29, 412, 483, 2, Smoke::mf_static, 236, 94},	//411 QGlobalSpace::qFuzzyCompare(double, double)
    {29, 430, 415, 1, Smoke::mf_static, 236, 95},	//412 QGlobalSpace::qIsNull(float)
    {29, 338, 486, 2, Smoke::mf_static, 10, 96},	//413 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {29, 338, 489, 2, Smoke::mf_static, 10, 97},	//414 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {29, 338, 492, 2, Smoke::mf_static, 10, 98},	//415 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {29, 322, 495, 2, Smoke::mf_static, 236, 99},	//416 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {29, 315, 474, 2, Smoke::mf_static, 236, 100},	//417 QGlobalSpace::operator<=(const char*, const QString&)
    {29, 285, 498, 2, Smoke::mf_static, 236, 101},	//418 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {29, 344, 501, 2, Smoke::mf_static, 106, 102},	//419 QGlobalSpace::operator|(QFile::Permission, int)
    {29, 311, 504, 2, Smoke::mf_static, 13, 103},	//420 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {29, 306, 507, 2, Smoke::mf_static, 236, 104},	//421 QGlobalSpace::operator<(QChar, QChar)
    {29, 333, 327, 2, Smoke::mf_static, 236, 105},	//422 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {29, 519, 510, 3, Smoke::mf_static, 319, 106},	//423 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {29, 416, 126, 1, Smoke::mf_static, 330, 107},	//424 QGlobalSpace::qHash(const QByteArray&)
    {29, 311, 514, 2, Smoke::mf_static, 13, 108},	//425 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {29, 530, 517, 2, Smoke::mf_static, 0, 109},	//426 QGlobalSpace::qt_check_pointer(const char*, int)
    {29, 344, 520, 2, Smoke::mf_static, 86, 110},	//427 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {29, 338, 523, 2, Smoke::mf_static, 10, 111},	//428 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {29, 293, 526, 2, Smoke::mf_static, 277, 112},	//429 QGlobalSpace::operator*(const QPointF&, double)
    {29, 502, 333, 2, Smoke::mf_static, 319, 113},	//430 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {29, 462, 529, 1, Smoke::mf_static, 135, 114},	//431 QGlobalSpace::qSetPadChar(QChar)
    {29, 502, 429, 2, Smoke::mf_static, 319, 115},	//432 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {29, 322, 298, 2, Smoke::mf_static, 236, 116},	//433 QGlobalSpace::operator==(const QSize&, const QSize&)
    {29, 466, 0, 0, Smoke::mf_static, 236, 117},	//434 QGlobalSpace::qSharedBuild()
    {29, 344, 531, 2, Smoke::mf_static, 75, 118},	//435 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {29, 420, 534, 1, Smoke::mf_static, 336, 119},	//436 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {29, 311, 536, 2, Smoke::mf_static, 10, 120},	//437 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {29, 537, 539, 3, Smoke::mf_static, 113, 121},	//438 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {29, 322, 327, 2, Smoke::mf_static, 236, 122},	//439 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {29, 344, 543, 2, Smoke::mf_static, 96, 123},	//440 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {29, 344, 546, 2, Smoke::mf_static, 106, 124},	//441 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {29, 285, 333, 2, Smoke::mf_static, 236, 125},	//442 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {29, 344, 549, 2, Smoke::mf_static, 106, 126},	//443 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {29, 344, 552, 2, Smoke::mf_static, 95, 127},	//444 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {29, 304, 318, 2, Smoke::mf_static, 285, 128},	//445 QGlobalSpace::operator/(const QSizeF&, double)
    {29, 344, 555, 2, Smoke::mf_static, 96, 129},	//446 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {29, 328, 507, 2, Smoke::mf_static, 236, 130},	//447 QGlobalSpace::operator>(QChar, QChar)
    {29, 333, 477, 2, Smoke::mf_static, 236, 131},	//448 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {29, 410, 558, 1, Smoke::mf_static, 0, 132},	//449 QGlobalSpace::qFreeAligned(void*)
    {29, 322, 560, 2, Smoke::mf_static, 236, 133},	//450 QGlobalSpace::operator==(const QString&, QString::Null)
    {29, 422, 415, 1, Smoke::mf_static, 319, 134},	//451 QGlobalSpace::qIntCast(float)
    {29, 306, 333, 2, Smoke::mf_static, 236, 135},	//452 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {29, 495, 477, 2, Smoke::mf_static, 236, 136},	//453 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {29, 344, 563, 2, Smoke::mf_static, 106, 137},	//454 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {29, 338, 566, 2, Smoke::mf_static, 10, 138},	//455 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {29, 471, 569, 2, Smoke::mf_static, 236, 139},	//456 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {29, 515, 510, 3, Smoke::mf_static, 319, 140},	//457 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {29, 301, 572, 1, Smoke::mf_static, 277, 141},	//458 QGlobalSpace::operator-(const QPointF&)
    {29, 449, 574, 4, Smoke::mf_static, 337, 142},	//459 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {29, 344, 579, 2, Smoke::mf_static, 94, 143},	//460 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {29, 416, 582, 1, Smoke::mf_static, 330, 144},	//461 QGlobalSpace::qHash(unsigned long long)
    {29, 296, 584, 2, Smoke::mf_static, 287, 145},	//462 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {29, 344, 587, 2, Smoke::mf_static, 103, 146},	//463 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {29, 311, 590, 2, Smoke::mf_static, 13, 147},	//464 QGlobalSpace::operator<<(QDebug, const QSize&)
    {29, 344, 593, 2, Smoke::mf_static, 94, 148},	//465 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {29, 344, 596, 2, Smoke::mf_static, 101, 149},	//466 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {29, 296, 599, 2, Smoke::mf_static, 287, 150},	//467 QGlobalSpace::operator+(const QString&, char)
    {29, 333, 498, 2, Smoke::mf_static, 236, 151},	//468 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {29, 375, 0, 0, Smoke::mf_static, 122, 152},	//469 QGlobalSpace::qAppName()
    {29, 416, 529, 1, Smoke::mf_static, 330, 153},	//470 QGlobalSpace::qHash(QChar)
    {29, 322, 345, 2, Smoke::mf_static, 236, 154},	//471 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {29, 414, 269, 1, Smoke::mf_static, 236, 155},	//472 QGlobalSpace::qFuzzyIsNull(double)
    {29, 311, 602, 2, Smoke::mf_static, 10, 156},	//473 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {29, 440, 605, 3, Smoke::mf_static, 337, 157},	//474 QGlobalSpace::qMemSet(void*, int, size_t)
    {29, 380, 483, 2, Smoke::mf_static, 317, 158},	//475 QGlobalSpace::qAtan2(double, double)
    {29, 311, 609, 2, Smoke::mf_static, 10, 159},	//476 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {29, 338, 612, 2, Smoke::mf_static, 10, 160},	//477 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {29, 387, 615, 2, Smoke::mf_static, 5, 161},	//478 QGlobalSpace::qCompress(const QByteArray&, int)
    {29, 387, 126, 1, Smoke::mf_static, 5, 162},	//479 QGlobalSpace::qCompress(const QByteArray&)
    {29, 344, 618, 2, Smoke::mf_static, 95, 163},	//480 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {29, 306, 477, 2, Smoke::mf_static, 236, 164},	//481 QGlobalSpace::operator<(const char*, const QByteArray&)
    {29, 373, 621, 1, Smoke::mf_static, 0, 165},	//482 QGlobalSpace::qAddPostRoutine(void(*)())
    {29, 344, 623, 2, Smoke::mf_static, 106, 166},	//483 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {29, 344, 626, 2, Smoke::mf_static, 106, 167},	//484 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {29, 344, 629, 2, Smoke::mf_static, 106, 168},	//485 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {29, 396, 269, 1, Smoke::mf_static, 317, 169},	//486 QGlobalSpace::qExp(double)
    {29, 285, 298, 2, Smoke::mf_static, 236, 170},	//487 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {29, 344, 632, 2, Smoke::mf_static, 92, 171},	//488 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {29, 315, 429, 2, Smoke::mf_static, 236, 172},	//489 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {29, 285, 635, 2, Smoke::mf_static, 236, 173},	//490 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {29, 344, 638, 2, Smoke::mf_static, 106, 174},	//491 QGlobalSpace::operator|(QString::SectionFlag, int)
    {29, 344, 641, 2, Smoke::mf_static, 106, 175},	//492 QGlobalSpace::operator|(Qt::WindowType, int)
    {29, 322, 644, 2, Smoke::mf_static, 236, 176},	//493 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {29, 430, 269, 1, Smoke::mf_static, 236, 177},	//494 QGlobalSpace::qIsNull(double)
    {29, 333, 647, 2, Smoke::mf_static, 236, 178},	//495 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {29, 322, 650, 2, Smoke::mf_static, 236, 179},	//496 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {29, 422, 269, 1, Smoke::mf_static, 319, 180},	//497 QGlobalSpace::qIntCast(double)
    {29, 342, 254, 2, Smoke::mf_static, 2, 181},	//498 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {29, 385, 653, 2, Smoke::mf_static, 333, 182},	//499 QGlobalSpace::qChecksum(const char*, unsigned int)
    {29, 344, 656, 2, Smoke::mf_static, 87, 183},	//500 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {29, 344, 659, 2, Smoke::mf_static, 106, 184},	//501 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {29, 306, 498, 2, Smoke::mf_static, 236, 185},	//502 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {29, 311, 662, 2, Smoke::mf_static, 13, 186},	//503 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {29, 493, 665, 1, Smoke::mf_static, 5, 187},	//504 QGlobalSpace::qgetenv(const char*)
    {29, 285, 569, 2, Smoke::mf_static, 236, 188},	//505 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {29, 338, 667, 2, Smoke::mf_static, 132, 189},	//506 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 285, 477, 2, Smoke::mf_static, 236, 190},	//507 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {29, 371, 269, 1, Smoke::mf_static, 317, 191},	//508 QGlobalSpace::qAcos(double)
    {29, 328, 498, 2, Smoke::mf_static, 236, 192},	//509 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {29, 338, 670, 2, Smoke::mf_static, 10, 193},	//510 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {29, 311, 673, 2, Smoke::mf_static, 10, 194},	//511 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {29, 344, 676, 2, Smoke::mf_static, 80, 195},	//512 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {29, 517, 679, 3, Smoke::mf_static, 239, 196},	//513 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {29, 311, 683, 2, Smoke::mf_static, 10, 197},	//514 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {29, 416, 686, 1, Smoke::mf_static, 330, 198},	//515 QGlobalSpace::qHash(const QUrl&)
    {29, 485, 688, 6, Smoke::mf_static, 319, 199},	//516 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {29, 424, 415, 1, Smoke::mf_static, 236, 200},	//517 QGlobalSpace::qIsFinite(float)
    {29, 532, 76, 1, Smoke::mf_static, 122, 201},	//518 QGlobalSpace::qt_error_string(int)
    {29, 532, 0, 0, Smoke::mf_static, 122, 202},	//519 QGlobalSpace::qt_error_string()
    {29, 293, 695, 2, Smoke::mf_static, 275, 203},	//520 QGlobalSpace::operator*(const QPoint&, float)
    {29, 344, 698, 2, Smoke::mf_static, 106, 204},	//521 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {29, 447, 701, 2, Smoke::mf_static, 337, 205},	//522 QGlobalSpace::qRealloc(void*, size_t)
    {29, 296, 25, 2, Smoke::mf_static, 287, 206},	//523 QGlobalSpace::operator+(const QString&, const QString&)
    {29, 498, 704, 4, Smoke::mf_static, 0, 207},	//524 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {29, 528, 709, 4, Smoke::mf_static, 0, 208},	//525 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {29, 306, 474, 2, Smoke::mf_static, 236, 209},	//526 QGlobalSpace::operator<(const char*, const QString&)
    {29, 285, 474, 2, Smoke::mf_static, 236, 210},	//527 QGlobalSpace::operator!=(const char*, const QString&)
    {29, 285, 429, 2, Smoke::mf_static, 236, 211},	//528 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {29, 285, 714, 2, Smoke::mf_static, 236, 212},	//529 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {29, 328, 333, 2, Smoke::mf_static, 236, 213},	//530 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {29, 455, 269, 1, Smoke::mf_static, 319, 214},	//531 QGlobalSpace::qRound(double)
    {29, 315, 327, 2, Smoke::mf_static, 236, 215},	//532 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {29, 322, 635, 2, Smoke::mf_static, 236, 216},	//533 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {29, 344, 254, 2, Smoke::mf_static, 2, 217},	//534 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {29, 322, 717, 2, Smoke::mf_static, 236, 218},	//535 QGlobalSpace::operator==(const char*, const QStringRef&)
    {29, 296, 477, 2, Smoke::mf_static, 241, 219},	//536 QGlobalSpace::operator+(const char*, const QByteArray&)
    {29, 344, 720, 2, Smoke::mf_static, 106, 220},	//537 QGlobalSpace::operator|(Qt::MouseButton, int)
    {29, 315, 498, 2, Smoke::mf_static, 236, 221},	//538 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {29, 338, 723, 2, Smoke::mf_static, 10, 222},	//539 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {29, 344, 726, 2, Smoke::mf_static, 93, 223},	//540 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {29, 344, 729, 2, Smoke::mf_static, 78, 224},	//541 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {29, 344, 732, 2, Smoke::mf_static, 86, 225},	//542 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {29, 338, 735, 2, Smoke::mf_static, 10, 226},	//543 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {29, 322, 507, 2, Smoke::mf_static, 236, 227},	//544 QGlobalSpace::operator==(QChar, QChar)
    {29, 344, 738, 2, Smoke::mf_static, 99, 228},	//545 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {29, 285, 644, 2, Smoke::mf_static, 236, 229},	//546 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {29, 285, 741, 2, Smoke::mf_static, 236, 230},	//547 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {29, 416, 744, 1, Smoke::mf_static, 330, 231},	//548 QGlobalSpace::qHash(signed char)
    {29, 311, 746, 2, Smoke::mf_static, 10, 232},	//549 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {29, 344, 749, 2, Smoke::mf_static, 100, 233},	//550 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {29, 469, 269, 1, Smoke::mf_static, 317, 234},	//551 QGlobalSpace::qSqrt(double)
    {29, 502, 752, 2, Smoke::mf_static, 319, 235},	//552 QGlobalSpace::qstrcmp(const char*, const char*)
    {29, 296, 755, 2, Smoke::mf_static, 287, 236},	//553 QGlobalSpace::operator+(char, const QString&)
    {29, 285, 336, 2, Smoke::mf_static, 236, 237},	//554 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {29, 285, 507, 2, Smoke::mf_static, 236, 238},	//555 QGlobalSpace::operator!=(QChar, QChar)
    {29, 344, 758, 2, Smoke::mf_static, 82, 239},	//556 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {29, 521, 653, 2, Smoke::mf_static, 330, 240},	//557 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {29, 322, 647, 2, Smoke::mf_static, 236, 241},	//558 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {29, 406, 269, 1, Smoke::mf_static, 319, 242},	//559 QGlobalSpace::qFloor(double)
    {29, 344, 761, 2, Smoke::mf_static, 102, 243},	//560 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {29, 311, 764, 2, Smoke::mf_static, 13, 244},	//561 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {29, 322, 330, 2, Smoke::mf_static, 236, 245},	//562 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {29, 344, 767, 2, Smoke::mf_static, 87, 246},	//563 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {29, 322, 498, 2, Smoke::mf_static, 236, 247},	//564 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {29, 285, 770, 2, Smoke::mf_static, 236, 248},	//565 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {29, 293, 773, 2, Smoke::mf_static, 283, 249},	//566 QGlobalSpace::operator*(double, const QSize&)
    {29, 344, 776, 2, Smoke::mf_static, 80, 250},	//567 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {29, 416, 779, 1, Smoke::mf_static, 330, 251},	//568 QGlobalSpace::qHash(const QModelIndex&)
    {29, 311, 781, 2, Smoke::mf_static, 13, 252},	//569 QGlobalSpace::operator<<(QDebug, const QLine&)
    {29, 453, 621, 1, Smoke::mf_static, 0, 253},	//570 QGlobalSpace::qRemovePostRoutine(void(*)())
    {29, 311, 784, 2, Smoke::mf_static, 10, 254},	//571 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {29, 404, 665, 1, Smoke::mf_static, 313, 255},	//572 QGlobalSpace::qFlagLocation(const char*)
    {29, 438, 787, 3, Smoke::mf_static, 337, 256},	//573 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {29, 333, 429, 2, Smoke::mf_static, 236, 257},	//574 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {29, 293, 791, 2, Smoke::mf_static, 275, 258},	//575 QGlobalSpace::operator*(double, const QPoint&)
    {29, 428, 269, 1, Smoke::mf_static, 236, 259},	//576 QGlobalSpace::qIsNaN(double)
    {29, 311, 794, 2, Smoke::mf_static, 13, 260},	//577 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {29, 416, 797, 1, Smoke::mf_static, 330, 261},	//578 QGlobalSpace::qHash(short)
    {29, 419, 0, 0, Smoke::mf_static, 317, 262},	//579 QGlobalSpace::qInf()
    {29, 311, 799, 2, Smoke::mf_static, 13, 263},	//580 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {29, 311, 802, 2, Smoke::mf_static, 10, 264},	//581 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {29, 296, 805, 2, Smoke::mf_static, 241, 265},	//582 QGlobalSpace::operator+(const QByteArray&, char)
    {29, 304, 526, 2, Smoke::mf_static, 277, 266},	//583 QGlobalSpace::operator/(const QPointF&, double)
    {29, 476, 126, 1, Smoke::mf_static, 5, 267},	//584 QGlobalSpace::qUncompress(const QByteArray&)
    {29, 333, 507, 2, Smoke::mf_static, 236, 268},	//585 QGlobalSpace::operator>=(QChar, QChar)
    {29, 315, 333, 2, Smoke::mf_static, 236, 269},	//586 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {29, 464, 76, 1, Smoke::mf_static, 135, 270},	//587 QGlobalSpace::qSetRealNumberPrecision(int)
    {29, 311, 808, 2, Smoke::mf_static, 13, 271},	//588 QGlobalSpace::operator<<(QDebug, const QObject*)
    {29, 467, 269, 1, Smoke::mf_static, 317, 272},	//589 QGlobalSpace::qSin(double)
    {29, 376, 269, 1, Smoke::mf_static, 317, 273},	//590 QGlobalSpace::qAsin(double)
    {29, 511, 752, 2, Smoke::mf_static, 319, 274},	//591 QGlobalSpace::qstricmp(const char*, const char*)
    {29, 491, 811, 3, Smoke::mf_static, 239, 275},	//592 QGlobalSpace::qgcvt(long double, int, char*)
    {29, 412, 815, 2, Smoke::mf_static, 236, 276},	//593 QGlobalSpace::qFuzzyCompare(float, float)
    {29, 344, 818, 2, Smoke::mf_static, 77, 277},	//594 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {29, 315, 647, 2, Smoke::mf_static, 236, 278},	//595 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {29, 543, 821, 4, Smoke::mf_static, 319, 279},	//596 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {29, 344, 826, 2, Smoke::mf_static, 84, 280},	//597 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {29, 311, 829, 2, Smoke::mf_static, 10, 281},	//598 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {29, 536, 0, 0, Smoke::mf_static, 0, 282},	//599 QGlobalSpace::qt_noop()
    {29, 328, 477, 2, Smoke::mf_static, 236, 283},	//600 QGlobalSpace::operator>(const char*, const QByteArray&)
    {29, 338, 832, 2, Smoke::mf_static, 10, 284},	//601 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {29, 460, 76, 1, Smoke::mf_static, 135, 285},	//602 QGlobalSpace::qSetFieldWidth(int)
    {29, 344, 835, 2, Smoke::mf_static, 85, 286},	//603 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {29, 311, 838, 2, Smoke::mf_static, 13, 287},	//604 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {29, 311, 841, 2, Smoke::mf_static, 10, 288},	//605 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {29, 322, 770, 2, Smoke::mf_static, 236, 289},	//606 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {29, 285, 844, 2, Smoke::mf_static, 236, 290},	//607 QGlobalSpace::operator!=(bool, QBool)
    {29, 416, 847, 1, Smoke::mf_static, 330, 291},	//608 QGlobalSpace::qHash(unsigned long)
    {29, 311, 849, 2, Smoke::mf_static, 13, 292},	//609 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {29, 285, 852, 2, Smoke::mf_static, 236, 293},	//610 QGlobalSpace::operator!=(QBool, bool)
    {29, 344, 855, 2, Smoke::mf_static, 106, 294},	//611 QGlobalSpace::operator|(Qt::WindowState, int)
    {29, 301, 635, 2, Smoke::mf_static, 275, 295},	//612 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {29, 432, 269, 1, Smoke::mf_static, 317, 296},	//613 QGlobalSpace::qLn(double)
    {29, 338, 858, 2, Smoke::mf_static, 10, 297},	//614 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {29, 513, 665, 1, Smoke::mf_static, 330, 298},	//615 QGlobalSpace::qstrlen(const char*)
    {29, 296, 429, 2, Smoke::mf_static, 241, 299},	//616 QGlobalSpace::operator+(const QByteArray&, const char*)
    {29, 311, 861, 2, Smoke::mf_static, 10, 300},	//617 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {29, 285, 330, 2, Smoke::mf_static, 236, 301},	//618 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {29, 315, 477, 2, Smoke::mf_static, 236, 302},	//619 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {29, 344, 864, 2, Smoke::mf_static, 89, 303},	//620 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {29, 322, 714, 2, Smoke::mf_static, 236, 304},	//621 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {29, 344, 867, 2, Smoke::mf_static, 83, 305},	//622 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {29, 285, 647, 2, Smoke::mf_static, 236, 306},	//623 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {29, 344, 870, 2, Smoke::mf_static, 103, 307},	//624 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {29, 293, 873, 2, Smoke::mf_static, 283, 308},	//625 QGlobalSpace::operator*(const QSize&, double)
    {29, 322, 876, 2, Smoke::mf_static, 236, 309},	//626 QGlobalSpace::operator==(QString::Null, const QString&)
    {29, 344, 879, 2, Smoke::mf_static, 77, 310},	//627 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {29, 344, 882, 2, Smoke::mf_static, 93, 311},	//628 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {29, 338, 885, 2, Smoke::mf_static, 10, 312},	//629 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {29, 311, 888, 2, Smoke::mf_static, 13, 313},	//630 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {29, 322, 429, 2, Smoke::mf_static, 236, 314},	//631 QGlobalSpace::operator==(const QByteArray&, const char*)
    {29, 539, 891, 5, Smoke::mf_static, 0, 315},	//632 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {29, 338, 897, 2, Smoke::mf_static, 10, 316},	//633 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {29, 328, 474, 2, Smoke::mf_static, 236, 317},	//634 QGlobalSpace::operator>(const char*, const QString&)
    {29, 311, 900, 2, Smoke::mf_static, 10, 318},	//635 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {29, 328, 429, 2, Smoke::mf_static, 236, 319},	//636 QGlobalSpace::operator>(const QByteArray&, const char*)
    {29, 306, 327, 2, Smoke::mf_static, 236, 320},	//637 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {29, 296, 635, 2, Smoke::mf_static, 275, 321},	//638 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {29, 311, 903, 2, Smoke::mf_static, 10, 322},	//639 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {29, 408, 558, 1, Smoke::mf_static, 0, 323},	//640 QGlobalSpace::qFree(void*)
    {29, 315, 507, 2, Smoke::mf_static, 236, 324},	//641 QGlobalSpace::operator<=(QChar, QChar)
    {29, 311, 906, 2, Smoke::mf_static, 132, 325},	//642 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {29, 416, 413, 1, Smoke::mf_static, 330, 326},	//643 QGlobalSpace::qHash(unsigned int)
    {29, 285, 876, 2, Smoke::mf_static, 236, 327},	//644 QGlobalSpace::operator!=(QString::Null, const QString&)
    {29, 457, 269, 1, Smoke::mf_static, 324, 328},	//645 QGlobalSpace::qRound64(double)
    {29, 328, 647, 2, Smoke::mf_static, 236, 329},	//646 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {29, 344, 909, 2, Smoke::mf_static, 84, 330},	//647 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {29, 436, 912, 2, Smoke::mf_static, 337, 331},	//648 QGlobalSpace::qMallocAligned(size_t, size_t)
    {29, 285, 560, 2, Smoke::mf_static, 236, 332},	//649 QGlobalSpace::operator!=(const QString&, QString::Null)
    {29, 344, 915, 2, Smoke::mf_static, 106, 333},	//650 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {29, 387, 918, 3, Smoke::mf_static, 5, 334},	//651 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {29, 387, 922, 2, Smoke::mf_static, 5, 335},	//652 QGlobalSpace::qCompress(const unsigned char*, int)
    {29, 344, 925, 2, Smoke::mf_static, 106, 336},	//653 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {29, 293, 928, 2, Smoke::mf_static, 275, 337},	//654 QGlobalSpace::operator*(int, const QPoint&)
    {29, 509, 665, 1, Smoke::mf_static, 239, 338},	//655 QGlobalSpace::qstrdup(const char*)
    {29, 344, 931, 2, Smoke::mf_static, 91, 339},	//656 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {29, 487, 934, 4, Smoke::mf_static, 239, 340},	//657 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {29, 395, 0, 0, Smoke::mf_static, 13, 341},	//658 QGlobalSpace::qDebug()
    {29, 301, 939, 1, Smoke::mf_static, 275, 342},	//659 QGlobalSpace::operator-(const QPoint&)
    {29, 502, 477, 2, Smoke::mf_static, 319, 343},	//660 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {29, 311, 941, 2, Smoke::mf_static, 132, 344},	//661 QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    {29, 474, 269, 1, Smoke::mf_static, 317, 345},	//662 QGlobalSpace::qTan(double)
    {29, 338, 944, 2, Smoke::mf_static, 10, 346},	//663 QGlobalSpace::operator>>(QDataStream&, QString&)
    {29, 322, 333, 2, Smoke::mf_static, 236, 347},	//664 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {29, 311, 947, 2, Smoke::mf_static, 10, 348},	//665 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {29, 416, 76, 1, Smoke::mf_static, 330, 349},	//666 QGlobalSpace::qHash(int)
    {29, 301, 495, 2, Smoke::mf_static, 277, 350},	//667 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {29, 306, 647, 2, Smoke::mf_static, 236, 351},	//668 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {29, 311, 950, 2, Smoke::mf_static, 10, 352},	//669 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {29, 338, 953, 2, Smoke::mf_static, 10, 353},	//670 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {29, 344, 956, 2, Smoke::mf_static, 99, 354},	//671 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {29, 444, 483, 2, Smoke::mf_static, 317, 355},	//672 QGlobalSpace::qPow(double, double)
    {29, 322, 569, 2, Smoke::mf_static, 236, 356},	//673 QGlobalSpace::operator==(const QStringRef&, const char*)
    {29, 285, 717, 2, Smoke::mf_static, 236, 357},	//674 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {29, 296, 333, 2, Smoke::mf_static, 241, 358},	//675 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {29, 296, 959, 2, Smoke::mf_static, 287, 359},	//676 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {29, 471, 453, 2, Smoke::mf_static, 236, 360},	//677 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {29, 344, 962, 2, Smoke::mf_static, 79, 361},	//678 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {29, 338, 965, 2, Smoke::mf_static, 10, 362},	//679 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {29, 344, 968, 2, Smoke::mf_static, 106, 363},	//680 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {29, 534, 971, 2, Smoke::mf_static, 0, 364},	//681 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {29, 344, 974, 2, Smoke::mf_static, 106, 365},	//682 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {29, 322, 474, 2, Smoke::mf_static, 236, 366},	//683 QGlobalSpace::operator==(const char*, const QString&)
    {29, 311, 977, 2, Smoke::mf_static, 13, 367},	//684 QGlobalSpace::operator<<(QDebug, const QRect&)
    {29, 400, 269, 1, Smoke::mf_static, 317, 368},	//685 QGlobalSpace::qFastCos(double)
    {29, 311, 980, 2, Smoke::mf_static, 10, 369},	//686 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {29, 304, 873, 2, Smoke::mf_static, 283, 370},	//687 QGlobalSpace::operator/(const QSize&, double)
    {29, 338, 983, 2, Smoke::mf_static, 10, 371},	//688 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {29, 322, 844, 2, Smoke::mf_static, 236, 372},	//689 QGlobalSpace::operator==(bool, QBool)
    {29, 344, 986, 2, Smoke::mf_static, 101, 373},	//690 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {29, 344, 989, 2, Smoke::mf_static, 106, 374},	//691 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {29, 333, 474, 2, Smoke::mf_static, 236, 375},	//692 QGlobalSpace::operator>=(const char*, const QString&)
    {29, 416, 992, 1, Smoke::mf_static, 330, 376},	//693 QGlobalSpace::qHash(char)
    {29, 489, 688, 6, Smoke::mf_static, 319, 377},	//694 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {29, 311, 994, 2, Smoke::mf_static, 10, 378},	//695 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {29, 338, 997, 2, Smoke::mf_static, 10, 379},	//696 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {29, 285, 495, 2, Smoke::mf_static, 236, 380},	//697 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {29, 293, 1000, 2, Smoke::mf_static, 275, 381},	//698 QGlobalSpace::operator*(const QPoint&, int)
    {29, 424, 269, 1, Smoke::mf_static, 236, 382},	//699 QGlobalSpace::qIsFinite(double)
    {29, 344, 1003, 2, Smoke::mf_static, 92, 383},	//700 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {29, 301, 298, 2, Smoke::mf_static, 283, 384},	//701 QGlobalSpace::operator-(const QSize&, const QSize&)
    {29, 459, 0, 0, Smoke::mf_static, 317, 385},	//702 QGlobalSpace::qSNaN()
    {29, 414, 415, 1, Smoke::mf_static, 236, 386},	//703 QGlobalSpace::qFuzzyIsNull(float)
    {29, 344, 1006, 2, Smoke::mf_static, 90, 387},	//704 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {29, 476, 922, 2, Smoke::mf_static, 5, 388},	//705 QGlobalSpace::qUncompress(const unsigned char*, int)
    {29, 483, 934, 4, Smoke::mf_static, 239, 389},	//706 QGlobalSpace::qecvt(long double, int, int*, int*)
    {29, 344, 1009, 2, Smoke::mf_static, 90, 390},	//707 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {29, 344, 1012, 2, Smoke::mf_static, 106, 391},	//708 QGlobalSpace::operator|(Qt::Orientation, int)
    {29, 285, 327, 2, Smoke::mf_static, 236, 392},	//709 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {29, 402, 269, 1, Smoke::mf_static, 317, 393},	//710 QGlobalSpace::qFastSin(double)
    {29, 311, 1015, 2, Smoke::mf_static, 13, 394},	//711 QGlobalSpace::operator<<(QDebug, const QDir&)
    {29, 296, 495, 2, Smoke::mf_static, 277, 395},	//712 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {29, 322, 852, 2, Smoke::mf_static, 236, 396},	//713 QGlobalSpace::operator==(QBool, bool)
    {29, 322, 295, 2, Smoke::mf_static, 236, 397},	//714 QGlobalSpace::operator==(const QRect&, const QRect&)
    {29, 293, 1018, 2, Smoke::mf_static, 275, 398},	//715 QGlobalSpace::operator*(float, const QPoint&)
    {29, 523, 517, 2, Smoke::mf_static, 122, 399},	//716 QGlobalSpace::qtTrId(const char*, int)
    {29, 523, 665, 1, Smoke::mf_static, 122, 400},	//717 QGlobalSpace::qtTrId(const char*)
    {29, 338, 1021, 2, Smoke::mf_static, 10, 401},	//718 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {29, 344, 1024, 2, Smoke::mf_static, 82, 402},	//719 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {29, 296, 1027, 2, Smoke::mf_static, 287, 403},	//720 QGlobalSpace::operator+(const QString&, QChar)
    {29, 382, 0, 0, Smoke::mf_static, 0, 404},	//721 QGlobalSpace::qBadAlloc()
    {29, 285, 356, 2, Smoke::mf_static, 236, 405},	//722 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {29, 344, 1030, 2, Smoke::mf_static, 98, 406},	//723 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {29, 285, 348, 2, Smoke::mf_static, 236, 407},	//724 QGlobalSpace::operator!=(QBool, QBool)
    {29, 434, 1033, 1, Smoke::mf_static, 337, 408},	//725 QGlobalSpace::qMalloc(size_t)
    {29, 311, 667, 2, Smoke::mf_static, 132, 409},	//726 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 311, 1035, 2, Smoke::mf_static, 13, 410},	//727 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {29, 322, 741, 2, Smoke::mf_static, 236, 411},	//728 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {29, 344, 1038, 2, Smoke::mf_static, 83, 412},	//729 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {29, 311, 1041, 2, Smoke::mf_static, 10, 413},	//730 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {29, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 414},	//731 QGlobalSpace::_IEEE_ (enum)
    {29, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 415},	//732 QGlobalSpace::_SVID_ (enum)
    {29, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 416},	//733 QGlobalSpace::_XOPEN_ (enum)
    {29, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 417},	//734 QGlobalSpace::_POSIX_ (enum)
    {29, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 418},	//735 QGlobalSpace::_ISOC_ (enum)
    {29, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 419},	//736 QGlobalSpace::QtDebugMsg (enum)
    {29, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 420},	//737 QGlobalSpace::QtWarningMsg (enum)
    {29, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 421},	//738 QGlobalSpace::QtCriticalMsg (enum)
    {29, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 422},	//739 QGlobalSpace::QtFatalMsg (enum)
    {29, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 423},	//740 QGlobalSpace::QtSystemMsg (enum)
    {29, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 424},	//741 QGlobalSpace::__codecvt_ok (enum)
    {29, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 425},	//742 QGlobalSpace::__codecvt_partial (enum)
    {29, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 426},	//743 QGlobalSpace::__codecvt_error (enum)
    {29, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 427},	//744 QGlobalSpace::__codecvt_noconv (enum)
    {59, 56, 0, 0, Smoke::mf_ctor, 143, 1},	//745 QXmlAttributes::QXmlAttributes()
    {59, 225, 3, 1, Smoke::mf_const, 319, 2},	//746 QXmlAttributes::index(const QString&) const
    {59, 225, 1044, 1, Smoke::mf_const, 319, 3},	//747 QXmlAttributes::index(const QLatin1String&) const
    {59, 225, 25, 2, Smoke::mf_const, 319, 4},	//748 QXmlAttributes::index(const QString&, const QString&) const
    {59, 261, 0, 0, Smoke::mf_const, 319, 5},	//749 QXmlAttributes::length() const
    {59, 141, 0, 0, Smoke::mf_const, 319, 6},	//750 QXmlAttributes::count() const
    {59, 264, 76, 1, Smoke::mf_const, 122, 7},	//751 QXmlAttributes::localName(int) const
    {59, 442, 76, 1, Smoke::mf_const, 122, 8},	//752 QXmlAttributes::qName(int) const
    {59, 683, 76, 1, Smoke::mf_const, 122, 9},	//753 QXmlAttributes::uri(int) const
    {59, 678, 76, 1, Smoke::mf_const, 122, 10},	//754 QXmlAttributes::type(int) const
    {59, 678, 3, 1, Smoke::mf_const, 122, 11},	//755 QXmlAttributes::type(const QString&) const
    {59, 678, 25, 2, Smoke::mf_const, 122, 12},	//756 QXmlAttributes::type(const QString&, const QString&) const
    {59, 685, 76, 1, Smoke::mf_const, 122, 13},	//757 QXmlAttributes::value(int) const
    {59, 685, 3, 1, Smoke::mf_const, 122, 14},	//758 QXmlAttributes::value(const QString&) const
    {59, 685, 1044, 1, Smoke::mf_const, 122, 15},	//759 QXmlAttributes::value(const QLatin1String&) const
    {59, 685, 25, 2, Smoke::mf_const, 122, 16},	//760 QXmlAttributes::value(const QString&, const QString&) const
    {59, 131, 0, 0, 0, 0, 17},	//761 QXmlAttributes::clear()
    {59, 105, 1046, 4, 0, 0, 18},	//762 QXmlAttributes::append(const QString&, const QString&, const QString&, const QString&)
    {59, 56, 1051, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 19},	//763 QXmlAttributes::QXmlAttributes(const QXmlAttributes&)
    {59, 748, 0, 0, Smoke::mf_dtor, 0, 20 },	//764 QXmlAttributes::~QXmlAttributes()
    {60, 608, 1053, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//765 QXmlContentHandler::setDocumentLocator(QXmlLocator*) [pure virtual]
    {60, 648, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 2},	//766 QXmlContentHandler::startDocument() [pure virtual]
    {60, 180, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 3},	//767 QXmlContentHandler::endDocument() [pure virtual]
    {60, 653, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 4},	//768 QXmlContentHandler::startPrefixMapping(const QString&, const QString&) [pure virtual]
    {60, 185, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 5},	//769 QXmlContentHandler::endPrefixMapping(const QString&) [pure virtual]
    {60, 649, 1055, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 6},	//770 QXmlContentHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&) [pure virtual]
    {60, 181, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 7},	//771 QXmlContentHandler::endElement(const QString&, const QString&, const QString&) [pure virtual]
    {60, 128, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 8},	//772 QXmlContentHandler::characters(const QString&) [pure virtual]
    {60, 219, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 9},	//773 QXmlContentHandler::ignorableWhitespace(const QString&) [pure virtual]
    {60, 364, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 10},	//774 QXmlContentHandler::processingInstruction(const QString&, const QString&) [pure virtual]
    {60, 638, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 11},	//775 QXmlContentHandler::skippedEntity(const QString&) [pure virtual]
    {60, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 12},	//776 QXmlContentHandler::errorString() const [pure virtual]
    {60, 58, 0, 0, Smoke::mf_ctor, 144, 13},	//777 QXmlContentHandler::QXmlContentHandler()
    {60, 58, 1060, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 14},	//778 QXmlContentHandler::QXmlContentHandler(const QXmlContentHandler&)
    {60, 749, 0, 0, Smoke::mf_dtor, 0, 15 },	//779 QXmlContentHandler::~QXmlContentHandler()
    {61, 281, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 1},	//780 QXmlDTDHandler::notationDecl(const QString&, const QString&, const QString&) [pure virtual]
    {61, 681, 1046, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 2},	//781 QXmlDTDHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {61, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 3},	//782 QXmlDTDHandler::errorString() const [pure virtual]
    {61, 60, 0, 0, Smoke::mf_ctor, 145, 4},	//783 QXmlDTDHandler::QXmlDTDHandler()
    {61, 60, 1062, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 5},	//784 QXmlDTDHandler::QXmlDTDHandler(const QXmlDTDHandler&)
    {61, 750, 0, 0, Smoke::mf_dtor, 0, 6 },	//785 QXmlDTDHandler::~QXmlDTDHandler()
    {62, 116, 1064, 5, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 1},	//786 QXmlDeclHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {62, 235, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 2},	//787 QXmlDeclHandler::internalEntityDecl(const QString&, const QString&) [pure virtual]
    {62, 193, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 3},	//788 QXmlDeclHandler::externalEntityDecl(const QString&, const QString&, const QString&) [pure virtual]
    {62, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 4},	//789 QXmlDeclHandler::errorString() const [pure virtual]
    {62, 62, 0, 0, Smoke::mf_ctor, 146, 5},	//790 QXmlDeclHandler::QXmlDeclHandler()
    {62, 62, 1070, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 146, 6},	//791 QXmlDeclHandler::QXmlDeclHandler(const QXmlDeclHandler&)
    {62, 751, 0, 0, Smoke::mf_dtor, 0, 7 },	//792 QXmlDeclHandler::~QXmlDeclHandler()
    {63, 64, 0, 0, Smoke::mf_ctor, 147, 1},	//793 QXmlDefaultHandler::QXmlDefaultHandler()
    {63, 608, 1053, 1, Smoke::mf_virtual, 0, 2},	//794 QXmlDefaultHandler::setDocumentLocator(QXmlLocator*)
    {63, 648, 0, 0, Smoke::mf_virtual, 236, 3},	//795 QXmlDefaultHandler::startDocument()
    {63, 180, 0, 0, Smoke::mf_virtual, 236, 4},	//796 QXmlDefaultHandler::endDocument()
    {63, 653, 25, 2, Smoke::mf_virtual, 236, 5},	//797 QXmlDefaultHandler::startPrefixMapping(const QString&, const QString&)
    {63, 185, 3, 1, Smoke::mf_virtual, 236, 6},	//798 QXmlDefaultHandler::endPrefixMapping(const QString&)
    {63, 649, 1055, 4, Smoke::mf_virtual, 236, 7},	//799 QXmlDefaultHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&)
    {63, 181, 218, 3, Smoke::mf_virtual, 236, 8},	//800 QXmlDefaultHandler::endElement(const QString&, const QString&, const QString&)
    {63, 128, 3, 1, Smoke::mf_virtual, 236, 9},	//801 QXmlDefaultHandler::characters(const QString&)
    {63, 219, 3, 1, Smoke::mf_virtual, 236, 10},	//802 QXmlDefaultHandler::ignorableWhitespace(const QString&)
    {63, 364, 25, 2, Smoke::mf_virtual, 236, 11},	//803 QXmlDefaultHandler::processingInstruction(const QString&, const QString&)
    {63, 638, 3, 1, Smoke::mf_virtual, 236, 12},	//804 QXmlDefaultHandler::skippedEntity(const QString&)
    {63, 689, 1072, 1, Smoke::mf_virtual, 236, 13},	//805 QXmlDefaultHandler::warning(const QXmlParseException&)
    {63, 189, 1072, 1, Smoke::mf_virtual, 236, 14},	//806 QXmlDefaultHandler::error(const QXmlParseException&)
    {63, 195, 1072, 1, Smoke::mf_virtual, 236, 15},	//807 QXmlDefaultHandler::fatalError(const QXmlParseException&)
    {63, 281, 218, 3, Smoke::mf_virtual, 236, 16},	//808 QXmlDefaultHandler::notationDecl(const QString&, const QString&, const QString&)
    {63, 681, 1046, 4, Smoke::mf_virtual, 236, 17},	//809 QXmlDefaultHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&)
    {63, 562, 1074, 3, Smoke::mf_virtual, 236, 18},	//810 QXmlDefaultHandler::resolveEntity(const QString&, const QString&, QXmlInputSource*&)
    {63, 646, 218, 3, Smoke::mf_virtual, 236, 19},	//811 QXmlDefaultHandler::startDTD(const QString&, const QString&, const QString&)
    {63, 179, 0, 0, Smoke::mf_virtual, 236, 20},	//812 QXmlDefaultHandler::endDTD()
    {63, 651, 3, 1, Smoke::mf_virtual, 236, 21},	//813 QXmlDefaultHandler::startEntity(const QString&)
    {63, 183, 3, 1, Smoke::mf_virtual, 236, 22},	//814 QXmlDefaultHandler::endEntity(const QString&)
    {63, 645, 0, 0, Smoke::mf_virtual, 236, 23},	//815 QXmlDefaultHandler::startCDATA()
    {63, 178, 0, 0, Smoke::mf_virtual, 236, 24},	//816 QXmlDefaultHandler::endCDATA()
    {63, 136, 3, 1, Smoke::mf_virtual, 236, 25},	//817 QXmlDefaultHandler::comment(const QString&)
    {63, 116, 1064, 5, Smoke::mf_virtual, 236, 26},	//818 QXmlDefaultHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&)
    {63, 235, 25, 2, Smoke::mf_virtual, 236, 27},	//819 QXmlDefaultHandler::internalEntityDecl(const QString&, const QString&)
    {63, 193, 218, 3, Smoke::mf_virtual, 236, 28},	//820 QXmlDefaultHandler::externalEntityDecl(const QString&, const QString&, const QString&)
    {63, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 29},	//821 QXmlDefaultHandler::errorString() const
    {63, 752, 0, 0, Smoke::mf_dtor, 0, 30 },	//822 QXmlDefaultHandler::~QXmlDefaultHandler()
    {64, 562, 1074, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 1},	//823 QXmlEntityResolver::resolveEntity(const QString&, const QString&, QXmlInputSource*&) [pure virtual]
    {64, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 2},	//824 QXmlEntityResolver::errorString() const [pure virtual]
    {64, 65, 0, 0, Smoke::mf_ctor, 148, 3},	//825 QXmlEntityResolver::QXmlEntityResolver()
    {64, 65, 1078, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 4},	//826 QXmlEntityResolver::QXmlEntityResolver(const QXmlEntityResolver&)
    {64, 753, 0, 0, Smoke::mf_dtor, 0, 5 },	//827 QXmlEntityResolver::~QXmlEntityResolver()
    {65, 689, 1072, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 1},	//828 QXmlErrorHandler::warning(const QXmlParseException&) [pure virtual]
    {65, 189, 1072, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 2},	//829 QXmlErrorHandler::error(const QXmlParseException&) [pure virtual]
    {65, 195, 1072, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 3},	//830 QXmlErrorHandler::fatalError(const QXmlParseException&) [pure virtual]
    {65, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 4},	//831 QXmlErrorHandler::errorString() const [pure virtual]
    {65, 67, 0, 0, Smoke::mf_ctor, 149, 5},	//832 QXmlErrorHandler::QXmlErrorHandler()
    {65, 67, 1080, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 6},	//833 QXmlErrorHandler::QXmlErrorHandler(const QXmlErrorHandler&)
    {65, 754, 0, 0, Smoke::mf_dtor, 0, 7 },	//834 QXmlErrorHandler::~QXmlErrorHandler()
    {66, 69, 0, 0, Smoke::mf_ctor, 150, 1},	//835 QXmlInputSource::QXmlInputSource()
    {66, 69, 142, 1, Smoke::mf_ctor, 150, 2},	//836 QXmlInputSource::QXmlInputSource(QIODevice*)
    {66, 601, 3, 1, Smoke::mf_virtual, 0, 3},	//837 QXmlInputSource::setData(const QString&)
    {66, 601, 126, 1, Smoke::mf_virtual, 0, 4},	//838 QXmlInputSource::setData(const QByteArray&)
    {66, 200, 0, 0, Smoke::mf_virtual, 0, 5},	//839 QXmlInputSource::fetchData()
    {66, 165, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 6},	//840 QXmlInputSource::data() const
    {66, 273, 0, 0, Smoke::mf_virtual, 8, 7},	//841 QXmlInputSource::next()
    {66, 561, 0, 0, Smoke::mf_virtual, 0, 8},	//842 QXmlInputSource::reset()
    {66, 204, 78, 2, Smoke::mf_protected|Smoke::mf_virtual, 122, 9},	//843 QXmlInputSource::fromRawData(const QByteArray&, bool)
    {66, 69, 1082, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 10},	//844 QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    {66, 204, 126, 1, Smoke::mf_protected, 122, 11},	//845 QXmlInputSource::fromRawData(const QByteArray&)
    {66, 15, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 315, 12},	//846 QXmlInputSource::EndOfData() const
    {66, 16, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 315, 13},	//847 QXmlInputSource::EndOfDocument() const
    {66, 755, 0, 0, Smoke::mf_dtor, 0, 14 },	//848 QXmlInputSource::~QXmlInputSource()
    {67, 646, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 1},	//849 QXmlLexicalHandler::startDTD(const QString&, const QString&, const QString&) [pure virtual]
    {67, 179, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 2},	//850 QXmlLexicalHandler::endDTD() [pure virtual]
    {67, 651, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 3},	//851 QXmlLexicalHandler::startEntity(const QString&) [pure virtual]
    {67, 183, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 4},	//852 QXmlLexicalHandler::endEntity(const QString&) [pure virtual]
    {67, 645, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 5},	//853 QXmlLexicalHandler::startCDATA() [pure virtual]
    {67, 178, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 6},	//854 QXmlLexicalHandler::endCDATA() [pure virtual]
    {67, 136, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 7},	//855 QXmlLexicalHandler::comment(const QString&) [pure virtual]
    {67, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 8},	//856 QXmlLexicalHandler::errorString() const [pure virtual]
    {67, 71, 0, 0, Smoke::mf_ctor, 152, 9},	//857 QXmlLexicalHandler::QXmlLexicalHandler()
    {67, 71, 1084, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 10},	//858 QXmlLexicalHandler::QXmlLexicalHandler(const QXmlLexicalHandler&)
    {67, 756, 0, 0, Smoke::mf_dtor, 0, 11 },	//859 QXmlLexicalHandler::~QXmlLexicalHandler()
    {68, 73, 0, 0, Smoke::mf_ctor, 153, 1},	//860 QXmlLocator::QXmlLocator()
    {68, 135, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 319, 2},	//861 QXmlLocator::columnNumber() const [pure virtual]
    {68, 263, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 319, 3},	//862 QXmlLocator::lineNumber() const [pure virtual]
    {68, 73, 1086, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 153, 4},	//863 QXmlLocator::QXmlLocator(const QXmlLocator&)
    {68, 757, 0, 0, Smoke::mf_dtor, 0, 5 },	//864 QXmlLocator::~QXmlLocator()
    {69, 75, 0, 0, Smoke::mf_ctor, 154, 1},	//865 QXmlNamespaceSupport::QXmlNamespaceSupport()
    {69, 628, 25, 2, 0, 0, 2},	//866 QXmlNamespaceSupport::setPrefix(const QString&, const QString&)
    {69, 355, 3, 1, Smoke::mf_const, 122, 3},	//867 QXmlNamespaceSupport::prefix(const QString&) const
    {69, 683, 3, 1, Smoke::mf_const, 122, 4},	//868 QXmlNamespaceSupport::uri(const QString&) const
    {69, 641, 1088, 3, Smoke::mf_const, 0, 5},	//869 QXmlNamespaceSupport::splitName(const QString&, QString&, QString&) const
    {69, 362, 1092, 4, Smoke::mf_const, 0, 6},	//870 QXmlNamespaceSupport::processName(const QString&, bool, QString&, QString&) const
    {69, 357, 0, 0, Smoke::mf_const, 127, 7},	//871 QXmlNamespaceSupport::prefixes() const
    {69, 357, 3, 1, Smoke::mf_const, 127, 8},	//872 QXmlNamespaceSupport::prefixes(const QString&) const
    {69, 370, 0, 0, 0, 0, 9},	//873 QXmlNamespaceSupport::pushContext()
    {69, 354, 0, 0, 0, 0, 10},	//874 QXmlNamespaceSupport::popContext()
    {69, 561, 0, 0, 0, 0, 11},	//875 QXmlNamespaceSupport::reset()
    {69, 758, 0, 0, Smoke::mf_dtor, 0, 12 },	//876 QXmlNamespaceSupport::~QXmlNamespaceSupport()
    {70, 76, 1097, 5, Smoke::mf_ctor, 155, 1},	//877 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&, const QString&)
    {70, 76, 1072, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 155, 2},	//878 QXmlParseException::QXmlParseException(const QXmlParseException&)
    {70, 135, 0, 0, Smoke::mf_const, 319, 3},	//879 QXmlParseException::columnNumber() const
    {70, 263, 0, 0, Smoke::mf_const, 319, 4},	//880 QXmlParseException::lineNumber() const
    {70, 369, 0, 0, Smoke::mf_const, 122, 5},	//881 QXmlParseException::publicId() const
    {70, 657, 0, 0, Smoke::mf_const, 122, 6},	//882 QXmlParseException::systemId() const
    {70, 266, 0, 0, Smoke::mf_const, 122, 7},	//883 QXmlParseException::message() const
    {70, 76, 0, 0, Smoke::mf_ctor, 155, 8},	//884 QXmlParseException::QXmlParseException()
    {70, 76, 3, 1, Smoke::mf_ctor, 155, 9},	//885 QXmlParseException::QXmlParseException(const QString&)
    {70, 76, 173, 2, Smoke::mf_ctor, 155, 10},	//886 QXmlParseException::QXmlParseException(const QString&, int)
    {70, 76, 1103, 3, Smoke::mf_ctor, 155, 11},	//887 QXmlParseException::QXmlParseException(const QString&, int, int)
    {70, 76, 1107, 4, Smoke::mf_ctor, 155, 12},	//888 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&)
    {70, 759, 0, 0, Smoke::mf_dtor, 0, 13 },	//889 QXmlParseException::~QXmlParseException()
    {71, 197, 1112, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 1},	//890 QXmlReader::feature(const QString&, bool*) const [pure virtual]
    {71, 614, 90, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//891 QXmlReader::setFeature(const QString&, bool) [pure virtual]
    {71, 214, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 3},	//892 QXmlReader::hasFeature(const QString&) const [pure virtual]
    {71, 366, 1112, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 337, 4},	//893 QXmlReader::property(const QString&, bool*) const [pure virtual]
    {71, 631, 1115, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//894 QXmlReader::setProperty(const QString&, void*) [pure virtual]
    {71, 217, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 6},	//895 QXmlReader::hasProperty(const QString&) const [pure virtual]
    {71, 610, 1118, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//896 QXmlReader::setEntityResolver(QXmlEntityResolver*) [pure virtual]
    {71, 188, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 8},	//897 QXmlReader::entityResolver() const [pure virtual]
    {71, 599, 1120, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//898 QXmlReader::setDTDHandler(QXmlDTDHandler*) [pure virtual]
    {71, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 145, 10},	//899 QXmlReader::DTDHandler() const [pure virtual]
    {71, 597, 1122, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//900 QXmlReader::setContentHandler(QXmlContentHandler*) [pure virtual]
    {71, 140, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 144, 12},	//901 QXmlReader::contentHandler() const [pure virtual]
    {71, 612, 1124, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//902 QXmlReader::setErrorHandler(QXmlErrorHandler*) [pure virtual]
    {71, 191, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 149, 14},	//903 QXmlReader::errorHandler() const [pure virtual]
    {71, 620, 1126, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//904 QXmlReader::setLexicalHandler(QXmlLexicalHandler*) [pure virtual]
    {71, 262, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 152, 16},	//905 QXmlReader::lexicalHandler() const [pure virtual]
    {71, 604, 1128, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//906 QXmlReader::setDeclHandler(QXmlDeclHandler*) [pure virtual]
    {71, 166, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 18},	//907 QXmlReader::declHandler() const [pure virtual]
    {71, 350, 1082, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 19},	//908 QXmlReader::parse(const QXmlInputSource&) [pure virtual]
    {71, 350, 1130, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 20},	//909 QXmlReader::parse(const QXmlInputSource*) [pure virtual]
    {71, 83, 0, 0, Smoke::mf_ctor, 156, 21},	//910 QXmlReader::QXmlReader()
    {71, 83, 1132, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 22},	//911 QXmlReader::QXmlReader(const QXmlReader&)
    {71, 197, 3, 1, Smoke::mf_const, 236, 23},	//912 QXmlReader::feature(const QString&) const
    {71, 366, 3, 1, Smoke::mf_const, 337, 24},	//913 QXmlReader::property(const QString&) const
    {71, 760, 0, 0, Smoke::mf_dtor, 0, 25 },	//914 QXmlReader::~QXmlReader()
    {72, 85, 0, 0, Smoke::mf_ctor, 157, 1},	//915 QXmlSimpleReader::QXmlSimpleReader()
    {72, 197, 1112, 2, Smoke::mf_const|Smoke::mf_virtual, 236, 2},	//916 QXmlSimpleReader::feature(const QString&, bool*) const
    {72, 614, 90, 2, Smoke::mf_virtual, 0, 3},	//917 QXmlSimpleReader::setFeature(const QString&, bool)
    {72, 214, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 236, 4},	//918 QXmlSimpleReader::hasFeature(const QString&) const
    {72, 366, 1112, 2, Smoke::mf_const|Smoke::mf_virtual, 337, 5},	//919 QXmlSimpleReader::property(const QString&, bool*) const
    {72, 631, 1115, 2, Smoke::mf_virtual, 0, 6},	//920 QXmlSimpleReader::setProperty(const QString&, void*)
    {72, 217, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 236, 7},	//921 QXmlSimpleReader::hasProperty(const QString&) const
    {72, 610, 1118, 1, Smoke::mf_virtual, 0, 8},	//922 QXmlSimpleReader::setEntityResolver(QXmlEntityResolver*)
    {72, 188, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 148, 9},	//923 QXmlSimpleReader::entityResolver() const
    {72, 599, 1120, 1, Smoke::mf_virtual, 0, 10},	//924 QXmlSimpleReader::setDTDHandler(QXmlDTDHandler*)
    {72, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 145, 11},	//925 QXmlSimpleReader::DTDHandler() const
    {72, 597, 1122, 1, Smoke::mf_virtual, 0, 12},	//926 QXmlSimpleReader::setContentHandler(QXmlContentHandler*)
    {72, 140, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 144, 13},	//927 QXmlSimpleReader::contentHandler() const
    {72, 612, 1124, 1, Smoke::mf_virtual, 0, 14},	//928 QXmlSimpleReader::setErrorHandler(QXmlErrorHandler*)
    {72, 191, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 149, 15},	//929 QXmlSimpleReader::errorHandler() const
    {72, 620, 1126, 1, Smoke::mf_virtual, 0, 16},	//930 QXmlSimpleReader::setLexicalHandler(QXmlLexicalHandler*)
    {72, 262, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 152, 17},	//931 QXmlSimpleReader::lexicalHandler() const
    {72, 604, 1128, 1, Smoke::mf_virtual, 0, 18},	//932 QXmlSimpleReader::setDeclHandler(QXmlDeclHandler*)
    {72, 166, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 146, 19},	//933 QXmlSimpleReader::declHandler() const
    {72, 350, 1082, 1, Smoke::mf_virtual, 236, 20},	//934 QXmlSimpleReader::parse(const QXmlInputSource&)
    {72, 350, 1130, 1, Smoke::mf_virtual, 236, 21},	//935 QXmlSimpleReader::parse(const QXmlInputSource*)
    {72, 350, 1134, 2, Smoke::mf_virtual, 236, 22},	//936 QXmlSimpleReader::parse(const QXmlInputSource*, bool)
    {72, 353, 0, 0, Smoke::mf_virtual, 236, 23},	//937 QXmlSimpleReader::parseContinue()
    {72, 197, 3, 1, Smoke::mf_const, 236, 24},	//938 QXmlSimpleReader::feature(const QString&) const
    {72, 366, 3, 1, Smoke::mf_const, 337, 25},	//939 QXmlSimpleReader::property(const QString&) const
    {72, 761, 0, 0, Smoke::mf_dtor, 0, 26 },	//940 QXmlSimpleReader::~QXmlSimpleReader()
    {76, 86, 0, 0, Smoke::mf_ctor, 158, 1},	//941 QXmlStreamWriter::QXmlStreamWriter()
    {76, 86, 142, 1, Smoke::mf_ctor, 158, 2},	//942 QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    {76, 86, 1137, 1, Smoke::mf_ctor, 158, 3},	//943 QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    {76, 86, 1139, 1, Smoke::mf_ctor, 158, 4},	//944 QXmlStreamWriter::QXmlStreamWriter(QString*)
    {76, 606, 142, 1, 0, 0, 5},	//945 QXmlStreamWriter::setDevice(QIODevice*)
    {76, 169, 0, 0, Smoke::mf_const, 104, 6},	//946 QXmlStreamWriter::device() const
    {76, 579, 1141, 1, 0, 0, 7},	//947 QXmlStreamWriter::setCodec(QTextCodec*)
    {76, 579, 665, 1, 0, 0, 8},	//948 QXmlStreamWriter::setCodec(const char*)
    {76, 134, 0, 0, Smoke::mf_const, 130, 9},	//949 QXmlStreamWriter::codec() const
    {76, 575, 235, 1, 0, 0, 10},	//950 QXmlStreamWriter::setAutoFormatting(bool)
    {76, 126, 0, 0, Smoke::mf_const, 236, 11},	//951 QXmlStreamWriter::autoFormatting() const
    {76, 577, 76, 1, 0, 0, 12},	//952 QXmlStreamWriter::setAutoFormattingIndent(int)
    {76, 127, 0, 0, Smoke::mf_const, 319, 13},	//953 QXmlStreamWriter::autoFormattingIndent() const
    {76, 691, 25, 2, 0, 0, 14},	//954 QXmlStreamWriter::writeAttribute(const QString&, const QString&)
    {76, 691, 218, 3, 0, 0, 15},	//955 QXmlStreamWriter::writeAttribute(const QString&, const QString&, const QString&)
    {76, 691, 1143, 1, 0, 0, 16},	//956 QXmlStreamWriter::writeAttribute(const QXmlStreamAttribute&)
    {76, 695, 1145, 1, 0, 0, 17},	//957 QXmlStreamWriter::writeAttributes(const QXmlStreamAttributes&)
    {76, 697, 3, 1, 0, 0, 18},	//958 QXmlStreamWriter::writeCDATA(const QString&)
    {76, 699, 3, 1, 0, 0, 19},	//959 QXmlStreamWriter::writeCharacters(const QString&)
    {76, 701, 3, 1, 0, 0, 20},	//960 QXmlStreamWriter::writeComment(const QString&)
    {76, 705, 3, 1, 0, 0, 21},	//961 QXmlStreamWriter::writeDTD(const QString&)
    {76, 709, 3, 1, 0, 0, 22},	//962 QXmlStreamWriter::writeEmptyElement(const QString&)
    {76, 709, 25, 2, 0, 0, 23},	//963 QXmlStreamWriter::writeEmptyElement(const QString&, const QString&)
    {76, 728, 25, 2, 0, 0, 24},	//964 QXmlStreamWriter::writeTextElement(const QString&, const QString&)
    {76, 728, 218, 3, 0, 0, 25},	//965 QXmlStreamWriter::writeTextElement(const QString&, const QString&, const QString&)
    {76, 712, 0, 0, 0, 0, 26},	//966 QXmlStreamWriter::writeEndDocument()
    {76, 713, 0, 0, 0, 0, 27},	//967 QXmlStreamWriter::writeEndElement()
    {76, 714, 3, 1, 0, 0, 28},	//968 QXmlStreamWriter::writeEntityReference(const QString&)
    {76, 716, 25, 2, 0, 0, 29},	//969 QXmlStreamWriter::writeNamespace(const QString&, const QString&)
    {76, 707, 3, 1, 0, 0, 30},	//970 QXmlStreamWriter::writeDefaultNamespace(const QString&)
    {76, 719, 25, 2, 0, 0, 31},	//971 QXmlStreamWriter::writeProcessingInstruction(const QString&, const QString&)
    {76, 722, 0, 0, 0, 0, 32},	//972 QXmlStreamWriter::writeStartDocument()
    {76, 722, 3, 1, 0, 0, 33},	//973 QXmlStreamWriter::writeStartDocument(const QString&)
    {76, 722, 90, 2, 0, 0, 34},	//974 QXmlStreamWriter::writeStartDocument(const QString&, bool)
    {76, 725, 3, 1, 0, 0, 35},	//975 QXmlStreamWriter::writeStartElement(const QString&)
    {76, 725, 25, 2, 0, 0, 36},	//976 QXmlStreamWriter::writeStartElement(const QString&, const QString&)
    {76, 703, 1147, 1, 0, 0, 37},	//977 QXmlStreamWriter::writeCurrentToken(const QXmlStreamReader&)
    {76, 213, 0, 0, Smoke::mf_const, 236, 38},	//978 QXmlStreamWriter::hasError() const
    {76, 716, 3, 1, 0, 0, 39},	//979 QXmlStreamWriter::writeNamespace(const QString&)
    {76, 719, 3, 1, 0, 0, 40},	//980 QXmlStreamWriter::writeProcessingInstruction(const QString&)
    {76, 762, 0, 0, Smoke::mf_dtor, 0, 41 },	//981 QXmlStreamWriter::~QXmlStreamWriter()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    934,  // QXmlSimpleReader::parse(const QXmlInputSource&)
    935,  // QXmlSimpleReader::parse(const QXmlInputSource*)
    0,
    327,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    333,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    356,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    418,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    442,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    487,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    490,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    547,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    554,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    555,  // QGlobalSpace::operator!=(QChar, QChar)
    565,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    618,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    623,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    697,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    722,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    724,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    505,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    528,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    546,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    610,  // QGlobalSpace::operator!=(QBool, bool)
    644,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    507,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    529,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    607,  // QGlobalSpace::operator!=(bool, QBool)
    649,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    674,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    709,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    323,  // QGlobalSpace::operator*(const QPoint&, double)
    345,  // QGlobalSpace::operator*(const QSizeF&, double)
    429,  // QGlobalSpace::operator*(const QPointF&, double)
    520,  // QGlobalSpace::operator*(const QPoint&, float)
    625,  // QGlobalSpace::operator*(const QSize&, double)
    698,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    325,  // QGlobalSpace::operator*(double, const QPointF&)
    328,  // QGlobalSpace::operator*(double, const QSizeF&)
    566,  // QGlobalSpace::operator*(double, const QSize&)
    575,  // QGlobalSpace::operator*(double, const QPoint&)
    654,  // QGlobalSpace::operator*(int, const QPoint&)
    715,  // QGlobalSpace::operator*(float, const QPoint&)
    0,
    334,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    379,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    638,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    675,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    712,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    363,  // QGlobalSpace::operator+(QChar, const QString&)
    462,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    582,  // QGlobalSpace::operator+(const QByteArray&, char)
    616,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    0,
    404,  // QGlobalSpace::operator+(char, const QByteArray&)
    536,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    676,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    720,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    399,  // QGlobalSpace::operator+(const QString&, const char*)
    407,  // QGlobalSpace::operator+(const char*, const QString&)
    467,  // QGlobalSpace::operator+(const QString&, char)
    523,  // QGlobalSpace::operator+(const QString&, const QString&)
    553,  // QGlobalSpace::operator+(char, const QString&)
    0,
    458,  // QGlobalSpace::operator-(const QPointF&)
    659,  // QGlobalSpace::operator-(const QPoint&)
    0,
    351,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    612,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    667,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    701,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    406,  // QGlobalSpace::operator/(const QPoint&, double)
    445,  // QGlobalSpace::operator/(const QSizeF&, double)
    583,  // QGlobalSpace::operator/(const QPointF&, double)
    687,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    421,  // QGlobalSpace::operator<(QChar, QChar)
    452,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    502,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    668,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    481,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    637,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    330,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    337,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    346,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    361,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    366,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    367,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    368,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    388,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    392,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    400,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    420,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    437,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    464,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    473,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    476,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    503,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    511,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    514,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    549,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    561,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    569,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    571,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    577,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    580,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    581,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    588,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    598,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    605,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    609,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    617,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    630,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    635,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    639,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    642,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    661,  // QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    669,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    684,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    695,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    711,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    726,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    727,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    730,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    355,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    425,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    604,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    665,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    686,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    538,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    586,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    595,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    641,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    532,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    619,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    343,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    353,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    357,  // QGlobalSpace::operator==(QBool, QBool)
    360,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    416,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    433,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    471,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    496,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    533,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    544,  // QGlobalSpace::operator==(QChar, QChar)
    558,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    562,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    564,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    606,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    664,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    714,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    728,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    493,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    626,  // QGlobalSpace::operator==(QString::Null, const QString&)
    631,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    673,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    713,  // QGlobalSpace::operator==(QBool, bool)
    0,
    408,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    439,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    450,  // QGlobalSpace::operator==(const QString&, QString::Null)
    535,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    621,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    689,  // QGlobalSpace::operator==(bool, QBool)
    0,
    447,  // QGlobalSpace::operator>(QChar, QChar)
    509,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    530,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    646,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    348,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    600,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    352,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    468,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    495,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    585,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    422,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    448,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    362,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    397,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    402,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    409,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    413,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    414,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    415,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    428,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    455,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    477,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    506,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    510,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    539,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    601,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    629,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    633,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    670,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    679,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    688,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    696,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    718,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    543,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    663,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    321,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    326,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    329,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    331,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    336,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    340,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    342,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    344,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    347,  // QGlobalSpace::operator|(QDir::Filter, int)
    354,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    358,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    364,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    365,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    377,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    380,  // QGlobalSpace::operator|(Qt::DropAction, int)
    383,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    386,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    387,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    389,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    391,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    393,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    395,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    396,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    398,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    401,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    403,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    405,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    419,  // QGlobalSpace::operator|(QFile::Permission, int)
    427,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    435,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    440,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    441,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    443,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    444,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    446,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    454,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    460,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    463,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    465,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    466,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    480,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    483,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    484,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    485,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    488,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    491,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    492,  // QGlobalSpace::operator|(Qt::WindowType, int)
    500,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    501,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    512,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    521,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    537,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    540,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    541,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    542,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    545,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    550,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    556,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    560,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    563,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    567,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    594,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    597,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    603,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    611,  // QGlobalSpace::operator|(Qt::WindowState, int)
    620,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    622,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    624,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    627,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    628,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    647,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    650,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    653,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    656,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    671,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    678,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    680,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    682,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    690,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    691,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    700,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    704,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    707,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    708,  // QGlobalSpace::operator|(Qt::Orientation, int)
    719,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    723,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    729,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    0,
    411,  // QGlobalSpace::qFuzzyCompare(double, double)
    593,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    472,  // QGlobalSpace::qFuzzyIsNull(double)
    703,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    320,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    359,  // QGlobalSpace::qHash(const QStringRef&)
    369,  // QGlobalSpace::qHash(const QBitArray&)
    424,  // QGlobalSpace::qHash(const QByteArray&)
    470,  // QGlobalSpace::qHash(QChar)
    515,  // QGlobalSpace::qHash(const QUrl&)
    568,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    339,  // QGlobalSpace::qHash(unsigned char)
    373,  // QGlobalSpace::qHash(const QString&)
    374,  // QGlobalSpace::qHash(unsigned short)
    376,  // QGlobalSpace::qHash(long)
    378,  // QGlobalSpace::qHash(long long)
    461,  // QGlobalSpace::qHash(unsigned long long)
    548,  // QGlobalSpace::qHash(signed char)
    578,  // QGlobalSpace::qHash(short)
    608,  // QGlobalSpace::qHash(unsigned long)
    643,  // QGlobalSpace::qHash(unsigned int)
    666,  // QGlobalSpace::qHash(int)
    693,  // QGlobalSpace::qHash(char)
    0,
    451,  // QGlobalSpace::qIntCast(float)
    497,  // QGlobalSpace::qIntCast(double)
    0,
    517,  // QGlobalSpace::qIsFinite(float)
    699,  // QGlobalSpace::qIsFinite(double)
    0,
    324,  // QGlobalSpace::qIsInf(double)
    385,  // QGlobalSpace::qIsInf(float)
    0,
    410,  // QGlobalSpace::qIsNaN(float)
    576,  // QGlobalSpace::qIsNaN(double)
    0,
    412,  // QGlobalSpace::qIsNull(float)
    494,  // QGlobalSpace::qIsNull(double)
    0,
    908,  // QXmlReader::parse(const QXmlInputSource&)
    909,  // QXmlReader::parse(const QXmlInputSource*)
    0,
    754,  // QXmlAttributes::type(int) const
    755,  // QXmlAttributes::type(const QString&) const
    0,
    757,  // QXmlAttributes::value(int) const
    758,  // QXmlAttributes::value(const QString&) const
    0,
    942,  // QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    943,  // QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    0,
    36,  // QDomDocument::QDomDocument(const QDomDocumentType&)
    37,  // QDomDocument::QDomDocument(const QDomDocument&)
    0,
    79,  // QDomDocument::setContent(const QByteArray&)
    85,  // QDomDocument::setContent(QIODevice*)
    0,
    67,  // QDomDocument::setContent(const QByteArray&, bool)
    73,  // QDomDocument::setContent(QIODevice*, bool)
    76,  // QDomDocument::setContent(QXmlInputSource*, bool)
    80,  // QDomDocument::setContent(const QByteArray&, QString*)
    86,  // QDomDocument::setContent(QIODevice*, QString*)
    0,
    68,  // QDomDocument::setContent(const QByteArray&, bool, QString*)
    74,  // QDomDocument::setContent(QIODevice*, bool, QString*)
    77,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    81,  // QDomDocument::setContent(const QByteArray&, QString*, int*)
    87,  // QDomDocument::setContent(QIODevice*, QString*, int*)
    0,
    61,  // QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    63,  // QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    69,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    75,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    78,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    0,
    57,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    59,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    60,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    0,
    70,  // QDomDocument::setContent(const QString&, bool)
    83,  // QDomDocument::setContent(const QString&, QString*)
    0,
    71,  // QDomDocument::setContent(const QString&, bool, QString*)
    84,  // QDomDocument::setContent(const QString&, QString*, int*)
    0,
    62,  // QDomDocument::setContent(const QString&, QString*, int*, int*)
    72,  // QDomDocument::setContent(const QString&, bool, QString*, int*)
    0,
    114,  // QDomElement::setAttribute(const QString&, const QString&)
    115,  // QDomElement::setAttribute(const QString&, long long)
    116,  // QDomElement::setAttribute(const QString&, unsigned long long)
    117,  // QDomElement::setAttribute(const QString&, int)
    118,  // QDomElement::setAttribute(const QString&, unsigned int)
    119,  // QDomElement::setAttribute(const QString&, float)
    120,  // QDomElement::setAttribute(const QString&, double)
    0,
    128,  // QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    129,  // QDomElement::setAttributeNS(const QString, const QString&, int)
    130,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    131,  // QDomElement::setAttributeNS(const QString, const QString&, long long)
    132,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    133,  // QDomElement::setAttributeNS(const QString, const QString&, double)
    0,
    836,  // QXmlInputSource::QXmlInputSource(QIODevice*)
    844,  // QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {10, 21, 1},	// QDomAttr::QDomAttr
    {10, 22, 2},	// QDomAttr::QDomAttr#
    {10, 267, 4},	// QDomAttr::name
    {10, 278, 9},	// QDomAttr::nodeType
    {10, 321, 3},	// QDomAttr::operator=#
    {10, 348, 6},	// QDomAttr::ownerElement
    {10, 636, 8},	// QDomAttr::setValue$
    {10, 640, 5},	// QDomAttr::specified
    {10, 685, 7},	// QDomAttr::value
    {10, 731, 10},	// QDomAttr::~QDomAttr
    {11, 23, 11},	// QDomCDATASection::QDomCDATASection
    {11, 24, 12},	// QDomCDATASection::QDomCDATASection#
    {11, 278, 14},	// QDomCDATASection::nodeType
    {11, 321, 13},	// QDomCDATASection::operator=#
    {11, 732, 15},	// QDomCDATASection::~QDomCDATASection
    {12, 25, 16},	// QDomCharacterData::QDomCharacterData
    {12, 26, 17},	// QDomCharacterData::QDomCharacterData#
    {12, 110, 20},	// QDomCharacterData::appendData$
    {12, 165, 25},	// QDomCharacterData::data
    {12, 168, 22},	// QDomCharacterData::deleteData$$
    {12, 234, 21},	// QDomCharacterData::insertData$$
    {12, 261, 24},	// QDomCharacterData::length
    {12, 278, 27},	// QDomCharacterData::nodeType
    {12, 321, 18},	// QDomCharacterData::operator=#
    {12, 560, 23},	// QDomCharacterData::replaceData$$$
    {12, 603, 26},	// QDomCharacterData::setData$
    {12, 656, 19},	// QDomCharacterData::substringData$$
    {12, 733, 28},	// QDomCharacterData::~QDomCharacterData
    {13, 27, 29},	// QDomComment::QDomComment
    {13, 28, 30},	// QDomComment::QDomComment#
    {13, 278, 32},	// QDomComment::nodeType
    {13, 321, 31},	// QDomComment::operator=#
    {13, 734, 33},	// QDomComment::~QDomComment
    {14, 29, 34},	// QDomDocument::QDomDocument
    {14, 30, -362},	// QDomDocument::QDomDocument#
    {14, 31, 35},	// QDomDocument::QDomDocument$
    {14, 143, 45},	// QDomDocument::createAttribute$
    {14, 145, 50},	// QDomDocument::createAttributeNS$$
    {14, 147, 43},	// QDomDocument::createCDATASection$
    {14, 149, 42},	// QDomDocument::createComment$
    {14, 152, 40},	// QDomDocument::createDocumentFragment
    {14, 156, 39},	// QDomDocument::createElement$
    {14, 158, 49},	// QDomDocument::createElementNS$$
    {14, 160, 46},	// QDomDocument::createEntityReference$
    {14, 162, 44},	// QDomDocument::createProcessingInstruction$$
    {14, 164, 41},	// QDomDocument::createTextNode$
    {14, 170, 53},	// QDomDocument::doctype
    {14, 171, 55},	// QDomDocument::documentElement
    {14, 173, 52},	// QDomDocument::elementById$
    {14, 175, 47},	// QDomDocument::elementsByTagName$
    {14, 177, 51},	// QDomDocument::elementsByTagNameNS$$
    {14, 222, 54},	// QDomDocument::implementation
    {14, 224, 48},	// QDomDocument::importNode#$
    {14, 278, 56},	// QDomDocument::nodeType
    {14, 321, 38},	// QDomDocument::operator=#
    {14, 583, -365},	// QDomDocument::setContent#
    {14, 584, 88},	// QDomDocument::setContent##
    {14, 585, 89},	// QDomDocument::setContent##$
    {14, 586, 90},	// QDomDocument::setContent##$$
    {14, 587, 64},	// QDomDocument::setContent##$$$
    {14, 588, -368},	// QDomDocument::setContent#$
    {14, 589, -374},	// QDomDocument::setContent#$$
    {14, 590, -380},	// QDomDocument::setContent#$$$
    {14, 591, -386},	// QDomDocument::setContent#$$$$
    {14, 592, 82},	// QDomDocument::setContent$
    {14, 593, -390},	// QDomDocument::setContent$$
    {14, 594, -393},	// QDomDocument::setContent$$$
    {14, 595, -396},	// QDomDocument::setContent$$$$
    {14, 596, 58},	// QDomDocument::setContent$$$$$
    {14, 662, 92},	// QDomDocument::toByteArray
    {14, 663, 66},	// QDomDocument::toByteArray$
    {14, 675, 91},	// QDomDocument::toString
    {14, 676, 65},	// QDomDocument::toString$
    {14, 735, 93},	// QDomDocument::~QDomDocument
    {15, 32, 94},	// QDomDocumentFragment::QDomDocumentFragment
    {15, 33, 95},	// QDomDocumentFragment::QDomDocumentFragment#
    {15, 278, 97},	// QDomDocumentFragment::nodeType
    {15, 321, 96},	// QDomDocumentFragment::operator=#
    {15, 736, 98},	// QDomDocumentFragment::~QDomDocumentFragment
    {16, 34, 99},	// QDomDocumentType::QDomDocumentType
    {16, 35, 100},	// QDomDocumentType::QDomDocumentType#
    {16, 187, 103},	// QDomDocumentType::entities
    {16, 237, 107},	// QDomDocumentType::internalSubset
    {16, 267, 102},	// QDomDocumentType::name
    {16, 278, 108},	// QDomDocumentType::nodeType
    {16, 284, 104},	// QDomDocumentType::notations
    {16, 321, 101},	// QDomDocumentType::operator=#
    {16, 369, 105},	// QDomDocumentType::publicId
    {16, 657, 106},	// QDomDocumentType::systemId
    {16, 737, 109},	// QDomDocumentType::~QDomDocumentType
    {17, 36, 110},	// QDomElement::QDomElement
    {17, 37, 111},	// QDomElement::QDomElement#
    {17, 114, 144},	// QDomElement::attribute$
    {17, 115, 113},	// QDomElement::attribute$$
    {17, 119, 145},	// QDomElement::attributeNS$$
    {17, 120, 127},	// QDomElement::attributeNS$$$
    {17, 122, 122},	// QDomElement::attributeNode$
    {17, 124, 135},	// QDomElement::attributeNodeNS$$
    {17, 125, 141},	// QDomElement::attributes
    {17, 175, 125},	// QDomElement::elementsByTagName$
    {17, 177, 137},	// QDomElement::elementsByTagNameNS$$
    {17, 208, 126},	// QDomElement::hasAttribute$
    {17, 210, 138},	// QDomElement::hasAttributeNS$$
    {17, 278, 142},	// QDomElement::nodeType
    {17, 321, 112},	// QDomElement::operator=#
    {17, 546, 121},	// QDomElement::removeAttribute$
    {17, 548, 134},	// QDomElement::removeAttributeNS$$
    {17, 550, 124},	// QDomElement::removeAttributeNode#
    {17, 568, -399},	// QDomElement::setAttribute$$
    {17, 570, -407},	// QDomElement::setAttributeNS$$$
    {17, 572, 123},	// QDomElement::setAttributeNode#
    {17, 574, 136},	// QDomElement::setAttributeNodeNS#
    {17, 634, 140},	// QDomElement::setTagName$
    {17, 658, 139},	// QDomElement::tagName
    {17, 660, 143},	// QDomElement::text
    {17, 738, 146},	// QDomElement::~QDomElement
    {18, 38, 147},	// QDomEntity::QDomEntity
    {18, 39, 148},	// QDomEntity::QDomEntity#
    {18, 278, 153},	// QDomEntity::nodeType
    {18, 283, 152},	// QDomEntity::notationName
    {18, 321, 149},	// QDomEntity::operator=#
    {18, 369, 150},	// QDomEntity::publicId
    {18, 657, 151},	// QDomEntity::systemId
    {18, 739, 154},	// QDomEntity::~QDomEntity
    {19, 40, 155},	// QDomEntityReference::QDomEntityReference
    {19, 41, 156},	// QDomEntityReference::QDomEntityReference#
    {19, 278, 158},	// QDomEntityReference::nodeType
    {19, 321, 157},	// QDomEntityReference::operator=#
    {19, 740, 159},	// QDomEntityReference::~QDomEntityReference
    {20, 1, 171},	// QDomImplementation::AcceptInvalidChars
    {20, 11, 172},	// QDomImplementation::DropInvalidChars
    {20, 42, 160},	// QDomImplementation::QDomImplementation
    {20, 43, 161},	// QDomImplementation::QDomImplementation#
    {20, 94, 173},	// QDomImplementation::ReturnNullNode
    {20, 151, 167},	// QDomImplementation::createDocument$$#
    {20, 154, 166},	// QDomImplementation::createDocumentType$$$
    {20, 216, 165},	// QDomImplementation::hasFeature$$
    {20, 238, 168},	// QDomImplementation::invalidDataPolicy
    {20, 251, 170},	// QDomImplementation::isNull
    {20, 286, 164},	// QDomImplementation::operator!=#
    {20, 321, 162},	// QDomImplementation::operator=#
    {20, 323, 163},	// QDomImplementation::operator==#
    {20, 619, 169},	// QDomImplementation::setInvalidDataPolicy$
    {20, 741, 174},	// QDomImplementation::~QDomImplementation
    {21, 44, 175},	// QDomNamedNodeMap::QDomNamedNodeMap
    {21, 45, 176},	// QDomNamedNodeMap::QDomNamedNodeMap#
    {21, 139, 191},	// QDomNamedNodeMap::contains$
    {21, 141, 188},	// QDomNamedNodeMap::count
    {21, 247, 190},	// QDomNamedNodeMap::isEmpty
    {21, 257, 183},	// QDomNamedNodeMap::item$
    {21, 261, 187},	// QDomNamedNodeMap::length
    {21, 269, 180},	// QDomNamedNodeMap::namedItem$
    {21, 271, 184},	// QDomNamedNodeMap::namedItemNS$$
    {21, 286, 179},	// QDomNamedNodeMap::operator!=#
    {21, 321, 177},	// QDomNamedNodeMap::operator=#
    {21, 323, 178},	// QDomNamedNodeMap::operator==#
    {21, 554, 182},	// QDomNamedNodeMap::removeNamedItem$
    {21, 556, 186},	// QDomNamedNodeMap::removeNamedItemNS$$
    {21, 623, 181},	// QDomNamedNodeMap::setNamedItem#
    {21, 625, 185},	// QDomNamedNodeMap::setNamedItemNS#
    {21, 637, 189},	// QDomNamedNodeMap::size
    {21, 742, 192},	// QDomNamedNodeMap::~QDomNamedNodeMap
    {22, 2, 269},	// QDomNode::AttributeNode
    {22, 3, 280},	// QDomNode::BaseNode
    {22, 4, 271},	// QDomNode::CDATASectionNode
    {22, 5, 281},	// QDomNode::CharacterDataNode
    {22, 6, 275},	// QDomNode::CommentNode
    {22, 8, 278},	// QDomNode::DocumentFragmentNode
    {22, 9, 276},	// QDomNode::DocumentNode
    {22, 10, 277},	// QDomNode::DocumentTypeNode
    {22, 12, 268},	// QDomNode::ElementNode
    {22, 13, 282},	// QDomNode::EncodingFromDocument
    {22, 14, 283},	// QDomNode::EncodingFromTextStream
    {22, 17, 273},	// QDomNode::EntityNode
    {22, 18, 272},	// QDomNode::EntityReferenceNode
    {22, 19, 279},	// QDomNode::NotationNode
    {22, 20, 274},	// QDomNode::ProcessingInstructionNode
    {22, 46, 193},	// QDomNode::QDomNode
    {22, 47, 194},	// QDomNode::QDomNode#
    {22, 95, 270},	// QDomNode::TextNode
    {22, 108, 202},	// QDomNode::appendChild#
    {22, 125, 215},	// QDomNode::attributes
    {22, 130, 210},	// QDomNode::childNodes
    {22, 131, 239},	// QDomNode::clear
    {22, 132, 261},	// QDomNode::cloneNode
    {22, 133, 204},	// QDomNode::cloneNode$
    {22, 135, 260},	// QDomNode::columnNumber
    {22, 201, 211},	// QDomNode::firstChild
    {22, 202, 262},	// QDomNode::firstChildElement
    {22, 203, 255},	// QDomNode::firstChildElement$
    {22, 211, 219},	// QDomNode::hasAttributes
    {22, 212, 203},	// QDomNode::hasChildNodes
    {22, 221, 266},	// QDomNode::impl
    {22, 230, 199},	// QDomNode::insertAfter##
    {22, 232, 198},	// QDomNode::insertBefore##
    {22, 239, 224},	// QDomNode::isAttr
    {22, 240, 225},	// QDomNode::isCDATASection
    {22, 241, 235},	// QDomNode::isCharacterData
    {22, 242, 236},	// QDomNode::isComment
    {22, 243, 227},	// QDomNode::isDocument
    {22, 244, 226},	// QDomNode::isDocumentFragment
    {22, 245, 228},	// QDomNode::isDocumentType
    {22, 246, 229},	// QDomNode::isElement
    {22, 248, 232},	// QDomNode::isEntity
    {22, 249, 230},	// QDomNode::isEntityReference
    {22, 250, 233},	// QDomNode::isNotation
    {22, 251, 238},	// QDomNode::isNull
    {22, 252, 234},	// QDomNode::isProcessingInstruction
    {22, 254, 206},	// QDomNode::isSupported$$
    {22, 255, 231},	// QDomNode::isText
    {22, 258, 212},	// QDomNode::lastChild
    {22, 259, 263},	// QDomNode::lastChildElement
    {22, 260, 256},	// QDomNode::lastChildElement$
    {22, 263, 259},	// QDomNode::lineNumber
    {22, 264, 218},	// QDomNode::localName
    {22, 269, 237},	// QDomNode::namedItem$
    {22, 272, 217},	// QDomNode::namespaceURI
    {22, 274, 214},	// QDomNode::nextSibling
    {22, 275, 265},	// QDomNode::nextSiblingElement
    {22, 276, 258},	// QDomNode::nextSiblingElement$
    {22, 277, 207},	// QDomNode::nodeName
    {22, 278, 208},	// QDomNode::nodeType
    {22, 279, 220},	// QDomNode::nodeValue
    {22, 280, 205},	// QDomNode::normalize
    {22, 286, 197},	// QDomNode::operator!=#
    {22, 321, 195},	// QDomNode::operator=#
    {22, 323, 196},	// QDomNode::operator==#
    {22, 347, 216},	// QDomNode::ownerDocument
    {22, 349, 209},	// QDomNode::parentNode
    {22, 355, 222},	// QDomNode::prefix
    {22, 359, 213},	// QDomNode::previousSibling
    {22, 360, 264},	// QDomNode::previousSiblingElement
    {22, 361, 257},	// QDomNode::previousSiblingElement$
    {22, 552, 201},	// QDomNode::removeChild#
    {22, 558, 200},	// QDomNode::replaceChild##
    {22, 565, 253},	// QDomNode::save#$
    {22, 566, 254},	// QDomNode::save#$$
    {22, 617, 267},	// QDomNode::setImpl#
    {22, 627, 221},	// QDomNode::setNodeValue$
    {22, 629, 223},	// QDomNode::setPrefix$
    {22, 661, 240},	// QDomNode::toAttr
    {22, 664, 241},	// QDomNode::toCDATASection
    {22, 665, 251},	// QDomNode::toCharacterData
    {22, 666, 252},	// QDomNode::toComment
    {22, 667, 243},	// QDomNode::toDocument
    {22, 668, 242},	// QDomNode::toDocumentFragment
    {22, 669, 244},	// QDomNode::toDocumentType
    {22, 670, 245},	// QDomNode::toElement
    {22, 671, 248},	// QDomNode::toEntity
    {22, 672, 246},	// QDomNode::toEntityReference
    {22, 673, 249},	// QDomNode::toNotation
    {22, 674, 250},	// QDomNode::toProcessingInstruction
    {22, 677, 247},	// QDomNode::toText
    {22, 743, 284},	// QDomNode::~QDomNode
    {23, 48, 285},	// QDomNodeList::QDomNodeList
    {23, 49, 286},	// QDomNodeList::QDomNodeList#
    {23, 112, 291},	// QDomNodeList::at$
    {23, 141, 293},	// QDomNodeList::count
    {23, 247, 295},	// QDomNodeList::isEmpty
    {23, 257, 290},	// QDomNodeList::item$
    {23, 261, 292},	// QDomNodeList::length
    {23, 286, 289},	// QDomNodeList::operator!=#
    {23, 321, 287},	// QDomNodeList::operator=#
    {23, 323, 288},	// QDomNodeList::operator==#
    {23, 637, 294},	// QDomNodeList::size
    {23, 744, 296},	// QDomNodeList::~QDomNodeList
    {25, 50, 297},	// QDomNotation::QDomNotation
    {25, 51, 298},	// QDomNotation::QDomNotation#
    {25, 278, 302},	// QDomNotation::nodeType
    {25, 321, 299},	// QDomNotation::operator=#
    {25, 369, 300},	// QDomNotation::publicId
    {25, 657, 301},	// QDomNotation::systemId
    {25, 745, 303},	// QDomNotation::~QDomNotation
    {26, 52, 304},	// QDomProcessingInstruction::QDomProcessingInstruction
    {26, 53, 305},	// QDomProcessingInstruction::QDomProcessingInstruction#
    {26, 165, 308},	// QDomProcessingInstruction::data
    {26, 278, 310},	// QDomProcessingInstruction::nodeType
    {26, 321, 306},	// QDomProcessingInstruction::operator=#
    {26, 603, 309},	// QDomProcessingInstruction::setData$
    {26, 659, 307},	// QDomProcessingInstruction::target
    {26, 746, 311},	// QDomProcessingInstruction::~QDomProcessingInstruction
    {27, 54, 312},	// QDomText::QDomText
    {27, 55, 313},	// QDomText::QDomText#
    {27, 278, 316},	// QDomText::nodeType
    {27, 321, 314},	// QDomText::operator=#
    {27, 644, 315},	// QDomText::splitText$
    {27, 747, 317},	// QDomText::~QDomText
    {29, 89, 738},	// QGlobalSpace::QtCriticalMsg
    {29, 90, 736},	// QGlobalSpace::QtDebugMsg
    {29, 91, 739},	// QGlobalSpace::QtFatalMsg
    {29, 92, 740},	// QGlobalSpace::QtSystemMsg
    {29, 93, 737},	// QGlobalSpace::QtWarningMsg
    {29, 96, 731},	// QGlobalSpace::_IEEE_
    {29, 97, 735},	// QGlobalSpace::_ISOC_
    {29, 98, 734},	// QGlobalSpace::_POSIX_
    {29, 99, 732},	// QGlobalSpace::_SVID_
    {29, 100, 733},	// QGlobalSpace::_XOPEN_
    {29, 101, 743},	// QGlobalSpace::__codecvt_error
    {29, 102, 744},	// QGlobalSpace::__codecvt_noconv
    {29, 103, 741},	// QGlobalSpace::__codecvt_ok
    {29, 104, 742},	// QGlobalSpace::__codecvt_partial
    {29, 287, -4},	// QGlobalSpace::operator!=##
    {29, 288, -21},	// QGlobalSpace::operator!=#$
    {29, 289, -27},	// QGlobalSpace::operator!=$#
    {29, 290, 527},	// QGlobalSpace::operator!=$$
    {29, 292, 318},	// QGlobalSpace::operator&##
    {29, 294, -34},	// QGlobalSpace::operator*#$
    {29, 295, -41},	// QGlobalSpace::operator*$#
    {29, 297, -48},	// QGlobalSpace::operator+##
    {29, 298, -54},	// QGlobalSpace::operator+#$
    {29, 299, -59},	// QGlobalSpace::operator+$#
    {29, 300, -64},	// QGlobalSpace::operator+$$
    {29, 302, -70},	// QGlobalSpace::operator-#
    {29, 303, -73},	// QGlobalSpace::operator-##
    {29, 305, -78},	// QGlobalSpace::operator/#$
    {29, 307, -83},	// QGlobalSpace::operator<##
    {29, 308, 390},	// QGlobalSpace::operator<#$
    {29, 309, -88},	// QGlobalSpace::operator<$#
    {29, 310, 526},	// QGlobalSpace::operator<$$
    {29, 312, -91},	// QGlobalSpace::operator<<##
    {29, 313, -134},	// QGlobalSpace::operator<<#$
    {29, 314, 381},	// QGlobalSpace::operator<<#?
    {29, 316, -140},	// QGlobalSpace::operator<=##
    {29, 317, 489},	// QGlobalSpace::operator<=#$
    {29, 318, -145},	// QGlobalSpace::operator<=$#
    {29, 319, 417},	// QGlobalSpace::operator<=$$
    {29, 324, -148},	// QGlobalSpace::operator==##
    {29, 325, -166},	// QGlobalSpace::operator==#$
    {29, 326, -172},	// QGlobalSpace::operator==$#
    {29, 327, 683},	// QGlobalSpace::operator==$$
    {29, 329, -179},	// QGlobalSpace::operator>##
    {29, 330, 636},	// QGlobalSpace::operator>#$
    {29, 331, -184},	// QGlobalSpace::operator>$#
    {29, 332, 634},	// QGlobalSpace::operator>$$
    {29, 334, -187},	// QGlobalSpace::operator>=##
    {29, 335, 574},	// QGlobalSpace::operator>=#$
    {29, 336, -192},	// QGlobalSpace::operator>=$#
    {29, 337, 692},	// QGlobalSpace::operator>=$$
    {29, 339, -195},	// QGlobalSpace::operator>>##
    {29, 340, -217},	// QGlobalSpace::operator>>#$
    {29, 341, 614},	// QGlobalSpace::operator>>#?
    {29, 343, 498},	// QGlobalSpace::operator^##
    {29, 345, 534},	// QGlobalSpace::operator|##
    {29, 346, -220},	// QGlobalSpace::operator|$$
    {29, 372, 508},	// QGlobalSpace::qAcos$
    {29, 374, 482},	// QGlobalSpace::qAddPostRoutine$
    {29, 375, 469},	// QGlobalSpace::qAppName
    {29, 377, 590},	// QGlobalSpace::qAsin$
    {29, 379, 370},	// QGlobalSpace::qAtan$
    {29, 381, 475},	// QGlobalSpace::qAtan2$$
    {29, 382, 721},	// QGlobalSpace::qBadAlloc
    {29, 384, 349},	// QGlobalSpace::qCeil$
    {29, 386, 499},	// QGlobalSpace::qChecksum$$
    {29, 388, 479},	// QGlobalSpace::qCompress#
    {29, 389, 478},	// QGlobalSpace::qCompress#$
    {29, 390, 652},	// QGlobalSpace::qCompress$$
    {29, 391, 651},	// QGlobalSpace::qCompress$$$
    {29, 393, 382},	// QGlobalSpace::qCos$
    {29, 394, 319},	// QGlobalSpace::qCritical
    {29, 395, 658},	// QGlobalSpace::qDebug
    {29, 397, 486},	// QGlobalSpace::qExp$
    {29, 399, 335},	// QGlobalSpace::qFabs$
    {29, 401, 685},	// QGlobalSpace::qFastCos$
    {29, 403, 710},	// QGlobalSpace::qFastSin$
    {29, 405, 572},	// QGlobalSpace::qFlagLocation$
    {29, 407, 559},	// QGlobalSpace::qFloor$
    {29, 409, 640},	// QGlobalSpace::qFree$
    {29, 411, 449},	// QGlobalSpace::qFreeAligned$
    {29, 413, -308},	// QGlobalSpace::qFuzzyCompare$$
    {29, 415, -311},	// QGlobalSpace::qFuzzyIsNull$
    {29, 417, -314},	// QGlobalSpace::qHash#
    {29, 418, -322},	// QGlobalSpace::qHash$
    {29, 419, 579},	// QGlobalSpace::qInf
    {29, 421, 436},	// QGlobalSpace::qInstallMsgHandler$
    {29, 423, -335},	// QGlobalSpace::qIntCast$
    {29, 425, -338},	// QGlobalSpace::qIsFinite$
    {29, 427, -341},	// QGlobalSpace::qIsInf$
    {29, 429, -344},	// QGlobalSpace::qIsNaN$
    {29, 431, -347},	// QGlobalSpace::qIsNull$
    {29, 433, 613},	// QGlobalSpace::qLn$
    {29, 435, 725},	// QGlobalSpace::qMalloc$
    {29, 437, 648},	// QGlobalSpace::qMallocAligned$$
    {29, 439, 573},	// QGlobalSpace::qMemCopy$$$
    {29, 441, 474},	// QGlobalSpace::qMemSet$$$
    {29, 445, 672},	// QGlobalSpace::qPow$$
    {29, 446, 338},	// QGlobalSpace::qQNaN
    {29, 448, 522},	// QGlobalSpace::qRealloc$$
    {29, 450, 459},	// QGlobalSpace::qReallocAligned$$$$
    {29, 452, 375},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {29, 454, 570},	// QGlobalSpace::qRemovePostRoutine$
    {29, 456, 531},	// QGlobalSpace::qRound$
    {29, 458, 645},	// QGlobalSpace::qRound64$
    {29, 459, 702},	// QGlobalSpace::qSNaN
    {29, 461, 602},	// QGlobalSpace::qSetFieldWidth$
    {29, 463, 431},	// QGlobalSpace::qSetPadChar#
    {29, 465, 587},	// QGlobalSpace::qSetRealNumberPrecision$
    {29, 466, 434},	// QGlobalSpace::qSharedBuild
    {29, 468, 589},	// QGlobalSpace::qSin$
    {29, 470, 551},	// QGlobalSpace::qSqrt$
    {29, 472, 456},	// QGlobalSpace::qStringComparisonHelper#$
    {29, 473, 677},	// QGlobalSpace::qStringComparisonHelper$$
    {29, 475, 662},	// QGlobalSpace::qTan$
    {29, 477, 584},	// QGlobalSpace::qUncompress#
    {29, 478, 705},	// QGlobalSpace::qUncompress$$
    {29, 479, 341},	// QGlobalSpace::qVersion
    {29, 480, 394},	// QGlobalSpace::qWarning
    {29, 482, 371},	// QGlobalSpace::qbswap_helper$$$
    {29, 484, 706},	// QGlobalSpace::qecvt$$$$
    {29, 486, 516},	// QGlobalSpace::qecvt_r$$$$$$
    {29, 488, 657},	// QGlobalSpace::qfcvt$$$$
    {29, 490, 694},	// QGlobalSpace::qfcvt_r$$$$$$
    {29, 492, 592},	// QGlobalSpace::qgcvt$$$
    {29, 494, 504},	// QGlobalSpace::qgetenv$
    {29, 496, 453},	// QGlobalSpace::qputenv$#
    {29, 497, 350},	// QGlobalSpace::qrand
    {29, 499, 524},	// QGlobalSpace::qsort$$$$
    {29, 501, 384},	// QGlobalSpace::qsrand$
    {29, 503, 430},	// QGlobalSpace::qstrcmp##
    {29, 504, 432},	// QGlobalSpace::qstrcmp#$
    {29, 505, 660},	// QGlobalSpace::qstrcmp$#
    {29, 506, 552},	// QGlobalSpace::qstrcmp$$
    {29, 508, 332},	// QGlobalSpace::qstrcpy$$
    {29, 510, 655},	// QGlobalSpace::qstrdup$
    {29, 512, 591},	// QGlobalSpace::qstricmp$$
    {29, 514, 615},	// QGlobalSpace::qstrlen$
    {29, 516, 457},	// QGlobalSpace::qstrncmp$$$
    {29, 518, 513},	// QGlobalSpace::qstrncpy$$$
    {29, 520, 423},	// QGlobalSpace::qstrnicmp$$$
    {29, 522, 557},	// QGlobalSpace::qstrnlen$$
    {29, 524, 717},	// QGlobalSpace::qtTrId$
    {29, 525, 716},	// QGlobalSpace::qtTrId$$
    {29, 527, 322},	// QGlobalSpace::qt_assert$$$
    {29, 529, 525},	// QGlobalSpace::qt_assert_x$$$$
    {29, 531, 426},	// QGlobalSpace::qt_check_pointer$$
    {29, 532, 519},	// QGlobalSpace::qt_error_string
    {29, 533, 518},	// QGlobalSpace::qt_error_string$
    {29, 535, 681},	// QGlobalSpace::qt_message_output$$
    {29, 536, 599},	// QGlobalSpace::qt_noop
    {29, 538, 438},	// QGlobalSpace::qt_qFindChild_helper#$#
    {29, 540, 632},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {29, 542, 372},	// QGlobalSpace::qvariant_cast_helper#$$
    {29, 544, 596},	// QGlobalSpace::qvsnprintf$$$?
    {59, 56, 745},	// QXmlAttributes::QXmlAttributes
    {59, 57, 763},	// QXmlAttributes::QXmlAttributes#
    {59, 106, 762},	// QXmlAttributes::append$$$$
    {59, 131, 761},	// QXmlAttributes::clear
    {59, 141, 750},	// QXmlAttributes::count
    {59, 226, 747},	// QXmlAttributes::index#
    {59, 227, 746},	// QXmlAttributes::index$
    {59, 228, 748},	// QXmlAttributes::index$$
    {59, 261, 749},	// QXmlAttributes::length
    {59, 265, 751},	// QXmlAttributes::localName$
    {59, 443, 752},	// QXmlAttributes::qName$
    {59, 679, -353},	// QXmlAttributes::type$
    {59, 680, 756},	// QXmlAttributes::type$$
    {59, 684, 753},	// QXmlAttributes::uri$
    {59, 686, 759},	// QXmlAttributes::value#
    {59, 687, -356},	// QXmlAttributes::value$
    {59, 688, 760},	// QXmlAttributes::value$$
    {59, 748, 764},	// QXmlAttributes::~QXmlAttributes
    {60, 58, 777},	// QXmlContentHandler::QXmlContentHandler
    {60, 59, 778},	// QXmlContentHandler::QXmlContentHandler#
    {60, 129, 772},	// QXmlContentHandler::characters$
    {60, 180, 767},	// QXmlContentHandler::endDocument
    {60, 182, 771},	// QXmlContentHandler::endElement$$$
    {60, 186, 769},	// QXmlContentHandler::endPrefixMapping$
    {60, 192, 776},	// QXmlContentHandler::errorString
    {60, 220, 773},	// QXmlContentHandler::ignorableWhitespace$
    {60, 365, 774},	// QXmlContentHandler::processingInstruction$$
    {60, 609, 765},	// QXmlContentHandler::setDocumentLocator#
    {60, 639, 775},	// QXmlContentHandler::skippedEntity$
    {60, 648, 766},	// QXmlContentHandler::startDocument
    {60, 650, 770},	// QXmlContentHandler::startElement$$$#
    {60, 654, 768},	// QXmlContentHandler::startPrefixMapping$$
    {60, 749, 779},	// QXmlContentHandler::~QXmlContentHandler
    {61, 60, 783},	// QXmlDTDHandler::QXmlDTDHandler
    {61, 61, 784},	// QXmlDTDHandler::QXmlDTDHandler#
    {61, 192, 782},	// QXmlDTDHandler::errorString
    {61, 282, 780},	// QXmlDTDHandler::notationDecl$$$
    {61, 682, 781},	// QXmlDTDHandler::unparsedEntityDecl$$$$
    {61, 750, 785},	// QXmlDTDHandler::~QXmlDTDHandler
    {62, 62, 790},	// QXmlDeclHandler::QXmlDeclHandler
    {62, 63, 791},	// QXmlDeclHandler::QXmlDeclHandler#
    {62, 117, 786},	// QXmlDeclHandler::attributeDecl$$$$$
    {62, 192, 789},	// QXmlDeclHandler::errorString
    {62, 194, 788},	// QXmlDeclHandler::externalEntityDecl$$$
    {62, 236, 787},	// QXmlDeclHandler::internalEntityDecl$$
    {62, 751, 792},	// QXmlDeclHandler::~QXmlDeclHandler
    {63, 64, 793},	// QXmlDefaultHandler::QXmlDefaultHandler
    {63, 117, 818},	// QXmlDefaultHandler::attributeDecl$$$$$
    {63, 129, 801},	// QXmlDefaultHandler::characters$
    {63, 137, 817},	// QXmlDefaultHandler::comment$
    {63, 178, 816},	// QXmlDefaultHandler::endCDATA
    {63, 179, 812},	// QXmlDefaultHandler::endDTD
    {63, 180, 796},	// QXmlDefaultHandler::endDocument
    {63, 182, 800},	// QXmlDefaultHandler::endElement$$$
    {63, 184, 814},	// QXmlDefaultHandler::endEntity$
    {63, 186, 798},	// QXmlDefaultHandler::endPrefixMapping$
    {63, 190, 806},	// QXmlDefaultHandler::error#
    {63, 192, 821},	// QXmlDefaultHandler::errorString
    {63, 194, 820},	// QXmlDefaultHandler::externalEntityDecl$$$
    {63, 196, 807},	// QXmlDefaultHandler::fatalError#
    {63, 220, 802},	// QXmlDefaultHandler::ignorableWhitespace$
    {63, 236, 819},	// QXmlDefaultHandler::internalEntityDecl$$
    {63, 282, 808},	// QXmlDefaultHandler::notationDecl$$$
    {63, 365, 803},	// QXmlDefaultHandler::processingInstruction$$
    {63, 563, 810},	// QXmlDefaultHandler::resolveEntity$$#
    {63, 609, 794},	// QXmlDefaultHandler::setDocumentLocator#
    {63, 639, 804},	// QXmlDefaultHandler::skippedEntity$
    {63, 645, 815},	// QXmlDefaultHandler::startCDATA
    {63, 647, 811},	// QXmlDefaultHandler::startDTD$$$
    {63, 648, 795},	// QXmlDefaultHandler::startDocument
    {63, 650, 799},	// QXmlDefaultHandler::startElement$$$#
    {63, 652, 813},	// QXmlDefaultHandler::startEntity$
    {63, 654, 797},	// QXmlDefaultHandler::startPrefixMapping$$
    {63, 682, 809},	// QXmlDefaultHandler::unparsedEntityDecl$$$$
    {63, 690, 805},	// QXmlDefaultHandler::warning#
    {63, 752, 822},	// QXmlDefaultHandler::~QXmlDefaultHandler
    {64, 65, 825},	// QXmlEntityResolver::QXmlEntityResolver
    {64, 66, 826},	// QXmlEntityResolver::QXmlEntityResolver#
    {64, 192, 824},	// QXmlEntityResolver::errorString
    {64, 563, 823},	// QXmlEntityResolver::resolveEntity$$#
    {64, 753, 827},	// QXmlEntityResolver::~QXmlEntityResolver
    {65, 67, 832},	// QXmlErrorHandler::QXmlErrorHandler
    {65, 68, 833},	// QXmlErrorHandler::QXmlErrorHandler#
    {65, 190, 829},	// QXmlErrorHandler::error#
    {65, 192, 831},	// QXmlErrorHandler::errorString
    {65, 196, 830},	// QXmlErrorHandler::fatalError#
    {65, 690, 828},	// QXmlErrorHandler::warning#
    {65, 754, 834},	// QXmlErrorHandler::~QXmlErrorHandler
    {66, 15, 846},	// QXmlInputSource::EndOfData
    {66, 16, 847},	// QXmlInputSource::EndOfDocument
    {66, 69, 835},	// QXmlInputSource::QXmlInputSource
    {66, 70, -414},	// QXmlInputSource::QXmlInputSource#
    {66, 165, 840},	// QXmlInputSource::data
    {66, 200, 839},	// QXmlInputSource::fetchData
    {66, 205, 845},	// QXmlInputSource::fromRawData#
    {66, 206, 843},	// QXmlInputSource::fromRawData#$
    {66, 273, 841},	// QXmlInputSource::next
    {66, 561, 842},	// QXmlInputSource::reset
    {66, 602, 838},	// QXmlInputSource::setData#
    {66, 603, 837},	// QXmlInputSource::setData$
    {66, 755, 848},	// QXmlInputSource::~QXmlInputSource
    {67, 71, 857},	// QXmlLexicalHandler::QXmlLexicalHandler
    {67, 72, 858},	// QXmlLexicalHandler::QXmlLexicalHandler#
    {67, 137, 855},	// QXmlLexicalHandler::comment$
    {67, 178, 854},	// QXmlLexicalHandler::endCDATA
    {67, 179, 850},	// QXmlLexicalHandler::endDTD
    {67, 184, 852},	// QXmlLexicalHandler::endEntity$
    {67, 192, 856},	// QXmlLexicalHandler::errorString
    {67, 645, 853},	// QXmlLexicalHandler::startCDATA
    {67, 647, 849},	// QXmlLexicalHandler::startDTD$$$
    {67, 652, 851},	// QXmlLexicalHandler::startEntity$
    {67, 756, 859},	// QXmlLexicalHandler::~QXmlLexicalHandler
    {68, 73, 860},	// QXmlLocator::QXmlLocator
    {68, 74, 863},	// QXmlLocator::QXmlLocator#
    {68, 135, 861},	// QXmlLocator::columnNumber
    {68, 263, 862},	// QXmlLocator::lineNumber
    {68, 757, 864},	// QXmlLocator::~QXmlLocator
    {69, 75, 865},	// QXmlNamespaceSupport::QXmlNamespaceSupport
    {69, 354, 874},	// QXmlNamespaceSupport::popContext
    {69, 356, 867},	// QXmlNamespaceSupport::prefix$
    {69, 357, 871},	// QXmlNamespaceSupport::prefixes
    {69, 358, 872},	// QXmlNamespaceSupport::prefixes$
    {69, 363, 870},	// QXmlNamespaceSupport::processName$$$$
    {69, 370, 873},	// QXmlNamespaceSupport::pushContext
    {69, 561, 875},	// QXmlNamespaceSupport::reset
    {69, 630, 866},	// QXmlNamespaceSupport::setPrefix$$
    {69, 642, 869},	// QXmlNamespaceSupport::splitName$$$
    {69, 684, 868},	// QXmlNamespaceSupport::uri$
    {69, 758, 876},	// QXmlNamespaceSupport::~QXmlNamespaceSupport
    {70, 76, 884},	// QXmlParseException::QXmlParseException
    {70, 77, 878},	// QXmlParseException::QXmlParseException#
    {70, 78, 885},	// QXmlParseException::QXmlParseException$
    {70, 79, 886},	// QXmlParseException::QXmlParseException$$
    {70, 80, 887},	// QXmlParseException::QXmlParseException$$$
    {70, 81, 888},	// QXmlParseException::QXmlParseException$$$$
    {70, 82, 877},	// QXmlParseException::QXmlParseException$$$$$
    {70, 135, 879},	// QXmlParseException::columnNumber
    {70, 263, 880},	// QXmlParseException::lineNumber
    {70, 266, 883},	// QXmlParseException::message
    {70, 369, 881},	// QXmlParseException::publicId
    {70, 657, 882},	// QXmlParseException::systemId
    {70, 759, 889},	// QXmlParseException::~QXmlParseException
    {71, 7, 899},	// QXmlReader::DTDHandler
    {71, 83, 910},	// QXmlReader::QXmlReader
    {71, 84, 911},	// QXmlReader::QXmlReader#
    {71, 140, 901},	// QXmlReader::contentHandler
    {71, 166, 907},	// QXmlReader::declHandler
    {71, 188, 897},	// QXmlReader::entityResolver
    {71, 191, 903},	// QXmlReader::errorHandler
    {71, 198, 912},	// QXmlReader::feature$
    {71, 199, 890},	// QXmlReader::feature$$
    {71, 215, 892},	// QXmlReader::hasFeature$
    {71, 218, 895},	// QXmlReader::hasProperty$
    {71, 262, 905},	// QXmlReader::lexicalHandler
    {71, 351, -350},	// QXmlReader::parse#
    {71, 367, 913},	// QXmlReader::property$
    {71, 368, 893},	// QXmlReader::property$$
    {71, 598, 900},	// QXmlReader::setContentHandler#
    {71, 600, 898},	// QXmlReader::setDTDHandler#
    {71, 605, 906},	// QXmlReader::setDeclHandler#
    {71, 611, 896},	// QXmlReader::setEntityResolver#
    {71, 613, 902},	// QXmlReader::setErrorHandler#
    {71, 615, 891},	// QXmlReader::setFeature$$
    {71, 621, 904},	// QXmlReader::setLexicalHandler#
    {71, 632, 894},	// QXmlReader::setProperty$$
    {71, 760, 914},	// QXmlReader::~QXmlReader
    {72, 7, 925},	// QXmlSimpleReader::DTDHandler
    {72, 85, 915},	// QXmlSimpleReader::QXmlSimpleReader
    {72, 140, 927},	// QXmlSimpleReader::contentHandler
    {72, 166, 933},	// QXmlSimpleReader::declHandler
    {72, 188, 923},	// QXmlSimpleReader::entityResolver
    {72, 191, 929},	// QXmlSimpleReader::errorHandler
    {72, 198, 938},	// QXmlSimpleReader::feature$
    {72, 199, 916},	// QXmlSimpleReader::feature$$
    {72, 215, 918},	// QXmlSimpleReader::hasFeature$
    {72, 218, 921},	// QXmlSimpleReader::hasProperty$
    {72, 262, 931},	// QXmlSimpleReader::lexicalHandler
    {72, 351, -1},	// QXmlSimpleReader::parse#
    {72, 352, 936},	// QXmlSimpleReader::parse#$
    {72, 353, 937},	// QXmlSimpleReader::parseContinue
    {72, 367, 939},	// QXmlSimpleReader::property$
    {72, 368, 919},	// QXmlSimpleReader::property$$
    {72, 598, 926},	// QXmlSimpleReader::setContentHandler#
    {72, 600, 924},	// QXmlSimpleReader::setDTDHandler#
    {72, 605, 932},	// QXmlSimpleReader::setDeclHandler#
    {72, 611, 922},	// QXmlSimpleReader::setEntityResolver#
    {72, 613, 928},	// QXmlSimpleReader::setErrorHandler#
    {72, 615, 917},	// QXmlSimpleReader::setFeature$$
    {72, 621, 930},	// QXmlSimpleReader::setLexicalHandler#
    {72, 632, 920},	// QXmlSimpleReader::setProperty$$
    {72, 761, 940},	// QXmlSimpleReader::~QXmlSimpleReader
    {76, 86, 941},	// QXmlStreamWriter::QXmlStreamWriter
    {76, 87, -359},	// QXmlStreamWriter::QXmlStreamWriter#
    {76, 88, 944},	// QXmlStreamWriter::QXmlStreamWriter$
    {76, 126, 951},	// QXmlStreamWriter::autoFormatting
    {76, 127, 953},	// QXmlStreamWriter::autoFormattingIndent
    {76, 134, 949},	// QXmlStreamWriter::codec
    {76, 169, 946},	// QXmlStreamWriter::device
    {76, 213, 978},	// QXmlStreamWriter::hasError
    {76, 576, 950},	// QXmlStreamWriter::setAutoFormatting$
    {76, 578, 952},	// QXmlStreamWriter::setAutoFormattingIndent$
    {76, 580, 947},	// QXmlStreamWriter::setCodec#
    {76, 581, 948},	// QXmlStreamWriter::setCodec$
    {76, 607, 945},	// QXmlStreamWriter::setDevice#
    {76, 692, 956},	// QXmlStreamWriter::writeAttribute#
    {76, 693, 954},	// QXmlStreamWriter::writeAttribute$$
    {76, 694, 955},	// QXmlStreamWriter::writeAttribute$$$
    {76, 696, 957},	// QXmlStreamWriter::writeAttributes#
    {76, 698, 958},	// QXmlStreamWriter::writeCDATA$
    {76, 700, 959},	// QXmlStreamWriter::writeCharacters$
    {76, 702, 960},	// QXmlStreamWriter::writeComment$
    {76, 704, 977},	// QXmlStreamWriter::writeCurrentToken#
    {76, 706, 961},	// QXmlStreamWriter::writeDTD$
    {76, 708, 970},	// QXmlStreamWriter::writeDefaultNamespace$
    {76, 710, 962},	// QXmlStreamWriter::writeEmptyElement$
    {76, 711, 963},	// QXmlStreamWriter::writeEmptyElement$$
    {76, 712, 966},	// QXmlStreamWriter::writeEndDocument
    {76, 713, 967},	// QXmlStreamWriter::writeEndElement
    {76, 715, 968},	// QXmlStreamWriter::writeEntityReference$
    {76, 717, 979},	// QXmlStreamWriter::writeNamespace$
    {76, 718, 969},	// QXmlStreamWriter::writeNamespace$$
    {76, 720, 980},	// QXmlStreamWriter::writeProcessingInstruction$
    {76, 721, 971},	// QXmlStreamWriter::writeProcessingInstruction$$
    {76, 722, 972},	// QXmlStreamWriter::writeStartDocument
    {76, 723, 973},	// QXmlStreamWriter::writeStartDocument$
    {76, 724, 974},	// QXmlStreamWriter::writeStartDocument$$
    {76, 726, 975},	// QXmlStreamWriter::writeStartElement$
    {76, 727, 976},	// QXmlStreamWriter::writeStartElement$$
    {76, 729, 964},	// QXmlStreamWriter::writeTextElement$$
    {76, 730, 965},	// QXmlStreamWriter::writeTextElement$$$
    {76, 762, 981},	// QXmlStreamWriter::~QXmlStreamWriter
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtxml_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtxml_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtxml_Smoke = new Smoke(
        "qtxml",
        __smokeqtxml::classes, 76,
        __smokeqtxml::methods, 982,
        __smokeqtxml::methodMaps, 674,
        __smokeqtxml::methodNames, 762,
        __smokeqtxml::types, 338,
        __smokeqtxml::inheritanceList,
        __smokeqtxml::argumentList,
        __smokeqtxml::ambiguousMethodList,
        __smokeqtxml::cast );
    initialized = true;
}

void delete_qtxml_Smoke() { delete qtxml_Smoke; }

}
